#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d12vrr_order_p0gd(Libderiv_t *, prim_data *);

  /* Computes derivatives of (p0|gd) integrals */

void d12hrr_order_p0gd(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[1][6][11] = int_stack + 0;
 Libderiv->deriv_classes[1][6][10] = int_stack + 84;
 Libderiv->deriv_classes[1][6][9] = int_stack + 168;
 Libderiv->deriv_classes[1][6][8] = int_stack + 252;
 Libderiv->deriv_classes[1][6][7] = int_stack + 336;
 Libderiv->dvrr_classes[1][5] = int_stack + 420;
 Libderiv->deriv_classes[1][6][6] = int_stack + 483;
 Libderiv->deriv_classes[1][6][2] = int_stack + 567;
 Libderiv->deriv_classes[1][6][1] = int_stack + 651;
 Libderiv->deriv_classes[1][6][0] = int_stack + 735;
 Libderiv->deriv2_classes[1][4][143] = int_stack + 819;
 Libderiv->deriv2_classes[1][5][143] = int_stack + 864;
 Libderiv->deriv2_classes[1][6][143] = int_stack + 927;
 Libderiv->deriv2_classes[1][4][131] = int_stack + 1011;
 Libderiv->deriv2_classes[1][5][131] = int_stack + 1056;
 Libderiv->deriv2_classes[1][6][131] = int_stack + 1119;
 Libderiv->deriv2_classes[1][4][130] = int_stack + 1203;
 Libderiv->deriv2_classes[1][5][130] = int_stack + 1248;
 Libderiv->deriv2_classes[1][6][130] = int_stack + 1311;
 Libderiv->deriv2_classes[1][4][119] = int_stack + 1395;
 Libderiv->deriv2_classes[1][5][119] = int_stack + 1440;
 Libderiv->deriv2_classes[1][6][119] = int_stack + 1503;
 Libderiv->deriv2_classes[1][4][118] = int_stack + 1587;
 Libderiv->deriv2_classes[1][5][118] = int_stack + 1632;
 Libderiv->deriv2_classes[1][6][118] = int_stack + 1695;
 Libderiv->deriv2_classes[1][4][117] = int_stack + 1779;
 Libderiv->deriv2_classes[1][5][117] = int_stack + 1824;
 Libderiv->deriv2_classes[1][6][117] = int_stack + 1887;
 Libderiv->deriv2_classes[1][4][107] = int_stack + 1971;
 Libderiv->deriv2_classes[1][5][107] = int_stack + 2016;
 Libderiv->deriv2_classes[1][6][107] = int_stack + 2079;
 Libderiv->deriv2_classes[1][4][106] = int_stack + 2163;
 Libderiv->deriv2_classes[1][5][106] = int_stack + 2208;
 Libderiv->deriv2_classes[1][6][106] = int_stack + 2271;
 Libderiv->deriv2_classes[1][4][105] = int_stack + 2355;
 Libderiv->deriv2_classes[1][5][105] = int_stack + 2400;
 Libderiv->deriv2_classes[1][6][105] = int_stack + 2463;
 Libderiv->deriv2_classes[1][4][104] = int_stack + 2547;
 Libderiv->deriv2_classes[1][5][104] = int_stack + 2592;
 Libderiv->deriv2_classes[1][6][104] = int_stack + 2655;
 Libderiv->deriv2_classes[1][4][95] = int_stack + 2739;
 Libderiv->deriv2_classes[1][5][95] = int_stack + 2784;
 Libderiv->deriv2_classes[1][6][95] = int_stack + 2847;
 Libderiv->deriv2_classes[1][4][94] = int_stack + 2931;
 Libderiv->deriv2_classes[1][5][94] = int_stack + 2976;
 Libderiv->deriv2_classes[1][6][94] = int_stack + 3039;
 Libderiv->deriv2_classes[1][4][93] = int_stack + 3123;
 Libderiv->deriv2_classes[1][5][93] = int_stack + 3168;
 Libderiv->deriv2_classes[1][6][93] = int_stack + 3231;
 Libderiv->deriv2_classes[1][4][92] = int_stack + 3315;
 Libderiv->deriv2_classes[1][5][92] = int_stack + 3360;
 Libderiv->deriv2_classes[1][6][92] = int_stack + 3423;
 Libderiv->deriv2_classes[1][4][91] = int_stack + 3507;
 Libderiv->deriv2_classes[1][5][91] = int_stack + 3552;
 Libderiv->deriv2_classes[1][6][91] = int_stack + 3615;
 Libderiv->deriv_classes[1][4][11] = int_stack + 3699;
 Libderiv->deriv2_classes[1][4][83] = int_stack + 3744;
 Libderiv->deriv_classes[1][5][11] = int_stack + 3789;
 Libderiv->deriv2_classes[1][5][83] = int_stack + 3852;
 Libderiv->deriv2_classes[1][6][83] = int_stack + 3915;
 Libderiv->deriv_classes[1][4][10] = int_stack + 3999;
 Libderiv->deriv2_classes[1][4][82] = int_stack + 4044;
 Libderiv->deriv_classes[1][5][10] = int_stack + 4089;
 Libderiv->deriv2_classes[1][5][82] = int_stack + 4152;
 Libderiv->deriv2_classes[1][6][82] = int_stack + 4215;
 Libderiv->deriv_classes[1][4][9] = int_stack + 4299;
 Libderiv->deriv2_classes[1][4][81] = int_stack + 4344;
 Libderiv->deriv_classes[1][5][9] = int_stack + 4389;
 Libderiv->deriv2_classes[1][5][81] = int_stack + 4452;
 Libderiv->deriv2_classes[1][6][81] = int_stack + 4515;
 Libderiv->deriv_classes[1][4][8] = int_stack + 4599;
 Libderiv->deriv2_classes[1][4][80] = int_stack + 4644;
 Libderiv->deriv_classes[1][5][8] = int_stack + 4689;
 Libderiv->deriv2_classes[1][5][80] = int_stack + 4752;
 Libderiv->deriv2_classes[1][6][80] = int_stack + 4815;
 Libderiv->deriv_classes[1][4][7] = int_stack + 4899;
 Libderiv->deriv2_classes[1][4][79] = int_stack + 4944;
 Libderiv->deriv_classes[1][5][7] = int_stack + 4989;
 Libderiv->deriv2_classes[1][5][79] = int_stack + 5052;
 Libderiv->deriv2_classes[1][6][79] = int_stack + 5115;
 Libderiv->dvrr_classes[1][4] = int_stack + 5199;
 Libderiv->deriv_classes[1][4][6] = int_stack + 5244;
 Libderiv->deriv2_classes[1][4][78] = int_stack + 5289;
 Libderiv->deriv_classes[1][5][6] = int_stack + 5334;
 Libderiv->deriv2_classes[1][5][78] = int_stack + 5397;
 Libderiv->deriv2_classes[1][6][78] = int_stack + 5460;
 Libderiv->deriv2_classes[1][4][35] = int_stack + 5544;
 Libderiv->deriv2_classes[1][5][35] = int_stack + 5589;
 Libderiv->deriv2_classes[1][6][35] = int_stack + 5652;
 Libderiv->deriv2_classes[1][4][34] = int_stack + 5736;
 Libderiv->deriv2_classes[1][5][34] = int_stack + 5781;
 Libderiv->deriv2_classes[1][6][34] = int_stack + 5844;
 Libderiv->deriv2_classes[1][4][33] = int_stack + 5928;
 Libderiv->deriv2_classes[1][5][33] = int_stack + 5973;
 Libderiv->deriv2_classes[1][6][33] = int_stack + 6036;
 Libderiv->deriv2_classes[1][4][32] = int_stack + 6120;
 Libderiv->deriv2_classes[1][5][32] = int_stack + 6165;
 Libderiv->deriv2_classes[1][6][32] = int_stack + 6228;
 Libderiv->deriv2_classes[1][4][31] = int_stack + 6312;
 Libderiv->deriv2_classes[1][5][31] = int_stack + 6357;
 Libderiv->deriv2_classes[1][6][31] = int_stack + 6420;
 Libderiv->deriv_classes[1][4][2] = int_stack + 6504;
 Libderiv->deriv2_classes[1][4][30] = int_stack + 6549;
 Libderiv->deriv_classes[1][5][2] = int_stack + 6594;
 Libderiv->deriv2_classes[1][5][30] = int_stack + 6657;
 Libderiv->deriv2_classes[1][6][30] = int_stack + 6720;
 Libderiv->deriv2_classes[1][4][26] = int_stack + 6804;
 Libderiv->deriv2_classes[1][5][26] = int_stack + 6849;
 Libderiv->deriv2_classes[1][6][26] = int_stack + 6912;
 Libderiv->deriv2_classes[1][4][23] = int_stack + 6996;
 Libderiv->deriv2_classes[1][5][23] = int_stack + 7041;
 Libderiv->deriv2_classes[1][6][23] = int_stack + 7104;
 Libderiv->deriv2_classes[1][4][22] = int_stack + 7188;
 Libderiv->deriv2_classes[1][5][22] = int_stack + 7233;
 Libderiv->deriv2_classes[1][6][22] = int_stack + 7296;
 Libderiv->deriv2_classes[1][4][21] = int_stack + 7380;
 Libderiv->deriv2_classes[1][5][21] = int_stack + 7425;
 Libderiv->deriv2_classes[1][6][21] = int_stack + 7488;
 Libderiv->deriv2_classes[1][4][20] = int_stack + 7572;
 Libderiv->deriv2_classes[1][5][20] = int_stack + 7617;
 Libderiv->deriv2_classes[1][6][20] = int_stack + 7680;
 Libderiv->deriv2_classes[1][4][19] = int_stack + 7764;
 Libderiv->deriv2_classes[1][5][19] = int_stack + 7809;
 Libderiv->deriv2_classes[1][6][19] = int_stack + 7872;
 Libderiv->deriv_classes[1][4][1] = int_stack + 7956;
 Libderiv->deriv2_classes[1][4][18] = int_stack + 8001;
 Libderiv->deriv_classes[1][5][1] = int_stack + 8046;
 Libderiv->deriv2_classes[1][5][18] = int_stack + 8109;
 Libderiv->deriv2_classes[1][6][18] = int_stack + 8172;
 Libderiv->deriv2_classes[1][4][14] = int_stack + 8256;
 Libderiv->deriv2_classes[1][5][14] = int_stack + 8301;
 Libderiv->deriv2_classes[1][6][14] = int_stack + 8364;
 Libderiv->deriv2_classes[1][4][13] = int_stack + 8448;
 Libderiv->deriv2_classes[1][5][13] = int_stack + 8493;
 Libderiv->deriv2_classes[1][6][13] = int_stack + 8556;
 Libderiv->deriv2_classes[1][4][11] = int_stack + 8640;
 Libderiv->deriv2_classes[1][5][11] = int_stack + 8685;
 Libderiv->deriv2_classes[1][6][11] = int_stack + 8748;
 Libderiv->deriv2_classes[1][4][10] = int_stack + 8832;
 Libderiv->deriv2_classes[1][5][10] = int_stack + 8877;
 Libderiv->deriv2_classes[1][6][10] = int_stack + 8940;
 Libderiv->deriv2_classes[1][4][9] = int_stack + 9024;
 Libderiv->deriv2_classes[1][5][9] = int_stack + 9069;
 Libderiv->deriv2_classes[1][6][9] = int_stack + 9132;
 Libderiv->deriv2_classes[1][4][8] = int_stack + 9216;
 Libderiv->deriv2_classes[1][5][8] = int_stack + 9261;
 Libderiv->deriv2_classes[1][6][8] = int_stack + 9324;
 Libderiv->deriv2_classes[1][4][7] = int_stack + 9408;
 Libderiv->deriv2_classes[1][5][7] = int_stack + 9453;
 Libderiv->deriv2_classes[1][6][7] = int_stack + 9516;
 Libderiv->deriv_classes[1][4][0] = int_stack + 9600;
 Libderiv->deriv2_classes[1][4][6] = int_stack + 9645;
 Libderiv->deriv_classes[1][5][0] = int_stack + 9690;
 Libderiv->deriv2_classes[1][5][6] = int_stack + 9753;
 Libderiv->deriv2_classes[1][6][6] = int_stack + 9816;
 Libderiv->deriv2_classes[1][4][2] = int_stack + 9900;
 Libderiv->deriv2_classes[1][5][2] = int_stack + 9945;
 Libderiv->deriv2_classes[1][6][2] = int_stack + 10008;
 Libderiv->deriv2_classes[1][4][1] = int_stack + 10092;
 Libderiv->deriv2_classes[1][5][1] = int_stack + 10137;
 Libderiv->deriv2_classes[1][6][1] = int_stack + 10200;
 Libderiv->deriv2_classes[1][4][0] = int_stack + 10284;
 Libderiv->deriv2_classes[1][5][0] = int_stack + 10329;
 Libderiv->deriv2_classes[1][6][0] = int_stack + 10392;
 memset(int_stack,0,83808);

 Libderiv->dvrr_stack = int_stack + 19305;
 for(i=0;i<num_prim_comb;i++) {
   d12vrr_order_p0gd(Libderiv, Data);
   Data++;
 }

 /*--- compute (p0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+10476,int_stack+420,int_stack+5199,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+10611,int_stack+3789,int_stack+3699, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5199,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+10746,int_stack+0,int_stack+3789, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+420,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+10935,int_stack+4089,int_stack+3999, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5199, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+11070,int_stack+84,int_stack+4089, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+420, 0.0, zero_stack,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+0,int_stack+4389,int_stack+4299, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5199, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+11259,int_stack+168,int_stack+4389, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+420, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+11448,int_stack+4689,int_stack+4599, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5199, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+11583,int_stack+252,int_stack+4689, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+135,int_stack+4989,int_stack+4899, 0.0, zero_stack, 1.0, int_stack+5199, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+11772,int_stack+336,int_stack+4989, 0.0, zero_stack, 1.0, int_stack+420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+270,int_stack+5334,int_stack+5244, 1.0, int_stack+5199, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+11961,int_stack+483,int_stack+5334, 1.0, int_stack+420, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+405,int_stack+6594,int_stack+6504,3);
 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+12150,int_stack+567,int_stack+6594,3);
 /*--- compute (p0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+12339,int_stack+8046,int_stack+7956,3);
 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+12474,int_stack+651,int_stack+8046,3);
 /*--- compute (p0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+540,int_stack+9690,int_stack+9600,3);
 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+12663,int_stack+735,int_stack+9690,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+675,int_stack+864,int_stack+819, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+3699,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+12852,int_stack+927,int_stack+864, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+3789,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+810,int_stack+1056,int_stack+1011, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3699, 1.0, int_stack+3999,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+13041,int_stack+1119,int_stack+1056, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3789, 1.0, int_stack+4089,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+945,int_stack+1248,int_stack+1203, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+3999, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+13230,int_stack+1311,int_stack+1248, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+4089, 0.0, zero_stack,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+1080,int_stack+1440,int_stack+1395, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3699, 0.0, zero_stack, 1.0, int_stack+4299,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1215,int_stack+1503,int_stack+1440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3789, 0.0, zero_stack, 1.0, int_stack+4389,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+1404,int_stack+1632,int_stack+1587, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3999, 1.0, int_stack+4299, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+13419,int_stack+1695,int_stack+1632, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4089, 1.0, int_stack+4389, 0.0, zero_stack,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+1539,int_stack+1824,int_stack+1779, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+4299, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+13608,int_stack+1887,int_stack+1824, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+4389, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+1674,int_stack+2016,int_stack+1971, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3699, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4599,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1809,int_stack+2079,int_stack+2016, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3789, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4689,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+1998,int_stack+2208,int_stack+2163, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3999, 0.0, zero_stack, 1.0, int_stack+4599, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+13797,int_stack+2271,int_stack+2208, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4089, 0.0, zero_stack, 1.0, int_stack+4689, 0.0, zero_stack,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+2133,int_stack+2400,int_stack+2355, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4299, 1.0, int_stack+4599, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+13986,int_stack+2463,int_stack+2400, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4389, 1.0, int_stack+4689, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+2268,int_stack+2592,int_stack+2547, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+4599, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+2403,int_stack+2655,int_stack+2592, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+4689, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+2592,int_stack+2784,int_stack+2739, 0.0, zero_stack, 1.0, int_stack+3699, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4899,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+14175,int_stack+2847,int_stack+2784, 0.0, zero_stack, 1.0, int_stack+3789, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4989,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+2727,int_stack+2976,int_stack+2931, 0.0, zero_stack, 1.0, int_stack+3999, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4899, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+14364,int_stack+3039,int_stack+2976, 0.0, zero_stack, 1.0, int_stack+4089, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4989, 0.0, zero_stack,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+2862,int_stack+3168,int_stack+3123, 0.0, zero_stack, 1.0, int_stack+4299, 0.0, zero_stack, 1.0, int_stack+4899, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+14553,int_stack+3231,int_stack+3168, 0.0, zero_stack, 1.0, int_stack+4389, 0.0, zero_stack, 1.0, int_stack+4989, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+2997,int_stack+3360,int_stack+3315, 0.0, zero_stack, 1.0, int_stack+4599, 1.0, int_stack+4899, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3132,int_stack+3423,int_stack+3360, 0.0, zero_stack, 1.0, int_stack+4689, 1.0, int_stack+4989, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+3321,int_stack+3552,int_stack+3507, 0.0, zero_stack, 2.0, int_stack+4899, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+14742,int_stack+3615,int_stack+3552, 0.0, zero_stack, 2.0, int_stack+4989, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+3456,int_stack+3852,int_stack+3744, 1.0, int_stack+3699, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5244,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3591,int_stack+3915,int_stack+3852, 1.0, int_stack+3789, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5334,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+3780,int_stack+4152,int_stack+4044, 1.0, int_stack+3999, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5244, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+14931,int_stack+4215,int_stack+4152, 1.0, int_stack+4089, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5334, 0.0, zero_stack,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+3915,int_stack+4452,int_stack+4344, 1.0, int_stack+4299, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5244, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+4050,int_stack+4515,int_stack+4452, 1.0, int_stack+4389, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5334, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4239,int_stack+4752,int_stack+4644, 1.0, int_stack+4599, 0.0, zero_stack, 1.0, int_stack+5244, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+4374,int_stack+4815,int_stack+4752, 1.0, int_stack+4689, 0.0, zero_stack, 1.0, int_stack+5334, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4563,int_stack+5052,int_stack+4944, 1.0, int_stack+4899, 1.0, int_stack+5244, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+4698,int_stack+5115,int_stack+5052, 1.0, int_stack+4989, 1.0, int_stack+5334, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4887,int_stack+5397,int_stack+5289, 2.0, int_stack+5244, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5022,int_stack+5460,int_stack+5397, 2.0, int_stack+5334, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+5211,int_stack+5589,int_stack+5544, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6504,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5346,int_stack+5652,int_stack+5589, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6594,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+5535,int_stack+5781,int_stack+5736, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6504, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+15120,int_stack+5844,int_stack+5781, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6594, 0.0, zero_stack,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+5670,int_stack+5973,int_stack+5928, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6504, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+15309,int_stack+6036,int_stack+5973, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6594, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+5805,int_stack+6165,int_stack+6120, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6504, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5940,int_stack+6228,int_stack+6165, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6594, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+6129,int_stack+6357,int_stack+6312, 0.0, zero_stack, 1.0, int_stack+6504, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+15498,int_stack+6420,int_stack+6357, 0.0, zero_stack, 1.0, int_stack+6594, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+6264,int_stack+6657,int_stack+6549, 1.0, int_stack+6504, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6399,int_stack+6720,int_stack+6657, 1.0, int_stack+6594, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+6588,int_stack+6849,int_stack+6804,3);
 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+15687,int_stack+6912,int_stack+6849,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+6723,int_stack+7041,int_stack+6996, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7956,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+15876,int_stack+7104,int_stack+7041, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8046,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+6858,int_stack+7233,int_stack+7188, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7956, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6993,int_stack+7296,int_stack+7233, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8046, 0.0, zero_stack,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+7182,int_stack+7425,int_stack+7380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7956, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+16065,int_stack+7488,int_stack+7425, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8046, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+7317,int_stack+7617,int_stack+7572, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7956, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+16254,int_stack+7680,int_stack+7617, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8046, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+7452,int_stack+7809,int_stack+7764, 0.0, zero_stack, 1.0, int_stack+7956, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7587,int_stack+7872,int_stack+7809, 0.0, zero_stack, 1.0, int_stack+8046, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+7776,int_stack+8109,int_stack+8001, 1.0, int_stack+7956, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+16443,int_stack+8172,int_stack+8109, 1.0, int_stack+8046, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+7911,int_stack+8301,int_stack+8256,3);
 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+8046,int_stack+8364,int_stack+8301,3);
 /*--- compute (p0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+8235,int_stack+8493,int_stack+8448,3);
 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+16632,int_stack+8556,int_stack+8493,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+8370,int_stack+8685,int_stack+8640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9600,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+16821,int_stack+8748,int_stack+8685, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9690,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+8505,int_stack+8877,int_stack+8832, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9600, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+8640,int_stack+8940,int_stack+8877, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9690, 0.0, zero_stack,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+8829,int_stack+9069,int_stack+9024, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9600, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+17010,int_stack+9132,int_stack+9069, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9690, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+8964,int_stack+9261,int_stack+9216, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+17199,int_stack+9324,int_stack+9261, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+9099,int_stack+9453,int_stack+9408, 0.0, zero_stack, 1.0, int_stack+9600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+9234,int_stack+9516,int_stack+9453, 0.0, zero_stack, 1.0, int_stack+9690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+9423,int_stack+9753,int_stack+9645, 1.0, int_stack+9600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+17388,int_stack+9816,int_stack+9753, 1.0, int_stack+9690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+9558,int_stack+9945,int_stack+9900,3);
 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+9693,int_stack+10008,int_stack+9945,3);
 /*--- compute (p0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+9882,int_stack+10137,int_stack+10092,3);
 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+17577,int_stack+10200,int_stack+10137,3);
 /*--- compute (p0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+10017,int_stack+10329,int_stack+10284,3);
 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+17766,int_stack+10392,int_stack+10329,3);
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+10152,int_stack+10746,int_stack+10611, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10476,3);
     Libderiv->ABCD[11] = int_stack + 10152;
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+17955,int_stack+11070,int_stack+10935, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10476, 0.0, zero_stack,3);
     Libderiv->ABCD[10] = int_stack + 17955;
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+18225,int_stack+11259,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10476, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[9] = int_stack + 18225;
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+11070,int_stack+11583,int_stack+11448, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10476, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[8] = int_stack + 11070;
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+18495,int_stack+11772,int_stack+135, 0.0, zero_stack, 1.0, int_stack+10476, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[7] = int_stack + 18495;
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+11583,int_stack+11961,int_stack+270, 1.0, int_stack+10476, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[6] = int_stack + 11583;
 /*--- compute (p0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+11853,int_stack+12150,int_stack+405,3);
     Libderiv->ABCD[2] = int_stack + 11853;
 /*--- compute (p0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+18765,int_stack+12474,int_stack+12339,3);
     Libderiv->ABCD[1] = int_stack + 18765;
 /*--- compute (p0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+19035,int_stack+12663,int_stack+540,3);
     Libderiv->ABCD[0] = int_stack + 19035;
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+12474,int_stack+12852,int_stack+675, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+10611,3);
     Libderiv->ABCD[155] = int_stack + 12474;
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+12744,int_stack+13041,int_stack+810, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10611, 1.0, int_stack+10935,3);
     Libderiv->ABCD[143] = int_stack + 12744;
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+675,int_stack+13230,int_stack+945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+10935, 0.0, zero_stack,3);
     Libderiv->ABCD[142] = int_stack + 675;
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+13014,int_stack+1215,int_stack+1080, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10611, 0.0, zero_stack, 1.0, int_stack+0,3);
     Libderiv->ABCD[131] = int_stack + 13014;
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+945,int_stack+13419,int_stack+1404, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10935, 1.0, int_stack+0, 0.0, zero_stack,3);
     Libderiv->ABCD[130] = int_stack + 945;
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+1215,int_stack+13608,int_stack+1539, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[129] = int_stack + 1215;
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+13284,int_stack+1809,int_stack+1674, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10611, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11448,3);
     Libderiv->ABCD[119] = int_stack + 13284;
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+1485,int_stack+13797,int_stack+1998, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10935, 0.0, zero_stack, 1.0, int_stack+11448, 0.0, zero_stack,3);
     Libderiv->ABCD[118] = int_stack + 1485;
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+1755,int_stack+13986,int_stack+2133, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 1.0, int_stack+11448, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[117] = int_stack + 1755;
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+13554,int_stack+2403,int_stack+2268, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+11448, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[116] = int_stack + 13554;
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+2025,int_stack+14175,int_stack+2592, 0.0, zero_stack, 1.0, int_stack+10611, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+135,3);
     Libderiv->ABCD[107] = int_stack + 2025;
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+2295,int_stack+14364,int_stack+2727, 0.0, zero_stack, 1.0, int_stack+10935, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+135, 0.0, zero_stack,3);
     Libderiv->ABCD[106] = int_stack + 2295;
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+2565,int_stack+14553,int_stack+2862, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 1.0, int_stack+135, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[105] = int_stack + 2565;
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+13824,int_stack+3132,int_stack+2997, 0.0, zero_stack, 1.0, int_stack+11448, 1.0, int_stack+135, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[104] = int_stack + 13824;
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+2835,int_stack+14742,int_stack+3321, 0.0, zero_stack, 2.0, int_stack+135, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[103] = int_stack + 2835;
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+3105,int_stack+3591,int_stack+3456, 1.0, int_stack+10611, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+270,3);
     Libderiv->ABCD[95] = int_stack + 3105;
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+3375,int_stack+14931,int_stack+3780, 1.0, int_stack+10935, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+270, 0.0, zero_stack,3);
     Libderiv->ABCD[94] = int_stack + 3375;
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+3645,int_stack+4050,int_stack+3915, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+270, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[93] = int_stack + 3645;
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+3915,int_stack+4374,int_stack+4239, 1.0, int_stack+11448, 0.0, zero_stack, 1.0, int_stack+270, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[92] = int_stack + 3915;
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+4185,int_stack+4698,int_stack+4563, 1.0, int_stack+135, 1.0, int_stack+270, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[91] = int_stack + 4185;
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+0,int_stack+5022,int_stack+4887, 2.0, int_stack+270, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[90] = int_stack + 0;
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+4455,int_stack+5346,int_stack+5211, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+405,3);
     Libderiv->ABCD[47] = int_stack + 4455;
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+4725,int_stack+15120,int_stack+5535, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+405, 0.0, zero_stack,3);
     Libderiv->ABCD[46] = int_stack + 4725;
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+4995,int_stack+15309,int_stack+5670, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+405, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[45] = int_stack + 4995;
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+5265,int_stack+5940,int_stack+5805, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+405, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[44] = int_stack + 5265;
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+5535,int_stack+15498,int_stack+6129, 0.0, zero_stack, 1.0, int_stack+405, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[43] = int_stack + 5535;
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+5805,int_stack+6399,int_stack+6264, 1.0, int_stack+405, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[42] = int_stack + 5805;
 /*--- compute (p0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+270,int_stack+15687,int_stack+6588,3);
     Libderiv->ABCD[38] = int_stack + 270;
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+6075,int_stack+15876,int_stack+6723, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12339,3);
     Libderiv->ABCD[35] = int_stack + 6075;
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+6345,int_stack+6993,int_stack+6858, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12339, 0.0, zero_stack,3);
     Libderiv->ABCD[34] = int_stack + 6345;
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+6615,int_stack+16065,int_stack+7182, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12339, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[33] = int_stack + 6615;
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+6885,int_stack+16254,int_stack+7317, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12339, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[32] = int_stack + 6885;
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+7155,int_stack+7587,int_stack+7452, 0.0, zero_stack, 1.0, int_stack+12339, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[31] = int_stack + 7155;
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+7425,int_stack+16443,int_stack+7776, 1.0, int_stack+12339, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[30] = int_stack + 7425;
 /*--- compute (p0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+14094,int_stack+8046,int_stack+7911,3);
     Libderiv->ABCD[26] = int_stack + 14094;
 /*--- compute (p0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+7695,int_stack+16632,int_stack+8235,3);
     Libderiv->ABCD[25] = int_stack + 7695;
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+7965,int_stack+16821,int_stack+8370, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+540,3);
     Libderiv->ABCD[23] = int_stack + 7965;
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+8235,int_stack+8640,int_stack+8505, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+540, 0.0, zero_stack,3);
     Libderiv->ABCD[22] = int_stack + 8235;
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+8505,int_stack+17010,int_stack+8829, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+540, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[21] = int_stack + 8505;
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+14364,int_stack+17199,int_stack+8964, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[20] = int_stack + 14364;
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+8775,int_stack+9234,int_stack+9099, 0.0, zero_stack, 1.0, int_stack+540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[19] = int_stack + 8775;
 /*--- compute (p0|gd) ---*/
   d1hrr3_build_gd(Libderiv->CD,int_stack+9045,int_stack+17388,int_stack+9423, 1.0, int_stack+540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[18] = int_stack + 9045;
 /*--- compute (p0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+14634,int_stack+9693,int_stack+9558,3);
     Libderiv->ABCD[14] = int_stack + 14634;
 /*--- compute (p0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+9315,int_stack+17577,int_stack+9882,3);
     Libderiv->ABCD[13] = int_stack + 9315;
 /*--- compute (p0|gd) ---*/
   hrr3_build_gd(Libderiv->CD,int_stack+9585,int_stack+17766,int_stack+10017,3);
     Libderiv->ABCD[12] = int_stack + 9585;

}
