#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_d0hp(Libderiv_t *, prim_data *);

  /* Computes derivatives of (d0|hp) integrals */

void d1hrr_order_d0hp(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[2][5][11] = int_stack + 0;
 Libderiv->deriv_classes[2][6][11] = int_stack + 126;
 Libderiv->deriv_classes[2][5][10] = int_stack + 294;
 Libderiv->deriv_classes[2][6][10] = int_stack + 420;
 Libderiv->deriv_classes[2][5][9] = int_stack + 588;
 Libderiv->deriv_classes[2][6][9] = int_stack + 714;
 Libderiv->deriv_classes[2][5][8] = int_stack + 882;
 Libderiv->deriv_classes[2][6][8] = int_stack + 1008;
 Libderiv->deriv_classes[2][5][7] = int_stack + 1176;
 Libderiv->deriv_classes[2][6][7] = int_stack + 1302;
 Libderiv->dvrr_classes[2][5] = int_stack + 1470;
 Libderiv->deriv_classes[2][5][6] = int_stack + 1596;
 Libderiv->deriv_classes[2][6][6] = int_stack + 1722;
 Libderiv->deriv_classes[2][5][2] = int_stack + 1890;
 Libderiv->deriv_classes[2][6][2] = int_stack + 2016;
 Libderiv->deriv_classes[2][5][1] = int_stack + 2184;
 Libderiv->deriv_classes[2][6][1] = int_stack + 2310;
 Libderiv->deriv_classes[2][5][0] = int_stack + 2478;
 Libderiv->deriv_classes[2][6][0] = int_stack + 2604;
 memset(int_stack,0,22176);

 Libderiv->dvrr_stack = int_stack + 3906;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_d0hp(Libderiv, Data);
   Data++;
 }

 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+2772,int_stack+126,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1470,6);
     Libderiv->ABCD[11] = int_stack + 2772;
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3150,int_stack+420,int_stack+294, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1470, 0.0, zero_stack,6);
     Libderiv->ABCD[10] = int_stack + 3150;
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+714,int_stack+588, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1470, 0.0, zero_stack, 0.0, zero_stack,6);
     Libderiv->ABCD[9] = int_stack + 0;
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+378,int_stack+1008,int_stack+882, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1470, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
     Libderiv->ABCD[8] = int_stack + 378;
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+756,int_stack+1302,int_stack+1176, 0.0, zero_stack, 1.0, int_stack+1470, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
     Libderiv->ABCD[7] = int_stack + 756;
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3528,int_stack+1722,int_stack+1596, 1.0, int_stack+1470, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
     Libderiv->ABCD[6] = int_stack + 3528;
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1134,int_stack+2016,int_stack+1890,6);
     Libderiv->ABCD[2] = int_stack + 1134;
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1512,int_stack+2310,int_stack+2184,6);
     Libderiv->ABCD[1] = int_stack + 1512;
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+2604,int_stack+2478,6);
     Libderiv->ABCD[0] = int_stack + 1890;

}
