#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_dpk0(Libint_t*, prim_data*);

  /* Computes quartets of (dp|k0) integrals */

REALTYPE *hrr_order_dpk0(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[2][7] = int_stack + 0;
 Libint->vrr_classes[3][7] = int_stack + 216;
 memset(int_stack,0,576*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 576;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_dpk0(Libint, Data);
   Data++;
 }
 /*--- compute (dp|k0) ---*/
 hrr1_build_dp(Libint->AB,int_stack+576,int_stack+216,int_stack+0,36);
 return int_stack+576;}
