#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gdkf(Libint_t*, prim_data*);

  /* Computes quartets of (gd|kf) integrals */

REALTYPE *hrr_order_gdkf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][7] = int_stack + 0;
 Libint->vrr_classes[4][8] = int_stack + 540;
 Libint->vrr_classes[4][9] = int_stack + 1215;
 Libint->vrr_classes[4][10] = int_stack + 2040;
 Libint->vrr_classes[5][7] = int_stack + 3030;
 Libint->vrr_classes[5][8] = int_stack + 3786;
 Libint->vrr_classes[5][9] = int_stack + 4731;
 Libint->vrr_classes[5][10] = int_stack + 5886;
 Libint->vrr_classes[6][7] = int_stack + 7272;
 Libint->vrr_classes[6][8] = int_stack + 8280;
 Libint->vrr_classes[6][9] = int_stack + 9540;
 Libint->vrr_classes[6][10] = int_stack + 11080;
 memset(int_stack,0,12928*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 12928;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gdkf(Libint, Data);
   Data++;
 }
 /*--- compute (g0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+12928,int_stack+540,int_stack+0,15);
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+14548,int_stack+1215,int_stack+540,15);
 /*--- compute (g0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+16573,int_stack+14548,int_stack+12928,15);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+19813,int_stack+2040,int_stack+1215,15);
 /*--- compute (g0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+22288,int_stack+19813,int_stack+14548,15);
 /*--- compute (g0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+26338,int_stack+22288,int_stack+16573,15);
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+12928,int_stack+3786,int_stack+3030,21);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+15196,int_stack+4731,int_stack+3786,21);
 /*--- compute (h0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+18031,int_stack+15196,int_stack+12928,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+22567,int_stack+5886,int_stack+4731,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+0,int_stack+22567,int_stack+15196,21);
 /*--- compute (h0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+31738,int_stack+0,int_stack+18031,21);
 /*--- compute (gp|kf) ---*/
 hrr1_build_gp(Libint->AB,int_stack+39298,int_stack+31738,int_stack+26338,360);
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+8280,int_stack+7272,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+3024,int_stack+9540,int_stack+8280,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+12928,int_stack+3024,int_stack+0,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+18976,int_stack+11080,int_stack+9540,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+23596,int_stack+18976,int_stack+3024,28);
 /*--- compute (i0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+0,int_stack+23596,int_stack+12928,28);
 /*--- compute (hp|kf) ---*/
 hrr1_build_hp(Libint->AB,int_stack+55498,int_stack+0,int_stack+31738,360);
 /*--- compute (gd|kf) ---*/
 hrr1_build_gd(Libint->AB,int_stack+0,int_stack+55498,int_stack+39298,360);
 return int_stack+0;}
