#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_igkg(Libint_t*, prim_data*);

  /* Computes quartets of (ig|kg) integrals */

REALTYPE *hrr_order_igkg(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][7] = int_stack + 0;
 Libint->vrr_classes[6][8] = int_stack + 1008;
 Libint->vrr_classes[6][9] = int_stack + 2268;
 Libint->vrr_classes[6][10] = int_stack + 3808;
 Libint->vrr_classes[6][11] = int_stack + 5656;
 Libint->vrr_classes[7][7] = int_stack + 7840;
 Libint->vrr_classes[7][8] = int_stack + 9136;
 Libint->vrr_classes[7][9] = int_stack + 10756;
 Libint->vrr_classes[7][10] = int_stack + 12736;
 Libint->vrr_classes[7][11] = int_stack + 15112;
 Libint->vrr_classes[8][7] = int_stack + 17920;
 Libint->vrr_classes[8][8] = int_stack + 19540;
 Libint->vrr_classes[8][9] = int_stack + 21565;
 Libint->vrr_classes[8][10] = int_stack + 24040;
 Libint->vrr_classes[8][11] = int_stack + 27010;
 Libint->vrr_classes[9][7] = int_stack + 30520;
 Libint->vrr_classes[9][8] = int_stack + 32500;
 Libint->vrr_classes[9][9] = int_stack + 34975;
 Libint->vrr_classes[9][10] = int_stack + 38000;
 Libint->vrr_classes[9][11] = int_stack + 41630;
 Libint->vrr_classes[10][7] = int_stack + 45920;
 Libint->vrr_classes[10][8] = int_stack + 48296;
 Libint->vrr_classes[10][9] = int_stack + 51266;
 Libint->vrr_classes[10][10] = int_stack + 54896;
 Libint->vrr_classes[10][11] = int_stack + 59252;
 memset(int_stack,0,64400*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 64400;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_igkg(Libint, Data);
   Data++;
 }
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+64400,int_stack+1008,int_stack+0,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+67424,int_stack+2268,int_stack+1008,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+71204,int_stack+67424,int_stack+64400,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+77252,int_stack+3808,int_stack+2268,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+81872,int_stack+77252,int_stack+67424,28);
 /*--- compute (i0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+89432,int_stack+81872,int_stack+71204,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+64400,int_stack+5656,int_stack+3808,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+99512,int_stack+64400,int_stack+77252,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+64400,int_stack+99512,int_stack+81872,28);
 /*--- compute (i0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+99512,int_stack+64400,int_stack+89432,28);
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+64400,int_stack+9136,int_stack+7840,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+68288,int_stack+10756,int_stack+9136,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+73148,int_stack+68288,int_stack+64400,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+80924,int_stack+12736,int_stack+10756,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+86864,int_stack+80924,int_stack+68288,36);
 /*--- compute (k0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+114632,int_stack+86864,int_stack+73148,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+64400,int_stack+15112,int_stack+12736,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+64400,int_stack+80924,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+64400,int_stack+0,int_stack+86864,36);
 /*--- compute (k0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+127592,int_stack+64400,int_stack+114632,36);
 /*--- compute (ip|kg) ---*/
 hrr1_build_ip(Libint->AB,int_stack+147032,int_stack+127592,int_stack+99512,540);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+64400,int_stack+19540,int_stack+17920,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+69260,int_stack+21565,int_stack+19540,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+75335,int_stack+69260,int_stack+64400,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+85055,int_stack+24040,int_stack+21565,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+92480,int_stack+85055,int_stack+69260,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+104630,int_stack+92480,int_stack+75335,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+64400,int_stack+27010,int_stack+24040,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+64400,int_stack+85055,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+64400,int_stack+0,int_stack+92480,45);
 /*--- compute (l0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+0,int_stack+64400,int_stack+104630,45);
 /*--- compute (kp|kg) ---*/
 hrr1_build_kp(Libint->AB,int_stack+64400,int_stack+0,int_stack+127592,540);
 /*--- compute (id|kg) ---*/
 hrr1_build_id(Libint->AB,int_stack+192392,int_stack+64400,int_stack+147032,540);
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+122720,int_stack+32500,int_stack+30520,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+128660,int_stack+34975,int_stack+32500,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+136085,int_stack+128660,int_stack+122720,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+147965,int_stack+38000,int_stack+34975,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+157040,int_stack+147965,int_stack+128660,55);
 /*--- compute (m0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+171890,int_stack+157040,int_stack+136085,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+122720,int_stack+41630,int_stack+38000,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+24300,int_stack+122720,int_stack+147965,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+122720,int_stack+24300,int_stack+157040,55);
 /*--- compute (m0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+283112,int_stack+122720,int_stack+171890,55);
 /*--- compute (lp|kg) ---*/
 hrr1_build_lp(Libint->AB,int_stack+312812,int_stack+283112,int_stack+0,540);
 /*--- compute (kd|kg) ---*/
 hrr1_build_kd(Libint->AB,int_stack+385712,int_stack+312812,int_stack+64400,540);
 /*--- compute (if|kg) ---*/
 hrr1_build_if(Libint->AB,int_stack+502352,int_stack+385712,int_stack+192392,540);
 /*--- compute (n0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+64400,int_stack+48296,int_stack+45920,66);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+71528,int_stack+51266,int_stack+48296,66);
 /*--- compute (n0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+80438,int_stack+71528,int_stack+64400,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+94694,int_stack+54896,int_stack+51266,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+105584,int_stack+94694,int_stack+71528,66);
 /*--- compute (n0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+123404,int_stack+105584,int_stack+80438,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+64400,int_stack+59252,int_stack+54896,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+147164,int_stack+64400,int_stack+94694,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+168944,int_stack+147164,int_stack+105584,66);
 /*--- compute (n0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+198644,int_stack+168944,int_stack+123404,66);
 /*--- compute (mp|kg) ---*/
 hrr1_build_mp(Libint->AB,int_stack+0,int_stack+198644,int_stack+283112,540);
 /*--- compute (ld|kg) ---*/
 hrr1_build_ld(Libint->AB,int_stack+89100,int_stack+0,int_stack+312812,540);
 /*--- compute (kf|kg) ---*/
 hrr1_build_kf(Libint->AB,int_stack+653552,int_stack+89100,int_stack+385712,540);
 /*--- compute (ig|kg) ---*/
 hrr1_build_ig(Libint->AB,int_stack+0,int_stack+653552,int_stack+502352,540);
 return int_stack+0;}
