#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_khki(Libint_t*, prim_data*);

  /* Computes quartets of (kh|ki) integrals */

REALTYPE *hrr_order_khki(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][7] = int_stack + 0;
 Libint->vrr_classes[7][8] = int_stack + 1296;
 Libint->vrr_classes[7][9] = int_stack + 2916;
 Libint->vrr_classes[7][10] = int_stack + 4896;
 Libint->vrr_classes[7][11] = int_stack + 7272;
 Libint->vrr_classes[7][12] = int_stack + 10080;
 Libint->vrr_classes[7][13] = int_stack + 13356;
 Libint->vrr_classes[8][7] = int_stack + 17136;
 Libint->vrr_classes[8][8] = int_stack + 18756;
 Libint->vrr_classes[8][9] = int_stack + 20781;
 Libint->vrr_classes[8][10] = int_stack + 23256;
 Libint->vrr_classes[8][11] = int_stack + 26226;
 Libint->vrr_classes[8][12] = int_stack + 29736;
 Libint->vrr_classes[8][13] = int_stack + 33831;
 Libint->vrr_classes[9][7] = int_stack + 38556;
 Libint->vrr_classes[9][8] = int_stack + 40536;
 Libint->vrr_classes[9][9] = int_stack + 43011;
 Libint->vrr_classes[9][10] = int_stack + 46036;
 Libint->vrr_classes[9][11] = int_stack + 49666;
 Libint->vrr_classes[9][12] = int_stack + 53956;
 Libint->vrr_classes[9][13] = int_stack + 58961;
 Libint->vrr_classes[10][7] = int_stack + 64736;
 Libint->vrr_classes[10][8] = int_stack + 67112;
 Libint->vrr_classes[10][9] = int_stack + 70082;
 Libint->vrr_classes[10][10] = int_stack + 73712;
 Libint->vrr_classes[10][11] = int_stack + 78068;
 Libint->vrr_classes[10][12] = int_stack + 83216;
 Libint->vrr_classes[10][13] = int_stack + 89222;
 Libint->vrr_classes[11][7] = int_stack + 96152;
 Libint->vrr_classes[11][8] = int_stack + 98960;
 Libint->vrr_classes[11][9] = int_stack + 102470;
 Libint->vrr_classes[11][10] = int_stack + 106760;
 Libint->vrr_classes[11][11] = int_stack + 111908;
 Libint->vrr_classes[11][12] = int_stack + 117992;
 Libint->vrr_classes[11][13] = int_stack + 125090;
 Libint->vrr_classes[12][7] = int_stack + 133280;
 Libint->vrr_classes[12][8] = int_stack + 136556;
 Libint->vrr_classes[12][9] = int_stack + 140651;
 Libint->vrr_classes[12][10] = int_stack + 145656;
 Libint->vrr_classes[12][11] = int_stack + 151662;
 Libint->vrr_classes[12][12] = int_stack + 158760;
 Libint->vrr_classes[12][13] = int_stack + 167041;
 memset(int_stack,0,176596*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 176596;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_khki(Libint, Data);
   Data++;
 }
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+176596,int_stack+1296,int_stack+0,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+180484,int_stack+2916,int_stack+1296,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+185344,int_stack+180484,int_stack+176596,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+193120,int_stack+4896,int_stack+2916,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+199060,int_stack+193120,int_stack+180484,36);
 /*--- compute (k0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+208780,int_stack+199060,int_stack+185344,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+176596,int_stack+7272,int_stack+4896,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+221740,int_stack+176596,int_stack+193120,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+233620,int_stack+221740,int_stack+199060,36);
 /*--- compute (k0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+183724,int_stack+233620,int_stack+208780,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+203164,int_stack+10080,int_stack+7272,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+249820,int_stack+203164,int_stack+176596,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+264076,int_stack+249820,int_stack+221740,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+283876,int_stack+264076,int_stack+233620,36);
 /*--- compute (k0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+211588,int_stack+283876,int_stack+183724,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+176596,int_stack+13356,int_stack+10080,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+176596,int_stack+203164,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+176596,int_stack+0,int_stack+249820,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+308176,int_stack+176596,int_stack+264076,36);
 /*--- compute (k0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+176596,int_stack+308176,int_stack+283876,36);
 /*--- compute (k0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+238804,int_stack+176596,int_stack+211588,36);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+176596,int_stack+18756,int_stack+17136,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+181456,int_stack+20781,int_stack+18756,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+187531,int_stack+181456,int_stack+176596,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+197251,int_stack+23256,int_stack+20781,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+204676,int_stack+197251,int_stack+181456,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+216826,int_stack+204676,int_stack+187531,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+176596,int_stack+26226,int_stack+23256,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+176596,int_stack+197251,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+275092,int_stack+0,int_stack+204676,45);
 /*--- compute (l0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+185506,int_stack+275092,int_stack+216826,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+209806,int_stack+29736,int_stack+26226,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+220336,int_stack+209806,int_stack+176596,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+295342,int_stack+220336,int_stack+0,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+320092,int_stack+295342,int_stack+275092,45);
 /*--- compute (l0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+350467,int_stack+320092,int_stack+185506,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+275092,int_stack+33831,int_stack+29736,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+275092,int_stack+209806,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+176596,int_stack+0,int_stack+220336,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+0,int_stack+176596,int_stack+295342,45);
 /*--- compute (l0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+176596,int_stack+0,int_stack+320092,45);
 /*--- compute (l0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+275092,int_stack+176596,int_stack+350467,45);
 /*--- compute (kp|ki) ---*/
 hrr1_build_kp(Libint->AB,int_stack+320452,int_stack+275092,int_stack+238804,1008);
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+176596,int_stack+40536,int_stack+38556,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+182536,int_stack+43011,int_stack+40536,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+189961,int_stack+182536,int_stack+176596,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+201841,int_stack+46036,int_stack+43011,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+210916,int_stack+201841,int_stack+182536,55);
 /*--- compute (m0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+225766,int_stack+210916,int_stack+189961,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+176596,int_stack+49666,int_stack+46036,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+245566,int_stack+176596,int_stack+201841,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+0,int_stack+245566,int_stack+210916,55);
 /*--- compute (m0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+187486,int_stack+0,int_stack+225766,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+217186,int_stack+53956,int_stack+49666,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+24750,int_stack+217186,int_stack+176596,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+429316,int_stack+24750,int_stack+245566,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+230056,int_stack+429316,int_stack+0,55);
 /*--- compute (m0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+459566,int_stack+230056,int_stack+187486,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+58961,int_stack+53956,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+176596,int_stack+0,int_stack+217186,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+501146,int_stack+176596,int_stack+24750,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+176596,int_stack+501146,int_stack+429316,55);
 /*--- compute (m0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+0,int_stack+176596,int_stack+230056,55);
 /*--- compute (m0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+176596,int_stack+0,int_stack+459566,55);
 /*--- compute (lp|ki) ---*/
 hrr1_build_lp(Libint->AB,int_stack+429316,int_stack+176596,int_stack+275092,1008);
 /*--- compute (kd|ki) ---*/
 hrr1_build_kd(Libint->AB,int_stack+565396,int_stack+429316,int_stack+320452,1008);
 /*--- compute (n0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+67112,int_stack+64736,66);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+7128,int_stack+70082,int_stack+67112,66);
 /*--- compute (n0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+16038,int_stack+7128,int_stack+0,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+30294,int_stack+73712,int_stack+70082,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+41184,int_stack+30294,int_stack+7128,66);
 /*--- compute (n0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+232036,int_stack+41184,int_stack+16038,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+78068,int_stack+73712,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+255796,int_stack+0,int_stack+30294,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+277576,int_stack+255796,int_stack+41184,66);
 /*--- compute (n0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+13068,int_stack+277576,int_stack+232036,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+232036,int_stack+83216,int_stack+78068,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+48708,int_stack+232036,int_stack+0,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+307276,int_stack+48708,int_stack+255796,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+343576,int_stack+307276,int_stack+277576,66);
 /*--- compute (n0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+247480,int_stack+343576,int_stack+13068,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+89222,int_stack+83216,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+388126,int_stack+0,int_stack+232036,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+388126,int_stack+48708,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+783124,int_stack+0,int_stack+307276,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+0,int_stack+783124,int_stack+343576,66);
 /*--- compute (n0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+297376,int_stack+0,int_stack+247480,66);
 /*--- compute (mp|ki) ---*/
 hrr1_build_mp(Libint->AB,int_stack+783124,int_stack+297376,int_stack+176596,1008);
 /*--- compute (ld|ki) ---*/
 hrr1_build_ld(Libint->AB,int_stack+949444,int_stack+783124,int_stack+429316,1008);
 /*--- compute (kf|ki) ---*/
 hrr1_build_kf(Libint->AB,int_stack+1221604,int_stack+949444,int_stack+565396,1008);
 /*--- compute (o0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+176596,int_stack+98960,int_stack+96152,78);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+185020,int_stack+102470,int_stack+98960,78);
 /*--- compute (o0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+195550,int_stack+185020,int_stack+176596,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+212398,int_stack+106760,int_stack+102470,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+225268,int_stack+212398,int_stack+185020,78);
 /*--- compute (o0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+246328,int_stack+225268,int_stack+195550,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+176596,int_stack+111908,int_stack+106760,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+176596,int_stack+212398,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+25740,int_stack+0,int_stack+225268,78);
 /*--- compute (o0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+192040,int_stack+25740,int_stack+246328,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+234160,int_stack+117992,int_stack+111908,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+252412,int_stack+234160,int_stack+176596,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+60840,int_stack+252412,int_stack+0,78);
 /*--- compute (o0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+363904,int_stack+60840,int_stack+25740,78);
 /*--- compute (o0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+0,int_stack+363904,int_stack+192040,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+176596,int_stack+125090,int_stack+117992,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+416554,int_stack+176596,int_stack+234160,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+176596,int_stack+416554,int_stack+252412,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+416554,int_stack+176596,int_stack+60840,78);
 /*--- compute (o0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+176596,int_stack+416554,int_stack+363904,78);
 /*--- compute (o0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+363904,int_stack+176596,int_stack+0,78);
 /*--- compute (np|ki) ---*/
 hrr1_build_np(Libint->AB,int_stack+442528,int_stack+363904,int_stack+297376,1008);
 /*--- compute (md|ki) ---*/
 hrr1_build_md(Libint->AB,int_stack+1584484,int_stack+442528,int_stack+783124,1008);
 /*--- compute (lf|ki) ---*/
 hrr1_build_lf(Libint->AB,int_stack+1917124,int_stack+1584484,int_stack+949444,1008);
 /*--- compute (kg|ki) ---*/
 hrr1_build_kg(Libint->AB,int_stack+642112,int_stack+1917124,int_stack+1221604,1008);
 /*--- compute (q0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+136556,int_stack+133280,91);
 /*--- compute (q0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+9828,int_stack+140651,int_stack+136556,91);
 /*--- compute (q0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+22113,int_stack+9828,int_stack+0,91);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+41769,int_stack+145656,int_stack+140651,91);
 /*--- compute (q0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+56784,int_stack+41769,int_stack+9828,91);
 /*--- compute (q0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+81354,int_stack+56784,int_stack+22113,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+151662,int_stack+145656,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+114114,int_stack+0,int_stack+41769,91);
 /*--- compute (q0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+176596,int_stack+114114,int_stack+56784,91);
 /*--- compute (q0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+18018,int_stack+176596,int_stack+81354,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+67158,int_stack+158760,int_stack+151662,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+217546,int_stack+67158,int_stack+0,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+253582,int_stack+217546,int_stack+114114,91);
 /*--- compute (q0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+88452,int_stack+253582,int_stack+176596,91);
 /*--- compute (q0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+1186432,int_stack+88452,int_stack+18018,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+176596,int_stack+167041,int_stack+158760,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+176596,int_stack+67158,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+149877,int_stack+0,int_stack+217546,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+0,int_stack+149877,int_stack+253582,91);
 /*--- compute (q0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+149877,int_stack+0,int_stack+88452,91);
 /*--- compute (q0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+0,int_stack+149877,int_stack+1186432,91);
 /*--- compute (op|ki) ---*/
 hrr1_build_op(Libint->AB,int_stack+1186432,int_stack+0,int_stack+363904,1008);
 /*--- compute (nd|ki) ---*/
 hrr1_build_nd(Libint->AB,int_stack+0,int_stack+1186432,int_stack+442528,1008);
 /*--- compute (mf|ki) ---*/
 hrr1_build_mf(Libint->AB,int_stack+2370724,int_stack+0,int_stack+1584484,1008);
 /*--- compute (lg|ki) ---*/
 hrr1_build_lg(Libint->AB,int_stack+1186432,int_stack+2370724,int_stack+1917124,1008);
 /*--- compute (kh|ki) ---*/
 hrr1_build_kh(Libint->AB,int_stack+1866832,int_stack+1186432,int_stack+642112,1008);
 return int_stack+1866832;}
