#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kkkk(Libint_t*, prim_data*);

  /* Computes quartets of (kk|kk) integrals */

REALTYPE *hrr_order_kkkk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][7] = int_stack + 0;
 Libint->vrr_classes[7][8] = int_stack + 1296;
 Libint->vrr_classes[7][9] = int_stack + 2916;
 Libint->vrr_classes[7][10] = int_stack + 4896;
 Libint->vrr_classes[7][11] = int_stack + 7272;
 Libint->vrr_classes[7][12] = int_stack + 10080;
 Libint->vrr_classes[7][13] = int_stack + 13356;
 Libint->vrr_classes[7][14] = int_stack + 17136;
 Libint->vrr_classes[8][7] = int_stack + 21456;
 Libint->vrr_classes[8][8] = int_stack + 23076;
 Libint->vrr_classes[8][9] = int_stack + 25101;
 Libint->vrr_classes[8][10] = int_stack + 27576;
 Libint->vrr_classes[8][11] = int_stack + 30546;
 Libint->vrr_classes[8][12] = int_stack + 34056;
 Libint->vrr_classes[8][13] = int_stack + 38151;
 Libint->vrr_classes[8][14] = int_stack + 42876;
 Libint->vrr_classes[9][7] = int_stack + 48276;
 Libint->vrr_classes[9][8] = int_stack + 50256;
 Libint->vrr_classes[9][9] = int_stack + 52731;
 Libint->vrr_classes[9][10] = int_stack + 55756;
 Libint->vrr_classes[9][11] = int_stack + 59386;
 Libint->vrr_classes[9][12] = int_stack + 63676;
 Libint->vrr_classes[9][13] = int_stack + 68681;
 Libint->vrr_classes[9][14] = int_stack + 74456;
 Libint->vrr_classes[10][7] = int_stack + 81056;
 Libint->vrr_classes[10][8] = int_stack + 83432;
 Libint->vrr_classes[10][9] = int_stack + 86402;
 Libint->vrr_classes[10][10] = int_stack + 90032;
 Libint->vrr_classes[10][11] = int_stack + 94388;
 Libint->vrr_classes[10][12] = int_stack + 99536;
 Libint->vrr_classes[10][13] = int_stack + 105542;
 Libint->vrr_classes[10][14] = int_stack + 112472;
 Libint->vrr_classes[11][7] = int_stack + 120392;
 Libint->vrr_classes[11][8] = int_stack + 123200;
 Libint->vrr_classes[11][9] = int_stack + 126710;
 Libint->vrr_classes[11][10] = int_stack + 131000;
 Libint->vrr_classes[11][11] = int_stack + 136148;
 Libint->vrr_classes[11][12] = int_stack + 142232;
 Libint->vrr_classes[11][13] = int_stack + 149330;
 Libint->vrr_classes[11][14] = int_stack + 157520;
 Libint->vrr_classes[12][7] = int_stack + 166880;
 Libint->vrr_classes[12][8] = int_stack + 170156;
 Libint->vrr_classes[12][9] = int_stack + 174251;
 Libint->vrr_classes[12][10] = int_stack + 179256;
 Libint->vrr_classes[12][11] = int_stack + 185262;
 Libint->vrr_classes[12][12] = int_stack + 192360;
 Libint->vrr_classes[12][13] = int_stack + 200641;
 Libint->vrr_classes[12][14] = int_stack + 210196;
 Libint->vrr_classes[13][7] = int_stack + 221116;
 Libint->vrr_classes[13][8] = int_stack + 224896;
 Libint->vrr_classes[13][9] = int_stack + 229621;
 Libint->vrr_classes[13][10] = int_stack + 235396;
 Libint->vrr_classes[13][11] = int_stack + 242326;
 Libint->vrr_classes[13][12] = int_stack + 250516;
 Libint->vrr_classes[13][13] = int_stack + 260071;
 Libint->vrr_classes[13][14] = int_stack + 271096;
 Libint->vrr_classes[14][7] = int_stack + 283696;
 Libint->vrr_classes[14][8] = int_stack + 288016;
 Libint->vrr_classes[14][9] = int_stack + 293416;
 Libint->vrr_classes[14][10] = int_stack + 300016;
 Libint->vrr_classes[14][11] = int_stack + 307936;
 Libint->vrr_classes[14][12] = int_stack + 317296;
 Libint->vrr_classes[14][13] = int_stack + 328216;
 Libint->vrr_classes[14][14] = int_stack + 340816;
 memset(int_stack,0,355216*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 355216;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kkkk(Libint, Data);
   Data++;
 }
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+355216,int_stack+1296,int_stack+0,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+359104,int_stack+2916,int_stack+1296,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+363964,int_stack+359104,int_stack+355216,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+371740,int_stack+4896,int_stack+2916,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+377680,int_stack+371740,int_stack+359104,36);
 /*--- compute (k0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+387400,int_stack+377680,int_stack+363964,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+355216,int_stack+7272,int_stack+4896,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+400360,int_stack+355216,int_stack+371740,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+412240,int_stack+400360,int_stack+377680,36);
 /*--- compute (k0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+362344,int_stack+412240,int_stack+387400,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+381784,int_stack+10080,int_stack+7272,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+428440,int_stack+381784,int_stack+355216,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+442696,int_stack+428440,int_stack+400360,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+462496,int_stack+442696,int_stack+412240,36);
 /*--- compute (k0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+390208,int_stack+462496,int_stack+362344,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+355216,int_stack+13356,int_stack+10080,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+486796,int_stack+355216,int_stack+381784,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+365044,int_stack+486796,int_stack+428440,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+503644,int_stack+365044,int_stack+442696,36);
 /*--- compute (k0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+417424,int_stack+503644,int_stack+462496,36);
 /*--- compute (k0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+533344,int_stack+417424,int_stack+390208,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+388804,int_stack+17136,int_stack+13356,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+451444,int_stack+388804,int_stack+355216,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+388804,int_stack+451444,int_stack+486796,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+451444,int_stack+388804,int_stack+365044,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+355216,int_stack+451444,int_stack+503644,36);
 /*--- compute (k0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+451444,int_stack+355216,int_stack+417424,36);
 /*--- compute (k0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+355216,int_stack+451444,int_stack+533344,36);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+401872,int_stack+23076,int_stack+21456,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+406732,int_stack+25101,int_stack+23076,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+412807,int_stack+406732,int_stack+401872,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+422527,int_stack+27576,int_stack+25101,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+429952,int_stack+422527,int_stack+406732,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+442102,int_stack+429952,int_stack+412807,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+401872,int_stack+30546,int_stack+27576,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+458302,int_stack+401872,int_stack+422527,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+473152,int_stack+458302,int_stack+429952,45);
 /*--- compute (l0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+410782,int_stack+473152,int_stack+442102,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+435082,int_stack+34056,int_stack+30546,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+493402,int_stack+435082,int_stack+401872,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+511222,int_stack+493402,int_stack+458302,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+535972,int_stack+511222,int_stack+473152,45);
 /*--- compute (l0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+445612,int_stack+535972,int_stack+410782,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+401872,int_stack+38151,int_stack+34056,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+401872,int_stack+435082,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+414157,int_stack+0,int_stack+493402,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+566347,int_stack+414157,int_stack+511222,45);
 /*--- compute (l0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+479632,int_stack+566347,int_stack+535972,45);
 /*--- compute (l0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+603472,int_stack+479632,int_stack+445612,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+443857,int_stack+42876,int_stack+38151,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+522157,int_stack+443857,int_stack+401872,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+443857,int_stack+522157,int_stack+0,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+443857,int_stack+414157,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+401872,int_stack+0,int_stack+566347,45);
 /*--- compute (l0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+522157,int_stack+401872,int_stack+479632,45);
 /*--- compute (l0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+401872,int_stack+522157,int_stack+603472,45);
 /*--- compute (kp|kk) ---*/
 hrr1_build_kp(Libint->AB,int_stack+460192,int_stack+401872,int_stack+355216,1296);
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+355216,int_stack+50256,int_stack+48276,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+361156,int_stack+52731,int_stack+50256,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+368581,int_stack+361156,int_stack+355216,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+380461,int_stack+55756,int_stack+52731,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+600160,int_stack+380461,int_stack+361156,55);
 /*--- compute (m0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+615010,int_stack+600160,int_stack+368581,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+355216,int_stack+59386,int_stack+55756,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+355216,int_stack+380461,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+366106,int_stack+0,int_stack+600160,55);
 /*--- compute (m0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+18150,int_stack+366106,int_stack+615010,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+600160,int_stack+63676,int_stack+59386,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+613030,int_stack+600160,int_stack+355216,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+634810,int_stack+613030,int_stack+0,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+665060,int_stack+634810,int_stack+366106,55);
 /*--- compute (m0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+355216,int_stack+665060,int_stack+18150,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+68681,int_stack+63676,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+15015,int_stack+0,int_stack+600160,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+702185,int_stack+15015,int_stack+613030,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+738485,int_stack+702185,int_stack+634810,55);
 /*--- compute (m0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+600160,int_stack+738485,int_stack+665060,55);
 /*--- compute (m0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+783860,int_stack+600160,int_stack+355216,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+355216,int_stack+74456,int_stack+68681,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+652135,int_stack+355216,int_stack+0,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+355216,int_stack+652135,int_stack+15015,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+355216,int_stack+702185,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+652135,int_stack+0,int_stack+738485,55);
 /*--- compute (m0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+0,int_stack+652135,int_stack+600160,55);
 /*--- compute (m0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+600160,int_stack+0,int_stack+783860,55);
 /*--- compute (lp|kk) ---*/
 hrr1_build_lp(Libint->AB,int_stack+671440,int_stack+600160,int_stack+401872,1296);
 /*--- compute (kd|kk) ---*/
 hrr1_build_kd(Libint->AB,int_stack+846400,int_stack+671440,int_stack+460192,1296);
 /*--- compute (n0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+83432,int_stack+81056,66);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+7128,int_stack+86402,int_stack+83432,66);
 /*--- compute (n0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+16038,int_stack+7128,int_stack+0,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+30294,int_stack+90032,int_stack+86402,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+41184,int_stack+30294,int_stack+7128,66);
 /*--- compute (n0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+59004,int_stack+41184,int_stack+16038,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+94388,int_stack+90032,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+355216,int_stack+0,int_stack+30294,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+376996,int_stack+355216,int_stack+41184,66);
 /*--- compute (n0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+13068,int_stack+376996,int_stack+59004,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+48708,int_stack+99536,int_stack+94388,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+64152,int_stack+48708,int_stack+0,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+406696,int_stack+64152,int_stack+355216,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+442996,int_stack+406696,int_stack+376996,66);
 /*--- compute (n0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+355216,int_stack+442996,int_stack+13068,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+105542,int_stack+99536,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+487546,int_stack+0,int_stack+48708,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+18018,int_stack+487546,int_stack+64152,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+518434,int_stack+18018,int_stack+406696,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+1126336,int_stack+518434,int_stack+442996,66);
 /*--- compute (n0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+405112,int_stack+1126336,int_stack+355216,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+355216,int_stack+112472,int_stack+105542,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+61578,int_stack+355216,int_stack+0,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1188706,int_stack+61578,int_stack+487546,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1240186,int_stack+1188706,int_stack+18018,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+0,int_stack+1240186,int_stack+518434,66);
 /*--- compute (n0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+1188706,int_stack+0,int_stack+1126336,66);
 /*--- compute (n0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+0,int_stack+1188706,int_stack+405112,66);
 /*--- compute (mp|kk) ---*/
 hrr1_build_mp(Libint->AB,int_stack+355216,int_stack+0,int_stack+600160,1296);
 /*--- compute (ld|kk) ---*/
 hrr1_build_ld(Libint->AB,int_stack+1126336,int_stack+355216,int_stack+671440,1296);
 /*--- compute (kf|kk) ---*/
 hrr1_build_kf(Libint->AB,int_stack+1476256,int_stack+1126336,int_stack+846400,1296);
 /*--- compute (o0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+85536,int_stack+123200,int_stack+120392,78);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+93960,int_stack+126710,int_stack+123200,78);
 /*--- compute (o0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+104490,int_stack+93960,int_stack+85536,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+569056,int_stack+131000,int_stack+126710,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+581926,int_stack+569056,int_stack+93960,78);
 /*--- compute (o0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+602986,int_stack+581926,int_stack+104490,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+85536,int_stack+136148,int_stack+131000,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+100980,int_stack+85536,int_stack+569056,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+631066,int_stack+100980,int_stack+581926,78);
 /*--- compute (o0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+666166,int_stack+631066,int_stack+602986,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+569056,int_stack+142232,int_stack+136148,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+587308,int_stack+569056,int_stack+85536,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+708286,int_stack+587308,int_stack+100980,78);
 /*--- compute (o0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+85536,int_stack+708286,int_stack+631066,78);
 /*--- compute (o0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+751186,int_stack+85536,int_stack+666166,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+618196,int_stack+149330,int_stack+142232,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+639490,int_stack+618196,int_stack+569056,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+810154,int_stack+639490,int_stack+587308,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+861634,int_stack+810154,int_stack+708286,78);
 /*--- compute (o0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+675994,int_stack+861634,int_stack+85536,78);
 /*--- compute (o0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+925984,int_stack+675994,int_stack+751186,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+85536,int_stack+157520,int_stack+149330,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+110106,int_stack+85536,int_stack+618196,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+569056,int_stack+110106,int_stack+639490,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+85536,int_stack+569056,int_stack+810154,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+569056,int_stack+85536,int_stack+861634,78);
 /*--- compute (o0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+749704,int_stack+569056,int_stack+675994,78);
 /*--- compute (o0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+569056,int_stack+749704,int_stack+925984,78);
 /*--- compute (np|kk) ---*/
 hrr1_build_np(Libint->AB,int_stack+670144,int_stack+569056,int_stack+0,1296);
 /*--- compute (md|kk) ---*/
 hrr1_build_md(Libint->AB,int_stack+1942816,int_stack+670144,int_stack+355216,1296);
 /*--- compute (lf|kk) ---*/
 hrr1_build_lf(Libint->AB,int_stack+2370496,int_stack+1942816,int_stack+1126336,1296);
 /*--- compute (kg|kk) ---*/
 hrr1_build_kg(Libint->AB,int_stack+2953696,int_stack+2370496,int_stack+1476256,1296);
 /*--- compute (q0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+355216,int_stack+170156,int_stack+166880,91);
 /*--- compute (q0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+365044,int_stack+174251,int_stack+170156,91);
 /*--- compute (q0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+377329,int_stack+365044,int_stack+355216,91);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+396985,int_stack+179256,int_stack+174251,91);
 /*--- compute (q0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+412000,int_stack+396985,int_stack+365044,91);
 /*--- compute (q0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+436570,int_stack+412000,int_stack+377329,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+355216,int_stack+185262,int_stack+179256,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+469330,int_stack+355216,int_stack+396985,91);
 /*--- compute (q0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+499360,int_stack+469330,int_stack+412000,91);
 /*--- compute (q0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+373234,int_stack+499360,int_stack+436570,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+422374,int_stack+192360,int_stack+185262,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+422374,int_stack+355216,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+36036,int_stack+0,int_stack+469330,91);
 /*--- compute (q0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+86086,int_stack+36036,int_stack+499360,91);
 /*--- compute (q0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+443668,int_stack+86086,int_stack+373234,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+355216,int_stack+200641,int_stack+192360,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+512464,int_stack+355216,int_stack+422374,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+380059,int_stack+512464,int_stack+0,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+926752,int_stack+380059,int_stack+36036,91);
 /*--- compute (q0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+0,int_stack+926752,int_stack+86086,91);
 /*--- compute (q0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+85995,int_stack+0,int_stack+443668,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+440119,int_stack+210196,int_stack+200641,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1001827,int_stack+440119,int_stack+355216,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+440119,int_stack+1001827,int_stack+512464,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1001827,int_stack+440119,int_stack+380059,91);
 /*--- compute (q0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+1091917,int_stack+1001827,int_stack+926752,91);
 /*--- compute (q0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+926752,int_stack+1091917,int_stack+0,91);
 /*--- compute (q0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+1041412,int_stack+926752,int_stack+85995,91);
 /*--- compute (op|kk) ---*/
 hrr1_build_op(Libint->AB,int_stack+1159348,int_stack+1041412,int_stack+569056,1296);
 /*--- compute (nd|kk) ---*/
 hrr1_build_nd(Libint->AB,int_stack+3653536,int_stack+1159348,int_stack+670144,1296);
 /*--- compute (mf|kk) ---*/
 hrr1_build_mf(Libint->AB,int_stack+4166752,int_stack+3653536,int_stack+1942816,1296);
 /*--- compute (lg|kk) ---*/
 hrr1_build_lg(Libint->AB,int_stack+1462612,int_stack+4166752,int_stack+2370496,1296);
 /*--- compute (kh|kk) ---*/
 hrr1_build_kh(Libint->AB,int_stack+4879552,int_stack+1462612,int_stack+2953696,1296);
 /*--- compute (r0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+224896,int_stack+221116,105);
 /*--- compute (r0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+11340,int_stack+229621,int_stack+224896,105);
 /*--- compute (r0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+25515,int_stack+11340,int_stack+0,105);
 /*--- compute (r0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+48195,int_stack+235396,int_stack+229621,105);
 /*--- compute (r0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+65520,int_stack+48195,int_stack+11340,105);
 /*--- compute (r0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+93870,int_stack+65520,int_stack+25515,105);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+242326,int_stack+235396,105);
 /*--- compute (r0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+131670,int_stack+0,int_stack+48195,105);
 /*--- compute (r0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+166320,int_stack+131670,int_stack+65520,105);
 /*--- compute (r0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+20790,int_stack+166320,int_stack+93870,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+77490,int_stack+250516,int_stack+242326,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+2337412,int_stack+77490,int_stack+0,105);
 /*--- compute (r0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+2378992,int_stack+2337412,int_stack+131670,105);
 /*--- compute (r0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+2436742,int_stack+2378992,int_stack+166320,105);
 /*--- compute (r0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+102060,int_stack+2436742,int_stack+20790,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+260071,int_stack+250516,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+181440,int_stack+0,int_stack+77490,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+28665,int_stack+181440,int_stack+2337412,105);
 /*--- compute (r0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+2507617,int_stack+28665,int_stack+2378992,105);
 /*--- compute (r0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+2337412,int_stack+2507617,int_stack+2436742,105);
 /*--- compute (r0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+2594242,int_stack+2337412,int_stack+102060,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+2436637,int_stack+271096,int_stack+260071,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+97965,int_stack+2436637,int_stack+0,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+2700082,int_stack+97965,int_stack+181440,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+97965,int_stack+2700082,int_stack+28665,105);
 /*--- compute (r0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+2700082,int_stack+97965,int_stack+2507617,105);
 /*--- compute (r0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+2821357,int_stack+2700082,int_stack+2337412,105);
 /*--- compute (r0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+2337412,int_stack+2821357,int_stack+2594242,105);
 /*--- compute (qp|kk) ---*/
 hrr1_build_qp(Libint->AB,int_stack+2473492,int_stack+2337412,int_stack+1041412,1296);
 /*--- compute (od|kk) ---*/
 hrr1_build_od(Libint->AB,int_stack+2827300,int_stack+2473492,int_stack+1159348,1296);
 /*--- compute (nf|kk) ---*/
 hrr1_build_nf(Libint->AB,int_stack+355216,int_stack+2827300,int_stack+3653536,1296);
 /*--- compute (mg|kk) ---*/
 hrr1_build_mg(Libint->AB,int_stack+5859328,int_stack+355216,int_stack+4166752,1296);
 /*--- compute (lh|kk) ---*/
 hrr1_build_lh(Libint->AB,int_stack+3433828,int_stack+5859328,int_stack+1462612,1296);
 /*--- compute (ki|kk) ---*/
 hrr1_build_ki(Libint->AB,int_stack+6928528,int_stack+3433828,int_stack+4879552,1296);
 /*--- compute (t0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+4658548,int_stack+288016,int_stack+283696,120);
 /*--- compute (t0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+4671508,int_stack+293416,int_stack+288016,120);
 /*--- compute (t0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+4687708,int_stack+4671508,int_stack+4658548,120);
 /*--- compute (t0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+4713628,int_stack+300016,int_stack+293416,120);
 /*--- compute (t0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+4733428,int_stack+4713628,int_stack+4671508,120);
 /*--- compute (t0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+4765828,int_stack+4733428,int_stack+4687708,120);
 /*--- compute (t0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+4658548,int_stack+307936,int_stack+300016,120);
 /*--- compute (t0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+4809028,int_stack+4658548,int_stack+4713628,120);
 /*--- compute (t0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+4848628,int_stack+4809028,int_stack+4733428,120);
 /*--- compute (t0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+4682308,int_stack+4848628,int_stack+4765828,120);
 /*--- compute (t0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+4747108,int_stack+317296,int_stack+307936,120);
 /*--- compute (t0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+4902628,int_stack+4747108,int_stack+4658548,120);
 /*--- compute (t0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+4950148,int_stack+4902628,int_stack+4809028,120);
 /*--- compute (t0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+5016148,int_stack+4950148,int_stack+4848628,120);
 /*--- compute (t0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+4775188,int_stack+5016148,int_stack+4682308,120);
 /*--- compute (t0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+4658548,int_stack+328216,int_stack+317296,120);
 /*--- compute (t0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+5097148,int_stack+4658548,int_stack+4747108,120);
 /*--- compute (t0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+4691308,int_stack+5097148,int_stack+4902628,120);
 /*--- compute (t0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+5153308,int_stack+4691308,int_stack+4950148,120);
 /*--- compute (t0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+4865908,int_stack+5153308,int_stack+5016148,120);
 /*--- compute (t0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+5252308,int_stack+4865908,int_stack+4775188,120);
 /*--- compute (t0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+4770508,int_stack+340816,int_stack+328216,120);
 /*--- compute (t0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+4979308,int_stack+4770508,int_stack+4658548,120);
 /*--- compute (t0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+4770508,int_stack+4979308,int_stack+5097148,120);
 /*--- compute (t0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+4979308,int_stack+4770508,int_stack+4691308,120);
 /*--- compute (t0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+4658548,int_stack+4979308,int_stack+5153308,120);
 /*--- compute (t0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+4979308,int_stack+4658548,int_stack+4865908,120);
 /*--- compute (t0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+4658548,int_stack+4979308,int_stack+5252308,120);
 /*--- compute (rp|kk) ---*/
 hrr1_build_rp(Libint->AB,int_stack+4814068,int_stack+4658548,int_stack+2337412,1296);
 /*--- compute (qd|kk) ---*/
 hrr1_build_qd(Libint->AB,int_stack+1210576,int_stack+4814068,int_stack+2473492,1296);
 /*--- compute (of|kk) ---*/
 hrr1_build_of(Libint->AB,int_stack+4658548,int_stack+1210576,int_stack+2827300,1296);
 /*--- compute (ng|kk) ---*/
 hrr1_build_ng(Libint->AB,int_stack+1210576,int_stack+4658548,int_stack+355216,1296);
 /*--- compute (mh|kk) ---*/
 hrr1_build_mh(Libint->AB,int_stack+8234896,int_stack+1210576,int_stack+5859328,1296);
 /*--- compute (li|kk) ---*/
 hrr1_build_li(Libint->AB,int_stack+4658548,int_stack+8234896,int_stack+3433828,1296);
 /*--- compute (kk|kk) ---*/
 hrr1_build_kk(Libint->AB,int_stack+0,int_stack+4658548,int_stack+6928528,1296);
 return int_stack+0;}
