#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kphf(Libint_t*, prim_data*);

  /* Computes quartets of (kp|hf) integrals */

REALTYPE *hrr_order_kphf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][5] = int_stack + 0;
 Libint->vrr_classes[7][6] = int_stack + 756;
 Libint->vrr_classes[7][7] = int_stack + 1764;
 Libint->vrr_classes[7][8] = int_stack + 3060;
 Libint->vrr_classes[8][5] = int_stack + 4680;
 Libint->vrr_classes[8][6] = int_stack + 5625;
 Libint->vrr_classes[8][7] = int_stack + 6885;
 Libint->vrr_classes[8][8] = int_stack + 8505;
 memset(int_stack,0,10530*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 10530;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kphf(Libint, Data);
   Data++;
 }
 /*--- compute (k0|hp) ---*/
 hrr3_build_hp(Libint->CD,int_stack+10530,int_stack+756,int_stack+0,36);
 /*--- compute (k0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+12798,int_stack+1764,int_stack+756,36);
 /*--- compute (k0|hd) ---*/
 hrr3_build_hd(Libint->CD,int_stack+15822,int_stack+12798,int_stack+10530,36);
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+20358,int_stack+3060,int_stack+1764,36);
 /*--- compute (k0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+24246,int_stack+20358,int_stack+12798,36);
 /*--- compute (k0|hf) ---*/
 hrr3_build_hf(Libint->CD,int_stack+30294,int_stack+24246,int_stack+15822,36);
 /*--- compute (l0|hp) ---*/
 hrr3_build_hp(Libint->CD,int_stack+10530,int_stack+5625,int_stack+4680,45);
 /*--- compute (l0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+13365,int_stack+6885,int_stack+5625,45);
 /*--- compute (l0|hd) ---*/
 hrr3_build_hd(Libint->CD,int_stack+17145,int_stack+13365,int_stack+10530,45);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+22815,int_stack+8505,int_stack+6885,45);
 /*--- compute (l0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+0,int_stack+22815,int_stack+13365,45);
 /*--- compute (l0|hf) ---*/
 hrr3_build_hf(Libint->CD,int_stack+7560,int_stack+0,int_stack+17145,45);
 /*--- compute (kp|hf) ---*/
 hrr1_build_kp(Libint->AB,int_stack+37854,int_stack+7560,int_stack+30294,210);
 return int_stack+37854;}
