#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_d0ip(Libr12_t *, prim_data *);

  /* Computes (d0|ip) integrals for linear R12-methods */

void hrr_grt_order_d0ip(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[3][6] = int_stack + 0;
 Libr12->t2vrr_classes[2][6] = int_stack + 280;
 Libr12->t2vrr_classes[2][7] = int_stack + 448;
 Libr12->t1vrr_classes[2][6] = int_stack + 664;
 Libr12->t1vrr_classes[2][7] = int_stack + 832;
 Libr12->rvrr_classes[2][6] = int_stack + 1048;
 Libr12->rvrr_classes[2][7] = int_stack + 1216;
 Libr12->gvrr_classes[2][6] = int_stack + 1432;
 Libr12->gvrr_classes[2][7] = int_stack + 1600;
 memset(int_stack,0,1816*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 1816;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_d0ip(Libr12, Data);
   Data++;
 }

 /*--- compute (d0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1816, int_stack+448, int_stack+280, int_stack+1600, int_stack+0, int_stack+1432, 2, 0);
     Libr12->te_ptr[3] = int_stack + 1816;
 /*--- compute (d0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+832, int_stack+664, 6);
     Libr12->te_ptr[2] = int_stack + 0;
 /*--- compute (d0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+504, int_stack+1216, int_stack+1048, 6);
     Libr12->te_ptr[1] = int_stack + 504;
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2320, int_stack+1600, int_stack+1432, 6);
     Libr12->te_ptr[0] = int_stack + 2320;

}
