#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ggig(Libr12_t *, prim_data *);

  /* Computes (gg|ig) integrals for linear R12-methods */

void hrr_grt_order_ggig(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[4][6] = int_stack + 0;
 Libr12->t2vrr_classes[4][7] = int_stack + 420;
 Libr12->t2vrr_classes[4][8] = int_stack + 960;
 Libr12->t2vrr_classes[4][9] = int_stack + 1635;
 Libr12->t2vrr_classes[4][10] = int_stack + 2460;
 Libr12->t2vrr_classes[5][6] = int_stack + 3450;
 Libr12->t2vrr_classes[5][7] = int_stack + 4038;
 Libr12->t2vrr_classes[5][8] = int_stack + 4794;
 Libr12->t2vrr_classes[5][9] = int_stack + 5739;
 Libr12->t2vrr_classes[5][10] = int_stack + 6894;
 Libr12->t2vrr_classes[6][6] = int_stack + 8280;
 Libr12->t2vrr_classes[6][7] = int_stack + 9064;
 Libr12->t2vrr_classes[6][8] = int_stack + 10072;
 Libr12->t2vrr_classes[6][9] = int_stack + 11332;
 Libr12->t2vrr_classes[6][10] = int_stack + 12872;
 Libr12->t2vrr_classes[7][6] = int_stack + 14720;
 Libr12->t2vrr_classes[7][7] = int_stack + 15728;
 Libr12->t2vrr_classes[7][8] = int_stack + 17024;
 Libr12->t2vrr_classes[7][9] = int_stack + 18644;
 Libr12->t2vrr_classes[7][10] = int_stack + 20624;
 Libr12->gvrr_classes[9][6] = int_stack + 23000;
 Libr12->t2vrr_classes[8][6] = int_stack + 24540;
 Libr12->gvrr_classes[9][7] = int_stack + 25800;
 Libr12->t2vrr_classes[8][7] = int_stack + 27780;
 Libr12->gvrr_classes[9][8] = int_stack + 29400;
 Libr12->t2vrr_classes[8][8] = int_stack + 31875;
 Libr12->gvrr_classes[9][9] = int_stack + 33900;
 Libr12->t2vrr_classes[8][9] = int_stack + 36925;
 Libr12->t2vrr_classes[8][10] = int_stack + 39400;
 Libr12->gvrr_classes[4][11] = int_stack + 42370;
 Libr12->t1vrr_classes[4][6] = int_stack + 43540;
 Libr12->t1vrr_classes[4][7] = int_stack + 43960;
 Libr12->t1vrr_classes[4][8] = int_stack + 44500;
 Libr12->t1vrr_classes[4][9] = int_stack + 45175;
 Libr12->t1vrr_classes[4][10] = int_stack + 46000;
 Libr12->gvrr_classes[5][11] = int_stack + 46990;
 Libr12->t1vrr_classes[5][6] = int_stack + 48628;
 Libr12->t1vrr_classes[5][7] = int_stack + 49216;
 Libr12->t1vrr_classes[5][8] = int_stack + 49972;
 Libr12->t1vrr_classes[5][9] = int_stack + 50917;
 Libr12->t1vrr_classes[5][10] = int_stack + 52072;
 Libr12->gvrr_classes[6][11] = int_stack + 53458;
 Libr12->t1vrr_classes[6][6] = int_stack + 55642;
 Libr12->t1vrr_classes[6][7] = int_stack + 56426;
 Libr12->t1vrr_classes[6][8] = int_stack + 57434;
 Libr12->t1vrr_classes[6][9] = int_stack + 58694;
 Libr12->t1vrr_classes[6][10] = int_stack + 60234;
 Libr12->gvrr_classes[7][11] = int_stack + 62082;
 Libr12->t1vrr_classes[7][6] = int_stack + 64890;
 Libr12->t1vrr_classes[7][7] = int_stack + 65898;
 Libr12->t1vrr_classes[7][8] = int_stack + 67194;
 Libr12->t1vrr_classes[7][9] = int_stack + 68814;
 Libr12->t1vrr_classes[7][10] = int_stack + 70794;
 Libr12->t1vrr_classes[8][6] = int_stack + 73170;
 Libr12->t1vrr_classes[8][7] = int_stack + 74430;
 Libr12->t1vrr_classes[8][8] = int_stack + 76050;
 Libr12->t1vrr_classes[8][9] = int_stack + 78075;
 Libr12->t1vrr_classes[8][10] = int_stack + 80550;
 Libr12->rvrr_classes[4][6] = int_stack + 83520;
 Libr12->rvrr_classes[4][7] = int_stack + 83940;
 Libr12->rvrr_classes[4][8] = int_stack + 84480;
 Libr12->rvrr_classes[4][9] = int_stack + 85155;
 Libr12->rvrr_classes[4][10] = int_stack + 85980;
 Libr12->rvrr_classes[5][6] = int_stack + 86970;
 Libr12->rvrr_classes[5][7] = int_stack + 87558;
 Libr12->rvrr_classes[5][8] = int_stack + 88314;
 Libr12->rvrr_classes[5][9] = int_stack + 89259;
 Libr12->rvrr_classes[5][10] = int_stack + 90414;
 Libr12->rvrr_classes[6][6] = int_stack + 91800;
 Libr12->rvrr_classes[6][7] = int_stack + 92584;
 Libr12->rvrr_classes[6][8] = int_stack + 93592;
 Libr12->rvrr_classes[6][9] = int_stack + 94852;
 Libr12->rvrr_classes[6][10] = int_stack + 96392;
 Libr12->rvrr_classes[7][6] = int_stack + 98240;
 Libr12->rvrr_classes[7][7] = int_stack + 99248;
 Libr12->rvrr_classes[7][8] = int_stack + 100544;
 Libr12->rvrr_classes[7][9] = int_stack + 102164;
 Libr12->rvrr_classes[7][10] = int_stack + 104144;
 Libr12->rvrr_classes[8][6] = int_stack + 106520;
 Libr12->rvrr_classes[8][7] = int_stack + 107780;
 Libr12->rvrr_classes[8][8] = int_stack + 109400;
 Libr12->rvrr_classes[8][9] = int_stack + 111425;
 Libr12->rvrr_classes[8][10] = int_stack + 113900;
 Libr12->gvrr_classes[4][6] = int_stack + 116870;
 Libr12->gvrr_classes[4][7] = int_stack + 117290;
 Libr12->gvrr_classes[4][8] = int_stack + 117830;
 Libr12->gvrr_classes[4][9] = int_stack + 118505;
 Libr12->gvrr_classes[4][10] = int_stack + 119330;
 Libr12->gvrr_classes[5][6] = int_stack + 120320;
 Libr12->gvrr_classes[5][7] = int_stack + 120908;
 Libr12->gvrr_classes[5][8] = int_stack + 121664;
 Libr12->gvrr_classes[5][9] = int_stack + 122609;
 Libr12->gvrr_classes[5][10] = int_stack + 123764;
 Libr12->gvrr_classes[6][6] = int_stack + 125150;
 Libr12->gvrr_classes[6][7] = int_stack + 125934;
 Libr12->gvrr_classes[6][8] = int_stack + 126942;
 Libr12->gvrr_classes[6][9] = int_stack + 128202;
 Libr12->gvrr_classes[6][10] = int_stack + 129742;
 Libr12->gvrr_classes[7][6] = int_stack + 131590;
 Libr12->gvrr_classes[7][7] = int_stack + 132598;
 Libr12->gvrr_classes[7][8] = int_stack + 133894;
 Libr12->gvrr_classes[7][9] = int_stack + 135514;
 Libr12->gvrr_classes[7][10] = int_stack + 137494;
 Libr12->gvrr_classes[8][6] = int_stack + 139870;
 Libr12->gvrr_classes[8][7] = int_stack + 141130;
 Libr12->gvrr_classes[8][8] = int_stack + 142750;
 Libr12->gvrr_classes[8][9] = int_stack + 144775;
 Libr12->gvrr_classes[8][10] = int_stack + 147250;
 memset(int_stack,0,150220*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 150220;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ggig(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+150220, int_stack+117290, int_stack+116870, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+151480, int_stack+117830, int_stack+117290, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+153100, int_stack+151480, int_stack+150220, 15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+155620, int_stack+118505, int_stack+117830, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+157645, int_stack+155620, int_stack+151480, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+160885, int_stack+157645, int_stack+153100, 15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+165085, int_stack+120908, int_stack+120320, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+166849, int_stack+121664, int_stack+120908, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+169117, int_stack+166849, int_stack+165085, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+172645, int_stack+122609, int_stack+121664, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+175480, int_stack+172645, int_stack+166849, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+180016, int_stack+175480, int_stack+169117, 21);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+185896, int_stack+119330, int_stack+118505, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+188371, int_stack+185896, int_stack+155620, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+192421, int_stack+188371, int_stack+157645, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+197821, int_stack+420, int_stack+0, int_stack+117290, int_stack+120320, int_stack+116870, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+199081, int_stack+960, int_stack+420, int_stack+117830, int_stack+120908, int_stack+117290, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+200701, int_stack+199081, int_stack+197821, int_stack+151480, int_stack+165085, int_stack+150220, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+203221, int_stack+1635, int_stack+960, int_stack+118505, int_stack+121664, int_stack+117830, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+205246, int_stack+203221, int_stack+199081, int_stack+155620, int_stack+166849, int_stack+151480, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+208486, int_stack+205246, int_stack+200701, int_stack+157645, int_stack+169117, int_stack+153100, 4, 0);
 /*--- compute (g0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+150220, int_stack+2460, int_stack+1635, int_stack+119330, int_stack+122609, int_stack+118505, 4, 0);
 /*--- compute (g0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+197821, int_stack+150220, int_stack+203221, int_stack+185896, int_stack+172645, int_stack+155620, 4, 0);
 /*--- compute (g0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+150220, int_stack+197821, int_stack+205246, int_stack+188371, int_stack+175480, int_stack+157645, 4, 0);
 /*--- compute (g0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+197821, int_stack+150220, int_stack+208486, int_stack+192421, int_stack+180016, int_stack+160885, 4, 0);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+150220, int_stack+125934, int_stack+125150, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+152572, int_stack+126942, int_stack+125934, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+155596, int_stack+152572, int_stack+150220, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+204121, int_stack+128202, int_stack+126942, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+207901, int_stack+204121, int_stack+152572, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+213949, int_stack+207901, int_stack+155596, 28);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+221789, int_stack+123764, int_stack+122609, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+225254, int_stack+221789, int_stack+172645, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+230924, int_stack+225254, int_stack+175480, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+116870, int_stack+4038, int_stack+3450, int_stack+120908, int_stack+125150, int_stack+120320, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+4794, int_stack+4038, int_stack+121664, int_stack+125934, int_stack+120908, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+238484, int_stack+0, int_stack+116870, int_stack+166849, int_stack+150220, int_stack+165085, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+242012, int_stack+5739, int_stack+4794, int_stack+122609, int_stack+126942, int_stack+121664, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+244847, int_stack+242012, int_stack+0, int_stack+172645, int_stack+152572, int_stack+166849, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+249383, int_stack+244847, int_stack+238484, int_stack+175480, int_stack+155596, int_stack+169117, 5, 0);
 /*--- compute (h0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+238484, int_stack+6894, int_stack+5739, int_stack+123764, int_stack+128202, int_stack+122609, 5, 0);
 /*--- compute (h0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+238484, int_stack+242012, int_stack+221789, int_stack+204121, int_stack+172645, 5, 0);
 /*--- compute (h0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+165085, int_stack+0, int_stack+244847, int_stack+225254, int_stack+207901, int_stack+175480, 5, 0);
 /*--- compute (h0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+238484, int_stack+165085, int_stack+249383, int_stack+230924, int_stack+213949, int_stack+180016, 5, 0);
 /*--- compute (gp|[r12,T2]|ig) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+247304, int_stack+238484, int_stack+197821, 420);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+197821, int_stack+132598, int_stack+131590, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+165085, int_stack+133894, int_stack+132598, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+168973, int_stack+165085, int_stack+197821, 36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+175021, int_stack+135514, int_stack+133894, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+175021, int_stack+165085, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+266204, int_stack+0, int_stack+168973, 36);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+276284, int_stack+129742, int_stack+128202, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+280904, int_stack+276284, int_stack+204121, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+288464, int_stack+280904, int_stack+207901, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+200845, int_stack+9064, int_stack+8280, int_stack+125934, int_stack+131590, int_stack+125150, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+120320, int_stack+10072, int_stack+9064, int_stack+126942, int_stack+132598, int_stack+125934, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+298544, int_stack+120320, int_stack+200845, int_stack+152572, int_stack+197821, int_stack+150220, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+303248, int_stack+11332, int_stack+10072, int_stack+128202, int_stack+133894, int_stack+126942, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+307028, int_stack+303248, int_stack+120320, int_stack+204121, int_stack+165085, int_stack+152572, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+313076, int_stack+307028, int_stack+298544, int_stack+207901, int_stack+168973, int_stack+155596, 6, 0);
 /*--- compute (i0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+298544, int_stack+12872, int_stack+11332, int_stack+129742, int_stack+135514, int_stack+128202, 6, 0);
 /*--- compute (i0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+150220, int_stack+298544, int_stack+303248, int_stack+276284, int_stack+175021, int_stack+204121, 6, 0);
 /*--- compute (i0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+320916, int_stack+150220, int_stack+307028, int_stack+280904, int_stack+0, int_stack+207901, 6, 0);
 /*--- compute (i0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+298544, int_stack+320916, int_stack+313076, int_stack+288464, int_stack+266204, int_stack+213949, 6, 0);
 /*--- compute (hp|[r12,T2]|ig) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+310304, int_stack+298544, int_stack+238484, 420);
 /*--- compute (gd|[r12,T2]|ig) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+336764, int_stack+310304, int_stack+247304, 420);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+238484, int_stack+141130, int_stack+139870, 45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+242264, int_stack+142750, int_stack+141130, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+247124, int_stack+242264, int_stack+238484, 45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+254684, int_stack+144775, int_stack+142750, 45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+150220, int_stack+254684, int_stack+242264, 45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+200845, int_stack+150220, int_stack+247124, 45);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+7776, int_stack+137494, int_stack+135514, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+374564, int_stack+7776, int_stack+175021, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+384284, int_stack+374564, int_stack+0, 36);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+260759, int_stack+15728, int_stack+14720, int_stack+132598, int_stack+139870, int_stack+131590, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+125150, int_stack+17024, int_stack+15728, int_stack+133894, int_stack+141130, int_stack+132598, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+397244, int_stack+125150, int_stack+260759, int_stack+165085, int_stack+238484, int_stack+197821, 7, 0);
 /*--- compute (k0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+260759, int_stack+18644, int_stack+17024, int_stack+135514, int_stack+142750, int_stack+133894, 7, 0);
 /*--- compute (k0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+403292, int_stack+260759, int_stack+125150, int_stack+175021, int_stack+242264, int_stack+165085, 7, 0);
 /*--- compute (k0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+411068, int_stack+403292, int_stack+397244, int_stack+0, int_stack+247124, int_stack+168973, 7, 0);
 /*--- compute (k0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+397244, int_stack+20624, int_stack+18644, int_stack+137494, int_stack+144775, int_stack+135514, 7, 0);
 /*--- compute (k0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+165085, int_stack+397244, int_stack+260759, int_stack+7776, int_stack+254684, int_stack+175021, 7, 0);
 /*--- compute (k0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+421148, int_stack+165085, int_stack+403292, int_stack+374564, int_stack+150220, int_stack+0, 7, 0);
 /*--- compute (k0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+434108, int_stack+421148, int_stack+411068, int_stack+384284, int_stack+200845, int_stack+266204, 7, 0);
 /*--- compute (ip|[r12,T2]|ig) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+397244, int_stack+434108, int_stack+298544, 420);
 /*--- compute (hd|[r12,T2]|ig) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+449228, int_stack+397244, int_stack+310304, 420);
 /*--- compute (gf|[r12,T2]|ig) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+502148, int_stack+449228, int_stack+336764, 420);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+298544, int_stack+25800, int_stack+23000, 55);
 /*--- compute (m0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+303164, int_stack+29400, int_stack+25800, 55);
 /*--- compute (m0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+309104, int_stack+303164, int_stack+298544, 55);
 /*--- compute (m0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+318344, int_stack+33900, int_stack+29400, 55);
 /*--- compute (m0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+325769, int_stack+318344, int_stack+303164, 55);
 /*--- compute (m0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+337649, int_stack+325769, int_stack+309104, 55);
 /*--- compute (l0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+353049, int_stack+147250, int_stack+144775, 45);
 /*--- compute (l0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+360474, int_stack+353049, int_stack+254684, 45);
 /*--- compute (l0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+565148, int_stack+360474, int_stack+150220, 45);
 /*--- compute (l0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+27780, int_stack+24540, int_stack+141130, int_stack+23000, int_stack+139870, 8, 0);
 /*--- compute (l0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+165085, int_stack+31875, int_stack+27780, int_stack+142750, int_stack+25800, int_stack+141130, 8, 0);
 /*--- compute (l0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+169945, int_stack+165085, int_stack+0, int_stack+242264, int_stack+298544, int_stack+238484, 8, 0);
 /*--- compute (l0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+36925, int_stack+31875, int_stack+144775, int_stack+29400, int_stack+142750, 8, 0);
 /*--- compute (l0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+13716, int_stack+0, int_stack+165085, int_stack+254684, int_stack+303164, int_stack+242264, 8, 0);
 /*--- compute (l0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+581348, int_stack+13716, int_stack+169945, int_stack+150220, int_stack+309104, int_stack+247124, 8, 0);
 /*--- compute (l0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+165085, int_stack+39400, int_stack+36925, int_stack+147250, int_stack+33900, int_stack+144775, 8, 0);
 /*--- compute (l0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+238484, int_stack+165085, int_stack+0, int_stack+353049, int_stack+318344, int_stack+254684, 8, 0);
 /*--- compute (l0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+298544, int_stack+238484, int_stack+13716, int_stack+360474, int_stack+325769, int_stack+150220, 8, 0);
 /*--- compute (l0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+13716, int_stack+298544, int_stack+581348, int_stack+565148, int_stack+337649, int_stack+200845, 8, 0);
 /*--- compute (kp|[r12,T2]|ig) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+298544, int_stack+13716, int_stack+434108, 420);
 /*--- compute (id|[r12,T2]|ig) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+581348, int_stack+298544, int_stack+397244, 420);
 /*--- compute (hf|[r12,T2]|ig) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+651908, int_stack+581348, int_stack+449228, 420);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+581348, int_stack+192421, int_stack+160885, 15);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+587648, int_stack+230924, int_stack+180016, 21);
 /*--- compute (gp|ig) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+596468, int_stack+587648, int_stack+581348, 420);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+615368, int_stack+288464, int_stack+213949, 28);
 /*--- compute (hp|ig) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+397244, int_stack+615368, int_stack+587648, 420);
 /*--- compute (gd|ig) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+423704, int_stack+397244, int_stack+596468, 420);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+627128, int_stack+384284, int_stack+266204, 36);
 /*--- compute (ip|ig) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+461504, int_stack+627128, int_stack+615368, 420);
 /*--- compute (hd|ig) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+298544, int_stack+461504, int_stack+397244, 420);
 /*--- compute (gf|ig) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+740108, int_stack+298544, int_stack+423704, 420);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+642248, int_stack+42370, int_stack+119330, 15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+645218, int_stack+642248, int_stack+185896, 15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+351464, int_stack+645218, int_stack+188371, 15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+642248, int_stack+351464, int_stack+192421, 15);
 /*--- compute (h0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+351464, int_stack+46990, int_stack+123764, 21);
 /*--- compute (h0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+355622, int_stack+351464, int_stack+221789, 21);
 /*--- compute (h0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+362552, int_stack+355622, int_stack+225254, 21);
 /*--- compute (h0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+13716, int_stack+362552, int_stack+230924, 21);
 /*--- compute (gp|kg) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+139870, int_stack+13716, int_stack+642248, 540);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+351464, int_stack+53458, int_stack+129742, 28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+357008, int_stack+351464, int_stack+276284, 28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+25056, int_stack+357008, int_stack+280904, 28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+351464, int_stack+25056, int_stack+288464, 28);
 /*--- compute (hp|kg) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+164170, int_stack+351464, int_stack+13716, 540);
 /*--- compute (gd|kg) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+213445, int_stack+164170, int_stack+139870, 540);
 /*--- compute (k0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+25056, int_stack+62082, int_stack+137494, 36);
 /*--- compute (k0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+262045, int_stack+25056, int_stack+7776, 36);
 /*--- compute (k0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+25056, int_stack+262045, int_stack+374564, 36);
 /*--- compute (k0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+262045, int_stack+25056, int_stack+384284, 36);
 /*--- compute (ip|kg) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+803108, int_stack+262045, int_stack+351464, 540);
 /*--- compute (hd|kg) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+848468, int_stack+803108, int_stack+164170, 540);
 /*--- compute (gf|kg) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+916508, int_stack+848468, int_stack+213445, 540);
 /*--- compute (l0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+366584, int_stack+565148, int_stack+200845, 45);
 /*--- compute (kp|ig) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+997508, int_stack+366584, int_stack+627128, 420);
 /*--- compute (id|ig) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+1042868, int_stack+997508, int_stack+461504, 420);
 /*--- compute (hf|ig) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+1113428, int_stack+1042868, int_stack+298544, 420);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+565148, int_stack+43960, int_stack+43540, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+566408, int_stack+44500, int_stack+43960, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+568028, int_stack+566408, int_stack+565148, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+570548, int_stack+45175, int_stack+44500, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+572573, int_stack+570548, int_stack+566408, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+575813, int_stack+572573, int_stack+568028, 15);
 /*--- compute (g0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+565148, int_stack+46000, int_stack+45175, 15);
 /*--- compute (g0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+25056, int_stack+565148, int_stack+570548, 15);
 /*--- compute (g0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+565148, int_stack+25056, int_stack+572573, 15);
 /*--- compute (g0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+25056, int_stack+565148, int_stack+575813, 15);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+565148, int_stack+49216, int_stack+48628, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+566912, int_stack+49972, int_stack+49216, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+569180, int_stack+566912, int_stack+565148, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+572708, int_stack+50917, int_stack+49972, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+575543, int_stack+572708, int_stack+566912, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+31356, int_stack+575543, int_stack+569180, 21);
 /*--- compute (h0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+565148, int_stack+52072, int_stack+50917, 21);
 /*--- compute (h0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+37236, int_stack+565148, int_stack+572708, 21);
 /*--- compute (h0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+565148, int_stack+37236, int_stack+575543, 21);
 /*--- compute (h0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+37236, int_stack+565148, int_stack+31356, 21);
 /*--- compute (gp|[r12,T1]|ig) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+116870, int_stack+37236, int_stack+25056, int_stack+587648, int_stack+642248, int_stack+581348, 6, 4);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+642248, int_stack+56426, int_stack+55642, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+644600, int_stack+57434, int_stack+56426, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+25056, int_stack+644600, int_stack+642248, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+647624, int_stack+58694, int_stack+57434, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+29760, int_stack+647624, int_stack+644600, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+565148, int_stack+29760, int_stack+25056, 28);
 /*--- compute (i0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+25056, int_stack+60234, int_stack+58694, 28);
 /*--- compute (i0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+572988, int_stack+25056, int_stack+647624, 28);
 /*--- compute (i0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+46056, int_stack+572988, int_stack+29760, 28);
 /*--- compute (i0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+385484, int_stack+46056, int_stack+565148, 28);
 /*--- compute (hp|[r12,T1]|ig) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1201628, int_stack+385484, int_stack+37236, int_stack+615368, int_stack+13716, int_stack+587648, 6, 4);
 /*--- compute (gd|[r12,T1]|ig) ---*/
   t1hrr1_build_gd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+0, int_stack+1201628, int_stack+116870, int_stack+397244, int_stack+139870, int_stack+596468, 6, 4);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+116870, int_stack+65898, int_stack+64890, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+119894, int_stack+67194, int_stack+65898, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+123782, int_stack+119894, int_stack+116870, 36);
 /*--- compute (k0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+129830, int_stack+68814, int_stack+67194, 36);
 /*--- compute (k0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+134690, int_stack+129830, int_stack+119894, 36);
 /*--- compute (k0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+142466, int_stack+134690, int_stack+123782, 36);
 /*--- compute (k0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+116870, int_stack+70794, int_stack+68814, 36);
 /*--- compute (k0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+152546, int_stack+116870, int_stack+129830, 36);
 /*--- compute (k0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+116870, int_stack+152546, int_stack+134690, 36);
 /*--- compute (k0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+565148, int_stack+116870, int_stack+142466, 36);
 /*--- compute (ip|[r12,T1]|ig) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+116870, int_stack+565148, int_stack+385484, int_stack+627128, int_stack+351464, int_stack+615368, 6, 4);
 /*--- compute (hd|[r12,T1]|ig) ---*/
   t1hrr1_build_hd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1228088, int_stack+116870, int_stack+1201628, int_stack+461504, int_stack+164170, int_stack+397244, 6, 4);
 /*--- compute (gf|[r12,T1]|ig) ---*/
   t1hrr1_build_gf(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1281008, int_stack+1228088, int_stack+0, int_stack+298544, int_stack+213445, int_stack+423704, 6, 4);
 /*--- compute (l0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+74430, int_stack+73170, 45);
 /*--- compute (l0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3780, int_stack+76050, int_stack+74430, 45);
 /*--- compute (l0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+8640, int_stack+3780, int_stack+0, 45);
 /*--- compute (l0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+16200, int_stack+78075, int_stack+76050, 45);
 /*--- compute (l0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+22275, int_stack+16200, int_stack+3780, 45);
 /*--- compute (l0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+31995, int_stack+22275, int_stack+8640, 45);
 /*--- compute (l0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+80550, int_stack+78075, 45);
 /*--- compute (l0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+44595, int_stack+0, int_stack+16200, 45);
 /*--- compute (l0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+44595, int_stack+22275, 45);
 /*--- compute (l0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+44595, int_stack+0, int_stack+31995, 45);
 /*--- compute (kp|[r12,T1]|ig) ---*/
   t1hrr1_build_kp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+385484, int_stack+44595, int_stack+565148, int_stack+366584, int_stack+262045, int_stack+627128, 6, 4);
 /*--- compute (id|[r12,T1]|ig) ---*/
   t1hrr1_build_id(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+565148, int_stack+385484, int_stack+116870, int_stack+997508, int_stack+803108, int_stack+461504, 6, 4);
 /*--- compute (hf|[r12,T1]|ig) ---*/
   t1hrr1_build_hf(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+116870, int_stack+565148, int_stack+1228088, int_stack+1042868, int_stack+848468, int_stack+298544, 6, 4);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+565148, int_stack+83940, int_stack+83520, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+566408, int_stack+84480, int_stack+83940, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+568028, int_stack+566408, int_stack+565148, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+570548, int_stack+85155, int_stack+84480, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+572573, int_stack+570548, int_stack+566408, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+575813, int_stack+572573, int_stack+568028, 15);
 /*--- compute (g0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+565148, int_stack+85980, int_stack+85155, 15);
 /*--- compute (g0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+580013, int_stack+565148, int_stack+570548, 15);
 /*--- compute (g0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+565148, int_stack+580013, int_stack+572573, 15);
 /*--- compute (g0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+580013, int_stack+565148, int_stack+575813, 15);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+565148, int_stack+87558, int_stack+86970, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+566912, int_stack+88314, int_stack+87558, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+569180, int_stack+566912, int_stack+565148, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+572708, int_stack+89259, int_stack+88314, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+586313, int_stack+572708, int_stack+566912, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+590849, int_stack+586313, int_stack+569180, 21);
 /*--- compute (h0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+565148, int_stack+90414, int_stack+89259, 21);
 /*--- compute (h0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+596729, int_stack+565148, int_stack+572708, 21);
 /*--- compute (h0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+565148, int_stack+596729, int_stack+586313, 21);
 /*--- compute (h0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+596729, int_stack+565148, int_stack+590849, 21);
 /*--- compute (gp||ig) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+605549, int_stack+596729, int_stack+580013, 420);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+565148, int_stack+92584, int_stack+91800, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+567500, int_stack+93592, int_stack+92584, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+570524, int_stack+567500, int_stack+565148, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+575228, int_stack+94852, int_stack+93592, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+579008, int_stack+575228, int_stack+567500, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+585056, int_stack+579008, int_stack+570524, 28);
 /*--- compute (i0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+565148, int_stack+96392, int_stack+94852, 28);
 /*--- compute (i0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+624449, int_stack+565148, int_stack+575228, 28);
 /*--- compute (i0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+565148, int_stack+624449, int_stack+579008, 28);
 /*--- compute (i0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+624449, int_stack+565148, int_stack+585056, 28);
 /*--- compute (hp||ig) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+565148, int_stack+624449, int_stack+596729, 420);
 /*--- compute (gd||ig) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+803108, int_stack+565148, int_stack+605549, 420);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+591608, int_stack+99248, int_stack+98240, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+594632, int_stack+100544, int_stack+99248, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+598520, int_stack+594632, int_stack+591608, 36);
 /*--- compute (k0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+604568, int_stack+102164, int_stack+100544, 36);
 /*--- compute (k0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+609428, int_stack+604568, int_stack+594632, 36);
 /*--- compute (k0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+636209, int_stack+609428, int_stack+598520, 36);
 /*--- compute (k0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+591608, int_stack+104144, int_stack+102164, 36);
 /*--- compute (k0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+840908, int_stack+591608, int_stack+604568, 36);
 /*--- compute (k0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+591608, int_stack+840908, int_stack+609428, 36);
 /*--- compute (k0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+840908, int_stack+591608, int_stack+636209, 36);
 /*--- compute (ip||ig) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+856028, int_stack+840908, int_stack+624449, 420);
 /*--- compute (hd||ig) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+591608, int_stack+856028, int_stack+565148, 420);
 /*--- compute (gf||ig) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+997508, int_stack+591608, int_stack+803108, 420);
 /*--- compute (l0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+803108, int_stack+107780, int_stack+106520, 45);
 /*--- compute (l0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+806888, int_stack+109400, int_stack+107780, 45);
 /*--- compute (l0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+811748, int_stack+806888, int_stack+803108, 45);
 /*--- compute (l0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+819308, int_stack+111425, int_stack+109400, 45);
 /*--- compute (l0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+825383, int_stack+819308, int_stack+806888, 45);
 /*--- compute (l0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+565148, int_stack+825383, int_stack+811748, 45);
 /*--- compute (l0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+803108, int_stack+113900, int_stack+111425, 45);
 /*--- compute (l0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+577748, int_stack+803108, int_stack+819308, 45);
 /*--- compute (l0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+803108, int_stack+577748, int_stack+825383, 45);
 /*--- compute (l0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+819308, int_stack+803108, int_stack+565148, 45);
 /*--- compute (kp||ig) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+1060508, int_stack+819308, int_stack+840908, 420);
 /*--- compute (id||ig) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+205070, int_stack+1060508, int_stack+856028, 420);
 /*--- compute (hf||ig) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+803108, int_stack+205070, int_stack+591608, 420);
 /*--- compute (gg|[r12,T2]|ig) ---*/
   hrr1_build_gg(Libr12->ShellQuartet.AB,int_stack+205070, int_stack+651908, int_stack+502148, 420);
     Libr12->te_ptr[3] = int_stack + 205070;
 /*--- compute (gg|[r12,T1]|ig) ---*/
   t1hrr1_build_gg(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+299570, int_stack+116870, int_stack+1281008, int_stack+1113428, int_stack+916508, int_stack+740108, 6, 4);
     Libr12->te_ptr[2] = int_stack + 299570;
 /*--- compute (gg||ig) ---*/
   hrr1_build_gg(Libr12->ShellQuartet.AB,int_stack+394070, int_stack+803108, int_stack+997508, 420);
     Libr12->te_ptr[1] = int_stack + 394070;
 /*--- compute (gg|ig) ---*/
   hrr1_build_gg(Libr12->ShellQuartet.AB,int_stack+803108, int_stack+1113428, int_stack+740108, 420);
     Libr12->te_ptr[0] = int_stack + 803108;

}
