#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_hfid(Libr12_t *, prim_data *);

  /* Computes (hf|id) integrals for linear R12-methods */

void hrr_grt_order_hfid(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[5][6] = int_stack + 0;
 Libr12->t2vrr_classes[5][7] = int_stack + 588;
 Libr12->t2vrr_classes[5][8] = int_stack + 1344;
 Libr12->t2vrr_classes[6][6] = int_stack + 2289;
 Libr12->t2vrr_classes[6][7] = int_stack + 3073;
 Libr12->t2vrr_classes[6][8] = int_stack + 4081;
 Libr12->t2vrr_classes[7][6] = int_stack + 5341;
 Libr12->t2vrr_classes[7][7] = int_stack + 6349;
 Libr12->t2vrr_classes[7][8] = int_stack + 7645;
 Libr12->gvrr_classes[9][6] = int_stack + 9265;
 Libr12->t2vrr_classes[8][6] = int_stack + 10805;
 Libr12->gvrr_classes[9][7] = int_stack + 12065;
 Libr12->t2vrr_classes[8][7] = int_stack + 14045;
 Libr12->t2vrr_classes[8][8] = int_stack + 15665;
 Libr12->gvrr_classes[5][9] = int_stack + 17690;
 Libr12->t1vrr_classes[5][6] = int_stack + 18845;
 Libr12->t1vrr_classes[5][7] = int_stack + 19433;
 Libr12->t1vrr_classes[5][8] = int_stack + 20189;
 Libr12->gvrr_classes[6][9] = int_stack + 21134;
 Libr12->t1vrr_classes[6][6] = int_stack + 22674;
 Libr12->t1vrr_classes[6][7] = int_stack + 23458;
 Libr12->t1vrr_classes[6][8] = int_stack + 24466;
 Libr12->gvrr_classes[7][9] = int_stack + 25726;
 Libr12->t1vrr_classes[7][6] = int_stack + 27706;
 Libr12->t1vrr_classes[7][7] = int_stack + 28714;
 Libr12->t1vrr_classes[7][8] = int_stack + 30010;
 Libr12->t1vrr_classes[8][6] = int_stack + 31630;
 Libr12->t1vrr_classes[8][7] = int_stack + 32890;
 Libr12->t1vrr_classes[8][8] = int_stack + 34510;
 Libr12->rvrr_classes[5][6] = int_stack + 36535;
 Libr12->rvrr_classes[5][7] = int_stack + 37123;
 Libr12->rvrr_classes[5][8] = int_stack + 37879;
 Libr12->rvrr_classes[6][6] = int_stack + 38824;
 Libr12->rvrr_classes[6][7] = int_stack + 39608;
 Libr12->rvrr_classes[6][8] = int_stack + 40616;
 Libr12->rvrr_classes[7][6] = int_stack + 41876;
 Libr12->rvrr_classes[7][7] = int_stack + 42884;
 Libr12->rvrr_classes[7][8] = int_stack + 44180;
 Libr12->rvrr_classes[8][6] = int_stack + 45800;
 Libr12->rvrr_classes[8][7] = int_stack + 47060;
 Libr12->rvrr_classes[8][8] = int_stack + 48680;
 Libr12->gvrr_classes[5][6] = int_stack + 50705;
 Libr12->gvrr_classes[5][7] = int_stack + 51293;
 Libr12->gvrr_classes[5][8] = int_stack + 52049;
 Libr12->gvrr_classes[6][6] = int_stack + 52994;
 Libr12->gvrr_classes[6][7] = int_stack + 53778;
 Libr12->gvrr_classes[6][8] = int_stack + 54786;
 Libr12->gvrr_classes[7][6] = int_stack + 56046;
 Libr12->gvrr_classes[7][7] = int_stack + 57054;
 Libr12->gvrr_classes[7][8] = int_stack + 58350;
 Libr12->gvrr_classes[8][6] = int_stack + 59970;
 Libr12->gvrr_classes[8][7] = int_stack + 61230;
 Libr12->gvrr_classes[8][8] = int_stack + 62850;
 memset(int_stack,0,64875*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 64875;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_hfid(Libr12, Data);
   Data++;
 }

 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+64875, int_stack+51293, int_stack+50705, 21);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+66639, int_stack+53778, int_stack+52994, 28);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+68991, int_stack+52049, int_stack+51293, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+71259, int_stack+588, int_stack+0, int_stack+51293, int_stack+52994, int_stack+50705, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+73023, int_stack+1344, int_stack+588, int_stack+52049, int_stack+53778, int_stack+51293, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+75291, int_stack+73023, int_stack+71259, int_stack+68991, int_stack+66639, int_stack+64875, 5, 0);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+71259, int_stack+57054, int_stack+56046, 36);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+78819, int_stack+54786, int_stack+53778, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+81843, int_stack+3073, int_stack+2289, int_stack+53778, int_stack+56046, int_stack+52994, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+4081, int_stack+3073, int_stack+54786, int_stack+57054, int_stack+53778, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+84195, int_stack+0, int_stack+81843, int_stack+78819, int_stack+71259, int_stack+66639, 6, 0);
 /*--- compute (hp|[r12,T2]|id) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+88899, int_stack+84195, int_stack+75291, 168);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+61230, int_stack+59970, 45);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+74283, int_stack+58350, int_stack+57054, 36);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+99483, int_stack+6349, int_stack+5341, int_stack+57054, int_stack+59970, int_stack+56046, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+102507, int_stack+7645, int_stack+6349, int_stack+58350, int_stack+61230, int_stack+57054, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+106395, int_stack+102507, int_stack+99483, int_stack+74283, int_stack+0, int_stack+71259, 7, 0);
 /*--- compute (ip|[r12,T2]|id) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+112443, int_stack+106395, int_stack+84195, 168);
 /*--- compute (hd|[r12,T2]|id) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+126555, int_stack+112443, int_stack+88899, 168);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+81843, int_stack+12065, int_stack+9265, 55);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+86463, int_stack+62850, int_stack+61230, 45);
 /*--- compute (l0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+91323, int_stack+14045, int_stack+10805, int_stack+61230, int_stack+9265, int_stack+59970, 8, 0);
 /*--- compute (l0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+95103, int_stack+15665, int_stack+14045, int_stack+62850, int_stack+12065, int_stack+61230, 8, 0);
 /*--- compute (l0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3780, int_stack+95103, int_stack+91323, int_stack+86463, int_stack+81843, int_stack+0, 8, 0);
 /*--- compute (kp|[r12,T2]|id) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+147723, int_stack+3780, int_stack+106395, 168);
 /*--- compute (id|[r12,T2]|id) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+165867, int_stack+147723, int_stack+112443, 168);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+147723, int_stack+68991, int_stack+64875, 21);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+151251, int_stack+78819, int_stack+66639, 28);
 /*--- compute (hp|id) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+3780, int_stack+151251, int_stack+147723, 168);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+155955, int_stack+74283, int_stack+71259, 36);
 /*--- compute (ip|id) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+91323, int_stack+155955, int_stack+151251, 168);
 /*--- compute (hd|id) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+194091, int_stack+91323, int_stack+3780, 168);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+71259, int_stack+17690, int_stack+52049, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+81843, int_stack+71259, int_stack+68991, 21);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+162003, int_stack+21134, int_stack+54786, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+105435, int_stack+162003, int_stack+78819, 28);
 /*--- compute (hp|kd) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+111483, int_stack+105435, int_stack+81843, 216);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+59970, int_stack+25726, int_stack+58350, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+64830, int_stack+59970, int_stack+74283, 36);
 /*--- compute (ip|kd) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+215259, int_stack+64830, int_stack+105435, 216);
 /*--- compute (hd|kd) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+233403, int_stack+215259, int_stack+111483, 216);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+72606, int_stack+86463, int_stack+0, 45);
 /*--- compute (kp|id) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+260619, int_stack+72606, int_stack+155955, 168);
 /*--- compute (id|id) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+278763, int_stack+260619, int_stack+91323, 168);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+19433, int_stack+18845, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+162003, int_stack+20189, int_stack+19433, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+14364, int_stack+162003, int_stack+0, 21);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+23458, int_stack+22674, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+162003, int_stack+24466, int_stack+23458, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+17892, int_stack+162003, int_stack+0, 28);
 /*--- compute (hp|[r12,T1]|id) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+50705, int_stack+17892, int_stack+14364, int_stack+151251, int_stack+81843, int_stack+147723, 6, 2);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+147723, int_stack+28714, int_stack+27706, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+22596, int_stack+30010, int_stack+28714, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+80166, int_stack+22596, int_stack+147723, 36);
 /*--- compute (ip|[r12,T1]|id) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+306987, int_stack+80166, int_stack+17892, int_stack+155955, int_stack+105435, int_stack+151251, 6, 2);
 /*--- compute (hd|[r12,T1]|id) ---*/
   t1hrr1_build_hd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+321099, int_stack+306987, int_stack+50705, int_stack+91323, int_stack+111483, int_stack+3780, 6, 2);
 /*--- compute (l0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+50705, int_stack+32890, int_stack+31630, 45);
 /*--- compute (l0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+54485, int_stack+34510, int_stack+32890, 45);
 /*--- compute (l0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+105435, int_stack+54485, int_stack+50705, 45);
 /*--- compute (kp|[r12,T1]|id) ---*/
   t1hrr1_build_kp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+0, int_stack+105435, int_stack+80166, int_stack+72606, int_stack+64830, int_stack+155955, 6, 2);
 /*--- compute (id|[r12,T1]|id) ---*/
   t1hrr1_build_id(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+50705, int_stack+0, int_stack+306987, int_stack+260619, int_stack+215259, int_stack+91323, 6, 2);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+215259, int_stack+37123, int_stack+36535, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+217023, int_stack+37879, int_stack+37123, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+219291, int_stack+217023, int_stack+215259, 21);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+215259, int_stack+39608, int_stack+38824, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+222819, int_stack+40616, int_stack+39608, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+225843, int_stack+222819, int_stack+215259, 28);
 /*--- compute (hp||id) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+260619, int_stack+225843, int_stack+219291, 168);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+215259, int_stack+42884, int_stack+41876, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+218283, int_stack+44180, int_stack+42884, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+271203, int_stack+218283, int_stack+215259, 36);
 /*--- compute (ip||id) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+306987, int_stack+271203, int_stack+225843, 168);
 /*--- compute (hd||id) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+0, int_stack+306987, int_stack+260619, 168);
 /*--- compute (l0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+260619, int_stack+47060, int_stack+45800, 45);
 /*--- compute (l0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+264399, int_stack+48680, int_stack+47060, 45);
 /*--- compute (l0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+215259, int_stack+264399, int_stack+260619, 45);
 /*--- compute (kp||id) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+147723, int_stack+215259, int_stack+271203, 168);
 /*--- compute (id||id) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+21168, int_stack+147723, int_stack+306987, 168);
 /*--- compute (hf|[r12,T2]|id) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+78929, int_stack+165867, int_stack+126555, 168);
     Libr12->te_ptr[3] = int_stack + 78929;
 /*--- compute (hf|[r12,T1]|id) ---*/
   t1hrr1_build_hf(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+114209, int_stack+50705, int_stack+321099, int_stack+278763, int_stack+233403, int_stack+194091, 6, 2);
     Libr12->te_ptr[2] = int_stack + 114209;
 /*--- compute (hf||id) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+306987, int_stack+21168, int_stack+0, 168);
     Libr12->te_ptr[1] = int_stack + 306987;
 /*--- compute (hf|id) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+0, int_stack+278763, int_stack+194091, 168);
     Libr12->te_ptr[0] = int_stack + 0;

}
