#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_hfih(Libr12_t *, prim_data *);

  /* Computes (hf|ih) integrals for linear R12-methods */

void hrr_grt_order_hfih(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[5][6] = int_stack + 0;
 Libr12->t2vrr_classes[5][7] = int_stack + 588;
 Libr12->t2vrr_classes[5][8] = int_stack + 1344;
 Libr12->t2vrr_classes[5][9] = int_stack + 2289;
 Libr12->t2vrr_classes[5][10] = int_stack + 3444;
 Libr12->t2vrr_classes[5][11] = int_stack + 4830;
 Libr12->t2vrr_classes[6][6] = int_stack + 6468;
 Libr12->t2vrr_classes[6][7] = int_stack + 7252;
 Libr12->t2vrr_classes[6][8] = int_stack + 8260;
 Libr12->t2vrr_classes[6][9] = int_stack + 9520;
 Libr12->t2vrr_classes[6][10] = int_stack + 11060;
 Libr12->t2vrr_classes[6][11] = int_stack + 12908;
 Libr12->t2vrr_classes[7][6] = int_stack + 15092;
 Libr12->t2vrr_classes[7][7] = int_stack + 16100;
 Libr12->t2vrr_classes[7][8] = int_stack + 17396;
 Libr12->t2vrr_classes[7][9] = int_stack + 19016;
 Libr12->t2vrr_classes[7][10] = int_stack + 20996;
 Libr12->t2vrr_classes[7][11] = int_stack + 23372;
 Libr12->gvrr_classes[9][6] = int_stack + 26180;
 Libr12->t2vrr_classes[8][6] = int_stack + 27720;
 Libr12->gvrr_classes[9][7] = int_stack + 28980;
 Libr12->t2vrr_classes[8][7] = int_stack + 30960;
 Libr12->gvrr_classes[9][8] = int_stack + 32580;
 Libr12->t2vrr_classes[8][8] = int_stack + 35055;
 Libr12->gvrr_classes[9][9] = int_stack + 37080;
 Libr12->t2vrr_classes[8][9] = int_stack + 40105;
 Libr12->gvrr_classes[9][10] = int_stack + 42580;
 Libr12->t2vrr_classes[8][10] = int_stack + 46210;
 Libr12->t2vrr_classes[8][11] = int_stack + 49180;
 Libr12->gvrr_classes[5][12] = int_stack + 52690;
 Libr12->t1vrr_classes[5][6] = int_stack + 54601;
 Libr12->t1vrr_classes[5][7] = int_stack + 55189;
 Libr12->t1vrr_classes[5][8] = int_stack + 55945;
 Libr12->t1vrr_classes[5][9] = int_stack + 56890;
 Libr12->t1vrr_classes[5][10] = int_stack + 58045;
 Libr12->t1vrr_classes[5][11] = int_stack + 59431;
 Libr12->gvrr_classes[6][12] = int_stack + 61069;
 Libr12->t1vrr_classes[6][6] = int_stack + 63617;
 Libr12->t1vrr_classes[6][7] = int_stack + 64401;
 Libr12->t1vrr_classes[6][8] = int_stack + 65409;
 Libr12->t1vrr_classes[6][9] = int_stack + 66669;
 Libr12->t1vrr_classes[6][10] = int_stack + 68209;
 Libr12->t1vrr_classes[6][11] = int_stack + 70057;
 Libr12->gvrr_classes[7][12] = int_stack + 72241;
 Libr12->t1vrr_classes[7][6] = int_stack + 75517;
 Libr12->t1vrr_classes[7][7] = int_stack + 76525;
 Libr12->t1vrr_classes[7][8] = int_stack + 77821;
 Libr12->t1vrr_classes[7][9] = int_stack + 79441;
 Libr12->t1vrr_classes[7][10] = int_stack + 81421;
 Libr12->t1vrr_classes[7][11] = int_stack + 83797;
 Libr12->t1vrr_classes[8][6] = int_stack + 86605;
 Libr12->t1vrr_classes[8][7] = int_stack + 87865;
 Libr12->t1vrr_classes[8][8] = int_stack + 89485;
 Libr12->t1vrr_classes[8][9] = int_stack + 91510;
 Libr12->t1vrr_classes[8][10] = int_stack + 93985;
 Libr12->t1vrr_classes[8][11] = int_stack + 96955;
 Libr12->rvrr_classes[5][6] = int_stack + 100465;
 Libr12->rvrr_classes[5][7] = int_stack + 101053;
 Libr12->rvrr_classes[5][8] = int_stack + 101809;
 Libr12->rvrr_classes[5][9] = int_stack + 102754;
 Libr12->rvrr_classes[5][10] = int_stack + 103909;
 Libr12->rvrr_classes[5][11] = int_stack + 105295;
 Libr12->rvrr_classes[6][6] = int_stack + 106933;
 Libr12->rvrr_classes[6][7] = int_stack + 107717;
 Libr12->rvrr_classes[6][8] = int_stack + 108725;
 Libr12->rvrr_classes[6][9] = int_stack + 109985;
 Libr12->rvrr_classes[6][10] = int_stack + 111525;
 Libr12->rvrr_classes[6][11] = int_stack + 113373;
 Libr12->rvrr_classes[7][6] = int_stack + 115557;
 Libr12->rvrr_classes[7][7] = int_stack + 116565;
 Libr12->rvrr_classes[7][8] = int_stack + 117861;
 Libr12->rvrr_classes[7][9] = int_stack + 119481;
 Libr12->rvrr_classes[7][10] = int_stack + 121461;
 Libr12->rvrr_classes[7][11] = int_stack + 123837;
 Libr12->rvrr_classes[8][6] = int_stack + 126645;
 Libr12->rvrr_classes[8][7] = int_stack + 127905;
 Libr12->rvrr_classes[8][8] = int_stack + 129525;
 Libr12->rvrr_classes[8][9] = int_stack + 131550;
 Libr12->rvrr_classes[8][10] = int_stack + 134025;
 Libr12->rvrr_classes[8][11] = int_stack + 136995;
 Libr12->gvrr_classes[5][6] = int_stack + 140505;
 Libr12->gvrr_classes[5][7] = int_stack + 141093;
 Libr12->gvrr_classes[5][8] = int_stack + 141849;
 Libr12->gvrr_classes[5][9] = int_stack + 142794;
 Libr12->gvrr_classes[5][10] = int_stack + 143949;
 Libr12->gvrr_classes[5][11] = int_stack + 145335;
 Libr12->gvrr_classes[6][6] = int_stack + 146973;
 Libr12->gvrr_classes[6][7] = int_stack + 147757;
 Libr12->gvrr_classes[6][8] = int_stack + 148765;
 Libr12->gvrr_classes[6][9] = int_stack + 150025;
 Libr12->gvrr_classes[6][10] = int_stack + 151565;
 Libr12->gvrr_classes[6][11] = int_stack + 153413;
 Libr12->gvrr_classes[7][6] = int_stack + 155597;
 Libr12->gvrr_classes[7][7] = int_stack + 156605;
 Libr12->gvrr_classes[7][8] = int_stack + 157901;
 Libr12->gvrr_classes[7][9] = int_stack + 159521;
 Libr12->gvrr_classes[7][10] = int_stack + 161501;
 Libr12->gvrr_classes[7][11] = int_stack + 163877;
 Libr12->gvrr_classes[8][6] = int_stack + 166685;
 Libr12->gvrr_classes[8][7] = int_stack + 167945;
 Libr12->gvrr_classes[8][8] = int_stack + 169565;
 Libr12->gvrr_classes[8][9] = int_stack + 171590;
 Libr12->gvrr_classes[8][10] = int_stack + 174065;
 Libr12->gvrr_classes[8][11] = int_stack + 177035;
 memset(int_stack,0,180545*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 180545;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_hfih(Libr12, Data);
   Data++;
 }

 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+180545, int_stack+141093, int_stack+140505, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+182309, int_stack+141849, int_stack+141093, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+184577, int_stack+182309, int_stack+180545, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+188105, int_stack+142794, int_stack+141849, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+190940, int_stack+188105, int_stack+182309, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+195476, int_stack+190940, int_stack+184577, 21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+201356, int_stack+143949, int_stack+142794, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+204821, int_stack+201356, int_stack+188105, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+210491, int_stack+204821, int_stack+190940, 21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+218051, int_stack+210491, int_stack+195476, 21);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+226871, int_stack+147757, int_stack+146973, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+229223, int_stack+148765, int_stack+147757, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+232247, int_stack+229223, int_stack+226871, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+236951, int_stack+150025, int_stack+148765, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+240731, int_stack+236951, int_stack+229223, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+246779, int_stack+240731, int_stack+232247, 28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+254619, int_stack+151565, int_stack+150025, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+259239, int_stack+254619, int_stack+236951, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+266799, int_stack+259239, int_stack+240731, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+276879, int_stack+266799, int_stack+246779, 28);
 /*--- compute (h0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+288639, int_stack+145335, int_stack+143949, 21);
 /*--- compute (h0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+292797, int_stack+288639, int_stack+201356, 21);
 /*--- compute (h0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+299727, int_stack+292797, int_stack+204821, 21);
 /*--- compute (h0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+309177, int_stack+299727, int_stack+210491, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+320517, int_stack+588, int_stack+0, int_stack+141093, int_stack+146973, int_stack+140505, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+322281, int_stack+1344, int_stack+588, int_stack+141849, int_stack+147757, int_stack+141093, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+324549, int_stack+322281, int_stack+320517, int_stack+182309, int_stack+226871, int_stack+180545, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+328077, int_stack+2289, int_stack+1344, int_stack+142794, int_stack+148765, int_stack+141849, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+330912, int_stack+328077, int_stack+322281, int_stack+188105, int_stack+229223, int_stack+182309, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+335448, int_stack+330912, int_stack+324549, int_stack+190940, int_stack+232247, int_stack+184577, 5, 0);
 /*--- compute (h0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+180545, int_stack+3444, int_stack+2289, int_stack+143949, int_stack+150025, int_stack+142794, 5, 0);
 /*--- compute (h0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+320517, int_stack+180545, int_stack+328077, int_stack+201356, int_stack+236951, int_stack+188105, 5, 0);
 /*--- compute (h0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+341328, int_stack+320517, int_stack+330912, int_stack+204821, int_stack+240731, int_stack+190940, 5, 0);
 /*--- compute (h0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+184010, int_stack+341328, int_stack+335448, int_stack+210491, int_stack+246779, int_stack+195476, 5, 0);
 /*--- compute (h0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+192830, int_stack+4830, int_stack+3444, int_stack+145335, int_stack+151565, int_stack+143949, 5, 0);
 /*--- compute (h0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+326187, int_stack+192830, int_stack+180545, int_stack+288639, int_stack+254619, int_stack+201356, 5, 0);
 /*--- compute (h0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+192830, int_stack+326187, int_stack+320517, int_stack+292797, int_stack+259239, int_stack+204821, 5, 0);
 /*--- compute (h0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+320517, int_stack+192830, int_stack+341328, int_stack+299727, int_stack+266799, int_stack+210491, 5, 0);
 /*--- compute (h0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+192830, int_stack+320517, int_stack+184010, int_stack+309177, int_stack+276879, int_stack+218051, 5, 0);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+320517, int_stack+156605, int_stack+155597, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+323541, int_stack+157901, int_stack+156605, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+327429, int_stack+323541, int_stack+320517, 36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+333477, int_stack+159521, int_stack+157901, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+338337, int_stack+333477, int_stack+323541, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+205178, int_stack+338337, int_stack+327429, 36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+180545, int_stack+161501, int_stack+159521, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+346113, int_stack+180545, int_stack+333477, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+355833, int_stack+346113, int_stack+338337, 36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+368793, int_stack+355833, int_stack+205178, 36);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+186485, int_stack+153413, int_stack+151565, 28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+383913, int_stack+186485, int_stack+254619, 28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+393153, int_stack+383913, int_stack+259239, 28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+405753, int_stack+393153, int_stack+266799, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+215258, int_stack+7252, int_stack+6468, int_stack+147757, int_stack+155597, int_stack+146973, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+140505, int_stack+8260, int_stack+7252, int_stack+148765, int_stack+156605, int_stack+147757, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+140505, int_stack+215258, int_stack+229223, int_stack+320517, int_stack+226871, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+420873, int_stack+9520, int_stack+8260, int_stack+150025, int_stack+157901, int_stack+148765, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+424653, int_stack+420873, int_stack+140505, int_stack+236951, int_stack+323541, int_stack+229223, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+430701, int_stack+424653, int_stack+0, int_stack+240731, int_stack+327429, int_stack+232247, 6, 0);
 /*--- compute (i0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+11060, int_stack+9520, int_stack+151565, int_stack+159521, int_stack+150025, 6, 0);
 /*--- compute (i0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+226871, int_stack+0, int_stack+420873, int_stack+254619, int_stack+333477, int_stack+236951, 6, 0);
 /*--- compute (i0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+438541, int_stack+226871, int_stack+424653, int_stack+259239, int_stack+338337, int_stack+240731, 6, 0);
 /*--- compute (i0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+234431, int_stack+438541, int_stack+430701, int_stack+266799, int_stack+205178, int_stack+246779, 6, 0);
 /*--- compute (i0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+420873, int_stack+12908, int_stack+11060, int_stack+153413, int_stack+161501, int_stack+151565, 6, 0);
 /*--- compute (i0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+426417, int_stack+420873, int_stack+0, int_stack+186485, int_stack+180545, int_stack+254619, 6, 0);
 /*--- compute (i0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+426417, int_stack+226871, int_stack+383913, int_stack+346113, int_stack+259239, 6, 0);
 /*--- compute (i0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+420873, int_stack+0, int_stack+438541, int_stack+393153, int_stack+355833, int_stack+266799, 6, 0);
 /*--- compute (i0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+246191, int_stack+420873, int_stack+234431, int_stack+405753, int_stack+368793, int_stack+276879, 6, 0);
 /*--- compute (hp|[r12,T2]|ih) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+420873, int_stack+246191, int_stack+192830, 588);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+167945, int_stack+166685, 45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3780, int_stack+169565, int_stack+167945, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+226871, int_stack+3780, int_stack+0, 45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+8640, int_stack+171590, int_stack+169565, 45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+234431, int_stack+8640, int_stack+3780, 45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+262655, int_stack+234431, int_stack+226871, 45);
 /*--- compute (l0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+192029, int_stack+174065, int_stack+171590, 45);
 /*--- compute (l0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+457917, int_stack+192029, int_stack+8640, 45);
 /*--- compute (l0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+470067, int_stack+457917, int_stack+234431, 45);
 /*--- compute (l0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+486267, int_stack+470067, int_stack+262655, 45);
 /*--- compute (k0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+505167, int_stack+163877, int_stack+161501, 36);
 /*--- compute (k0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+512295, int_stack+505167, int_stack+180545, 36);
 /*--- compute (k0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+524175, int_stack+512295, int_stack+346113, 36);
 /*--- compute (k0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+540375, int_stack+524175, int_stack+355833, 36);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+140505, int_stack+16100, int_stack+15092, int_stack+156605, int_stack+166685, int_stack+155597, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+146973, int_stack+17396, int_stack+16100, int_stack+157901, int_stack+167945, int_stack+156605, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+559815, int_stack+146973, int_stack+140505, int_stack+323541, int_stack+0, int_stack+320517, 7, 0);
 /*--- compute (k0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+199454, int_stack+19016, int_stack+17396, int_stack+159521, int_stack+169565, int_stack+157901, 7, 0);
 /*--- compute (k0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+565863, int_stack+199454, int_stack+146973, int_stack+333477, int_stack+3780, int_stack+323541, 7, 0);
 /*--- compute (k0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+573639, int_stack+565863, int_stack+559815, int_stack+338337, int_stack+226871, int_stack+327429, 7, 0);
 /*--- compute (k0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+559815, int_stack+20996, int_stack+19016, int_stack+161501, int_stack+171590, int_stack+159521, 7, 0);
 /*--- compute (k0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+320517, int_stack+559815, int_stack+199454, int_stack+180545, int_stack+8640, int_stack+333477, 7, 0);
 /*--- compute (k0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+583719, int_stack+320517, int_stack+565863, int_stack+346113, int_stack+234431, int_stack+338337, 7, 0);
 /*--- compute (k0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+330237, int_stack+583719, int_stack+573639, int_stack+355833, int_stack+262655, int_stack+205178, 7, 0);
 /*--- compute (k0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+199454, int_stack+23372, int_stack+20996, int_stack+163877, int_stack+174065, int_stack+161501, 7, 0);
 /*--- compute (k0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+565755, int_stack+199454, int_stack+559815, int_stack+505167, int_stack+192029, int_stack+180545, 7, 0);
 /*--- compute (k0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+199454, int_stack+565755, int_stack+320517, int_stack+512295, int_stack+457917, int_stack+346113, 7, 0);
 /*--- compute (k0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+559815, int_stack+199454, int_stack+583719, int_stack+524175, int_stack+470067, int_stack+355833, 7, 0);
 /*--- compute (k0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+345357, int_stack+559815, int_stack+330237, int_stack+540375, int_stack+486267, int_stack+368793, 7, 0);
 /*--- compute (ip|[r12,T2]|ih) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+559815, int_stack+345357, int_stack+246191, 588);
 /*--- compute (hd|[r12,T2]|ih) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+609207, int_stack+559815, int_stack+420873, 588);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+420873, int_stack+28980, int_stack+26180, 55);
 /*--- compute (m0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+180545, int_stack+32580, int_stack+28980, 55);
 /*--- compute (m0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+425493, int_stack+180545, int_stack+420873, 55);
 /*--- compute (m0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+434733, int_stack+37080, int_stack+32580, 55);
 /*--- compute (m0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+442158, int_stack+434733, int_stack+180545, 55);
 /*--- compute (m0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+199454, int_stack+442158, int_stack+425493, 55);
 /*--- compute (m0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+320517, int_stack+42580, int_stack+37080, 55);
 /*--- compute (m0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+329592, int_stack+320517, int_stack+434733, 55);
 /*--- compute (m0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+683295, int_stack+329592, int_stack+442158, 55);
 /*--- compute (m0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+703095, int_stack+683295, int_stack+199454, 55);
 /*--- compute (l0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+14715, int_stack+177035, int_stack+174065, 45);
 /*--- compute (l0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+244151, int_stack+14715, int_stack+192029, 45);
 /*--- compute (l0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+726195, int_stack+244151, int_stack+457917, 45);
 /*--- compute (l0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+746445, int_stack+726195, int_stack+470067, 45);
 /*--- compute (l0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+454038, int_stack+30960, int_stack+27720, int_stack+167945, int_stack+26180, int_stack+166685, 8, 0);
 /*--- compute (l0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+146973, int_stack+35055, int_stack+30960, int_stack+169565, int_stack+28980, int_stack+167945, 8, 0);
 /*--- compute (l0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+155597, int_stack+146973, int_stack+454038, int_stack+3780, int_stack+420873, int_stack+0, 8, 0);
 /*--- compute (l0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+23625, int_stack+40105, int_stack+35055, int_stack+171590, int_stack+32580, int_stack+169565, 8, 0);
 /*--- compute (l0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+770745, int_stack+23625, int_stack+146973, int_stack+8640, int_stack+180545, int_stack+3780, 8, 0);
 /*--- compute (l0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+780465, int_stack+770745, int_stack+155597, int_stack+234431, int_stack+425493, int_stack+226871, 8, 0);
 /*--- compute (l0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+226871, int_stack+46210, int_stack+40105, int_stack+174065, int_stack+37080, int_stack+171590, 8, 0);
 /*--- compute (l0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+420873, int_stack+226871, int_stack+23625, int_stack+192029, int_stack+434733, int_stack+8640, 8, 0);
 /*--- compute (l0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+23625, int_stack+420873, int_stack+770745, int_stack+457917, int_stack+442158, int_stack+234431, 8, 0);
 /*--- compute (l0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+433023, int_stack+23625, int_stack+780465, int_stack+470067, int_stack+199454, int_stack+262655, 8, 0);
 /*--- compute (l0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+199454, int_stack+49180, int_stack+46210, int_stack+177035, int_stack+42580, int_stack+174065, 8, 0);
 /*--- compute (l0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+770745, int_stack+199454, int_stack+226871, int_stack+14715, int_stack+320517, int_stack+192029, 8, 0);
 /*--- compute (l0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+192029, int_stack+770745, int_stack+420873, int_stack+244151, int_stack+329592, int_stack+457917, 8, 0);
 /*--- compute (l0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+320517, int_stack+192029, int_stack+23625, int_stack+726195, int_stack+683295, int_stack+470067, 8, 0);
 /*--- compute (l0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+226871, int_stack+320517, int_stack+433023, int_stack+746445, int_stack+703095, int_stack+486267, 8, 0);
 /*--- compute (kp|[r12,T2]|ih) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+420873, int_stack+226871, int_stack+345357, 588);
 /*--- compute (id|[r12,T2]|ih) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+770745, int_stack+420873, int_stack+559815, 588);
 /*--- compute (h0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+559815, int_stack+309177, int_stack+218051, 21);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+572163, int_stack+405753, int_stack+276879, 28);
 /*--- compute (hp|ih) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+420873, int_stack+572163, int_stack+559815, 588);
 /*--- compute (k0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+457917, int_stack+540375, int_stack+368793, 36);
 /*--- compute (ip|ih) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+320517, int_stack+457917, int_stack+572163, 588);
 /*--- compute (hd|ih) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+192029, int_stack+320517, int_stack+420873, 588);
 /*--- compute (h0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+588627, int_stack+52690, int_stack+145335, 21);
 /*--- compute (h0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+593541, int_stack+588627, int_stack+288639, 21);
 /*--- compute (h0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+369909, int_stack+593541, int_stack+292797, 21);
 /*--- compute (h0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+588627, int_stack+369909, int_stack+299727, 21);
 /*--- compute (h0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+683295, int_stack+588627, int_stack+309177, 21);
 /*--- compute (i0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+588627, int_stack+61069, int_stack+153413, 28);
 /*--- compute (i0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+595179, int_stack+588627, int_stack+186485, 28);
 /*--- compute (i0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+699171, int_stack+595179, int_stack+383913, 28);
 /*--- compute (i0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+588627, int_stack+699171, int_stack+393153, 28);
 /*--- compute (i0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+699171, int_stack+588627, int_stack+405753, 28);
 /*--- compute (hp|kh) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+369909, int_stack+699171, int_stack+683295, 756);
 /*--- compute (k0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+588627, int_stack+72241, int_stack+163877, 36);
 /*--- compute (k0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+720339, int_stack+588627, int_stack+505167, 36);
 /*--- compute (k0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+588627, int_stack+720339, int_stack+512295, 36);
 /*--- compute (k0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+720339, int_stack+588627, int_stack+524175, 36);
 /*--- compute (k0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+505167, int_stack+720339, int_stack+540375, 36);
 /*--- compute (ip|kh) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+869529, int_stack+505167, int_stack+699171, 756);
 /*--- compute (hd|kh) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+933033, int_stack+869529, int_stack+369909, 756);
 /*--- compute (l0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+532383, int_stack+746445, int_stack+486267, 45);
 /*--- compute (kp|ih) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+1028289, int_stack+532383, int_stack+457917, 588);
 /*--- compute (id|ih) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+1091793, int_stack+1028289, int_stack+320517, 588);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+720339, int_stack+55189, int_stack+54601, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+722103, int_stack+55945, int_stack+55189, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+724371, int_stack+722103, int_stack+720339, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+727899, int_stack+56890, int_stack+55945, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+730734, int_stack+727899, int_stack+722103, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+735270, int_stack+730734, int_stack+724371, 21);
 /*--- compute (h0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+720339, int_stack+58045, int_stack+56890, 21);
 /*--- compute (h0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+741150, int_stack+720339, int_stack+727899, 21);
 /*--- compute (h0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+746820, int_stack+741150, int_stack+730734, 21);
 /*--- compute (h0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+723804, int_stack+746820, int_stack+735270, 21);
 /*--- compute (h0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+732624, int_stack+59431, int_stack+58045, 21);
 /*--- compute (h0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+754380, int_stack+732624, int_stack+720339, 21);
 /*--- compute (h0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+588627, int_stack+754380, int_stack+741150, 21);
 /*--- compute (h0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+754380, int_stack+588627, int_stack+746820, 21);
 /*--- compute (h0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+588627, int_stack+754380, int_stack+723804, 21);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+600975, int_stack+64401, int_stack+63617, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+603327, int_stack+65409, int_stack+64401, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+720339, int_stack+603327, int_stack+600975, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+725043, int_stack+66669, int_stack+65409, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+728823, int_stack+725043, int_stack+603327, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+600975, int_stack+728823, int_stack+720339, 28);
 /*--- compute (i0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+720339, int_stack+68209, int_stack+66669, 28);
 /*--- compute (i0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+734871, int_stack+720339, int_stack+725043, 28);
 /*--- compute (i0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+742431, int_stack+734871, int_stack+728823, 28);
 /*--- compute (i0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+752511, int_stack+742431, int_stack+600975, 28);
 /*--- compute (i0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+600975, int_stack+70057, int_stack+68209, 28);
 /*--- compute (i0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+724959, int_stack+600975, int_stack+720339, 28);
 /*--- compute (i0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+479085, int_stack+724959, int_stack+734871, 28);
 /*--- compute (i0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+720339, int_stack+479085, int_stack+742431, 28);
 /*--- compute (i0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+479085, int_stack+720339, int_stack+752511, 28);
 /*--- compute (hp|[r12,T1]|ih) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+720339, int_stack+479085, int_stack+588627, int_stack+572163, int_stack+683295, int_stack+559815, 6, 5);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+683295, int_stack+76525, int_stack+75517, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+686319, int_stack+77821, int_stack+76525, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+690207, int_stack+686319, int_stack+683295, 36);
 /*--- compute (k0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+588627, int_stack+79441, int_stack+77821, 36);
 /*--- compute (k0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+593487, int_stack+588627, int_stack+686319, 36);
 /*--- compute (k0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+757383, int_stack+593487, int_stack+690207, 36);
 /*--- compute (k0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+683295, int_stack+81421, int_stack+79441, 36);
 /*--- compute (k0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+689235, int_stack+683295, int_stack+588627, 36);
 /*--- compute (k0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+558843, int_stack+689235, int_stack+593487, 36);
 /*--- compute (k0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+588627, int_stack+558843, int_stack+757383, 36);
 /*--- compute (k0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+757383, int_stack+83797, int_stack+81421, 36);
 /*--- compute (k0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+266117, int_stack+757383, int_stack+683295, 36);
 /*--- compute (k0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+277997, int_stack+266117, int_stack+689235, 36);
 /*--- compute (k0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+294197, int_stack+277997, int_stack+558843, 36);
 /*--- compute (k0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+266117, int_stack+294197, int_stack+588627, 36);
 /*--- compute (ip|[r12,T1]|ih) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+0, int_stack+266117, int_stack+479085, int_stack+457917, int_stack+699171, int_stack+572163, 6, 5);
 /*--- compute (hd|[r12,T1]|ih) ---*/
   t1hrr1_build_hd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1190577, int_stack+0, int_stack+720339, int_stack+320517, int_stack+369909, int_stack+420873, 6, 5);
 /*--- compute (l0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+369909, int_stack+87865, int_stack+86605, 45);
 /*--- compute (l0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+373689, int_stack+89485, int_stack+87865, 45);
 /*--- compute (l0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+378549, int_stack+373689, int_stack+369909, 45);
 /*--- compute (l0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+386109, int_stack+91510, int_stack+89485, 45);
 /*--- compute (l0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+392184, int_stack+386109, int_stack+373689, 45);
 /*--- compute (l0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+401904, int_stack+392184, int_stack+378549, 45);
 /*--- compute (l0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+369909, int_stack+93985, int_stack+91510, 45);
 /*--- compute (l0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+414504, int_stack+369909, int_stack+386109, 45);
 /*--- compute (l0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+426654, int_stack+414504, int_stack+392184, 45);
 /*--- compute (l0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+377334, int_stack+426654, int_stack+401904, 45);
 /*--- compute (l0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+396234, int_stack+96955, int_stack+93985, 45);
 /*--- compute (l0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+442854, int_stack+396234, int_stack+369909, 45);
 /*--- compute (l0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+479085, int_stack+442854, int_stack+414504, 45);
 /*--- compute (l0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+396234, int_stack+479085, int_stack+426654, 45);
 /*--- compute (l0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+420534, int_stack+396234, int_stack+377334, 45);
 /*--- compute (kp|[r12,T1]|ih) ---*/
   t1hrr1_build_kp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+683295, int_stack+420534, int_stack+266117, int_stack+532383, int_stack+505167, int_stack+457917, 6, 5);
 /*--- compute (id|[r12,T1]|ih) ---*/
   t1hrr1_build_id(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+369909, int_stack+683295, int_stack+0, int_stack+1028289, int_stack+869529, int_stack+320517, 6, 5);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+869529, int_stack+101053, int_stack+100465, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+871293, int_stack+101809, int_stack+101053, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+873561, int_stack+871293, int_stack+869529, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+877089, int_stack+102754, int_stack+101809, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+879924, int_stack+877089, int_stack+871293, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+884460, int_stack+879924, int_stack+873561, 21);
 /*--- compute (h0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+869529, int_stack+103909, int_stack+102754, 21);
 /*--- compute (h0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+890340, int_stack+869529, int_stack+877089, 21);
 /*--- compute (h0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+896010, int_stack+890340, int_stack+879924, 21);
 /*--- compute (h0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+872994, int_stack+896010, int_stack+884460, 21);
 /*--- compute (h0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+881814, int_stack+105295, int_stack+103909, 21);
 /*--- compute (h0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+903570, int_stack+881814, int_stack+869529, 21);
 /*--- compute (h0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+910500, int_stack+903570, int_stack+890340, 21);
 /*--- compute (h0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+881814, int_stack+910500, int_stack+896010, 21);
 /*--- compute (h0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+893154, int_stack+881814, int_stack+872994, 21);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+869529, int_stack+107717, int_stack+106933, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+871881, int_stack+108725, int_stack+107717, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+874905, int_stack+871881, int_stack+869529, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+879609, int_stack+109985, int_stack+108725, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+883389, int_stack+879609, int_stack+871881, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+905502, int_stack+883389, int_stack+874905, 28);
 /*--- compute (i0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+869529, int_stack+111525, int_stack+109985, 28);
 /*--- compute (i0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+913342, int_stack+869529, int_stack+879609, 28);
 /*--- compute (i0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+920902, int_stack+913342, int_stack+883389, 28);
 /*--- compute (i0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+874149, int_stack+920902, int_stack+905502, 28);
 /*--- compute (i0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+905502, int_stack+113373, int_stack+111525, 28);
 /*--- compute (i0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1028289, int_stack+905502, int_stack+869529, 28);
 /*--- compute (i0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1037529, int_stack+1028289, int_stack+913342, 28);
 /*--- compute (i0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+905502, int_stack+1037529, int_stack+920902, 28);
 /*--- compute (i0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1028289, int_stack+905502, int_stack+874149, 28);
 /*--- compute (hp||ih) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+1044753, int_stack+1028289, int_stack+893154, 588);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1081797, int_stack+116565, int_stack+115557, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1084821, int_stack+117861, int_stack+116565, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+869529, int_stack+1084821, int_stack+1081797, 36);
 /*--- compute (k0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+875577, int_stack+119481, int_stack+117861, 36);
 /*--- compute (k0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+880437, int_stack+875577, int_stack+1084821, 36);
 /*--- compute (k0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+888213, int_stack+880437, int_stack+869529, 36);
 /*--- compute (k0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+869529, int_stack+121461, int_stack+119481, 36);
 /*--- compute (k0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1081797, int_stack+869529, int_stack+875577, 36);
 /*--- compute (k0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+898293, int_stack+1081797, int_stack+880437, 36);
 /*--- compute (k0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+911253, int_stack+898293, int_stack+888213, 36);
 /*--- compute (k0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+875469, int_stack+123837, int_stack+121461, 36);
 /*--- compute (k0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+882597, int_stack+875469, int_stack+869529, 36);
 /*--- compute (k0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+882597, int_stack+1081797, 36);
 /*--- compute (k0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+869529, int_stack+0, int_stack+898293, 36);
 /*--- compute (k0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+0, int_stack+869529, int_stack+911253, 36);
 /*--- compute (ip||ih) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+869529, int_stack+0, int_stack+1028289, 588);
 /*--- compute (hd||ih) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+21168, int_stack+869529, int_stack+1044753, 588);
 /*--- compute (l0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1028289, int_stack+127905, int_stack+126645, 45);
 /*--- compute (l0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1032069, int_stack+129525, int_stack+127905, 45);
 /*--- compute (l0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1036929, int_stack+1032069, int_stack+1028289, 45);
 /*--- compute (l0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1044489, int_stack+131550, int_stack+129525, 45);
 /*--- compute (l0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1050564, int_stack+1044489, int_stack+1032069, 45);
 /*--- compute (l0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1060284, int_stack+1050564, int_stack+1036929, 45);
 /*--- compute (l0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+1028289, int_stack+134025, int_stack+131550, 45);
 /*--- compute (l0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1072884, int_stack+1028289, int_stack+1044489, 45);
 /*--- compute (l0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+95256, int_stack+1072884, int_stack+1050564, 45);
 /*--- compute (l0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1035714, int_stack+95256, int_stack+1060284, 45);
 /*--- compute (l0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1054614, int_stack+136995, int_stack+134025, 45);
 /*--- compute (l0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+111456, int_stack+1054614, int_stack+1028289, 45);
 /*--- compute (l0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+126306, int_stack+111456, int_stack+1072884, 45);
 /*--- compute (l0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1054614, int_stack+126306, int_stack+95256, 45);
 /*--- compute (l0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+95256, int_stack+1054614, int_stack+1035714, 45);
 /*--- compute (kp||ih) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+1028289, int_stack+95256, int_stack+0, 588);
 /*--- compute (id||ih) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+266117, int_stack+1028289, int_stack+869529, 588);
 /*--- compute (hf|[r12,T2]|ih) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+468693, int_stack+770745, int_stack+609207, 588);
     Libr12->te_ptr[3] = int_stack + 468693;
 /*--- compute (hf|[r12,T1]|ih) ---*/
   t1hrr1_build_hf(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+592173, int_stack+369909, int_stack+1190577, int_stack+1091793, int_stack+933033, int_stack+192029, 6, 5);
     Libr12->te_ptr[2] = int_stack + 592173;
 /*--- compute (hf||ih) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+715653, int_stack+266117, int_stack+21168, 588);
     Libr12->te_ptr[1] = int_stack + 715653;
 /*--- compute (hf|ih) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+266117, int_stack+1091793, int_stack+192029, 588);
     Libr12->te_ptr[0] = int_stack + 266117;

}
