#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_hhih(Libr12_t *, prim_data *);

  /* Computes (hh|ih) integrals for linear R12-methods */

void hrr_grt_order_hhih(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[5][6] = int_stack + 0;
 Libr12->t2vrr_classes[5][7] = int_stack + 588;
 Libr12->t2vrr_classes[5][8] = int_stack + 1344;
 Libr12->t2vrr_classes[5][9] = int_stack + 2289;
 Libr12->t2vrr_classes[5][10] = int_stack + 3444;
 Libr12->t2vrr_classes[5][11] = int_stack + 4830;
 Libr12->t2vrr_classes[6][6] = int_stack + 6468;
 Libr12->t2vrr_classes[6][7] = int_stack + 7252;
 Libr12->t2vrr_classes[6][8] = int_stack + 8260;
 Libr12->t2vrr_classes[6][9] = int_stack + 9520;
 Libr12->t2vrr_classes[6][10] = int_stack + 11060;
 Libr12->t2vrr_classes[6][11] = int_stack + 12908;
 Libr12->t2vrr_classes[7][6] = int_stack + 15092;
 Libr12->t2vrr_classes[7][7] = int_stack + 16100;
 Libr12->t2vrr_classes[7][8] = int_stack + 17396;
 Libr12->t2vrr_classes[7][9] = int_stack + 19016;
 Libr12->t2vrr_classes[7][10] = int_stack + 20996;
 Libr12->t2vrr_classes[7][11] = int_stack + 23372;
 Libr12->t2vrr_classes[8][6] = int_stack + 26180;
 Libr12->t2vrr_classes[8][7] = int_stack + 27440;
 Libr12->t2vrr_classes[8][8] = int_stack + 29060;
 Libr12->t2vrr_classes[8][9] = int_stack + 31085;
 Libr12->t2vrr_classes[8][10] = int_stack + 33560;
 Libr12->t2vrr_classes[8][11] = int_stack + 36530;
 Libr12->t2vrr_classes[9][6] = int_stack + 40040;
 Libr12->t2vrr_classes[9][7] = int_stack + 41580;
 Libr12->t2vrr_classes[9][8] = int_stack + 43560;
 Libr12->t2vrr_classes[9][9] = int_stack + 46035;
 Libr12->t2vrr_classes[9][10] = int_stack + 49060;
 Libr12->t2vrr_classes[9][11] = int_stack + 52690;
 Libr12->gvrr_classes[11][6] = int_stack + 56980;
 Libr12->t2vrr_classes[10][6] = int_stack + 59164;
 Libr12->gvrr_classes[11][7] = int_stack + 61012;
 Libr12->t2vrr_classes[10][7] = int_stack + 63820;
 Libr12->gvrr_classes[11][8] = int_stack + 66196;
 Libr12->t2vrr_classes[10][8] = int_stack + 69706;
 Libr12->gvrr_classes[11][9] = int_stack + 72676;
 Libr12->t2vrr_classes[10][9] = int_stack + 76966;
 Libr12->gvrr_classes[11][10] = int_stack + 80596;
 Libr12->t2vrr_classes[10][10] = int_stack + 85744;
 Libr12->t2vrr_classes[10][11] = int_stack + 90100;
 Libr12->gvrr_classes[5][12] = int_stack + 95248;
 Libr12->t1vrr_classes[5][6] = int_stack + 97159;
 Libr12->t1vrr_classes[5][7] = int_stack + 97747;
 Libr12->t1vrr_classes[5][8] = int_stack + 98503;
 Libr12->t1vrr_classes[5][9] = int_stack + 99448;
 Libr12->t1vrr_classes[5][10] = int_stack + 100603;
 Libr12->t1vrr_classes[5][11] = int_stack + 101989;
 Libr12->gvrr_classes[6][12] = int_stack + 103627;
 Libr12->t1vrr_classes[6][6] = int_stack + 106175;
 Libr12->t1vrr_classes[6][7] = int_stack + 106959;
 Libr12->t1vrr_classes[6][8] = int_stack + 107967;
 Libr12->t1vrr_classes[6][9] = int_stack + 109227;
 Libr12->t1vrr_classes[6][10] = int_stack + 110767;
 Libr12->t1vrr_classes[6][11] = int_stack + 112615;
 Libr12->gvrr_classes[7][12] = int_stack + 114799;
 Libr12->t1vrr_classes[7][6] = int_stack + 118075;
 Libr12->t1vrr_classes[7][7] = int_stack + 119083;
 Libr12->t1vrr_classes[7][8] = int_stack + 120379;
 Libr12->t1vrr_classes[7][9] = int_stack + 121999;
 Libr12->t1vrr_classes[7][10] = int_stack + 123979;
 Libr12->t1vrr_classes[7][11] = int_stack + 126355;
 Libr12->gvrr_classes[8][12] = int_stack + 129163;
 Libr12->t1vrr_classes[8][6] = int_stack + 133258;
 Libr12->t1vrr_classes[8][7] = int_stack + 134518;
 Libr12->t1vrr_classes[8][8] = int_stack + 136138;
 Libr12->t1vrr_classes[8][9] = int_stack + 138163;
 Libr12->t1vrr_classes[8][10] = int_stack + 140638;
 Libr12->t1vrr_classes[8][11] = int_stack + 143608;
 Libr12->gvrr_classes[9][12] = int_stack + 147118;
 Libr12->t1vrr_classes[9][6] = int_stack + 152123;
 Libr12->t1vrr_classes[9][7] = int_stack + 153663;
 Libr12->t1vrr_classes[9][8] = int_stack + 155643;
 Libr12->t1vrr_classes[9][9] = int_stack + 158118;
 Libr12->t1vrr_classes[9][10] = int_stack + 161143;
 Libr12->t1vrr_classes[9][11] = int_stack + 164773;
 Libr12->t1vrr_classes[10][6] = int_stack + 169063;
 Libr12->t1vrr_classes[10][7] = int_stack + 170911;
 Libr12->t1vrr_classes[10][8] = int_stack + 173287;
 Libr12->t1vrr_classes[10][9] = int_stack + 176257;
 Libr12->t1vrr_classes[10][10] = int_stack + 179887;
 Libr12->t1vrr_classes[10][11] = int_stack + 184243;
 Libr12->rvrr_classes[5][6] = int_stack + 189391;
 Libr12->rvrr_classes[5][7] = int_stack + 189979;
 Libr12->rvrr_classes[5][8] = int_stack + 190735;
 Libr12->rvrr_classes[5][9] = int_stack + 191680;
 Libr12->rvrr_classes[5][10] = int_stack + 192835;
 Libr12->rvrr_classes[5][11] = int_stack + 194221;
 Libr12->rvrr_classes[6][6] = int_stack + 195859;
 Libr12->rvrr_classes[6][7] = int_stack + 196643;
 Libr12->rvrr_classes[6][8] = int_stack + 197651;
 Libr12->rvrr_classes[6][9] = int_stack + 198911;
 Libr12->rvrr_classes[6][10] = int_stack + 200451;
 Libr12->rvrr_classes[6][11] = int_stack + 202299;
 Libr12->rvrr_classes[7][6] = int_stack + 204483;
 Libr12->rvrr_classes[7][7] = int_stack + 205491;
 Libr12->rvrr_classes[7][8] = int_stack + 206787;
 Libr12->rvrr_classes[7][9] = int_stack + 208407;
 Libr12->rvrr_classes[7][10] = int_stack + 210387;
 Libr12->rvrr_classes[7][11] = int_stack + 212763;
 Libr12->rvrr_classes[8][6] = int_stack + 215571;
 Libr12->rvrr_classes[8][7] = int_stack + 216831;
 Libr12->rvrr_classes[8][8] = int_stack + 218451;
 Libr12->rvrr_classes[8][9] = int_stack + 220476;
 Libr12->rvrr_classes[8][10] = int_stack + 222951;
 Libr12->rvrr_classes[8][11] = int_stack + 225921;
 Libr12->rvrr_classes[9][6] = int_stack + 229431;
 Libr12->rvrr_classes[9][7] = int_stack + 230971;
 Libr12->rvrr_classes[9][8] = int_stack + 232951;
 Libr12->rvrr_classes[9][9] = int_stack + 235426;
 Libr12->rvrr_classes[9][10] = int_stack + 238451;
 Libr12->rvrr_classes[9][11] = int_stack + 242081;
 Libr12->rvrr_classes[10][6] = int_stack + 246371;
 Libr12->rvrr_classes[10][7] = int_stack + 248219;
 Libr12->rvrr_classes[10][8] = int_stack + 250595;
 Libr12->rvrr_classes[10][9] = int_stack + 253565;
 Libr12->rvrr_classes[10][10] = int_stack + 257195;
 Libr12->rvrr_classes[10][11] = int_stack + 261551;
 Libr12->gvrr_classes[5][6] = int_stack + 266699;
 Libr12->gvrr_classes[5][7] = int_stack + 267287;
 Libr12->gvrr_classes[5][8] = int_stack + 268043;
 Libr12->gvrr_classes[5][9] = int_stack + 268988;
 Libr12->gvrr_classes[5][10] = int_stack + 270143;
 Libr12->gvrr_classes[5][11] = int_stack + 271529;
 Libr12->gvrr_classes[6][6] = int_stack + 273167;
 Libr12->gvrr_classes[6][7] = int_stack + 273951;
 Libr12->gvrr_classes[6][8] = int_stack + 274959;
 Libr12->gvrr_classes[6][9] = int_stack + 276219;
 Libr12->gvrr_classes[6][10] = int_stack + 277759;
 Libr12->gvrr_classes[6][11] = int_stack + 279607;
 Libr12->gvrr_classes[7][6] = int_stack + 281791;
 Libr12->gvrr_classes[7][7] = int_stack + 282799;
 Libr12->gvrr_classes[7][8] = int_stack + 284095;
 Libr12->gvrr_classes[7][9] = int_stack + 285715;
 Libr12->gvrr_classes[7][10] = int_stack + 287695;
 Libr12->gvrr_classes[7][11] = int_stack + 290071;
 Libr12->gvrr_classes[8][6] = int_stack + 292879;
 Libr12->gvrr_classes[8][7] = int_stack + 294139;
 Libr12->gvrr_classes[8][8] = int_stack + 295759;
 Libr12->gvrr_classes[8][9] = int_stack + 297784;
 Libr12->gvrr_classes[8][10] = int_stack + 300259;
 Libr12->gvrr_classes[8][11] = int_stack + 303229;
 Libr12->gvrr_classes[9][6] = int_stack + 306739;
 Libr12->gvrr_classes[9][7] = int_stack + 308279;
 Libr12->gvrr_classes[9][8] = int_stack + 310259;
 Libr12->gvrr_classes[9][9] = int_stack + 312734;
 Libr12->gvrr_classes[9][10] = int_stack + 315759;
 Libr12->gvrr_classes[9][11] = int_stack + 319389;
 Libr12->gvrr_classes[10][6] = int_stack + 323679;
 Libr12->gvrr_classes[10][7] = int_stack + 325527;
 Libr12->gvrr_classes[10][8] = int_stack + 327903;
 Libr12->gvrr_classes[10][9] = int_stack + 330873;
 Libr12->gvrr_classes[10][10] = int_stack + 334503;
 Libr12->gvrr_classes[10][11] = int_stack + 338859;
 memset(int_stack,0,344007*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 344007;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_hhih(Libr12, Data);
   Data++;
 }

 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+344007, int_stack+267287, int_stack+266699, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+345771, int_stack+268043, int_stack+267287, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+348039, int_stack+345771, int_stack+344007, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+351567, int_stack+268988, int_stack+268043, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+354402, int_stack+351567, int_stack+345771, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+358938, int_stack+354402, int_stack+348039, 21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+364818, int_stack+270143, int_stack+268988, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+368283, int_stack+364818, int_stack+351567, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+373953, int_stack+368283, int_stack+354402, 21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+381513, int_stack+373953, int_stack+358938, 21);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+390333, int_stack+273951, int_stack+273167, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+392685, int_stack+274959, int_stack+273951, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+395709, int_stack+392685, int_stack+390333, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+400413, int_stack+276219, int_stack+274959, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+404193, int_stack+400413, int_stack+392685, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+410241, int_stack+404193, int_stack+395709, 28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+418081, int_stack+277759, int_stack+276219, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+422701, int_stack+418081, int_stack+400413, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+430261, int_stack+422701, int_stack+404193, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+440341, int_stack+430261, int_stack+410241, 28);
 /*--- compute (h0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+452101, int_stack+271529, int_stack+270143, 21);
 /*--- compute (h0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+456259, int_stack+452101, int_stack+364818, 21);
 /*--- compute (h0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+463189, int_stack+456259, int_stack+368283, 21);
 /*--- compute (h0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+472639, int_stack+463189, int_stack+373953, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+483979, int_stack+588, int_stack+0, int_stack+267287, int_stack+273167, int_stack+266699, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+485743, int_stack+1344, int_stack+588, int_stack+268043, int_stack+273951, int_stack+267287, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+488011, int_stack+485743, int_stack+483979, int_stack+345771, int_stack+390333, int_stack+344007, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+491539, int_stack+2289, int_stack+1344, int_stack+268988, int_stack+274959, int_stack+268043, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+494374, int_stack+491539, int_stack+485743, int_stack+351567, int_stack+392685, int_stack+345771, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+498910, int_stack+494374, int_stack+488011, int_stack+354402, int_stack+395709, int_stack+348039, 5, 0);
 /*--- compute (h0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+344007, int_stack+3444, int_stack+2289, int_stack+270143, int_stack+276219, int_stack+268988, 5, 0);
 /*--- compute (h0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+483979, int_stack+344007, int_stack+491539, int_stack+364818, int_stack+400413, int_stack+351567, 5, 0);
 /*--- compute (h0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+504790, int_stack+483979, int_stack+494374, int_stack+368283, int_stack+404193, int_stack+354402, 5, 0);
 /*--- compute (h0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+347472, int_stack+504790, int_stack+498910, int_stack+373953, int_stack+410241, int_stack+358938, 5, 0);
 /*--- compute (h0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+356292, int_stack+4830, int_stack+3444, int_stack+271529, int_stack+277759, int_stack+270143, 5, 0);
 /*--- compute (h0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+489649, int_stack+356292, int_stack+344007, int_stack+452101, int_stack+418081, int_stack+364818, 5, 0);
 /*--- compute (h0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+356292, int_stack+489649, int_stack+483979, int_stack+456259, int_stack+422701, int_stack+368283, 5, 0);
 /*--- compute (h0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+483979, int_stack+356292, int_stack+504790, int_stack+463189, int_stack+430261, int_stack+373953, 5, 0);
 /*--- compute (h0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+356292, int_stack+483979, int_stack+347472, int_stack+472639, int_stack+440341, int_stack+381513, 5, 0);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+483979, int_stack+282799, int_stack+281791, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+487003, int_stack+284095, int_stack+282799, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+490891, int_stack+487003, int_stack+483979, 36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+496939, int_stack+285715, int_stack+284095, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+501799, int_stack+496939, int_stack+487003, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+368640, int_stack+501799, int_stack+490891, 36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+344007, int_stack+287695, int_stack+285715, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+509575, int_stack+344007, int_stack+496939, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+519295, int_stack+509575, int_stack+501799, 36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+532255, int_stack+519295, int_stack+368640, 36);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+349947, int_stack+279607, int_stack+277759, 28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+547375, int_stack+349947, int_stack+418081, 28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+556615, int_stack+547375, int_stack+422701, 28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+569215, int_stack+556615, int_stack+430261, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+378720, int_stack+7252, int_stack+6468, int_stack+273951, int_stack+281791, int_stack+273167, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+266699, int_stack+8260, int_stack+7252, int_stack+274959, int_stack+282799, int_stack+273951, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+266699, int_stack+378720, int_stack+392685, int_stack+483979, int_stack+390333, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+584335, int_stack+9520, int_stack+8260, int_stack+276219, int_stack+284095, int_stack+274959, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+588115, int_stack+584335, int_stack+266699, int_stack+400413, int_stack+487003, int_stack+392685, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+594163, int_stack+588115, int_stack+0, int_stack+404193, int_stack+490891, int_stack+395709, 6, 0);
 /*--- compute (i0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+11060, int_stack+9520, int_stack+277759, int_stack+285715, int_stack+276219, 6, 0);
 /*--- compute (i0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+390333, int_stack+0, int_stack+584335, int_stack+418081, int_stack+496939, int_stack+400413, 6, 0);
 /*--- compute (i0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+602003, int_stack+390333, int_stack+588115, int_stack+422701, int_stack+501799, int_stack+404193, 6, 0);
 /*--- compute (i0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+397893, int_stack+602003, int_stack+594163, int_stack+430261, int_stack+368640, int_stack+410241, 6, 0);
 /*--- compute (i0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+584335, int_stack+12908, int_stack+11060, int_stack+279607, int_stack+287695, int_stack+277759, 6, 0);
 /*--- compute (i0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+589879, int_stack+584335, int_stack+0, int_stack+349947, int_stack+344007, int_stack+418081, 6, 0);
 /*--- compute (i0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+589879, int_stack+390333, int_stack+547375, int_stack+509575, int_stack+422701, 6, 0);
 /*--- compute (i0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+584335, int_stack+0, int_stack+602003, int_stack+556615, int_stack+519295, int_stack+430261, 6, 0);
 /*--- compute (i0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+409653, int_stack+584335, int_stack+397893, int_stack+569215, int_stack+532255, int_stack+440341, 6, 0);
 /*--- compute (hp|[r12,T2]|ih) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+584335, int_stack+409653, int_stack+356292, 588);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+294139, int_stack+292879, 45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3780, int_stack+295759, int_stack+294139, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+390333, int_stack+3780, int_stack+0, 45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+8640, int_stack+297784, int_stack+295759, 45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+397893, int_stack+8640, int_stack+3780, 45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+426117, int_stack+397893, int_stack+390333, 45);
 /*--- compute (l0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+355491, int_stack+300259, int_stack+297784, 45);
 /*--- compute (l0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+621379, int_stack+355491, int_stack+8640, 45);
 /*--- compute (l0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+633529, int_stack+621379, int_stack+397893, 45);
 /*--- compute (l0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+649729, int_stack+633529, int_stack+426117, 45);
 /*--- compute (k0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+668629, int_stack+290071, int_stack+287695, 36);
 /*--- compute (k0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+675757, int_stack+668629, int_stack+344007, 36);
 /*--- compute (k0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+687637, int_stack+675757, int_stack+509575, 36);
 /*--- compute (k0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+703837, int_stack+687637, int_stack+519295, 36);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+266699, int_stack+16100, int_stack+15092, int_stack+282799, int_stack+292879, int_stack+281791, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+273167, int_stack+17396, int_stack+16100, int_stack+284095, int_stack+294139, int_stack+282799, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+723277, int_stack+273167, int_stack+266699, int_stack+487003, int_stack+0, int_stack+483979, 7, 0);
 /*--- compute (k0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+362916, int_stack+19016, int_stack+17396, int_stack+285715, int_stack+295759, int_stack+284095, 7, 0);
 /*--- compute (k0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+729325, int_stack+362916, int_stack+273167, int_stack+496939, int_stack+3780, int_stack+487003, 7, 0);
 /*--- compute (k0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+737101, int_stack+729325, int_stack+723277, int_stack+501799, int_stack+390333, int_stack+490891, 7, 0);
 /*--- compute (k0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+723277, int_stack+20996, int_stack+19016, int_stack+287695, int_stack+297784, int_stack+285715, 7, 0);
 /*--- compute (k0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+483979, int_stack+723277, int_stack+362916, int_stack+344007, int_stack+8640, int_stack+496939, 7, 0);
 /*--- compute (k0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+747181, int_stack+483979, int_stack+729325, int_stack+509575, int_stack+397893, int_stack+501799, 7, 0);
 /*--- compute (k0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+493699, int_stack+747181, int_stack+737101, int_stack+519295, int_stack+426117, int_stack+368640, 7, 0);
 /*--- compute (k0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+362916, int_stack+23372, int_stack+20996, int_stack+290071, int_stack+300259, int_stack+287695, 7, 0);
 /*--- compute (k0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+729217, int_stack+362916, int_stack+723277, int_stack+668629, int_stack+355491, int_stack+344007, 7, 0);
 /*--- compute (k0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+362916, int_stack+729217, int_stack+483979, int_stack+675757, int_stack+621379, int_stack+509575, 7, 0);
 /*--- compute (k0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+723277, int_stack+362916, int_stack+747181, int_stack+687637, int_stack+633529, int_stack+519295, 7, 0);
 /*--- compute (k0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+508819, int_stack+723277, int_stack+493699, int_stack+703837, int_stack+649729, int_stack+532255, 7, 0);
 /*--- compute (ip|[r12,T2]|ih) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+723277, int_stack+508819, int_stack+409653, 588);
 /*--- compute (hd|[r12,T2]|ih) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+772669, int_stack+723277, int_stack+584335, 588);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+584335, int_stack+308279, int_stack+306739, 55);
 /*--- compute (m0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+344007, int_stack+310259, int_stack+308279, 55);
 /*--- compute (m0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+588955, int_stack+344007, int_stack+584335, 55);
 /*--- compute (m0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+598195, int_stack+312734, int_stack+310259, 55);
 /*--- compute (m0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+605620, int_stack+598195, int_stack+344007, 55);
 /*--- compute (m0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+362916, int_stack+605620, int_stack+588955, 55);
 /*--- compute (m0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+483979, int_stack+315759, int_stack+312734, 55);
 /*--- compute (m0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+493054, int_stack+483979, int_stack+598195, 55);
 /*--- compute (m0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+846757, int_stack+493054, int_stack+605620, 55);
 /*--- compute (m0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+866557, int_stack+846757, int_stack+362916, 55);
 /*--- compute (l0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+14715, int_stack+303229, int_stack+300259, 45);
 /*--- compute (l0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+407613, int_stack+14715, int_stack+355491, 45);
 /*--- compute (l0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+889657, int_stack+407613, int_stack+621379, 45);
 /*--- compute (l0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+909907, int_stack+889657, int_stack+633529, 45);
 /*--- compute (l0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+617500, int_stack+27440, int_stack+26180, int_stack+294139, int_stack+306739, int_stack+292879, 8, 0);
 /*--- compute (l0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+273167, int_stack+29060, int_stack+27440, int_stack+295759, int_stack+308279, int_stack+294139, 8, 0);
 /*--- compute (l0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+281791, int_stack+273167, int_stack+617500, int_stack+3780, int_stack+584335, int_stack+0, 8, 0);
 /*--- compute (l0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+934207, int_stack+31085, int_stack+29060, int_stack+297784, int_stack+310259, int_stack+295759, 8, 0);
 /*--- compute (l0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+940282, int_stack+934207, int_stack+273167, int_stack+8640, int_stack+344007, int_stack+3780, 8, 0);
 /*--- compute (l0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+950002, int_stack+940282, int_stack+281791, int_stack+397893, int_stack+588955, int_stack+390333, 8, 0);
 /*--- compute (l0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+390333, int_stack+33560, int_stack+31085, int_stack+300259, int_stack+312734, int_stack+297784, 8, 0);
 /*--- compute (l0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+962602, int_stack+390333, int_stack+934207, int_stack+355491, int_stack+598195, int_stack+8640, 8, 0);
 /*--- compute (l0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+974752, int_stack+962602, int_stack+940282, int_stack+621379, int_stack+605620, int_stack+397893, 8, 0);
 /*--- compute (l0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+990952, int_stack+974752, int_stack+950002, int_stack+633529, int_stack+362916, int_stack+426117, 8, 0);
 /*--- compute (l0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+934207, int_stack+36530, int_stack+33560, int_stack+303229, int_stack+315759, int_stack+300259, 8, 0);
 /*--- compute (l0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+943117, int_stack+934207, int_stack+390333, int_stack+14715, int_stack+483979, int_stack+355491, 8, 0);
 /*--- compute (l0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1009852, int_stack+943117, int_stack+962602, int_stack+407613, int_stack+493054, int_stack+621379, 8, 0);
 /*--- compute (l0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+934207, int_stack+1009852, int_stack+974752, int_stack+889657, int_stack+846757, int_stack+633529, 8, 0);
 /*--- compute (l0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+958507, int_stack+934207, int_stack+990952, int_stack+909907, int_stack+866557, int_stack+649729, 8, 0);
 /*--- compute (kp|[r12,T2]|ih) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+984967, int_stack+958507, int_stack+508819, 588);
 /*--- compute (id|[r12,T2]|ih) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+1048471, int_stack+984967, int_stack+723277, 588);
 /*--- compute (hf|[r12,T2]|ih) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+1147255, int_stack+1048471, int_stack+772669, 588);
 /*--- compute (n0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+723277, int_stack+325527, int_stack+323679, 66);
 /*--- compute (n0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+728821, int_stack+327903, int_stack+325527, 66);
 /*--- compute (n0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+735949, int_stack+728821, int_stack+723277, 66);
 /*--- compute (n0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+747037, int_stack+330873, int_stack+327903, 66);
 /*--- compute (n0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+755947, int_stack+747037, int_stack+728821, 66);
 /*--- compute (n0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+770203, int_stack+755947, int_stack+735949, 66);
 /*--- compute (n0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+788683, int_stack+334503, int_stack+330873, 66);
 /*--- compute (n0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+799573, int_stack+788683, int_stack+747037, 66);
 /*--- compute (n0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+817393, int_stack+799573, int_stack+755947, 66);
 /*--- compute (n0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+617500, int_stack+817393, int_stack+770203, 66);
 /*--- compute (m0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+934207, int_stack+319389, int_stack+315759, 55);
 /*--- compute (m0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+507904, int_stack+934207, int_stack+483979, 55);
 /*--- compute (m0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1270735, int_stack+507904, int_stack+493054, 55);
 /*--- compute (m0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1295485, int_stack+1270735, int_stack+846757, 55);
 /*--- compute (m0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+841153, int_stack+41580, int_stack+40040, int_stack+308279, int_stack+323679, int_stack+306739, 9, 0);
 /*--- compute (m0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+945097, int_stack+43560, int_stack+41580, int_stack+310259, int_stack+325527, int_stack+308279, 9, 0);
 /*--- compute (m0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+390333, int_stack+945097, int_stack+841153, int_stack+344007, int_stack+723277, int_stack+584335, 9, 0);
 /*--- compute (m0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+355491, int_stack+46035, int_stack+43560, int_stack+312734, int_stack+327903, int_stack+310259, 9, 0);
 /*--- compute (m0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+355491, int_stack+945097, int_stack+598195, int_stack+728821, int_stack+344007, 9, 0);
 /*--- compute (m0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+23625, int_stack+0, int_stack+390333, int_stack+605620, int_stack+735949, int_stack+588955, 9, 0);
 /*--- compute (m0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+390333, int_stack+49060, int_stack+46035, int_stack+315759, int_stack+330873, int_stack+312734, 9, 0);
 /*--- compute (m0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+422463, int_stack+390333, int_stack+355491, int_stack+483979, int_stack+747037, int_stack+598195, 9, 0);
 /*--- compute (m0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+584335, int_stack+422463, int_stack+0, int_stack+493054, int_stack+755947, int_stack+605620, 9, 0);
 /*--- compute (m0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1325185, int_stack+584335, int_stack+23625, int_stack+846757, int_stack+770203, int_stack+362916, 9, 0);
 /*--- compute (m0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+23625, int_stack+52690, int_stack+49060, int_stack+319389, int_stack+334503, int_stack+315759, 9, 0);
 /*--- compute (m0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+34515, int_stack+23625, int_stack+390333, int_stack+934207, int_stack+788683, int_stack+483979, 9, 0);
 /*--- compute (m0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+355491, int_stack+34515, int_stack+422463, int_stack+507904, int_stack+799573, int_stack+493054, 9, 0);
 /*--- compute (m0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+23625, int_stack+355491, int_stack+584335, int_stack+1270735, int_stack+817393, int_stack+846757, 9, 0);
 /*--- compute (m0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+584335, int_stack+23625, int_stack+1325185, int_stack+1295485, int_stack+617500, int_stack+866557, 9, 0);
 /*--- compute (lp|[r12,T2]|ih) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+1325185, int_stack+584335, int_stack+958507, 588);
 /*--- compute (kd|[r12,T2]|ih) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+1404565, int_stack+1325185, int_stack+984967, 588);
 /*--- compute (if|[r12,T2]|ih) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+1531573, int_stack+1404565, int_stack+1048471, 588);
 /*--- compute (hg|[r12,T2]|ih) ---*/
   hrr1_build_hg(Libr12->ShellQuartet.AB,int_stack+945097, int_stack+1531573, int_stack+1147255, 588);
 /*--- compute (o0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+23625, int_stack+61012, int_stack+56980, 78);
 /*--- compute (o0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+30177, int_stack+66196, int_stack+61012, 78);
 /*--- compute (o0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+38601, int_stack+30177, int_stack+23625, 78);
 /*--- compute (o0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+355491, int_stack+72676, int_stack+66196, 78);
 /*--- compute (o0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+422463, int_stack+355491, int_stack+30177, 78);
 /*--- compute (o0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+483979, int_stack+422463, int_stack+38601, 78);
 /*--- compute (o0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+366021, int_stack+80596, int_stack+72676, 78);
 /*--- compute (o0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1130317, int_stack+366021, int_stack+355491, 78);
 /*--- compute (o0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1151377, int_stack+1130317, int_stack+422463, 78);
 /*--- compute (o0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1179457, int_stack+1151377, int_stack+483979, 78);
 /*--- compute (n0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+390333, int_stack+338859, int_stack+334503, 66);
 /*--- compute (n0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1212217, int_stack+390333, int_stack+788683, 66);
 /*--- compute (n0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1233997, int_stack+1212217, int_stack+799573, 66);
 /*--- compute (n0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1696213, int_stack+1233997, int_stack+817393, 66);
 /*--- compute (n0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+63820, int_stack+59164, int_stack+325527, int_stack+56980, int_stack+323679, 10, 0);
 /*--- compute (n0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+51705, int_stack+69706, int_stack+63820, int_stack+327903, int_stack+61012, int_stack+325527, 10, 0);
 /*--- compute (n0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+841153, int_stack+51705, int_stack+0, int_stack+728821, int_stack+23625, int_stack+723277, 10, 0);
 /*--- compute (n0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+76966, int_stack+69706, int_stack+330873, int_stack+66196, int_stack+327903, 10, 0);
 /*--- compute (n0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+852241, int_stack+0, int_stack+51705, int_stack+747037, int_stack+30177, int_stack+728821, 10, 0);
 /*--- compute (n0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+51705, int_stack+852241, int_stack+841153, int_stack+755947, int_stack+38601, int_stack+735949, 10, 0);
 /*--- compute (n0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+841153, int_stack+85744, int_stack+76966, int_stack+334503, int_stack+72676, int_stack+330873, 10, 0);
 /*--- compute (n0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+723277, int_stack+841153, int_stack+0, int_stack+788683, int_stack+355491, int_stack+747037, 10, 0);
 /*--- compute (n0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+23625, int_stack+723277, int_stack+852241, int_stack+799573, int_stack+422463, int_stack+755947, 10, 0);
 /*--- compute (n0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+741097, int_stack+23625, int_stack+51705, int_stack+817393, int_stack+483979, int_stack+770203, 10, 0);
 /*--- compute (n0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+483979, int_stack+90100, int_stack+85744, int_stack+338859, int_stack+80596, int_stack+334503, 10, 0);
 /*--- compute (n0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+47385, int_stack+483979, int_stack+841153, int_stack+390333, int_stack+366021, int_stack+788683, 10, 0);
 /*--- compute (n0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+768817, int_stack+47385, int_stack+723277, int_stack+1212217, int_stack+1130317, int_stack+799573, 10, 0);
 /*--- compute (n0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+47385, int_stack+768817, int_stack+23625, int_stack+1233997, int_stack+1151377, int_stack+817393, 10, 0);
 /*--- compute (n0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+768817, int_stack+47385, int_stack+741097, int_stack+1696213, int_stack+1179457, int_stack+617500, 10, 0);
 /*--- compute (mp|[r12,T2]|ih) ---*/
   hrr1_build_mp(Libr12->ShellQuartet.AB,int_stack+1130317, int_stack+768817, int_stack+584335, 588);
 /*--- compute (ld|[r12,T2]|ih) ---*/
   hrr1_build_ld(Libr12->ShellQuartet.AB,int_stack+1731853, int_stack+1130317, int_stack+1325185, 588);
 /*--- compute (kf|[r12,T2]|ih) ---*/
   hrr1_build_kf(Libr12->ShellQuartet.AB,int_stack+1890613, int_stack+1731853, int_stack+1404565, 588);
 /*--- compute (ig|[r12,T2]|ih) ---*/
   hrr1_build_ig(Libr12->ShellQuartet.AB,int_stack+2102293, int_stack+1890613, int_stack+1531573, 588);
 /*--- compute (h0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1731853, int_stack+472639, int_stack+381513, 21);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1744201, int_stack+569215, int_stack+440341, 28);
 /*--- compute (hp|ih) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+1760665, int_stack+1744201, int_stack+1731853, 588);
 /*--- compute (k0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1797709, int_stack+703837, int_stack+532255, 36);
 /*--- compute (ip|ih) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+1818877, int_stack+1797709, int_stack+1744201, 588);
 /*--- compute (hd|ih) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+1868269, int_stack+1818877, int_stack+1760665, 588);
 /*--- compute (l0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1942357, int_stack+909907, int_stack+649729, 45);
 /*--- compute (kp|ih) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+1968817, int_stack+1942357, int_stack+1797709, 588);
 /*--- compute (id|ih) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+1325185, int_stack+1968817, int_stack+1818877, 588);
 /*--- compute (hf|ih) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+1423969, int_stack+1325185, int_stack+1868269, 588);
 /*--- compute (m0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+2032321, int_stack+1295485, int_stack+866557, 55);
 /*--- compute (lp|ih) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+1547449, int_stack+2032321, int_stack+1942357, 588);
 /*--- compute (kd|ih) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+1130317, int_stack+1547449, int_stack+1968817, 588);
 /*--- compute (if|ih) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+723277, int_stack+1130317, int_stack+1325185, 588);
 /*--- compute (hg|ih) ---*/
   hrr1_build_hg(Libr12->ShellQuartet.AB,int_stack+2349253, int_stack+723277, int_stack+1423969, 588);
 /*--- compute (h0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+2064661, int_stack+95248, int_stack+271529, 21);
 /*--- compute (h0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+2069575, int_stack+2064661, int_stack+452101, 21);
 /*--- compute (h0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+2077891, int_stack+2069575, int_stack+456259, 21);
 /*--- compute (h0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+1626829, int_stack+2077891, int_stack+463189, 21);
 /*--- compute (h0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+2064661, int_stack+1626829, int_stack+472639, 21);
 /*--- compute (i0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+1626829, int_stack+103627, int_stack+279607, 28);
 /*--- compute (i0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+1633381, int_stack+1626829, int_stack+349947, 28);
 /*--- compute (i0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+1644469, int_stack+1633381, int_stack+547375, 28);
 /*--- compute (i0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+1659869, int_stack+1644469, int_stack+556615, 28);
 /*--- compute (i0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+1626829, int_stack+1659869, int_stack+569215, 28);
 /*--- compute (hp|kh) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+1647997, int_stack+1626829, int_stack+2064661, 756);
 /*--- compute (k0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+2080537, int_stack+114799, int_stack+290071, 36);
 /*--- compute (k0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+23625, int_stack+2080537, int_stack+668629, 36);
 /*--- compute (k0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+2080537, int_stack+23625, int_stack+675757, 36);
 /*--- compute (k0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+23625, int_stack+2080537, int_stack+687637, 36);
 /*--- compute (k0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+47925, int_stack+23625, int_stack+703837, 36);
 /*--- compute (ip|kh) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+422463, int_stack+47925, int_stack+1626829, 756);
 /*--- compute (hd|kh) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+2534473, int_stack+422463, int_stack+1647997, 756);
 /*--- compute (l0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+23625, int_stack+129163, int_stack+303229, 45);
 /*--- compute (l0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+2080537, int_stack+23625, int_stack+14715, 45);
 /*--- compute (l0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+2080537, int_stack+407613, 45);
 /*--- compute (l0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+323679, int_stack+0, int_stack+889657, 45);
 /*--- compute (l0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+0, int_stack+323679, int_stack+909907, 45);
 /*--- compute (kp|kh) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+323679, int_stack+0, int_stack+47925, 756);
 /*--- compute (id|kh) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+2629729, int_stack+323679, int_stack+422463, 756);
 /*--- compute (hf|kh) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+2756737, int_stack+2629729, int_stack+2534473, 756);
 /*--- compute (m0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+405327, int_stack+147118, int_stack+319389, 55);
 /*--- compute (m0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+75141, int_stack+405327, int_stack+934207, 55);
 /*--- compute (m0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+887917, int_stack+75141, int_stack+507904, 55);
 /*--- compute (m0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+485967, int_stack+887917, int_stack+1270735, 55);
 /*--- compute (m0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+887917, int_stack+485967, int_stack+1295485, 55);
 /*--- compute (lp|kh) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+485967, int_stack+887917, int_stack+0, 756);
 /*--- compute (kd|kh) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+2915497, int_stack+485967, int_stack+323679, 756);
 /*--- compute (if|kh) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+3078793, int_stack+2915497, int_stack+2629729, 756);
 /*--- compute (hg|kh) ---*/
   hrr1_build_hg(Libr12->ShellQuartet.AB,int_stack+3290473, int_stack+3078793, int_stack+2756737, 756);
 /*--- compute (n0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1257325, int_stack+1696213, int_stack+617500, 66);
 /*--- compute (mp|ih) ---*/
   hrr1_build_mp(Libr12->ShellQuartet.AB,int_stack+588027, int_stack+1257325, int_stack+2032321, 588);
 /*--- compute (ld|ih) ---*/
   hrr1_build_ld(Libr12->ShellQuartet.AB,int_stack+3528613, int_stack+588027, int_stack+1547449, 588);
 /*--- compute (kf|ih) ---*/
   hrr1_build_kf(Libr12->ShellQuartet.AB,int_stack+3687373, int_stack+3528613, int_stack+1130317, 588);
 /*--- compute (ig|ih) ---*/
   hrr1_build_ig(Libr12->ShellQuartet.AB,int_stack+3899053, int_stack+3687373, int_stack+723277, 588);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+685047, int_stack+97747, int_stack+97159, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+686811, int_stack+98503, int_stack+97747, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+689079, int_stack+686811, int_stack+685047, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+692607, int_stack+99448, int_stack+98503, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+695442, int_stack+692607, int_stack+686811, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+699978, int_stack+695442, int_stack+689079, 21);
 /*--- compute (h0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+685047, int_stack+100603, int_stack+99448, 21);
 /*--- compute (h0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+705858, int_stack+685047, int_stack+692607, 21);
 /*--- compute (h0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+711528, int_stack+705858, int_stack+695442, 21);
 /*--- compute (h0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+688512, int_stack+711528, int_stack+699978, 21);
 /*--- compute (h0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+697332, int_stack+101989, int_stack+100603, 21);
 /*--- compute (h0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+929497, int_stack+697332, int_stack+685047, 21);
 /*--- compute (h0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+75141, int_stack+929497, int_stack+705858, 21);
 /*--- compute (h0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+929497, int_stack+75141, int_stack+711528, 21);
 /*--- compute (h0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+75141, int_stack+929497, int_stack+688512, 21);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+929497, int_stack+106959, int_stack+106175, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+931849, int_stack+107967, int_stack+106959, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+934873, int_stack+931849, int_stack+929497, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+939577, int_stack+109227, int_stack+107967, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+87489, int_stack+939577, int_stack+931849, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+93537, int_stack+87489, int_stack+934873, 28);
 /*--- compute (i0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+929497, int_stack+110767, int_stack+109227, 28);
 /*--- compute (i0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+101377, int_stack+929497, int_stack+939577, 28);
 /*--- compute (i0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+934117, int_stack+101377, int_stack+87489, 28);
 /*--- compute (i0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+685047, int_stack+934117, int_stack+93537, 28);
 /*--- compute (i0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+87489, int_stack+112615, int_stack+110767, 28);
 /*--- compute (i0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+696807, int_stack+87489, int_stack+929497, 28);
 /*--- compute (i0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+87489, int_stack+696807, int_stack+101377, 28);
 /*--- compute (i0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+696807, int_stack+87489, int_stack+934117, 28);
 /*--- compute (i0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+87489, int_stack+696807, int_stack+685047, 28);
 /*--- compute (hp|[r12,T1]|ih) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+685047, int_stack+87489, int_stack+75141, int_stack+1744201, int_stack+2064661, int_stack+1731853, 6, 5);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2064661, int_stack+119083, int_stack+118075, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+2067685, int_stack+120379, int_stack+119083, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+2071573, int_stack+2067685, int_stack+2064661, 36);
 /*--- compute (k0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+2077621, int_stack+121999, int_stack+120379, 36);
 /*--- compute (k0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+2082481, int_stack+2077621, int_stack+2067685, 36);
 /*--- compute (k0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+2090257, int_stack+2082481, int_stack+2071573, 36);
 /*--- compute (k0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+2064661, int_stack+123979, int_stack+121999, 36);
 /*--- compute (k0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+75141, int_stack+2064661, int_stack+2077621, 36);
 /*--- compute (k0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+103953, int_stack+75141, int_stack+2082481, 36);
 /*--- compute (k0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+2070601, int_stack+103953, int_stack+2090257, 36);
 /*--- compute (k0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+2085721, int_stack+126355, int_stack+123979, 36);
 /*--- compute (k0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+116913, int_stack+2085721, int_stack+2064661, 36);
 /*--- compute (k0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+2085721, int_stack+116913, int_stack+75141, 36);
 /*--- compute (k0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1695625, int_stack+2085721, int_stack+103953, 36);
 /*--- compute (k0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+103953, int_stack+1695625, int_stack+2070601, 36);
 /*--- compute (ip|[r12,T1]|ih) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+266699, int_stack+103953, int_stack+87489, int_stack+1797709, int_stack+1626829, int_stack+1744201, 6, 5);
 /*--- compute (hd|[r12,T1]|ih) ---*/
   t1hrr1_build_hd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+4146013, int_stack+266699, int_stack+685047, int_stack+1818877, int_stack+1647997, int_stack+1760665, 6, 5);
 /*--- compute (l0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+685047, int_stack+134518, int_stack+133258, 45);
 /*--- compute (l0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+688827, int_stack+136138, int_stack+134518, 45);
 /*--- compute (l0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+693687, int_stack+688827, int_stack+685047, 45);
 /*--- compute (l0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+701247, int_stack+138163, int_stack+136138, 45);
 /*--- compute (l0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+707322, int_stack+701247, int_stack+688827, 45);
 /*--- compute (l0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1626829, int_stack+707322, int_stack+693687, 45);
 /*--- compute (l0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+685047, int_stack+140638, int_stack+138163, 45);
 /*--- compute (l0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1639429, int_stack+685047, int_stack+701247, 45);
 /*--- compute (l0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1651579, int_stack+1639429, int_stack+707322, 45);
 /*--- compute (l0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+692472, int_stack+1651579, int_stack+1626829, 45);
 /*--- compute (l0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1626829, int_stack+143608, int_stack+140638, 45);
 /*--- compute (l0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1667779, int_stack+1626829, int_stack+685047, 45);
 /*--- compute (l0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1682629, int_stack+1667779, int_stack+1639429, 45);
 /*--- compute (l0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1626829, int_stack+1682629, int_stack+1651579, 45);
 /*--- compute (l0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1651129, int_stack+1626829, int_stack+692472, 45);
 /*--- compute (kp|[r12,T1]|ih) ---*/
   t1hrr1_build_kp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1677589, int_stack+1651129, int_stack+103953, int_stack+1942357, int_stack+47925, int_stack+1797709, 6, 5);
 /*--- compute (id|[r12,T1]|ih) ---*/
   t1hrr1_build_id(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+34020, int_stack+1677589, int_stack+266699, int_stack+1968817, int_stack+422463, int_stack+1818877, 6, 5);
 /*--- compute (hf|[r12,T1]|ih) ---*/
   t1hrr1_build_hf(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1741093, int_stack+34020, int_stack+4146013, int_stack+1325185, int_stack+2534473, int_stack+1868269, 6, 5);
 /*--- compute (m0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2534473, int_stack+153663, int_stack+152123, 55);
 /*--- compute (m0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+2539093, int_stack+155643, int_stack+153663, 55);
 /*--- compute (m0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+2545033, int_stack+2539093, int_stack+2534473, 55);
 /*--- compute (m0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+2554273, int_stack+158118, int_stack+155643, 55);
 /*--- compute (m0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+2561698, int_stack+2554273, int_stack+2539093, 55);
 /*--- compute (m0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+2573578, int_stack+2561698, int_stack+2545033, 55);
 /*--- compute (m0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+2534473, int_stack+161143, int_stack+158118, 55);
 /*--- compute (m0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+2588978, int_stack+2534473, int_stack+2554273, 55);
 /*--- compute (m0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+2603828, int_stack+2588978, int_stack+2561698, 55);
 /*--- compute (m0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+2543548, int_stack+2603828, int_stack+2573578, 55);
 /*--- compute (m0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+2566648, int_stack+164773, int_stack+161143, 55);
 /*--- compute (m0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+4146013, int_stack+2566648, int_stack+2534473, 55);
 /*--- compute (m0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+4164163, int_stack+4146013, int_stack+2588978, 55);
 /*--- compute (m0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+2566648, int_stack+4164163, int_stack+2603828, 55);
 /*--- compute (m0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+4146013, int_stack+2566648, int_stack+2543548, 55);
 /*--- compute (lp|[r12,T1]|ih) ---*/
   t1hrr1_build_lp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+2534473, int_stack+4146013, int_stack+1651129, int_stack+2032321, int_stack+0, int_stack+1942357, 6, 5);
 /*--- compute (kd|[r12,T1]|ih) ---*/
   t1hrr1_build_kd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+4178353, int_stack+2534473, int_stack+1677589, int_stack+1547449, int_stack+323679, int_stack+1968817, 6, 5);
 /*--- compute (if|[r12,T1]|ih) ---*/
   t1hrr1_build_if(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+266699, int_stack+4178353, int_stack+34020, int_stack+1130317, int_stack+2629729, int_stack+1325185, 6, 5);
 /*--- compute (hg|[r12,T1]|ih) ---*/
   t1hrr1_build_hg(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+4305361, int_stack+266699, int_stack+1741093, int_stack+723277, int_stack+2756737, int_stack+1423969, 6, 5);
 /*--- compute (n0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+170911, int_stack+169063, 66);
 /*--- compute (n0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+5544, int_stack+173287, int_stack+170911, 66);
 /*--- compute (n0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+12672, int_stack+5544, int_stack+0, 66);
 /*--- compute (n0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+23760, int_stack+176257, int_stack+173287, 66);
 /*--- compute (n0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+32670, int_stack+23760, int_stack+5544, 66);
 /*--- compute (n0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+46926, int_stack+32670, int_stack+12672, 66);
 /*--- compute (n0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+179887, int_stack+176257, 66);
 /*--- compute (n0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+65406, int_stack+0, int_stack+23760, 66);
 /*--- compute (n0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+83226, int_stack+65406, int_stack+32670, 66);
 /*--- compute (n0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+10890, int_stack+83226, int_stack+46926, 66);
 /*--- compute (n0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+38610, int_stack+184243, int_stack+179887, 66);
 /*--- compute (n0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+106986, int_stack+38610, int_stack+0, 66);
 /*--- compute (n0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+128766, int_stack+106986, int_stack+65406, 66);
 /*--- compute (n0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+38610, int_stack+128766, int_stack+83226, 66);
 /*--- compute (n0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+74250, int_stack+38610, int_stack+10890, 66);
 /*--- compute (mp|[r12,T1]|ih) ---*/
   t1hrr1_build_mp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+2613853, int_stack+74250, int_stack+4146013, int_stack+1257325, int_stack+887917, int_stack+2032321, 6, 5);
 /*--- compute (ld|[r12,T1]|ih) ---*/
   t1hrr1_build_ld(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1257325, int_stack+2613853, int_stack+2534473, int_stack+588027, int_stack+485967, int_stack+1547449, 6, 5);
 /*--- compute (kf|[r12,T1]|ih) ---*/
   t1hrr1_build_kf(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+2534473, int_stack+1257325, int_stack+4178353, int_stack+3528613, int_stack+2915497, int_stack+1130317, 6, 5);
 /*--- compute (ig|[r12,T1]|ih) ---*/
   t1hrr1_build_ig(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1130317, int_stack+2534473, int_stack+266699, int_stack+3687373, int_stack+3078793, int_stack+723277, 6, 5);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+266699, int_stack+189979, int_stack+189391, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+268463, int_stack+190735, int_stack+189979, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+270731, int_stack+268463, int_stack+266699, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+274259, int_stack+191680, int_stack+190735, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+277094, int_stack+274259, int_stack+268463, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+281630, int_stack+277094, int_stack+270731, 21);
 /*--- compute (h0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+266699, int_stack+192835, int_stack+191680, 21);
 /*--- compute (h0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+287510, int_stack+266699, int_stack+274259, 21);
 /*--- compute (h0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+293180, int_stack+287510, int_stack+277094, 21);
 /*--- compute (h0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+270164, int_stack+293180, int_stack+281630, 21);
 /*--- compute (h0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+278984, int_stack+194221, int_stack+192835, 21);
 /*--- compute (h0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+300740, int_stack+278984, int_stack+266699, 21);
 /*--- compute (h0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+307670, int_stack+300740, int_stack+287510, 21);
 /*--- compute (h0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+278984, int_stack+307670, int_stack+293180, 21);
 /*--- compute (h0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+290324, int_stack+278984, int_stack+270164, 21);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+266699, int_stack+196643, int_stack+195859, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+269051, int_stack+197651, int_stack+196643, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+272075, int_stack+269051, int_stack+266699, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+276779, int_stack+198911, int_stack+197651, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+280559, int_stack+276779, int_stack+269051, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+302672, int_stack+280559, int_stack+272075, 28);
 /*--- compute (i0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+266699, int_stack+200451, int_stack+198911, 28);
 /*--- compute (i0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+310512, int_stack+266699, int_stack+276779, 28);
 /*--- compute (i0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+318072, int_stack+310512, int_stack+280559, 28);
 /*--- compute (i0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+271319, int_stack+318072, int_stack+302672, 28);
 /*--- compute (i0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+302672, int_stack+202299, int_stack+200451, 28);
 /*--- compute (i0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+328152, int_stack+302672, int_stack+266699, 28);
 /*--- compute (i0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+337392, int_stack+328152, int_stack+310512, 28);
 /*--- compute (i0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+302672, int_stack+337392, int_stack+318072, 28);
 /*--- compute (i0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+317792, int_stack+302672, int_stack+271319, 28);
 /*--- compute (hp||ih) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+334256, int_stack+317792, int_stack+290324, 588);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+266699, int_stack+205491, int_stack+204483, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+269723, int_stack+206787, int_stack+205491, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+273611, int_stack+269723, int_stack+266699, 36);
 /*--- compute (k0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+279659, int_stack+208407, int_stack+206787, 36);
 /*--- compute (k0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+284519, int_stack+279659, int_stack+269723, 36);
 /*--- compute (k0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+292295, int_stack+284519, int_stack+273611, 36);
 /*--- compute (k0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+266699, int_stack+210387, int_stack+208407, 36);
 /*--- compute (k0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+302375, int_stack+266699, int_stack+279659, 36);
 /*--- compute (k0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+371300, int_stack+302375, int_stack+284519, 36);
 /*--- compute (k0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+272639, int_stack+371300, int_stack+292295, 36);
 /*--- compute (k0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+287759, int_stack+212763, int_stack+210387, 36);
 /*--- compute (k0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+384260, int_stack+287759, int_stack+266699, 36);
 /*--- compute (k0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+396140, int_stack+384260, int_stack+302375, 36);
 /*--- compute (k0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+287759, int_stack+396140, int_stack+371300, 36);
 /*--- compute (k0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+371300, int_stack+287759, int_stack+272639, 36);
 /*--- compute (ip||ih) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+392468, int_stack+371300, int_stack+317792, 588);
 /*--- compute (hd||ih) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+441860, int_stack+392468, int_stack+334256, 588);
 /*--- compute (l0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+515948, int_stack+216831, int_stack+215571, 45);
 /*--- compute (l0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+519728, int_stack+218451, int_stack+216831, 45);
 /*--- compute (l0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+524588, int_stack+519728, int_stack+515948, 45);
 /*--- compute (l0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+532148, int_stack+220476, int_stack+218451, 45);
 /*--- compute (l0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+538223, int_stack+532148, int_stack+519728, 45);
 /*--- compute (l0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+547943, int_stack+538223, int_stack+524588, 45);
 /*--- compute (l0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+515948, int_stack+222951, int_stack+220476, 45);
 /*--- compute (l0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+560543, int_stack+515948, int_stack+532148, 45);
 /*--- compute (l0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+572693, int_stack+560543, int_stack+538223, 45);
 /*--- compute (l0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+523373, int_stack+572693, int_stack+547943, 45);
 /*--- compute (l0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+542273, int_stack+225921, int_stack+222951, 45);
 /*--- compute (l0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+588893, int_stack+542273, int_stack+515948, 45);
 /*--- compute (l0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+603743, int_stack+588893, int_stack+560543, 45);
 /*--- compute (l0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+542273, int_stack+603743, int_stack+572693, 45);
 /*--- compute (l0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+566573, int_stack+542273, int_stack+523373, 45);
 /*--- compute (kp||ih) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+593033, int_stack+566573, int_stack+371300, 588);
 /*--- compute (id||ih) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+656537, int_stack+593033, int_stack+392468, 588);
 /*--- compute (hf||ih) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+755321, int_stack+656537, int_stack+441860, 588);
 /*--- compute (m0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+878801, int_stack+230971, int_stack+229431, 55);
 /*--- compute (m0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+883421, int_stack+232951, int_stack+230971, 55);
 /*--- compute (m0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+889361, int_stack+883421, int_stack+878801, 55);
 /*--- compute (m0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+898601, int_stack+235426, int_stack+232951, 55);
 /*--- compute (m0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+906026, int_stack+898601, int_stack+883421, 55);
 /*--- compute (m0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+917906, int_stack+906026, int_stack+889361, 55);
 /*--- compute (m0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+878801, int_stack+238451, int_stack+235426, 55);
 /*--- compute (m0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+266699, int_stack+878801, int_stack+898601, 55);
 /*--- compute (m0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+281549, int_stack+266699, int_stack+906026, 55);
 /*--- compute (m0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+887876, int_stack+281549, int_stack+917906, 55);
 /*--- compute (m0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+910976, int_stack+242081, int_stack+238451, 55);
 /*--- compute (m0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+921866, int_stack+910976, int_stack+878801, 55);
 /*--- compute (m0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+301349, int_stack+921866, int_stack+266699, 55);
 /*--- compute (m0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+910976, int_stack+301349, int_stack+281549, 55);
 /*--- compute (m0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+266699, int_stack+910976, int_stack+887876, 55);
 /*--- compute (lp||ih) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+299039, int_stack+266699, int_stack+566573, 588);
 /*--- compute (kd||ih) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+378419, int_stack+299039, int_stack+593033, 588);
 /*--- compute (if||ih) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+2534473, int_stack+378419, int_stack+656537, 588);
 /*--- compute (hg||ih) ---*/
   hrr1_build_hg(Libr12->ShellQuartet.AB,int_stack+505427, int_stack+2534473, int_stack+755321, 588);
 /*--- compute (n0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+690647, int_stack+248219, int_stack+246371, 66);
 /*--- compute (n0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+696191, int_stack+250595, int_stack+248219, 66);
 /*--- compute (n0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+703319, int_stack+696191, int_stack+690647, 66);
 /*--- compute (n0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+714407, int_stack+253565, int_stack+250595, 66);
 /*--- compute (n0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+723317, int_stack+714407, int_stack+696191, 66);
 /*--- compute (n0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+737573, int_stack+723317, int_stack+703319, 66);
 /*--- compute (n0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+690647, int_stack+257195, int_stack+253565, 66);
 /*--- compute (n0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+756053, int_stack+690647, int_stack+714407, 66);
 /*--- compute (n0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+773873, int_stack+756053, int_stack+723317, 66);
 /*--- compute (n0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+701537, int_stack+773873, int_stack+737573, 66);
 /*--- compute (n0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+729257, int_stack+261551, int_stack+257195, 66);
 /*--- compute (n0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+797633, int_stack+729257, int_stack+690647, 66);
 /*--- compute (n0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+819413, int_stack+797633, int_stack+756053, 66);
 /*--- compute (n0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+729257, int_stack+819413, int_stack+773873, 66);
 /*--- compute (n0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+764897, int_stack+729257, int_stack+701537, 66);
 /*--- compute (mp||ih) ---*/
   hrr1_build_mp(Libr12->ShellQuartet.AB,int_stack+803705, int_stack+764897, int_stack+266699, 588);
 /*--- compute (ld||ih) ---*/
   hrr1_build_ld(Libr12->ShellQuartet.AB,int_stack+2699113, int_stack+803705, int_stack+299039, 588);
 /*--- compute (kf||ih) ---*/
   hrr1_build_kf(Libr12->ShellQuartet.AB,int_stack+690647, int_stack+2699113, int_stack+378419, 588);
 /*--- compute (ig||ih) ---*/
   hrr1_build_ig(Libr12->ShellQuartet.AB,int_stack+2699113, int_stack+690647, int_stack+2534473, 588);
 /*--- compute (hh|[r12,T2]|ih) ---*/
   hrr1_build_hh(Libr12->ShellQuartet.AB,int_stack+2946073, int_stack+2102293, int_stack+945097, 588);
     Libr12->te_ptr[3] = int_stack + 2946073;
 /*--- compute (hh|[r12,T1]|ih) ---*/
   t1hrr1_build_hh(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+690647, int_stack+1130317, int_stack+4305361, int_stack+3899053, int_stack+3290473, int_stack+2349253, 6, 5);
     Libr12->te_ptr[2] = int_stack + 690647;
 /*--- compute (hh||ih) ---*/
   hrr1_build_hh(Libr12->ShellQuartet.AB,int_stack+949955, int_stack+2699113, int_stack+505427, 588);
     Libr12->te_ptr[1] = int_stack + 949955;
 /*--- compute (hh|ih) ---*/
   hrr1_build_hh(Libr12->ShellQuartet.AB,int_stack+2534473, int_stack+3899053, int_stack+2349253, 588);
     Libr12->te_ptr[0] = int_stack + 2534473;

}
