#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_hhii(Libr12_t *, prim_data *);

  /* Computes (hh|ii) integrals for linear R12-methods */

void hrr_grt_order_hhii(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[5][6] = int_stack + 0;
 Libr12->t2vrr_classes[5][7] = int_stack + 588;
 Libr12->t2vrr_classes[5][8] = int_stack + 1344;
 Libr12->t2vrr_classes[5][9] = int_stack + 2289;
 Libr12->t2vrr_classes[5][10] = int_stack + 3444;
 Libr12->t2vrr_classes[5][11] = int_stack + 4830;
 Libr12->t2vrr_classes[5][12] = int_stack + 6468;
 Libr12->t2vrr_classes[6][6] = int_stack + 8379;
 Libr12->t2vrr_classes[6][7] = int_stack + 9163;
 Libr12->t2vrr_classes[6][8] = int_stack + 10171;
 Libr12->t2vrr_classes[6][9] = int_stack + 11431;
 Libr12->t2vrr_classes[6][10] = int_stack + 12971;
 Libr12->t2vrr_classes[6][11] = int_stack + 14819;
 Libr12->t2vrr_classes[6][12] = int_stack + 17003;
 Libr12->t2vrr_classes[7][6] = int_stack + 19551;
 Libr12->t2vrr_classes[7][7] = int_stack + 20559;
 Libr12->t2vrr_classes[7][8] = int_stack + 21855;
 Libr12->t2vrr_classes[7][9] = int_stack + 23475;
 Libr12->t2vrr_classes[7][10] = int_stack + 25455;
 Libr12->t2vrr_classes[7][11] = int_stack + 27831;
 Libr12->t2vrr_classes[7][12] = int_stack + 30639;
 Libr12->t2vrr_classes[8][6] = int_stack + 33915;
 Libr12->t2vrr_classes[8][7] = int_stack + 35175;
 Libr12->t2vrr_classes[8][8] = int_stack + 36795;
 Libr12->t2vrr_classes[8][9] = int_stack + 38820;
 Libr12->t2vrr_classes[8][10] = int_stack + 41295;
 Libr12->t2vrr_classes[8][11] = int_stack + 44265;
 Libr12->t2vrr_classes[8][12] = int_stack + 47775;
 Libr12->t2vrr_classes[9][6] = int_stack + 51870;
 Libr12->t2vrr_classes[9][7] = int_stack + 53410;
 Libr12->t2vrr_classes[9][8] = int_stack + 55390;
 Libr12->t2vrr_classes[9][9] = int_stack + 57865;
 Libr12->t2vrr_classes[9][10] = int_stack + 60890;
 Libr12->t2vrr_classes[9][11] = int_stack + 64520;
 Libr12->t2vrr_classes[9][12] = int_stack + 68810;
 Libr12->gvrr_classes[11][6] = int_stack + 73815;
 Libr12->t2vrr_classes[10][6] = int_stack + 75999;
 Libr12->gvrr_classes[11][7] = int_stack + 77847;
 Libr12->t2vrr_classes[10][7] = int_stack + 80655;
 Libr12->gvrr_classes[11][8] = int_stack + 83031;
 Libr12->t2vrr_classes[10][8] = int_stack + 86541;
 Libr12->gvrr_classes[11][9] = int_stack + 89511;
 Libr12->t2vrr_classes[10][9] = int_stack + 93801;
 Libr12->gvrr_classes[11][10] = int_stack + 97431;
 Libr12->t2vrr_classes[10][10] = int_stack + 102579;
 Libr12->gvrr_classes[11][11] = int_stack + 106935;
 Libr12->t2vrr_classes[10][11] = int_stack + 113019;
 Libr12->t2vrr_classes[10][12] = int_stack + 118167;
 Libr12->gvrr_classes[5][13] = int_stack + 124173;
 Libr12->t1vrr_classes[5][6] = int_stack + 126378;
 Libr12->t1vrr_classes[5][7] = int_stack + 126966;
 Libr12->t1vrr_classes[5][8] = int_stack + 127722;
 Libr12->t1vrr_classes[5][9] = int_stack + 128667;
 Libr12->t1vrr_classes[5][10] = int_stack + 129822;
 Libr12->t1vrr_classes[5][11] = int_stack + 131208;
 Libr12->t1vrr_classes[5][12] = int_stack + 132846;
 Libr12->gvrr_classes[6][13] = int_stack + 134757;
 Libr12->t1vrr_classes[6][6] = int_stack + 137697;
 Libr12->t1vrr_classes[6][7] = int_stack + 138481;
 Libr12->t1vrr_classes[6][8] = int_stack + 139489;
 Libr12->t1vrr_classes[6][9] = int_stack + 140749;
 Libr12->t1vrr_classes[6][10] = int_stack + 142289;
 Libr12->t1vrr_classes[6][11] = int_stack + 144137;
 Libr12->t1vrr_classes[6][12] = int_stack + 146321;
 Libr12->gvrr_classes[7][13] = int_stack + 148869;
 Libr12->t1vrr_classes[7][6] = int_stack + 152649;
 Libr12->t1vrr_classes[7][7] = int_stack + 153657;
 Libr12->t1vrr_classes[7][8] = int_stack + 154953;
 Libr12->t1vrr_classes[7][9] = int_stack + 156573;
 Libr12->t1vrr_classes[7][10] = int_stack + 158553;
 Libr12->t1vrr_classes[7][11] = int_stack + 160929;
 Libr12->t1vrr_classes[7][12] = int_stack + 163737;
 Libr12->gvrr_classes[8][13] = int_stack + 167013;
 Libr12->t1vrr_classes[8][6] = int_stack + 171738;
 Libr12->t1vrr_classes[8][7] = int_stack + 172998;
 Libr12->t1vrr_classes[8][8] = int_stack + 174618;
 Libr12->t1vrr_classes[8][9] = int_stack + 176643;
 Libr12->t1vrr_classes[8][10] = int_stack + 179118;
 Libr12->t1vrr_classes[8][11] = int_stack + 182088;
 Libr12->t1vrr_classes[8][12] = int_stack + 185598;
 Libr12->gvrr_classes[9][13] = int_stack + 189693;
 Libr12->t1vrr_classes[9][6] = int_stack + 195468;
 Libr12->t1vrr_classes[9][7] = int_stack + 197008;
 Libr12->t1vrr_classes[9][8] = int_stack + 198988;
 Libr12->t1vrr_classes[9][9] = int_stack + 201463;
 Libr12->t1vrr_classes[9][10] = int_stack + 204488;
 Libr12->t1vrr_classes[9][11] = int_stack + 208118;
 Libr12->t1vrr_classes[9][12] = int_stack + 212408;
 Libr12->t1vrr_classes[10][6] = int_stack + 217413;
 Libr12->t1vrr_classes[10][7] = int_stack + 219261;
 Libr12->t1vrr_classes[10][8] = int_stack + 221637;
 Libr12->t1vrr_classes[10][9] = int_stack + 224607;
 Libr12->t1vrr_classes[10][10] = int_stack + 228237;
 Libr12->t1vrr_classes[10][11] = int_stack + 232593;
 Libr12->t1vrr_classes[10][12] = int_stack + 237741;
 Libr12->rvrr_classes[5][6] = int_stack + 243747;
 Libr12->rvrr_classes[5][7] = int_stack + 244335;
 Libr12->rvrr_classes[5][8] = int_stack + 245091;
 Libr12->rvrr_classes[5][9] = int_stack + 246036;
 Libr12->rvrr_classes[5][10] = int_stack + 247191;
 Libr12->rvrr_classes[5][11] = int_stack + 248577;
 Libr12->rvrr_classes[5][12] = int_stack + 250215;
 Libr12->rvrr_classes[6][6] = int_stack + 252126;
 Libr12->rvrr_classes[6][7] = int_stack + 252910;
 Libr12->rvrr_classes[6][8] = int_stack + 253918;
 Libr12->rvrr_classes[6][9] = int_stack + 255178;
 Libr12->rvrr_classes[6][10] = int_stack + 256718;
 Libr12->rvrr_classes[6][11] = int_stack + 258566;
 Libr12->rvrr_classes[6][12] = int_stack + 260750;
 Libr12->rvrr_classes[7][6] = int_stack + 263298;
 Libr12->rvrr_classes[7][7] = int_stack + 264306;
 Libr12->rvrr_classes[7][8] = int_stack + 265602;
 Libr12->rvrr_classes[7][9] = int_stack + 267222;
 Libr12->rvrr_classes[7][10] = int_stack + 269202;
 Libr12->rvrr_classes[7][11] = int_stack + 271578;
 Libr12->rvrr_classes[7][12] = int_stack + 274386;
 Libr12->rvrr_classes[8][6] = int_stack + 277662;
 Libr12->rvrr_classes[8][7] = int_stack + 278922;
 Libr12->rvrr_classes[8][8] = int_stack + 280542;
 Libr12->rvrr_classes[8][9] = int_stack + 282567;
 Libr12->rvrr_classes[8][10] = int_stack + 285042;
 Libr12->rvrr_classes[8][11] = int_stack + 288012;
 Libr12->rvrr_classes[8][12] = int_stack + 291522;
 Libr12->rvrr_classes[9][6] = int_stack + 295617;
 Libr12->rvrr_classes[9][7] = int_stack + 297157;
 Libr12->rvrr_classes[9][8] = int_stack + 299137;
 Libr12->rvrr_classes[9][9] = int_stack + 301612;
 Libr12->rvrr_classes[9][10] = int_stack + 304637;
 Libr12->rvrr_classes[9][11] = int_stack + 308267;
 Libr12->rvrr_classes[9][12] = int_stack + 312557;
 Libr12->rvrr_classes[10][6] = int_stack + 317562;
 Libr12->rvrr_classes[10][7] = int_stack + 319410;
 Libr12->rvrr_classes[10][8] = int_stack + 321786;
 Libr12->rvrr_classes[10][9] = int_stack + 324756;
 Libr12->rvrr_classes[10][10] = int_stack + 328386;
 Libr12->rvrr_classes[10][11] = int_stack + 332742;
 Libr12->rvrr_classes[10][12] = int_stack + 337890;
 Libr12->gvrr_classes[5][6] = int_stack + 343896;
 Libr12->gvrr_classes[5][7] = int_stack + 344484;
 Libr12->gvrr_classes[5][8] = int_stack + 345240;
 Libr12->gvrr_classes[5][9] = int_stack + 346185;
 Libr12->gvrr_classes[5][10] = int_stack + 347340;
 Libr12->gvrr_classes[5][11] = int_stack + 348726;
 Libr12->gvrr_classes[5][12] = int_stack + 350364;
 Libr12->gvrr_classes[6][6] = int_stack + 352275;
 Libr12->gvrr_classes[6][7] = int_stack + 353059;
 Libr12->gvrr_classes[6][8] = int_stack + 354067;
 Libr12->gvrr_classes[6][9] = int_stack + 355327;
 Libr12->gvrr_classes[6][10] = int_stack + 356867;
 Libr12->gvrr_classes[6][11] = int_stack + 358715;
 Libr12->gvrr_classes[6][12] = int_stack + 360899;
 Libr12->gvrr_classes[7][6] = int_stack + 363447;
 Libr12->gvrr_classes[7][7] = int_stack + 364455;
 Libr12->gvrr_classes[7][8] = int_stack + 365751;
 Libr12->gvrr_classes[7][9] = int_stack + 367371;
 Libr12->gvrr_classes[7][10] = int_stack + 369351;
 Libr12->gvrr_classes[7][11] = int_stack + 371727;
 Libr12->gvrr_classes[7][12] = int_stack + 374535;
 Libr12->gvrr_classes[8][6] = int_stack + 377811;
 Libr12->gvrr_classes[8][7] = int_stack + 379071;
 Libr12->gvrr_classes[8][8] = int_stack + 380691;
 Libr12->gvrr_classes[8][9] = int_stack + 382716;
 Libr12->gvrr_classes[8][10] = int_stack + 385191;
 Libr12->gvrr_classes[8][11] = int_stack + 388161;
 Libr12->gvrr_classes[8][12] = int_stack + 391671;
 Libr12->gvrr_classes[9][6] = int_stack + 395766;
 Libr12->gvrr_classes[9][7] = int_stack + 397306;
 Libr12->gvrr_classes[9][8] = int_stack + 399286;
 Libr12->gvrr_classes[9][9] = int_stack + 401761;
 Libr12->gvrr_classes[9][10] = int_stack + 404786;
 Libr12->gvrr_classes[9][11] = int_stack + 408416;
 Libr12->gvrr_classes[9][12] = int_stack + 412706;
 Libr12->gvrr_classes[10][6] = int_stack + 417711;
 Libr12->gvrr_classes[10][7] = int_stack + 419559;
 Libr12->gvrr_classes[10][8] = int_stack + 421935;
 Libr12->gvrr_classes[10][9] = int_stack + 424905;
 Libr12->gvrr_classes[10][10] = int_stack + 428535;
 Libr12->gvrr_classes[10][11] = int_stack + 432891;
 Libr12->gvrr_classes[10][12] = int_stack + 438039;
 memset(int_stack,0,444045*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 444045;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_hhii(Libr12, Data);
   Data++;
 }

 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+444045, int_stack+344484, int_stack+343896, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+445809, int_stack+345240, int_stack+344484, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+448077, int_stack+445809, int_stack+444045, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+451605, int_stack+346185, int_stack+345240, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+454440, int_stack+451605, int_stack+445809, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+458976, int_stack+454440, int_stack+448077, 21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+464856, int_stack+347340, int_stack+346185, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+468321, int_stack+464856, int_stack+451605, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+473991, int_stack+468321, int_stack+454440, 21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+481551, int_stack+473991, int_stack+458976, 21);
 /*--- compute (h0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+490371, int_stack+348726, int_stack+347340, 21);
 /*--- compute (h0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+494529, int_stack+490371, int_stack+464856, 21);
 /*--- compute (h0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+501459, int_stack+494529, int_stack+468321, 21);
 /*--- compute (h0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+510909, int_stack+501459, int_stack+473991, 21);
 /*--- compute (h0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+522249, int_stack+510909, int_stack+481551, 21);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+534597, int_stack+353059, int_stack+352275, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+536949, int_stack+354067, int_stack+353059, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+539973, int_stack+536949, int_stack+534597, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+544677, int_stack+355327, int_stack+354067, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+548457, int_stack+544677, int_stack+536949, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+554505, int_stack+548457, int_stack+539973, 28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+562345, int_stack+356867, int_stack+355327, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+566965, int_stack+562345, int_stack+544677, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+574525, int_stack+566965, int_stack+548457, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+584605, int_stack+574525, int_stack+554505, 28);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+596365, int_stack+358715, int_stack+356867, 28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+601909, int_stack+596365, int_stack+562345, 28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+611149, int_stack+601909, int_stack+566965, 28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+623749, int_stack+611149, int_stack+574525, 28);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+638869, int_stack+623749, int_stack+584605, 28);
 /*--- compute (h0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+655333, int_stack+350364, int_stack+348726, 21);
 /*--- compute (h0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+660247, int_stack+655333, int_stack+490371, 21);
 /*--- compute (h0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+668563, int_stack+660247, int_stack+494529, 21);
 /*--- compute (h0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+680113, int_stack+668563, int_stack+501459, 21);
 /*--- compute (h0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+694288, int_stack+680113, int_stack+510909, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+710164, int_stack+588, int_stack+0, int_stack+344484, int_stack+352275, int_stack+343896, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+711928, int_stack+1344, int_stack+588, int_stack+345240, int_stack+353059, int_stack+344484, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+714196, int_stack+711928, int_stack+710164, int_stack+445809, int_stack+534597, int_stack+444045, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+717724, int_stack+2289, int_stack+1344, int_stack+346185, int_stack+354067, int_stack+345240, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+720559, int_stack+717724, int_stack+711928, int_stack+451605, int_stack+536949, int_stack+445809, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+725095, int_stack+720559, int_stack+714196, int_stack+454440, int_stack+539973, int_stack+448077, 5, 0);
 /*--- compute (h0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+444045, int_stack+3444, int_stack+2289, int_stack+347340, int_stack+355327, int_stack+346185, 5, 0);
 /*--- compute (h0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+710164, int_stack+444045, int_stack+717724, int_stack+464856, int_stack+544677, int_stack+451605, 5, 0);
 /*--- compute (h0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+730975, int_stack+710164, int_stack+720559, int_stack+468321, int_stack+548457, int_stack+454440, 5, 0);
 /*--- compute (h0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+447510, int_stack+730975, int_stack+725095, int_stack+473991, int_stack+554505, int_stack+458976, 5, 0);
 /*--- compute (h0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+456330, int_stack+4830, int_stack+3444, int_stack+348726, int_stack+356867, int_stack+347340, 5, 0);
 /*--- compute (h0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+715834, int_stack+456330, int_stack+444045, int_stack+490371, int_stack+562345, int_stack+464856, 5, 0);
 /*--- compute (h0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+738535, int_stack+715834, int_stack+710164, int_stack+494529, int_stack+566965, int_stack+468321, 5, 0);
 /*--- compute (h0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+460488, int_stack+738535, int_stack+730975, int_stack+501459, int_stack+574525, int_stack+473991, 5, 0);
 /*--- compute (h0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+722764, int_stack+460488, int_stack+447510, int_stack+510909, int_stack+584605, int_stack+481551, 5, 0);
 /*--- compute (h0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+710164, int_stack+6468, int_stack+4830, int_stack+350364, int_stack+358715, int_stack+348726, 5, 0);
 /*--- compute (h0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+444045, int_stack+710164, int_stack+456330, int_stack+655333, int_stack+596365, int_stack+490371, 5, 0);
 /*--- compute (h0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+471828, int_stack+444045, int_stack+715834, int_stack+660247, int_stack+601909, int_stack+494529, 5, 0);
 /*--- compute (h0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+444045, int_stack+471828, int_stack+738535, int_stack+668563, int_stack+611149, int_stack+501459, 5, 0);
 /*--- compute (h0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+471828, int_stack+444045, int_stack+460488, int_stack+680113, int_stack+623749, int_stack+510909, 5, 0);
 /*--- compute (h0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+444045, int_stack+471828, int_stack+722764, int_stack+694288, int_stack+638869, int_stack+522249, 5, 0);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+460509, int_stack+364455, int_stack+363447, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+463533, int_stack+365751, int_stack+364455, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+467421, int_stack+463533, int_stack+460509, 36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+473469, int_stack+367371, int_stack+365751, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+478329, int_stack+473469, int_stack+463533, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+486105, int_stack+478329, int_stack+467421, 36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+496185, int_stack+369351, int_stack+367371, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+502125, int_stack+496185, int_stack+473469, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+710164, int_stack+502125, int_stack+478329, 36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+723124, int_stack+710164, int_stack+486105, 36);
 /*--- compute (k0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+511845, int_stack+371727, int_stack+369351, 36);
 /*--- compute (k0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+738244, int_stack+511845, int_stack+496185, 36);
 /*--- compute (k0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+750124, int_stack+738244, int_stack+502125, 36);
 /*--- compute (k0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+766324, int_stack+750124, int_stack+710164, 36);
 /*--- compute (k0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+785764, int_stack+766324, int_stack+723124, 36);
 /*--- compute (i0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+0, int_stack+360899, int_stack+358715, 28);
 /*--- compute (i0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+806932, int_stack+0, int_stack+596365, 28);
 /*--- compute (i0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+818020, int_stack+806932, int_stack+601909, 28);
 /*--- compute (i0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+833420, int_stack+818020, int_stack+611149, 28);
 /*--- compute (i0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+852320, int_stack+833420, int_stack+623749, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+518973, int_stack+9163, int_stack+8379, int_stack+353059, int_stack+363447, int_stack+352275, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+343896, int_stack+10171, int_stack+9163, int_stack+354067, int_stack+364455, int_stack+353059, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+873488, int_stack+343896, int_stack+518973, int_stack+536949, int_stack+460509, int_stack+534597, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+878192, int_stack+11431, int_stack+10171, int_stack+355327, int_stack+365751, int_stack+354067, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+881972, int_stack+878192, int_stack+343896, int_stack+544677, int_stack+463533, int_stack+536949, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+888020, int_stack+881972, int_stack+873488, int_stack+548457, int_stack+467421, int_stack+539973, 6, 0);
 /*--- compute (i0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+873488, int_stack+12971, int_stack+11431, int_stack+356867, int_stack+367371, int_stack+355327, 6, 0);
 /*--- compute (i0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+534597, int_stack+873488, int_stack+878192, int_stack+562345, int_stack+473469, int_stack+544677, 6, 0);
 /*--- compute (i0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+895860, int_stack+534597, int_stack+881972, int_stack+566965, int_stack+478329, int_stack+548457, 6, 0);
 /*--- compute (i0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+542157, int_stack+895860, int_stack+888020, int_stack+574525, int_stack+486105, int_stack+554505, 6, 0);
 /*--- compute (i0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+878108, int_stack+14819, int_stack+12971, int_stack+358715, int_stack+369351, int_stack+356867, 6, 0);
 /*--- compute (i0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+883652, int_stack+878108, int_stack+873488, int_stack+596365, int_stack+496185, int_stack+562345, 6, 0);
 /*--- compute (i0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+553917, int_stack+883652, int_stack+534597, int_stack+601909, int_stack+502125, int_stack+566965, 6, 0);
 /*--- compute (i0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+905940, int_stack+553917, int_stack+895860, int_stack+611149, int_stack+710164, int_stack+574525, 6, 0);
 /*--- compute (i0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+566517, int_stack+905940, int_stack+542157, int_stack+623749, int_stack+723124, int_stack+584605, 6, 0);
 /*--- compute (i0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+534597, int_stack+17003, int_stack+14819, int_stack+360899, int_stack+371727, int_stack+358715, 6, 0);
 /*--- compute (i0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+541149, int_stack+534597, int_stack+878108, int_stack+0, int_stack+511845, int_stack+596365, 6, 0);
 /*--- compute (i0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+582981, int_stack+541149, int_stack+883652, int_stack+806932, int_stack+738244, int_stack+601909, 6, 0);
 /*--- compute (i0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+534597, int_stack+582981, int_stack+553917, int_stack+818020, int_stack+750124, int_stack+611149, 6, 0);
 /*--- compute (i0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+582981, int_stack+534597, int_stack+905940, int_stack+833420, int_stack+766324, int_stack+623749, 6, 0);
 /*--- compute (i0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+534597, int_stack+582981, int_stack+566517, int_stack+852320, int_stack+785764, int_stack+638869, 6, 0);
 /*--- compute (hp|[r12,T2]|ii) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+556549, int_stack+534597, int_stack+444045, 784);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+444045, int_stack+379071, int_stack+377811, 45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+447825, int_stack+380691, int_stack+379071, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+452685, int_stack+447825, int_stack+444045, 45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+605941, int_stack+382716, int_stack+380691, 45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+612016, int_stack+605941, int_stack+447825, 45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+621736, int_stack+612016, int_stack+452685, 45);
 /*--- compute (l0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+873488, int_stack+385191, int_stack+382716, 45);
 /*--- compute (l0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+880913, int_stack+873488, int_stack+605941, 45);
 /*--- compute (l0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+893063, int_stack+880913, int_stack+612016, 45);
 /*--- compute (l0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+909263, int_stack+893063, int_stack+621736, 45);
 /*--- compute (l0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+6552, int_stack+388161, int_stack+385191, 45);
 /*--- compute (l0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+928163, int_stack+6552, int_stack+873488, 45);
 /*--- compute (l0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+943013, int_stack+928163, int_stack+880913, 45);
 /*--- compute (l0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+963263, int_stack+943013, int_stack+893063, 45);
 /*--- compute (l0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+987563, int_stack+963263, int_stack+909263, 45);
 /*--- compute (k0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+352275, int_stack+374535, int_stack+371727, 36);
 /*--- compute (k0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+1014023, int_stack+352275, int_stack+511845, 36);
 /*--- compute (k0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+1028279, int_stack+1014023, int_stack+738244, 36);
 /*--- compute (k0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+1048079, int_stack+1028279, int_stack+750124, 36);
 /*--- compute (k0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+1072379, int_stack+1048079, int_stack+766324, 36);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+634336, int_stack+20559, int_stack+19551, int_stack+364455, int_stack+377811, int_stack+363447, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+343896, int_stack+21855, int_stack+20559, int_stack+365751, int_stack+379071, int_stack+364455, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+15462, int_stack+343896, int_stack+634336, int_stack+463533, int_stack+444045, int_stack+460509, 7, 0);
 /*--- compute (k0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1099595, int_stack+23475, int_stack+21855, int_stack+367371, int_stack+380691, int_stack+365751, 7, 0);
 /*--- compute (k0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1104455, int_stack+1099595, int_stack+343896, int_stack+473469, int_stack+447825, int_stack+463533, 7, 0);
 /*--- compute (k0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1112231, int_stack+1104455, int_stack+15462, int_stack+478329, int_stack+452685, int_stack+467421, 7, 0);
 /*--- compute (k0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+15462, int_stack+25455, int_stack+23475, int_stack+369351, int_stack+382716, int_stack+367371, 7, 0);
 /*--- compute (k0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+460245, int_stack+15462, int_stack+1099595, int_stack+496185, int_stack+605941, int_stack+473469, 7, 0);
 /*--- compute (k0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1122311, int_stack+460245, int_stack+1104455, int_stack+502125, int_stack+612016, int_stack+478329, 7, 0);
 /*--- compute (k0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+469965, int_stack+1122311, int_stack+1112231, int_stack+710164, int_stack+621736, int_stack+486105, 7, 0);
 /*--- compute (k0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1099595, int_stack+27831, int_stack+25455, int_stack+371727, int_stack+385191, int_stack+369351, 7, 0);
 /*--- compute (k0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1106723, int_stack+1099595, int_stack+15462, int_stack+511845, int_stack+873488, int_stack+496185, 7, 0);
 /*--- compute (k0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+485085, int_stack+1106723, int_stack+460245, int_stack+738244, int_stack+880913, int_stack+502125, 7, 0);
 /*--- compute (k0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1135271, int_stack+485085, int_stack+1122311, int_stack+750124, int_stack+893063, int_stack+710164, 7, 0);
 /*--- compute (k0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1154711, int_stack+1135271, int_stack+469965, int_stack+766324, int_stack+909263, int_stack+723124, 7, 0);
 /*--- compute (k0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+710164, int_stack+30639, int_stack+27831, int_stack+374535, int_stack+388161, int_stack+371727, 7, 0);
 /*--- compute (k0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+718588, int_stack+710164, int_stack+1099595, int_stack+352275, int_stack+6552, int_stack+511845, 7, 0);
 /*--- compute (k0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+460245, int_stack+718588, int_stack+1106723, int_stack+1014023, int_stack+928163, int_stack+738244, 7, 0);
 /*--- compute (k0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1099595, int_stack+460245, int_stack+485085, int_stack+1028279, int_stack+943013, int_stack+750124, 7, 0);
 /*--- compute (k0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+460245, int_stack+1099595, int_stack+1135271, int_stack+1048079, int_stack+963263, int_stack+766324, 7, 0);
 /*--- compute (k0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1099595, int_stack+460245, int_stack+1154711, int_stack+1072379, int_stack+987563, int_stack+785764, 7, 0);
 /*--- compute (ip|[r12,T2]|ii) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+710164, int_stack+1099595, int_stack+534597, 784);
 /*--- compute (hd|[r12,T2]|ii) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+1127819, int_stack+710164, int_stack+556549, 784);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+534597, int_stack+397306, int_stack+395766, 55);
 /*--- compute (m0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+539217, int_stack+399286, int_stack+397306, 55);
 /*--- compute (m0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+545157, int_stack+539217, int_stack+534597, 55);
 /*--- compute (m0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+554397, int_stack+401761, int_stack+399286, 55);
 /*--- compute (m0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+561822, int_stack+554397, int_stack+539217, 55);
 /*--- compute (m0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+573702, int_stack+561822, int_stack+545157, 55);
 /*--- compute (m0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+589102, int_stack+404786, int_stack+401761, 55);
 /*--- compute (m0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+460245, int_stack+589102, int_stack+554397, 55);
 /*--- compute (m0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+475095, int_stack+460245, int_stack+561822, 55);
 /*--- compute (m0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+494895, int_stack+475095, int_stack+573702, 55);
 /*--- compute (m0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+15462, int_stack+408416, int_stack+404786, 55);
 /*--- compute (m0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1226603, int_stack+15462, int_stack+589102, 55);
 /*--- compute (m0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1244753, int_stack+1226603, int_stack+460245, 55);
 /*--- compute (m0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1269503, int_stack+1244753, int_stack+475095, 55);
 /*--- compute (m0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1299203, int_stack+1269503, int_stack+494895, 55);
 /*--- compute (l0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+363447, int_stack+391671, int_stack+388161, 45);
 /*--- compute (l0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+1331543, int_stack+363447, int_stack+6552, 45);
 /*--- compute (l0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+1349363, int_stack+1331543, int_stack+928163, 45);
 /*--- compute (l0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+1374113, int_stack+1349363, int_stack+943013, 45);
 /*--- compute (l0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+1404488, int_stack+1374113, int_stack+963263, 45);
 /*--- compute (l0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+598177, int_stack+35175, int_stack+33915, int_stack+379071, int_stack+395766, int_stack+377811, 8, 0);
 /*--- compute (l0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+776020, int_stack+36795, int_stack+35175, int_stack+380691, int_stack+397306, int_stack+379071, 8, 0);
 /*--- compute (l0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+26352, int_stack+776020, int_stack+598177, int_stack+447825, int_stack+534597, int_stack+444045, 8, 0);
 /*--- compute (l0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+598177, int_stack+38820, int_stack+36795, int_stack+382716, int_stack+399286, int_stack+380691, 8, 0);
 /*--- compute (l0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1438508, int_stack+598177, int_stack+776020, int_stack+605941, int_stack+539217, int_stack+447825, 8, 0);
 /*--- compute (l0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1448228, int_stack+1438508, int_stack+26352, int_stack+612016, int_stack+545157, int_stack+452685, 8, 0);
 /*--- compute (l0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+26352, int_stack+41295, int_stack+38820, int_stack+385191, int_stack+401761, int_stack+382716, 8, 0);
 /*--- compute (l0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+444045, int_stack+26352, int_stack+598177, int_stack+873488, int_stack+554397, int_stack+605941, 8, 0);
 /*--- compute (l0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1460828, int_stack+444045, int_stack+1438508, int_stack+880913, int_stack+561822, int_stack+612016, 8, 0);
 /*--- compute (l0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+598177, int_stack+1460828, int_stack+1448228, int_stack+893063, int_stack+573702, int_stack+621736, 8, 0);
 /*--- compute (l0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1438508, int_stack+44265, int_stack+41295, int_stack+388161, int_stack+404786, int_stack+385191, 8, 0);
 /*--- compute (l0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+617077, int_stack+1438508, int_stack+26352, int_stack+6552, int_stack+589102, int_stack+873488, 8, 0);
 /*--- compute (l0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1477028, int_stack+617077, int_stack+444045, int_stack+928163, int_stack+460245, int_stack+880913, 8, 0);
 /*--- compute (l0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1497278, int_stack+1477028, int_stack+1460828, int_stack+943013, int_stack+475095, int_stack+893063, 8, 0);
 /*--- compute (l0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+873488, int_stack+1497278, int_stack+598177, int_stack+963263, int_stack+494895, int_stack+909263, 8, 0);
 /*--- compute (l0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+598177, int_stack+47775, int_stack+44265, int_stack+391671, int_stack+408416, int_stack+388161, 8, 0);
 /*--- compute (l0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+899948, int_stack+598177, int_stack+1438508, int_stack+363447, int_stack+15462, int_stack+6552, 8, 0);
 /*--- compute (l0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1438508, int_stack+899948, int_stack+617077, int_stack+1331543, int_stack+1226603, int_stack+928163, 8, 0);
 /*--- compute (l0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+899948, int_stack+1438508, int_stack+1477028, int_stack+1349363, int_stack+1244753, int_stack+943013, 8, 0);
 /*--- compute (l0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1438508, int_stack+899948, int_stack+1497278, int_stack+1374113, int_stack+1269503, int_stack+963263, 8, 0);
 /*--- compute (l0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+899948, int_stack+1438508, int_stack+873488, int_stack+1404488, int_stack+1299203, int_stack+987563, 8, 0);
 /*--- compute (kp|[r12,T2]|ii) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+1438508, int_stack+899948, int_stack+1099595, 784);
 /*--- compute (id|[r12,T2]|ii) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+1523180, int_stack+1438508, int_stack+710164, 784);
 /*--- compute (hf|[r12,T2]|ii) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+1654892, int_stack+1523180, int_stack+1127819, 784);
 /*--- compute (n0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+710164, int_stack+419559, int_stack+417711, 66);
 /*--- compute (n0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+715708, int_stack+421935, int_stack+419559, 66);
 /*--- compute (n0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+722836, int_stack+715708, int_stack+710164, 66);
 /*--- compute (n0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+6552, int_stack+424905, int_stack+421935, 66);
 /*--- compute (n0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+733924, int_stack+6552, int_stack+715708, 66);
 /*--- compute (n0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+748180, int_stack+733924, int_stack+722836, 66);
 /*--- compute (n0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+766660, int_stack+428535, int_stack+424905, 66);
 /*--- compute (n0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1099595, int_stack+766660, int_stack+6552, 66);
 /*--- compute (n0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1117415, int_stack+1099595, int_stack+733924, 66);
 /*--- compute (n0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1141175, int_stack+1117415, int_stack+748180, 66);
 /*--- compute (n0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1168895, int_stack+432891, int_stack+428535, 66);
 /*--- compute (n0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1181963, int_stack+1168895, int_stack+766660, 66);
 /*--- compute (n0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+935228, int_stack+1181963, int_stack+1099595, 66);
 /*--- compute (n0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+598177, int_stack+935228, int_stack+1117415, 66);
 /*--- compute (n0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1819532, int_stack+598177, int_stack+1141175, 66);
 /*--- compute (m0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+1203743, int_stack+412706, int_stack+408416, 55);
 /*--- compute (m0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+873488, int_stack+1203743, int_stack+15462, 55);
 /*--- compute (m0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+1858340, int_stack+873488, int_stack+1226603, 55);
 /*--- compute (m0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+1888590, int_stack+1858340, int_stack+1244753, 55);
 /*--- compute (m0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+1925715, int_stack+1888590, int_stack+1269503, 55);
 /*--- compute (m0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+777550, int_stack+53410, int_stack+51870, int_stack+397306, int_stack+417711, int_stack+395766, 9, 0);
 /*--- compute (m0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1216613, int_stack+55390, int_stack+53410, int_stack+399286, int_stack+419559, int_stack+397306, 9, 0);
 /*--- compute (m0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+964928, int_stack+1216613, int_stack+777550, int_stack+539217, int_stack+710164, int_stack+534597, 9, 0);
 /*--- compute (m0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+777550, int_stack+57865, int_stack+55390, int_stack+401761, int_stack+421935, int_stack+399286, 9, 0);
 /*--- compute (m0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+974168, int_stack+777550, int_stack+1216613, int_stack+554397, int_stack+715708, int_stack+539217, 9, 0);
 /*--- compute (m0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+444045, int_stack+974168, int_stack+964928, int_stack+561822, int_stack+722836, int_stack+545157, 9, 0);
 /*--- compute (m0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+964928, int_stack+60890, int_stack+57865, int_stack+404786, int_stack+424905, int_stack+401761, 9, 0);
 /*--- compute (m0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+534597, int_stack+964928, int_stack+777550, int_stack+589102, int_stack+6552, int_stack+554397, 9, 0);
 /*--- compute (m0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+26352, int_stack+534597, int_stack+974168, int_stack+460245, int_stack+733924, int_stack+561822, 9, 0);
 /*--- compute (m0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+549447, int_stack+26352, int_stack+444045, int_stack+475095, int_stack+748180, int_stack+573702, 9, 0);
 /*--- compute (m0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+444045, int_stack+64520, int_stack+60890, int_stack+408416, int_stack+428535, int_stack+404786, 9, 0);
 /*--- compute (m0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+46152, int_stack+444045, int_stack+964928, int_stack+15462, int_stack+766660, int_stack+589102, 9, 0);
 /*--- compute (m0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+572547, int_stack+46152, int_stack+534597, int_stack+1226603, int_stack+1099595, int_stack+460245, 9, 0);
 /*--- compute (m0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1967295, int_stack+572547, int_stack+26352, int_stack+1244753, int_stack+1117415, int_stack+475095, 9, 0);
 /*--- compute (m0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+454935, int_stack+1967295, int_stack+549447, int_stack+1269503, int_stack+1141175, int_stack+494895, 9, 0);
 /*--- compute (m0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+26352, int_stack+68810, int_stack+64520, int_stack+412706, int_stack+432891, int_stack+408416, 9, 0);
 /*--- compute (m0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+534597, int_stack+26352, int_stack+444045, int_stack+1203743, int_stack+1168895, int_stack+15462, 9, 0);
 /*--- compute (m0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+15462, int_stack+534597, int_stack+46152, int_stack+873488, int_stack+1181963, int_stack+1226603, 9, 0);
 /*--- compute (m0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+534597, int_stack+15462, int_stack+572547, int_stack+1858340, int_stack+935228, int_stack+1244753, 9, 0);
 /*--- compute (m0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+15462, int_stack+534597, int_stack+1967295, int_stack+1888590, int_stack+598177, int_stack+1269503, 9, 0);
 /*--- compute (m0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+534597, int_stack+15462, int_stack+454935, int_stack+1925715, int_stack+1819532, int_stack+1299203, 9, 0);
 /*--- compute (lp|[r12,T2]|ii) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+1967295, int_stack+534597, int_stack+899948, 784);
 /*--- compute (kd|[r12,T2]|ii) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+2073135, int_stack+1967295, int_stack+1438508, 784);
 /*--- compute (if|[r12,T2]|ii) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+2242479, int_stack+2073135, int_stack+1523180, 784);
 /*--- compute (hg|[r12,T2]|ii) ---*/
   hrr1_build_hg(Libr12->ShellQuartet.AB,int_stack+2461999, int_stack+2242479, int_stack+1654892, 784);
 /*--- compute (o0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1438508, int_stack+77847, int_stack+73815, 78);
 /*--- compute (o0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1445060, int_stack+83031, int_stack+77847, 78);
 /*--- compute (o0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1453484, int_stack+1445060, int_stack+1438508, 78);
 /*--- compute (o0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1466588, int_stack+89511, int_stack+83031, 78);
 /*--- compute (o0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1477118, int_stack+1466588, int_stack+1445060, 78);
 /*--- compute (o0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1493966, int_stack+1477118, int_stack+1453484, 78);
 /*--- compute (o0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+1515806, int_stack+97431, int_stack+89511, 78);
 /*--- compute (o0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1528676, int_stack+1515806, int_stack+1466588, 78);
 /*--- compute (o0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1549736, int_stack+1528676, int_stack+1477118, 78);
 /*--- compute (o0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1577816, int_stack+1549736, int_stack+1493966, 78);
 /*--- compute (o0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1610576, int_stack+106935, int_stack+97431, 78);
 /*--- compute (o0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1626020, int_stack+1610576, int_stack+1515806, 78);
 /*--- compute (o0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1651760, int_stack+1626020, int_stack+1528676, 78);
 /*--- compute (o0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1686860, int_stack+1651760, int_stack+1549736, 78);
 /*--- compute (o0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1728980, int_stack+1686860, int_stack+1577816, 78);
 /*--- compute (n0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+1774844, int_stack+438039, int_stack+432891, 66);
 /*--- compute (n0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+1790288, int_stack+1774844, int_stack+1168895, 66);
 /*--- compute (n0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+15462, int_stack+1790288, int_stack+1181963, 66);
 /*--- compute (n0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+444045, int_stack+15462, int_stack+935228, 66);
 /*--- compute (n0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+1216613, int_stack+444045, int_stack+598177, 66);
 /*--- compute (n0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+51762, int_stack+80655, int_stack+75999, int_stack+419559, int_stack+73815, int_stack+417711, 10, 0);
 /*--- compute (n0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+57306, int_stack+86541, int_stack+80655, int_stack+421935, int_stack+77847, int_stack+419559, 10, 0);
 /*--- compute (n0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+64434, int_stack+57306, int_stack+51762, int_stack+715708, int_stack+1438508, int_stack+710164, 10, 0);
 /*--- compute (n0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+577717, int_stack+93801, int_stack+86541, int_stack+424905, int_stack+83031, int_stack+421935, 10, 0);
 /*--- compute (n0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+488595, int_stack+577717, int_stack+57306, int_stack+6552, int_stack+1445060, int_stack+715708, 10, 0);
 /*--- compute (n0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+502851, int_stack+488595, int_stack+64434, int_stack+733924, int_stack+1453484, int_stack+722836, 10, 0);
 /*--- compute (n0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+710164, int_stack+102579, int_stack+93801, int_stack+428535, int_stack+89511, int_stack+424905, 10, 0);
 /*--- compute (n0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1438508, int_stack+710164, int_stack+577717, int_stack+766660, int_stack+1466588, int_stack+6552, 10, 0);
 /*--- compute (n0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+51762, int_stack+1438508, int_stack+488595, int_stack+1099595, int_stack+1477118, int_stack+733924, 10, 0);
 /*--- compute (n0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1456328, int_stack+51762, int_stack+502851, int_stack+1117415, int_stack+1493966, int_stack+748180, 10, 0);
 /*--- compute (n0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+488595, int_stack+113019, int_stack+102579, int_stack+432891, int_stack+97431, int_stack+428535, 10, 0);
 /*--- compute (n0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+721054, int_stack+488595, int_stack+710164, int_stack+1168895, int_stack+1515806, int_stack+766660, 10, 0);
 /*--- compute (n0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+742834, int_stack+721054, int_stack+1438508, int_stack+1181963, int_stack+1528676, int_stack+1099595, 10, 0);
 /*--- compute (n0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1484048, int_stack+742834, int_stack+51762, int_stack+935228, int_stack+1549736, int_stack+1117415, 10, 0);
 /*--- compute (n0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+51762, int_stack+1484048, int_stack+1456328, int_stack+598177, int_stack+1577816, int_stack+1141175, 10, 0);
 /*--- compute (n0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+90570, int_stack+118167, int_stack+113019, int_stack+438039, int_stack+106935, int_stack+432891, 10, 0);
 /*--- compute (n0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1099595, int_stack+90570, int_stack+488595, int_stack+1774844, int_stack+1610576, int_stack+1168895, 10, 0);
 /*--- compute (n0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1125731, int_stack+1099595, int_stack+721054, int_stack+1790288, int_stack+1626020, int_stack+1181963, 10, 0);
 /*--- compute (n0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1774844, int_stack+1125731, int_stack+742834, int_stack+15462, int_stack+1651760, int_stack+935228, 10, 0);
 /*--- compute (n0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1099595, int_stack+1774844, int_stack+1484048, int_stack+444045, int_stack+1686860, int_stack+598177, 10, 0);
 /*--- compute (n0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1149491, int_stack+1099595, int_stack+51762, int_stack+1216613, int_stack+1728980, int_stack+1819532, 10, 0);
 /*--- compute (mp|[r12,T2]|ii) ---*/
   hrr1_build_mp(Libr12->ShellQuartet.AB,int_stack+1438508, int_stack+1149491, int_stack+534597, 784);
 /*--- compute (ld|[r12,T2]|ii) ---*/
   hrr1_build_ld(Libr12->ShellQuartet.AB,int_stack+1567868, int_stack+1438508, int_stack+1967295, 784);
 /*--- compute (kf|[r12,T2]|ii) ---*/
   hrr1_build_kf(Libr12->ShellQuartet.AB,int_stack+2708959, int_stack+1567868, int_stack+2073135, 784);
 /*--- compute (ig|[r12,T2]|ii) ---*/
   hrr1_build_ig(Libr12->ShellQuartet.AB,int_stack+1438508, int_stack+2708959, int_stack+2242479, 784);
 /*--- compute (h0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+2708959, int_stack+694288, int_stack+522249, 21);
 /*--- compute (i0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+2725423, int_stack+852320, int_stack+638869, 28);
 /*--- compute (hp|ii) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+2747375, int_stack+2725423, int_stack+2708959, 784);
 /*--- compute (k0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+2796767, int_stack+1072379, int_stack+785764, 36);
 /*--- compute (ip|ii) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+2824991, int_stack+2796767, int_stack+2725423, 784);
 /*--- compute (hd|ii) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+2890847, int_stack+2824991, int_stack+2747375, 784);
 /*--- compute (l0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+1967295, int_stack+1404488, int_stack+987563, 45);
 /*--- compute (kp|ii) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+2002575, int_stack+1967295, int_stack+2796767, 784);
 /*--- compute (id|ii) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+2087247, int_stack+2002575, int_stack+2824991, 784);
 /*--- compute (hf|ii) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+2218959, int_stack+2087247, int_stack+2890847, 784);
 /*--- compute (m0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+2383599, int_stack+1925715, int_stack+1299203, 55);
 /*--- compute (lp|ii) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+6552, int_stack+2383599, int_stack+1967295, 784);
 /*--- compute (kd|ii) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+417711, int_stack+6552, int_stack+2002575, 784);
 /*--- compute (if|ii) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+2989631, int_stack+417711, int_stack+2087247, 784);
 /*--- compute (hg|ii) ---*/
   hrr1_build_hg(Libr12->ShellQuartet.AB,int_stack+3209151, int_stack+2989631, int_stack+2218959, 784);
 /*--- compute (h0|qp) ---*/
   hrr3_build_qp(Libr12->ShellQuartet.CD,int_stack+2426719, int_stack+124173, int_stack+350364, 21);
 /*--- compute (h0|od) ---*/
   hrr3_build_od(Libr12->ShellQuartet.CD,int_stack+2432452, int_stack+2426719, int_stack+655333, 21);
 /*--- compute (h0|nf) ---*/
   hrr3_build_nf(Libr12->ShellQuartet.CD,int_stack+377811, int_stack+2432452, int_stack+660247, 21);
 /*--- compute (h0|mg) ---*/
   hrr3_build_mg(Libr12->ShellQuartet.CD,int_stack+2426719, int_stack+377811, int_stack+668563, 21);
 /*--- compute (h0|lh) ---*/
   hrr3_build_lh(Libr12->ShellQuartet.CD,int_stack+1767788, int_stack+2426719, int_stack+680113, 21);
 /*--- compute (h0|ki) ---*/
   hrr3_build_ki(Libr12->ShellQuartet.CD,int_stack+2426719, int_stack+1767788, int_stack+694288, 21);
 /*--- compute (i0|qp) ---*/
   hrr3_build_qp(Libr12->ShellQuartet.CD,int_stack+1767788, int_stack+134757, int_stack+360899, 28);
 /*--- compute (i0|od) ---*/
   hrr3_build_od(Libr12->ShellQuartet.CD,int_stack+1775432, int_stack+1767788, int_stack+0, 28);
 /*--- compute (i0|nf) ---*/
   hrr3_build_nf(Libr12->ShellQuartet.CD,int_stack+1788536, int_stack+1775432, int_stack+806932, 28);
 /*--- compute (i0|mg) ---*/
   hrr3_build_mg(Libr12->ShellQuartet.CD,int_stack+1099595, int_stack+1788536, int_stack+818020, 28);
 /*--- compute (i0|lh) ---*/
   hrr3_build_lh(Libr12->ShellQuartet.CD,int_stack+1767788, int_stack+1099595, int_stack+833420, 28);
 /*--- compute (i0|ki) ---*/
   hrr3_build_ki(Libr12->ShellQuartet.CD,int_stack+1099595, int_stack+1767788, int_stack+852320, 28);
 /*--- compute (hp|ki) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+1127819, int_stack+1099595, int_stack+2426719, 1008);
 /*--- compute (k0|qp) ---*/
   hrr3_build_qp(Libr12->ShellQuartet.CD,int_stack+1767788, int_stack+148869, int_stack+374535, 36);
 /*--- compute (k0|od) ---*/
   hrr3_build_od(Libr12->ShellQuartet.CD,int_stack+1777616, int_stack+1767788, int_stack+352275, 36);
 /*--- compute (k0|nf) ---*/
   hrr3_build_nf(Libr12->ShellQuartet.CD,int_stack+1794464, int_stack+1777616, int_stack+1014023, 36);
 /*--- compute (k0|mg) ---*/
   hrr3_build_mg(Libr12->ShellQuartet.CD,int_stack+587055, int_stack+1794464, int_stack+1028279, 36);
 /*--- compute (k0|lh) ---*/
   hrr3_build_lh(Libr12->ShellQuartet.CD,int_stack+1767788, int_stack+587055, int_stack+1048079, 36);
 /*--- compute (k0|ki) ---*/
   hrr3_build_ki(Libr12->ShellQuartet.CD,int_stack+587055, int_stack+1767788, int_stack+1072379, 36);
 /*--- compute (ip|ki) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+623343, int_stack+587055, int_stack+1099595, 1008);
 /*--- compute (hd|ki) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+708015, int_stack+623343, int_stack+1127819, 1008);
 /*--- compute (l0|qp) ---*/
   hrr3_build_qp(Libr12->ShellQuartet.CD,int_stack+1767788, int_stack+167013, int_stack+391671, 45);
 /*--- compute (l0|od) ---*/
   hrr3_build_od(Libr12->ShellQuartet.CD,int_stack+1780073, int_stack+1767788, int_stack+363447, 45);
 /*--- compute (l0|nf) ---*/
   hrr3_build_nf(Libr12->ShellQuartet.CD,int_stack+835023, int_stack+1780073, int_stack+1331543, 45);
 /*--- compute (l0|mg) ---*/
   hrr3_build_mg(Libr12->ShellQuartet.CD,int_stack+1767788, int_stack+835023, int_stack+1349363, 45);
 /*--- compute (l0|lh) ---*/
   hrr3_build_lh(Libr12->ShellQuartet.CD,int_stack+1266509, int_stack+1767788, int_stack+1374113, 45);
 /*--- compute (l0|ki) ---*/
   hrr3_build_ki(Libr12->ShellQuartet.CD,int_stack+1767788, int_stack+1266509, int_stack+1404488, 45);
 /*--- compute (kp|ki) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+1266509, int_stack+1767788, int_stack+587055, 1008);
 /*--- compute (id|ki) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+895268, int_stack+1266509, int_stack+623343, 1008);
 /*--- compute (hf|ki) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+3456111, int_stack+895268, int_stack+708015, 1008);
 /*--- compute (m0|qp) ---*/
   hrr3_build_qp(Libr12->ShellQuartet.CD,int_stack+1375373, int_stack+189693, int_stack+412706, 55);
 /*--- compute (m0|od) ---*/
   hrr3_build_od(Libr12->ShellQuartet.CD,int_stack+1390388, int_stack+1375373, int_stack+1203743, 55);
 /*--- compute (m0|nf) ---*/
   hrr3_build_nf(Libr12->ShellQuartet.CD,int_stack+835023, int_stack+1390388, int_stack+873488, 55);
 /*--- compute (m0|mg) ---*/
   hrr3_build_mg(Libr12->ShellQuartet.CD,int_stack+1375373, int_stack+835023, int_stack+1858340, 55);
 /*--- compute (m0|lh) ---*/
   hrr3_build_lh(Libr12->ShellQuartet.CD,int_stack+835023, int_stack+1375373, int_stack+1888590, 55);
 /*--- compute (m0|ki) ---*/
   hrr3_build_ki(Libr12->ShellQuartet.CD,int_stack+1375373, int_stack+835023, int_stack+1925715, 55);
 /*--- compute (lp|ki) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+3667791, int_stack+1375373, int_stack+1767788, 1008);
 /*--- compute (kd|ki) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+3803871, int_stack+3667791, int_stack+1266509, 1008);
 /*--- compute (if|ki) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+4021599, int_stack+3803871, int_stack+895268, 1008);
 /*--- compute (hg|ki) ---*/
   hrr1_build_hg(Libr12->ShellQuartet.AB,int_stack+4303839, int_stack+4021599, int_stack+3456111, 1008);
 /*--- compute (n0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+835023, int_stack+1216613, int_stack+1819532, 66);
 /*--- compute (mp|ii) ---*/
   hrr1_build_mp(Libr12->ShellQuartet.AB,int_stack+1813148, int_stack+835023, int_stack+2383599, 784);
 /*--- compute (ld|ii) ---*/
   hrr1_build_ld(Libr12->ShellQuartet.AB,int_stack+4621359, int_stack+1813148, int_stack+6552, 784);
 /*--- compute (kf|ii) ---*/
   hrr1_build_kf(Libr12->ShellQuartet.AB,int_stack+4833039, int_stack+4621359, int_stack+417711, 784);
 /*--- compute (ig|ii) ---*/
   hrr1_build_ig(Libr12->ShellQuartet.AB,int_stack+5115279, int_stack+4833039, int_stack+2989631, 784);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+886767, int_stack+126966, int_stack+126378, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+888531, int_stack+127722, int_stack+126966, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+890799, int_stack+888531, int_stack+886767, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1430813, int_stack+128667, int_stack+127722, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1433648, int_stack+1430813, int_stack+888531, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1942508, int_stack+1433648, int_stack+890799, 21);
 /*--- compute (h0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+886767, int_stack+129822, int_stack+128667, 21);
 /*--- compute (h0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+189693, int_stack+886767, int_stack+1430813, 21);
 /*--- compute (h0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1948388, int_stack+189693, int_stack+1433648, 21);
 /*--- compute (h0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1955948, int_stack+1948388, int_stack+1942508, 21);
 /*--- compute (h0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1942508, int_stack+131208, int_stack+129822, 21);
 /*--- compute (h0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1430813, int_stack+1942508, int_stack+886767, 21);
 /*--- compute (h0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1191323, int_stack+1430813, int_stack+189693, 21);
 /*--- compute (h0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1200773, int_stack+1191323, int_stack+1948388, 21);
 /*--- compute (h0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1212113, int_stack+1200773, int_stack+1955948, 21);
 /*--- compute (h0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+189693, int_stack+132846, int_stack+131208, 21);
 /*--- compute (h0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+886767, int_stack+189693, int_stack+1942508, 21);
 /*--- compute (h0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+1942508, int_stack+886767, int_stack+1430813, 21);
 /*--- compute (h0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+1224461, int_stack+1942508, int_stack+1191323, 21);
 /*--- compute (h0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+1942508, int_stack+1224461, int_stack+1200773, 21);
 /*--- compute (h0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+1224461, int_stack+1942508, int_stack+1212113, 21);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1942508, int_stack+138481, int_stack+137697, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1944860, int_stack+139489, int_stack+138481, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1947884, int_stack+1944860, int_stack+1942508, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+148869, int_stack+140749, int_stack+139489, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1952588, int_stack+148869, int_stack+1944860, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1958636, int_stack+1952588, int_stack+1947884, 28);
 /*--- compute (i0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+1942508, int_stack+142289, int_stack+140749, 28);
 /*--- compute (i0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1240925, int_stack+1942508, int_stack+148869, 28);
 /*--- compute (i0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1248485, int_stack+1240925, int_stack+1952588, 28);
 /*--- compute (i0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1191323, int_stack+1248485, int_stack+1958636, 28);
 /*--- compute (i0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1947128, int_stack+144137, int_stack+142289, 28);
 /*--- compute (i0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1952672, int_stack+1947128, int_stack+1942508, 28);
 /*--- compute (i0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1203083, int_stack+1952672, int_stack+1240925, 28);
 /*--- compute (i0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+112392, int_stack+1203083, int_stack+1248485, 28);
 /*--- compute (i0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1240925, int_stack+112392, int_stack+1191323, 28);
 /*--- compute (i0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+0, int_stack+146321, int_stack+144137, 28);
 /*--- compute (i0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+1191323, int_stack+0, int_stack+1947128, 28);
 /*--- compute (i0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+127512, int_stack+1191323, int_stack+1952672, 28);
 /*--- compute (i0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+1942508, int_stack+127512, int_stack+1203083, 28);
 /*--- compute (i0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+127512, int_stack+1942508, int_stack+112392, 28);
 /*--- compute (i0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+1942508, int_stack+127512, int_stack+1240925, 28);
 /*--- compute (hp|[r12,T1]|ii) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+343896, int_stack+1942508, int_stack+1224461, int_stack+2725423, int_stack+2426719, int_stack+2708959, 6, 6);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2708959, int_stack+153657, int_stack+152649, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+2711983, int_stack+154953, int_stack+153657, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+2715871, int_stack+2711983, int_stack+2708959, 36);
 /*--- compute (k0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+2426719, int_stack+156573, int_stack+154953, 36);
 /*--- compute (k0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+2431579, int_stack+2426719, int_stack+2711983, 36);
 /*--- compute (k0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+2439355, int_stack+2431579, int_stack+2715871, 36);
 /*--- compute (k0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+2708959, int_stack+158553, int_stack+156573, 36);
 /*--- compute (k0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+2714899, int_stack+2708959, int_stack+2426719, 36);
 /*--- compute (k0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+112392, int_stack+2714899, int_stack+2431579, 36);
 /*--- compute (k0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+125352, int_stack+112392, int_stack+2439355, 36);
 /*--- compute (k0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+2426719, int_stack+160929, int_stack+158553, 36);
 /*--- compute (k0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+2433847, int_stack+2426719, int_stack+2708959, 36);
 /*--- compute (k0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+2445727, int_stack+2433847, int_stack+2714899, 36);
 /*--- compute (k0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+140472, int_stack+2445727, int_stack+112392, 36);
 /*--- compute (k0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1191323, int_stack+140472, int_stack+125352, 36);
 /*--- compute (k0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+112392, int_stack+163737, int_stack+160929, 36);
 /*--- compute (k0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+120816, int_stack+112392, int_stack+2426719, 36);
 /*--- compute (k0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+1212491, int_stack+120816, int_stack+2433847, 36);
 /*--- compute (k0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+112392, int_stack+1212491, int_stack+2445727, 36);
 /*--- compute (k0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+1212491, int_stack+112392, int_stack+140472, 36);
 /*--- compute (k0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+112392, int_stack+1212491, int_stack+1191323, 36);
 /*--- compute (ip|[r12,T1]|ii) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1191323, int_stack+112392, int_stack+1942508, int_stack+2796767, int_stack+1099595, int_stack+2725423, 6, 6);
 /*--- compute (hd|[r12,T1]|ii) ---*/
   t1hrr1_build_hd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+5444559, int_stack+1191323, int_stack+343896, int_stack+2824991, int_stack+1127819, int_stack+2747375, 6, 6);
 /*--- compute (l0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+343896, int_stack+172998, int_stack+171738, 45);
 /*--- compute (l0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+347676, int_stack+174618, int_stack+172998, 45);
 /*--- compute (l0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+352536, int_stack+347676, int_stack+343896, 45);
 /*--- compute (l0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+360096, int_stack+176643, int_stack+174618, 45);
 /*--- compute (l0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+366171, int_stack+360096, int_stack+347676, 45);
 /*--- compute (l0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+375891, int_stack+366171, int_stack+352536, 45);
 /*--- compute (l0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+343896, int_stack+179118, int_stack+176643, 45);
 /*--- compute (l0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+388491, int_stack+343896, int_stack+360096, 45);
 /*--- compute (l0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+400641, int_stack+388491, int_stack+366171, 45);
 /*--- compute (l0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+351321, int_stack+400641, int_stack+375891, 45);
 /*--- compute (l0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+370221, int_stack+182088, int_stack+179118, 45);
 /*--- compute (l0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1942508, int_stack+370221, int_stack+343896, 45);
 /*--- compute (l0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+140616, int_stack+1942508, int_stack+388491, 45);
 /*--- compute (l0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+2426719, int_stack+140616, int_stack+400641, 45);
 /*--- compute (l0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+379131, int_stack+2426719, int_stack+351321, 45);
 /*--- compute (l0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+343896, int_stack+185598, int_stack+182088, 45);
 /*--- compute (l0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+160866, int_stack+343896, int_stack+370221, 45);
 /*--- compute (l0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+343896, int_stack+160866, int_stack+1942508, 45);
 /*--- compute (l0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+160866, int_stack+343896, int_stack+140616, 45);
 /*--- compute (l0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+343896, int_stack+160866, int_stack+2426719, 45);
 /*--- compute (l0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+2426719, int_stack+343896, int_stack+379131, 45);
 /*--- compute (kp|[r12,T1]|ii) ---*/
   t1hrr1_build_kp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+2708959, int_stack+2426719, int_stack+112392, int_stack+1967295, int_stack+587055, int_stack+2796767, 6, 6);
 /*--- compute (id|[r12,T1]|ii) ---*/
   t1hrr1_build_id(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+5543343, int_stack+2708959, int_stack+1191323, int_stack+2002575, int_stack+623343, int_stack+2824991, 6, 6);
 /*--- compute (hf|[r12,T1]|ii) ---*/
   t1hrr1_build_hf(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1064612, int_stack+5543343, int_stack+5444559, int_stack+2087247, int_stack+708015, int_stack+2890847, 6, 6);
 /*--- compute (m0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+5444559, int_stack+197008, int_stack+195468, 55);
 /*--- compute (m0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+5449179, int_stack+198988, int_stack+197008, 55);
 /*--- compute (m0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+5455119, int_stack+5449179, int_stack+5444559, 55);
 /*--- compute (m0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+5464359, int_stack+201463, int_stack+198988, 55);
 /*--- compute (m0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+5471784, int_stack+5464359, int_stack+5449179, 55);
 /*--- compute (m0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+5483664, int_stack+5471784, int_stack+5455119, 55);
 /*--- compute (m0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+5444559, int_stack+204488, int_stack+201463, 55);
 /*--- compute (m0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+5499064, int_stack+5444559, int_stack+5464359, 55);
 /*--- compute (m0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+5513914, int_stack+5499064, int_stack+5471784, 55);
 /*--- compute (m0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+5453634, int_stack+5513914, int_stack+5483664, 55);
 /*--- compute (m0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+5476734, int_stack+208118, int_stack+204488, 55);
 /*--- compute (m0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+587055, int_stack+5476734, int_stack+5444559, 55);
 /*--- compute (m0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+605205, int_stack+587055, int_stack+5499064, 55);
 /*--- compute (m0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+629955, int_stack+605205, int_stack+5513914, 55);
 /*--- compute (m0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+5487624, int_stack+629955, int_stack+5453634, 55);
 /*--- compute (m0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+5444559, int_stack+212408, int_stack+208118, 55);
 /*--- compute (m0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+5519964, int_stack+5444559, int_stack+5476734, 55);
 /*--- compute (m0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+5444559, int_stack+5519964, int_stack+587055, 55);
 /*--- compute (m0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+659655, int_stack+5444559, int_stack+605205, 55);
 /*--- compute (m0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+5444559, int_stack+659655, int_stack+629955, 55);
 /*--- compute (m0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+587055, int_stack+5444559, int_stack+5487624, 55);
 /*--- compute (lp|[r12,T1]|ii) ---*/
   t1hrr1_build_lp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+630175, int_stack+587055, int_stack+2426719, int_stack+2383599, int_stack+1767788, int_stack+1967295, 6, 6);
 /*--- compute (kd|[r12,T1]|ii) ---*/
   t1hrr1_build_kd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+2793631, int_stack+630175, int_stack+2708959, int_stack+6552, int_stack+1266509, int_stack+2002575, 6, 6);
 /*--- compute (if|[r12,T1]|ii) ---*/
   t1hrr1_build_if(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+5675055, int_stack+2793631, int_stack+5543343, int_stack+417711, int_stack+895268, int_stack+2087247, 6, 6);
 /*--- compute (hg|[r12,T1]|ii) ---*/
   t1hrr1_build_hg(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1942508, int_stack+5675055, int_stack+1064612, int_stack+2989631, int_stack+3456111, int_stack+2218959, 6, 6);
 /*--- compute (n0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+3456111, int_stack+219261, int_stack+217413, 66);
 /*--- compute (n0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3461655, int_stack+221637, int_stack+219261, 66);
 /*--- compute (n0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+3468783, int_stack+3461655, int_stack+3456111, 66);
 /*--- compute (n0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+3479871, int_stack+224607, int_stack+221637, 66);
 /*--- compute (n0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+3488781, int_stack+3479871, int_stack+3461655, 66);
 /*--- compute (n0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+3503037, int_stack+3488781, int_stack+3468783, 66);
 /*--- compute (n0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+3456111, int_stack+228237, int_stack+224607, 66);
 /*--- compute (n0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+3521517, int_stack+3456111, int_stack+3479871, 66);
 /*--- compute (n0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+3539337, int_stack+3521517, int_stack+3488781, 66);
 /*--- compute (n0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+3467001, int_stack+3539337, int_stack+3503037, 66);
 /*--- compute (n0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+3494721, int_stack+232593, int_stack+228237, 66);
 /*--- compute (n0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+3563097, int_stack+3494721, int_stack+3456111, 66);
 /*--- compute (n0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+3584877, int_stack+3563097, int_stack+3521517, 66);
 /*--- compute (n0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+3614577, int_stack+3584877, int_stack+3539337, 66);
 /*--- compute (n0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+3507789, int_stack+3614577, int_stack+3467001, 66);
 /*--- compute (n0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+3456111, int_stack+237741, int_stack+232593, 66);
 /*--- compute (n0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+2708959, int_stack+3456111, int_stack+3494721, 66);
 /*--- compute (n0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+3456111, int_stack+2708959, int_stack+3563097, 66);
 /*--- compute (n0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+2708959, int_stack+3456111, int_stack+3584877, 66);
 /*--- compute (n0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+3456111, int_stack+2708959, int_stack+3614577, 66);
 /*--- compute (n0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+2708959, int_stack+3456111, int_stack+3507789, 66);
 /*--- compute (mp|[r12,T1]|ii) ---*/
   t1hrr1_build_mp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+3456111, int_stack+2708959, int_stack+587055, int_stack+835023, int_stack+1375373, int_stack+2383599, 6, 6);
 /*--- compute (ld|[r12,T1]|ii) ---*/
   t1hrr1_build_ld(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+5444559, int_stack+3456111, int_stack+630175, int_stack+1813148, int_stack+3667791, int_stack+6552, 6, 6);
 /*--- compute (kf|[r12,T1]|ii) ---*/
   t1hrr1_build_kf(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+3456111, int_stack+5444559, int_stack+2793631, int_stack+4621359, int_stack+3803871, int_stack+417711, 6, 6);
 /*--- compute (ig|[r12,T1]|ii) ---*/
   t1hrr1_build_ig(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+343896, int_stack+3456111, int_stack+5675055, int_stack+4833039, int_stack+4021599, int_stack+2989631, 6, 6);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+3456111, int_stack+244335, int_stack+243747, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3457875, int_stack+245091, int_stack+244335, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+3460143, int_stack+3457875, int_stack+3456111, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+3463671, int_stack+246036, int_stack+245091, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+3466506, int_stack+3463671, int_stack+3457875, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+3471042, int_stack+3466506, int_stack+3460143, 21);
 /*--- compute (h0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+3456111, int_stack+247191, int_stack+246036, 21);
 /*--- compute (h0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+3476922, int_stack+3456111, int_stack+3463671, 21);
 /*--- compute (h0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+3482592, int_stack+3476922, int_stack+3466506, 21);
 /*--- compute (h0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+3459576, int_stack+3482592, int_stack+3471042, 21);
 /*--- compute (h0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+3468396, int_stack+248577, int_stack+247191, 21);
 /*--- compute (h0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+3490152, int_stack+3468396, int_stack+3456111, 21);
 /*--- compute (h0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+3497082, int_stack+3490152, int_stack+3476922, 21);
 /*--- compute (h0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+3506532, int_stack+3497082, int_stack+3482592, 21);
 /*--- compute (h0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+3472554, int_stack+3506532, int_stack+3459576, 21);
 /*--- compute (h0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+3456111, int_stack+250215, int_stack+248577, 21);
 /*--- compute (h0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+3517872, int_stack+3456111, int_stack+3468396, 21);
 /*--- compute (h0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+3456111, int_stack+3517872, int_stack+3490152, 21);
 /*--- compute (h0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+3517872, int_stack+3456111, int_stack+3497082, 21);
 /*--- compute (h0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+3456111, int_stack+3517872, int_stack+3506532, 21);
 /*--- compute (h0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+3484902, int_stack+3456111, int_stack+3472554, 21);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+3456111, int_stack+252910, int_stack+252126, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3458463, int_stack+253918, int_stack+252910, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+3461487, int_stack+3458463, int_stack+3456111, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+3466191, int_stack+255178, int_stack+253918, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+3469971, int_stack+3466191, int_stack+3458463, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+3476019, int_stack+3469971, int_stack+3461487, 28);
 /*--- compute (i0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+3456111, int_stack+256718, int_stack+255178, 28);
 /*--- compute (i0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+3501366, int_stack+3456111, int_stack+3466191, 28);
 /*--- compute (i0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+3508926, int_stack+3501366, int_stack+3469971, 28);
 /*--- compute (i0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+3460731, int_stack+3508926, int_stack+3476019, 28);
 /*--- compute (i0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+3472491, int_stack+258566, int_stack+256718, 28);
 /*--- compute (i0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+3519006, int_stack+3472491, int_stack+3456111, 28);
 /*--- compute (i0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+3528246, int_stack+3519006, int_stack+3501366, 28);
 /*--- compute (i0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+3540846, int_stack+3528246, int_stack+3508926, 28);
 /*--- compute (i0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+3501366, int_stack+3540846, int_stack+3460731, 28);
 /*--- compute (i0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+3456111, int_stack+260750, int_stack+258566, 28);
 /*--- compute (i0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+3555966, int_stack+3456111, int_stack+3472491, 28);
 /*--- compute (i0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+3456111, int_stack+3555966, int_stack+3519006, 28);
 /*--- compute (i0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+3555966, int_stack+3456111, int_stack+3528246, 28);
 /*--- compute (i0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+3456111, int_stack+3555966, int_stack+3540846, 28);
 /*--- compute (i0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+3517830, int_stack+3456111, int_stack+3501366, 28);
 /*--- compute (hp||ii) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+3539782, int_stack+3517830, int_stack+3484902, 784);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+3456111, int_stack+264306, int_stack+263298, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3459135, int_stack+265602, int_stack+264306, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+3463023, int_stack+3459135, int_stack+3456111, 36);
 /*--- compute (k0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+3469071, int_stack+267222, int_stack+265602, 36);
 /*--- compute (k0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+3473931, int_stack+3469071, int_stack+3459135, 36);
 /*--- compute (k0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+3481707, int_stack+3473931, int_stack+3463023, 36);
 /*--- compute (k0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+3456111, int_stack+269202, int_stack+267222, 36);
 /*--- compute (k0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+3491787, int_stack+3456111, int_stack+3469071, 36);
 /*--- compute (k0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+3501507, int_stack+3491787, int_stack+3473931, 36);
 /*--- compute (k0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+3462051, int_stack+3501507, int_stack+3481707, 36);
 /*--- compute (k0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+3477171, int_stack+271578, int_stack+269202, 36);
 /*--- compute (k0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+3589174, int_stack+3477171, int_stack+3456111, 36);
 /*--- compute (k0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+3601054, int_stack+3589174, int_stack+3491787, 36);
 /*--- compute (k0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+3617254, int_stack+3601054, int_stack+3501507, 36);
 /*--- compute (k0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+3484299, int_stack+3617254, int_stack+3462051, 36);
 /*--- compute (k0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+3456111, int_stack+274386, int_stack+271578, 36);
 /*--- compute (k0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+3636694, int_stack+3456111, int_stack+3477171, 36);
 /*--- compute (k0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+3456111, int_stack+3636694, int_stack+3589174, 36);
 /*--- compute (k0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+3636694, int_stack+3456111, int_stack+3601054, 36);
 /*--- compute (k0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+3456111, int_stack+3636694, int_stack+3617254, 36);
 /*--- compute (k0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+3589174, int_stack+3456111, int_stack+3484299, 36);
 /*--- compute (ip||ii) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+3617398, int_stack+3589174, int_stack+3517830, 784);
 /*--- compute (hd||ii) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+3683254, int_stack+3617398, int_stack+3539782, 784);
 /*--- compute (l0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+3456111, int_stack+278922, int_stack+277662, 45);
 /*--- compute (l0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3459891, int_stack+280542, int_stack+278922, 45);
 /*--- compute (l0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+3464751, int_stack+3459891, int_stack+3456111, 45);
 /*--- compute (l0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+3472311, int_stack+282567, int_stack+280542, 45);
 /*--- compute (l0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+3478386, int_stack+3472311, int_stack+3459891, 45);
 /*--- compute (l0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+3488106, int_stack+3478386, int_stack+3464751, 45);
 /*--- compute (l0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+3456111, int_stack+285042, int_stack+282567, 45);
 /*--- compute (l0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+3500706, int_stack+3456111, int_stack+3472311, 45);
 /*--- compute (l0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+3512856, int_stack+3500706, int_stack+3478386, 45);
 /*--- compute (l0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+3463536, int_stack+3512856, int_stack+3488106, 45);
 /*--- compute (l0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+3482436, int_stack+288012, int_stack+285042, 45);
 /*--- compute (l0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+3529056, int_stack+3482436, int_stack+3456111, 45);
 /*--- compute (l0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+3543906, int_stack+3529056, int_stack+3500706, 45);
 /*--- compute (l0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+3564156, int_stack+3543906, int_stack+3512856, 45);
 /*--- compute (l0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+3491346, int_stack+3564156, int_stack+3463536, 45);
 /*--- compute (l0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+3456111, int_stack+291522, int_stack+288012, 45);
 /*--- compute (l0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+3782038, int_stack+3456111, int_stack+3482436, 45);
 /*--- compute (l0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+3456111, int_stack+3782038, int_stack+3529056, 45);
 /*--- compute (l0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+3782038, int_stack+3456111, int_stack+3543906, 45);
 /*--- compute (l0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+3456111, int_stack+3782038, int_stack+3564156, 45);
 /*--- compute (l0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+3782038, int_stack+3456111, int_stack+3491346, 45);
 /*--- compute (kp||ii) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+3456111, int_stack+3782038, int_stack+3589174, 784);
 /*--- compute (id||ii) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+3817318, int_stack+3456111, int_stack+3617398, 784);
 /*--- compute (hf||ii) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+3949030, int_stack+3817318, int_stack+3683254, 784);
 /*--- compute (m0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+3540783, int_stack+297157, int_stack+295617, 55);
 /*--- compute (m0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3545403, int_stack+299137, int_stack+297157, 55);
 /*--- compute (m0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+3551343, int_stack+3545403, int_stack+3540783, 55);
 /*--- compute (m0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+3560583, int_stack+301612, int_stack+299137, 55);
 /*--- compute (m0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+3568008, int_stack+3560583, int_stack+3545403, 55);
 /*--- compute (m0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+3579888, int_stack+3568008, int_stack+3551343, 55);
 /*--- compute (m0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+3540783, int_stack+304637, int_stack+301612, 55);
 /*--- compute (m0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+3595288, int_stack+3540783, int_stack+3560583, 55);
 /*--- compute (m0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+3610138, int_stack+3595288, int_stack+3568008, 55);
 /*--- compute (m0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+3549858, int_stack+3610138, int_stack+3579888, 55);
 /*--- compute (m0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+3572958, int_stack+308267, int_stack+304637, 55);
 /*--- compute (m0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+3629938, int_stack+3572958, int_stack+3540783, 55);
 /*--- compute (m0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+3648088, int_stack+3629938, int_stack+3595288, 55);
 /*--- compute (m0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+3672838, int_stack+3648088, int_stack+3610138, 55);
 /*--- compute (m0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+3583848, int_stack+3672838, int_stack+3549858, 55);
 /*--- compute (m0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+3540783, int_stack+312557, int_stack+308267, 55);
 /*--- compute (m0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+3702538, int_stack+3540783, int_stack+3572958, 55);
 /*--- compute (m0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+3540783, int_stack+3702538, int_stack+3629938, 55);
 /*--- compute (m0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+3702538, int_stack+3540783, int_stack+3648088, 55);
 /*--- compute (m0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+3540783, int_stack+3702538, int_stack+3672838, 55);
 /*--- compute (m0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+3616188, int_stack+3540783, int_stack+3583848, 55);
 /*--- compute (lp||ii) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+3659308, int_stack+3616188, int_stack+3782038, 784);
 /*--- compute (kd||ii) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+4113670, int_stack+3659308, int_stack+3456111, 784);
 /*--- compute (if||ii) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+4621359, int_stack+4113670, int_stack+3817318, 784);
 /*--- compute (hg||ii) ---*/
   hrr1_build_hg(Libr12->ShellQuartet.AB,int_stack+4840879, int_stack+4621359, int_stack+3949030, 784);
 /*--- compute (n0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+3456111, int_stack+319410, int_stack+317562, 66);
 /*--- compute (n0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3461655, int_stack+321786, int_stack+319410, 66);
 /*--- compute (n0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+3468783, int_stack+3461655, int_stack+3456111, 66);
 /*--- compute (n0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+3479871, int_stack+324756, int_stack+321786, 66);
 /*--- compute (n0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+3488781, int_stack+3479871, int_stack+3461655, 66);
 /*--- compute (n0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+3503037, int_stack+3488781, int_stack+3468783, 66);
 /*--- compute (n0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+3456111, int_stack+328386, int_stack+324756, 66);
 /*--- compute (n0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+3521517, int_stack+3456111, int_stack+3479871, 66);
 /*--- compute (n0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+3539337, int_stack+3521517, int_stack+3488781, 66);
 /*--- compute (n0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+3467001, int_stack+3539337, int_stack+3503037, 66);
 /*--- compute (n0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+3494721, int_stack+332742, int_stack+328386, 66);
 /*--- compute (n0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+3563097, int_stack+3494721, int_stack+3456111, 66);
 /*--- compute (n0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+3584877, int_stack+3563097, int_stack+3521517, 66);
 /*--- compute (n0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+3765148, int_stack+3584877, int_stack+3539337, 66);
 /*--- compute (n0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+3507789, int_stack+3765148, int_stack+3467001, 66);
 /*--- compute (n0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+3456111, int_stack+337890, int_stack+332742, 66);
 /*--- compute (n0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+3800788, int_stack+3456111, int_stack+3494721, 66);
 /*--- compute (n0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+3456111, int_stack+3800788, int_stack+3563097, 66);
 /*--- compute (n0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+3800788, int_stack+3456111, int_stack+3584877, 66);
 /*--- compute (n0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+3456111, int_stack+3800788, int_stack+3765148, 66);
 /*--- compute (n0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+3765148, int_stack+3456111, int_stack+3507789, 66);
 /*--- compute (mp||ii) ---*/
   hrr1_build_mp(Libr12->ShellQuartet.AB,int_stack+3456111, int_stack+3765148, int_stack+3616188, 784);
 /*--- compute (ld||ii) ---*/
   hrr1_build_ld(Libr12->ShellQuartet.AB,int_stack+3765148, int_stack+3456111, int_stack+3659308, 784);
 /*--- compute (kf||ii) ---*/
   hrr1_build_kf(Libr12->ShellQuartet.AB,int_stack+3456111, int_stack+3765148, int_stack+4113670, 784);
 /*--- compute (ig||ii) ---*/
   hrr1_build_ig(Libr12->ShellQuartet.AB,int_stack+3738351, int_stack+3456111, int_stack+4621359, 784);
 /*--- compute (hh|[r12,T2]|ii) ---*/
   hrr1_build_hh(Libr12->ShellQuartet.AB,int_stack+5444559, int_stack+1438508, int_stack+2461999, 784);
     Libr12->te_ptr[3] = int_stack + 5444559;
 /*--- compute (hh|[r12,T1]|ii) ---*/
   t1hrr1_build_hh(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+673176, int_stack+343896, int_stack+1942508, int_stack+5115279, int_stack+4303839, int_stack+3209151, 6, 6);
     Libr12->te_ptr[2] = int_stack + 673176;
 /*--- compute (hh||ii) ---*/
   hrr1_build_hh(Libr12->ShellQuartet.AB,int_stack+4067631, int_stack+3738351, int_stack+4840879, 784);
     Libr12->te_ptr[1] = int_stack + 4067631;
 /*--- compute (hh|ii) ---*/
   hrr1_build_hh(Libr12->ShellQuartet.AB,int_stack+3456111, int_stack+5115279, int_stack+3209151, 784);
     Libr12->te_ptr[0] = int_stack + 3456111;

}
