#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_i0i0(Libr12_t *, prim_data *);

  /* Computes (i0|i0) integrals for linear R12-methods */

void hrr_grt_order_i0i0(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[6][6] = int_stack + 0;
 Libr12->t1vrr_classes[6][6] = int_stack + 784;
 Libr12->rvrr_classes[6][6] = int_stack + 1568;
 Libr12->gvrr_classes[6][6] = int_stack + 2352;
 memset(int_stack,0,3136*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 3136;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_i0i0(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|[r12,T2]|i0) ---*/
     Libr12->te_ptr[3] = int_stack + 0;
 /*--- compute (i0|[r12,T1]|i0) ---*/
     Libr12->te_ptr[2] = int_stack + 784;
 /*--- compute (i0||i0) ---*/
     Libr12->te_ptr[1] = int_stack + 1568;
 /*--- compute (i0|i0) ---*/
     Libr12->te_ptr[0] = int_stack + 2352;

}
