#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ifhg(Libr12_t *, prim_data *);

  /* Computes (if|hg) integrals for linear R12-methods */

void hrr_grt_order_ifhg(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[6][5] = int_stack + 0;
 Libr12->t2vrr_classes[6][6] = int_stack + 588;
 Libr12->t2vrr_classes[6][7] = int_stack + 1372;
 Libr12->t2vrr_classes[6][8] = int_stack + 2380;
 Libr12->t2vrr_classes[6][9] = int_stack + 3640;
 Libr12->t2vrr_classes[7][5] = int_stack + 5180;
 Libr12->t2vrr_classes[7][6] = int_stack + 5936;
 Libr12->t2vrr_classes[7][7] = int_stack + 6944;
 Libr12->t2vrr_classes[7][8] = int_stack + 8240;
 Libr12->t2vrr_classes[7][9] = int_stack + 9860;
 Libr12->t2vrr_classes[8][5] = int_stack + 11840;
 Libr12->t2vrr_classes[8][6] = int_stack + 12785;
 Libr12->t2vrr_classes[8][7] = int_stack + 14045;
 Libr12->t2vrr_classes[8][8] = int_stack + 15665;
 Libr12->t2vrr_classes[8][9] = int_stack + 17690;
 Libr12->gvrr_classes[10][5] = int_stack + 20165;
 Libr12->t2vrr_classes[9][5] = int_stack + 21551;
 Libr12->gvrr_classes[10][6] = int_stack + 22706;
 Libr12->t2vrr_classes[9][6] = int_stack + 24554;
 Libr12->gvrr_classes[10][7] = int_stack + 26094;
 Libr12->t2vrr_classes[9][7] = int_stack + 28470;
 Libr12->gvrr_classes[10][8] = int_stack + 30450;
 Libr12->t2vrr_classes[9][8] = int_stack + 33420;
 Libr12->t2vrr_classes[9][9] = int_stack + 35895;
 Libr12->gvrr_classes[6][10] = int_stack + 38920;
 Libr12->t1vrr_classes[6][5] = int_stack + 40768;
 Libr12->t1vrr_classes[6][6] = int_stack + 41356;
 Libr12->t1vrr_classes[6][7] = int_stack + 42140;
 Libr12->t1vrr_classes[6][8] = int_stack + 43148;
 Libr12->t1vrr_classes[6][9] = int_stack + 44408;
 Libr12->gvrr_classes[7][10] = int_stack + 45948;
 Libr12->t1vrr_classes[7][5] = int_stack + 48324;
 Libr12->t1vrr_classes[7][6] = int_stack + 49080;
 Libr12->t1vrr_classes[7][7] = int_stack + 50088;
 Libr12->t1vrr_classes[7][8] = int_stack + 51384;
 Libr12->t1vrr_classes[7][9] = int_stack + 53004;
 Libr12->gvrr_classes[8][10] = int_stack + 54984;
 Libr12->t1vrr_classes[8][5] = int_stack + 57954;
 Libr12->t1vrr_classes[8][6] = int_stack + 58899;
 Libr12->t1vrr_classes[8][7] = int_stack + 60159;
 Libr12->t1vrr_classes[8][8] = int_stack + 61779;
 Libr12->t1vrr_classes[8][9] = int_stack + 63804;
 Libr12->t1vrr_classes[9][5] = int_stack + 66279;
 Libr12->t1vrr_classes[9][6] = int_stack + 67434;
 Libr12->t1vrr_classes[9][7] = int_stack + 68974;
 Libr12->t1vrr_classes[9][8] = int_stack + 70954;
 Libr12->t1vrr_classes[9][9] = int_stack + 73429;
 Libr12->rvrr_classes[6][5] = int_stack + 76454;
 Libr12->rvrr_classes[6][6] = int_stack + 77042;
 Libr12->rvrr_classes[6][7] = int_stack + 77826;
 Libr12->rvrr_classes[6][8] = int_stack + 78834;
 Libr12->rvrr_classes[6][9] = int_stack + 80094;
 Libr12->rvrr_classes[7][5] = int_stack + 81634;
 Libr12->rvrr_classes[7][6] = int_stack + 82390;
 Libr12->rvrr_classes[7][7] = int_stack + 83398;
 Libr12->rvrr_classes[7][8] = int_stack + 84694;
 Libr12->rvrr_classes[7][9] = int_stack + 86314;
 Libr12->rvrr_classes[8][5] = int_stack + 88294;
 Libr12->rvrr_classes[8][6] = int_stack + 89239;
 Libr12->rvrr_classes[8][7] = int_stack + 90499;
 Libr12->rvrr_classes[8][8] = int_stack + 92119;
 Libr12->rvrr_classes[8][9] = int_stack + 94144;
 Libr12->rvrr_classes[9][5] = int_stack + 96619;
 Libr12->rvrr_classes[9][6] = int_stack + 97774;
 Libr12->rvrr_classes[9][7] = int_stack + 99314;
 Libr12->rvrr_classes[9][8] = int_stack + 101294;
 Libr12->rvrr_classes[9][9] = int_stack + 103769;
 Libr12->gvrr_classes[6][5] = int_stack + 106794;
 Libr12->gvrr_classes[6][6] = int_stack + 107382;
 Libr12->gvrr_classes[6][7] = int_stack + 108166;
 Libr12->gvrr_classes[6][8] = int_stack + 109174;
 Libr12->gvrr_classes[6][9] = int_stack + 110434;
 Libr12->gvrr_classes[7][5] = int_stack + 111974;
 Libr12->gvrr_classes[7][6] = int_stack + 112730;
 Libr12->gvrr_classes[7][7] = int_stack + 113738;
 Libr12->gvrr_classes[7][8] = int_stack + 115034;
 Libr12->gvrr_classes[7][9] = int_stack + 116654;
 Libr12->gvrr_classes[8][5] = int_stack + 118634;
 Libr12->gvrr_classes[8][6] = int_stack + 119579;
 Libr12->gvrr_classes[8][7] = int_stack + 120839;
 Libr12->gvrr_classes[8][8] = int_stack + 122459;
 Libr12->gvrr_classes[8][9] = int_stack + 124484;
 Libr12->gvrr_classes[9][5] = int_stack + 126959;
 Libr12->gvrr_classes[9][6] = int_stack + 128114;
 Libr12->gvrr_classes[9][7] = int_stack + 129654;
 Libr12->gvrr_classes[9][8] = int_stack + 131634;
 Libr12->gvrr_classes[9][9] = int_stack + 134109;
 memset(int_stack,0,137134*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 137134;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ifhg(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+137134, int_stack+107382, int_stack+106794, 28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+138898, int_stack+108166, int_stack+107382, 28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+141250, int_stack+138898, int_stack+137134, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+144778, int_stack+109174, int_stack+108166, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+147802, int_stack+144778, int_stack+138898, 28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+152506, int_stack+147802, int_stack+141250, 28);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+158386, int_stack+112730, int_stack+111974, 36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+160654, int_stack+113738, int_stack+112730, 36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+163678, int_stack+160654, int_stack+158386, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+168214, int_stack+115034, int_stack+113738, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+172102, int_stack+168214, int_stack+160654, 36);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+178150, int_stack+172102, int_stack+163678, 36);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+185710, int_stack+110434, int_stack+109174, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+189490, int_stack+185710, int_stack+144778, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+195538, int_stack+189490, int_stack+147802, 28);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+203378, int_stack+588, int_stack+0, int_stack+107382, int_stack+111974, int_stack+106794, 6, 0);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+205142, int_stack+1372, int_stack+588, int_stack+108166, int_stack+112730, int_stack+107382, 6, 0);
 /*--- compute (i0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+207494, int_stack+205142, int_stack+203378, int_stack+138898, int_stack+158386, int_stack+137134, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+211022, int_stack+2380, int_stack+1372, int_stack+109174, int_stack+113738, int_stack+108166, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+214046, int_stack+211022, int_stack+205142, int_stack+144778, int_stack+160654, int_stack+138898, 6, 0);
 /*--- compute (i0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+218750, int_stack+214046, int_stack+207494, int_stack+147802, int_stack+163678, int_stack+141250, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+137134, int_stack+3640, int_stack+2380, int_stack+110434, int_stack+115034, int_stack+109174, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+203378, int_stack+137134, int_stack+211022, int_stack+185710, int_stack+168214, int_stack+144778, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+137134, int_stack+203378, int_stack+214046, int_stack+189490, int_stack+172102, int_stack+147802, 6, 0);
 /*--- compute (i0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+203378, int_stack+137134, int_stack+218750, int_stack+195538, int_stack+178150, int_stack+152506, 6, 0);
 /*--- compute (l0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+137134, int_stack+119579, int_stack+118634, 45);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+139969, int_stack+120839, int_stack+119579, 45);
 /*--- compute (l0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+143749, int_stack+139969, int_stack+137134, 45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+212198, int_stack+122459, int_stack+120839, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+217058, int_stack+212198, int_stack+139969, 45);
 /*--- compute (l0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+224618, int_stack+217058, int_stack+143749, 45);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+116654, int_stack+115034, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+234068, int_stack+0, int_stack+168214, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+241844, int_stack+234068, int_stack+172102, 36);
 /*--- compute (k0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+149419, int_stack+5936, int_stack+5180, int_stack+112730, int_stack+118634, int_stack+111974, 7, 0);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+106794, int_stack+6944, int_stack+5936, int_stack+113738, int_stack+119579, int_stack+112730, 7, 0);
 /*--- compute (k0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+251924, int_stack+106794, int_stack+149419, int_stack+160654, int_stack+137134, int_stack+158386, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+256460, int_stack+8240, int_stack+6944, int_stack+115034, int_stack+120839, int_stack+113738, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+260348, int_stack+256460, int_stack+106794, int_stack+168214, int_stack+139969, int_stack+160654, 7, 0);
 /*--- compute (k0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+266396, int_stack+260348, int_stack+251924, int_stack+172102, int_stack+143749, int_stack+163678, 7, 0);
 /*--- compute (k0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+158386, int_stack+9860, int_stack+8240, int_stack+116654, int_stack+122459, int_stack+115034, 7, 0);
 /*--- compute (k0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+273956, int_stack+158386, int_stack+256460, int_stack+0, int_stack+212198, int_stack+168214, 7, 0);
 /*--- compute (k0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+158386, int_stack+273956, int_stack+260348, int_stack+234068, int_stack+217058, int_stack+172102, 7, 0);
 /*--- compute (k0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+251924, int_stack+158386, int_stack+266396, int_stack+241844, int_stack+224618, int_stack+178150, 7, 0);
 /*--- compute (ip|[r12,T2]|hg) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+263264, int_stack+251924, int_stack+203378, 315);
 /*--- compute (m0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+203378, int_stack+128114, int_stack+126959, 55);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+206843, int_stack+129654, int_stack+128114, 55);
 /*--- compute (m0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+158386, int_stack+206843, int_stack+203378, 55);
 /*--- compute (m0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+165316, int_stack+131634, int_stack+129654, 55);
 /*--- compute (m0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+289724, int_stack+165316, int_stack+206843, 55);
 /*--- compute (m0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+298964, int_stack+289724, int_stack+158386, 55);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+171256, int_stack+124484, int_stack+122459, 45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+310514, int_stack+171256, int_stack+212198, 45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+320234, int_stack+310514, int_stack+217058, 45);
 /*--- compute (l0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+106794, int_stack+12785, int_stack+11840, int_stack+119579, int_stack+126959, int_stack+118634, 8, 0);
 /*--- compute (l0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+111974, int_stack+14045, int_stack+12785, int_stack+120839, int_stack+128114, int_stack+119579, 8, 0);
 /*--- compute (l0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4860, int_stack+111974, int_stack+106794, int_stack+139969, int_stack+203378, int_stack+137134, 8, 0);
 /*--- compute (l0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+332834, int_stack+15665, int_stack+14045, int_stack+122459, int_stack+129654, int_stack+120839, 8, 0);
 /*--- compute (l0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+337694, int_stack+332834, int_stack+111974, int_stack+212198, int_stack+206843, int_stack+139969, 8, 0);
 /*--- compute (l0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+345254, int_stack+337694, int_stack+4860, int_stack+217058, int_stack+158386, int_stack+143749, 8, 0);
 /*--- compute (l0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4860, int_stack+17690, int_stack+15665, int_stack+124484, int_stack+131634, int_stack+122459, 8, 0);
 /*--- compute (l0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+137134, int_stack+4860, int_stack+332834, int_stack+171256, int_stack+165316, int_stack+212198, 8, 0);
 /*--- compute (l0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4860, int_stack+137134, int_stack+337694, int_stack+310514, int_stack+289724, int_stack+217058, 8, 0);
 /*--- compute (l0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+137134, int_stack+4860, int_stack+345254, int_stack+320234, int_stack+298964, int_stack+224618, 8, 0);
 /*--- compute (kp|[r12,T2]|hg) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+332834, int_stack+137134, int_stack+251924, 315);
 /*--- compute (id|[r12,T2]|hg) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+366854, int_stack+332834, int_stack+263264, 315);
 /*--- compute (n0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+251924, int_stack+22706, int_stack+20165, 66);
 /*--- compute (n0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+256082, int_stack+26094, int_stack+22706, 66);
 /*--- compute (n0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+261626, int_stack+256082, int_stack+251924, 66);
 /*--- compute (n0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+269942, int_stack+30450, int_stack+26094, 66);
 /*--- compute (n0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+277070, int_stack+269942, int_stack+256082, 66);
 /*--- compute (n0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+4860, int_stack+277070, int_stack+261626, 66);
 /*--- compute (m0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+211463, int_stack+134109, int_stack+131634, 55);
 /*--- compute (m0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+419774, int_stack+211463, int_stack+165316, 55);
 /*--- compute (m0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+431654, int_stack+419774, int_stack+289724, 55);
 /*--- compute (m0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+111974, int_stack+24554, int_stack+21551, int_stack+128114, int_stack+20165, int_stack+126959, 9, 0);
 /*--- compute (m0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+118634, int_stack+28470, int_stack+24554, int_stack+129654, int_stack+22706, int_stack+128114, 9, 0);
 /*--- compute (m0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+18720, int_stack+118634, int_stack+111974, int_stack+206843, int_stack+251924, int_stack+203378, 9, 0);
 /*--- compute (m0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+447054, int_stack+33420, int_stack+28470, int_stack+131634, int_stack+26094, int_stack+129654, 9, 0);
 /*--- compute (m0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+452994, int_stack+447054, int_stack+118634, int_stack+165316, int_stack+256082, int_stack+206843, 9, 0);
 /*--- compute (m0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+462234, int_stack+452994, int_stack+18720, int_stack+289724, int_stack+261626, int_stack+158386, 9, 0);
 /*--- compute (m0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+18720, int_stack+35895, int_stack+33420, int_stack+134109, int_stack+30450, int_stack+131634, 9, 0);
 /*--- compute (m0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+26145, int_stack+18720, int_stack+447054, int_stack+211463, int_stack+269942, int_stack+165316, 9, 0);
 /*--- compute (m0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+203378, int_stack+26145, int_stack+452994, int_stack+419774, int_stack+277070, int_stack+289724, 9, 0);
 /*--- compute (m0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+18720, int_stack+203378, int_stack+462234, int_stack+431654, int_stack+4860, int_stack+298964, 9, 0);
 /*--- compute (lp|[r12,T2]|hg) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+251924, int_stack+18720, int_stack+137134, 315);
 /*--- compute (kd|[r12,T2]|hg) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+447054, int_stack+251924, int_stack+332834, 315);
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+332834, int_stack+195538, int_stack+152506, 28);
 /*--- compute (k0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+341654, int_stack+241844, int_stack+178150, 36);
 /*--- compute (ip|hg) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+251924, int_stack+341654, int_stack+332834, 315);
 /*--- compute (l0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+278384, int_stack+320234, int_stack+224618, 45);
 /*--- compute (kp|hg) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+4860, int_stack+278384, int_stack+341654, 315);
 /*--- compute (id|hg) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+515094, int_stack+4860, int_stack+251924, 315);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+352994, int_stack+38920, int_stack+110434, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+357614, int_stack+352994, int_stack+185710, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+203378, int_stack+357614, int_stack+189490, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+352994, int_stack+203378, int_stack+195538, 28);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+292559, int_stack+45948, int_stack+116654, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+419774, int_stack+292559, int_stack+0, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+126959, int_stack+419774, int_stack+234068, 36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+139919, int_stack+126959, int_stack+241844, 36);
 /*--- compute (ip|ig) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+177331, int_stack+139919, int_stack+352994, 420);
 /*--- compute (l0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+126959, int_stack+54984, int_stack+124484, 45);
 /*--- compute (l0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+155039, int_stack+126959, int_stack+171256, 45);
 /*--- compute (l0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+106794, int_stack+155039, int_stack+310514, 45);
 /*--- compute (l0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+155039, int_stack+106794, int_stack+320234, 45);
 /*--- compute (kp|ig) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+568014, int_stack+155039, int_stack+139919, 420);
 /*--- compute (id|ig) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+613374, int_stack+568014, int_stack+177331, 420);
 /*--- compute (m0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+106794, int_stack+431654, int_stack+298964, 55);
 /*--- compute (lp|hg) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+683934, int_stack+106794, int_stack+278384, 315);
 /*--- compute (kd|hg) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+726459, int_stack+683934, int_stack+4860, 315);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+124119, int_stack+41356, int_stack+40768, 28);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+125883, int_stack+42140, int_stack+41356, 28);
 /*--- compute (i0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+128235, int_stack+125883, int_stack+124119, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+131763, int_stack+43148, int_stack+42140, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+134787, int_stack+131763, int_stack+125883, 28);
 /*--- compute (i0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+419774, int_stack+134787, int_stack+128235, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+124119, int_stack+44408, int_stack+43148, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+425654, int_stack+124119, int_stack+131763, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+124119, int_stack+425654, int_stack+134787, 28);
 /*--- compute (i0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+425654, int_stack+124119, int_stack+419774, 28);
 /*--- compute (k0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+419774, int_stack+49080, int_stack+48324, 36);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+422042, int_stack+50088, int_stack+49080, 36);
 /*--- compute (k0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+124119, int_stack+422042, int_stack+419774, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+128655, int_stack+51384, int_stack+50088, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+132543, int_stack+128655, int_stack+422042, 36);
 /*--- compute (k0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+434474, int_stack+132543, int_stack+124119, 36);
 /*--- compute (k0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+53004, int_stack+51384, 36);
 /*--- compute (k0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+292559, int_stack+0, int_stack+128655, 36);
 /*--- compute (k0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+300335, int_stack+292559, int_stack+132543, 36);
 /*--- compute (k0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+124119, int_stack+300335, int_stack+434474, 36);
 /*--- compute (ip|[r12,T1]|hg) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+292559, int_stack+124119, int_stack+425654, int_stack+341654, int_stack+352994, int_stack+332834, 5, 4);
 /*--- compute (l0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+352994, int_stack+58899, int_stack+57954, 45);
 /*--- compute (l0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+355829, int_stack+60159, int_stack+58899, 45);
 /*--- compute (l0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+359609, int_stack+355829, int_stack+352994, 45);
 /*--- compute (l0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+61779, int_stack+60159, 45);
 /*--- compute (l0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+319019, int_stack+0, int_stack+355829, 45);
 /*--- compute (l0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+326579, int_stack+319019, int_stack+359609, 45);
 /*--- compute (l0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+352994, int_stack+63804, int_stack+61779, 45);
 /*--- compute (l0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+419774, int_stack+352994, int_stack+0, 45);
 /*--- compute (l0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+352994, int_stack+419774, int_stack+319019, 45);
 /*--- compute (l0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+419774, int_stack+352994, int_stack+326579, 45);
 /*--- compute (kp|[r12,T1]|hg) ---*/
   t1hrr1_build_kp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+212611, int_stack+419774, int_stack+124119, int_stack+278384, int_stack+139919, int_stack+341654, 5, 4);
 /*--- compute (id|[r12,T1]|hg) ---*/
   t1hrr1_build_id(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+794499, int_stack+212611, int_stack+292559, int_stack+4860, int_stack+177331, int_stack+251924, 5, 4);
 /*--- compute (m0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+292559, int_stack+67434, int_stack+66279, 55);
 /*--- compute (m0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+296024, int_stack+68974, int_stack+67434, 55);
 /*--- compute (m0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+300644, int_stack+296024, int_stack+292559, 55);
 /*--- compute (m0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+307574, int_stack+70954, int_stack+68974, 55);
 /*--- compute (m0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+313514, int_stack+307574, int_stack+296024, 55);
 /*--- compute (m0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+322754, int_stack+313514, int_stack+300644, 55);
 /*--- compute (m0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+292559, int_stack+73429, int_stack+70954, 55);
 /*--- compute (m0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+334304, int_stack+292559, int_stack+307574, 55);
 /*--- compute (m0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+292559, int_stack+334304, int_stack+313514, 55);
 /*--- compute (m0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+334304, int_stack+292559, int_stack+322754, 55);
 /*--- compute (lp|[r12,T1]|hg) ---*/
   t1hrr1_build_lp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+847419, int_stack+334304, int_stack+419774, int_stack+106794, int_stack+155039, int_stack+278384, 5, 4);
 /*--- compute (kd|[r12,T1]|hg) ---*/
   t1hrr1_build_kd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+106794, int_stack+847419, int_stack+212611, int_stack+683934, int_stack+568014, int_stack+4860, 5, 4);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+568014, int_stack+77042, int_stack+76454, 28);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+569778, int_stack+77826, int_stack+77042, 28);
 /*--- compute (i0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+572130, int_stack+569778, int_stack+568014, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+575658, int_stack+78834, int_stack+77826, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+578682, int_stack+575658, int_stack+569778, 28);
 /*--- compute (i0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+583386, int_stack+578682, int_stack+572130, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+568014, int_stack+80094, int_stack+78834, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+589266, int_stack+568014, int_stack+575658, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+568014, int_stack+589266, int_stack+578682, 28);
 /*--- compute (i0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+589266, int_stack+568014, int_stack+583386, 28);
 /*--- compute (k0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+568014, int_stack+82390, int_stack+81634, 36);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+570282, int_stack+83398, int_stack+82390, 36);
 /*--- compute (k0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+573306, int_stack+570282, int_stack+568014, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+577842, int_stack+84694, int_stack+83398, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+581730, int_stack+577842, int_stack+570282, 36);
 /*--- compute (k0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+598086, int_stack+581730, int_stack+573306, 36);
 /*--- compute (k0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+568014, int_stack+86314, int_stack+84694, 36);
 /*--- compute (k0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+683934, int_stack+568014, int_stack+577842, 36);
 /*--- compute (k0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+568014, int_stack+683934, int_stack+581730, 36);
 /*--- compute (k0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+683934, int_stack+568014, int_stack+598086, 36);
 /*--- compute (ip||hg) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+695274, int_stack+683934, int_stack+589266, 315);
 /*--- compute (l0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+568014, int_stack+89239, int_stack+88294, 45);
 /*--- compute (l0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+570849, int_stack+90499, int_stack+89239, 45);
 /*--- compute (l0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+574629, int_stack+570849, int_stack+568014, 45);
 /*--- compute (l0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+580299, int_stack+92119, int_stack+90499, 45);
 /*--- compute (l0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+585159, int_stack+580299, int_stack+570849, 45);
 /*--- compute (l0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+592719, int_stack+585159, int_stack+574629, 45);
 /*--- compute (l0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+568014, int_stack+94144, int_stack+92119, 45);
 /*--- compute (l0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+602169, int_stack+568014, int_stack+580299, 45);
 /*--- compute (l0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+568014, int_stack+602169, int_stack+585159, 45);
 /*--- compute (l0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+847419, int_stack+568014, int_stack+592719, 45);
 /*--- compute (kp||hg) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+568014, int_stack+847419, int_stack+683934, 315);
 /*--- compute (id||hg) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+174834, int_stack+568014, int_stack+695274, 315);
 /*--- compute (m0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+683934, int_stack+97774, int_stack+96619, 55);
 /*--- compute (m0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+687399, int_stack+99314, int_stack+97774, 55);
 /*--- compute (m0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+692019, int_stack+687399, int_stack+683934, 55);
 /*--- compute (m0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+698949, int_stack+101294, int_stack+99314, 55);
 /*--- compute (m0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+704889, int_stack+698949, int_stack+687399, 55);
 /*--- compute (m0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+714129, int_stack+704889, int_stack+692019, 55);
 /*--- compute (m0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+683934, int_stack+103769, int_stack+101294, 55);
 /*--- compute (m0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+861594, int_stack+683934, int_stack+698949, 55);
 /*--- compute (m0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+683934, int_stack+861594, int_stack+704889, 55);
 /*--- compute (m0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+861594, int_stack+683934, int_stack+714129, 55);
 /*--- compute (lp||hg) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+683934, int_stack+861594, int_stack+847419, 315);
 /*--- compute (kd||hg) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+227754, int_stack+683934, int_stack+568014, 315);
 /*--- compute (if|[r12,T2]|hg) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+0, int_stack+447054, int_stack+366854, 315);
     Libr12->te_ptr[3] = int_stack + 0;
 /*--- compute (if|[r12,T1]|hg) ---*/
   t1hrr1_build_if(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+295794, int_stack+106794, int_stack+794499, int_stack+726459, int_stack+613374, int_stack+515094, 5, 4);
     Libr12->te_ptr[2] = int_stack + 295794;
 /*--- compute (if||hg) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+794499, int_stack+227754, int_stack+174834, 315);
     Libr12->te_ptr[1] = int_stack + 794499;
 /*--- compute (if|hg) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+568014, int_stack+726459, int_stack+515094, 315);
     Libr12->te_ptr[0] = int_stack + 568014;

}
