#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_iiii(Libr12_t *, prim_data *);

  /* Computes (ii|ii) integrals for linear R12-methods */

void hrr_grt_order_iiii(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[6][6] = int_stack + 0;
 Libr12->t2vrr_classes[6][7] = int_stack + 784;
 Libr12->t2vrr_classes[6][8] = int_stack + 1792;
 Libr12->t2vrr_classes[6][9] = int_stack + 3052;
 Libr12->t2vrr_classes[6][10] = int_stack + 4592;
 Libr12->t2vrr_classes[6][11] = int_stack + 6440;
 Libr12->t2vrr_classes[6][12] = int_stack + 8624;
 Libr12->t2vrr_classes[7][6] = int_stack + 11172;
 Libr12->t2vrr_classes[7][7] = int_stack + 12180;
 Libr12->t2vrr_classes[7][8] = int_stack + 13476;
 Libr12->t2vrr_classes[7][9] = int_stack + 15096;
 Libr12->t2vrr_classes[7][10] = int_stack + 17076;
 Libr12->t2vrr_classes[7][11] = int_stack + 19452;
 Libr12->t2vrr_classes[7][12] = int_stack + 22260;
 Libr12->t2vrr_classes[8][6] = int_stack + 25536;
 Libr12->t2vrr_classes[8][7] = int_stack + 26796;
 Libr12->t2vrr_classes[8][8] = int_stack + 28416;
 Libr12->t2vrr_classes[8][9] = int_stack + 30441;
 Libr12->t2vrr_classes[8][10] = int_stack + 32916;
 Libr12->t2vrr_classes[8][11] = int_stack + 35886;
 Libr12->t2vrr_classes[8][12] = int_stack + 39396;
 Libr12->t2vrr_classes[9][6] = int_stack + 43491;
 Libr12->t2vrr_classes[9][7] = int_stack + 45031;
 Libr12->t2vrr_classes[9][8] = int_stack + 47011;
 Libr12->t2vrr_classes[9][9] = int_stack + 49486;
 Libr12->t2vrr_classes[9][10] = int_stack + 52511;
 Libr12->t2vrr_classes[9][11] = int_stack + 56141;
 Libr12->t2vrr_classes[9][12] = int_stack + 60431;
 Libr12->t2vrr_classes[10][6] = int_stack + 65436;
 Libr12->t2vrr_classes[10][7] = int_stack + 67284;
 Libr12->t2vrr_classes[10][8] = int_stack + 69660;
 Libr12->t2vrr_classes[10][9] = int_stack + 72630;
 Libr12->t2vrr_classes[10][10] = int_stack + 76260;
 Libr12->t2vrr_classes[10][11] = int_stack + 80616;
 Libr12->t2vrr_classes[10][12] = int_stack + 85764;
 Libr12->t2vrr_classes[11][6] = int_stack + 91770;
 Libr12->t2vrr_classes[11][7] = int_stack + 93954;
 Libr12->t2vrr_classes[11][8] = int_stack + 96762;
 Libr12->t2vrr_classes[11][9] = int_stack + 100272;
 Libr12->t2vrr_classes[11][10] = int_stack + 104562;
 Libr12->t2vrr_classes[11][11] = int_stack + 109710;
 Libr12->t2vrr_classes[11][12] = int_stack + 115794;
 Libr12->gvrr_classes[13][6] = int_stack + 122892;
 Libr12->t2vrr_classes[12][6] = int_stack + 125832;
 Libr12->gvrr_classes[13][7] = int_stack + 128380;
 Libr12->t2vrr_classes[12][7] = int_stack + 132160;
 Libr12->gvrr_classes[13][8] = int_stack + 135436;
 Libr12->t2vrr_classes[12][8] = int_stack + 140161;
 Libr12->gvrr_classes[13][9] = int_stack + 144256;
 Libr12->t2vrr_classes[12][9] = int_stack + 150031;
 Libr12->gvrr_classes[13][10] = int_stack + 155036;
 Libr12->t2vrr_classes[12][10] = int_stack + 161966;
 Libr12->gvrr_classes[13][11] = int_stack + 167972;
 Libr12->t2vrr_classes[12][11] = int_stack + 176162;
 Libr12->t2vrr_classes[12][12] = int_stack + 183260;
 Libr12->gvrr_classes[6][13] = int_stack + 191541;
 Libr12->t1vrr_classes[6][6] = int_stack + 194481;
 Libr12->t1vrr_classes[6][7] = int_stack + 195265;
 Libr12->t1vrr_classes[6][8] = int_stack + 196273;
 Libr12->t1vrr_classes[6][9] = int_stack + 197533;
 Libr12->t1vrr_classes[6][10] = int_stack + 199073;
 Libr12->t1vrr_classes[6][11] = int_stack + 200921;
 Libr12->t1vrr_classes[6][12] = int_stack + 203105;
 Libr12->gvrr_classes[7][13] = int_stack + 205653;
 Libr12->t1vrr_classes[7][6] = int_stack + 209433;
 Libr12->t1vrr_classes[7][7] = int_stack + 210441;
 Libr12->t1vrr_classes[7][8] = int_stack + 211737;
 Libr12->t1vrr_classes[7][9] = int_stack + 213357;
 Libr12->t1vrr_classes[7][10] = int_stack + 215337;
 Libr12->t1vrr_classes[7][11] = int_stack + 217713;
 Libr12->t1vrr_classes[7][12] = int_stack + 220521;
 Libr12->gvrr_classes[8][13] = int_stack + 223797;
 Libr12->t1vrr_classes[8][6] = int_stack + 228522;
 Libr12->t1vrr_classes[8][7] = int_stack + 229782;
 Libr12->t1vrr_classes[8][8] = int_stack + 231402;
 Libr12->t1vrr_classes[8][9] = int_stack + 233427;
 Libr12->t1vrr_classes[8][10] = int_stack + 235902;
 Libr12->t1vrr_classes[8][11] = int_stack + 238872;
 Libr12->t1vrr_classes[8][12] = int_stack + 242382;
 Libr12->gvrr_classes[9][13] = int_stack + 246477;
 Libr12->t1vrr_classes[9][6] = int_stack + 252252;
 Libr12->t1vrr_classes[9][7] = int_stack + 253792;
 Libr12->t1vrr_classes[9][8] = int_stack + 255772;
 Libr12->t1vrr_classes[9][9] = int_stack + 258247;
 Libr12->t1vrr_classes[9][10] = int_stack + 261272;
 Libr12->t1vrr_classes[9][11] = int_stack + 264902;
 Libr12->t1vrr_classes[9][12] = int_stack + 269192;
 Libr12->gvrr_classes[10][13] = int_stack + 274197;
 Libr12->t1vrr_classes[10][6] = int_stack + 281127;
 Libr12->t1vrr_classes[10][7] = int_stack + 282975;
 Libr12->t1vrr_classes[10][8] = int_stack + 285351;
 Libr12->t1vrr_classes[10][9] = int_stack + 288321;
 Libr12->t1vrr_classes[10][10] = int_stack + 291951;
 Libr12->t1vrr_classes[10][11] = int_stack + 296307;
 Libr12->t1vrr_classes[10][12] = int_stack + 301455;
 Libr12->gvrr_classes[11][13] = int_stack + 307461;
 Libr12->t1vrr_classes[11][6] = int_stack + 315651;
 Libr12->t1vrr_classes[11][7] = int_stack + 317835;
 Libr12->t1vrr_classes[11][8] = int_stack + 320643;
 Libr12->t1vrr_classes[11][9] = int_stack + 324153;
 Libr12->t1vrr_classes[11][10] = int_stack + 328443;
 Libr12->t1vrr_classes[11][11] = int_stack + 333591;
 Libr12->t1vrr_classes[11][12] = int_stack + 339675;
 Libr12->t1vrr_classes[12][6] = int_stack + 346773;
 Libr12->t1vrr_classes[12][7] = int_stack + 349321;
 Libr12->t1vrr_classes[12][8] = int_stack + 352597;
 Libr12->t1vrr_classes[12][9] = int_stack + 356692;
 Libr12->t1vrr_classes[12][10] = int_stack + 361697;
 Libr12->t1vrr_classes[12][11] = int_stack + 367703;
 Libr12->t1vrr_classes[12][12] = int_stack + 374801;
 Libr12->rvrr_classes[6][6] = int_stack + 383082;
 Libr12->rvrr_classes[6][7] = int_stack + 383866;
 Libr12->rvrr_classes[6][8] = int_stack + 384874;
 Libr12->rvrr_classes[6][9] = int_stack + 386134;
 Libr12->rvrr_classes[6][10] = int_stack + 387674;
 Libr12->rvrr_classes[6][11] = int_stack + 389522;
 Libr12->rvrr_classes[6][12] = int_stack + 391706;
 Libr12->rvrr_classes[7][6] = int_stack + 394254;
 Libr12->rvrr_classes[7][7] = int_stack + 395262;
 Libr12->rvrr_classes[7][8] = int_stack + 396558;
 Libr12->rvrr_classes[7][9] = int_stack + 398178;
 Libr12->rvrr_classes[7][10] = int_stack + 400158;
 Libr12->rvrr_classes[7][11] = int_stack + 402534;
 Libr12->rvrr_classes[7][12] = int_stack + 405342;
 Libr12->rvrr_classes[8][6] = int_stack + 408618;
 Libr12->rvrr_classes[8][7] = int_stack + 409878;
 Libr12->rvrr_classes[8][8] = int_stack + 411498;
 Libr12->rvrr_classes[8][9] = int_stack + 413523;
 Libr12->rvrr_classes[8][10] = int_stack + 415998;
 Libr12->rvrr_classes[8][11] = int_stack + 418968;
 Libr12->rvrr_classes[8][12] = int_stack + 422478;
 Libr12->rvrr_classes[9][6] = int_stack + 426573;
 Libr12->rvrr_classes[9][7] = int_stack + 428113;
 Libr12->rvrr_classes[9][8] = int_stack + 430093;
 Libr12->rvrr_classes[9][9] = int_stack + 432568;
 Libr12->rvrr_classes[9][10] = int_stack + 435593;
 Libr12->rvrr_classes[9][11] = int_stack + 439223;
 Libr12->rvrr_classes[9][12] = int_stack + 443513;
 Libr12->rvrr_classes[10][6] = int_stack + 448518;
 Libr12->rvrr_classes[10][7] = int_stack + 450366;
 Libr12->rvrr_classes[10][8] = int_stack + 452742;
 Libr12->rvrr_classes[10][9] = int_stack + 455712;
 Libr12->rvrr_classes[10][10] = int_stack + 459342;
 Libr12->rvrr_classes[10][11] = int_stack + 463698;
 Libr12->rvrr_classes[10][12] = int_stack + 468846;
 Libr12->rvrr_classes[11][6] = int_stack + 474852;
 Libr12->rvrr_classes[11][7] = int_stack + 477036;
 Libr12->rvrr_classes[11][8] = int_stack + 479844;
 Libr12->rvrr_classes[11][9] = int_stack + 483354;
 Libr12->rvrr_classes[11][10] = int_stack + 487644;
 Libr12->rvrr_classes[11][11] = int_stack + 492792;
 Libr12->rvrr_classes[11][12] = int_stack + 498876;
 Libr12->rvrr_classes[12][6] = int_stack + 505974;
 Libr12->rvrr_classes[12][7] = int_stack + 508522;
 Libr12->rvrr_classes[12][8] = int_stack + 511798;
 Libr12->rvrr_classes[12][9] = int_stack + 515893;
 Libr12->rvrr_classes[12][10] = int_stack + 520898;
 Libr12->rvrr_classes[12][11] = int_stack + 526904;
 Libr12->rvrr_classes[12][12] = int_stack + 534002;
 Libr12->gvrr_classes[6][6] = int_stack + 542283;
 Libr12->gvrr_classes[6][7] = int_stack + 543067;
 Libr12->gvrr_classes[6][8] = int_stack + 544075;
 Libr12->gvrr_classes[6][9] = int_stack + 545335;
 Libr12->gvrr_classes[6][10] = int_stack + 546875;
 Libr12->gvrr_classes[6][11] = int_stack + 548723;
 Libr12->gvrr_classes[6][12] = int_stack + 550907;
 Libr12->gvrr_classes[7][6] = int_stack + 553455;
 Libr12->gvrr_classes[7][7] = int_stack + 554463;
 Libr12->gvrr_classes[7][8] = int_stack + 555759;
 Libr12->gvrr_classes[7][9] = int_stack + 557379;
 Libr12->gvrr_classes[7][10] = int_stack + 559359;
 Libr12->gvrr_classes[7][11] = int_stack + 561735;
 Libr12->gvrr_classes[7][12] = int_stack + 564543;
 Libr12->gvrr_classes[8][6] = int_stack + 567819;
 Libr12->gvrr_classes[8][7] = int_stack + 569079;
 Libr12->gvrr_classes[8][8] = int_stack + 570699;
 Libr12->gvrr_classes[8][9] = int_stack + 572724;
 Libr12->gvrr_classes[8][10] = int_stack + 575199;
 Libr12->gvrr_classes[8][11] = int_stack + 578169;
 Libr12->gvrr_classes[8][12] = int_stack + 581679;
 Libr12->gvrr_classes[9][6] = int_stack + 585774;
 Libr12->gvrr_classes[9][7] = int_stack + 587314;
 Libr12->gvrr_classes[9][8] = int_stack + 589294;
 Libr12->gvrr_classes[9][9] = int_stack + 591769;
 Libr12->gvrr_classes[9][10] = int_stack + 594794;
 Libr12->gvrr_classes[9][11] = int_stack + 598424;
 Libr12->gvrr_classes[9][12] = int_stack + 602714;
 Libr12->gvrr_classes[10][6] = int_stack + 607719;
 Libr12->gvrr_classes[10][7] = int_stack + 609567;
 Libr12->gvrr_classes[10][8] = int_stack + 611943;
 Libr12->gvrr_classes[10][9] = int_stack + 614913;
 Libr12->gvrr_classes[10][10] = int_stack + 618543;
 Libr12->gvrr_classes[10][11] = int_stack + 622899;
 Libr12->gvrr_classes[10][12] = int_stack + 628047;
 Libr12->gvrr_classes[11][6] = int_stack + 634053;
 Libr12->gvrr_classes[11][7] = int_stack + 636237;
 Libr12->gvrr_classes[11][8] = int_stack + 639045;
 Libr12->gvrr_classes[11][9] = int_stack + 642555;
 Libr12->gvrr_classes[11][10] = int_stack + 646845;
 Libr12->gvrr_classes[11][11] = int_stack + 651993;
 Libr12->gvrr_classes[11][12] = int_stack + 658077;
 Libr12->gvrr_classes[12][6] = int_stack + 665175;
 Libr12->gvrr_classes[12][7] = int_stack + 667723;
 Libr12->gvrr_classes[12][8] = int_stack + 670999;
 Libr12->gvrr_classes[12][9] = int_stack + 675094;
 Libr12->gvrr_classes[12][10] = int_stack + 680099;
 Libr12->gvrr_classes[12][11] = int_stack + 686105;
 Libr12->gvrr_classes[12][12] = int_stack + 693203;
 memset(int_stack,0,701484*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 701484;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_iiii(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+701484, int_stack+543067, int_stack+542283, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+703836, int_stack+544075, int_stack+543067, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+706860, int_stack+703836, int_stack+701484, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+711564, int_stack+545335, int_stack+544075, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+715344, int_stack+711564, int_stack+703836, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+721392, int_stack+715344, int_stack+706860, 28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+729232, int_stack+546875, int_stack+545335, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+733852, int_stack+729232, int_stack+711564, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+741412, int_stack+733852, int_stack+715344, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+751492, int_stack+741412, int_stack+721392, 28);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+763252, int_stack+548723, int_stack+546875, 28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+768796, int_stack+763252, int_stack+729232, 28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+778036, int_stack+768796, int_stack+733852, 28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+790636, int_stack+778036, int_stack+741412, 28);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+805756, int_stack+790636, int_stack+751492, 28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+822220, int_stack+554463, int_stack+553455, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+825244, int_stack+555759, int_stack+554463, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+829132, int_stack+825244, int_stack+822220, 36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+835180, int_stack+557379, int_stack+555759, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+840040, int_stack+835180, int_stack+825244, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+847816, int_stack+840040, int_stack+829132, 36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+857896, int_stack+559359, int_stack+557379, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+863836, int_stack+857896, int_stack+835180, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+873556, int_stack+863836, int_stack+840040, 36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+886516, int_stack+873556, int_stack+847816, 36);
 /*--- compute (k0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+901636, int_stack+561735, int_stack+559359, 36);
 /*--- compute (k0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+908764, int_stack+901636, int_stack+857896, 36);
 /*--- compute (k0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+920644, int_stack+908764, int_stack+863836, 36);
 /*--- compute (k0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+936844, int_stack+920644, int_stack+873556, 36);
 /*--- compute (k0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+956284, int_stack+936844, int_stack+886516, 36);
 /*--- compute (i0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+977452, int_stack+550907, int_stack+548723, 28);
 /*--- compute (i0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+984004, int_stack+977452, int_stack+763252, 28);
 /*--- compute (i0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+995092, int_stack+984004, int_stack+768796, 28);
 /*--- compute (i0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+1010492, int_stack+995092, int_stack+778036, 28);
 /*--- compute (i0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+1029392, int_stack+1010492, int_stack+790636, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1050560, int_stack+784, int_stack+0, int_stack+543067, int_stack+553455, int_stack+542283, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1052912, int_stack+1792, int_stack+784, int_stack+544075, int_stack+554463, int_stack+543067, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1055936, int_stack+1052912, int_stack+1050560, int_stack+703836, int_stack+822220, int_stack+701484, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1060640, int_stack+3052, int_stack+1792, int_stack+545335, int_stack+555759, int_stack+544075, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1064420, int_stack+1060640, int_stack+1052912, int_stack+711564, int_stack+825244, int_stack+703836, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1070468, int_stack+1064420, int_stack+1055936, int_stack+715344, int_stack+829132, int_stack+706860, 6, 0);
 /*--- compute (i0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+701484, int_stack+4592, int_stack+3052, int_stack+546875, int_stack+557379, int_stack+545335, 6, 0);
 /*--- compute (i0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1050560, int_stack+701484, int_stack+1060640, int_stack+729232, int_stack+835180, int_stack+711564, 6, 0);
 /*--- compute (i0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1078308, int_stack+1050560, int_stack+1064420, int_stack+733852, int_stack+840040, int_stack+715344, 6, 0);
 /*--- compute (i0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+706104, int_stack+1078308, int_stack+1070468, int_stack+741412, int_stack+847816, int_stack+721392, 6, 0);
 /*--- compute (i0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+717864, int_stack+6440, int_stack+4592, int_stack+548723, int_stack+559359, int_stack+546875, 6, 0);
 /*--- compute (i0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1058120, int_stack+717864, int_stack+701484, int_stack+763252, int_stack+857896, int_stack+729232, 6, 0);
 /*--- compute (i0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1088388, int_stack+1058120, int_stack+1050560, int_stack+768796, int_stack+863836, int_stack+733852, 6, 0);
 /*--- compute (i0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+723408, int_stack+1088388, int_stack+1078308, int_stack+778036, int_stack+873556, int_stack+741412, 6, 0);
 /*--- compute (i0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1067360, int_stack+723408, int_stack+706104, int_stack+790636, int_stack+886516, int_stack+751492, 6, 0);
 /*--- compute (i0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1050560, int_stack+8624, int_stack+6440, int_stack+550907, int_stack+561735, int_stack+548723, 6, 0);
 /*--- compute (i0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+701484, int_stack+1050560, int_stack+717864, int_stack+977452, int_stack+901636, int_stack+763252, 6, 0);
 /*--- compute (i0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+738528, int_stack+701484, int_stack+1058120, int_stack+984004, int_stack+908764, int_stack+768796, 6, 0);
 /*--- compute (i0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+701484, int_stack+738528, int_stack+1088388, int_stack+995092, int_stack+920644, int_stack+778036, 6, 0);
 /*--- compute (i0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+738528, int_stack+701484, int_stack+723408, int_stack+1010492, int_stack+936844, int_stack+790636, 6, 0);
 /*--- compute (i0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+701484, int_stack+738528, int_stack+1067360, int_stack+1029392, int_stack+956284, int_stack+805756, 6, 0);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+723436, int_stack+569079, int_stack+567819, 45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+727216, int_stack+570699, int_stack+569079, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+732076, int_stack+727216, int_stack+723436, 45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+739636, int_stack+572724, int_stack+570699, 45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+745711, int_stack+739636, int_stack+727216, 45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+755431, int_stack+745711, int_stack+732076, 45);
 /*--- compute (l0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+768031, int_stack+575199, int_stack+572724, 45);
 /*--- compute (l0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+775456, int_stack+768031, int_stack+739636, 45);
 /*--- compute (l0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+787606, int_stack+775456, int_stack+745711, 45);
 /*--- compute (l0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1050560, int_stack+787606, int_stack+755431, 45);
 /*--- compute (l0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1069460, int_stack+578169, int_stack+575199, 45);
 /*--- compute (l0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1078370, int_stack+1069460, int_stack+768031, 45);
 /*--- compute (l0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1093220, int_stack+1078370, int_stack+775456, 45);
 /*--- compute (l0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1113470, int_stack+1093220, int_stack+787606, 45);
 /*--- compute (l0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1137770, int_stack+1113470, int_stack+1050560, 45);
 /*--- compute (k0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+542283, int_stack+564543, int_stack+561735, 36);
 /*--- compute (k0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+1164230, int_stack+542283, int_stack+901636, 36);
 /*--- compute (k0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+1178486, int_stack+1164230, int_stack+908764, 36);
 /*--- compute (k0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+1198286, int_stack+1178486, int_stack+920644, 36);
 /*--- compute (k0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+1222586, int_stack+1198286, int_stack+936844, 36);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+12180, int_stack+11172, int_stack+554463, int_stack+567819, int_stack+553455, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3024, int_stack+13476, int_stack+12180, int_stack+555759, int_stack+569079, int_stack+554463, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+6912, int_stack+3024, int_stack+0, int_stack+825244, int_stack+723436, int_stack+822220, 7, 0);
 /*--- compute (k0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1249802, int_stack+15096, int_stack+13476, int_stack+557379, int_stack+570699, int_stack+555759, 7, 0);
 /*--- compute (k0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1254662, int_stack+1249802, int_stack+3024, int_stack+835180, int_stack+727216, int_stack+825244, 7, 0);
 /*--- compute (k0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1262438, int_stack+1254662, int_stack+6912, int_stack+840040, int_stack+732076, int_stack+829132, 7, 0);
 /*--- compute (k0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+822220, int_stack+17076, int_stack+15096, int_stack+559359, int_stack+572724, int_stack+557379, 7, 0);
 /*--- compute (k0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+822220, int_stack+1249802, int_stack+857896, int_stack+739636, int_stack+835180, 7, 0);
 /*--- compute (k0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1272518, int_stack+0, int_stack+1254662, int_stack+863836, int_stack+745711, int_stack+840040, 7, 0);
 /*--- compute (k0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+828160, int_stack+1272518, int_stack+1262438, int_stack+873556, int_stack+755431, int_stack+847816, 7, 0);
 /*--- compute (k0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1249802, int_stack+19452, int_stack+17076, int_stack+561735, int_stack+575199, int_stack+559359, 7, 0);
 /*--- compute (k0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1256930, int_stack+1249802, int_stack+822220, int_stack+901636, int_stack+768031, int_stack+857896, 7, 0);
 /*--- compute (k0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+843280, int_stack+1256930, int_stack+0, int_stack+908764, int_stack+775456, int_stack+863836, 7, 0);
 /*--- compute (k0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+843280, int_stack+1272518, int_stack+920644, int_stack+787606, int_stack+873556, 7, 0);
 /*--- compute (k0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+859480, int_stack+0, int_stack+828160, int_stack+936844, int_stack+1050560, int_stack+886516, 7, 0);
 /*--- compute (k0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+822220, int_stack+22260, int_stack+19452, int_stack+564543, int_stack+578169, int_stack+561735, 7, 0);
 /*--- compute (k0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1268810, int_stack+822220, int_stack+1249802, int_stack+542283, int_stack+1069460, int_stack+901636, 7, 0);
 /*--- compute (k0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+822220, int_stack+1268810, int_stack+1256930, int_stack+1164230, int_stack+1078370, int_stack+908764, 7, 0);
 /*--- compute (k0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1249802, int_stack+822220, int_stack+843280, int_stack+1178486, int_stack+1093220, int_stack+920644, 7, 0);
 /*--- compute (k0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+822220, int_stack+1249802, int_stack+0, int_stack+1198286, int_stack+1113470, int_stack+936844, 7, 0);
 /*--- compute (k0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1249802, int_stack+822220, int_stack+859480, int_stack+1222586, int_stack+1137770, int_stack+956284, 7, 0);
 /*--- compute (ip|[r12,T2]|ii) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+822220, int_stack+1249802, int_stack+701484, 784);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+701484, int_stack+587314, int_stack+585774, 55);
 /*--- compute (m0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+706104, int_stack+589294, int_stack+587314, 55);
 /*--- compute (m0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+712044, int_stack+706104, int_stack+701484, 55);
 /*--- compute (m0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+888076, int_stack+591769, int_stack+589294, 55);
 /*--- compute (m0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+895501, int_stack+888076, int_stack+706104, 55);
 /*--- compute (m0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+907381, int_stack+895501, int_stack+712044, 55);
 /*--- compute (m0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+922781, int_stack+594794, int_stack+591769, 55);
 /*--- compute (m0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+931856, int_stack+922781, int_stack+888076, 55);
 /*--- compute (m0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+931856, int_stack+895501, 55);
 /*--- compute (m0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1278026, int_stack+0, int_stack+907381, 55);
 /*--- compute (m0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+553455, int_stack+598424, int_stack+594794, 55);
 /*--- compute (m0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1301126, int_stack+553455, int_stack+922781, 55);
 /*--- compute (m0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1319276, int_stack+1301126, int_stack+931856, 55);
 /*--- compute (m0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1344026, int_stack+1319276, int_stack+0, 55);
 /*--- compute (m0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1373726, int_stack+1344026, int_stack+1278026, 55);
 /*--- compute (l0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+1406066, int_stack+581679, int_stack+578169, 45);
 /*--- compute (l0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+1416596, int_stack+1406066, int_stack+1069460, 45);
 /*--- compute (l0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+1434416, int_stack+1416596, int_stack+1078370, 45);
 /*--- compute (l0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+1459166, int_stack+1434416, int_stack+1093220, 45);
 /*--- compute (l0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+1489541, int_stack+1459166, int_stack+1113470, 45);
 /*--- compute (l0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+946706, int_stack+26796, int_stack+25536, int_stack+569079, int_stack+585774, int_stack+567819, 8, 0);
 /*--- compute (l0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+950486, int_stack+28416, int_stack+26796, int_stack+570699, int_stack+587314, int_stack+569079, 8, 0);
 /*--- compute (l0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+19800, int_stack+950486, int_stack+946706, int_stack+727216, int_stack+701484, int_stack+723436, 8, 0);
 /*--- compute (l0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1523561, int_stack+30441, int_stack+28416, int_stack+572724, int_stack+589294, int_stack+570699, 8, 0);
 /*--- compute (l0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1529636, int_stack+1523561, int_stack+950486, int_stack+739636, int_stack+706104, int_stack+727216, 8, 0);
 /*--- compute (l0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1539356, int_stack+1529636, int_stack+19800, int_stack+745711, int_stack+712044, int_stack+732076, 8, 0);
 /*--- compute (l0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+19800, int_stack+32916, int_stack+30441, int_stack+575199, int_stack+591769, int_stack+572724, 8, 0);
 /*--- compute (l0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+721284, int_stack+19800, int_stack+1523561, int_stack+768031, int_stack+888076, int_stack+739636, 8, 0);
 /*--- compute (l0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1551956, int_stack+721284, int_stack+1529636, int_stack+775456, int_stack+895501, int_stack+745711, 8, 0);
 /*--- compute (l0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+733434, int_stack+1551956, int_stack+1539356, int_stack+787606, int_stack+907381, int_stack+755431, 8, 0);
 /*--- compute (l0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1523561, int_stack+35886, int_stack+32916, int_stack+578169, int_stack+594794, int_stack+575199, 8, 0);
 /*--- compute (l0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1532471, int_stack+1523561, int_stack+19800, int_stack+1069460, int_stack+922781, int_stack+768031, 8, 0);
 /*--- compute (l0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+752334, int_stack+1532471, int_stack+721284, int_stack+1078370, int_stack+931856, int_stack+775456, 8, 0);
 /*--- compute (l0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1568156, int_stack+752334, int_stack+1551956, int_stack+1093220, int_stack+0, int_stack+787606, 8, 0);
 /*--- compute (l0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+772584, int_stack+1568156, int_stack+733434, int_stack+1113470, int_stack+1278026, int_stack+1050560, 8, 0);
 /*--- compute (l0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1050560, int_stack+39396, int_stack+35886, int_stack+581679, int_stack+598424, int_stack+578169, 8, 0);
 /*--- compute (l0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+721284, int_stack+1050560, int_stack+1523561, int_stack+1406066, int_stack+553455, int_stack+1069460, 8, 0);
 /*--- compute (l0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1050560, int_stack+721284, int_stack+1532471, int_stack+1416596, int_stack+1301126, int_stack+1078370, 8, 0);
 /*--- compute (l0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+721284, int_stack+1050560, int_stack+752334, int_stack+1434416, int_stack+1319276, int_stack+1093220, 8, 0);
 /*--- compute (l0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1050560, int_stack+721284, int_stack+1568156, int_stack+1459166, int_stack+1344026, int_stack+1113470, 8, 0);
 /*--- compute (l0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+721284, int_stack+1050560, int_stack+772584, int_stack+1489541, int_stack+1373726, int_stack+1137770, 8, 0);
 /*--- compute (kp|[r12,T2]|ii) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+1050560, int_stack+721284, int_stack+1249802, 784);
 /*--- compute (id|[r12,T2]|ii) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+1523561, int_stack+1050560, int_stack+822220, 784);
 /*--- compute (n0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+822220, int_stack+609567, int_stack+607719, 66);
 /*--- compute (n0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+827764, int_stack+611943, int_stack+609567, 66);
 /*--- compute (n0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+834892, int_stack+827764, int_stack+822220, 66);
 /*--- compute (n0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+845980, int_stack+614913, int_stack+611943, 66);
 /*--- compute (n0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+854890, int_stack+845980, int_stack+827764, 66);
 /*--- compute (n0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+869146, int_stack+854890, int_stack+834892, 66);
 /*--- compute (n0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+1249802, int_stack+618543, int_stack+614913, 66);
 /*--- compute (n0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+756564, int_stack+1249802, int_stack+845980, 66);
 /*--- compute (n0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+774384, int_stack+756564, int_stack+854890, 66);
 /*--- compute (n0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1655273, int_stack+774384, int_stack+869146, 66);
 /*--- compute (n0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1260692, int_stack+622899, int_stack+618543, 66);
 /*--- compute (n0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+19800, int_stack+1260692, int_stack+1249802, 66);
 /*--- compute (n0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1682993, int_stack+19800, int_stack+756564, 66);
 /*--- compute (n0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1712693, int_stack+1682993, int_stack+774384, 66);
 /*--- compute (n0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1748333, int_stack+1712693, int_stack+1655273, 66);
 /*--- compute (m0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+567819, int_stack+602714, int_stack+598424, 55);
 /*--- compute (m0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+1787141, int_stack+567819, int_stack+553455, 55);
 /*--- compute (m0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+1808921, int_stack+1787141, int_stack+1301126, 55);
 /*--- compute (m0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+1839171, int_stack+1808921, int_stack+1319276, 55);
 /*--- compute (m0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+1876296, int_stack+1839171, int_stack+1344026, 55);
 /*--- compute (m0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+798144, int_stack+45031, int_stack+43491, int_stack+587314, int_stack+607719, int_stack+585774, 9, 0);
 /*--- compute (m0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+946706, int_stack+47011, int_stack+45031, int_stack+589294, int_stack+609567, int_stack+587314, 9, 0);
 /*--- compute (m0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1917876, int_stack+946706, int_stack+798144, int_stack+706104, int_stack+822220, int_stack+701484, 9, 0);
 /*--- compute (m0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+798144, int_stack+49486, int_stack+47011, int_stack+591769, int_stack+611943, int_stack+589294, 9, 0);
 /*--- compute (m0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1927116, int_stack+798144, int_stack+946706, int_stack+888076, int_stack+827764, int_stack+706104, 9, 0);
 /*--- compute (m0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1938996, int_stack+1927116, int_stack+1917876, int_stack+895501, int_stack+834892, int_stack+712044, 9, 0);
 /*--- compute (m0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1917876, int_stack+52511, int_stack+49486, int_stack+594794, int_stack+614913, int_stack+591769, 9, 0);
 /*--- compute (m0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+701484, int_stack+1917876, int_stack+798144, int_stack+922781, int_stack+845980, int_stack+888076, 9, 0);
 /*--- compute (m0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1954396, int_stack+701484, int_stack+1927116, int_stack+931856, int_stack+854890, int_stack+895501, 9, 0);
 /*--- compute (m0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1974196, int_stack+1954396, int_stack+1938996, int_stack+0, int_stack+869146, int_stack+907381, 9, 0);
 /*--- compute (m0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1926951, int_stack+56141, int_stack+52511, int_stack+598424, int_stack+618543, int_stack+594794, 9, 0);
 /*--- compute (m0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+887626, int_stack+1926951, int_stack+1917876, int_stack+553455, int_stack+1249802, int_stack+922781, 9, 0);
 /*--- compute (m0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+905776, int_stack+887626, int_stack+701484, int_stack+1301126, int_stack+756564, int_stack+931856, 9, 0);
 /*--- compute (m0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1997296, int_stack+905776, int_stack+1954396, int_stack+1319276, int_stack+774384, int_stack+0, 9, 0);
 /*--- compute (m0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1937841, int_stack+1997296, int_stack+1974196, int_stack+1344026, int_stack+1655273, int_stack+1278026, 9, 0);
 /*--- compute (m0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+60431, int_stack+56141, int_stack+602714, int_stack+622899, int_stack+598424, 9, 0);
 /*--- compute (m0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1970181, int_stack+0, int_stack+1926951, int_stack+567819, int_stack+1260692, int_stack+553455, 9, 0);
 /*--- compute (m0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2026996, int_stack+1970181, int_stack+887626, int_stack+1787141, int_stack+19800, int_stack+1301126, 9, 0);
 /*--- compute (m0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1273760, int_stack+2026996, int_stack+905776, int_stack+1808921, int_stack+1682993, int_stack+1319276, 9, 0);
 /*--- compute (m0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+887626, int_stack+1273760, int_stack+1997296, int_stack+1839171, int_stack+1712693, int_stack+1344026, 9, 0);
 /*--- compute (m0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1273760, int_stack+887626, int_stack+1937841, int_stack+1876296, int_stack+1748333, int_stack+1373726, 9, 0);
 /*--- compute (lp|[r12,T2]|ii) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+1917876, int_stack+1273760, int_stack+721284, 784);
 /*--- compute (kd|[r12,T2]|ii) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+2023716, int_stack+1917876, int_stack+1050560, 784);
 /*--- compute (if|[r12,T2]|ii) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+2193060, int_stack+2023716, int_stack+1523561, 784);
 /*--- compute (o0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1523561, int_stack+636237, int_stack+634053, 78);
 /*--- compute (o0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1530113, int_stack+639045, int_stack+636237, 78);
 /*--- compute (o0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1538537, int_stack+1530113, int_stack+1523561, 78);
 /*--- compute (o0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1551641, int_stack+642555, int_stack+639045, 78);
 /*--- compute (o0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1562171, int_stack+1551641, int_stack+1530113, 78);
 /*--- compute (o0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1579019, int_stack+1562171, int_stack+1538537, 78);
 /*--- compute (o0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+1600859, int_stack+646845, int_stack+642555, 78);
 /*--- compute (o0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1613729, int_stack+1600859, int_stack+1551641, 78);
 /*--- compute (o0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1050560, int_stack+1613729, int_stack+1562171, 78);
 /*--- compute (o0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1078640, int_stack+1050560, int_stack+1579019, 78);
 /*--- compute (o0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1634789, int_stack+651993, int_stack+646845, 78);
 /*--- compute (o0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1111400, int_stack+1634789, int_stack+1600859, 78);
 /*--- compute (o0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+887626, int_stack+1111400, int_stack+1613729, 78);
 /*--- compute (o0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1316880, int_stack+887626, int_stack+1050560, 78);
 /*--- compute (o0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+701484, int_stack+1316880, int_stack+1078640, 78);
 /*--- compute (n0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+922726, int_stack+628047, int_stack+622899, 66);
 /*--- compute (n0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+2412580, int_stack+922726, int_stack+1260692, 66);
 /*--- compute (n0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+2438716, int_stack+2412580, int_stack+19800, 66);
 /*--- compute (n0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+2475016, int_stack+2438716, int_stack+1682993, 66);
 /*--- compute (n0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+2519566, int_stack+2475016, int_stack+1712693, 66);
 /*--- compute (n0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+938170, int_stack+67284, int_stack+65436, int_stack+609567, int_stack+634053, int_stack+607719, 10, 0);
 /*--- compute (n0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+943714, int_stack+69660, int_stack+67284, int_stack+611943, int_stack+636237, int_stack+609567, 10, 0);
 /*--- compute (n0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+553455, int_stack+943714, int_stack+938170, int_stack+827764, int_stack+1523561, int_stack+822220, 10, 0);
 /*--- compute (n0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1359000, int_stack+72630, int_stack+69660, int_stack+614913, int_stack+639045, int_stack+611943, 10, 0);
 /*--- compute (n0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+1359000, int_stack+943714, int_stack+845980, int_stack+1530113, int_stack+827764, 10, 0);
 /*--- compute (n0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+41580, int_stack+0, int_stack+553455, int_stack+854890, int_stack+1538537, int_stack+834892, 10, 0);
 /*--- compute (n0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+553455, int_stack+76260, int_stack+72630, int_stack+618543, int_stack+642555, int_stack+614913, 10, 0);
 /*--- compute (n0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+822220, int_stack+553455, int_stack+1359000, int_stack+1249802, int_stack+1551641, int_stack+845980, 10, 0);
 /*--- compute (n0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2569462, int_stack+822220, int_stack+0, int_stack+756564, int_stack+1562171, int_stack+854890, 10, 0);
 /*--- compute (n0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+840040, int_stack+2569462, int_stack+41580, int_stack+774384, int_stack+1579019, int_stack+869146, 10, 0);
 /*--- compute (n0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+41580, int_stack+80616, int_stack+76260, int_stack+622899, int_stack+646845, int_stack+618543, 10, 0);
 /*--- compute (n0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+54648, int_stack+41580, int_stack+553455, int_stack+1260692, int_stack+1600859, int_stack+1249802, 10, 0);
 /*--- compute (n0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2593222, int_stack+54648, int_stack+822220, int_stack+19800, int_stack+1613729, int_stack+756564, 10, 0);
 /*--- compute (n0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2622922, int_stack+2593222, int_stack+2569462, int_stack+1682993, int_stack+1050560, int_stack+774384, 10, 0);
 /*--- compute (n0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+747348, int_stack+2622922, int_stack+840040, int_stack+1712693, int_stack+1078640, int_stack+1655273, 10, 0);
 /*--- compute (n0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2569462, int_stack+85764, int_stack+80616, int_stack+628047, int_stack+651993, int_stack+622899, 10, 0);
 /*--- compute (n0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+822220, int_stack+2569462, int_stack+41580, int_stack+922726, int_stack+1634789, int_stack+1260692, 10, 0);
 /*--- compute (n0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+848356, int_stack+822220, int_stack+54648, int_stack+2412580, int_stack+1111400, int_stack+19800, 10, 0);
 /*--- compute (n0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+848356, int_stack+2593222, int_stack+2438716, int_stack+887626, int_stack+1682993, 10, 0);
 /*--- compute (n0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+822220, int_stack+0, int_stack+2622922, int_stack+2475016, int_stack+1316880, int_stack+1712693, 10, 0);
 /*--- compute (n0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+822220, int_stack+747348, int_stack+2519566, int_stack+701484, int_stack+1748333, 10, 0);
 /*--- compute (mp|[r12,T2]|ii) ---*/
   hrr1_build_mp(Libr12->ShellQuartet.AB,int_stack+2569462, int_stack+0, int_stack+1273760, 784);
 /*--- compute (ld|[r12,T2]|ii) ---*/
   hrr1_build_ld(Libr12->ShellQuartet.AB,int_stack+2698822, int_stack+2569462, int_stack+1917876, 784);
 /*--- compute (kf|[r12,T2]|ii) ---*/
   hrr1_build_kf(Libr12->ShellQuartet.AB,int_stack+2910502, int_stack+2698822, int_stack+2023716, 784);
 /*--- compute (ig|[r12,T2]|ii) ---*/
   hrr1_build_ig(Libr12->ShellQuartet.AB,int_stack+3192742, int_stack+2910502, int_stack+2193060, 784);
 /*--- compute (q0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1917876, int_stack+667723, int_stack+665175, 91);
 /*--- compute (q0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1925520, int_stack+670999, int_stack+667723, 91);
 /*--- compute (q0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1935348, int_stack+1925520, int_stack+1917876, 91);
 /*--- compute (q0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1950636, int_stack+675094, int_stack+670999, 91);
 /*--- compute (q0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1962921, int_stack+1950636, int_stack+1925520, 91);
 /*--- compute (q0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1982577, int_stack+1962921, int_stack+1935348, 91);
 /*--- compute (q0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+2008057, int_stack+680099, int_stack+675094, 91);
 /*--- compute (q0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+2023072, int_stack+2008057, int_stack+1950636, 91);
 /*--- compute (q0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+2047642, int_stack+2023072, int_stack+1962921, 91);
 /*--- compute (q0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+2080402, int_stack+2047642, int_stack+1982577, 91);
 /*--- compute (q0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+2118622, int_stack+686105, int_stack+680099, 91);
 /*--- compute (q0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+2136640, int_stack+2118622, int_stack+2008057, 91);
 /*--- compute (q0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+2166670, int_stack+2136640, int_stack+2023072, 91);
 /*--- compute (q0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+2207620, int_stack+2166670, int_stack+2047642, 91);
 /*--- compute (q0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+2256760, int_stack+2207620, int_stack+2080402, 91);
 /*--- compute (o0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+2310268, int_stack+658077, int_stack+651993, 78);
 /*--- compute (o0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+2328520, int_stack+2310268, int_stack+1634789, 78);
 /*--- compute (o0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+2359408, int_stack+2328520, int_stack+1111400, 78);
 /*--- compute (o0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+747348, int_stack+2359408, int_stack+887626, 78);
 /*--- compute (o0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+822220, int_stack+747348, int_stack+1316880, 78);
 /*--- compute (o0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2402308, int_stack+93954, int_stack+91770, int_stack+636237, int_stack+665175, int_stack+634053, 11, 0);
 /*--- compute (o0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+51744, int_stack+96762, int_stack+93954, int_stack+639045, int_stack+667723, int_stack+636237, 11, 0);
 /*--- compute (o0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+60168, int_stack+51744, int_stack+2402308, int_stack+1530113, int_stack+1917876, int_stack+1523561, 11, 0);
 /*--- compute (o0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+73272, int_stack+100272, int_stack+96762, int_stack+642555, int_stack+670999, int_stack+639045, 11, 0);
 /*--- compute (o0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1249802, int_stack+73272, int_stack+51744, int_stack+1551641, int_stack+1925520, int_stack+1530113, 11, 0);
 /*--- compute (o0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1266650, int_stack+1249802, int_stack+60168, int_stack+1562171, int_stack+1935348, int_stack+1538537, 11, 0);
 /*--- compute (o0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+51744, int_stack+104562, int_stack+100272, int_stack+646845, int_stack+675094, int_stack+642555, 11, 0);
 /*--- compute (o0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1523561, int_stack+51744, int_stack+73272, int_stack+1600859, int_stack+1950636, int_stack+1551641, 11, 0);
 /*--- compute (o0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+64614, int_stack+1523561, int_stack+1249802, int_stack+1613729, int_stack+1962921, int_stack+1562171, 11, 0);
 /*--- compute (o0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1544621, int_stack+64614, int_stack+1266650, int_stack+1050560, int_stack+1982577, int_stack+1579019, 11, 0);
 /*--- compute (o0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1249802, int_stack+109710, int_stack+104562, int_stack+651993, int_stack+680099, int_stack+646845, 11, 0);
 /*--- compute (o0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1265246, int_stack+1249802, int_stack+51744, int_stack+1634789, int_stack+2008057, int_stack+1600859, 11, 0);
 /*--- compute (o0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1577381, int_stack+1265246, int_stack+1523561, int_stack+1111400, int_stack+2023072, int_stack+1613729, 11, 0);
 /*--- compute (o0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1650233, int_stack+1577381, int_stack+64614, int_stack+887626, int_stack+2047642, int_stack+1050560, 11, 0);
 /*--- compute (o0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+51744, int_stack+1650233, int_stack+1544621, int_stack+1316880, int_stack+2080402, int_stack+1078640, 11, 0);
 /*--- compute (o0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1050560, int_stack+115794, int_stack+109710, int_stack+658077, int_stack+686105, int_stack+651993, 11, 0);
 /*--- compute (o0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1068812, int_stack+1050560, int_stack+1249802, int_stack+2310268, int_stack+2118622, int_stack+1634789, 11, 0);
 /*--- compute (o0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1523561, int_stack+1068812, int_stack+1265246, int_stack+2328520, int_stack+2136640, int_stack+1111400, 11, 0);
 /*--- compute (o0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1249802, int_stack+1523561, int_stack+1577381, int_stack+2359408, int_stack+2166670, int_stack+887626, 11, 0);
 /*--- compute (o0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1523561, int_stack+1249802, int_stack+1650233, int_stack+747348, int_stack+2207620, int_stack+1316880, 11, 0);
 /*--- compute (o0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1249802, int_stack+1523561, int_stack+51744, int_stack+822220, int_stack+2256760, int_stack+701484, 11, 0);
 /*--- compute (np|[r12,T2]|ii) ---*/
   hrr1_build_np(Libr12->ShellQuartet.AB,int_stack+1523561, int_stack+1249802, int_stack+0, 784);
 /*--- compute (md|[r12,T2]|ii) ---*/
   hrr1_build_md(Libr12->ShellQuartet.AB,int_stack+3522022, int_stack+1523561, int_stack+2569462, 784);
 /*--- compute (lf|[r12,T2]|ii) ---*/
   hrr1_build_lf(Libr12->ShellQuartet.AB,int_stack+3780742, int_stack+3522022, int_stack+2698822, 784);
 /*--- compute (kg|[r12,T2]|ii) ---*/
   hrr1_build_kg(Libr12->ShellQuartet.AB,int_stack+4133542, int_stack+3780742, int_stack+2910502, 784);
 /*--- compute (ih|[r12,T2]|ii) ---*/
   hrr1_build_ih(Libr12->ShellQuartet.AB,int_stack+2569462, int_stack+4133542, int_stack+3192742, 784);
 /*--- compute (r0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+3030454, int_stack+128380, int_stack+122892, 105);
 /*--- compute (r0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3039274, int_stack+135436, int_stack+128380, 105);
 /*--- compute (r0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+3050614, int_stack+3039274, int_stack+3030454, 105);
 /*--- compute (r0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+3068254, int_stack+144256, int_stack+135436, 105);
 /*--- compute (r0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+3082429, int_stack+3068254, int_stack+3039274, 105);
 /*--- compute (r0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+3105109, int_stack+3082429, int_stack+3050614, 105);
 /*--- compute (r0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+3134509, int_stack+155036, int_stack+144256, 105);
 /*--- compute (r0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+3151834, int_stack+3134509, int_stack+3068254, 105);
 /*--- compute (r0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+3180184, int_stack+3151834, int_stack+3082429, 105);
 /*--- compute (r0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+3217984, int_stack+3180184, int_stack+3105109, 105);
 /*--- compute (r0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+3262084, int_stack+167972, int_stack+155036, 105);
 /*--- compute (r0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+3282874, int_stack+3262084, int_stack+3134509, 105);
 /*--- compute (r0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+3317524, int_stack+3282874, int_stack+3151834, 105);
 /*--- compute (r0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+3364774, int_stack+3317524, int_stack+3180184, 105);
 /*--- compute (r0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+3421474, int_stack+3364774, int_stack+3217984, 105);
 /*--- compute (q0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+3483214, int_stack+693203, int_stack+686105, 91);
 /*--- compute (q0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+3483214, int_stack+2118622, 91);
 /*--- compute (q0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+36036, int_stack+0, int_stack+2136640, 91);
 /*--- compute (q0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+1678793, int_stack+36036, int_stack+2166670, 91);
 /*--- compute (q0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+1050560, int_stack+1678793, int_stack+2207620, 91);
 /*--- compute (q0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3504508, int_stack+132160, int_stack+125832, int_stack+667723, int_stack+122892, int_stack+665175, 12, 0);
 /*--- compute (q0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3512152, int_stack+140161, int_stack+132160, int_stack+670999, int_stack+128380, int_stack+667723, 12, 0);
 /*--- compute (q0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+86086, int_stack+3512152, int_stack+3504508, int_stack+1925520, int_stack+3030454, int_stack+1917876, 12, 0);
 /*--- compute (q0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+101374, int_stack+150031, int_stack+140161, int_stack+675094, int_stack+135436, int_stack+670999, 12, 0);
 /*--- compute (q0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+113659, int_stack+101374, int_stack+3512152, int_stack+1950636, int_stack+3039274, int_stack+1925520, 12, 0);
 /*--- compute (q0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1310954, int_stack+113659, int_stack+86086, int_stack+1962921, int_stack+3050614, int_stack+1935348, 12, 0);
 /*--- compute (q0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+86086, int_stack+161966, int_stack+150031, int_stack+680099, int_stack+144256, int_stack+675094, 12, 0);
 /*--- compute (q0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1917876, int_stack+86086, int_stack+101374, int_stack+2008057, int_stack+3068254, int_stack+1950636, 12, 0);
 /*--- compute (q0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3030454, int_stack+1917876, int_stack+113659, int_stack+2023072, int_stack+3082429, int_stack+1962921, 12, 0);
 /*--- compute (q0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+101101, int_stack+3030454, int_stack+1310954, int_stack+2047642, int_stack+3105109, int_stack+1982577, 12, 0);
 /*--- compute (q0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1310954, int_stack+176162, int_stack+161966, int_stack+686105, int_stack+155036, int_stack+680099, 12, 0);
 /*--- compute (q0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1328972, int_stack+1310954, int_stack+86086, int_stack+2118622, int_stack+3134509, int_stack+2008057, 12, 0);
 /*--- compute (q0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1942446, int_stack+1328972, int_stack+1917876, int_stack+2136640, int_stack+3151834, int_stack+2023072, 12, 0);
 /*--- compute (q0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1983396, int_stack+1942446, int_stack+3030454, int_stack+2166670, int_stack+3180184, int_stack+2047642, 12, 0);
 /*--- compute (q0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3030454, int_stack+1983396, int_stack+101101, int_stack+2207620, int_stack+3217984, int_stack+2080402, 12, 0);
 /*--- compute (q0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3083962, int_stack+183260, int_stack+176162, int_stack+693203, int_stack+167972, int_stack+686105, 12, 0);
 /*--- compute (q0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3105256, int_stack+3083962, int_stack+1310954, int_stack+3483214, int_stack+3262084, int_stack+2118622, 12, 0);
 /*--- compute (q0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3141292, int_stack+3105256, int_stack+1328972, int_stack+0, int_stack+3282874, int_stack+2136640, 12, 0);
 /*--- compute (q0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1310954, int_stack+3141292, int_stack+1942446, int_stack+36036, int_stack+3317524, int_stack+2166670, 12, 0);
 /*--- compute (q0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+1310954, int_stack+1983396, int_stack+1678793, int_stack+3364774, int_stack+2207620, 12, 0);
 /*--- compute (q0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+68796, int_stack+0, int_stack+3030454, int_stack+1050560, int_stack+3421474, int_stack+2256760, 12, 0);
 /*--- compute (op|[r12,T2]|ii) ---*/
   hrr1_build_op(Libr12->ShellQuartet.AB,int_stack+3030454, int_stack+68796, int_stack+1249802, 784);
 /*--- compute (nd|[r12,T2]|ii) ---*/
   hrr1_build_nd(Libr12->ShellQuartet.AB,int_stack+1917876, int_stack+3030454, int_stack+1523561, 784);
 /*--- compute (mf|[r12,T2]|ii) ---*/
   hrr1_build_mf(Libr12->ShellQuartet.AB,int_stack+3030454, int_stack+1917876, int_stack+3522022, 784);
 /*--- compute (lg|[r12,T2]|ii) ---*/
   hrr1_build_lg(Libr12->ShellQuartet.AB,int_stack+4556902, int_stack+3030454, int_stack+3780742, 784);
 /*--- compute (kh|[r12,T2]|ii) ---*/
   hrr1_build_kh(Libr12->ShellQuartet.AB,int_stack+3030454, int_stack+4556902, int_stack+4133542, 784);
 /*--- compute (i0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+3623158, int_stack+1029392, int_stack+805756, 28);
 /*--- compute (k0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+3645110, int_stack+1222586, int_stack+956284, 36);
 /*--- compute (ip|ii) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+3673334, int_stack+3645110, int_stack+3623158, 784);
 /*--- compute (l0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+3739190, int_stack+1489541, int_stack+1137770, 45);
 /*--- compute (kp|ii) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+3774470, int_stack+3739190, int_stack+3645110, 784);
 /*--- compute (id|ii) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+3859142, int_stack+3774470, int_stack+3673334, 784);
 /*--- compute (m0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+3990854, int_stack+1876296, int_stack+1373726, 55);
 /*--- compute (lp|ii) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+4033974, int_stack+3990854, int_stack+3739190, 784);
 /*--- compute (kd|ii) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+4139814, int_stack+4033974, int_stack+3774470, 784);
 /*--- compute (if|ii) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+4309158, int_stack+4139814, int_stack+3859142, 784);
 /*--- compute (n0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+4528678, int_stack+2519566, int_stack+1748333, 66);
 /*--- compute (mp|ii) ---*/
   hrr1_build_mp(Libr12->ShellQuartet.AB,int_stack+4580422, int_stack+4528678, int_stack+3990854, 784);
 /*--- compute (ld|ii) ---*/
   hrr1_build_ld(Libr12->ShellQuartet.AB,int_stack+4709782, int_stack+4580422, int_stack+4033974, 784);
 /*--- compute (kf|ii) ---*/
   hrr1_build_kf(Libr12->ShellQuartet.AB,int_stack+1917876, int_stack+4709782, int_stack+4139814, 784);
 /*--- compute (ig|ii) ---*/
   hrr1_build_ig(Libr12->ShellQuartet.AB,int_stack+4921462, int_stack+1917876, int_stack+4309158, 784);
 /*--- compute (o0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+1523561, int_stack+822220, int_stack+701484, 78);
 /*--- compute (np|ii) ---*/
   hrr1_build_np(Libr12->ShellQuartet.AB,int_stack+1584713, int_stack+1523561, int_stack+4528678, 784);
 /*--- compute (md|ii) ---*/
   hrr1_build_md(Libr12->ShellQuartet.AB,int_stack+5250742, int_stack+1584713, int_stack+4580422, 784);
 /*--- compute (lf|ii) ---*/
   hrr1_build_lf(Libr12->ShellQuartet.AB,int_stack+5509462, int_stack+5250742, int_stack+4709782, 784);
 /*--- compute (kg|ii) ---*/
   hrr1_build_kg(Libr12->ShellQuartet.AB,int_stack+5862262, int_stack+5509462, int_stack+1917876, 784);
 /*--- compute (ih|ii) ---*/
   hrr1_build_ih(Libr12->ShellQuartet.AB,int_stack+6285622, int_stack+5862262, int_stack+4921462, 784);
 /*--- compute (i0|qp) ---*/
   hrr3_build_qp(Libr12->ShellQuartet.CD,int_stack+2200116, int_stack+191541, int_stack+550907, 28);
 /*--- compute (i0|od) ---*/
   hrr3_build_od(Libr12->ShellQuartet.CD,int_stack+2207760, int_stack+2200116, int_stack+977452, 28);
 /*--- compute (i0|nf) ---*/
   hrr3_build_nf(Libr12->ShellQuartet.CD,int_stack+2220864, int_stack+2207760, int_stack+984004, 28);
 /*--- compute (i0|mg) ---*/
   hrr3_build_mg(Libr12->ShellQuartet.CD,int_stack+1739945, int_stack+2220864, int_stack+995092, 28);
 /*--- compute (i0|lh) ---*/
   hrr3_build_lh(Libr12->ShellQuartet.CD,int_stack+2200116, int_stack+1739945, int_stack+1010492, 28);
 /*--- compute (i0|ki) ---*/
   hrr3_build_ki(Libr12->ShellQuartet.CD,int_stack+1739945, int_stack+2200116, int_stack+1029392, 28);
 /*--- compute (k0|qp) ---*/
   hrr3_build_qp(Libr12->ShellQuartet.CD,int_stack+2200116, int_stack+205653, int_stack+564543, 36);
 /*--- compute (k0|od) ---*/
   hrr3_build_od(Libr12->ShellQuartet.CD,int_stack+2209944, int_stack+2200116, int_stack+542283, 36);
 /*--- compute (k0|nf) ---*/
   hrr3_build_nf(Libr12->ShellQuartet.CD,int_stack+542283, int_stack+2209944, int_stack+1164230, 36);
 /*--- compute (k0|mg) ---*/
   hrr3_build_mg(Libr12->ShellQuartet.CD,int_stack+2200116, int_stack+542283, int_stack+1178486, 36);
 /*--- compute (k0|lh) ---*/
   hrr3_build_lh(Libr12->ShellQuartet.CD,int_stack+1249802, int_stack+2200116, int_stack+1198286, 36);
 /*--- compute (k0|ki) ---*/
   hrr3_build_ki(Libr12->ShellQuartet.CD,int_stack+2200116, int_stack+1249802, int_stack+1222586, 36);
 /*--- compute (ip|ki) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+0, int_stack+2200116, int_stack+1739945, 1008);
 /*--- compute (l0|qp) ---*/
   hrr3_build_qp(Libr12->ShellQuartet.CD,int_stack+2236404, int_stack+223797, int_stack+581679, 45);
 /*--- compute (l0|od) ---*/
   hrr3_build_od(Libr12->ShellQuartet.CD,int_stack+542283, int_stack+2236404, int_stack+1406066, 45);
 /*--- compute (l0|nf) ---*/
   hrr3_build_nf(Libr12->ShellQuartet.CD,int_stack+84672, int_stack+542283, int_stack+1416596, 45);
 /*--- compute (l0|mg) ---*/
   hrr3_build_mg(Libr12->ShellQuartet.CD,int_stack+114372, int_stack+84672, int_stack+1434416, 45);
 /*--- compute (l0|lh) ---*/
   hrr3_build_lh(Libr12->ShellQuartet.CD,int_stack+151497, int_stack+114372, int_stack+1459166, 45);
 /*--- compute (l0|ki) ---*/
   hrr3_build_ki(Libr12->ShellQuartet.CD,int_stack+84672, int_stack+151497, int_stack+1489541, 45);
 /*--- compute (kp|ki) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+1119356, int_stack+84672, int_stack+2200116, 1008);
 /*--- compute (id|ki) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+1228220, int_stack+1119356, int_stack+0, 1008);
 /*--- compute (m0|qp) ---*/
   hrr3_build_qp(Libr12->ShellQuartet.CD,int_stack+130032, int_stack+246477, int_stack+602714, 55);
 /*--- compute (m0|od) ---*/
   hrr3_build_od(Libr12->ShellQuartet.CD,int_stack+145047, int_stack+130032, int_stack+567819, 55);
 /*--- compute (m0|nf) ---*/
   hrr3_build_nf(Libr12->ShellQuartet.CD,int_stack+542283, int_stack+145047, int_stack+1787141, 55);
 /*--- compute (m0|mg) ---*/
   hrr3_build_mg(Libr12->ShellQuartet.CD,int_stack+130032, int_stack+542283, int_stack+1808921, 55);
 /*--- compute (m0|lh) ---*/
   hrr3_build_lh(Libr12->ShellQuartet.CD,int_stack+542283, int_stack+130032, int_stack+1839171, 55);
 /*--- compute (m0|ki) ---*/
   hrr3_build_ki(Libr12->ShellQuartet.CD,int_stack+130032, int_stack+542283, int_stack+1876296, 55);
 /*--- compute (lp|ki) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+1768169, int_stack+130032, int_stack+84672, 1008);
 /*--- compute (kd|ki) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+6746614, int_stack+1768169, int_stack+1119356, 1008);
 /*--- compute (if|ki) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+6964342, int_stack+6746614, int_stack+1228220, 1008);
 /*--- compute (n0|qp) ---*/
   hrr3_build_qp(Libr12->ShellQuartet.CD,int_stack+542283, int_stack+274197, int_stack+628047, 66);
 /*--- compute (n0|od) ---*/
   hrr3_build_od(Libr12->ShellQuartet.CD,int_stack+560301, int_stack+542283, int_stack+922726, 66);
 /*--- compute (n0|nf) ---*/
   hrr3_build_nf(Libr12->ShellQuartet.CD,int_stack+591189, int_stack+560301, int_stack+2412580, 66);
 /*--- compute (n0|mg) ---*/
   hrr3_build_mg(Libr12->ShellQuartet.CD,int_stack+665175, int_stack+591189, int_stack+2438716, 66);
 /*--- compute (n0|lh) ---*/
   hrr3_build_lh(Libr12->ShellQuartet.CD,int_stack+542283, int_stack+665175, int_stack+2475016, 66);
 /*--- compute (n0|ki) ---*/
   hrr3_build_ki(Libr12->ShellQuartet.CD,int_stack+665175, int_stack+542283, int_stack+2519566, 66);
 /*--- compute (mp|ki) ---*/
   hrr1_build_mp(Libr12->ShellQuartet.AB,int_stack+2402308, int_stack+665175, int_stack+130032, 1008);
 /*--- compute (ld|ki) ---*/
   hrr1_build_ld(Libr12->ShellQuartet.AB,int_stack+7246582, int_stack+2402308, int_stack+1768169, 1008);
 /*--- compute (kf|ki) ---*/
   hrr1_build_kf(Libr12->ShellQuartet.AB,int_stack+7518742, int_stack+7246582, int_stack+6746614, 1008);
 /*--- compute (ig|ki) ---*/
   hrr1_build_ig(Libr12->ShellQuartet.AB,int_stack+7881622, int_stack+7518742, int_stack+6964342, 1008);
 /*--- compute (o0|qp) ---*/
   hrr3_build_qp(Libr12->ShellQuartet.CD,int_stack+542283, int_stack+307461, int_stack+658077, 78);
 /*--- compute (o0|od) ---*/
   hrr3_build_od(Libr12->ShellQuartet.CD,int_stack+563577, int_stack+542283, int_stack+2310268, 78);
 /*--- compute (o0|nf) ---*/
   hrr3_build_nf(Libr12->ShellQuartet.CD,int_stack+600081, int_stack+563577, int_stack+2328520, 78);
 /*--- compute (o0|mg) ---*/
   hrr3_build_mg(Libr12->ShellQuartet.CD,int_stack+1397564, int_stack+600081, int_stack+2359408, 78);
 /*--- compute (o0|lh) ---*/
   hrr3_build_lh(Libr12->ShellQuartet.CD,int_stack+2310268, int_stack+1397564, int_stack+747348, 78);
 /*--- compute (o0|ki) ---*/
   hrr3_build_ki(Libr12->ShellQuartet.CD,int_stack+1397564, int_stack+2310268, int_stack+822220, 78);
 /*--- compute (np|ki) ---*/
   hrr1_build_np(Libr12->ShellQuartet.AB,int_stack+731703, int_stack+1397564, int_stack+665175, 1008);
 /*--- compute (md|ki) ---*/
   hrr1_build_md(Libr12->ShellQuartet.AB,int_stack+8304982, int_stack+731703, int_stack+2402308, 1008);
 /*--- compute (lf|ki) ---*/
   hrr1_build_lf(Libr12->ShellQuartet.AB,int_stack+8637622, int_stack+8304982, int_stack+7246582, 1008);
 /*--- compute (kg|ki) ---*/
   hrr1_build_kg(Libr12->ShellQuartet.AB,int_stack+9091222, int_stack+8637622, int_stack+7518742, 1008);
 /*--- compute (ih|ki) ---*/
   hrr1_build_ih(Libr12->ShellQuartet.AB,int_stack+9635542, int_stack+9091222, int_stack+7881622, 1008);
 /*--- compute (q0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+2310268, int_stack+1050560, int_stack+2256760, 91);
 /*--- compute (op|ii) ---*/
   hrr1_build_op(Libr12->ShellQuartet.AB,int_stack+931287, int_stack+2310268, int_stack+1523561, 784);
 /*--- compute (nd|ii) ---*/
   hrr1_build_nd(Libr12->ShellQuartet.AB,int_stack+10228246, int_stack+931287, int_stack+1584713, 784);
 /*--- compute (mf|ii) ---*/
   hrr1_build_mf(Libr12->ShellQuartet.AB,int_stack+10538710, int_stack+10228246, int_stack+5250742, 784);
 /*--- compute (lg|ii) ---*/
   hrr1_build_lg(Libr12->ShellQuartet.AB,int_stack+10969910, int_stack+10538710, int_stack+5509462, 784);
 /*--- compute (kh|ii) ---*/
   hrr1_build_kh(Libr12->ShellQuartet.AB,int_stack+11499110, int_stack+10969910, int_stack+5862262, 784);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2381612, int_stack+195265, int_stack+194481, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+2383964, int_stack+196273, int_stack+195265, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+2386988, int_stack+2383964, int_stack+2381612, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+205653, int_stack+197533, int_stack+196273, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+2391692, int_stack+205653, int_stack+2383964, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1476188, int_stack+2391692, int_stack+2386988, 28);
 /*--- compute (i0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+2381612, int_stack+199073, int_stack+197533, 28);
 /*--- compute (i0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1484028, int_stack+2381612, int_stack+205653, 28);
 /*--- compute (i0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1491588, int_stack+1484028, int_stack+2391692, 28);
 /*--- compute (i0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+2386232, int_stack+1491588, int_stack+1476188, 28);
 /*--- compute (i0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1476188, int_stack+200921, int_stack+199073, 28);
 /*--- compute (i0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1501668, int_stack+1476188, int_stack+2381612, 28);
 /*--- compute (i0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1510908, int_stack+1501668, int_stack+1484028, 28);
 /*--- compute (i0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+542283, int_stack+1510908, int_stack+1491588, 28);
 /*--- compute (i0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1481732, int_stack+542283, int_stack+2386232, 28);
 /*--- compute (i0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+2381612, int_stack+203105, int_stack+200921, 28);
 /*--- compute (i0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+2388164, int_stack+2381612, int_stack+1476188, 28);
 /*--- compute (i0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+557403, int_stack+2388164, int_stack+1501668, 28);
 /*--- compute (i0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+2381612, int_stack+557403, int_stack+1510908, 28);
 /*--- compute (i0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+557403, int_stack+2381612, int_stack+542283, 28);
 /*--- compute (i0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+578571, int_stack+557403, int_stack+1481732, 28);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+542283, int_stack+210441, int_stack+209433, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+545307, int_stack+211737, int_stack+210441, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+549195, int_stack+545307, int_stack+542283, 36);
 /*--- compute (k0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+555243, int_stack+213357, int_stack+211737, 36);
 /*--- compute (k0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+560103, int_stack+555243, int_stack+545307, 36);
 /*--- compute (k0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+567879, int_stack+560103, int_stack+549195, 36);
 /*--- compute (k0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+542283, int_stack+215337, int_stack+213357, 36);
 /*--- compute (k0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+2381612, int_stack+542283, int_stack+555243, 36);
 /*--- compute (k0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+600523, int_stack+2381612, int_stack+560103, 36);
 /*--- compute (k0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+548223, int_stack+600523, int_stack+567879, 36);
 /*--- compute (k0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+563343, int_stack+217713, int_stack+215337, 36);
 /*--- compute (k0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+613483, int_stack+563343, int_stack+542283, 36);
 /*--- compute (k0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+625363, int_stack+613483, int_stack+2381612, 36);
 /*--- compute (k0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+2381612, int_stack+625363, int_stack+600523, 36);
 /*--- compute (k0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+641563, int_stack+2381612, int_stack+548223, 36);
 /*--- compute (k0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+600523, int_stack+220521, int_stack+217713, 36);
 /*--- compute (k0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+542283, int_stack+600523, int_stack+563343, 36);
 /*--- compute (k0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+556539, int_stack+542283, int_stack+613483, 36);
 /*--- compute (k0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+600523, int_stack+556539, int_stack+625363, 36);
 /*--- compute (k0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+542283, int_stack+600523, int_stack+2381612, 36);
 /*--- compute (k0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+600523, int_stack+542283, int_stack+641563, 36);
 /*--- compute (ip|[r12,T1]|ii) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+2236404, int_stack+600523, int_stack+578571, int_stack+3645110, int_stack+1739945, int_stack+3623158, 6, 6);
 /*--- compute (l0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+3623158, int_stack+229782, int_stack+228522, 45);
 /*--- compute (l0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3626938, int_stack+231402, int_stack+229782, 45);
 /*--- compute (l0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+3631798, int_stack+3626938, int_stack+3623158, 45);
 /*--- compute (l0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1739945, int_stack+233427, int_stack+231402, 45);
 /*--- compute (l0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1746020, int_stack+1739945, int_stack+3626938, 45);
 /*--- compute (l0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+542283, int_stack+1746020, int_stack+3631798, 45);
 /*--- compute (l0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+3623158, int_stack+235902, int_stack+233427, 45);
 /*--- compute (l0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+3630583, int_stack+3623158, int_stack+1739945, 45);
 /*--- compute (l0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+554883, int_stack+3630583, int_stack+1746020, 45);
 /*--- compute (l0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1739945, int_stack+554883, int_stack+542283, 45);
 /*--- compute (l0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+542283, int_stack+238872, int_stack+235902, 45);
 /*--- compute (l0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+571083, int_stack+542283, int_stack+3623158, 45);
 /*--- compute (l0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+2381612, int_stack+571083, int_stack+3630583, 45);
 /*--- compute (l0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+628747, int_stack+2381612, int_stack+554883, 45);
 /*--- compute (l0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1476188, int_stack+628747, int_stack+1739945, 45);
 /*--- compute (l0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+1739945, int_stack+242382, int_stack+238872, 45);
 /*--- compute (l0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+3623158, int_stack+1739945, int_stack+542283, 45);
 /*--- compute (l0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+542283, int_stack+3623158, int_stack+571083, 45);
 /*--- compute (l0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+567033, int_stack+542283, int_stack+2381612, 45);
 /*--- compute (l0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+185472, int_stack+567033, int_stack+628747, 45);
 /*--- compute (l0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+628747, int_stack+185472, int_stack+1476188, 45);
 /*--- compute (kp|[r12,T1]|ii) ---*/
   t1hrr1_build_kp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+12091814, int_stack+628747, int_stack+600523, int_stack+3739190, int_stack+2200116, int_stack+3645110, 6, 6);
 /*--- compute (id|[r12,T1]|ii) ---*/
   t1hrr1_build_id(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+12176486, int_stack+12091814, int_stack+2236404, int_stack+3774470, int_stack+0, int_stack+3673334, 6, 6);
 /*--- compute (m0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+253792, int_stack+252252, 55);
 /*--- compute (m0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+4620, int_stack+255772, int_stack+253792, 55);
 /*--- compute (m0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+10560, int_stack+4620, int_stack+0, 55);
 /*--- compute (m0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+19800, int_stack+258247, int_stack+255772, 55);
 /*--- compute (m0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+27225, int_stack+19800, int_stack+4620, 55);
 /*--- compute (m0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+39105, int_stack+27225, int_stack+10560, 55);
 /*--- compute (m0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+261272, int_stack+258247, 55);
 /*--- compute (m0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+54505, int_stack+0, int_stack+19800, 55);
 /*--- compute (m0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+2200116, int_stack+54505, int_stack+27225, 55);
 /*--- compute (m0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+9075, int_stack+2200116, int_stack+39105, 55);
 /*--- compute (m0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+32175, int_stack+264902, int_stack+261272, 55);
 /*--- compute (m0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+2219916, int_stack+32175, int_stack+0, 55);
 /*--- compute (m0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+2238066, int_stack+2219916, int_stack+54505, 55);
 /*--- compute (m0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+43065, int_stack+2238066, int_stack+2200116, 55);
 /*--- compute (m0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+2262816, int_stack+43065, int_stack+9075, 55);
 /*--- compute (m0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+2200116, int_stack+269192, int_stack+264902, 55);
 /*--- compute (m0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+2200116, int_stack+32175, 55);
 /*--- compute (m0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+1476188, int_stack+0, int_stack+2219916, 55);
 /*--- compute (m0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+0, int_stack+1476188, int_stack+2238066, 55);
 /*--- compute (m0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+1476188, int_stack+0, int_stack+43065, 55);
 /*--- compute (m0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+0, int_stack+1476188, int_stack+2262816, 55);
 /*--- compute (lp|[r12,T1]|ii) ---*/
   t1hrr1_build_lp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+2200116, int_stack+0, int_stack+628747, int_stack+3990854, int_stack+84672, int_stack+3739190, 6, 6);
 /*--- compute (kd|[r12,T1]|ii) ---*/
   t1hrr1_build_kd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+12308198, int_stack+2200116, int_stack+12091814, int_stack+4033974, int_stack+1119356, int_stack+3774470, 6, 6);
 /*--- compute (if|[r12,T1]|ii) ---*/
   t1hrr1_build_if(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+3623158, int_stack+12308198, int_stack+12176486, int_stack+4139814, int_stack+1228220, int_stack+3859142, 6, 6);
 /*--- compute (n0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+12091814, int_stack+282975, int_stack+281127, 66);
 /*--- compute (n0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+12097358, int_stack+285351, int_stack+282975, 66);
 /*--- compute (n0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+12104486, int_stack+12097358, int_stack+12091814, 66);
 /*--- compute (n0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+12115574, int_stack+288321, int_stack+285351, 66);
 /*--- compute (n0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+12124484, int_stack+12115574, int_stack+12097358, 66);
 /*--- compute (n0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+12138740, int_stack+12124484, int_stack+12104486, 66);
 /*--- compute (n0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+12091814, int_stack+291951, int_stack+288321, 66);
 /*--- compute (n0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+12157220, int_stack+12091814, int_stack+12115574, 66);
 /*--- compute (n0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+12175040, int_stack+12157220, int_stack+12124484, 66);
 /*--- compute (n0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+12102704, int_stack+12175040, int_stack+12138740, 66);
 /*--- compute (n0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+12130424, int_stack+296307, int_stack+291951, 66);
 /*--- compute (n0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+12198800, int_stack+12130424, int_stack+12091814, 66);
 /*--- compute (n0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+12220580, int_stack+12198800, int_stack+12157220, 66);
 /*--- compute (n0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+12250280, int_stack+12220580, int_stack+12175040, 66);
 /*--- compute (n0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+12143492, int_stack+12250280, int_stack+12102704, 66);
 /*--- compute (n0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+12091814, int_stack+301455, int_stack+296307, 66);
 /*--- compute (n0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+1476188, int_stack+12091814, int_stack+12130424, 66);
 /*--- compute (n0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+12091814, int_stack+1476188, int_stack+12198800, 66);
 /*--- compute (n0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+1476188, int_stack+12091814, int_stack+12220580, 66);
 /*--- compute (n0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+12091814, int_stack+1476188, int_stack+12250280, 66);
 /*--- compute (n0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+12182300, int_stack+12091814, int_stack+12143492, 66);
 /*--- compute (mp|[r12,T1]|ii) ---*/
   t1hrr1_build_mp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+185472, int_stack+12182300, int_stack+0, int_stack+4528678, int_stack+130032, int_stack+3990854, 6, 6);
 /*--- compute (ld|[r12,T1]|ii) ---*/
   t1hrr1_build_ld(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1114743, int_stack+185472, int_stack+2200116, int_stack+4580422, int_stack+1768169, int_stack+4033974, 6, 6);
 /*--- compute (kf|[r12,T1]|ii) ---*/
   t1hrr1_build_kf(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+3842678, int_stack+1114743, int_stack+12308198, int_stack+4709782, int_stack+6746614, int_stack+4139814, 6, 6);
 /*--- compute (ig|[r12,T1]|ii) ---*/
   t1hrr1_build_ig(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+12234044, int_stack+3842678, int_stack+3623158, int_stack+1917876, int_stack+6964342, int_stack+4309158, 6, 6);
 /*--- compute (o0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+3623158, int_stack+317835, int_stack+315651, 78);
 /*--- compute (o0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3629710, int_stack+320643, int_stack+317835, 78);
 /*--- compute (o0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+3638134, int_stack+3629710, int_stack+3623158, 78);
 /*--- compute (o0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+3651238, int_stack+324153, int_stack+320643, 78);
 /*--- compute (o0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+3661768, int_stack+3651238, int_stack+3629710, 78);
 /*--- compute (o0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+3678616, int_stack+3661768, int_stack+3638134, 78);
 /*--- compute (o0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+3623158, int_stack+328443, int_stack+324153, 78);
 /*--- compute (o0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+3700456, int_stack+3623158, int_stack+3651238, 78);
 /*--- compute (o0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+3721516, int_stack+3700456, int_stack+3661768, 78);
 /*--- compute (o0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+3636028, int_stack+3721516, int_stack+3678616, 78);
 /*--- compute (o0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+3668788, int_stack+333591, int_stack+328443, 78);
 /*--- compute (o0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+3749596, int_stack+3668788, int_stack+3623158, 78);
 /*--- compute (o0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+3775336, int_stack+3749596, int_stack+3700456, 78);
 /*--- compute (o0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+6746614, int_stack+3775336, int_stack+3721516, 78);
 /*--- compute (o0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+3684232, int_stack+6746614, int_stack+3636028, 78);
 /*--- compute (o0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+3623158, int_stack+339675, int_stack+333591, 78);
 /*--- compute (o0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+3810436, int_stack+3623158, int_stack+3668788, 78);
 /*--- compute (o0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+3623158, int_stack+3810436, int_stack+3749596, 78);
 /*--- compute (o0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+6788734, int_stack+3623158, int_stack+3775336, 78);
 /*--- compute (o0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+3623158, int_stack+6788734, int_stack+6746614, 78);
 /*--- compute (o0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+6746614, int_stack+3623158, int_stack+3684232, 78);
 /*--- compute (np|[r12,T1]|ii) ---*/
   t1hrr1_build_np(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+3623158, int_stack+6746614, int_stack+12182300, int_stack+1523561, int_stack+665175, int_stack+4528678, 6, 6);
 /*--- compute (md|[r12,T1]|ii) ---*/
   t1hrr1_build_md(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+6807766, int_stack+3623158, int_stack+185472, int_stack+1584713, int_stack+2402308, int_stack+4580422, 6, 6);
 /*--- compute (lf|[r12,T1]|ii) ---*/
   t1hrr1_build_lf(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+4124918, int_stack+6807766, int_stack+1114743, int_stack+5250742, int_stack+7246582, int_stack+4709782, 6, 6);
 /*--- compute (kg|[r12,T1]|ii) ---*/
   t1hrr1_build_kg(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+7066486, int_stack+4124918, int_stack+3842678, int_stack+5509462, int_stack+7518742, int_stack+1917876, 6, 6);
 /*--- compute (ih|[r12,T1]|ii) ---*/
   t1hrr1_build_ih(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1739945, int_stack+7066486, int_stack+12234044, int_stack+5862262, int_stack+7881622, int_stack+4921462, 6, 6);
 /*--- compute (q0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1114743, int_stack+349321, int_stack+346773, 91);
 /*--- compute (q0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1122387, int_stack+352597, int_stack+349321, 91);
 /*--- compute (q0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1132215, int_stack+1122387, int_stack+1114743, 91);
 /*--- compute (q0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1147503, int_stack+356692, int_stack+352597, 91);
 /*--- compute (q0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1159788, int_stack+1147503, int_stack+1122387, 91);
 /*--- compute (q0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1179444, int_stack+1159788, int_stack+1132215, 91);
 /*--- compute (q0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+1114743, int_stack+361697, int_stack+356692, 91);
 /*--- compute (q0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1204924, int_stack+1114743, int_stack+1147503, 91);
 /*--- compute (q0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1229494, int_stack+1204924, int_stack+1159788, 91);
 /*--- compute (q0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1129758, int_stack+1229494, int_stack+1179444, 91);
 /*--- compute (q0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1167978, int_stack+367703, int_stack+361697, 91);
 /*--- compute (q0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1262254, int_stack+1167978, int_stack+1114743, 91);
 /*--- compute (q0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1292284, int_stack+1262254, int_stack+1204924, 91);
 /*--- compute (q0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1333234, int_stack+1292284, int_stack+1229494, 91);
 /*--- compute (q0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1185996, int_stack+1333234, int_stack+1129758, 91);
 /*--- compute (q0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+1114743, int_stack+374801, int_stack+367703, 91);
 /*--- compute (q0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+3778390, int_stack+1114743, int_stack+1167978, 91);
 /*--- compute (q0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+1114743, int_stack+3778390, int_stack+1262254, 91);
 /*--- compute (q0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+3778390, int_stack+1114743, int_stack+1292284, 91);
 /*--- compute (q0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+1114743, int_stack+3778390, int_stack+1333234, 91);
 /*--- compute (q0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+3778390, int_stack+1114743, int_stack+1185996, 91);
 /*--- compute (op|[r12,T1]|ii) ---*/
   t1hrr1_build_op(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1114743, int_stack+3778390, int_stack+6746614, int_stack+2310268, int_stack+1397564, int_stack+1523561, 6, 6);
 /*--- compute (nd|[r12,T1]|ii) ---*/
   t1hrr1_build_nd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+3778390, int_stack+1114743, int_stack+3623158, int_stack+931287, int_stack+731703, int_stack+1584713, 6, 6);
 /*--- compute (mf|[r12,T1]|ii) ---*/
   t1hrr1_build_mf(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+7489846, int_stack+3778390, int_stack+6807766, int_stack+10228246, int_stack+8304982, int_stack+5250742, 6, 6);
 /*--- compute (lg|[r12,T1]|ii) ---*/
   t1hrr1_build_lg(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+7921046, int_stack+7489846, int_stack+4124918, int_stack+10538710, int_stack+8637622, int_stack+5509462, 6, 6);
 /*--- compute (kh|[r12,T1]|ii) ---*/
   t1hrr1_build_kh(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+10228246, int_stack+7921046, int_stack+7066486, int_stack+10969910, int_stack+9091222, int_stack+5862262, 6, 6);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+10820950, int_stack+383866, int_stack+383082, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+10823302, int_stack+384874, int_stack+383866, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+10826326, int_stack+10823302, int_stack+10820950, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+10831030, int_stack+386134, int_stack+384874, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+10834810, int_stack+10831030, int_stack+10823302, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+10840858, int_stack+10834810, int_stack+10826326, 28);
 /*--- compute (i0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+10820950, int_stack+387674, int_stack+386134, 28);
 /*--- compute (i0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+10848698, int_stack+10820950, int_stack+10831030, 28);
 /*--- compute (i0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+10856258, int_stack+10848698, int_stack+10834810, 28);
 /*--- compute (i0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+10825570, int_stack+10856258, int_stack+10840858, 28);
 /*--- compute (i0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+10837330, int_stack+389522, int_stack+387674, 28);
 /*--- compute (i0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+10866338, int_stack+10837330, int_stack+10820950, 28);
 /*--- compute (i0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+10875578, int_stack+10866338, int_stack+10848698, 28);
 /*--- compute (i0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+10888178, int_stack+10875578, int_stack+10856258, 28);
 /*--- compute (i0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+10842874, int_stack+10888178, int_stack+10825570, 28);
 /*--- compute (i0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+10820950, int_stack+391706, int_stack+389522, 28);
 /*--- compute (i0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+10903298, int_stack+10820950, int_stack+10837330, 28);
 /*--- compute (i0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+10820950, int_stack+10903298, int_stack+10866338, 28);
 /*--- compute (i0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+10903298, int_stack+10820950, int_stack+10875578, 28);
 /*--- compute (i0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+10820950, int_stack+10903298, int_stack+10888178, 28);
 /*--- compute (i0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+10859338, int_stack+10820950, int_stack+10842874, 28);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+10820950, int_stack+395262, int_stack+394254, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+10823974, int_stack+396558, int_stack+395262, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+10827862, int_stack+10823974, int_stack+10820950, 36);
 /*--- compute (k0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+10833910, int_stack+398178, int_stack+396558, 36);
 /*--- compute (k0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+10838770, int_stack+10833910, int_stack+10823974, 36);
 /*--- compute (k0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+10846546, int_stack+10838770, int_stack+10827862, 36);
 /*--- compute (k0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+10820950, int_stack+400158, int_stack+398178, 36);
 /*--- compute (k0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+10881290, int_stack+10820950, int_stack+10833910, 36);
 /*--- compute (k0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+10891010, int_stack+10881290, int_stack+10838770, 36);
 /*--- compute (k0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+10826890, int_stack+10891010, int_stack+10846546, 36);
 /*--- compute (k0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+10842010, int_stack+402534, int_stack+400158, 36);
 /*--- compute (k0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+10903970, int_stack+10842010, int_stack+10820950, 36);
 /*--- compute (k0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+10915850, int_stack+10903970, int_stack+10881290, 36);
 /*--- compute (k0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+10932050, int_stack+10915850, int_stack+10891010, 36);
 /*--- compute (k0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+10881290, int_stack+10932050, int_stack+10826890, 36);
 /*--- compute (k0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+10820950, int_stack+405342, int_stack+402534, 36);
 /*--- compute (k0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+10951490, int_stack+10820950, int_stack+10842010, 36);
 /*--- compute (k0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+10820950, int_stack+10951490, int_stack+10903970, 36);
 /*--- compute (k0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+10951490, int_stack+10820950, int_stack+10915850, 36);
 /*--- compute (k0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+10820950, int_stack+10951490, int_stack+10932050, 36);
 /*--- compute (k0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+10902458, int_stack+10820950, int_stack+10881290, 36);
 /*--- compute (ip||ii) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+10930682, int_stack+10902458, int_stack+10859338, 784);
 /*--- compute (l0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+10820950, int_stack+409878, int_stack+408618, 45);
 /*--- compute (l0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+10824730, int_stack+411498, int_stack+409878, 45);
 /*--- compute (l0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+10829590, int_stack+10824730, int_stack+10820950, 45);
 /*--- compute (l0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+10837150, int_stack+413523, int_stack+411498, 45);
 /*--- compute (l0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+10843225, int_stack+10837150, int_stack+10824730, 45);
 /*--- compute (l0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+10852945, int_stack+10843225, int_stack+10829590, 45);
 /*--- compute (l0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+10820950, int_stack+415998, int_stack+413523, 45);
 /*--- compute (l0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+10865545, int_stack+10820950, int_stack+10837150, 45);
 /*--- compute (l0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+10877695, int_stack+10865545, int_stack+10843225, 45);
 /*--- compute (l0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+10828375, int_stack+10877695, int_stack+10852945, 45);
 /*--- compute (l0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+10847275, int_stack+418968, int_stack+415998, 45);
 /*--- compute (l0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+10996538, int_stack+10847275, int_stack+10820950, 45);
 /*--- compute (l0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+11011388, int_stack+10996538, int_stack+10865545, 45);
 /*--- compute (l0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+11031638, int_stack+11011388, int_stack+10877695, 45);
 /*--- compute (l0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+10856185, int_stack+11031638, int_stack+10828375, 45);
 /*--- compute (l0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+10820950, int_stack+422478, int_stack+418968, 45);
 /*--- compute (l0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+10882645, int_stack+10820950, int_stack+10847275, 45);
 /*--- compute (l0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+10820950, int_stack+10882645, int_stack+10996538, 45);
 /*--- compute (l0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+11055938, int_stack+10820950, int_stack+11011388, 45);
 /*--- compute (l0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+10820950, int_stack+11055938, int_stack+11031638, 45);
 /*--- compute (l0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+10996538, int_stack+10820950, int_stack+10856185, 45);
 /*--- compute (kp||ii) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+11031818, int_stack+10996538, int_stack+10902458, 784);
 /*--- compute (id||ii) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+11116490, int_stack+11031818, int_stack+10930682, 784);
 /*--- compute (m0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+10820950, int_stack+428113, int_stack+426573, 55);
 /*--- compute (m0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+10825570, int_stack+430093, int_stack+428113, 55);
 /*--- compute (m0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+10831510, int_stack+10825570, int_stack+10820950, 55);
 /*--- compute (m0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+10840750, int_stack+432568, int_stack+430093, 55);
 /*--- compute (m0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+10848175, int_stack+10840750, int_stack+10825570, 55);
 /*--- compute (m0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+10860055, int_stack+10848175, int_stack+10831510, 55);
 /*--- compute (m0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+10820950, int_stack+435593, int_stack+432568, 55);
 /*--- compute (m0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+10875455, int_stack+10820950, int_stack+10840750, 55);
 /*--- compute (m0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+10890305, int_stack+10875455, int_stack+10848175, 55);
 /*--- compute (m0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+10830025, int_stack+10890305, int_stack+10860055, 55);
 /*--- compute (m0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+10853125, int_stack+439223, int_stack+435593, 55);
 /*--- compute (m0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+10910105, int_stack+10853125, int_stack+10820950, 55);
 /*--- compute (m0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+10928255, int_stack+10910105, int_stack+10875455, 55);
 /*--- compute (m0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+10953005, int_stack+10928255, int_stack+10890305, 55);
 /*--- compute (m0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+10864015, int_stack+10953005, int_stack+10830025, 55);
 /*--- compute (m0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+10820950, int_stack+443513, int_stack+439223, 55);
 /*--- compute (m0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+11248202, int_stack+10820950, int_stack+10853125, 55);
 /*--- compute (m0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+10820950, int_stack+11248202, int_stack+10910105, 55);
 /*--- compute (m0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+11248202, int_stack+10820950, int_stack+10928255, 55);
 /*--- compute (m0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+10820950, int_stack+11248202, int_stack+10953005, 55);
 /*--- compute (m0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+11248202, int_stack+10820950, int_stack+10864015, 55);
 /*--- compute (lp||ii) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+10820950, int_stack+11248202, int_stack+10996538, 784);
 /*--- compute (kd||ii) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+11291322, int_stack+10820950, int_stack+11031818, 784);
 /*--- compute (if||ii) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+3623158, int_stack+11291322, int_stack+11116490, 784);
 /*--- compute (n0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+10926790, int_stack+450366, int_stack+448518, 66);
 /*--- compute (n0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+10932334, int_stack+452742, int_stack+450366, 66);
 /*--- compute (n0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+10939462, int_stack+10932334, int_stack+10926790, 66);
 /*--- compute (n0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+10950550, int_stack+455712, int_stack+452742, 66);
 /*--- compute (n0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+10959460, int_stack+10950550, int_stack+10932334, 66);
 /*--- compute (n0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+10973716, int_stack+10959460, int_stack+10939462, 66);
 /*--- compute (n0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+10926790, int_stack+459342, int_stack+455712, 66);
 /*--- compute (n0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+10992196, int_stack+10926790, int_stack+10950550, 66);
 /*--- compute (n0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+11010016, int_stack+10992196, int_stack+10959460, 66);
 /*--- compute (n0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+10937680, int_stack+11010016, int_stack+10973716, 66);
 /*--- compute (n0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+10965400, int_stack+463698, int_stack+459342, 66);
 /*--- compute (n0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+11033776, int_stack+10965400, int_stack+10926790, 66);
 /*--- compute (n0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+11055556, int_stack+11033776, int_stack+10992196, 66);
 /*--- compute (n0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+11085256, int_stack+11055556, int_stack+11010016, 66);
 /*--- compute (n0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+10978468, int_stack+11085256, int_stack+10937680, 66);
 /*--- compute (n0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+10926790, int_stack+468846, int_stack+463698, 66);
 /*--- compute (n0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+11120896, int_stack+10926790, int_stack+10965400, 66);
 /*--- compute (n0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+10926790, int_stack+11120896, int_stack+11033776, 66);
 /*--- compute (n0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+11120896, int_stack+10926790, int_stack+11055556, 66);
 /*--- compute (n0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+10926790, int_stack+11120896, int_stack+11085256, 66);
 /*--- compute (n0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+11017276, int_stack+10926790, int_stack+10978468, 66);
 /*--- compute (mp||ii) ---*/
   hrr1_build_mp(Libr12->ShellQuartet.AB,int_stack+11069020, int_stack+11017276, int_stack+11248202, 784);
 /*--- compute (ld||ii) ---*/
   hrr1_build_ld(Libr12->ShellQuartet.AB,int_stack+3842678, int_stack+11069020, int_stack+10820950, 784);
 /*--- compute (kf||ii) ---*/
   hrr1_build_kf(Libr12->ShellQuartet.AB,int_stack+4054358, int_stack+3842678, int_stack+11291322, 784);
 /*--- compute (ig||ii) ---*/
   hrr1_build_ig(Libr12->ShellQuartet.AB,int_stack+4336598, int_stack+4054358, int_stack+3623158, 784);
 /*--- compute (o0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+3623158, int_stack+477036, int_stack+474852, 78);
 /*--- compute (o0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3629710, int_stack+479844, int_stack+477036, 78);
 /*--- compute (o0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+3638134, int_stack+3629710, int_stack+3623158, 78);
 /*--- compute (o0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+3651238, int_stack+483354, int_stack+479844, 78);
 /*--- compute (o0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+3661768, int_stack+3651238, int_stack+3629710, 78);
 /*--- compute (o0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+3678616, int_stack+3661768, int_stack+3638134, 78);
 /*--- compute (o0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+3623158, int_stack+487644, int_stack+483354, 78);
 /*--- compute (o0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+3700456, int_stack+3623158, int_stack+3651238, 78);
 /*--- compute (o0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+3721516, int_stack+3700456, int_stack+3661768, 78);
 /*--- compute (o0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+3636028, int_stack+3721516, int_stack+3678616, 78);
 /*--- compute (o0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+3668788, int_stack+492792, int_stack+487644, 78);
 /*--- compute (o0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+3749596, int_stack+3668788, int_stack+3623158, 78);
 /*--- compute (o0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+3775336, int_stack+3749596, int_stack+3700456, 78);
 /*--- compute (o0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+10820950, int_stack+3775336, int_stack+3721516, 78);
 /*--- compute (o0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+3684232, int_stack+10820950, int_stack+3636028, 78);
 /*--- compute (o0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+3623158, int_stack+498876, int_stack+492792, 78);
 /*--- compute (o0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+3810436, int_stack+3623158, int_stack+3668788, 78);
 /*--- compute (o0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+3623158, int_stack+3810436, int_stack+3749596, 78);
 /*--- compute (o0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+10863070, int_stack+3623158, int_stack+3775336, 78);
 /*--- compute (o0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+3623158, int_stack+10863070, int_stack+10820950, 78);
 /*--- compute (o0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+10820950, int_stack+3623158, int_stack+3684232, 78);
 /*--- compute (np||ii) ---*/
   hrr1_build_np(Libr12->ShellQuartet.AB,int_stack+3623158, int_stack+10820950, int_stack+11017276, 784);
 /*--- compute (md||ii) ---*/
   hrr1_build_md(Libr12->ShellQuartet.AB,int_stack+11198380, int_stack+3623158, int_stack+11069020, 784);
 /*--- compute (lf||ii) ---*/
   hrr1_build_lf(Libr12->ShellQuartet.AB,int_stack+4665878, int_stack+11198380, int_stack+3842678, 784);
 /*--- compute (kg||ii) ---*/
   hrr1_build_kg(Libr12->ShellQuartet.AB,int_stack+5018678, int_stack+4665878, int_stack+4054358, 784);
 /*--- compute (ih||ii) ---*/
   hrr1_build_ih(Libr12->ShellQuartet.AB,int_stack+3778390, int_stack+5018678, int_stack+4336598, 784);
 /*--- compute (q0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+4239382, int_stack+508522, int_stack+505974, 91);
 /*--- compute (q0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+4247026, int_stack+511798, int_stack+508522, 91);
 /*--- compute (q0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+4256854, int_stack+4247026, int_stack+4239382, 91);
 /*--- compute (q0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+4272142, int_stack+515893, int_stack+511798, 91);
 /*--- compute (q0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+4284427, int_stack+4272142, int_stack+4247026, 91);
 /*--- compute (q0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+4304083, int_stack+4284427, int_stack+4256854, 91);
 /*--- compute (q0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+4239382, int_stack+520898, int_stack+515893, 91);
 /*--- compute (q0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+4329563, int_stack+4239382, int_stack+4272142, 91);
 /*--- compute (q0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+4354133, int_stack+4329563, int_stack+4284427, 91);
 /*--- compute (q0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+4254397, int_stack+4354133, int_stack+4304083, 91);
 /*--- compute (q0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+4292617, int_stack+526904, int_stack+520898, 91);
 /*--- compute (q0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+4386893, int_stack+4292617, int_stack+4239382, 91);
 /*--- compute (q0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+4416923, int_stack+4386893, int_stack+4329563, 91);
 /*--- compute (q0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+4457873, int_stack+4416923, int_stack+4354133, 91);
 /*--- compute (q0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+4310635, int_stack+4457873, int_stack+4254397, 91);
 /*--- compute (q0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+4239382, int_stack+534002, int_stack+526904, 91);
 /*--- compute (q0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+4507013, int_stack+4239382, int_stack+4292617, 91);
 /*--- compute (q0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+4239382, int_stack+4507013, int_stack+4386893, 91);
 /*--- compute (q0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+4507013, int_stack+4239382, int_stack+4416923, 91);
 /*--- compute (q0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+4239382, int_stack+4507013, int_stack+4457873, 91);
 /*--- compute (q0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+4364143, int_stack+4239382, int_stack+4310635, 91);
 /*--- compute (op||ii) ---*/
   hrr1_build_op(Libr12->ShellQuartet.AB,int_stack+4435487, int_stack+4364143, int_stack+10820950, 784);
 /*--- compute (nd||ii) ---*/
   hrr1_build_nd(Libr12->ShellQuartet.AB,int_stack+10820950, int_stack+4435487, int_stack+3623158, 784);
 /*--- compute (mf||ii) ---*/
   hrr1_build_mf(Libr12->ShellQuartet.AB,int_stack+5442038, int_stack+10820950, int_stack+11198380, 784);
 /*--- compute (lg||ii) ---*/
   hrr1_build_lg(Libr12->ShellQuartet.AB,int_stack+10820950, int_stack+5442038, int_stack+4665878, 784);
 /*--- compute (kh||ii) ---*/
   hrr1_build_kh(Libr12->ShellQuartet.AB,int_stack+5442038, int_stack+10820950, int_stack+5018678, 784);
 /*--- compute (ii|[r12,T2]|ii) ---*/
   hrr1_build_ii(Libr12->ShellQuartet.AB,int_stack+10820950, int_stack+3030454, int_stack+2569462, 784);
     Libr12->te_ptr[3] = int_stack + 10820950;
 /*--- compute (ii|[r12,T1]|ii) ---*/
   t1hrr1_build_ii(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+4239382, int_stack+10228246, int_stack+1739945, int_stack+11499110, int_stack+9635542, int_stack+6285622, 6, 6);
     Libr12->te_ptr[2] = int_stack + 4239382;
 /*--- compute (ii||ii) ---*/
   hrr1_build_ii(Libr12->ShellQuartet.AB,int_stack+6746614, int_stack+5442038, int_stack+3778390, 784);
     Libr12->te_ptr[1] = int_stack + 6746614;
 /*--- compute (ii|ii) ---*/
   hrr1_build_ii(Libr12->ShellQuartet.AB,int_stack+4854038, int_stack+11499110, int_stack+6285622, 784);
     Libr12->te_ptr[0] = int_stack + 4854038;

}
