  /* This machine-generated function computes a quartet of [r12,T2]|gf) integrals */

#include<libint/libint.h>

void t2hrr3_build_gf(REALTYPE *CD, REALTYPE *AC, REALTYPE *vp, const REALTYPE *I0, const REALTYPE *I1, const REALTYPE *I2, const REALTYPE *I3, const REALTYPE *I4, int la, int lb)
{
  const REALTYPE CD0 = CD[0];
  const REALTYPE CD1 = CD[1];
  const REALTYPE CD2 = CD[2];
  const REALTYPE AC0 = AC[0];
  const REALTYPE AC1 = AC[1];
  const REALTYPE AC2 = AC[2];
  static int io[] = { 1, 3, 6, 10, 15, 21, 28, 36, 45, 55, 66, 78, 91, 105};
  int bcdm1_num = io[lb]*90;

  int pa, qa, b;
  for(pa=0;pa<=la;pa++)
    for(qa=0;qa<=pa;qa++)
      for(b=0;b<((lb+1)*(lb+2)/2);b++) {
        *(vp++) = I0[0] + CD0*I1[0] + I2[0] - AC0*I4[0] - I3[0];
        *(vp++) = I0[1] + CD0*I1[1] + I2[1] - AC0*I4[1] - I3[1];
        *(vp++) = I0[2] + CD0*I1[2] + I2[2] - AC0*I4[2] - I3[2];
        *(vp++) = I0[3] + CD0*I1[3] + I2[3] - AC0*I4[3] - I3[3];
        *(vp++) = I0[4] + CD0*I1[4] + I2[4] - AC0*I4[4] - I3[4];
        *(vp++) = I0[5] + CD0*I1[5] + I2[5] - AC0*I4[5] - I3[5];
        *(vp++) = I0[9] + CD1*I1[3] + I2[9] - AC1*I4[3] - I3[(pa+1)*bcdm1_num+3];
        *(vp++) = I0[10] + CD1*I1[4] + I2[10] - AC1*I4[4] - I3[(pa+1)*bcdm1_num+4];
        *(vp++) = I0[11] + CD1*I1[5] + I2[11] - AC1*I4[5] - I3[(pa+1)*bcdm1_num+5];
        *(vp++) = I0[17] + CD2*I1[5] + I2[17] - AC2*I4[5] - I3[(pa+2)*bcdm1_num+5];
        *(vp++) = I0[6] + CD0*I1[6] + I2[6] - AC0*I4[6] - I3[6];
        *(vp++) = I0[7] + CD0*I1[7] + I2[7] - AC0*I4[7] - I3[7];
        *(vp++) = I0[8] + CD0*I1[8] + I2[8] - AC0*I4[8] - I3[8];
        *(vp++) = I0[9] + CD0*I1[9] + I2[9] - AC0*I4[9] - I3[9];
        *(vp++) = I0[10] + CD0*I1[10] + I2[10] - AC0*I4[10] - I3[10];
        *(vp++) = I0[11] + CD0*I1[11] + I2[11] - AC0*I4[11] - I3[11];
        *(vp++) = I0[21] + CD1*I1[9] + I2[21] - AC1*I4[9] - I3[(pa+1)*bcdm1_num+9];
        *(vp++) = I0[22] + CD1*I1[10] + I2[22] - AC1*I4[10] - I3[(pa+1)*bcdm1_num+10];
        *(vp++) = I0[23] + CD1*I1[11] + I2[23] - AC1*I4[11] - I3[(pa+1)*bcdm1_num+11];
        *(vp++) = I0[29] + CD2*I1[11] + I2[29] - AC2*I4[11] - I3[(pa+2)*bcdm1_num+11];
        *(vp++) = I0[12] + CD0*I1[12] + I2[12] - AC0*I4[12] - I3[12];
        *(vp++) = I0[13] + CD0*I1[13] + I2[13] - AC0*I4[13] - I3[13];
        *(vp++) = I0[14] + CD0*I1[14] + I2[14] - AC0*I4[14] - I3[14];
        *(vp++) = I0[15] + CD0*I1[15] + I2[15] - AC0*I4[15] - I3[15];
        *(vp++) = I0[16] + CD0*I1[16] + I2[16] - AC0*I4[16] - I3[16];
        *(vp++) = I0[17] + CD0*I1[17] + I2[17] - AC0*I4[17] - I3[17];
        *(vp++) = I0[27] + CD1*I1[15] + I2[27] - AC1*I4[15] - I3[(pa+1)*bcdm1_num+15];
        *(vp++) = I0[28] + CD1*I1[16] + I2[28] - AC1*I4[16] - I3[(pa+1)*bcdm1_num+16];
        *(vp++) = I0[29] + CD1*I1[17] + I2[29] - AC1*I4[17] - I3[(pa+1)*bcdm1_num+17];
        *(vp++) = I0[35] + CD2*I1[17] + I2[35] - AC2*I4[17] - I3[(pa+2)*bcdm1_num+17];
        *(vp++) = I0[18] + CD0*I1[18] + I2[18] - AC0*I4[18] - I3[18];
        *(vp++) = I0[19] + CD0*I1[19] + I2[19] - AC0*I4[19] - I3[19];
        *(vp++) = I0[20] + CD0*I1[20] + I2[20] - AC0*I4[20] - I3[20];
        *(vp++) = I0[21] + CD0*I1[21] + I2[21] - AC0*I4[21] - I3[21];
        *(vp++) = I0[22] + CD0*I1[22] + I2[22] - AC0*I4[22] - I3[22];
        *(vp++) = I0[23] + CD0*I1[23] + I2[23] - AC0*I4[23] - I3[23];
        *(vp++) = I0[39] + CD1*I1[21] + I2[39] - AC1*I4[21] - I3[(pa+1)*bcdm1_num+21];
        *(vp++) = I0[40] + CD1*I1[22] + I2[40] - AC1*I4[22] - I3[(pa+1)*bcdm1_num+22];
        *(vp++) = I0[41] + CD1*I1[23] + I2[41] - AC1*I4[23] - I3[(pa+1)*bcdm1_num+23];
        *(vp++) = I0[47] + CD2*I1[23] + I2[47] - AC2*I4[23] - I3[(pa+2)*bcdm1_num+23];
        *(vp++) = I0[24] + CD0*I1[24] + I2[24] - AC0*I4[24] - I3[24];
        *(vp++) = I0[25] + CD0*I1[25] + I2[25] - AC0*I4[25] - I3[25];
        *(vp++) = I0[26] + CD0*I1[26] + I2[26] - AC0*I4[26] - I3[26];
        *(vp++) = I0[27] + CD0*I1[27] + I2[27] - AC0*I4[27] - I3[27];
        *(vp++) = I0[28] + CD0*I1[28] + I2[28] - AC0*I4[28] - I3[28];
        *(vp++) = I0[29] + CD0*I1[29] + I2[29] - AC0*I4[29] - I3[29];
        *(vp++) = I0[45] + CD1*I1[27] + I2[45] - AC1*I4[27] - I3[(pa+1)*bcdm1_num+27];
        *(vp++) = I0[46] + CD1*I1[28] + I2[46] - AC1*I4[28] - I3[(pa+1)*bcdm1_num+28];
        *(vp++) = I0[47] + CD1*I1[29] + I2[47] - AC1*I4[29] - I3[(pa+1)*bcdm1_num+29];
        *(vp++) = I0[53] + CD2*I1[29] + I2[53] - AC2*I4[29] - I3[(pa+2)*bcdm1_num+29];
        *(vp++) = I0[30] + CD0*I1[30] + I2[30] - AC0*I4[30] - I3[30];
        *(vp++) = I0[31] + CD0*I1[31] + I2[31] - AC0*I4[31] - I3[31];
        *(vp++) = I0[32] + CD0*I1[32] + I2[32] - AC0*I4[32] - I3[32];
        *(vp++) = I0[33] + CD0*I1[33] + I2[33] - AC0*I4[33] - I3[33];
        *(vp++) = I0[34] + CD0*I1[34] + I2[34] - AC0*I4[34] - I3[34];
        *(vp++) = I0[35] + CD0*I1[35] + I2[35] - AC0*I4[35] - I3[35];
        *(vp++) = I0[51] + CD1*I1[33] + I2[51] - AC1*I4[33] - I3[(pa+1)*bcdm1_num+33];
        *(vp++) = I0[52] + CD1*I1[34] + I2[52] - AC1*I4[34] - I3[(pa+1)*bcdm1_num+34];
        *(vp++) = I0[53] + CD1*I1[35] + I2[53] - AC1*I4[35] - I3[(pa+1)*bcdm1_num+35];
        *(vp++) = I0[59] + CD2*I1[35] + I2[59] - AC2*I4[35] - I3[(pa+2)*bcdm1_num+35];
        *(vp++) = I0[36] + CD0*I1[36] + I2[36] - AC0*I4[36] - I3[36];
        *(vp++) = I0[37] + CD0*I1[37] + I2[37] - AC0*I4[37] - I3[37];
        *(vp++) = I0[38] + CD0*I1[38] + I2[38] - AC0*I4[38] - I3[38];
        *(vp++) = I0[39] + CD0*I1[39] + I2[39] - AC0*I4[39] - I3[39];
        *(vp++) = I0[40] + CD0*I1[40] + I2[40] - AC0*I4[40] - I3[40];
        *(vp++) = I0[41] + CD0*I1[41] + I2[41] - AC0*I4[41] - I3[41];
        *(vp++) = I0[63] + CD1*I1[39] + I2[63] - AC1*I4[39] - I3[(pa+1)*bcdm1_num+39];
        *(vp++) = I0[64] + CD1*I1[40] + I2[64] - AC1*I4[40] - I3[(pa+1)*bcdm1_num+40];
        *(vp++) = I0[65] + CD1*I1[41] + I2[65] - AC1*I4[41] - I3[(pa+1)*bcdm1_num+41];
        *(vp++) = I0[71] + CD2*I1[41] + I2[71] - AC2*I4[41] - I3[(pa+2)*bcdm1_num+41];
        *(vp++) = I0[42] + CD0*I1[42] + I2[42] - AC0*I4[42] - I3[42];
        *(vp++) = I0[43] + CD0*I1[43] + I2[43] - AC0*I4[43] - I3[43];
        *(vp++) = I0[44] + CD0*I1[44] + I2[44] - AC0*I4[44] - I3[44];
        *(vp++) = I0[45] + CD0*I1[45] + I2[45] - AC0*I4[45] - I3[45];
        *(vp++) = I0[46] + CD0*I1[46] + I2[46] - AC0*I4[46] - I3[46];
        *(vp++) = I0[47] + CD0*I1[47] + I2[47] - AC0*I4[47] - I3[47];
        *(vp++) = I0[69] + CD1*I1[45] + I2[69] - AC1*I4[45] - I3[(pa+1)*bcdm1_num+45];
        *(vp++) = I0[70] + CD1*I1[46] + I2[70] - AC1*I4[46] - I3[(pa+1)*bcdm1_num+46];
        *(vp++) = I0[71] + CD1*I1[47] + I2[71] - AC1*I4[47] - I3[(pa+1)*bcdm1_num+47];
        *(vp++) = I0[77] + CD2*I1[47] + I2[77] - AC2*I4[47] - I3[(pa+2)*bcdm1_num+47];
        *(vp++) = I0[48] + CD0*I1[48] + I2[48] - AC0*I4[48] - I3[48];
        *(vp++) = I0[49] + CD0*I1[49] + I2[49] - AC0*I4[49] - I3[49];
        *(vp++) = I0[50] + CD0*I1[50] + I2[50] - AC0*I4[50] - I3[50];
        *(vp++) = I0[51] + CD0*I1[51] + I2[51] - AC0*I4[51] - I3[51];
        *(vp++) = I0[52] + CD0*I1[52] + I2[52] - AC0*I4[52] - I3[52];
        *(vp++) = I0[53] + CD0*I1[53] + I2[53] - AC0*I4[53] - I3[53];
        *(vp++) = I0[75] + CD1*I1[51] + I2[75] - AC1*I4[51] - I3[(pa+1)*bcdm1_num+51];
        *(vp++) = I0[76] + CD1*I1[52] + I2[76] - AC1*I4[52] - I3[(pa+1)*bcdm1_num+52];
        *(vp++) = I0[77] + CD1*I1[53] + I2[77] - AC1*I4[53] - I3[(pa+1)*bcdm1_num+53];
        *(vp++) = I0[83] + CD2*I1[53] + I2[83] - AC2*I4[53] - I3[(pa+2)*bcdm1_num+53];
        *(vp++) = I0[54] + CD0*I1[54] + I2[54] - AC0*I4[54] - I3[54];
        *(vp++) = I0[55] + CD0*I1[55] + I2[55] - AC0*I4[55] - I3[55];
        *(vp++) = I0[56] + CD0*I1[56] + I2[56] - AC0*I4[56] - I3[56];
        *(vp++) = I0[57] + CD0*I1[57] + I2[57] - AC0*I4[57] - I3[57];
        *(vp++) = I0[58] + CD0*I1[58] + I2[58] - AC0*I4[58] - I3[58];
        *(vp++) = I0[59] + CD0*I1[59] + I2[59] - AC0*I4[59] - I3[59];
        *(vp++) = I0[81] + CD1*I1[57] + I2[81] - AC1*I4[57] - I3[(pa+1)*bcdm1_num+57];
        *(vp++) = I0[82] + CD1*I1[58] + I2[82] - AC1*I4[58] - I3[(pa+1)*bcdm1_num+58];
        *(vp++) = I0[83] + CD1*I1[59] + I2[83] - AC1*I4[59] - I3[(pa+1)*bcdm1_num+59];
        *(vp++) = I0[89] + CD2*I1[59] + I2[89] - AC2*I4[59] - I3[(pa+2)*bcdm1_num+59];
        *(vp++) = I0[60] + CD0*I1[60] + I2[60] - AC0*I4[60] - I3[60];
        *(vp++) = I0[61] + CD0*I1[61] + I2[61] - AC0*I4[61] - I3[61];
        *(vp++) = I0[62] + CD0*I1[62] + I2[62] - AC0*I4[62] - I3[62];
        *(vp++) = I0[63] + CD0*I1[63] + I2[63] - AC0*I4[63] - I3[63];
        *(vp++) = I0[64] + CD0*I1[64] + I2[64] - AC0*I4[64] - I3[64];
        *(vp++) = I0[65] + CD0*I1[65] + I2[65] - AC0*I4[65] - I3[65];
        *(vp++) = I0[93] + CD1*I1[63] + I2[93] - AC1*I4[63] - I3[(pa+1)*bcdm1_num+63];
        *(vp++) = I0[94] + CD1*I1[64] + I2[94] - AC1*I4[64] - I3[(pa+1)*bcdm1_num+64];
        *(vp++) = I0[95] + CD1*I1[65] + I2[95] - AC1*I4[65] - I3[(pa+1)*bcdm1_num+65];
        *(vp++) = I0[101] + CD2*I1[65] + I2[101] - AC2*I4[65] - I3[(pa+2)*bcdm1_num+65];
        *(vp++) = I0[66] + CD0*I1[66] + I2[66] - AC0*I4[66] - I3[66];
        *(vp++) = I0[67] + CD0*I1[67] + I2[67] - AC0*I4[67] - I3[67];
        *(vp++) = I0[68] + CD0*I1[68] + I2[68] - AC0*I4[68] - I3[68];
        *(vp++) = I0[69] + CD0*I1[69] + I2[69] - AC0*I4[69] - I3[69];
        *(vp++) = I0[70] + CD0*I1[70] + I2[70] - AC0*I4[70] - I3[70];
        *(vp++) = I0[71] + CD0*I1[71] + I2[71] - AC0*I4[71] - I3[71];
        *(vp++) = I0[99] + CD1*I1[69] + I2[99] - AC1*I4[69] - I3[(pa+1)*bcdm1_num+69];
        *(vp++) = I0[100] + CD1*I1[70] + I2[100] - AC1*I4[70] - I3[(pa+1)*bcdm1_num+70];
        *(vp++) = I0[101] + CD1*I1[71] + I2[101] - AC1*I4[71] - I3[(pa+1)*bcdm1_num+71];
        *(vp++) = I0[107] + CD2*I1[71] + I2[107] - AC2*I4[71] - I3[(pa+2)*bcdm1_num+71];
        *(vp++) = I0[72] + CD0*I1[72] + I2[72] - AC0*I4[72] - I3[72];
        *(vp++) = I0[73] + CD0*I1[73] + I2[73] - AC0*I4[73] - I3[73];
        *(vp++) = I0[74] + CD0*I1[74] + I2[74] - AC0*I4[74] - I3[74];
        *(vp++) = I0[75] + CD0*I1[75] + I2[75] - AC0*I4[75] - I3[75];
        *(vp++) = I0[76] + CD0*I1[76] + I2[76] - AC0*I4[76] - I3[76];
        *(vp++) = I0[77] + CD0*I1[77] + I2[77] - AC0*I4[77] - I3[77];
        *(vp++) = I0[105] + CD1*I1[75] + I2[105] - AC1*I4[75] - I3[(pa+1)*bcdm1_num+75];
        *(vp++) = I0[106] + CD1*I1[76] + I2[106] - AC1*I4[76] - I3[(pa+1)*bcdm1_num+76];
        *(vp++) = I0[107] + CD1*I1[77] + I2[107] - AC1*I4[77] - I3[(pa+1)*bcdm1_num+77];
        *(vp++) = I0[113] + CD2*I1[77] + I2[113] - AC2*I4[77] - I3[(pa+2)*bcdm1_num+77];
        *(vp++) = I0[78] + CD0*I1[78] + I2[78] - AC0*I4[78] - I3[78];
        *(vp++) = I0[79] + CD0*I1[79] + I2[79] - AC0*I4[79] - I3[79];
        *(vp++) = I0[80] + CD0*I1[80] + I2[80] - AC0*I4[80] - I3[80];
        *(vp++) = I0[81] + CD0*I1[81] + I2[81] - AC0*I4[81] - I3[81];
        *(vp++) = I0[82] + CD0*I1[82] + I2[82] - AC0*I4[82] - I3[82];
        *(vp++) = I0[83] + CD0*I1[83] + I2[83] - AC0*I4[83] - I3[83];
        *(vp++) = I0[111] + CD1*I1[81] + I2[111] - AC1*I4[81] - I3[(pa+1)*bcdm1_num+81];
        *(vp++) = I0[112] + CD1*I1[82] + I2[112] - AC1*I4[82] - I3[(pa+1)*bcdm1_num+82];
        *(vp++) = I0[113] + CD1*I1[83] + I2[113] - AC1*I4[83] - I3[(pa+1)*bcdm1_num+83];
        *(vp++) = I0[119] + CD2*I1[83] + I2[119] - AC2*I4[83] - I3[(pa+2)*bcdm1_num+83];
        *(vp++) = I0[84] + CD0*I1[84] + I2[84] - AC0*I4[84] - I3[84];
        *(vp++) = I0[85] + CD0*I1[85] + I2[85] - AC0*I4[85] - I3[85];
        *(vp++) = I0[86] + CD0*I1[86] + I2[86] - AC0*I4[86] - I3[86];
        *(vp++) = I0[87] + CD0*I1[87] + I2[87] - AC0*I4[87] - I3[87];
        *(vp++) = I0[88] + CD0*I1[88] + I2[88] - AC0*I4[88] - I3[88];
        *(vp++) = I0[89] + CD0*I1[89] + I2[89] - AC0*I4[89] - I3[89];
        *(vp++) = I0[117] + CD1*I1[87] + I2[117] - AC1*I4[87] - I3[(pa+1)*bcdm1_num+87];
        *(vp++) = I0[118] + CD1*I1[88] + I2[118] - AC1*I4[88] - I3[(pa+1)*bcdm1_num+88];
        *(vp++) = I0[119] + CD1*I1[89] + I2[119] - AC1*I4[89] - I3[(pa+1)*bcdm1_num+89];
        *(vp++) = I0[125] + CD2*I1[89] + I2[125] - AC2*I4[89] - I3[(pa+2)*bcdm1_num+89];
        I0 += 126;
        I1 += 90;
        I2 += 126;
        I3 += 90;
        I4 += 90;
  }
}
