#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_00ff(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+12, Data->F+1, Data->F+2, NULL);

 /*--- compute (p0|d0)^0 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+21, r12vrr_stack+6, r12vrr_stack+15, NULL, NULL, r12vrr_stack+0);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+39, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+42, r12vrr_stack+12, r12vrr_stack+39, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+48, r12vrr_stack+15, r12vrr_stack+42, r12vrr_stack+0, r12vrr_stack+12, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+58, r12vrr_stack+6, r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, NULL);
 tmp = r12vrr_stack + 58;
 target_ptr = Libr12->gvrr_classes[0][3];
 for(i=0;i<10;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|f0)^0 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+68, r12vrr_stack+58, r12vrr_stack+48, NULL, NULL, r12vrr_stack+15);
 tmp = r12vrr_stack + 68;
 target_ptr = Libr12->gvrr_classes[1][3];
 for(i=0;i<30;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+98, r12vrr_stack+58, r12vrr_stack+48, r12vrr_stack+6, r12vrr_stack+15, NULL);
 tmp = r12vrr_stack + 98;
 target_ptr = Libr12->gvrr_classes[0][4];
 for(i=0;i<15;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+113, r12vrr_stack+39, r12vrr_stack+0, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+119, r12vrr_stack+42, r12vrr_stack+113, r12vrr_stack+12, r12vrr_stack+39, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+129, r12vrr_stack+48, r12vrr_stack+119, r12vrr_stack+15, r12vrr_stack+42, NULL);

 /*--- compute (p0|g0)^0 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+144, r12vrr_stack+98, r12vrr_stack+129, NULL, NULL, r12vrr_stack+48);
 tmp = r12vrr_stack + 144;
 target_ptr = Libr12->gvrr_classes[1][4];
 for(i=0;i<45;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+189, r12vrr_stack+98, r12vrr_stack+129, r12vrr_stack+58, r12vrr_stack+48, NULL);
 tmp = r12vrr_stack + 189;
 target_ptr = Libr12->gvrr_classes[0][5];
 for(i=0;i<21;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+12, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+210, r12vrr_stack+113, r12vrr_stack+15, r12vrr_stack+39, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+220, r12vrr_stack+119, r12vrr_stack+210, r12vrr_stack+42, r12vrr_stack+113, NULL);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+235, r12vrr_stack+129, r12vrr_stack+220, r12vrr_stack+48, r12vrr_stack+119, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+256, r12vrr_stack+189, r12vrr_stack+235, NULL, NULL, r12vrr_stack+129);
 tmp = r12vrr_stack + 256;
 target_ptr = Libr12->gvrr_classes[1][5];
 for(i=0;i<63;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+319, r12vrr_stack+189, r12vrr_stack+235, r12vrr_stack+98, r12vrr_stack+129, NULL);
 tmp = r12vrr_stack + 319;
 target_ptr = Libr12->gvrr_classes[0][6];
 for(i=0;i<28;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+39, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+42, r12vrr_stack+12, r12vrr_stack+39, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+48, r12vrr_stack+15, r12vrr_stack+42, r12vrr_stack+0, r12vrr_stack+12, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+347, r12vrr_stack+210, r12vrr_stack+48, r12vrr_stack+113, r12vrr_stack+15, NULL);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+362, r12vrr_stack+220, r12vrr_stack+347, r12vrr_stack+119, r12vrr_stack+210, NULL);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+383, r12vrr_stack+235, r12vrr_stack+362, r12vrr_stack+129, r12vrr_stack+220, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+411, r12vrr_stack+319, r12vrr_stack+383, NULL, NULL, r12vrr_stack+235);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+347, r12vrr_stack+319, r12vrr_stack+383, r12vrr_stack+189, r12vrr_stack+235, NULL);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+0, &(Data->ss_r12_ss), NULL, r12vrr_stack+3, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+383, r12vrr_stack+0, &(Data->ss_r12_ss), r12vrr_stack+6, r12vrr_stack+3, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+389, r12vrr_stack+383, r12vrr_stack+0, r12vrr_stack+58, r12vrr_stack+6, r12vrr_stack+3, NULL);
 tmp = r12vrr_stack + 389;
 target_ptr = Libr12->rvrr_classes[0][3];
 for(i=0;i<10;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+210, r12vrr_stack+389, r12vrr_stack+383, r12vrr_stack+98, r12vrr_stack+58, r12vrr_stack+6, NULL);
 tmp = r12vrr_stack + 210;
 target_ptr = Libr12->rvrr_classes[0][4];
 for(i=0;i<15;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+225, r12vrr_stack+210, r12vrr_stack+389, r12vrr_stack+189, r12vrr_stack+98, r12vrr_stack+58, NULL);
 tmp = r12vrr_stack + 225;
 target_ptr = Libr12->rvrr_classes[0][5];
 for(i=0;i<21;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T2]|f0)^0 ---*/
 _T2_BUILD_00f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+246, r12vrr_stack+58, r12vrr_stack+98, r12vrr_stack+68, r12vrr_stack+21, r12vrr_stack+6);
 tmp = r12vrr_stack + 246;
 target_ptr = Libr12->t2vrr_classes[0][3];
 for(i=0;i<10;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_00g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+383, r12vrr_stack+98, r12vrr_stack+189, r12vrr_stack+144, r12vrr_stack+68, r12vrr_stack+58);
 tmp = r12vrr_stack + 383;
 target_ptr = Libr12->t2vrr_classes[0][4];
 for(i=0;i<15;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_00h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+0, r12vrr_stack+189, r12vrr_stack+319, r12vrr_stack+256, r12vrr_stack+144, r12vrr_stack+98);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->t2vrr_classes[0][5];
 for(i=0;i<21;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_00i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+21, r12vrr_stack+319, r12vrr_stack+347, r12vrr_stack+411, r12vrr_stack+256, r12vrr_stack+189);
 tmp = r12vrr_stack + 21;
 target_ptr = Libr12->t2vrr_classes[0][6];
 for(i=0;i<28;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T1]|f0)^0 ---*/
 _T1_BUILD_00f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+398, r12vrr_stack+58, r12vrr_stack+68, r12vrr_stack+98, NULL, NULL);
 tmp = r12vrr_stack + 398;
 target_ptr = Libr12->t1vrr_classes[0][3];
 for(i=0;i<10;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_00g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+49, r12vrr_stack+98, r12vrr_stack+144, r12vrr_stack+189, NULL, NULL);
 tmp = r12vrr_stack + 49;
 target_ptr = Libr12->t1vrr_classes[0][4];
 for(i=0;i<15;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_00h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+64, r12vrr_stack+189, r12vrr_stack+256, r12vrr_stack+319, NULL, NULL);
 tmp = r12vrr_stack + 64;
 target_ptr = Libr12->t1vrr_classes[0][5];
 for(i=0;i<21;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_00i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+256, r12vrr_stack+319, r12vrr_stack+411, r12vrr_stack+347, NULL, NULL);
 tmp = r12vrr_stack + 256;
 target_ptr = Libr12->t1vrr_classes[0][6];
 for(i=0;i<28;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+347, r12vrr_stack+225, r12vrr_stack+210, r12vrr_stack+319, r12vrr_stack+189, r12vrr_stack+98, NULL);
 tmp = r12vrr_stack + 347;
 target_ptr = Libr12->rvrr_classes[0][6];
 for(i=0;i<28;i++)
   target_ptr[i] += tmp[i];


}

