  /* This machine-generated function computes a quartet of |gh) first derivative ERIs */

void d1hrr3_build_gh(const double *CD, double *vp, const double *I0, const double *I1,
        double c2, const double *I2, double c3, const double *I3, double c4, const double *I4,
        double c5, const double *I5, double c6, const double *I6, double c7, const double *I7, int ab_num)
{
  int ab;
  const double CD0 = CD[0];
  const double CD1 = CD[1];
  const double CD2 = CD[2];
  for(ab=0;ab<ab_num;ab++) {
    *(vp++) = I0[0] + CD0*I1[0] + c2*I2[0] - c5*I5[0];
    *(vp++) = I0[1] + CD0*I1[1] + c2*I2[1] - c5*I5[1];
    *(vp++) = I0[2] + CD0*I1[2] + c2*I2[2] - c5*I5[2];
    *(vp++) = I0[3] + CD0*I1[3] + c2*I2[3] - c5*I5[3];
    *(vp++) = I0[4] + CD0*I1[4] + c2*I2[4] - c5*I5[4];
    *(vp++) = I0[5] + CD0*I1[5] + c2*I2[5] - c5*I5[5];
    *(vp++) = I0[6] + CD0*I1[6] + c2*I2[6] - c5*I5[6];
    *(vp++) = I0[7] + CD0*I1[7] + c2*I2[7] - c5*I5[7];
    *(vp++) = I0[8] + CD0*I1[8] + c2*I2[8] - c5*I5[8];
    *(vp++) = I0[9] + CD0*I1[9] + c2*I2[9] - c5*I5[9];
    *(vp++) = I0[10] + CD0*I1[10] + c2*I2[10] - c5*I5[10];
    *(vp++) = I0[11] + CD0*I1[11] + c2*I2[11] - c5*I5[11];
    *(vp++) = I0[12] + CD0*I1[12] + c2*I2[12] - c5*I5[12];
    *(vp++) = I0[13] + CD0*I1[13] + c2*I2[13] - c5*I5[13];
    *(vp++) = I0[14] + CD0*I1[14] + c2*I2[14] - c5*I5[14];
    *(vp++) = I0[25] + CD1*I1[10] + c3*I3[10] - c6*I6[10];
    *(vp++) = I0[26] + CD1*I1[11] + c3*I3[11] - c6*I6[11];
    *(vp++) = I0[27] + CD1*I1[12] + c3*I3[12] - c6*I6[12];
    *(vp++) = I0[28] + CD1*I1[13] + c3*I3[13] - c6*I6[13];
    *(vp++) = I0[29] + CD1*I1[14] + c3*I3[14] - c6*I6[14];
    *(vp++) = I0[44] + CD2*I1[14] + c4*I4[14] - c7*I7[14];
    *(vp++) = I0[15] + CD0*I1[15] + c2*I2[15] - c5*I5[15];
    *(vp++) = I0[16] + CD0*I1[16] + c2*I2[16] - c5*I5[16];
    *(vp++) = I0[17] + CD0*I1[17] + c2*I2[17] - c5*I5[17];
    *(vp++) = I0[18] + CD0*I1[18] + c2*I2[18] - c5*I5[18];
    *(vp++) = I0[19] + CD0*I1[19] + c2*I2[19] - c5*I5[19];
    *(vp++) = I0[20] + CD0*I1[20] + c2*I2[20] - c5*I5[20];
    *(vp++) = I0[21] + CD0*I1[21] + c2*I2[21] - c5*I5[21];
    *(vp++) = I0[22] + CD0*I1[22] + c2*I2[22] - c5*I5[22];
    *(vp++) = I0[23] + CD0*I1[23] + c2*I2[23] - c5*I5[23];
    *(vp++) = I0[24] + CD0*I1[24] + c2*I2[24] - c5*I5[24];
    *(vp++) = I0[25] + CD0*I1[25] + c2*I2[25] - c5*I5[25];
    *(vp++) = I0[26] + CD0*I1[26] + c2*I2[26] - c5*I5[26];
    *(vp++) = I0[27] + CD0*I1[27] + c2*I2[27] - c5*I5[27];
    *(vp++) = I0[28] + CD0*I1[28] + c2*I2[28] - c5*I5[28];
    *(vp++) = I0[29] + CD0*I1[29] + c2*I2[29] - c5*I5[29];
    *(vp++) = I0[55] + CD1*I1[25] + c3*I3[25] - c6*I6[25];
    *(vp++) = I0[56] + CD1*I1[26] + c3*I3[26] - c6*I6[26];
    *(vp++) = I0[57] + CD1*I1[27] + c3*I3[27] - c6*I6[27];
    *(vp++) = I0[58] + CD1*I1[28] + c3*I3[28] - c6*I6[28];
    *(vp++) = I0[59] + CD1*I1[29] + c3*I3[29] - c6*I6[29];
    *(vp++) = I0[74] + CD2*I1[29] + c4*I4[29] - c7*I7[29];
    *(vp++) = I0[30] + CD0*I1[30] + c2*I2[30] - c5*I5[30];
    *(vp++) = I0[31] + CD0*I1[31] + c2*I2[31] - c5*I5[31];
    *(vp++) = I0[32] + CD0*I1[32] + c2*I2[32] - c5*I5[32];
    *(vp++) = I0[33] + CD0*I1[33] + c2*I2[33] - c5*I5[33];
    *(vp++) = I0[34] + CD0*I1[34] + c2*I2[34] - c5*I5[34];
    *(vp++) = I0[35] + CD0*I1[35] + c2*I2[35] - c5*I5[35];
    *(vp++) = I0[36] + CD0*I1[36] + c2*I2[36] - c5*I5[36];
    *(vp++) = I0[37] + CD0*I1[37] + c2*I2[37] - c5*I5[37];
    *(vp++) = I0[38] + CD0*I1[38] + c2*I2[38] - c5*I5[38];
    *(vp++) = I0[39] + CD0*I1[39] + c2*I2[39] - c5*I5[39];
    *(vp++) = I0[40] + CD0*I1[40] + c2*I2[40] - c5*I5[40];
    *(vp++) = I0[41] + CD0*I1[41] + c2*I2[41] - c5*I5[41];
    *(vp++) = I0[42] + CD0*I1[42] + c2*I2[42] - c5*I5[42];
    *(vp++) = I0[43] + CD0*I1[43] + c2*I2[43] - c5*I5[43];
    *(vp++) = I0[44] + CD0*I1[44] + c2*I2[44] - c5*I5[44];
    *(vp++) = I0[70] + CD1*I1[40] + c3*I3[40] - c6*I6[40];
    *(vp++) = I0[71] + CD1*I1[41] + c3*I3[41] - c6*I6[41];
    *(vp++) = I0[72] + CD1*I1[42] + c3*I3[42] - c6*I6[42];
    *(vp++) = I0[73] + CD1*I1[43] + c3*I3[43] - c6*I6[43];
    *(vp++) = I0[74] + CD1*I1[44] + c3*I3[44] - c6*I6[44];
    *(vp++) = I0[89] + CD2*I1[44] + c4*I4[44] - c7*I7[44];
    *(vp++) = I0[45] + CD0*I1[45] + c2*I2[45] - c5*I5[45];
    *(vp++) = I0[46] + CD0*I1[46] + c2*I2[46] - c5*I5[46];
    *(vp++) = I0[47] + CD0*I1[47] + c2*I2[47] - c5*I5[47];
    *(vp++) = I0[48] + CD0*I1[48] + c2*I2[48] - c5*I5[48];
    *(vp++) = I0[49] + CD0*I1[49] + c2*I2[49] - c5*I5[49];
    *(vp++) = I0[50] + CD0*I1[50] + c2*I2[50] - c5*I5[50];
    *(vp++) = I0[51] + CD0*I1[51] + c2*I2[51] - c5*I5[51];
    *(vp++) = I0[52] + CD0*I1[52] + c2*I2[52] - c5*I5[52];
    *(vp++) = I0[53] + CD0*I1[53] + c2*I2[53] - c5*I5[53];
    *(vp++) = I0[54] + CD0*I1[54] + c2*I2[54] - c5*I5[54];
    *(vp++) = I0[55] + CD0*I1[55] + c2*I2[55] - c5*I5[55];
    *(vp++) = I0[56] + CD0*I1[56] + c2*I2[56] - c5*I5[56];
    *(vp++) = I0[57] + CD0*I1[57] + c2*I2[57] - c5*I5[57];
    *(vp++) = I0[58] + CD0*I1[58] + c2*I2[58] - c5*I5[58];
    *(vp++) = I0[59] + CD0*I1[59] + c2*I2[59] - c5*I5[59];
    *(vp++) = I0[100] + CD1*I1[55] + c3*I3[55] - c6*I6[55];
    *(vp++) = I0[101] + CD1*I1[56] + c3*I3[56] - c6*I6[56];
    *(vp++) = I0[102] + CD1*I1[57] + c3*I3[57] - c6*I6[57];
    *(vp++) = I0[103] + CD1*I1[58] + c3*I3[58] - c6*I6[58];
    *(vp++) = I0[104] + CD1*I1[59] + c3*I3[59] - c6*I6[59];
    *(vp++) = I0[119] + CD2*I1[59] + c4*I4[59] - c7*I7[59];
    *(vp++) = I0[60] + CD0*I1[60] + c2*I2[60] - c5*I5[60];
    *(vp++) = I0[61] + CD0*I1[61] + c2*I2[61] - c5*I5[61];
    *(vp++) = I0[62] + CD0*I1[62] + c2*I2[62] - c5*I5[62];
    *(vp++) = I0[63] + CD0*I1[63] + c2*I2[63] - c5*I5[63];
    *(vp++) = I0[64] + CD0*I1[64] + c2*I2[64] - c5*I5[64];
    *(vp++) = I0[65] + CD0*I1[65] + c2*I2[65] - c5*I5[65];
    *(vp++) = I0[66] + CD0*I1[66] + c2*I2[66] - c5*I5[66];
    *(vp++) = I0[67] + CD0*I1[67] + c2*I2[67] - c5*I5[67];
    *(vp++) = I0[68] + CD0*I1[68] + c2*I2[68] - c5*I5[68];
    *(vp++) = I0[69] + CD0*I1[69] + c2*I2[69] - c5*I5[69];
    *(vp++) = I0[70] + CD0*I1[70] + c2*I2[70] - c5*I5[70];
    *(vp++) = I0[71] + CD0*I1[71] + c2*I2[71] - c5*I5[71];
    *(vp++) = I0[72] + CD0*I1[72] + c2*I2[72] - c5*I5[72];
    *(vp++) = I0[73] + CD0*I1[73] + c2*I2[73] - c5*I5[73];
    *(vp++) = I0[74] + CD0*I1[74] + c2*I2[74] - c5*I5[74];
    *(vp++) = I0[115] + CD1*I1[70] + c3*I3[70] - c6*I6[70];
    *(vp++) = I0[116] + CD1*I1[71] + c3*I3[71] - c6*I6[71];
    *(vp++) = I0[117] + CD1*I1[72] + c3*I3[72] - c6*I6[72];
    *(vp++) = I0[118] + CD1*I1[73] + c3*I3[73] - c6*I6[73];
    *(vp++) = I0[119] + CD1*I1[74] + c3*I3[74] - c6*I6[74];
    *(vp++) = I0[134] + CD2*I1[74] + c4*I4[74] - c7*I7[74];
    *(vp++) = I0[75] + CD0*I1[75] + c2*I2[75] - c5*I5[75];
    *(vp++) = I0[76] + CD0*I1[76] + c2*I2[76] - c5*I5[76];
    *(vp++) = I0[77] + CD0*I1[77] + c2*I2[77] - c5*I5[77];
    *(vp++) = I0[78] + CD0*I1[78] + c2*I2[78] - c5*I5[78];
    *(vp++) = I0[79] + CD0*I1[79] + c2*I2[79] - c5*I5[79];
    *(vp++) = I0[80] + CD0*I1[80] + c2*I2[80] - c5*I5[80];
    *(vp++) = I0[81] + CD0*I1[81] + c2*I2[81] - c5*I5[81];
    *(vp++) = I0[82] + CD0*I1[82] + c2*I2[82] - c5*I5[82];
    *(vp++) = I0[83] + CD0*I1[83] + c2*I2[83] - c5*I5[83];
    *(vp++) = I0[84] + CD0*I1[84] + c2*I2[84] - c5*I5[84];
    *(vp++) = I0[85] + CD0*I1[85] + c2*I2[85] - c5*I5[85];
    *(vp++) = I0[86] + CD0*I1[86] + c2*I2[86] - c5*I5[86];
    *(vp++) = I0[87] + CD0*I1[87] + c2*I2[87] - c5*I5[87];
    *(vp++) = I0[88] + CD0*I1[88] + c2*I2[88] - c5*I5[88];
    *(vp++) = I0[89] + CD0*I1[89] + c2*I2[89] - c5*I5[89];
    *(vp++) = I0[130] + CD1*I1[85] + c3*I3[85] - c6*I6[85];
    *(vp++) = I0[131] + CD1*I1[86] + c3*I3[86] - c6*I6[86];
    *(vp++) = I0[132] + CD1*I1[87] + c3*I3[87] - c6*I6[87];
    *(vp++) = I0[133] + CD1*I1[88] + c3*I3[88] - c6*I6[88];
    *(vp++) = I0[134] + CD1*I1[89] + c3*I3[89] - c6*I6[89];
    *(vp++) = I0[149] + CD2*I1[89] + c4*I4[89] - c7*I7[89];
    *(vp++) = I0[90] + CD0*I1[90] + c2*I2[90] - c5*I5[90];
    *(vp++) = I0[91] + CD0*I1[91] + c2*I2[91] - c5*I5[91];
    *(vp++) = I0[92] + CD0*I1[92] + c2*I2[92] - c5*I5[92];
    *(vp++) = I0[93] + CD0*I1[93] + c2*I2[93] - c5*I5[93];
    *(vp++) = I0[94] + CD0*I1[94] + c2*I2[94] - c5*I5[94];
    *(vp++) = I0[95] + CD0*I1[95] + c2*I2[95] - c5*I5[95];
    *(vp++) = I0[96] + CD0*I1[96] + c2*I2[96] - c5*I5[96];
    *(vp++) = I0[97] + CD0*I1[97] + c2*I2[97] - c5*I5[97];
    *(vp++) = I0[98] + CD0*I1[98] + c2*I2[98] - c5*I5[98];
    *(vp++) = I0[99] + CD0*I1[99] + c2*I2[99] - c5*I5[99];
    *(vp++) = I0[100] + CD0*I1[100] + c2*I2[100] - c5*I5[100];
    *(vp++) = I0[101] + CD0*I1[101] + c2*I2[101] - c5*I5[101];
    *(vp++) = I0[102] + CD0*I1[102] + c2*I2[102] - c5*I5[102];
    *(vp++) = I0[103] + CD0*I1[103] + c2*I2[103] - c5*I5[103];
    *(vp++) = I0[104] + CD0*I1[104] + c2*I2[104] - c5*I5[104];
    *(vp++) = I0[160] + CD1*I1[100] + c3*I3[100] - c6*I6[100];
    *(vp++) = I0[161] + CD1*I1[101] + c3*I3[101] - c6*I6[101];
    *(vp++) = I0[162] + CD1*I1[102] + c3*I3[102] - c6*I6[102];
    *(vp++) = I0[163] + CD1*I1[103] + c3*I3[103] - c6*I6[103];
    *(vp++) = I0[164] + CD1*I1[104] + c3*I3[104] - c6*I6[104];
    *(vp++) = I0[179] + CD2*I1[104] + c4*I4[104] - c7*I7[104];
    *(vp++) = I0[105] + CD0*I1[105] + c2*I2[105] - c5*I5[105];
    *(vp++) = I0[106] + CD0*I1[106] + c2*I2[106] - c5*I5[106];
    *(vp++) = I0[107] + CD0*I1[107] + c2*I2[107] - c5*I5[107];
    *(vp++) = I0[108] + CD0*I1[108] + c2*I2[108] - c5*I5[108];
    *(vp++) = I0[109] + CD0*I1[109] + c2*I2[109] - c5*I5[109];
    *(vp++) = I0[110] + CD0*I1[110] + c2*I2[110] - c5*I5[110];
    *(vp++) = I0[111] + CD0*I1[111] + c2*I2[111] - c5*I5[111];
    *(vp++) = I0[112] + CD0*I1[112] + c2*I2[112] - c5*I5[112];
    *(vp++) = I0[113] + CD0*I1[113] + c2*I2[113] - c5*I5[113];
    *(vp++) = I0[114] + CD0*I1[114] + c2*I2[114] - c5*I5[114];
    *(vp++) = I0[115] + CD0*I1[115] + c2*I2[115] - c5*I5[115];
    *(vp++) = I0[116] + CD0*I1[116] + c2*I2[116] - c5*I5[116];
    *(vp++) = I0[117] + CD0*I1[117] + c2*I2[117] - c5*I5[117];
    *(vp++) = I0[118] + CD0*I1[118] + c2*I2[118] - c5*I5[118];
    *(vp++) = I0[119] + CD0*I1[119] + c2*I2[119] - c5*I5[119];
    *(vp++) = I0[175] + CD1*I1[115] + c3*I3[115] - c6*I6[115];
    *(vp++) = I0[176] + CD1*I1[116] + c3*I3[116] - c6*I6[116];
    *(vp++) = I0[177] + CD1*I1[117] + c3*I3[117] - c6*I6[117];
    *(vp++) = I0[178] + CD1*I1[118] + c3*I3[118] - c6*I6[118];
    *(vp++) = I0[179] + CD1*I1[119] + c3*I3[119] - c6*I6[119];
    *(vp++) = I0[194] + CD2*I1[119] + c4*I4[119] - c7*I7[119];
    *(vp++) = I0[120] + CD0*I1[120] + c2*I2[120] - c5*I5[120];
    *(vp++) = I0[121] + CD0*I1[121] + c2*I2[121] - c5*I5[121];
    *(vp++) = I0[122] + CD0*I1[122] + c2*I2[122] - c5*I5[122];
    *(vp++) = I0[123] + CD0*I1[123] + c2*I2[123] - c5*I5[123];
    *(vp++) = I0[124] + CD0*I1[124] + c2*I2[124] - c5*I5[124];
    *(vp++) = I0[125] + CD0*I1[125] + c2*I2[125] - c5*I5[125];
    *(vp++) = I0[126] + CD0*I1[126] + c2*I2[126] - c5*I5[126];
    *(vp++) = I0[127] + CD0*I1[127] + c2*I2[127] - c5*I5[127];
    *(vp++) = I0[128] + CD0*I1[128] + c2*I2[128] - c5*I5[128];
    *(vp++) = I0[129] + CD0*I1[129] + c2*I2[129] - c5*I5[129];
    *(vp++) = I0[130] + CD0*I1[130] + c2*I2[130] - c5*I5[130];
    *(vp++) = I0[131] + CD0*I1[131] + c2*I2[131] - c5*I5[131];
    *(vp++) = I0[132] + CD0*I1[132] + c2*I2[132] - c5*I5[132];
    *(vp++) = I0[133] + CD0*I1[133] + c2*I2[133] - c5*I5[133];
    *(vp++) = I0[134] + CD0*I1[134] + c2*I2[134] - c5*I5[134];
    *(vp++) = I0[190] + CD1*I1[130] + c3*I3[130] - c6*I6[130];
    *(vp++) = I0[191] + CD1*I1[131] + c3*I3[131] - c6*I6[131];
    *(vp++) = I0[192] + CD1*I1[132] + c3*I3[132] - c6*I6[132];
    *(vp++) = I0[193] + CD1*I1[133] + c3*I3[133] - c6*I6[133];
    *(vp++) = I0[194] + CD1*I1[134] + c3*I3[134] - c6*I6[134];
    *(vp++) = I0[209] + CD2*I1[134] + c4*I4[134] - c7*I7[134];
    *(vp++) = I0[135] + CD0*I1[135] + c2*I2[135] - c5*I5[135];
    *(vp++) = I0[136] + CD0*I1[136] + c2*I2[136] - c5*I5[136];
    *(vp++) = I0[137] + CD0*I1[137] + c2*I2[137] - c5*I5[137];
    *(vp++) = I0[138] + CD0*I1[138] + c2*I2[138] - c5*I5[138];
    *(vp++) = I0[139] + CD0*I1[139] + c2*I2[139] - c5*I5[139];
    *(vp++) = I0[140] + CD0*I1[140] + c2*I2[140] - c5*I5[140];
    *(vp++) = I0[141] + CD0*I1[141] + c2*I2[141] - c5*I5[141];
    *(vp++) = I0[142] + CD0*I1[142] + c2*I2[142] - c5*I5[142];
    *(vp++) = I0[143] + CD0*I1[143] + c2*I2[143] - c5*I5[143];
    *(vp++) = I0[144] + CD0*I1[144] + c2*I2[144] - c5*I5[144];
    *(vp++) = I0[145] + CD0*I1[145] + c2*I2[145] - c5*I5[145];
    *(vp++) = I0[146] + CD0*I1[146] + c2*I2[146] - c5*I5[146];
    *(vp++) = I0[147] + CD0*I1[147] + c2*I2[147] - c5*I5[147];
    *(vp++) = I0[148] + CD0*I1[148] + c2*I2[148] - c5*I5[148];
    *(vp++) = I0[149] + CD0*I1[149] + c2*I2[149] - c5*I5[149];
    *(vp++) = I0[205] + CD1*I1[145] + c3*I3[145] - c6*I6[145];
    *(vp++) = I0[206] + CD1*I1[146] + c3*I3[146] - c6*I6[146];
    *(vp++) = I0[207] + CD1*I1[147] + c3*I3[147] - c6*I6[147];
    *(vp++) = I0[208] + CD1*I1[148] + c3*I3[148] - c6*I6[148];
    *(vp++) = I0[209] + CD1*I1[149] + c3*I3[149] - c6*I6[149];
    *(vp++) = I0[224] + CD2*I1[149] + c4*I4[149] - c7*I7[149];
    *(vp++) = I0[150] + CD0*I1[150] + c2*I2[150] - c5*I5[150];
    *(vp++) = I0[151] + CD0*I1[151] + c2*I2[151] - c5*I5[151];
    *(vp++) = I0[152] + CD0*I1[152] + c2*I2[152] - c5*I5[152];
    *(vp++) = I0[153] + CD0*I1[153] + c2*I2[153] - c5*I5[153];
    *(vp++) = I0[154] + CD0*I1[154] + c2*I2[154] - c5*I5[154];
    *(vp++) = I0[155] + CD0*I1[155] + c2*I2[155] - c5*I5[155];
    *(vp++) = I0[156] + CD0*I1[156] + c2*I2[156] - c5*I5[156];
    *(vp++) = I0[157] + CD0*I1[157] + c2*I2[157] - c5*I5[157];
    *(vp++) = I0[158] + CD0*I1[158] + c2*I2[158] - c5*I5[158];
    *(vp++) = I0[159] + CD0*I1[159] + c2*I2[159] - c5*I5[159];
    *(vp++) = I0[160] + CD0*I1[160] + c2*I2[160] - c5*I5[160];
    *(vp++) = I0[161] + CD0*I1[161] + c2*I2[161] - c5*I5[161];
    *(vp++) = I0[162] + CD0*I1[162] + c2*I2[162] - c5*I5[162];
    *(vp++) = I0[163] + CD0*I1[163] + c2*I2[163] - c5*I5[163];
    *(vp++) = I0[164] + CD0*I1[164] + c2*I2[164] - c5*I5[164];
    *(vp++) = I0[235] + CD1*I1[160] + c3*I3[160] - c6*I6[160];
    *(vp++) = I0[236] + CD1*I1[161] + c3*I3[161] - c6*I6[161];
    *(vp++) = I0[237] + CD1*I1[162] + c3*I3[162] - c6*I6[162];
    *(vp++) = I0[238] + CD1*I1[163] + c3*I3[163] - c6*I6[163];
    *(vp++) = I0[239] + CD1*I1[164] + c3*I3[164] - c6*I6[164];
    *(vp++) = I0[254] + CD2*I1[164] + c4*I4[164] - c7*I7[164];
    *(vp++) = I0[165] + CD0*I1[165] + c2*I2[165] - c5*I5[165];
    *(vp++) = I0[166] + CD0*I1[166] + c2*I2[166] - c5*I5[166];
    *(vp++) = I0[167] + CD0*I1[167] + c2*I2[167] - c5*I5[167];
    *(vp++) = I0[168] + CD0*I1[168] + c2*I2[168] - c5*I5[168];
    *(vp++) = I0[169] + CD0*I1[169] + c2*I2[169] - c5*I5[169];
    *(vp++) = I0[170] + CD0*I1[170] + c2*I2[170] - c5*I5[170];
    *(vp++) = I0[171] + CD0*I1[171] + c2*I2[171] - c5*I5[171];
    *(vp++) = I0[172] + CD0*I1[172] + c2*I2[172] - c5*I5[172];
    *(vp++) = I0[173] + CD0*I1[173] + c2*I2[173] - c5*I5[173];
    *(vp++) = I0[174] + CD0*I1[174] + c2*I2[174] - c5*I5[174];
    *(vp++) = I0[175] + CD0*I1[175] + c2*I2[175] - c5*I5[175];
    *(vp++) = I0[176] + CD0*I1[176] + c2*I2[176] - c5*I5[176];
    *(vp++) = I0[177] + CD0*I1[177] + c2*I2[177] - c5*I5[177];
    *(vp++) = I0[178] + CD0*I1[178] + c2*I2[178] - c5*I5[178];
    *(vp++) = I0[179] + CD0*I1[179] + c2*I2[179] - c5*I5[179];
    *(vp++) = I0[250] + CD1*I1[175] + c3*I3[175] - c6*I6[175];
    *(vp++) = I0[251] + CD1*I1[176] + c3*I3[176] - c6*I6[176];
    *(vp++) = I0[252] + CD1*I1[177] + c3*I3[177] - c6*I6[177];
    *(vp++) = I0[253] + CD1*I1[178] + c3*I3[178] - c6*I6[178];
    *(vp++) = I0[254] + CD1*I1[179] + c3*I3[179] - c6*I6[179];
    *(vp++) = I0[269] + CD2*I1[179] + c4*I4[179] - c7*I7[179];
    *(vp++) = I0[180] + CD0*I1[180] + c2*I2[180] - c5*I5[180];
    *(vp++) = I0[181] + CD0*I1[181] + c2*I2[181] - c5*I5[181];
    *(vp++) = I0[182] + CD0*I1[182] + c2*I2[182] - c5*I5[182];
    *(vp++) = I0[183] + CD0*I1[183] + c2*I2[183] - c5*I5[183];
    *(vp++) = I0[184] + CD0*I1[184] + c2*I2[184] - c5*I5[184];
    *(vp++) = I0[185] + CD0*I1[185] + c2*I2[185] - c5*I5[185];
    *(vp++) = I0[186] + CD0*I1[186] + c2*I2[186] - c5*I5[186];
    *(vp++) = I0[187] + CD0*I1[187] + c2*I2[187] - c5*I5[187];
    *(vp++) = I0[188] + CD0*I1[188] + c2*I2[188] - c5*I5[188];
    *(vp++) = I0[189] + CD0*I1[189] + c2*I2[189] - c5*I5[189];
    *(vp++) = I0[190] + CD0*I1[190] + c2*I2[190] - c5*I5[190];
    *(vp++) = I0[191] + CD0*I1[191] + c2*I2[191] - c5*I5[191];
    *(vp++) = I0[192] + CD0*I1[192] + c2*I2[192] - c5*I5[192];
    *(vp++) = I0[193] + CD0*I1[193] + c2*I2[193] - c5*I5[193];
    *(vp++) = I0[194] + CD0*I1[194] + c2*I2[194] - c5*I5[194];
    *(vp++) = I0[265] + CD1*I1[190] + c3*I3[190] - c6*I6[190];
    *(vp++) = I0[266] + CD1*I1[191] + c3*I3[191] - c6*I6[191];
    *(vp++) = I0[267] + CD1*I1[192] + c3*I3[192] - c6*I6[192];
    *(vp++) = I0[268] + CD1*I1[193] + c3*I3[193] - c6*I6[193];
    *(vp++) = I0[269] + CD1*I1[194] + c3*I3[194] - c6*I6[194];
    *(vp++) = I0[284] + CD2*I1[194] + c4*I4[194] - c7*I7[194];
    *(vp++) = I0[195] + CD0*I1[195] + c2*I2[195] - c5*I5[195];
    *(vp++) = I0[196] + CD0*I1[196] + c2*I2[196] - c5*I5[196];
    *(vp++) = I0[197] + CD0*I1[197] + c2*I2[197] - c5*I5[197];
    *(vp++) = I0[198] + CD0*I1[198] + c2*I2[198] - c5*I5[198];
    *(vp++) = I0[199] + CD0*I1[199] + c2*I2[199] - c5*I5[199];
    *(vp++) = I0[200] + CD0*I1[200] + c2*I2[200] - c5*I5[200];
    *(vp++) = I0[201] + CD0*I1[201] + c2*I2[201] - c5*I5[201];
    *(vp++) = I0[202] + CD0*I1[202] + c2*I2[202] - c5*I5[202];
    *(vp++) = I0[203] + CD0*I1[203] + c2*I2[203] - c5*I5[203];
    *(vp++) = I0[204] + CD0*I1[204] + c2*I2[204] - c5*I5[204];
    *(vp++) = I0[205] + CD0*I1[205] + c2*I2[205] - c5*I5[205];
    *(vp++) = I0[206] + CD0*I1[206] + c2*I2[206] - c5*I5[206];
    *(vp++) = I0[207] + CD0*I1[207] + c2*I2[207] - c5*I5[207];
    *(vp++) = I0[208] + CD0*I1[208] + c2*I2[208] - c5*I5[208];
    *(vp++) = I0[209] + CD0*I1[209] + c2*I2[209] - c5*I5[209];
    *(vp++) = I0[280] + CD1*I1[205] + c3*I3[205] - c6*I6[205];
    *(vp++) = I0[281] + CD1*I1[206] + c3*I3[206] - c6*I6[206];
    *(vp++) = I0[282] + CD1*I1[207] + c3*I3[207] - c6*I6[207];
    *(vp++) = I0[283] + CD1*I1[208] + c3*I3[208] - c6*I6[208];
    *(vp++) = I0[284] + CD1*I1[209] + c3*I3[209] - c6*I6[209];
    *(vp++) = I0[299] + CD2*I1[209] + c4*I4[209] - c7*I7[209];
    *(vp++) = I0[210] + CD0*I1[210] + c2*I2[210] - c5*I5[210];
    *(vp++) = I0[211] + CD0*I1[211] + c2*I2[211] - c5*I5[211];
    *(vp++) = I0[212] + CD0*I1[212] + c2*I2[212] - c5*I5[212];
    *(vp++) = I0[213] + CD0*I1[213] + c2*I2[213] - c5*I5[213];
    *(vp++) = I0[214] + CD0*I1[214] + c2*I2[214] - c5*I5[214];
    *(vp++) = I0[215] + CD0*I1[215] + c2*I2[215] - c5*I5[215];
    *(vp++) = I0[216] + CD0*I1[216] + c2*I2[216] - c5*I5[216];
    *(vp++) = I0[217] + CD0*I1[217] + c2*I2[217] - c5*I5[217];
    *(vp++) = I0[218] + CD0*I1[218] + c2*I2[218] - c5*I5[218];
    *(vp++) = I0[219] + CD0*I1[219] + c2*I2[219] - c5*I5[219];
    *(vp++) = I0[220] + CD0*I1[220] + c2*I2[220] - c5*I5[220];
    *(vp++) = I0[221] + CD0*I1[221] + c2*I2[221] - c5*I5[221];
    *(vp++) = I0[222] + CD0*I1[222] + c2*I2[222] - c5*I5[222];
    *(vp++) = I0[223] + CD0*I1[223] + c2*I2[223] - c5*I5[223];
    *(vp++) = I0[224] + CD0*I1[224] + c2*I2[224] - c5*I5[224];
    *(vp++) = I0[295] + CD1*I1[220] + c3*I3[220] - c6*I6[220];
    *(vp++) = I0[296] + CD1*I1[221] + c3*I3[221] - c6*I6[221];
    *(vp++) = I0[297] + CD1*I1[222] + c3*I3[222] - c6*I6[222];
    *(vp++) = I0[298] + CD1*I1[223] + c3*I3[223] - c6*I6[223];
    *(vp++) = I0[299] + CD1*I1[224] + c3*I3[224] - c6*I6[224];
    *(vp++) = I0[314] + CD2*I1[224] + c4*I4[224] - c7*I7[224];
    I0 += 315;
    I1 += 225;
    I2 += 225;
    I3 += 225;
    I4 += 225;
    I5 += 225;
    I6 += 225;
    I7 += 225;
  }
}
