#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_dph0(Libderiv_t *, prim_data *);

  /* Computes derivatives of (dp|h0) integrals */

void d1hrr_order_dph0(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[2][5][11] = int_stack + 0;
 Libderiv->deriv_classes[3][5][11] = int_stack + 126;
 Libderiv->deriv_classes[2][5][10] = int_stack + 336;
 Libderiv->deriv_classes[3][5][10] = int_stack + 462;
 Libderiv->deriv_classes[2][5][9] = int_stack + 672;
 Libderiv->deriv_classes[3][5][9] = int_stack + 798;
 Libderiv->deriv_classes[2][5][8] = int_stack + 1008;
 Libderiv->deriv_classes[3][5][8] = int_stack + 1134;
 Libderiv->deriv_classes[2][5][7] = int_stack + 1344;
 Libderiv->deriv_classes[3][5][7] = int_stack + 1470;
 Libderiv->deriv_classes[2][5][6] = int_stack + 1680;
 Libderiv->deriv_classes[3][5][6] = int_stack + 1806;
 Libderiv->deriv_classes[2][5][2] = int_stack + 2016;
 Libderiv->deriv_classes[3][5][2] = int_stack + 2142;
 Libderiv->deriv_classes[2][5][1] = int_stack + 2352;
 Libderiv->deriv_classes[3][5][1] = int_stack + 2478;
 Libderiv->dvrr_classes[2][5] = int_stack + 2688;
 Libderiv->deriv_classes[2][5][0] = int_stack + 2814;
 Libderiv->deriv_classes[3][5][0] = int_stack + 2940;
 memset(int_stack,0,25200);

 Libderiv->dvrr_stack = int_stack + 3906;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_dph0(Libderiv, Data);
   Data++;
 }

 /*--- compute (dp|h0) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+3150,int_stack+126,int_stack+0,21);
     Libderiv->ABCD[11] = int_stack + 3150;
 /*--- compute (dp|h0) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+3528,int_stack+462,int_stack+336,21);
     Libderiv->ABCD[10] = int_stack + 3528;
 /*--- compute (dp|h0) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+0,int_stack+798,int_stack+672,21);
     Libderiv->ABCD[9] = int_stack + 0;
 /*--- compute (dp|h0) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+378,int_stack+1134,int_stack+1008,21);
     Libderiv->ABCD[8] = int_stack + 378;
 /*--- compute (dp|h0) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+756,int_stack+1470,int_stack+1344,21);
     Libderiv->ABCD[7] = int_stack + 756;
 /*--- compute (dp|h0) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+1134,int_stack+1806,int_stack+1680,21);
     Libderiv->ABCD[6] = int_stack + 1134;
 /*--- compute (dp|h0) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+1512,int_stack+2142,int_stack+2016, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2688, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[2] = int_stack + 1512;
 /*--- compute (dp|h0) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+1890,int_stack+2478,int_stack+2352, 0.0, zero_stack, 1.0, int_stack+2688, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[1] = int_stack + 1890;
 /*--- compute (dp|h0) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+2268,int_stack+2940,int_stack+2814, 1.0, int_stack+2688, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[0] = int_stack + 2268;

}
