#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_dphp(Libderiv_t *, prim_data *);

  /* Computes derivatives of (dp|hp) integrals */

void d1hrr_order_dphp(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[2][5][11] = int_stack + 0;
 Libderiv->deriv_classes[2][6][11] = int_stack + 126;
 Libderiv->deriv_classes[3][5][11] = int_stack + 294;
 Libderiv->deriv_classes[3][6][11] = int_stack + 504;
 Libderiv->deriv_classes[2][5][10] = int_stack + 784;
 Libderiv->deriv_classes[2][6][10] = int_stack + 910;
 Libderiv->deriv_classes[3][5][10] = int_stack + 1078;
 Libderiv->deriv_classes[3][6][10] = int_stack + 1288;
 Libderiv->deriv_classes[2][5][9] = int_stack + 1568;
 Libderiv->deriv_classes[2][6][9] = int_stack + 1694;
 Libderiv->deriv_classes[3][5][9] = int_stack + 1862;
 Libderiv->deriv_classes[3][6][9] = int_stack + 2072;
 Libderiv->deriv_classes[2][5][8] = int_stack + 2352;
 Libderiv->deriv_classes[2][6][8] = int_stack + 2478;
 Libderiv->deriv_classes[3][5][8] = int_stack + 2646;
 Libderiv->deriv_classes[3][6][8] = int_stack + 2856;
 Libderiv->deriv_classes[2][5][7] = int_stack + 3136;
 Libderiv->deriv_classes[2][6][7] = int_stack + 3262;
 Libderiv->deriv_classes[3][5][7] = int_stack + 3430;
 Libderiv->deriv_classes[3][6][7] = int_stack + 3640;
 Libderiv->deriv_classes[2][5][6] = int_stack + 3920;
 Libderiv->deriv_classes[2][6][6] = int_stack + 4046;
 Libderiv->dvrr_classes[3][5] = int_stack + 4214;
 Libderiv->deriv_classes[3][5][6] = int_stack + 4424;
 Libderiv->deriv_classes[3][6][6] = int_stack + 4634;
 Libderiv->deriv_classes[2][5][2] = int_stack + 4914;
 Libderiv->deriv_classes[2][6][2] = int_stack + 5040;
 Libderiv->deriv_classes[3][5][2] = int_stack + 5208;
 Libderiv->deriv_classes[3][6][2] = int_stack + 5418;
 Libderiv->deriv_classes[2][5][1] = int_stack + 5698;
 Libderiv->deriv_classes[2][6][1] = int_stack + 5824;
 Libderiv->deriv_classes[3][5][1] = int_stack + 5992;
 Libderiv->deriv_classes[3][6][1] = int_stack + 6202;
 Libderiv->dvrr_classes[2][5] = int_stack + 6482;
 Libderiv->dvrr_classes[2][6] = int_stack + 6608;
 Libderiv->deriv_classes[2][5][0] = int_stack + 6776;
 Libderiv->deriv_classes[2][6][0] = int_stack + 6902;
 Libderiv->deriv_classes[3][5][0] = int_stack + 7070;
 Libderiv->deriv_classes[3][6][0] = int_stack + 7280;
 memset(int_stack,0,60480);

 Libderiv->dvrr_stack = int_stack + 13860;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_dphp(Libderiv, Data);
   Data++;
 }

 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7560,int_stack+126,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6482,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7938,int_stack+504,int_stack+294, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4214,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+910,int_stack+784, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6482, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+378,int_stack+1288,int_stack+1078, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4214, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1008,int_stack+1694,int_stack+1568, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6482, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+8568,int_stack+2072,int_stack+1862, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4214, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1386,int_stack+2478,int_stack+2352, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+6482, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1764,int_stack+2856,int_stack+2646, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4214, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+2394,int_stack+3262,int_stack+3136, 0.0, zero_stack, 1.0, int_stack+6482, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+2772,int_stack+3640,int_stack+3430, 0.0, zero_stack, 1.0, int_stack+4214, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3402,int_stack+4046,int_stack+3920, 1.0, int_stack+6482, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+9198,int_stack+4634,int_stack+4424, 1.0, int_stack+4214, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+3780,int_stack+6608,int_stack+6482,6);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+4158,int_stack+5040,int_stack+4914,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+4536,int_stack+5418,int_stack+5208,10);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+5166,int_stack+5824,int_stack+5698,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+9828,int_stack+6202,int_stack+5992,10);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+5544,int_stack+6902,int_stack+6776,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+5922,int_stack+7280,int_stack+7070,10);
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+10458,int_stack+7938,int_stack+7560,63);
     Libderiv->ABCD[11] = int_stack + 10458;
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+6552,int_stack+378,int_stack+0,63);
     Libderiv->ABCD[10] = int_stack + 6552;
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+11592,int_stack+8568,int_stack+1008,63);
     Libderiv->ABCD[9] = int_stack + 11592;
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+0,int_stack+1764,int_stack+1386,63);
     Libderiv->ABCD[8] = int_stack + 0;
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+1134,int_stack+2772,int_stack+2394,63);
     Libderiv->ABCD[7] = int_stack + 1134;
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+2268,int_stack+9198,int_stack+3402,63);
     Libderiv->ABCD[6] = int_stack + 2268;
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+7686,int_stack+4536,int_stack+4158, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[2] = int_stack + 7686;
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+12726,int_stack+9828,int_stack+5166, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[1] = int_stack + 12726;
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+4158,int_stack+5922,int_stack+5544, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[0] = int_stack + 4158;

}
