#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_gphp(Libderiv_t *, prim_data *);

  /* Computes derivatives of (gp|hp) integrals */

void d1hrr_order_gphp(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[4][5][11] = int_stack + 0;
 Libderiv->deriv_classes[4][6][11] = int_stack + 315;
 Libderiv->deriv_classes[5][5][11] = int_stack + 735;
 Libderiv->deriv_classes[5][6][11] = int_stack + 1176;
 Libderiv->deriv_classes[4][5][10] = int_stack + 1764;
 Libderiv->deriv_classes[4][6][10] = int_stack + 2079;
 Libderiv->deriv_classes[5][5][10] = int_stack + 2499;
 Libderiv->deriv_classes[5][6][10] = int_stack + 2940;
 Libderiv->deriv_classes[4][5][9] = int_stack + 3528;
 Libderiv->deriv_classes[4][6][9] = int_stack + 3843;
 Libderiv->deriv_classes[5][5][9] = int_stack + 4263;
 Libderiv->deriv_classes[5][6][9] = int_stack + 4704;
 Libderiv->deriv_classes[4][5][8] = int_stack + 5292;
 Libderiv->deriv_classes[4][6][8] = int_stack + 5607;
 Libderiv->deriv_classes[5][5][8] = int_stack + 6027;
 Libderiv->deriv_classes[5][6][8] = int_stack + 6468;
 Libderiv->deriv_classes[4][5][7] = int_stack + 7056;
 Libderiv->deriv_classes[4][6][7] = int_stack + 7371;
 Libderiv->deriv_classes[5][5][7] = int_stack + 7791;
 Libderiv->deriv_classes[5][6][7] = int_stack + 8232;
 Libderiv->deriv_classes[4][5][6] = int_stack + 8820;
 Libderiv->deriv_classes[4][6][6] = int_stack + 9135;
 Libderiv->dvrr_classes[5][5] = int_stack + 9555;
 Libderiv->deriv_classes[5][5][6] = int_stack + 9996;
 Libderiv->deriv_classes[5][6][6] = int_stack + 10437;
 Libderiv->deriv_classes[4][5][2] = int_stack + 11025;
 Libderiv->deriv_classes[4][6][2] = int_stack + 11340;
 Libderiv->deriv_classes[5][5][2] = int_stack + 11760;
 Libderiv->deriv_classes[5][6][2] = int_stack + 12201;
 Libderiv->deriv_classes[4][5][1] = int_stack + 12789;
 Libderiv->deriv_classes[4][6][1] = int_stack + 13104;
 Libderiv->deriv_classes[5][5][1] = int_stack + 13524;
 Libderiv->deriv_classes[5][6][1] = int_stack + 13965;
 Libderiv->dvrr_classes[4][5] = int_stack + 14553;
 Libderiv->dvrr_classes[4][6] = int_stack + 14868;
 Libderiv->deriv_classes[4][5][0] = int_stack + 15288;
 Libderiv->deriv_classes[4][6][0] = int_stack + 15603;
 Libderiv->deriv_classes[5][5][0] = int_stack + 16023;
 Libderiv->deriv_classes[5][6][0] = int_stack + 16464;
 memset(int_stack,0,136416);

 Libderiv->dvrr_stack = int_stack + 31794;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_gphp(Libderiv, Data);
   Data++;
 }

 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+17052,int_stack+315,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14553,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+17997,int_stack+1176,int_stack+735, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9555,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+2079,int_stack+1764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14553, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+945,int_stack+2940,int_stack+2499, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9555, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+2268,int_stack+3843,int_stack+3528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14553, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+19320,int_stack+4704,int_stack+4263, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9555, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+3213,int_stack+5607,int_stack+5292, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14553, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+4158,int_stack+6468,int_stack+6027, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9555, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5481,int_stack+7371,int_stack+7056, 0.0, zero_stack, 1.0, int_stack+14553, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+6426,int_stack+8232,int_stack+7791, 0.0, zero_stack, 1.0, int_stack+9555, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+7749,int_stack+9135,int_stack+8820, 1.0, int_stack+14553, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+20643,int_stack+10437,int_stack+9996, 1.0, int_stack+9555, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+8694,int_stack+14868,int_stack+14553,15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+9639,int_stack+11340,int_stack+11025,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+21966,int_stack+12201,int_stack+11760,21);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+10584,int_stack+13104,int_stack+12789,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+11529,int_stack+13965,int_stack+13524,21);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+12852,int_stack+15603,int_stack+15288,15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+13797,int_stack+16464,int_stack+16023,21);
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+23289,int_stack+17997,int_stack+17052,63);
     Libderiv->ABCD[11] = int_stack + 23289;
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+15120,int_stack+945,int_stack+0,63);
     Libderiv->ABCD[10] = int_stack + 15120;
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+26124,int_stack+19320,int_stack+2268,63);
     Libderiv->ABCD[9] = int_stack + 26124;
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+0,int_stack+4158,int_stack+3213,63);
     Libderiv->ABCD[8] = int_stack + 0;
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+28959,int_stack+6426,int_stack+5481,63);
     Libderiv->ABCD[7] = int_stack + 28959;
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+2835,int_stack+20643,int_stack+7749,63);
     Libderiv->ABCD[6] = int_stack + 2835;
 /*--- compute (gp|hp) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+5670,int_stack+21966,int_stack+9639, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8694, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[2] = int_stack + 5670;
 /*--- compute (gp|hp) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+17955,int_stack+11529,int_stack+10584, 0.0, zero_stack, 1.0, int_stack+8694, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[1] = int_stack + 17955;
 /*--- compute (gp|hp) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+9639,int_stack+13797,int_stack+12852, 1.0, int_stack+8694, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[0] = int_stack + 9639;

}
