#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_00if(Libint_t*, prim_data*);

  /* Computes quartets of (00|if) integrals */

REALTYPE *hrr_order_00if(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[0][6] = int_stack + 0;
 Libint->vrr_classes[0][7] = int_stack + 28;
 Libint->vrr_classes[0][8] = int_stack + 64;
 Libint->vrr_classes[0][9] = int_stack + 109;
 memset(int_stack,0,164*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 164;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_00if(Libint, Data);
   Data++;
 }
 /*--- compute (00|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+164,int_stack+28,int_stack+0,1);
 /*--- compute (00|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+248,int_stack+64,int_stack+28,1);
 /*--- compute (00|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+356,int_stack+248,int_stack+164,1);
 /*--- compute (00|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+524,int_stack+109,int_stack+64,1);
 /*--- compute (00|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+0,int_stack+524,int_stack+248,1);
 /*--- compute (00|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+524,int_stack+0,int_stack+356,1);
 return int_stack+524;}
