#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ffih(Libint_t*, prim_data*);

  /* Computes quartets of (ff|ih) integrals */

REALTYPE *hrr_order_ffih(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][6] = int_stack + 0;
 Libint->vrr_classes[3][7] = int_stack + 280;
 Libint->vrr_classes[3][8] = int_stack + 640;
 Libint->vrr_classes[3][9] = int_stack + 1090;
 Libint->vrr_classes[3][10] = int_stack + 1640;
 Libint->vrr_classes[3][11] = int_stack + 2300;
 Libint->vrr_classes[4][6] = int_stack + 3080;
 Libint->vrr_classes[4][7] = int_stack + 3500;
 Libint->vrr_classes[4][8] = int_stack + 4040;
 Libint->vrr_classes[4][9] = int_stack + 4715;
 Libint->vrr_classes[4][10] = int_stack + 5540;
 Libint->vrr_classes[4][11] = int_stack + 6530;
 Libint->vrr_classes[5][6] = int_stack + 7700;
 Libint->vrr_classes[5][7] = int_stack + 8288;
 Libint->vrr_classes[5][8] = int_stack + 9044;
 Libint->vrr_classes[5][9] = int_stack + 9989;
 Libint->vrr_classes[5][10] = int_stack + 11144;
 Libint->vrr_classes[5][11] = int_stack + 12530;
 Libint->vrr_classes[6][6] = int_stack + 14168;
 Libint->vrr_classes[6][7] = int_stack + 14952;
 Libint->vrr_classes[6][8] = int_stack + 15960;
 Libint->vrr_classes[6][9] = int_stack + 17220;
 Libint->vrr_classes[6][10] = int_stack + 18760;
 Libint->vrr_classes[6][11] = int_stack + 20608;
 memset(int_stack,0,22792*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 22792;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ffih(Libint, Data);
   Data++;
 }
 /*--- compute (f0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+22792,int_stack+280,int_stack+0,10);
 /*--- compute (f0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+23632,int_stack+640,int_stack+280,10);
 /*--- compute (f0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+24712,int_stack+23632,int_stack+22792,10);
 /*--- compute (f0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+26392,int_stack+1090,int_stack+640,10);
 /*--- compute (f0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+27742,int_stack+26392,int_stack+23632,10);
 /*--- compute (f0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+29902,int_stack+27742,int_stack+24712,10);
 /*--- compute (f0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+22792,int_stack+1640,int_stack+1090,10);
 /*--- compute (f0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+32702,int_stack+22792,int_stack+26392,10);
 /*--- compute (f0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+35402,int_stack+32702,int_stack+27742,10);
 /*--- compute (f0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+24442,int_stack+35402,int_stack+29902,10);
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+28642,int_stack+2300,int_stack+1640,10);
 /*--- compute (f0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+39002,int_stack+28642,int_stack+22792,10);
 /*--- compute (f0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+42302,int_stack+39002,int_stack+32702,10);
 /*--- compute (f0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+28642,int_stack+42302,int_stack+35402,10);
 /*--- compute (f0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+34042,int_stack+28642,int_stack+24442,10);
 /*--- compute (g0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+22792,int_stack+3500,int_stack+3080,15);
 /*--- compute (g0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+24052,int_stack+4040,int_stack+3500,15);
 /*--- compute (g0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+25672,int_stack+24052,int_stack+22792,15);
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+28192,int_stack+4715,int_stack+4040,15);
 /*--- compute (g0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+30217,int_stack+28192,int_stack+24052,15);
 /*--- compute (g0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+39922,int_stack+30217,int_stack+25672,15);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+22792,int_stack+5540,int_stack+4715,15);
 /*--- compute (g0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+0,int_stack+22792,int_stack+28192,15);
 /*--- compute (g0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+44122,int_stack+0,int_stack+30217,15);
 /*--- compute (g0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+25267,int_stack+44122,int_stack+39922,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+39922,int_stack+6530,int_stack+5540,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+49522,int_stack+39922,int_stack+22792,15);
 /*--- compute (g0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+54472,int_stack+49522,int_stack+0,15);
 /*--- compute (g0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+61222,int_stack+54472,int_stack+44122,15);
 /*--- compute (g0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+39922,int_stack+61222,int_stack+25267,15);
 /*--- compute (fp|ih) ---*/
 hrr1_build_fp(Libint->AB,int_stack+48742,int_stack+39922,int_stack+34042,588);
 /*--- compute (h0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+0,int_stack+8288,int_stack+7700,21);
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+1764,int_stack+9044,int_stack+8288,21);
 /*--- compute (h0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+4032,int_stack+1764,int_stack+0,21);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+22792,int_stack+9989,int_stack+9044,21);
 /*--- compute (h0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+25627,int_stack+22792,int_stack+1764,21);
 /*--- compute (h0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+30163,int_stack+25627,int_stack+4032,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+11144,int_stack+9989,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+3465,int_stack+0,int_stack+22792,21);
 /*--- compute (h0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+66382,int_stack+3465,int_stack+25627,21);
 /*--- compute (h0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+73942,int_stack+66382,int_stack+30163,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+22792,int_stack+12530,int_stack+11144,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+26950,int_stack+22792,int_stack+0,21);
 /*--- compute (h0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+82762,int_stack+26950,int_stack+3465,21);
 /*--- compute (h0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+0,int_stack+82762,int_stack+66382,21);
 /*--- compute (h0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+22792,int_stack+0,int_stack+73942,21);
 /*--- compute (gp|ih) ---*/
 hrr1_build_gp(Libint->AB,int_stack+66382,int_stack+22792,int_stack+39922,588);
 /*--- compute (fd|ih) ---*/
 hrr1_build_fd(Libint->AB,int_stack+92842,int_stack+66382,int_stack+48742,588);
 /*--- compute (i0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+0,int_stack+14952,int_stack+14168,28);
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+2352,int_stack+15960,int_stack+14952,28);
 /*--- compute (i0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+5376,int_stack+2352,int_stack+0,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+10080,int_stack+17220,int_stack+15960,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+35140,int_stack+10080,int_stack+2352,28);
 /*--- compute (i0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+41188,int_stack+35140,int_stack+5376,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+18760,int_stack+17220,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+49028,int_stack+0,int_stack+10080,28);
 /*--- compute (i0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+4620,int_stack+49028,int_stack+35140,28);
 /*--- compute (i0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+128122,int_stack+4620,int_stack+41188,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+35140,int_stack+20608,int_stack+18760,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+56588,int_stack+35140,int_stack+0,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+35140,int_stack+56588,int_stack+49028,28);
 /*--- compute (i0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+47740,int_stack+35140,int_stack+4620,28);
 /*--- compute (i0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+0,int_stack+47740,int_stack+128122,28);
 /*--- compute (hp|ih) ---*/
 hrr1_build_hp(Libint->AB,int_stack+128122,int_stack+0,int_stack+22792,588);
 /*--- compute (gd|ih) ---*/
 hrr1_build_gd(Libint->AB,int_stack+0,int_stack+128122,int_stack+66382,588);
 /*--- compute (ff|ih) ---*/
 hrr1_build_ff(Libint->AB,int_stack+128122,int_stack+0,int_stack+92842,588);
 return int_stack+128122;}
