#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gpki(Libint_t*, prim_data*);

  /* Computes quartets of (gp|ki) integrals */

REALTYPE *hrr_order_gpki(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][7] = int_stack + 0;
 Libint->vrr_classes[4][8] = int_stack + 540;
 Libint->vrr_classes[4][9] = int_stack + 1215;
 Libint->vrr_classes[4][10] = int_stack + 2040;
 Libint->vrr_classes[4][11] = int_stack + 3030;
 Libint->vrr_classes[4][12] = int_stack + 4200;
 Libint->vrr_classes[4][13] = int_stack + 5565;
 Libint->vrr_classes[5][7] = int_stack + 7140;
 Libint->vrr_classes[5][8] = int_stack + 7896;
 Libint->vrr_classes[5][9] = int_stack + 8841;
 Libint->vrr_classes[5][10] = int_stack + 9996;
 Libint->vrr_classes[5][11] = int_stack + 11382;
 Libint->vrr_classes[5][12] = int_stack + 13020;
 Libint->vrr_classes[5][13] = int_stack + 14931;
 memset(int_stack,0,17136*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 17136;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gpki(Libint, Data);
   Data++;
 }
 /*--- compute (g0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+17136,int_stack+540,int_stack+0,15);
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+18756,int_stack+1215,int_stack+540,15);
 /*--- compute (g0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+20781,int_stack+18756,int_stack+17136,15);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+24021,int_stack+2040,int_stack+1215,15);
 /*--- compute (g0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+26496,int_stack+24021,int_stack+18756,15);
 /*--- compute (g0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+30546,int_stack+26496,int_stack+20781,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+17136,int_stack+3030,int_stack+2040,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+35946,int_stack+17136,int_stack+24021,15);
 /*--- compute (g0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+40896,int_stack+35946,int_stack+26496,15);
 /*--- compute (g0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+20106,int_stack+40896,int_stack+30546,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+28206,int_stack+4200,int_stack+3030,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+47646,int_stack+28206,int_stack+17136,15);
 /*--- compute (g0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+53586,int_stack+47646,int_stack+35946,15);
 /*--- compute (g0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+61836,int_stack+53586,int_stack+40896,15);
 /*--- compute (g0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+31716,int_stack+61836,int_stack+20106,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+17136,int_stack+5565,int_stack+4200,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+17136,int_stack+28206,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+17136,int_stack+0,int_stack+47646,15);
 /*--- compute (g0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+71961,int_stack+17136,int_stack+53586,15);
 /*--- compute (g0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+17136,int_stack+71961,int_stack+61836,15);
 /*--- compute (g0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+43056,int_stack+17136,int_stack+31716,15);
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+17136,int_stack+7896,int_stack+7140,21);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+19404,int_stack+8841,int_stack+7896,21);
 /*--- compute (h0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+22239,int_stack+19404,int_stack+17136,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+26775,int_stack+9996,int_stack+8841,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+30240,int_stack+26775,int_stack+19404,21);
 /*--- compute (h0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+0,int_stack+30240,int_stack+22239,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+17136,int_stack+11382,int_stack+9996,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+35910,int_stack+17136,int_stack+26775,21);
 /*--- compute (h0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+58176,int_stack+35910,int_stack+30240,21);
 /*--- compute (h0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+21294,int_stack+58176,int_stack+0,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+13020,int_stack+11382,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+67626,int_stack+0,int_stack+17136,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+75942,int_stack+67626,int_stack+35910,21);
 /*--- compute (h0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+87492,int_stack+75942,int_stack+58176,21);
 /*--- compute (h0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+101667,int_stack+87492,int_stack+21294,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+58176,int_stack+14931,int_stack+13020,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+4914,int_stack+58176,int_stack+0,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+14742,int_stack+4914,int_stack+67626,21);
 /*--- compute (h0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+58176,int_stack+14742,int_stack+75942,21);
 /*--- compute (h0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+0,int_stack+58176,int_stack+87492,21);
 /*--- compute (h0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+58176,int_stack+0,int_stack+101667,21);
 /*--- compute (gp|ki) ---*/
 hrr1_build_gp(Libint->AB,int_stack+79344,int_stack+58176,int_stack+43056,1008);
 return int_stack+79344;}
