#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_h0id(Libint_t*, prim_data*);

  /* Computes quartets of (h0|id) integrals */

REALTYPE *hrr_order_h0id(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][6] = int_stack + 0;
 Libint->vrr_classes[5][7] = int_stack + 588;
 Libint->vrr_classes[5][8] = int_stack + 1344;
 memset(int_stack,0,2289*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 2289;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_h0id(Libint, Data);
   Data++;
 }
 /*--- compute (h0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+2289,int_stack+588,int_stack+0,21);
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+4053,int_stack+1344,int_stack+588,21);
 /*--- compute (h0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+6321,int_stack+4053,int_stack+2289,21);
 return int_stack+6321;}
