#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hhkh(Libint_t*, prim_data*);

  /* Computes quartets of (hh|kh) integrals */

REALTYPE *hrr_order_hhkh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][7] = int_stack + 0;
 Libint->vrr_classes[5][8] = int_stack + 756;
 Libint->vrr_classes[5][9] = int_stack + 1701;
 Libint->vrr_classes[5][10] = int_stack + 2856;
 Libint->vrr_classes[5][11] = int_stack + 4242;
 Libint->vrr_classes[5][12] = int_stack + 5880;
 Libint->vrr_classes[6][7] = int_stack + 7791;
 Libint->vrr_classes[6][8] = int_stack + 8799;
 Libint->vrr_classes[6][9] = int_stack + 10059;
 Libint->vrr_classes[6][10] = int_stack + 11599;
 Libint->vrr_classes[6][11] = int_stack + 13447;
 Libint->vrr_classes[6][12] = int_stack + 15631;
 Libint->vrr_classes[7][7] = int_stack + 18179;
 Libint->vrr_classes[7][8] = int_stack + 19475;
 Libint->vrr_classes[7][9] = int_stack + 21095;
 Libint->vrr_classes[7][10] = int_stack + 23075;
 Libint->vrr_classes[7][11] = int_stack + 25451;
 Libint->vrr_classes[7][12] = int_stack + 28259;
 Libint->vrr_classes[8][7] = int_stack + 31535;
 Libint->vrr_classes[8][8] = int_stack + 33155;
 Libint->vrr_classes[8][9] = int_stack + 35180;
 Libint->vrr_classes[8][10] = int_stack + 37655;
 Libint->vrr_classes[8][11] = int_stack + 40625;
 Libint->vrr_classes[8][12] = int_stack + 44135;
 Libint->vrr_classes[9][7] = int_stack + 48230;
 Libint->vrr_classes[9][8] = int_stack + 50210;
 Libint->vrr_classes[9][9] = int_stack + 52685;
 Libint->vrr_classes[9][10] = int_stack + 55710;
 Libint->vrr_classes[9][11] = int_stack + 59340;
 Libint->vrr_classes[9][12] = int_stack + 63630;
 Libint->vrr_classes[10][7] = int_stack + 68635;
 Libint->vrr_classes[10][8] = int_stack + 71011;
 Libint->vrr_classes[10][9] = int_stack + 73981;
 Libint->vrr_classes[10][10] = int_stack + 77611;
 Libint->vrr_classes[10][11] = int_stack + 81967;
 Libint->vrr_classes[10][12] = int_stack + 87115;
 memset(int_stack,0,93121*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 93121;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hhkh(Libint, Data);
   Data++;
 }
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+93121,int_stack+756,int_stack+0,21);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+95389,int_stack+1701,int_stack+756,21);
 /*--- compute (h0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+98224,int_stack+95389,int_stack+93121,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+102760,int_stack+2856,int_stack+1701,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+106225,int_stack+102760,int_stack+95389,21);
 /*--- compute (h0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+111895,int_stack+106225,int_stack+98224,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+93121,int_stack+4242,int_stack+2856,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+119455,int_stack+93121,int_stack+102760,21);
 /*--- compute (h0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+126385,int_stack+119455,int_stack+106225,21);
 /*--- compute (h0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+97279,int_stack+126385,int_stack+111895,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+108619,int_stack+5880,int_stack+4242,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+135835,int_stack+108619,int_stack+93121,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+144151,int_stack+135835,int_stack+119455,21);
 /*--- compute (h0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+108619,int_stack+144151,int_stack+126385,21);
 /*--- compute (h0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+122794,int_stack+108619,int_stack+97279,21);
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+93121,int_stack+8799,int_stack+7791,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+96145,int_stack+10059,int_stack+8799,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+99925,int_stack+96145,int_stack+93121,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+105973,int_stack+11599,int_stack+10059,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+110593,int_stack+105973,int_stack+96145,28);
 /*--- compute (i0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+138670,int_stack+110593,int_stack+99925,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+93121,int_stack+13447,int_stack+11599,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+93121,int_stack+105973,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+148750,int_stack+0,int_stack+110593,28);
 /*--- compute (i0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+98665,int_stack+148750,int_stack+138670,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+138670,int_stack+15631,int_stack+13447,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+161350,int_stack+138670,int_stack+93121,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+172438,int_stack+161350,int_stack+0,28);
 /*--- compute (i0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+187838,int_stack+172438,int_stack+148750,28);
 /*--- compute (i0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+138670,int_stack+187838,int_stack+98665,28);
 /*--- compute (hp|kh) ---*/
 hrr1_build_hp(Libint->AB,int_stack+159838,int_stack+138670,int_stack+122794,756);
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+19475,int_stack+18179,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+3888,int_stack+21095,int_stack+19475,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+8748,int_stack+3888,int_stack+0,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+93121,int_stack+23075,int_stack+21095,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+99061,int_stack+93121,int_stack+3888,36);
 /*--- compute (k0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+108781,int_stack+99061,int_stack+8748,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+25451,int_stack+23075,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+7128,int_stack+0,int_stack+93121,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+121741,int_stack+7128,int_stack+99061,36);
 /*--- compute (k0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+207466,int_stack+121741,int_stack+108781,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+93121,int_stack+28259,int_stack+25451,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+101545,int_stack+93121,int_stack+0,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+226906,int_stack+101545,int_stack+7128,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+0,int_stack+226906,int_stack+121741,36);
 /*--- compute (k0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+93121,int_stack+0,int_stack+207466,36);
 /*--- compute (ip|kh) ---*/
 hrr1_build_ip(Libint->AB,int_stack+207466,int_stack+93121,int_stack+138670,756);
 /*--- compute (hd|kh) ---*/
 hrr1_build_hd(Libint->AB,int_stack+270970,int_stack+207466,int_stack+159838,756);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+33155,int_stack+31535,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+4860,int_stack+35180,int_stack+33155,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+10935,int_stack+4860,int_stack+0,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+20655,int_stack+37655,int_stack+35180,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+120337,int_stack+20655,int_stack+4860,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+132487,int_stack+120337,int_stack+10935,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+40625,int_stack+37655,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+148687,int_stack+0,int_stack+20655,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+8910,int_stack+148687,int_stack+120337,45);
 /*--- compute (l0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+163537,int_stack+8910,int_stack+132487,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+120337,int_stack+44135,int_stack+40625,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+130867,int_stack+120337,int_stack+0,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+366226,int_stack+130867,int_stack+148687,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+120337,int_stack+366226,int_stack+8910,45);
 /*--- compute (l0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+0,int_stack+120337,int_stack+163537,45);
 /*--- compute (kp|kh) ---*/
 hrr1_build_kp(Libint->AB,int_stack+120337,int_stack+0,int_stack+93121,756);
 /*--- compute (id|kh) ---*/
 hrr1_build_id(Libint->AB,int_stack+366226,int_stack+120337,int_stack+207466,756);
 /*--- compute (hf|kh) ---*/
 hrr1_build_hf(Libint->AB,int_stack+493234,int_stack+366226,int_stack+270970,756);
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+93121,int_stack+50210,int_stack+48230,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+99061,int_stack+52685,int_stack+50210,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+106486,int_stack+99061,int_stack+93121,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+201985,int_stack+55710,int_stack+52685,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+211060,int_stack+201985,int_stack+99061,55);
 /*--- compute (m0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+225910,int_stack+211060,int_stack+106486,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+93121,int_stack+59340,int_stack+55710,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+245710,int_stack+93121,int_stack+201985,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+263860,int_stack+245710,int_stack+211060,55);
 /*--- compute (m0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+288610,int_stack+263860,int_stack+225910,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+201985,int_stack+63630,int_stack+59340,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+214855,int_stack+201985,int_stack+93121,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+318310,int_stack+214855,int_stack+245710,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+201985,int_stack+318310,int_stack+263860,55);
 /*--- compute (m0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+318310,int_stack+201985,int_stack+288610,55);
 /*--- compute (lp|kh) ---*/
 hrr1_build_lp(Libint->AB,int_stack+201985,int_stack+318310,int_stack+0,756);
 /*--- compute (kd|kh) ---*/
 hrr1_build_kd(Libint->AB,int_stack+651994,int_stack+201985,int_stack+120337,756);
 /*--- compute (if|kh) ---*/
 hrr1_build_if(Libint->AB,int_stack+815290,int_stack+651994,int_stack+366226,756);
 /*--- compute (hg|kh) ---*/
 hrr1_build_hg(Libint->AB,int_stack+1026970,int_stack+815290,int_stack+493234,756);
 /*--- compute (n0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+71011,int_stack+68635,66);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+7128,int_stack+73981,int_stack+71011,66);
 /*--- compute (n0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+16038,int_stack+7128,int_stack+0,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+30294,int_stack+77611,int_stack+73981,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+41184,int_stack+30294,int_stack+7128,66);
 /*--- compute (n0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+359890,int_stack+41184,int_stack+16038,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+81967,int_stack+77611,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+59004,int_stack+0,int_stack+30294,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+383650,int_stack+59004,int_stack+41184,66);
 /*--- compute (n0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+13068,int_stack+383650,int_stack+359890,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+359890,int_stack+87115,int_stack+81967,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+80784,int_stack+359890,int_stack+0,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+106920,int_stack+80784,int_stack+59004,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+48708,int_stack+106920,int_stack+383650,66);
 /*--- compute (n0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+359890,int_stack+48708,int_stack+13068,66);
 /*--- compute (mp|kh) ---*/
 hrr1_build_mp(Libint->AB,int_stack+0,int_stack+359890,int_stack+318310,756);
 /*--- compute (ld|kh) ---*/
 hrr1_build_ld(Libint->AB,int_stack+304045,int_stack+0,int_stack+201985,756);
 /*--- compute (kf|kh) ---*/
 hrr1_build_kf(Libint->AB,int_stack+0,int_stack+304045,int_stack+651994,756);
 /*--- compute (ig|kh) ---*/
 hrr1_build_ig(Libint->AB,int_stack+272160,int_stack+0,int_stack+815290,756);
 /*--- compute (hh|kh) ---*/
 hrr1_build_hh(Libint->AB,int_stack+589680,int_stack+272160,int_stack+1026970,756);
 return int_stack+589680;}
