#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ipkg(Libint_t*, prim_data*);

  /* Computes quartets of (ip|kg) integrals */

REALTYPE *hrr_order_ipkg(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][7] = int_stack + 0;
 Libint->vrr_classes[6][8] = int_stack + 1008;
 Libint->vrr_classes[6][9] = int_stack + 2268;
 Libint->vrr_classes[6][10] = int_stack + 3808;
 Libint->vrr_classes[6][11] = int_stack + 5656;
 Libint->vrr_classes[7][7] = int_stack + 7840;
 Libint->vrr_classes[7][8] = int_stack + 9136;
 Libint->vrr_classes[7][9] = int_stack + 10756;
 Libint->vrr_classes[7][10] = int_stack + 12736;
 Libint->vrr_classes[7][11] = int_stack + 15112;
 memset(int_stack,0,17920*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 17920;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ipkg(Libint, Data);
   Data++;
 }
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+17920,int_stack+1008,int_stack+0,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+20944,int_stack+2268,int_stack+1008,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+24724,int_stack+20944,int_stack+17920,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+30772,int_stack+3808,int_stack+2268,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+35392,int_stack+30772,int_stack+20944,28);
 /*--- compute (i0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+42952,int_stack+35392,int_stack+24724,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+17920,int_stack+5656,int_stack+3808,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+53032,int_stack+17920,int_stack+30772,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+17920,int_stack+53032,int_stack+35392,28);
 /*--- compute (i0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+53032,int_stack+17920,int_stack+42952,28);
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+17920,int_stack+9136,int_stack+7840,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+21808,int_stack+10756,int_stack+9136,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+26668,int_stack+21808,int_stack+17920,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+34444,int_stack+12736,int_stack+10756,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+40384,int_stack+34444,int_stack+21808,36);
 /*--- compute (k0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+68152,int_stack+40384,int_stack+26668,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+17920,int_stack+15112,int_stack+12736,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+17920,int_stack+34444,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+11880,int_stack+0,int_stack+40384,36);
 /*--- compute (k0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+28080,int_stack+11880,int_stack+68152,36);
 /*--- compute (ip|kg) ---*/
 hrr1_build_ip(Libint->AB,int_stack+68152,int_stack+28080,int_stack+53032,540);
 return int_stack+68152;}
