#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_k0hh(Libint_t*, prim_data*);

  /* Computes quartets of (k0|hh) integrals */

REALTYPE *hrr_order_k0hh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][5] = int_stack + 0;
 Libint->vrr_classes[7][6] = int_stack + 756;
 Libint->vrr_classes[7][7] = int_stack + 1764;
 Libint->vrr_classes[7][8] = int_stack + 3060;
 Libint->vrr_classes[7][9] = int_stack + 4680;
 Libint->vrr_classes[7][10] = int_stack + 6660;
 memset(int_stack,0,9036*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 9036;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_k0hh(Libint, Data);
   Data++;
 }
 /*--- compute (k0|hp) ---*/
 hrr3_build_hp(Libint->CD,int_stack+9036,int_stack+756,int_stack+0,36);
 /*--- compute (k0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+11304,int_stack+1764,int_stack+756,36);
 /*--- compute (k0|hd) ---*/
 hrr3_build_hd(Libint->CD,int_stack+14328,int_stack+11304,int_stack+9036,36);
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+18864,int_stack+3060,int_stack+1764,36);
 /*--- compute (k0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+22752,int_stack+18864,int_stack+11304,36);
 /*--- compute (k0|hf) ---*/
 hrr3_build_hf(Libint->CD,int_stack+28800,int_stack+22752,int_stack+14328,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+9036,int_stack+4680,int_stack+3060,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+36360,int_stack+9036,int_stack+18864,36);
 /*--- compute (k0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+44136,int_stack+36360,int_stack+22752,36);
 /*--- compute (k0|hg) ---*/
 hrr3_build_hg(Libint->CD,int_stack+13896,int_stack+44136,int_stack+28800,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+25236,int_stack+6660,int_stack+4680,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+54216,int_stack+25236,int_stack+9036,36);
 /*--- compute (k0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+0,int_stack+54216,int_stack+36360,36);
 /*--- compute (k0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+25236,int_stack+0,int_stack+44136,36);
 /*--- compute (k0|hh) ---*/
 hrr3_build_hh(Libint->CD,int_stack+40356,int_stack+25236,int_stack+13896,36);
 return int_stack+40356;}
