#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kgkh(Libint_t*, prim_data*);

  /* Computes quartets of (kg|kh) integrals */

REALTYPE *hrr_order_kgkh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][7] = int_stack + 0;
 Libint->vrr_classes[7][8] = int_stack + 1296;
 Libint->vrr_classes[7][9] = int_stack + 2916;
 Libint->vrr_classes[7][10] = int_stack + 4896;
 Libint->vrr_classes[7][11] = int_stack + 7272;
 Libint->vrr_classes[7][12] = int_stack + 10080;
 Libint->vrr_classes[8][7] = int_stack + 13356;
 Libint->vrr_classes[8][8] = int_stack + 14976;
 Libint->vrr_classes[8][9] = int_stack + 17001;
 Libint->vrr_classes[8][10] = int_stack + 19476;
 Libint->vrr_classes[8][11] = int_stack + 22446;
 Libint->vrr_classes[8][12] = int_stack + 25956;
 Libint->vrr_classes[9][7] = int_stack + 30051;
 Libint->vrr_classes[9][8] = int_stack + 32031;
 Libint->vrr_classes[9][9] = int_stack + 34506;
 Libint->vrr_classes[9][10] = int_stack + 37531;
 Libint->vrr_classes[9][11] = int_stack + 41161;
 Libint->vrr_classes[9][12] = int_stack + 45451;
 Libint->vrr_classes[10][7] = int_stack + 50456;
 Libint->vrr_classes[10][8] = int_stack + 52832;
 Libint->vrr_classes[10][9] = int_stack + 55802;
 Libint->vrr_classes[10][10] = int_stack + 59432;
 Libint->vrr_classes[10][11] = int_stack + 63788;
 Libint->vrr_classes[10][12] = int_stack + 68936;
 Libint->vrr_classes[11][7] = int_stack + 74942;
 Libint->vrr_classes[11][8] = int_stack + 77750;
 Libint->vrr_classes[11][9] = int_stack + 81260;
 Libint->vrr_classes[11][10] = int_stack + 85550;
 Libint->vrr_classes[11][11] = int_stack + 90698;
 Libint->vrr_classes[11][12] = int_stack + 96782;
 memset(int_stack,0,103880*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 103880;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kgkh(Libint, Data);
   Data++;
 }
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+103880,int_stack+1296,int_stack+0,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+107768,int_stack+2916,int_stack+1296,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+112628,int_stack+107768,int_stack+103880,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+120404,int_stack+4896,int_stack+2916,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+126344,int_stack+120404,int_stack+107768,36);
 /*--- compute (k0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+136064,int_stack+126344,int_stack+112628,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+103880,int_stack+7272,int_stack+4896,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+149024,int_stack+103880,int_stack+120404,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+160904,int_stack+149024,int_stack+126344,36);
 /*--- compute (k0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+111008,int_stack+160904,int_stack+136064,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+130448,int_stack+10080,int_stack+7272,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+177104,int_stack+130448,int_stack+103880,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+191360,int_stack+177104,int_stack+149024,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+130448,int_stack+191360,int_stack+160904,36);
 /*--- compute (k0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+154748,int_stack+130448,int_stack+111008,36);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+103880,int_stack+14976,int_stack+13356,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+108740,int_stack+17001,int_stack+14976,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+114815,int_stack+108740,int_stack+103880,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+124535,int_stack+19476,int_stack+17001,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+131960,int_stack+124535,int_stack+108740,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+181964,int_stack+131960,int_stack+114815,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+103880,int_stack+22446,int_stack+19476,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+103880,int_stack+124535,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+198164,int_stack+0,int_stack+131960,45);
 /*--- compute (l0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+112790,int_stack+198164,int_stack+181964,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+181964,int_stack+25956,int_stack+22446,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+218414,int_stack+181964,int_stack+103880,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+236234,int_stack+218414,int_stack+0,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+260984,int_stack+236234,int_stack+198164,45);
 /*--- compute (l0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+181964,int_stack+260984,int_stack+112790,45);
 /*--- compute (kp|kh) ---*/
 hrr1_build_kp(Libint->AB,int_stack+215984,int_stack+181964,int_stack+154748,756);
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+32031,int_stack+30051,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+5940,int_stack+34506,int_stack+32031,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+13365,int_stack+5940,int_stack+0,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+25245,int_stack+37531,int_stack+34506,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+103880,int_stack+25245,int_stack+5940,55);
 /*--- compute (m0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+118730,int_stack+103880,int_stack+13365,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+41161,int_stack+37531,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+138530,int_stack+0,int_stack+25245,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+10890,int_stack+138530,int_stack+103880,55);
 /*--- compute (m0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+297632,int_stack+10890,int_stack+118730,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+103880,int_stack+45451,int_stack+41161,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+116750,int_stack+103880,int_stack+0,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+327332,int_stack+116750,int_stack+138530,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+103880,int_stack+327332,int_stack+10890,55);
 /*--- compute (m0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+0,int_stack+103880,int_stack+297632,55);
 /*--- compute (lp|kh) ---*/
 hrr1_build_lp(Libint->AB,int_stack+297632,int_stack+0,int_stack+181964,756);
 /*--- compute (kd|kh) ---*/
 hrr1_build_kd(Libint->AB,int_stack+399692,int_stack+297632,int_stack+215984,756);
 /*--- compute (n0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+103880,int_stack+52832,int_stack+50456,66);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+111008,int_stack+55802,int_stack+52832,66);
 /*--- compute (n0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+119918,int_stack+111008,int_stack+103880,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+134174,int_stack+59432,int_stack+55802,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+145064,int_stack+134174,int_stack+111008,66);
 /*--- compute (n0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+162884,int_stack+145064,int_stack+119918,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+103880,int_stack+63788,int_stack+59432,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+186644,int_stack+103880,int_stack+134174,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+208424,int_stack+186644,int_stack+145064,66);
 /*--- compute (n0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+116948,int_stack+208424,int_stack+162884,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+152588,int_stack+68936,int_stack+63788,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+238124,int_stack+152588,int_stack+103880,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+562988,int_stack+238124,int_stack+186644,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+238124,int_stack+562988,int_stack+208424,66);
 /*--- compute (n0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+152588,int_stack+238124,int_stack+116948,66);
 /*--- compute (mp|kh) ---*/
 hrr1_build_mp(Libint->AB,int_stack+562988,int_stack+152588,int_stack+0,756);
 /*--- compute (ld|kh) ---*/
 hrr1_build_ld(Libint->AB,int_stack+687728,int_stack+562988,int_stack+297632,756);
 /*--- compute (kf|kh) ---*/
 hrr1_build_kf(Libint->AB,int_stack+891848,int_stack+687728,int_stack+399692,756);
 /*--- compute (o0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+77750,int_stack+74942,78);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+8424,int_stack+81260,int_stack+77750,78);
 /*--- compute (o0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+18954,int_stack+8424,int_stack+0,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+35802,int_stack+85550,int_stack+81260,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+48672,int_stack+35802,int_stack+8424,78);
 /*--- compute (o0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+103880,int_stack+48672,int_stack+18954,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+90698,int_stack+85550,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+202484,int_stack+0,int_stack+35802,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+228224,int_stack+202484,int_stack+48672,78);
 /*--- compute (o0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+15444,int_stack+228224,int_stack+103880,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+103880,int_stack+96782,int_stack+90698,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+57564,int_stack+103880,int_stack+0,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+88452,int_stack+57564,int_stack+202484,78);
 /*--- compute (o0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+263324,int_stack+88452,int_stack+228224,78);
 /*--- compute (o0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+202484,int_stack+263324,int_stack+15444,78);
 /*--- compute (np|kh) ---*/
 hrr1_build_np(Libint->AB,int_stack+261452,int_stack+202484,int_stack+152588,756);
 /*--- compute (md|kh) ---*/
 hrr1_build_md(Libint->AB,int_stack+0,int_stack+261452,int_stack+562988,756);
 /*--- compute (lf|kh) ---*/
 hrr1_build_lf(Libint->AB,int_stack+249480,int_stack+0,int_stack+687728,756);
 /*--- compute (kg|kh) ---*/
 hrr1_build_kg(Libint->AB,int_stack+1164008,int_stack+249480,int_stack+891848,756);
 return int_stack+1164008;}
