#include <stdio.h>
#include "libint.h"
#include "vrr_header.h"

  /* Computes quartets necessary to compute (f0|kk) integrals */

void vrr_order_f0kk(Libint_t * Libint, prim_data *Data)
{
 REALTYPE *vrr_stack = Libint->vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];
 _BUILD_00p0(Data,vrr_stack+0, Data->F+5, Data->F+6, NULL, NULL, NULL);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+4, Data->F+5, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+6, vrr_stack+3, vrr_stack+0, Data->F+4, Data->F+5, NULL);
 _BUILD_00p0(Data,vrr_stack+12, Data->F+3, Data->F+4, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+15, vrr_stack+12, vrr_stack+3, Data->F+3, Data->F+4, NULL);
 _BUILD_00p0(Data,vrr_stack+21, Data->F+6, Data->F+7, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+24, vrr_stack+0, vrr_stack+21, Data->F+5, Data->F+6, NULL);
 _BUILD_00f0(Data,vrr_stack+30, vrr_stack+6, vrr_stack+24, vrr_stack+3, vrr_stack+0, NULL);
 _BUILD_00f0(Data,vrr_stack+40, vrr_stack+15, vrr_stack+6, vrr_stack+12, vrr_stack+3, NULL);
 _BUILD_00g0(Data,vrr_stack+50, vrr_stack+40, vrr_stack+30, vrr_stack+15, vrr_stack+6, NULL);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+7, Data->F+8, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+65, vrr_stack+21, vrr_stack+3, Data->F+6, Data->F+7, NULL);
 _BUILD_00f0(Data,vrr_stack+71, vrr_stack+24, vrr_stack+65, vrr_stack+0, vrr_stack+21, NULL);
 _BUILD_00g0(Data,vrr_stack+81, vrr_stack+30, vrr_stack+71, vrr_stack+6, vrr_stack+24, NULL);
 _BUILD_00h0(Data,vrr_stack+96, vrr_stack+50, vrr_stack+81, vrr_stack+40, vrr_stack+30, NULL);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+2, Data->F+3, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+6, vrr_stack+0, vrr_stack+12, Data->F+2, Data->F+3, NULL);
 _BUILD_00f0(Data,vrr_stack+117, vrr_stack+6, vrr_stack+15, vrr_stack+0, vrr_stack+12, NULL);
 _BUILD_00g0(Data,vrr_stack+127, vrr_stack+117, vrr_stack+40, vrr_stack+6, vrr_stack+15, NULL);
 _BUILD_00h0(Data,vrr_stack+142, vrr_stack+127, vrr_stack+50, vrr_stack+117, vrr_stack+40, NULL);
 _BUILD_p0h0(Data,vrr_stack+163, vrr_stack+142, vrr_stack+96, NULL, NULL, vrr_stack+50);
 _BUILD_00i0(Data,vrr_stack+226, vrr_stack+142, vrr_stack+96, vrr_stack+127, vrr_stack+50, NULL);
 _BUILD_00p0(Data,vrr_stack+40, Data->F+1, Data->F+2, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+43, vrr_stack+40, vrr_stack+0, Data->F+1, Data->F+2, NULL);
 _BUILD_00f0(Data,vrr_stack+254, vrr_stack+43, vrr_stack+6, vrr_stack+40, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+264, vrr_stack+254, vrr_stack+117, vrr_stack+43, vrr_stack+6, NULL);
 _BUILD_00h0(Data,vrr_stack+279, vrr_stack+264, vrr_stack+127, vrr_stack+254, vrr_stack+117, NULL);
 _BUILD_00i0(Data,vrr_stack+300, vrr_stack+279, vrr_stack+142, vrr_stack+264, vrr_stack+127, NULL);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+8, Data->F+9, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+117, vrr_stack+3, vrr_stack+0, Data->F+7, Data->F+8, NULL);
 _BUILD_00f0(Data,vrr_stack+123, vrr_stack+65, vrr_stack+117, vrr_stack+21, vrr_stack+3, NULL);
 _BUILD_00g0(Data,vrr_stack+6, vrr_stack+71, vrr_stack+123, vrr_stack+24, vrr_stack+65, NULL);
 _BUILD_00h0(Data,vrr_stack+328, vrr_stack+81, vrr_stack+6, vrr_stack+30, vrr_stack+71, NULL);
 _BUILD_00i0(Data,vrr_stack+349, vrr_stack+96, vrr_stack+328, vrr_stack+50, vrr_stack+81, NULL);
 _BUILD_p0i0(Data,vrr_stack+377, vrr_stack+226, vrr_stack+349, NULL, NULL, vrr_stack+96);
 _BUILD_p0i0(Data,vrr_stack+461, vrr_stack+300, vrr_stack+226, NULL, NULL, vrr_stack+142);
 _BUILD_d0i0(Data,vrr_stack+545, vrr_stack+461, vrr_stack+377, vrr_stack+300, vrr_stack+226, vrr_stack+163);
 _BUILD_00k0(Data,vrr_stack+163, vrr_stack+226, vrr_stack+349, vrr_stack+142, vrr_stack+96, NULL);
 _BUILD_00k0(Data,vrr_stack+713, vrr_stack+300, vrr_stack+226, vrr_stack+279, vrr_stack+142, NULL);
 _BUILD_p0k0(Data,vrr_stack+749, vrr_stack+713, vrr_stack+163, NULL, NULL, vrr_stack+226);
 _BUILD_00p0(Data,vrr_stack+199, Data->F+0, Data->F+1, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+202, vrr_stack+199, vrr_stack+40, Data->F+0, Data->F+1, NULL);
 _BUILD_00f0(Data,vrr_stack+208, vrr_stack+202, vrr_stack+43, vrr_stack+199, vrr_stack+40, NULL);
 _BUILD_00g0(Data,vrr_stack+133, vrr_stack+208, vrr_stack+254, vrr_stack+202, vrr_stack+43, NULL);
 _BUILD_00h0(Data,vrr_stack+21, vrr_stack+133, vrr_stack+264, vrr_stack+208, vrr_stack+254, NULL);
 _BUILD_00i0(Data,vrr_stack+857, vrr_stack+21, vrr_stack+279, vrr_stack+133, vrr_stack+264, NULL);
 _BUILD_00k0(Data,vrr_stack+885, vrr_stack+857, vrr_stack+300, vrr_stack+21, vrr_stack+279, NULL);
 _BUILD_p0k0(Data,vrr_stack+921, vrr_stack+885, vrr_stack+713, NULL, NULL, vrr_stack+300);
 _BUILD_00p0(Data,vrr_stack+21, Data->F+9, Data->F+10, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+24, vrr_stack+0, vrr_stack+21, Data->F+8, Data->F+9, NULL);
 _BUILD_00f0(Data,vrr_stack+30, vrr_stack+117, vrr_stack+24, vrr_stack+3, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+40, vrr_stack+123, vrr_stack+30, vrr_stack+65, vrr_stack+117, NULL);
 _BUILD_00h0(Data,vrr_stack+133, vrr_stack+6, vrr_stack+40, vrr_stack+71, vrr_stack+123, NULL);
 _BUILD_00i0(Data,vrr_stack+254, vrr_stack+328, vrr_stack+133, vrr_stack+81, vrr_stack+6, NULL);
 _BUILD_00k0(Data,vrr_stack+55, vrr_stack+349, vrr_stack+254, vrr_stack+96, vrr_stack+328, NULL);
 _BUILD_p0k0(Data,vrr_stack+1029, vrr_stack+163, vrr_stack+55, NULL, NULL, vrr_stack+349);
 _BUILD_d0k0(Data,vrr_stack+1137, vrr_stack+749, vrr_stack+1029, vrr_stack+713, vrr_stack+163, vrr_stack+377);
 _BUILD_d0k0(Data,vrr_stack+1353, vrr_stack+921, vrr_stack+749, vrr_stack+885, vrr_stack+713, vrr_stack+461);
 _BUILD_00l0(Data,vrr_stack+377, vrr_stack+163, vrr_stack+55, vrr_stack+226, vrr_stack+349, NULL);
 _BUILD_00l0(Data,vrr_stack+422, vrr_stack+713, vrr_stack+163, vrr_stack+300, vrr_stack+226, NULL);
 _BUILD_p0l0(Data,vrr_stack+1569, vrr_stack+422, vrr_stack+377, NULL, NULL, vrr_stack+163);
 _BUILD_00l0(Data,vrr_stack+467, vrr_stack+885, vrr_stack+713, vrr_stack+857, vrr_stack+300, NULL);
 _BUILD_p0l0(Data,vrr_stack+1704, vrr_stack+467, vrr_stack+422, NULL, NULL, vrr_stack+713);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+10, Data->F+11, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+857, vrr_stack+21, vrr_stack+3, Data->F+9, Data->F+10, NULL);
 _BUILD_00f0(Data,vrr_stack+863, vrr_stack+24, vrr_stack+857, vrr_stack+0, vrr_stack+21, NULL);
 _BUILD_00g0(Data,vrr_stack+512, vrr_stack+30, vrr_stack+863, vrr_stack+117, vrr_stack+24, NULL);
 _BUILD_00h0(Data,vrr_stack+91, vrr_stack+40, vrr_stack+512, vrr_stack+123, vrr_stack+30, NULL);
 _BUILD_00i0(Data,vrr_stack+282, vrr_stack+133, vrr_stack+91, vrr_stack+6, vrr_stack+40, NULL);
 _BUILD_00k0(Data,vrr_stack+199, vrr_stack+254, vrr_stack+282, vrr_stack+328, vrr_stack+133, NULL);
 _BUILD_00l0(Data,vrr_stack+1839, vrr_stack+55, vrr_stack+199, vrr_stack+349, vrr_stack+254, NULL);
 _BUILD_p0l0(Data,vrr_stack+1884, vrr_stack+377, vrr_stack+1839, NULL, NULL, vrr_stack+55);
 _BUILD_d0l0(Data,vrr_stack+2019, vrr_stack+1569, vrr_stack+1884, vrr_stack+422, vrr_stack+377, vrr_stack+1029);
 _BUILD_d0l0(Data,vrr_stack+2289, vrr_stack+1704, vrr_stack+1569, vrr_stack+467, vrr_stack+422, vrr_stack+749);
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+1029, vrr_stack+377, vrr_stack+1839, vrr_stack+163, vrr_stack+55, NULL);
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+310, vrr_stack+422, vrr_stack+377, vrr_stack+713, vrr_stack+163, NULL);
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+2559, vrr_stack+310, vrr_stack+1029, NULL, NULL, vrr_stack+377);
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+2724, vrr_stack+467, vrr_stack+422, vrr_stack+885, vrr_stack+713, NULL);
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+2779, vrr_stack+2724, vrr_stack+310, NULL, NULL, vrr_stack+422);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+11, Data->F+12, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+713, vrr_stack+3, vrr_stack+0, Data->F+10, Data->F+11, NULL);
 _BUILD_00f0(Data,vrr_stack+719, vrr_stack+857, vrr_stack+713, vrr_stack+21, vrr_stack+3, NULL);
 _BUILD_00g0(Data,vrr_stack+729, vrr_stack+863, vrr_stack+719, vrr_stack+24, vrr_stack+857, NULL);
 _BUILD_00h0(Data,vrr_stack+112, vrr_stack+512, vrr_stack+729, vrr_stack+30, vrr_stack+863, NULL);
 _BUILD_00i0(Data,vrr_stack+1084, vrr_stack+91, vrr_stack+112, vrr_stack+40, vrr_stack+512, NULL);
 _BUILD_00k0(Data,vrr_stack+6, vrr_stack+282, vrr_stack+1084, vrr_stack+133, vrr_stack+91, NULL);
 _BUILD_00l0(Data,vrr_stack+133, vrr_stack+199, vrr_stack+6, vrr_stack+254, vrr_stack+282, NULL);
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+2944, vrr_stack+1839, vrr_stack+133, vrr_stack+55, vrr_stack+199, NULL);
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+2999, vrr_stack+1029, vrr_stack+2944, NULL, NULL, vrr_stack+1839);
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+3164, vrr_stack+2559, vrr_stack+2999, vrr_stack+310, vrr_stack+1029, vrr_stack+1884);
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+3494, vrr_stack+2779, vrr_stack+2559, vrr_stack+2724, vrr_stack+310, vrr_stack+1569);
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+1884, vrr_stack+1029, vrr_stack+2944, vrr_stack+377, vrr_stack+1839, NULL);
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+1950, vrr_stack+310, vrr_stack+1029, vrr_stack+422, vrr_stack+377, NULL);
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+3824, vrr_stack+1950, vrr_stack+1884, NULL, NULL, vrr_stack+1029);
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+4022, vrr_stack+2724, vrr_stack+310, vrr_stack+467, vrr_stack+422, NULL);
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+4088, vrr_stack+4022, vrr_stack+1950, NULL, NULL, vrr_stack+310);
 _BUILD_00p0(Data,vrr_stack+2016, Data->F+12, Data->F+13, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+178, vrr_stack+0, vrr_stack+2016, Data->F+11, Data->F+12, NULL);
 _BUILD_00f0(Data,vrr_stack+184, vrr_stack+713, vrr_stack+178, vrr_stack+3, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+1112, vrr_stack+719, vrr_stack+184, vrr_stack+857, vrr_stack+713, NULL);
 _BUILD_00h0(Data,vrr_stack+42, vrr_stack+729, vrr_stack+1112, vrr_stack+863, vrr_stack+719, NULL);
 _BUILD_00i0(Data,vrr_stack+63, vrr_stack+112, vrr_stack+42, vrr_stack+512, vrr_stack+729, NULL);
 _BUILD_00k0(Data,vrr_stack+857, vrr_stack+1084, vrr_stack+63, vrr_stack+91, vrr_stack+112, NULL);
 _BUILD_00l0(Data,vrr_stack+365, vrr_stack+6, vrr_stack+857, vrr_stack+282, vrr_stack+1084, NULL);
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+410, vrr_stack+133, vrr_stack+365, vrr_stack+199, vrr_stack+6, NULL);
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+194, vrr_stack+2944, vrr_stack+410, vrr_stack+1839, vrr_stack+133, NULL);
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+4286, vrr_stack+1884, vrr_stack+194, NULL, NULL, vrr_stack+2944);
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+4484, vrr_stack+3824, vrr_stack+4286, vrr_stack+1950, vrr_stack+1884, vrr_stack+2999);
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+4880, vrr_stack+4088, vrr_stack+3824, vrr_stack+4022, vrr_stack+1950, vrr_stack+2559);
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+2999, vrr_stack+1884, vrr_stack+194, vrr_stack+1029, vrr_stack+2944, NULL);
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+3077, vrr_stack+1950, vrr_stack+1884, vrr_stack+310, vrr_stack+1029, NULL);
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+5276, vrr_stack+3077, vrr_stack+2999, NULL, NULL, vrr_stack+1884);
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+465, vrr_stack+4022, vrr_stack+1950, vrr_stack+2724, vrr_stack+310, NULL);
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+5510, vrr_stack+465, vrr_stack+3077, NULL, NULL, vrr_stack+1950);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+13, Data->F+14, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+2724, vrr_stack+2016, vrr_stack+3, Data->F+12, Data->F+13, NULL);
 _BUILD_00f0(Data,vrr_stack+1127, vrr_stack+178, vrr_stack+2724, vrr_stack+0, vrr_stack+2016, NULL);
 _BUILD_00g0(Data,vrr_stack+2730, vrr_stack+184, vrr_stack+1127, vrr_stack+713, vrr_stack+178, NULL);
 _BUILD_00h0(Data,vrr_stack+91, vrr_stack+1112, vrr_stack+2730, vrr_stack+719, vrr_stack+184, NULL);
 _BUILD_00i0(Data,vrr_stack+893, vrr_stack+42, vrr_stack+91, vrr_stack+729, vrr_stack+1112, NULL);
 _BUILD_00k0(Data,vrr_stack+713, vrr_stack+63, vrr_stack+893, vrr_stack+112, vrr_stack+42, NULL);
 _BUILD_00l0(Data,vrr_stack+1839, vrr_stack+857, vrr_stack+713, vrr_stack+1084, vrr_stack+63, NULL);
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+1029, vrr_stack+365, vrr_stack+1839, vrr_stack+6, vrr_stack+857, NULL);
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+260, vrr_stack+410, vrr_stack+1029, vrr_stack+133, vrr_stack+365, NULL);
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+5744, vrr_stack+194, vrr_stack+260, vrr_stack+2944, vrr_stack+410, NULL);
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+5822, vrr_stack+2999, vrr_stack+5744, NULL, NULL, vrr_stack+194);
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+6056, vrr_stack+5276, vrr_stack+5822, vrr_stack+3077, vrr_stack+2999, vrr_stack+4286);
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+6524, vrr_stack+5510, vrr_stack+5276, vrr_stack+465, vrr_stack+3077, vrr_stack+3824);
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+4286, vrr_stack+2999, vrr_stack+5744, vrr_stack+1884, vrr_stack+194, NULL);
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+4377, vrr_stack+3077, vrr_stack+2999, vrr_stack+1950, vrr_stack+1884, NULL);
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+6992, vrr_stack+4377, vrr_stack+4286, NULL, NULL, vrr_stack+2999);
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+7265, vrr_stack+465, vrr_stack+3077, vrr_stack+4022, vrr_stack+1950, NULL);
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+7356, vrr_stack+7265, vrr_stack+4377, NULL, NULL, vrr_stack+3077);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+14, Data->F+15, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+4022, vrr_stack+3, vrr_stack+0, Data->F+13, Data->F+14, NULL);
 _BUILD_00f0(Data,vrr_stack+4028, vrr_stack+2724, vrr_stack+4022, vrr_stack+2016, vrr_stack+3, NULL);
 _BUILD_00g0(Data,vrr_stack+4038, vrr_stack+1127, vrr_stack+4028, vrr_stack+178, vrr_stack+2724, NULL);
 _BUILD_00h0(Data,vrr_stack+4053, vrr_stack+2730, vrr_stack+4038, vrr_stack+184, vrr_stack+1127, NULL);
 _BUILD_00i0(Data,vrr_stack+1084, vrr_stack+91, vrr_stack+4053, vrr_stack+1112, vrr_stack+2730, NULL);
 _BUILD_00k0(Data,vrr_stack+6, vrr_stack+893, vrr_stack+1084, vrr_stack+42, vrr_stack+91, NULL);
 _BUILD_00l0(Data,vrr_stack+1884, vrr_stack+713, vrr_stack+6, vrr_stack+63, vrr_stack+893, NULL);
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+2944, vrr_stack+1839, vrr_stack+1884, vrr_stack+857, vrr_stack+713, NULL);
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+1929, vrr_stack+1029, vrr_stack+2944, vrr_stack+365, vrr_stack+1839, NULL);
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+112, vrr_stack+260, vrr_stack+1929, vrr_stack+410, vrr_stack+1029, NULL);
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+326, vrr_stack+5744, vrr_stack+112, vrr_stack+194, vrr_stack+260, NULL);
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+7629, vrr_stack+4286, vrr_stack+326, NULL, NULL, vrr_stack+5744);
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+7902, vrr_stack+6992, vrr_stack+7629, vrr_stack+4377, vrr_stack+4286, vrr_stack+5822);
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+8448, vrr_stack+7356, vrr_stack+6992, vrr_stack+7265, vrr_stack+4377, vrr_stack+5276);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+5822, vrr_stack+4286, vrr_stack+326, vrr_stack+2999, vrr_stack+5744, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+5927, vrr_stack+4377, vrr_stack+4286, vrr_stack+3077, vrr_stack+2999, NULL);
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+8994, vrr_stack+5927, vrr_stack+5822, NULL, NULL, vrr_stack+4286);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+9309, vrr_stack+7265, vrr_stack+4377, vrr_stack+465, vrr_stack+3077, NULL);
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+9414, vrr_stack+9309, vrr_stack+5927, NULL, NULL, vrr_stack+4377);
 _BUILD_00p0(Data,vrr_stack+2999, Data->F+15, Data->F+16, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+3002, vrr_stack+0, vrr_stack+2999, Data->F+14, Data->F+15, NULL);
 _BUILD_00f0(Data,vrr_stack+3008, vrr_stack+4022, vrr_stack+3002, vrr_stack+3, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+1112, vrr_stack+4028, vrr_stack+3008, vrr_stack+2724, vrr_stack+4022, NULL);
 _BUILD_00h0(Data,vrr_stack+3018, vrr_stack+4038, vrr_stack+1112, vrr_stack+1127, vrr_stack+4028, NULL);
 _BUILD_00i0(Data,vrr_stack+3039, vrr_stack+4053, vrr_stack+3018, vrr_stack+2730, vrr_stack+4038, NULL);
 _BUILD_00k0(Data,vrr_stack+857, vrr_stack+1084, vrr_stack+3039, vrr_stack+91, vrr_stack+4053, NULL);
 _BUILD_00l0(Data,vrr_stack+2724, vrr_stack+6, vrr_stack+857, vrr_stack+893, vrr_stack+1084, NULL);
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+3067, vrr_stack+1884, vrr_stack+2724, vrr_stack+713, vrr_stack+6, NULL);
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+42, vrr_stack+2944, vrr_stack+3067, vrr_stack+1839, vrr_stack+1884, NULL);
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+417, vrr_stack+1929, vrr_stack+42, vrr_stack+1029, vrr_stack+2944, NULL);
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+9729, vrr_stack+112, vrr_stack+417, vrr_stack+260, vrr_stack+1929, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+190, vrr_stack+326, vrr_stack+9729, vrr_stack+5744, vrr_stack+112, NULL);
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+9820, vrr_stack+5822, vrr_stack+190, NULL, NULL, vrr_stack+326);
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+10135, vrr_stack+8994, vrr_stack+9820, vrr_stack+5927, vrr_stack+5822, vrr_stack+7629);
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+10765, vrr_stack+9414, vrr_stack+8994, vrr_stack+9309, vrr_stack+5927, vrr_stack+6992);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+7629, vrr_stack+5822, vrr_stack+190, vrr_stack+4286, vrr_stack+326, NULL);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+7749, vrr_stack+5927, vrr_stack+5822, vrr_stack+4377, vrr_stack+4286, NULL);
 am[0] = 1;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+11395, vrr_stack+7749, vrr_stack+7629, NULL, NULL, vrr_stack+5822);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+5744, vrr_stack+9309, vrr_stack+5927, vrr_stack+7265, vrr_stack+4377, NULL);
 am[0] = 1;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+11755, vrr_stack+5744, vrr_stack+7749, NULL, NULL, vrr_stack+5927);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+16, Data->F+17, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+7265, vrr_stack+2999, vrr_stack+3, Data->F+15, Data->F+16, NULL);
 _BUILD_00f0(Data,vrr_stack+1127, vrr_stack+3002, vrr_stack+7265, vrr_stack+0, vrr_stack+2999, NULL);
 _BUILD_00g0(Data,vrr_stack+7265, vrr_stack+3008, vrr_stack+1127, vrr_stack+4022, vrr_stack+3002, NULL);
 _BUILD_00h0(Data,vrr_stack+7280, vrr_stack+1112, vrr_stack+7265, vrr_stack+4028, vrr_stack+3008, NULL);
 _BUILD_00i0(Data,vrr_stack+893, vrr_stack+3018, vrr_stack+7280, vrr_stack+4038, vrr_stack+1112, NULL);
 _BUILD_00k0(Data,vrr_stack+713, vrr_stack+3039, vrr_stack+893, vrr_stack+4053, vrr_stack+3018, NULL);
 _BUILD_00l0(Data,vrr_stack+1839, vrr_stack+857, vrr_stack+713, vrr_stack+1084, vrr_stack+3039, NULL);
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+7265, vrr_stack+2724, vrr_stack+1839, vrr_stack+6, vrr_stack+857, NULL);
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+4022, vrr_stack+3067, vrr_stack+7265, vrr_stack+1884, vrr_stack+2724, NULL);
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+7265, vrr_stack+42, vrr_stack+4022, vrr_stack+2944, vrr_stack+3067, NULL);
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+2944, vrr_stack+417, vrr_stack+7265, vrr_stack+1929, vrr_stack+42, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+9309, vrr_stack+9729, vrr_stack+2944, vrr_stack+112, vrr_stack+417, NULL);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+417, vrr_stack+190, vrr_stack+9309, vrr_stack+326, vrr_stack+9729, NULL);
 am[0] = 1;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+12115, vrr_stack+7629, vrr_stack+417, NULL, NULL, vrr_stack+190);
 am[0] = 2;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+12475, vrr_stack+11395, vrr_stack+12115, vrr_stack+7749, vrr_stack+7629, vrr_stack+9820);
 am[0] = 2;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+13195, vrr_stack+11755, vrr_stack+11395, vrr_stack+5744, vrr_stack+7749, vrr_stack+8994);
 _BUILD_f0k0(Data,vrr_stack+12115, vrr_stack+1353, vrr_stack+1137, vrr_stack+921, vrr_stack+749, vrr_stack+545);
   tmp = vrr_stack + 12115;
   target_ptr = Libint->vrr_classes[3][7];
   for(i=0;i<360;i++)
     target_ptr[i] += tmp[i];
 _BUILD_f0l0(Data,vrr_stack+0, vrr_stack+2289, vrr_stack+2019, vrr_stack+1704, vrr_stack+1569, vrr_stack+1137);
   tmp = vrr_stack + 0;
   target_ptr = Libint->vrr_classes[3][8];
   for(i=0;i<450;i++)
     target_ptr[i] += tmp[i];
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+450, vrr_stack+3494, vrr_stack+3164, vrr_stack+2779, vrr_stack+2559, vrr_stack+2019);
   tmp = vrr_stack + 450;
   target_ptr = Libint->vrr_classes[3][9];
   for(i=0;i<550;i++)
     target_ptr[i] += tmp[i];
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+1000, vrr_stack+4880, vrr_stack+4484, vrr_stack+4088, vrr_stack+3824, vrr_stack+3164);
   tmp = vrr_stack + 1000;
   target_ptr = Libint->vrr_classes[3][10];
   for(i=0;i<660;i++)
     target_ptr[i] += tmp[i];
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+1660, vrr_stack+6524, vrr_stack+6056, vrr_stack+5510, vrr_stack+5276, vrr_stack+4484);
   tmp = vrr_stack + 1660;
   target_ptr = Libint->vrr_classes[3][11];
   for(i=0;i<780;i++)
     target_ptr[i] += tmp[i];
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+2440, vrr_stack+8448, vrr_stack+7902, vrr_stack+7356, vrr_stack+6992, vrr_stack+6056);
   tmp = vrr_stack + 2440;
   target_ptr = Libint->vrr_classes[3][12];
   for(i=0;i<910;i++)
     target_ptr[i] += tmp[i];
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+3350, vrr_stack+10765, vrr_stack+10135, vrr_stack+9414, vrr_stack+8994, vrr_stack+7902);
   tmp = vrr_stack + 3350;
   target_ptr = Libint->vrr_classes[3][13];
   for(i=0;i<1050;i++)
     target_ptr[i] += tmp[i];
 am[0] = 3;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+4400, vrr_stack+13195, vrr_stack+12475, vrr_stack+11755, vrr_stack+11395, vrr_stack+10135);
   tmp = vrr_stack + 4400;
   target_ptr = Libint->vrr_classes[3][14];
   for(i=0;i<1200;i++)
     target_ptr[i] += tmp[i];

}

