#include <stdio.h>
#include "libint.h"
#include "vrr_header.h"

  /* Computes quartets necessary to compute (if|kk) integrals */

void vrr_order_ifkk(Libint_t * Libint, prim_data *Data)
{
 REALTYPE *vrr_stack = Libint->vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];
 _BUILD_p000(Data,vrr_stack+0, Data->F+8, Data->F+9, NULL, NULL, NULL);
 _BUILD_p000(Data,vrr_stack+3, Data->F+7, Data->F+8, NULL, NULL, NULL);
 _BUILD_d000(Data,vrr_stack+6, vrr_stack+3, vrr_stack+0, Data->F+7, Data->F+8, NULL);
 _BUILD_00p0(Data,vrr_stack+12, Data->F+8, Data->F+9, NULL, NULL, NULL);
 _BUILD_00p0(Data,vrr_stack+15, Data->F+7, Data->F+8, NULL, NULL, NULL);
 _BUILD_p0p0(Data,vrr_stack+18, vrr_stack+15, vrr_stack+12, NULL, NULL, Data->F+8);
 _BUILD_00p0(Data,vrr_stack+27, Data->F+6, Data->F+7, NULL, NULL, NULL);
 _BUILD_p0p0(Data,vrr_stack+30, vrr_stack+27, vrr_stack+15, NULL, NULL, Data->F+7);
 _BUILD_00p0(Data,vrr_stack+39, Data->F+9, Data->F+10, NULL, NULL, NULL);
 _BUILD_p0p0(Data,vrr_stack+42, vrr_stack+12, vrr_stack+39, NULL, NULL, Data->F+9);
 _BUILD_d0p0(Data,vrr_stack+51, vrr_stack+18, vrr_stack+42, vrr_stack+15, vrr_stack+12, vrr_stack+0);
 _BUILD_d0p0(Data,vrr_stack+69, vrr_stack+30, vrr_stack+18, vrr_stack+27, vrr_stack+15, vrr_stack+3);
 _BUILD_f0p0(Data,vrr_stack+87, vrr_stack+69, vrr_stack+51, vrr_stack+30, vrr_stack+18, vrr_stack+6);
 _BUILD_00d0(Data,vrr_stack+0, vrr_stack+15, vrr_stack+12, Data->F+7, Data->F+8, NULL);
 _BUILD_00d0(Data,vrr_stack+6, vrr_stack+27, vrr_stack+15, Data->F+6, Data->F+7, NULL);
 _BUILD_00d0(Data,vrr_stack+117, vrr_stack+12, vrr_stack+39, Data->F+8, Data->F+9, NULL);
 _BUILD_p0d0(Data,vrr_stack+123, vrr_stack+0, vrr_stack+117, NULL, NULL, vrr_stack+12);
 _BUILD_p0d0(Data,vrr_stack+141, vrr_stack+6, vrr_stack+0, NULL, NULL, vrr_stack+15);
 _BUILD_d0d0(Data,vrr_stack+159, vrr_stack+141, vrr_stack+123, vrr_stack+6, vrr_stack+0, vrr_stack+18);
 _BUILD_00p0(Data,vrr_stack+18, Data->F+5, Data->F+6, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+21, vrr_stack+18, vrr_stack+27, Data->F+5, Data->F+6, NULL);
 _BUILD_p0d0(Data,vrr_stack+195, vrr_stack+21, vrr_stack+6, NULL, NULL, vrr_stack+27);
 _BUILD_d0d0(Data,vrr_stack+213, vrr_stack+195, vrr_stack+141, vrr_stack+21, vrr_stack+6, vrr_stack+30);
 _BUILD_00p0(Data,vrr_stack+30, Data->F+10, Data->F+11, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+33, vrr_stack+39, vrr_stack+30, Data->F+9, Data->F+10, NULL);
 _BUILD_p0d0(Data,vrr_stack+249, vrr_stack+117, vrr_stack+33, NULL, NULL, vrr_stack+39);
 _BUILD_d0d0(Data,vrr_stack+267, vrr_stack+123, vrr_stack+249, vrr_stack+0, vrr_stack+117, vrr_stack+42);
 _BUILD_f0d0(Data,vrr_stack+303, vrr_stack+159, vrr_stack+267, vrr_stack+141, vrr_stack+123, vrr_stack+51);
 _BUILD_f0d0(Data,vrr_stack+363, vrr_stack+213, vrr_stack+159, vrr_stack+195, vrr_stack+141, vrr_stack+69);
 _BUILD_g0d0(Data,vrr_stack+423, vrr_stack+363, vrr_stack+303, vrr_stack+213, vrr_stack+159, vrr_stack+87);
 _BUILD_00f0(Data,vrr_stack+42, vrr_stack+0, vrr_stack+117, vrr_stack+15, vrr_stack+12, NULL);
 _BUILD_00f0(Data,vrr_stack+52, vrr_stack+6, vrr_stack+0, vrr_stack+27, vrr_stack+15, NULL);
 _BUILD_p0f0(Data,vrr_stack+62, vrr_stack+52, vrr_stack+42, NULL, NULL, vrr_stack+0);
 _BUILD_00f0(Data,vrr_stack+92, vrr_stack+21, vrr_stack+6, vrr_stack+18, vrr_stack+27, NULL);
 _BUILD_p0f0(Data,vrr_stack+513, vrr_stack+92, vrr_stack+52, NULL, NULL, vrr_stack+6);
 _BUILD_00f0(Data,vrr_stack+102, vrr_stack+117, vrr_stack+33, vrr_stack+12, vrr_stack+39, NULL);
 _BUILD_p0f0(Data,vrr_stack+543, vrr_stack+42, vrr_stack+102, NULL, NULL, vrr_stack+117);
 _BUILD_d0f0(Data,vrr_stack+573, vrr_stack+62, vrr_stack+543, vrr_stack+52, vrr_stack+42, vrr_stack+123);
 _BUILD_d0f0(Data,vrr_stack+633, vrr_stack+513, vrr_stack+62, vrr_stack+92, vrr_stack+52, vrr_stack+141);
 _BUILD_f0f0(Data,vrr_stack+693, vrr_stack+633, vrr_stack+573, vrr_stack+513, vrr_stack+62, vrr_stack+159);
 _BUILD_00p0(Data,vrr_stack+27, Data->F+4, Data->F+5, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+12, vrr_stack+27, vrr_stack+18, Data->F+4, Data->F+5, NULL);
 _BUILD_00f0(Data,vrr_stack+123, vrr_stack+12, vrr_stack+21, vrr_stack+27, vrr_stack+18, NULL);
 _BUILD_p0f0(Data,vrr_stack+133, vrr_stack+123, vrr_stack+92, NULL, NULL, vrr_stack+21);
 _BUILD_d0f0(Data,vrr_stack+793, vrr_stack+133, vrr_stack+513, vrr_stack+123, vrr_stack+92, vrr_stack+195);
 _BUILD_f0f0(Data,vrr_stack+853, vrr_stack+793, vrr_stack+633, vrr_stack+133, vrr_stack+513, vrr_stack+213);
 _BUILD_00p0(Data,vrr_stack+18, Data->F+11, Data->F+12, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+163, vrr_stack+30, vrr_stack+18, Data->F+10, Data->F+11, NULL);
 _BUILD_00f0(Data,vrr_stack+169, vrr_stack+33, vrr_stack+163, vrr_stack+39, vrr_stack+30, NULL);
 _BUILD_p0f0(Data,vrr_stack+179, vrr_stack+102, vrr_stack+169, NULL, NULL, vrr_stack+33);
 _BUILD_d0f0(Data,vrr_stack+953, vrr_stack+543, vrr_stack+179, vrr_stack+42, vrr_stack+102, vrr_stack+249);
 _BUILD_f0f0(Data,vrr_stack+1013, vrr_stack+573, vrr_stack+953, vrr_stack+62, vrr_stack+543, vrr_stack+267);
 _BUILD_g0f0(Data,vrr_stack+1113, vrr_stack+693, vrr_stack+1013, vrr_stack+633, vrr_stack+573, vrr_stack+303);
 _BUILD_g0f0(Data,vrr_stack+209, vrr_stack+853, vrr_stack+693, vrr_stack+793, vrr_stack+633, vrr_stack+363);
 _BUILD_h0f0(Data,vrr_stack+1263, vrr_stack+209, vrr_stack+1113, vrr_stack+853, vrr_stack+693, vrr_stack+423);
 _BUILD_00g0(Data,vrr_stack+359, vrr_stack+52, vrr_stack+42, vrr_stack+6, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+374, vrr_stack+92, vrr_stack+52, vrr_stack+21, vrr_stack+6, NULL);
 _BUILD_00g0(Data,vrr_stack+389, vrr_stack+42, vrr_stack+102, vrr_stack+0, vrr_stack+117, NULL);
 _BUILD_p0g0(Data,vrr_stack+404, vrr_stack+359, vrr_stack+389, NULL, NULL, vrr_stack+42);
 _BUILD_p0g0(Data,vrr_stack+449, vrr_stack+374, vrr_stack+359, NULL, NULL, vrr_stack+52);
 _BUILD_d0g0(Data,vrr_stack+1473, vrr_stack+449, vrr_stack+404, vrr_stack+374, vrr_stack+359, vrr_stack+62);
 _BUILD_00g0(Data,vrr_stack+62, vrr_stack+123, vrr_stack+92, vrr_stack+12, vrr_stack+21, NULL);
 _BUILD_p0g0(Data,vrr_stack+1563, vrr_stack+62, vrr_stack+374, NULL, NULL, vrr_stack+92);
 _BUILD_d0g0(Data,vrr_stack+1608, vrr_stack+1563, vrr_stack+449, vrr_stack+62, vrr_stack+374, vrr_stack+513);
 _BUILD_00g0(Data,vrr_stack+77, vrr_stack+102, vrr_stack+169, vrr_stack+117, vrr_stack+33, NULL);
 _BUILD_p0g0(Data,vrr_stack+494, vrr_stack+389, vrr_stack+77, NULL, NULL, vrr_stack+102);
 _BUILD_d0g0(Data,vrr_stack+1698, vrr_stack+404, vrr_stack+494, vrr_stack+359, vrr_stack+389, vrr_stack+543);
 _BUILD_f0g0(Data,vrr_stack+1788, vrr_stack+1473, vrr_stack+1698, vrr_stack+449, vrr_stack+404, vrr_stack+573);
 _BUILD_f0g0(Data,vrr_stack+1938, vrr_stack+1608, vrr_stack+1473, vrr_stack+1563, vrr_stack+449, vrr_stack+633);
 _BUILD_g0g0(Data,vrr_stack+2088, vrr_stack+1938, vrr_stack+1788, vrr_stack+1608, vrr_stack+1473, vrr_stack+693);
 _BUILD_00p0(Data,vrr_stack+39, Data->F+3, Data->F+4, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+21, vrr_stack+39, vrr_stack+27, Data->F+3, Data->F+4, NULL);
 _BUILD_00f0(Data,vrr_stack+0, vrr_stack+21, vrr_stack+12, vrr_stack+39, vrr_stack+27, NULL);
 _BUILD_00g0(Data,vrr_stack+539, vrr_stack+0, vrr_stack+123, vrr_stack+21, vrr_stack+12, NULL);
 _BUILD_p0g0(Data,vrr_stack+554, vrr_stack+539, vrr_stack+62, NULL, NULL, vrr_stack+123);
 _BUILD_d0g0(Data,vrr_stack+599, vrr_stack+554, vrr_stack+1563, vrr_stack+539, vrr_stack+62, vrr_stack+133);
 _BUILD_f0g0(Data,vrr_stack+2313, vrr_stack+599, vrr_stack+1608, vrr_stack+554, vrr_stack+1563, vrr_stack+793);
 _BUILD_g0g0(Data,vrr_stack+2463, vrr_stack+2313, vrr_stack+1938, vrr_stack+599, vrr_stack+1608, vrr_stack+853);
 _BUILD_00p0(Data,vrr_stack+27, Data->F+12, Data->F+13, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+133, vrr_stack+18, vrr_stack+27, Data->F+11, Data->F+12, NULL);
 _BUILD_00f0(Data,vrr_stack+139, vrr_stack+163, vrr_stack+133, vrr_stack+30, vrr_stack+18, NULL);
 _BUILD_00g0(Data,vrr_stack+689, vrr_stack+169, vrr_stack+139, vrr_stack+33, vrr_stack+163, NULL);
 _BUILD_p0g0(Data,vrr_stack+704, vrr_stack+77, vrr_stack+689, NULL, NULL, vrr_stack+169);
 _BUILD_d0g0(Data,vrr_stack+749, vrr_stack+494, vrr_stack+704, vrr_stack+389, vrr_stack+77, vrr_stack+179);
 _BUILD_f0g0(Data,vrr_stack+2688, vrr_stack+1698, vrr_stack+749, vrr_stack+404, vrr_stack+494, vrr_stack+953);
 _BUILD_g0g0(Data,vrr_stack+2838, vrr_stack+1788, vrr_stack+2688, vrr_stack+1473, vrr_stack+1698, vrr_stack+1013);
 _BUILD_h0g0(Data,vrr_stack+3063, vrr_stack+2088, vrr_stack+2838, vrr_stack+1938, vrr_stack+1788, vrr_stack+1113);
 _BUILD_h0g0(Data,vrr_stack+839, vrr_stack+2463, vrr_stack+2088, vrr_stack+2313, vrr_stack+1938, vrr_stack+209);
 _BUILD_i0g0(Data,vrr_stack+3378, vrr_stack+839, vrr_stack+3063, vrr_stack+2463, vrr_stack+2088, vrr_stack+1263);
 _BUILD_00h0(Data,vrr_stack+179, vrr_stack+359, vrr_stack+389, vrr_stack+52, vrr_stack+42, NULL);
 _BUILD_00h0(Data,vrr_stack+200, vrr_stack+374, vrr_stack+359, vrr_stack+92, vrr_stack+52, NULL);
 _BUILD_p0h0(Data,vrr_stack+221, vrr_stack+200, vrr_stack+179, NULL, NULL, vrr_stack+359);
 _BUILD_00h0(Data,vrr_stack+284, vrr_stack+62, vrr_stack+374, vrr_stack+123, vrr_stack+92, NULL);
 _BUILD_p0h0(Data,vrr_stack+1154, vrr_stack+284, vrr_stack+200, NULL, NULL, vrr_stack+374);
 _BUILD_00h0(Data,vrr_stack+305, vrr_stack+389, vrr_stack+77, vrr_stack+42, vrr_stack+102, NULL);
 _BUILD_p0h0(Data,vrr_stack+1217, vrr_stack+179, vrr_stack+305, NULL, NULL, vrr_stack+389);
 _BUILD_d0h0(Data,vrr_stack+1280, vrr_stack+221, vrr_stack+1217, vrr_stack+200, vrr_stack+179, vrr_stack+404);
 _BUILD_d0h0(Data,vrr_stack+3798, vrr_stack+1154, vrr_stack+221, vrr_stack+284, vrr_stack+200, vrr_stack+449);
 _BUILD_f0h0(Data,vrr_stack+3924, vrr_stack+3798, vrr_stack+1280, vrr_stack+1154, vrr_stack+221, vrr_stack+1473);
 _BUILD_00h0(Data,vrr_stack+404, vrr_stack+539, vrr_stack+62, vrr_stack+0, vrr_stack+123, NULL);
 _BUILD_p0h0(Data,vrr_stack+425, vrr_stack+404, vrr_stack+284, NULL, NULL, vrr_stack+62);
 _BUILD_d0h0(Data,vrr_stack+1406, vrr_stack+425, vrr_stack+1154, vrr_stack+404, vrr_stack+284, vrr_stack+1563);
 _BUILD_f0h0(Data,vrr_stack+4134, vrr_stack+1406, vrr_stack+3798, vrr_stack+425, vrr_stack+1154, vrr_stack+1608);
 _BUILD_00h0(Data,vrr_stack+112, vrr_stack+77, vrr_stack+689, vrr_stack+102, vrr_stack+169, NULL);
 _BUILD_p0h0(Data,vrr_stack+1532, vrr_stack+305, vrr_stack+112, NULL, NULL, vrr_stack+77);
 _BUILD_d0h0(Data,vrr_stack+4344, vrr_stack+1217, vrr_stack+1532, vrr_stack+179, vrr_stack+305, vrr_stack+494);
 _BUILD_f0h0(Data,vrr_stack+4470, vrr_stack+1280, vrr_stack+4344, vrr_stack+221, vrr_stack+1217, vrr_stack+1698);
 _BUILD_g0h0(Data,vrr_stack+4680, vrr_stack+3924, vrr_stack+4470, vrr_stack+3798, vrr_stack+1280, vrr_stack+1788);
 _BUILD_g0h0(Data,vrr_stack+1595, vrr_stack+4134, vrr_stack+3924, vrr_stack+1406, vrr_stack+3798, vrr_stack+1938);
 _BUILD_h0h0(Data,vrr_stack+4995, vrr_stack+1595, vrr_stack+4680, vrr_stack+4134, vrr_stack+3924, vrr_stack+2088);
 _BUILD_00p0(Data,vrr_stack+488, Data->F+2, Data->F+3, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+491, vrr_stack+488, vrr_stack+39, Data->F+2, Data->F+3, NULL);
 _BUILD_00f0(Data,vrr_stack+497, vrr_stack+491, vrr_stack+21, vrr_stack+488, vrr_stack+39, NULL);
 _BUILD_00g0(Data,vrr_stack+507, vrr_stack+497, vrr_stack+0, vrr_stack+491, vrr_stack+21, NULL);
 _BUILD_00h0(Data,vrr_stack+326, vrr_stack+507, vrr_stack+539, vrr_stack+497, vrr_stack+0, NULL);
 _BUILD_p0h0(Data,vrr_stack+1910, vrr_stack+326, vrr_stack+404, NULL, NULL, vrr_stack+539);
 _BUILD_d0h0(Data,vrr_stack+1973, vrr_stack+1910, vrr_stack+425, vrr_stack+326, vrr_stack+404, vrr_stack+554);
 _BUILD_f0h0(Data,vrr_stack+2099, vrr_stack+1973, vrr_stack+1406, vrr_stack+1910, vrr_stack+425, vrr_stack+599);
 _BUILD_g0h0(Data,vrr_stack+5436, vrr_stack+2099, vrr_stack+4134, vrr_stack+1973, vrr_stack+1406, vrr_stack+2313);
 _BUILD_h0h0(Data,vrr_stack+5751, vrr_stack+5436, vrr_stack+1595, vrr_stack+2099, vrr_stack+4134, vrr_stack+2463);
 _BUILD_00p0(Data,vrr_stack+554, Data->F+13, Data->F+14, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+21, vrr_stack+27, vrr_stack+554, Data->F+12, Data->F+13, NULL);
 _BUILD_00f0(Data,vrr_stack+557, vrr_stack+133, vrr_stack+21, vrr_stack+18, vrr_stack+27, NULL);
 _BUILD_00g0(Data,vrr_stack+567, vrr_stack+139, vrr_stack+557, vrr_stack+163, vrr_stack+133, NULL);
 _BUILD_00h0(Data,vrr_stack+0, vrr_stack+689, vrr_stack+567, vrr_stack+169, vrr_stack+139, NULL);
 _BUILD_p0h0(Data,vrr_stack+582, vrr_stack+112, vrr_stack+0, NULL, NULL, vrr_stack+689);
 _BUILD_d0h0(Data,vrr_stack+2309, vrr_stack+1532, vrr_stack+582, vrr_stack+305, vrr_stack+112, vrr_stack+704);
 _BUILD_f0h0(Data,vrr_stack+2435, vrr_stack+4344, vrr_stack+2309, vrr_stack+1217, vrr_stack+1532, vrr_stack+749);
 _BUILD_g0h0(Data,vrr_stack+6192, vrr_stack+4470, vrr_stack+2435, vrr_stack+1280, vrr_stack+4344, vrr_stack+2688);
 _BUILD_h0h0(Data,vrr_stack+6507, vrr_stack+4680, vrr_stack+6192, vrr_stack+3924, vrr_stack+4470, vrr_stack+2838);
 _BUILD_i0h0(Data,vrr_stack+6948, vrr_stack+4995, vrr_stack+6507, vrr_stack+1595, vrr_stack+4680, vrr_stack+3063);
 _BUILD_i0h0(Data,vrr_stack+2645, vrr_stack+5751, vrr_stack+4995, vrr_stack+5436, vrr_stack+1595, vrr_stack+839);
 _BUILD_k0h0(Data,vrr_stack+7536, vrr_stack+2645, vrr_stack+6948, vrr_stack+5751, vrr_stack+4995, vrr_stack+3378);
 _BUILD_00i0(Data,vrr_stack+704, vrr_stack+200, vrr_stack+179, vrr_stack+374, vrr_stack+359, NULL);
 _BUILD_00i0(Data,vrr_stack+732, vrr_stack+284, vrr_stack+200, vrr_stack+62, vrr_stack+374, NULL);
 _BUILD_00i0(Data,vrr_stack+760, vrr_stack+179, vrr_stack+305, vrr_stack+359, vrr_stack+389, NULL);
 _BUILD_p0i0(Data,vrr_stack+788, vrr_stack+704, vrr_stack+760, NULL, NULL, vrr_stack+179);
 _BUILD_p0i0(Data,vrr_stack+872, vrr_stack+732, vrr_stack+704, NULL, NULL, vrr_stack+200);
 _BUILD_d0i0(Data,vrr_stack+956, vrr_stack+872, vrr_stack+788, vrr_stack+732, vrr_stack+704, vrr_stack+221);
 _BUILD_00i0(Data,vrr_stack+221, vrr_stack+404, vrr_stack+284, vrr_stack+539, vrr_stack+62, NULL);
 _BUILD_p0i0(Data,vrr_stack+3233, vrr_stack+221, vrr_stack+732, NULL, NULL, vrr_stack+284);
 _BUILD_d0i0(Data,vrr_stack+3317, vrr_stack+3233, vrr_stack+872, vrr_stack+221, vrr_stack+732, vrr_stack+1154);
 _BUILD_00i0(Data,vrr_stack+249, vrr_stack+305, vrr_stack+112, vrr_stack+389, vrr_stack+77, NULL);
 _BUILD_p0i0(Data,vrr_stack+1124, vrr_stack+760, vrr_stack+249, NULL, NULL, vrr_stack+305);
 _BUILD_d0i0(Data,vrr_stack+3485, vrr_stack+788, vrr_stack+1124, vrr_stack+704, vrr_stack+760, vrr_stack+1217);
 _BUILD_f0i0(Data,vrr_stack+8292, vrr_stack+956, vrr_stack+3485, vrr_stack+872, vrr_stack+788, vrr_stack+1280);
 _BUILD_f0i0(Data,vrr_stack+8572, vrr_stack+3317, vrr_stack+956, vrr_stack+3233, vrr_stack+872, vrr_stack+3798);
 _BUILD_g0i0(Data,vrr_stack+8852, vrr_stack+8572, vrr_stack+8292, vrr_stack+3317, vrr_stack+956, vrr_stack+3924);
 _BUILD_00i0(Data,vrr_stack+1208, vrr_stack+326, vrr_stack+404, vrr_stack+507, vrr_stack+539, NULL);
 _BUILD_p0i0(Data,vrr_stack+1236, vrr_stack+1208, vrr_stack+221, NULL, NULL, vrr_stack+404);
 _BUILD_d0i0(Data,vrr_stack+3653, vrr_stack+1236, vrr_stack+3233, vrr_stack+1208, vrr_stack+221, vrr_stack+425);
 _BUILD_f0i0(Data,vrr_stack+3821, vrr_stack+3653, vrr_stack+3317, vrr_stack+1236, vrr_stack+3233, vrr_stack+1406);
 _BUILD_g0i0(Data,vrr_stack+9272, vrr_stack+3821, vrr_stack+8572, vrr_stack+3653, vrr_stack+3317, vrr_stack+4134);
 _BUILD_00i0(Data,vrr_stack+425, vrr_stack+112, vrr_stack+0, vrr_stack+77, vrr_stack+689, NULL);
 _BUILD_p0i0(Data,vrr_stack+1320, vrr_stack+249, vrr_stack+425, NULL, NULL, vrr_stack+112);
 _BUILD_d0i0(Data,vrr_stack+4101, vrr_stack+1124, vrr_stack+1320, vrr_stack+760, vrr_stack+249, vrr_stack+1532);
 _BUILD_f0i0(Data,vrr_stack+9692, vrr_stack+3485, vrr_stack+4101, vrr_stack+788, vrr_stack+1124, vrr_stack+4344);
 _BUILD_g0i0(Data,vrr_stack+9972, vrr_stack+8292, vrr_stack+9692, vrr_stack+956, vrr_stack+3485, vrr_stack+4470);
 _BUILD_h0i0(Data,vrr_stack+10392, vrr_stack+8852, vrr_stack+9972, vrr_stack+8572, vrr_stack+8292, vrr_stack+4680);
 _BUILD_h0i0(Data,vrr_stack+4269, vrr_stack+9272, vrr_stack+8852, vrr_stack+3821, vrr_stack+8572, vrr_stack+1595);
 _BUILD_i0i0(Data,vrr_stack+10980, vrr_stack+4269, vrr_stack+10392, vrr_stack+9272, vrr_stack+8852, vrr_stack+4995);
 _BUILD_00p0(Data,vrr_stack+453, Data->F+1, Data->F+2, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+456, vrr_stack+453, vrr_stack+488, Data->F+1, Data->F+2, NULL);
 _BUILD_00f0(Data,vrr_stack+462, vrr_stack+456, vrr_stack+491, vrr_stack+453, vrr_stack+488, NULL);
 _BUILD_00g0(Data,vrr_stack+472, vrr_stack+462, vrr_stack+497, vrr_stack+456, vrr_stack+491, NULL);
 _BUILD_00h0(Data,vrr_stack+1404, vrr_stack+472, vrr_stack+507, vrr_stack+462, vrr_stack+497, NULL);
 _BUILD_00i0(Data,vrr_stack+1425, vrr_stack+1404, vrr_stack+326, vrr_stack+472, vrr_stack+507, NULL);
 _BUILD_p0i0(Data,vrr_stack+1453, vrr_stack+1425, vrr_stack+1208, NULL, NULL, vrr_stack+326);
 _BUILD_d0i0(Data,vrr_stack+1537, vrr_stack+1453, vrr_stack+1236, vrr_stack+1425, vrr_stack+1208, vrr_stack+1910);
 _BUILD_f0i0(Data,vrr_stack+4857, vrr_stack+1537, vrr_stack+3653, vrr_stack+1453, vrr_stack+1236, vrr_stack+1973);
 _BUILD_g0i0(Data,vrr_stack+11764, vrr_stack+4857, vrr_stack+3821, vrr_stack+1537, vrr_stack+3653, vrr_stack+2099);
 _BUILD_h0i0(Data,vrr_stack+1705, vrr_stack+11764, vrr_stack+9272, vrr_stack+4857, vrr_stack+3821, vrr_stack+5436);
 _BUILD_i0i0(Data,vrr_stack+12184, vrr_stack+1705, vrr_stack+4269, vrr_stack+11764, vrr_stack+9272, vrr_stack+5751);
 _BUILD_00p0(Data,vrr_stack+487, Data->F+14, Data->F+15, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+490, vrr_stack+554, vrr_stack+487, Data->F+13, Data->F+14, NULL);
 _BUILD_00f0(Data,vrr_stack+496, vrr_stack+21, vrr_stack+490, vrr_stack+27, vrr_stack+554, NULL);
 _BUILD_00g0(Data,vrr_stack+27, vrr_stack+557, vrr_stack+496, vrr_stack+133, vrr_stack+21, NULL);
 _BUILD_00h0(Data,vrr_stack+42, vrr_stack+567, vrr_stack+27, vrr_stack+139, vrr_stack+557, NULL);
 _BUILD_00i0(Data,vrr_stack+133, vrr_stack+0, vrr_stack+42, vrr_stack+689, vrr_stack+567, NULL);
 _BUILD_p0i0(Data,vrr_stack+5137, vrr_stack+425, vrr_stack+133, NULL, NULL, vrr_stack+0);
 _BUILD_d0i0(Data,vrr_stack+5221, vrr_stack+1320, vrr_stack+5137, vrr_stack+249, vrr_stack+425, vrr_stack+582);
 _BUILD_f0i0(Data,vrr_stack+5389, vrr_stack+4101, vrr_stack+5221, vrr_stack+1124, vrr_stack+1320, vrr_stack+2309);
 _BUILD_g0i0(Data,vrr_stack+5669, vrr_stack+9692, vrr_stack+5389, vrr_stack+3485, vrr_stack+4101, vrr_stack+2435);
 _BUILD_h0i0(Data,vrr_stack+12968, vrr_stack+9972, vrr_stack+5669, vrr_stack+8292, vrr_stack+9692, vrr_stack+6192);
 _BUILD_i0i0(Data,vrr_stack+13556, vrr_stack+10392, vrr_stack+12968, vrr_stack+8852, vrr_stack+9972, vrr_stack+6507);
 _BUILD_k0i0(Data,vrr_stack+14340, vrr_stack+10980, vrr_stack+13556, vrr_stack+4269, vrr_stack+10392, vrr_stack+6948);
 _BUILD_k0i0(Data,vrr_stack+6089, vrr_stack+12184, vrr_stack+10980, vrr_stack+1705, vrr_stack+4269, vrr_stack+2645);
 _BUILD_l0i0(Data,vrr_stack+15348, vrr_stack+6089, vrr_stack+14340, vrr_stack+12184, vrr_stack+10980, vrr_stack+7536);
 _BUILD_00k0(Data,vrr_stack+582, vrr_stack+704, vrr_stack+760, vrr_stack+200, vrr_stack+179, NULL);
 _BUILD_00k0(Data,vrr_stack+618, vrr_stack+732, vrr_stack+704, vrr_stack+284, vrr_stack+200, NULL);
 _BUILD_p0k0(Data,vrr_stack+2293, vrr_stack+618, vrr_stack+582, NULL, NULL, vrr_stack+704);
 _BUILD_00k0(Data,vrr_stack+654, vrr_stack+221, vrr_stack+732, vrr_stack+404, vrr_stack+284, NULL);
 _BUILD_p0k0(Data,vrr_stack+2401, vrr_stack+654, vrr_stack+618, NULL, NULL, vrr_stack+732);
 _BUILD_00k0(Data,vrr_stack+63, vrr_stack+760, vrr_stack+249, vrr_stack+179, vrr_stack+305, NULL);
 _BUILD_p0k0(Data,vrr_stack+2509, vrr_stack+582, vrr_stack+63, NULL, NULL, vrr_stack+760);
 _BUILD_d0k0(Data,vrr_stack+2617, vrr_stack+2293, vrr_stack+2509, vrr_stack+618, vrr_stack+582, vrr_stack+788);
 _BUILD_d0k0(Data,vrr_stack+2833, vrr_stack+2401, vrr_stack+2293, vrr_stack+654, vrr_stack+618, vrr_stack+872);
 _BUILD_f0k0(Data,vrr_stack+7097, vrr_stack+2833, vrr_stack+2617, vrr_stack+2401, vrr_stack+2293, vrr_stack+956);
 _BUILD_00k0(Data,vrr_stack+788, vrr_stack+1208, vrr_stack+221, vrr_stack+326, vrr_stack+404, NULL);
 _BUILD_p0k0(Data,vrr_stack+824, vrr_stack+788, vrr_stack+654, NULL, NULL, vrr_stack+221);
 _BUILD_d0k0(Data,vrr_stack+7457, vrr_stack+824, vrr_stack+2401, vrr_stack+788, vrr_stack+654, vrr_stack+3233);
 _BUILD_f0k0(Data,vrr_stack+7673, vrr_stack+7457, vrr_stack+2833, vrr_stack+824, vrr_stack+2401, vrr_stack+3317);
 _BUILD_00k0(Data,vrr_stack+932, vrr_stack+249, vrr_stack+425, vrr_stack+305, vrr_stack+112, NULL);
 _BUILD_p0k0(Data,vrr_stack+968, vrr_stack+63, vrr_stack+932, NULL, NULL, vrr_stack+249);
 _BUILD_d0k0(Data,vrr_stack+3049, vrr_stack+2509, vrr_stack+968, vrr_stack+582, vrr_stack+63, vrr_stack+1124);
 _BUILD_f0k0(Data,vrr_stack+16608, vrr_stack+2617, vrr_stack+3049, vrr_stack+2293, vrr_stack+2509, vrr_stack+3485);
 _BUILD_g0k0(Data,vrr_stack+16968, vrr_stack+7097, vrr_stack+16608, vrr_stack+2833, vrr_stack+2617, vrr_stack+8292);
 _BUILD_g0k0(Data,vrr_stack+17508, vrr_stack+7673, vrr_stack+7097, vrr_stack+7457, vrr_stack+2833, vrr_stack+8572);
 _BUILD_h0k0(Data,vrr_stack+8033, vrr_stack+17508, vrr_stack+16968, vrr_stack+7673, vrr_stack+7097, vrr_stack+8852);
 _BUILD_00k0(Data,vrr_stack+1076, vrr_stack+1425, vrr_stack+1208, vrr_stack+1404, vrr_stack+326, NULL);
 _BUILD_p0k0(Data,vrr_stack+277, vrr_stack+1076, vrr_stack+788, NULL, NULL, vrr_stack+1208);
 _BUILD_d0k0(Data,vrr_stack+3265, vrr_stack+277, vrr_stack+824, vrr_stack+1076, vrr_stack+788, vrr_stack+1236);
 _BUILD_f0k0(Data,vrr_stack+8789, vrr_stack+3265, vrr_stack+7457, vrr_stack+277, vrr_stack+824, vrr_stack+3653);
 _BUILD_g0k0(Data,vrr_stack+18048, vrr_stack+8789, vrr_stack+7673, vrr_stack+3265, vrr_stack+7457, vrr_stack+3821);
 _BUILD_h0k0(Data,vrr_stack+18588, vrr_stack+18048, vrr_stack+17508, vrr_stack+8789, vrr_stack+7673, vrr_stack+9272);
 _BUILD_00k0(Data,vrr_stack+1236, vrr_stack+425, vrr_stack+133, vrr_stack+112, vrr_stack+0, NULL);
 _BUILD_p0k0(Data,vrr_stack+3481, vrr_stack+932, vrr_stack+1236, NULL, NULL, vrr_stack+425);
 _BUILD_d0k0(Data,vrr_stack+3589, vrr_stack+968, vrr_stack+3481, vrr_stack+63, vrr_stack+932, vrr_stack+1320);
 _BUILD_f0k0(Data,vrr_stack+9149, vrr_stack+3049, vrr_stack+3589, vrr_stack+2509, vrr_stack+968, vrr_stack+4101);
 _BUILD_g0k0(Data,vrr_stack+19344, vrr_stack+16608, vrr_stack+9149, vrr_stack+2617, vrr_stack+3049, vrr_stack+9692);
 _BUILD_h0k0(Data,vrr_stack+19884, vrr_stack+16968, vrr_stack+19344, vrr_stack+7097, vrr_stack+16608, vrr_stack+9972);
 _BUILD_i0k0(Data,vrr_stack+20640, vrr_stack+8033, vrr_stack+19884, vrr_stack+17508, vrr_stack+16968, vrr_stack+10392);
 _BUILD_i0k0(Data,vrr_stack+9509, vrr_stack+18588, vrr_stack+8033, vrr_stack+18048, vrr_stack+17508, vrr_stack+4269);
 _BUILD_k0k0(Data,vrr_stack+21648, vrr_stack+9509, vrr_stack+20640, vrr_stack+18588, vrr_stack+8033, vrr_stack+10980);
 _BUILD_00p0(Data,vrr_stack+1272, Data->F+0, Data->F+1, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+1275, vrr_stack+1272, vrr_stack+453, Data->F+0, Data->F+1, NULL);
 _BUILD_00f0(Data,vrr_stack+1281, vrr_stack+1275, vrr_stack+456, vrr_stack+1272, vrr_stack+453, NULL);
 _BUILD_00g0(Data,vrr_stack+1291, vrr_stack+1281, vrr_stack+462, vrr_stack+1275, vrr_stack+456, NULL);
 _BUILD_00h0(Data,vrr_stack+1306, vrr_stack+1291, vrr_stack+472, vrr_stack+1281, vrr_stack+462, NULL);
 _BUILD_00i0(Data,vrr_stack+1327, vrr_stack+1306, vrr_stack+1404, vrr_stack+1291, vrr_stack+472, NULL);
 _BUILD_00k0(Data,vrr_stack+1355, vrr_stack+1327, vrr_stack+1425, vrr_stack+1306, vrr_stack+1404, NULL);
 _BUILD_p0k0(Data,vrr_stack+3805, vrr_stack+1355, vrr_stack+1076, NULL, NULL, vrr_stack+1425);
 _BUILD_d0k0(Data,vrr_stack+3913, vrr_stack+3805, vrr_stack+277, vrr_stack+1355, vrr_stack+1076, vrr_stack+1453);
 _BUILD_f0k0(Data,vrr_stack+4129, vrr_stack+3913, vrr_stack+3265, vrr_stack+3805, vrr_stack+277, vrr_stack+1537);
 _BUILD_g0k0(Data,vrr_stack+10517, vrr_stack+4129, vrr_stack+8789, vrr_stack+3913, vrr_stack+3265, vrr_stack+4857);
 _BUILD_h0k0(Data,vrr_stack+22944, vrr_stack+10517, vrr_stack+18048, vrr_stack+4129, vrr_stack+8789, vrr_stack+11764);
 _BUILD_i0k0(Data,vrr_stack+3805, vrr_stack+22944, vrr_stack+18588, vrr_stack+10517, vrr_stack+18048, vrr_stack+1705);
   tmp = vrr_stack + 3805;
   target_ptr = Libint->vrr_classes[6][7];
   for(i=0;i<1008;i++)
     target_ptr[i] += tmp[i];
 _BUILD_k0k0(Data,vrr_stack+10517, vrr_stack+3805, vrr_stack+9509, vrr_stack+22944, vrr_stack+18588, vrr_stack+12184);
   tmp = vrr_stack + 10517;
   target_ptr = Libint->vrr_classes[7][7];
   for(i=0;i<1296;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+22944, Data->F+15, Data->F+16, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+22947, vrr_stack+487, vrr_stack+22944, Data->F+14, Data->F+15, NULL);
 _BUILD_00f0(Data,vrr_stack+22953, vrr_stack+490, vrr_stack+22947, vrr_stack+554, vrr_stack+487, NULL);
 _BUILD_00g0(Data,vrr_stack+22963, vrr_stack+496, vrr_stack+22953, vrr_stack+21, vrr_stack+490, NULL);
 _BUILD_00h0(Data,vrr_stack+22978, vrr_stack+27, vrr_stack+22963, vrr_stack+557, vrr_stack+496, NULL);
 _BUILD_00i0(Data,vrr_stack+22999, vrr_stack+42, vrr_stack+22978, vrr_stack+567, vrr_stack+27, NULL);
 _BUILD_00k0(Data,vrr_stack+23027, vrr_stack+133, vrr_stack+22999, vrr_stack+0, vrr_stack+42, NULL);
 _BUILD_p0k0(Data,vrr_stack+23063, vrr_stack+1236, vrr_stack+23027, NULL, NULL, vrr_stack+133);
 _BUILD_d0k0(Data,vrr_stack+23171, vrr_stack+3481, vrr_stack+23063, vrr_stack+932, vrr_stack+1236, vrr_stack+5137);
 _BUILD_f0k0(Data,vrr_stack+23387, vrr_stack+3589, vrr_stack+23171, vrr_stack+968, vrr_stack+3481, vrr_stack+5221);
 _BUILD_g0k0(Data,vrr_stack+11813, vrr_stack+9149, vrr_stack+23387, vrr_stack+3049, vrr_stack+3589, vrr_stack+5389);
 _BUILD_h0k0(Data,vrr_stack+4813, vrr_stack+19344, vrr_stack+11813, vrr_stack+16608, vrr_stack+9149, vrr_stack+5669);
 _BUILD_i0k0(Data,vrr_stack+23747, vrr_stack+19884, vrr_stack+4813, vrr_stack+16968, vrr_stack+19344, vrr_stack+12968);
 _BUILD_k0k0(Data,vrr_stack+24755, vrr_stack+20640, vrr_stack+23747, vrr_stack+8033, vrr_stack+19884, vrr_stack+13556);
 _BUILD_l0k0(Data,vrr_stack+12353, vrr_stack+21648, vrr_stack+24755, vrr_stack+9509, vrr_stack+20640, vrr_stack+14340);
 _BUILD_l0k0(Data,vrr_stack+26051, vrr_stack+10517, vrr_stack+21648, vrr_stack+3805, vrr_stack+9509, vrr_stack+6089);
   tmp = vrr_stack + 26051;
   target_ptr = Libint->vrr_classes[8][7];
   for(i=0;i<1620;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00l0(Data,vrr_stack+3805, vrr_stack+582, vrr_stack+63, vrr_stack+704, vrr_stack+760, NULL);
 _BUILD_00l0(Data,vrr_stack+3850, vrr_stack+618, vrr_stack+582, vrr_stack+732, vrr_stack+704, NULL);
 _BUILD_p0l0(Data,vrr_stack+3895, vrr_stack+3850, vrr_stack+3805, NULL, NULL, vrr_stack+582);
 _BUILD_00l0(Data,vrr_stack+4030, vrr_stack+654, vrr_stack+618, vrr_stack+221, vrr_stack+732, NULL);
 _BUILD_p0l0(Data,vrr_stack+4075, vrr_stack+4030, vrr_stack+3850, NULL, NULL, vrr_stack+618);
 _BUILD_00l0(Data,vrr_stack+4210, vrr_stack+63, vrr_stack+932, vrr_stack+760, vrr_stack+249, NULL);
 _BUILD_p0l0(Data,vrr_stack+4255, vrr_stack+3805, vrr_stack+4210, NULL, NULL, vrr_stack+63);
 _BUILD_d0l0(Data,vrr_stack+4390, vrr_stack+3895, vrr_stack+4255, vrr_stack+3850, vrr_stack+3805, vrr_stack+2509);
 _BUILD_d0l0(Data,vrr_stack+27671, vrr_stack+4075, vrr_stack+3895, vrr_stack+4030, vrr_stack+3850, vrr_stack+2293);
 _BUILD_f0l0(Data,vrr_stack+13973, vrr_stack+27671, vrr_stack+4390, vrr_stack+4075, vrr_stack+3895, vrr_stack+2617);
 _BUILD_00l0(Data,vrr_stack+2509, vrr_stack+788, vrr_stack+654, vrr_stack+1208, vrr_stack+221, NULL);
 _BUILD_p0l0(Data,vrr_stack+2554, vrr_stack+2509, vrr_stack+4030, NULL, NULL, vrr_stack+654);
 _BUILD_d0l0(Data,vrr_stack+14423, vrr_stack+2554, vrr_stack+4075, vrr_stack+2509, vrr_stack+4030, vrr_stack+2401);
 _BUILD_f0l0(Data,vrr_stack+14693, vrr_stack+14423, vrr_stack+27671, vrr_stack+2554, vrr_stack+4075, vrr_stack+2833);
 _BUILD_00l0(Data,vrr_stack+2689, vrr_stack+932, vrr_stack+1236, vrr_stack+249, vrr_stack+425, NULL);
 _BUILD_p0l0(Data,vrr_stack+2734, vrr_stack+4210, vrr_stack+2689, NULL, NULL, vrr_stack+932);
 _BUILD_d0l0(Data,vrr_stack+5569, vrr_stack+4255, vrr_stack+2734, vrr_stack+3805, vrr_stack+4210, vrr_stack+968);
 _BUILD_f0l0(Data,vrr_stack+5839, vrr_stack+4390, vrr_stack+5569, vrr_stack+3895, vrr_stack+4255, vrr_stack+3049);
 _BUILD_g0l0(Data,vrr_stack+6289, vrr_stack+13973, vrr_stack+5839, vrr_stack+27671, vrr_stack+4390, vrr_stack+16608);
 _BUILD_g0l0(Data,vrr_stack+1453, vrr_stack+14693, vrr_stack+13973, vrr_stack+14423, vrr_stack+27671, vrr_stack+7097);
 _BUILD_h0l0(Data,vrr_stack+27941, vrr_stack+1453, vrr_stack+6289, vrr_stack+14693, vrr_stack+13973, vrr_stack+16968);
 _BUILD_00l0(Data,vrr_stack+16608, vrr_stack+1076, vrr_stack+788, vrr_stack+1425, vrr_stack+1208, NULL);
 _BUILD_p0l0(Data,vrr_stack+16653, vrr_stack+16608, vrr_stack+2509, NULL, NULL, vrr_stack+788);
 _BUILD_d0l0(Data,vrr_stack+16788, vrr_stack+16653, vrr_stack+2554, vrr_stack+16608, vrr_stack+2509, vrr_stack+824);
 _BUILD_f0l0(Data,vrr_stack+17058, vrr_stack+16788, vrr_stack+14423, vrr_stack+16653, vrr_stack+2554, vrr_stack+7457);
 _BUILD_g0l0(Data,vrr_stack+6964, vrr_stack+17058, vrr_stack+14693, vrr_stack+16788, vrr_stack+14423, vrr_stack+7673);
 _BUILD_h0l0(Data,vrr_stack+28886, vrr_stack+6964, vrr_stack+1453, vrr_stack+17058, vrr_stack+14693, vrr_stack+17508);
 _BUILD_00l0(Data,vrr_stack+17508, vrr_stack+1236, vrr_stack+23027, vrr_stack+425, vrr_stack+133, NULL);
 _BUILD_p0l0(Data,vrr_stack+17553, vrr_stack+2689, vrr_stack+17508, NULL, NULL, vrr_stack+1236);
 _BUILD_d0l0(Data,vrr_stack+17688, vrr_stack+2734, vrr_stack+17553, vrr_stack+4210, vrr_stack+2689, vrr_stack+3481);
 _BUILD_f0l0(Data,vrr_stack+29831, vrr_stack+5569, vrr_stack+17688, vrr_stack+4255, vrr_stack+2734, vrr_stack+3589);
 _BUILD_g0l0(Data,vrr_stack+30281, vrr_stack+5839, vrr_stack+29831, vrr_stack+4390, vrr_stack+5569, vrr_stack+9149);
 _BUILD_h0l0(Data,vrr_stack+30956, vrr_stack+6289, vrr_stack+30281, vrr_stack+13973, vrr_stack+5839, vrr_stack+19344);
 _BUILD_i0l0(Data,vrr_stack+31901, vrr_stack+27941, vrr_stack+30956, vrr_stack+1453, vrr_stack+6289, vrr_stack+19884);
 _BUILD_i0l0(Data,vrr_stack+19344, vrr_stack+28886, vrr_stack+27941, vrr_stack+6964, vrr_stack+1453, vrr_stack+8033);
 _BUILD_k0l0(Data,vrr_stack+33161, vrr_stack+19344, vrr_stack+31901, vrr_stack+28886, vrr_stack+27941, vrr_stack+20640);
 _BUILD_00l0(Data,vrr_stack+20604, vrr_stack+1355, vrr_stack+1076, vrr_stack+1327, vrr_stack+1425, NULL);
 _BUILD_p0l0(Data,vrr_stack+20649, vrr_stack+20604, vrr_stack+16608, NULL, NULL, vrr_stack+1076);
 _BUILD_d0l0(Data,vrr_stack+20784, vrr_stack+20649, vrr_stack+16653, vrr_stack+20604, vrr_stack+16608, vrr_stack+277);
 _BUILD_f0l0(Data,vrr_stack+21054, vrr_stack+20784, vrr_stack+16788, vrr_stack+20649, vrr_stack+16653, vrr_stack+3265);
 _BUILD_g0l0(Data,vrr_stack+2869, vrr_stack+21054, vrr_stack+17058, vrr_stack+20784, vrr_stack+16788, vrr_stack+8789);
 _BUILD_h0l0(Data,vrr_stack+7639, vrr_stack+2869, vrr_stack+6964, vrr_stack+21054, vrr_stack+17058, vrr_stack+18048);
 _BUILD_i0l0(Data,vrr_stack+34781, vrr_stack+7639, vrr_stack+28886, vrr_stack+2869, vrr_stack+6964, vrr_stack+18588);
   tmp = vrr_stack + 34781;
   target_ptr = Libint->vrr_classes[6][8];
   for(i=0;i<1260;i++)
     target_ptr[i] += tmp[i];
 _BUILD_k0l0(Data,vrr_stack+36041, vrr_stack+34781, vrr_stack+19344, vrr_stack+7639, vrr_stack+28886, vrr_stack+9509);
   tmp = vrr_stack + 36041;
   target_ptr = Libint->vrr_classes[7][8];
   for(i=0;i<1620;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+7639, Data->F+16, Data->F+17, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+7642, vrr_stack+22944, vrr_stack+7639, Data->F+15, Data->F+16, NULL);
 _BUILD_00f0(Data,vrr_stack+7648, vrr_stack+22947, vrr_stack+7642, vrr_stack+487, vrr_stack+22944, NULL);
 _BUILD_00g0(Data,vrr_stack+7658, vrr_stack+22953, vrr_stack+7648, vrr_stack+490, vrr_stack+22947, NULL);
 _BUILD_00h0(Data,vrr_stack+7673, vrr_stack+22963, vrr_stack+7658, vrr_stack+496, vrr_stack+22953, NULL);
 _BUILD_00i0(Data,vrr_stack+7694, vrr_stack+22978, vrr_stack+7673, vrr_stack+27, vrr_stack+22963, NULL);
 _BUILD_00k0(Data,vrr_stack+7722, vrr_stack+22999, vrr_stack+7694, vrr_stack+42, vrr_stack+22978, NULL);
 _BUILD_00l0(Data,vrr_stack+7758, vrr_stack+23027, vrr_stack+7722, vrr_stack+133, vrr_stack+22999, NULL);
 _BUILD_p0l0(Data,vrr_stack+7803, vrr_stack+17508, vrr_stack+7758, NULL, NULL, vrr_stack+23027);
 _BUILD_d0l0(Data,vrr_stack+7938, vrr_stack+17553, vrr_stack+7803, vrr_stack+2689, vrr_stack+17508, vrr_stack+23063);
 _BUILD_f0l0(Data,vrr_stack+8208, vrr_stack+17688, vrr_stack+7938, vrr_stack+2734, vrr_stack+17553, vrr_stack+23171);
 _BUILD_g0l0(Data,vrr_stack+8658, vrr_stack+29831, vrr_stack+8208, vrr_stack+5569, vrr_stack+17688, vrr_stack+23387);
 _BUILD_h0l0(Data,vrr_stack+9333, vrr_stack+30281, vrr_stack+8658, vrr_stack+5839, vrr_stack+29831, vrr_stack+11813);
 _BUILD_i0l0(Data,vrr_stack+17958, vrr_stack+30956, vrr_stack+9333, vrr_stack+6289, vrr_stack+30281, vrr_stack+4813);
 _BUILD_k0l0(Data,vrr_stack+37661, vrr_stack+31901, vrr_stack+17958, vrr_stack+27941, vrr_stack+30956, vrr_stack+23747);
 _BUILD_l0l0(Data,vrr_stack+39281, vrr_stack+33161, vrr_stack+37661, vrr_stack+19344, vrr_stack+31901, vrr_stack+24755);
 _BUILD_l0l0(Data,vrr_stack+23063, vrr_stack+36041, vrr_stack+33161, vrr_stack+34781, vrr_stack+19344, vrr_stack+21648);
   tmp = vrr_stack + 23063;
   target_ptr = Libint->vrr_classes[8][8];
   for(i=0;i<2025;i++)
     target_ptr[i] += tmp[i];
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+34781, vrr_stack+3805, vrr_stack+4210, vrr_stack+582, vrr_stack+63, NULL);
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+34836, vrr_stack+3850, vrr_stack+3805, vrr_stack+618, vrr_stack+582, NULL);
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+34891, vrr_stack+34836, vrr_stack+34781, NULL, NULL, vrr_stack+3805);
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+35056, vrr_stack+4030, vrr_stack+3850, vrr_stack+654, vrr_stack+618, NULL);
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+35111, vrr_stack+35056, vrr_stack+34836, NULL, NULL, vrr_stack+3850);
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+35276, vrr_stack+4210, vrr_stack+2689, vrr_stack+63, vrr_stack+932, NULL);
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+35331, vrr_stack+34781, vrr_stack+35276, NULL, NULL, vrr_stack+4210);
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+35496, vrr_stack+34891, vrr_stack+35331, vrr_stack+34836, vrr_stack+34781, vrr_stack+4255);
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+11813, vrr_stack+35111, vrr_stack+34891, vrr_stack+35056, vrr_stack+34836, vrr_stack+3895);
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+25088, vrr_stack+11813, vrr_stack+35496, vrr_stack+35111, vrr_stack+34891, vrr_stack+4390);
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+3895, vrr_stack+2509, vrr_stack+4030, vrr_stack+788, vrr_stack+654, NULL);
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+4255, vrr_stack+3895, vrr_stack+35056, NULL, NULL, vrr_stack+4030);
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+4420, vrr_stack+4255, vrr_stack+35111, vrr_stack+3895, vrr_stack+35056, vrr_stack+4075);
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+4750, vrr_stack+4420, vrr_stack+11813, vrr_stack+4255, vrr_stack+35111, vrr_stack+27671);
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+27671, vrr_stack+2689, vrr_stack+17508, vrr_stack+932, vrr_stack+1236, NULL);
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+27726, vrr_stack+35276, vrr_stack+27671, NULL, NULL, vrr_stack+2689);
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+25638, vrr_stack+35331, vrr_stack+27726, vrr_stack+34781, vrr_stack+35276, vrr_stack+2734);
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+2734, vrr_stack+35496, vrr_stack+25638, vrr_stack+34891, vrr_stack+35331, vrr_stack+5569);
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+20649, vrr_stack+25088, vrr_stack+2734, vrr_stack+11813, vrr_stack+35496, vrr_stack+5839);
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+5300, vrr_stack+4750, vrr_stack+25088, vrr_stack+4420, vrr_stack+11813, vrr_stack+13973);
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+41306, vrr_stack+5300, vrr_stack+20649, vrr_stack+4750, vrr_stack+25088, vrr_stack+6289);
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+13973, vrr_stack+16608, vrr_stack+2509, vrr_stack+1076, vrr_stack+788, NULL);
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+14028, vrr_stack+13973, vrr_stack+3895, NULL, NULL, vrr_stack+2509);
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+3284, vrr_stack+14028, vrr_stack+4255, vrr_stack+13973, vrr_stack+3895, vrr_stack+2554);
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+6125, vrr_stack+3284, vrr_stack+4420, vrr_stack+14028, vrr_stack+4255, vrr_stack+14423);
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+0, vrr_stack+6125, vrr_stack+4750, vrr_stack+3284, vrr_stack+4420, vrr_stack+14693);
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+14193, vrr_stack+0, vrr_stack+5300, vrr_stack+6125, vrr_stack+4750, vrr_stack+1453);
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+2554, vrr_stack+17508, vrr_stack+7758, vrr_stack+1236, vrr_stack+23027, NULL);
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+3614, vrr_stack+27671, vrr_stack+2554, NULL, NULL, vrr_stack+17508);
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+42461, vrr_stack+27726, vrr_stack+3614, vrr_stack+35276, vrr_stack+27671, vrr_stack+17553);
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+1391, vrr_stack+25638, vrr_stack+42461, vrr_stack+35331, vrr_stack+27726, vrr_stack+17688);
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+42791, vrr_stack+2734, vrr_stack+1391, vrr_stack+35496, vrr_stack+25638, vrr_stack+29831);
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+43616, vrr_stack+20649, vrr_stack+42791, vrr_stack+25088, vrr_stack+2734, vrr_stack+30281);
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+44771, vrr_stack+41306, vrr_stack+43616, vrr_stack+5300, vrr_stack+20649, vrr_stack+30956);
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+29831, vrr_stack+14193, vrr_stack+41306, vrr_stack+0, vrr_stack+5300, vrr_stack+27941);
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+46311, vrr_stack+29831, vrr_stack+44771, vrr_stack+14193, vrr_stack+41306, vrr_stack+31901);
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+31371, vrr_stack+20604, vrr_stack+16608, vrr_stack+1355, vrr_stack+1076, NULL);
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+31426, vrr_stack+31371, vrr_stack+13973, NULL, NULL, vrr_stack+16608);
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+31591, vrr_stack+31426, vrr_stack+14028, vrr_stack+31371, vrr_stack+13973, vrr_stack+16653);
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+31921, vrr_stack+31591, vrr_stack+3284, vrr_stack+31426, vrr_stack+14028, vrr_stack+16788);
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+27891, vrr_stack+31921, vrr_stack+6125, vrr_stack+31591, vrr_stack+3284, vrr_stack+17058);
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+48291, vrr_stack+27891, vrr_stack+0, vrr_stack+31921, vrr_stack+6125, vrr_stack+6964);
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+31426, vrr_stack+48291, vrr_stack+14193, vrr_stack+27891, vrr_stack+0, vrr_stack+28886);
   tmp = vrr_stack + 31426;
   target_ptr = Libint->vrr_classes[6][9];
   for(i=0;i<1540;i++)
     target_ptr[i] += tmp[i];
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+49446, vrr_stack+31426, vrr_stack+29831, vrr_stack+48291, vrr_stack+14193, vrr_stack+19344);
   tmp = vrr_stack + 49446;
   target_ptr = Libint->vrr_classes[7][9];
   for(i=0;i<1980;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+48291, Data->F+17, Data->F+18, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+48294, vrr_stack+7639, vrr_stack+48291, Data->F+16, Data->F+17, NULL);
 _BUILD_00f0(Data,vrr_stack+48300, vrr_stack+7642, vrr_stack+48294, vrr_stack+22944, vrr_stack+7639, NULL);
 _BUILD_00g0(Data,vrr_stack+48310, vrr_stack+7648, vrr_stack+48300, vrr_stack+22947, vrr_stack+7642, NULL);
 _BUILD_00h0(Data,vrr_stack+48325, vrr_stack+7658, vrr_stack+48310, vrr_stack+22953, vrr_stack+7648, NULL);
 _BUILD_00i0(Data,vrr_stack+48346, vrr_stack+7673, vrr_stack+48325, vrr_stack+22963, vrr_stack+7658, NULL);
 _BUILD_00k0(Data,vrr_stack+48374, vrr_stack+7694, vrr_stack+48346, vrr_stack+22978, vrr_stack+7673, NULL);
 _BUILD_00l0(Data,vrr_stack+22944, vrr_stack+7722, vrr_stack+48374, vrr_stack+22999, vrr_stack+7694, NULL);
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+48410, vrr_stack+7758, vrr_stack+22944, vrr_stack+23027, vrr_stack+7722, NULL);
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+48465, vrr_stack+2554, vrr_stack+48410, NULL, NULL, vrr_stack+7758);
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+48630, vrr_stack+3614, vrr_stack+48465, vrr_stack+27671, vrr_stack+2554, vrr_stack+7803);
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+27891, vrr_stack+42461, vrr_stack+48630, vrr_stack+27726, vrr_stack+3614, vrr_stack+7938);
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+28441, vrr_stack+1391, vrr_stack+27891, vrr_stack+25638, vrr_stack+42461, vrr_stack+8208);
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+19218, vrr_stack+42791, vrr_stack+28441, vrr_stack+2734, vrr_stack+1391, vrr_stack+8658);
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+51426, vrr_stack+43616, vrr_stack+19218, vrr_stack+20649, vrr_stack+42791, vrr_stack+9333);
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+7803, vrr_stack+44771, vrr_stack+51426, vrr_stack+41306, vrr_stack+43616, vrr_stack+17958);
 am[0] = 8;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+52966, vrr_stack+46311, vrr_stack+7803, vrr_stack+29831, vrr_stack+44771, vrr_stack+37661);
 am[0] = 8;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+55441, vrr_stack+49446, vrr_stack+46311, vrr_stack+31426, vrr_stack+29831, vrr_stack+33161);
   tmp = vrr_stack + 55441;
   target_ptr = Libint->vrr_classes[8][9];
   for(i=0;i<2475;i++)
     target_ptr[i] += tmp[i];
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+31426, vrr_stack+34781, vrr_stack+35276, vrr_stack+3805, vrr_stack+4210, NULL);
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+31492, vrr_stack+34836, vrr_stack+34781, vrr_stack+3850, vrr_stack+3805, NULL);
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+31558, vrr_stack+31492, vrr_stack+31426, NULL, NULL, vrr_stack+34781);
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+31756, vrr_stack+35056, vrr_stack+34836, vrr_stack+4030, vrr_stack+3850, NULL);
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+31822, vrr_stack+31756, vrr_stack+31492, NULL, NULL, vrr_stack+34836);
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+32020, vrr_stack+35276, vrr_stack+27671, vrr_stack+4210, vrr_stack+2689, NULL);
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+32086, vrr_stack+31426, vrr_stack+32020, NULL, NULL, vrr_stack+35276);
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+32284, vrr_stack+31558, vrr_stack+32086, vrr_stack+31492, vrr_stack+31426, vrr_stack+35331);
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+32680, vrr_stack+31822, vrr_stack+31558, vrr_stack+31756, vrr_stack+31492, vrr_stack+34891);
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+37661, vrr_stack+32680, vrr_stack+32284, vrr_stack+31822, vrr_stack+31558, vrr_stack+35496);
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+34891, vrr_stack+3895, vrr_stack+35056, vrr_stack+2509, vrr_stack+4030, NULL);
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+35331, vrr_stack+34891, vrr_stack+31756, NULL, NULL, vrr_stack+35056);
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+35529, vrr_stack+35331, vrr_stack+31822, vrr_stack+34891, vrr_stack+31756, vrr_stack+35111);
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+38321, vrr_stack+35529, vrr_stack+32680, vrr_stack+35331, vrr_stack+31822, vrr_stack+11813);
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+11813, vrr_stack+27671, vrr_stack+2554, vrr_stack+2689, vrr_stack+17508, NULL);
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+11879, vrr_stack+32020, vrr_stack+11813, NULL, NULL, vrr_stack+27671);
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+9783, vrr_stack+32086, vrr_stack+11879, vrr_stack+31426, vrr_stack+32020, vrr_stack+27726);
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+16653, vrr_stack+32284, vrr_stack+9783, vrr_stack+31558, vrr_stack+32086, vrr_stack+25638);
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+17553, vrr_stack+37661, vrr_stack+16653, vrr_stack+32680, vrr_stack+32284, vrr_stack+2734);
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+57916, vrr_stack+38321, vrr_stack+37661, vrr_stack+35529, vrr_stack+32680, vrr_stack+25088);
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+58906, vrr_stack+57916, vrr_stack+17553, vrr_stack+38321, vrr_stack+37661, vrr_stack+20649);
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+20649, vrr_stack+13973, vrr_stack+3895, vrr_stack+16608, vrr_stack+2509, NULL);
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+20715, vrr_stack+20649, vrr_stack+34891, NULL, NULL, vrr_stack+3895);
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+20913, vrr_stack+20715, vrr_stack+35331, vrr_stack+20649, vrr_stack+34891, vrr_stack+4255);
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+25088, vrr_stack+20913, vrr_stack+35529, vrr_stack+20715, vrr_stack+35331, vrr_stack+4420);
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+60292, vrr_stack+25088, vrr_stack+38321, vrr_stack+20913, vrr_stack+35529, vrr_stack+4750);
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+61282, vrr_stack+60292, vrr_stack+57916, vrr_stack+25088, vrr_stack+38321, vrr_stack+5300);
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+21309, vrr_stack+2554, vrr_stack+48410, vrr_stack+17508, vrr_stack+7758, NULL);
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+21375, vrr_stack+11813, vrr_stack+21309, NULL, NULL, vrr_stack+2554);
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+48960, vrr_stack+11879, vrr_stack+21375, vrr_stack+32020, vrr_stack+11813, vrr_stack+3614);
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+18543, vrr_stack+9783, vrr_stack+48960, vrr_stack+32086, vrr_stack+11879, vrr_stack+42461);
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+3950, vrr_stack+16653, vrr_stack+18543, vrr_stack+32284, vrr_stack+9783, vrr_stack+1391);
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+825, vrr_stack+17553, vrr_stack+3950, vrr_stack+37661, vrr_stack+16653, vrr_stack+42791);
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+62668, vrr_stack+58906, vrr_stack+825, vrr_stack+57916, vrr_stack+17553, vrr_stack+43616);
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+42461, vrr_stack+61282, vrr_stack+58906, vrr_stack+60292, vrr_stack+57916, vrr_stack+41306);
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+64516, vrr_stack+42461, vrr_stack+62668, vrr_stack+61282, vrr_stack+58906, vrr_stack+44771);
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+41306, vrr_stack+31371, vrr_stack+13973, vrr_stack+20604, vrr_stack+16608, NULL);
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+41372, vrr_stack+41306, vrr_stack+20649, NULL, NULL, vrr_stack+13973);
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+41570, vrr_stack+41372, vrr_stack+20715, vrr_stack+41306, vrr_stack+20649, vrr_stack+14028);
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+44309, vrr_stack+41570, vrr_stack+20913, vrr_stack+41372, vrr_stack+20715, vrr_stack+3284);
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+44969, vrr_stack+44309, vrr_stack+25088, vrr_stack+41570, vrr_stack+20913, vrr_stack+6125);
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+4940, vrr_stack+44969, vrr_stack+60292, vrr_stack+44309, vrr_stack+25088, vrr_stack+0);
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+66892, vrr_stack+4940, vrr_stack+61282, vrr_stack+44969, vrr_stack+60292, vrr_stack+14193);
   tmp = vrr_stack + 66892;
   target_ptr = Libint->vrr_classes[6][10];
   for(i=0;i<1848;i++)
     target_ptr[i] += tmp[i];
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+68740, vrr_stack+66892, vrr_stack+42461, vrr_stack+4940, vrr_stack+61282, vrr_stack+29831);
   tmp = vrr_stack + 68740;
   target_ptr = Libint->vrr_classes[7][10];
   for(i=0;i<2376;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+4940, Data->F+18, Data->F+19, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+4943, vrr_stack+48291, vrr_stack+4940, Data->F+17, Data->F+18, NULL);
 _BUILD_00f0(Data,vrr_stack+4949, vrr_stack+48294, vrr_stack+4943, vrr_stack+7639, vrr_stack+48291, NULL);
 _BUILD_00g0(Data,vrr_stack+19203, vrr_stack+48300, vrr_stack+4949, vrr_stack+7642, vrr_stack+48294, NULL);
 _BUILD_00h0(Data,vrr_stack+4959, vrr_stack+48310, vrr_stack+19203, vrr_stack+7648, vrr_stack+48300, NULL);
 _BUILD_00i0(Data,vrr_stack+4980, vrr_stack+48325, vrr_stack+4959, vrr_stack+7658, vrr_stack+48310, NULL);
 _BUILD_00k0(Data,vrr_stack+5008, vrr_stack+48346, vrr_stack+4980, vrr_stack+7673, vrr_stack+48325, NULL);
 _BUILD_00l0(Data,vrr_stack+16608, vrr_stack+48374, vrr_stack+5008, vrr_stack+7694, vrr_stack+48346, NULL);
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+5044, vrr_stack+22944, vrr_stack+16608, vrr_stack+7722, vrr_stack+48374, NULL);
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+5099, vrr_stack+48410, vrr_stack+5044, vrr_stack+7758, vrr_stack+22944, NULL);
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+5165, vrr_stack+21309, vrr_stack+5099, NULL, NULL, vrr_stack+48410);
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+5363, vrr_stack+21375, vrr_stack+5165, vrr_stack+11813, vrr_stack+21309, vrr_stack+48465);
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+5759, vrr_stack+48960, vrr_stack+5363, vrr_stack+11879, vrr_stack+21375, vrr_stack+48630);
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+6419, vrr_stack+18543, vrr_stack+5759, vrr_stack+9783, vrr_stack+48960, vrr_stack+27891);
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+44309, vrr_stack+3950, vrr_stack+6419, vrr_stack+16653, vrr_stack+18543, vrr_stack+28441);
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+27726, vrr_stack+825, vrr_stack+44309, vrr_stack+17553, vrr_stack+3950, vrr_stack+19218);
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+71116, vrr_stack+62668, vrr_stack+27726, vrr_stack+58906, vrr_stack+825, vrr_stack+51426);
 am[0] = 8;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+73492, vrr_stack+64516, vrr_stack+71116, vrr_stack+42461, vrr_stack+62668, vrr_stack+7803);
 am[0] = 8;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+76462, vrr_stack+68740, vrr_stack+64516, vrr_stack+66892, vrr_stack+42461, vrr_stack+46311);
   tmp = vrr_stack + 76462;
   target_ptr = Libint->vrr_classes[8][10];
   for(i=0;i<2970;i++)
     target_ptr[i] += tmp[i];
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+66892, vrr_stack+31426, vrr_stack+32020, vrr_stack+34781, vrr_stack+35276, NULL);
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+66970, vrr_stack+31492, vrr_stack+31426, vrr_stack+34836, vrr_stack+34781, NULL);
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+67048, vrr_stack+66970, vrr_stack+66892, NULL, NULL, vrr_stack+31426);
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+67282, vrr_stack+31756, vrr_stack+31492, vrr_stack+35056, vrr_stack+34836, NULL);
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+67360, vrr_stack+67282, vrr_stack+66970, NULL, NULL, vrr_stack+31492);
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+34781, vrr_stack+32020, vrr_stack+11813, vrr_stack+35276, vrr_stack+27671, NULL);
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+67594, vrr_stack+66892, vrr_stack+34781, NULL, NULL, vrr_stack+32020);
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+67828, vrr_stack+67048, vrr_stack+67594, vrr_stack+66970, vrr_stack+66892, vrr_stack+32086);
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+51426, vrr_stack+67360, vrr_stack+67048, vrr_stack+67282, vrr_stack+66970, vrr_stack+31558);
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+51894, vrr_stack+51426, vrr_stack+67828, vrr_stack+67360, vrr_stack+67048, vrr_stack+32284);
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+31558, vrr_stack+34891, vrr_stack+31756, vrr_stack+3895, vrr_stack+35056, NULL);
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+32086, vrr_stack+31558, vrr_stack+67282, NULL, NULL, vrr_stack+31756);
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+19218, vrr_stack+32086, vrr_stack+67360, vrr_stack+31558, vrr_stack+67282, vrr_stack+31822);
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+19686, vrr_stack+19218, vrr_stack+51426, vrr_stack+32086, vrr_stack+67360, vrr_stack+32680);
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+31822, vrr_stack+11813, vrr_stack+21309, vrr_stack+27671, vrr_stack+2554, NULL);
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+32320, vrr_stack+34781, vrr_stack+31822, NULL, NULL, vrr_stack+11813);
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+32554, vrr_stack+67594, vrr_stack+32320, vrr_stack+66892, vrr_stack+34781, vrr_stack+11879);
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+7409, vrr_stack+67828, vrr_stack+32554, vrr_stack+67048, vrr_stack+67594, vrr_stack+9783);
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+8189, vrr_stack+51894, vrr_stack+7409, vrr_stack+51426, vrr_stack+67828, vrr_stack+16653);
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+14028, vrr_stack+19686, vrr_stack+51894, vrr_stack+19218, vrr_stack+51426, vrr_stack+37661);
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+29574, vrr_stack+14028, vrr_stack+8189, vrr_stack+19686, vrr_stack+51894, vrr_stack+17553);
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+37661, vrr_stack+20649, vrr_stack+34891, vrr_stack+13973, vrr_stack+3895, NULL);
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+37739, vrr_stack+37661, vrr_stack+31558, NULL, NULL, vrr_stack+34891);
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+16653, vrr_stack+37739, vrr_stack+32086, vrr_stack+37661, vrr_stack+31558, vrr_stack+35331);
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+17121, vrr_stack+16653, vrr_stack+19218, vrr_stack+37739, vrr_stack+32086, vrr_stack+35529);
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+2609, vrr_stack+17121, vrr_stack+19686, vrr_stack+16653, vrr_stack+19218, vrr_stack+38321);
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+79432, vrr_stack+2609, vrr_stack+14028, vrr_stack+17121, vrr_stack+19686, vrr_stack+57916);
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+57916, vrr_stack+21309, vrr_stack+5099, vrr_stack+2554, vrr_stack+48410, NULL);
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+57994, vrr_stack+31822, vrr_stack+57916, NULL, NULL, vrr_stack+21309);
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+58228, vrr_stack+32320, vrr_stack+57994, vrr_stack+34781, vrr_stack+31822, vrr_stack+21375);
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+37973, vrr_stack+32554, vrr_stack+58228, vrr_stack+67594, vrr_stack+32320, vrr_stack+48960);
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+81070, vrr_stack+7409, vrr_stack+37973, vrr_stack+67828, vrr_stack+32554, vrr_stack+18543);
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+82240, vrr_stack+8189, vrr_stack+81070, vrr_stack+51894, vrr_stack+7409, vrr_stack+3950);
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+83878, vrr_stack+29574, vrr_stack+82240, vrr_stack+14028, vrr_stack+8189, vrr_stack+825);
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+0, vrr_stack+79432, vrr_stack+29574, vrr_stack+2609, vrr_stack+14028, vrr_stack+58906);
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+86062, vrr_stack+0, vrr_stack+83878, vrr_stack+79432, vrr_stack+29574, vrr_stack+62668);
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+62668, vrr_stack+41306, vrr_stack+20649, vrr_stack+31371, vrr_stack+13973, NULL);
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+62746, vrr_stack+62668, vrr_stack+37661, NULL, NULL, vrr_stack+20649);
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+62980, vrr_stack+62746, vrr_stack+37739, vrr_stack+62668, vrr_stack+37661, vrr_stack+20715);
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+63448, vrr_stack+62980, vrr_stack+16653, vrr_stack+62746, vrr_stack+37739, vrr_stack+20913);
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+58696, vrr_stack+63448, vrr_stack+17121, vrr_stack+62980, vrr_stack+16653, vrr_stack+25088);
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+88870, vrr_stack+58696, vrr_stack+2609, vrr_stack+63448, vrr_stack+17121, vrr_stack+60292);
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+90508, vrr_stack+88870, vrr_stack+79432, vrr_stack+58696, vrr_stack+2609, vrr_stack+61282);
   tmp = vrr_stack + 90508;
   target_ptr = Libint->vrr_classes[6][11];
   for(i=0;i<2184;i++)
     target_ptr[i] += tmp[i];
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+58696, vrr_stack+90508, vrr_stack+0, vrr_stack+88870, vrr_stack+79432, vrr_stack+42461);
   tmp = vrr_stack + 58696;
   target_ptr = Libint->vrr_classes[7][11];
   for(i=0;i<2808;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+88870, Data->F+19, Data->F+20, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+88873, vrr_stack+4940, vrr_stack+88870, Data->F+18, Data->F+19, NULL);
 _BUILD_00f0(Data,vrr_stack+88879, vrr_stack+4943, vrr_stack+88873, vrr_stack+48291, vrr_stack+4940, NULL);
 _BUILD_00g0(Data,vrr_stack+88889, vrr_stack+4949, vrr_stack+88879, vrr_stack+48294, vrr_stack+4943, NULL);
 _BUILD_00h0(Data,vrr_stack+88904, vrr_stack+19203, vrr_stack+88889, vrr_stack+48300, vrr_stack+4949, NULL);
 _BUILD_00i0(Data,vrr_stack+88925, vrr_stack+4959, vrr_stack+88904, vrr_stack+48310, vrr_stack+19203, NULL);
 _BUILD_00k0(Data,vrr_stack+88953, vrr_stack+4980, vrr_stack+88925, vrr_stack+48325, vrr_stack+4959, NULL);
 _BUILD_00l0(Data,vrr_stack+48291, vrr_stack+5008, vrr_stack+88953, vrr_stack+48346, vrr_stack+4980, NULL);
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+13973, vrr_stack+16608, vrr_stack+48291, vrr_stack+48374, vrr_stack+5008, NULL);
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+48336, vrr_stack+5044, vrr_stack+13973, vrr_stack+22944, vrr_stack+16608, NULL);
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+22944, vrr_stack+5099, vrr_stack+48336, vrr_stack+48410, vrr_stack+5044, NULL);
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+48402, vrr_stack+57916, vrr_stack+22944, NULL, NULL, vrr_stack+5099);
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+48636, vrr_stack+57994, vrr_stack+48402, vrr_stack+31822, vrr_stack+57916, vrr_stack+5165);
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+88989, vrr_stack+58228, vrr_stack+48636, vrr_stack+32320, vrr_stack+57994, vrr_stack+5363);
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+62746, vrr_stack+37973, vrr_stack+88989, vrr_stack+32554, vrr_stack+58228, vrr_stack+5759);
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+41372, vrr_stack+81070, vrr_stack+62746, vrr_stack+7409, vrr_stack+37973, vrr_stack+6419);
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+5165, vrr_stack+82240, vrr_stack+41372, vrr_stack+8189, vrr_stack+81070, vrr_stack+44309);
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+43010, vrr_stack+83878, vrr_stack+5165, vrr_stack+29574, vrr_stack+82240, vrr_stack+27726);
 am[0] = 8;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+92692, vrr_stack+86062, vrr_stack+43010, vrr_stack+0, vrr_stack+83878, vrr_stack+71116);
 am[0] = 8;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+96202, vrr_stack+58696, vrr_stack+86062, vrr_stack+90508, vrr_stack+0, vrr_stack+64516);
   tmp = vrr_stack + 96202;
   target_ptr = Libint->vrr_classes[8][11];
   for(i=0;i<3510;i++)
     target_ptr[i] += tmp[i];
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+71116, vrr_stack+66892, vrr_stack+34781, vrr_stack+31426, vrr_stack+32020, NULL);
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+71207, vrr_stack+66970, vrr_stack+66892, vrr_stack+31492, vrr_stack+31426, NULL);
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+21375, vrr_stack+71207, vrr_stack+71116, NULL, NULL, vrr_stack+66892);
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+71298, vrr_stack+67282, vrr_stack+66970, vrr_stack+31756, vrr_stack+31492, NULL);
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+71389, vrr_stack+71298, vrr_stack+71207, NULL, NULL, vrr_stack+66970);
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+71662, vrr_stack+34781, vrr_stack+31822, vrr_stack+32020, vrr_stack+11813, NULL);
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+71753, vrr_stack+71116, vrr_stack+71662, NULL, NULL, vrr_stack+34781);
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+72026, vrr_stack+21375, vrr_stack+71753, vrr_stack+71207, vrr_stack+71116, vrr_stack+67594);
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+72572, vrr_stack+71389, vrr_stack+21375, vrr_stack+71298, vrr_stack+71207, vrr_stack+67048);
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+89769, vrr_stack+72572, vrr_stack+72026, vrr_stack+71389, vrr_stack+21375, vrr_stack+67828);
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+67048, vrr_stack+31558, vrr_stack+67282, vrr_stack+34891, vrr_stack+31756, NULL);
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+67594, vrr_stack+67048, vrr_stack+71298, NULL, NULL, vrr_stack+67282);
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+67867, vrr_stack+67594, vrr_stack+71389, vrr_stack+67048, vrr_stack+71298, vrr_stack+67360);
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+90679, vrr_stack+67867, vrr_stack+72572, vrr_stack+67594, vrr_stack+71389, vrr_stack+51426);
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+51426, vrr_stack+31822, vrr_stack+57916, vrr_stack+11813, vrr_stack+21309, NULL);
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+11813, vrr_stack+71662, vrr_stack+51426, NULL, NULL, vrr_stack+31822);
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+91589, vrr_stack+71753, vrr_stack+11813, vrr_stack+71116, vrr_stack+71662, vrr_stack+32320);
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+61504, vrr_stack+72026, vrr_stack+91589, vrr_stack+21375, vrr_stack+71753, vrr_stack+32554);
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+27671, vrr_stack+89769, vrr_stack+61504, vrr_stack+72572, vrr_stack+72026, vrr_stack+7409);
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+99712, vrr_stack+90679, vrr_stack+89769, vrr_stack+67867, vrr_stack+72572, vrr_stack+51894);
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+101077, vrr_stack+99712, vrr_stack+27671, vrr_stack+90679, vrr_stack+89769, vrr_stack+8189);
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+32320, vrr_stack+37661, vrr_stack+31558, vrr_stack+20649, vrr_stack+34891, NULL);
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+32411, vrr_stack+32320, vrr_stack+67048, NULL, NULL, vrr_stack+31558);
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+51517, vrr_stack+32411, vrr_stack+67594, vrr_stack+32320, vrr_stack+67048, vrr_stack+32086);
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+7349, vrr_stack+51517, vrr_stack+67867, vrr_stack+32411, vrr_stack+67594, vrr_stack+19218);
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+8259, vrr_stack+7349, vrr_stack+90679, vrr_stack+51517, vrr_stack+67867, vrr_stack+19686);
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+102988, vrr_stack+8259, vrr_stack+99712, vrr_stack+7349, vrr_stack+90679, vrr_stack+14028);
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+14028, vrr_stack+57916, vrr_stack+22944, vrr_stack+21309, vrr_stack+5099, NULL);
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+14119, vrr_stack+51426, vrr_stack+14028, NULL, NULL, vrr_stack+57916);
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+14392, vrr_stack+11813, vrr_stack+14119, vrr_stack+71662, vrr_stack+51426, vrr_stack+57994);
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+19218, vrr_stack+91589, vrr_stack+14392, vrr_stack+71753, vrr_stack+11813, vrr_stack+58228);
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+104899, vrr_stack+61504, vrr_stack+19218, vrr_stack+72026, vrr_stack+91589, vrr_stack+37973);
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+106264, vrr_stack+27671, vrr_stack+104899, vrr_stack+89769, vrr_stack+61504, vrr_stack+81070);
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+108175, vrr_stack+101077, vrr_stack+106264, vrr_stack+99712, vrr_stack+27671, vrr_stack+82240);
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+81070, vrr_stack+102988, vrr_stack+101077, vrr_stack+8259, vrr_stack+99712, vrr_stack+29574);
 am[0] = 7;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+110723, vrr_stack+81070, vrr_stack+108175, vrr_stack+102988, vrr_stack+101077, vrr_stack+83878);
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+83618, vrr_stack+62668, vrr_stack+37661, vrr_stack+41306, vrr_stack+20649, NULL);
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+83709, vrr_stack+83618, vrr_stack+32320, NULL, NULL, vrr_stack+37661);
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+83982, vrr_stack+83709, vrr_stack+32411, vrr_stack+83618, vrr_stack+32320, vrr_stack+37739);
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+37739, vrr_stack+83982, vrr_stack+51517, vrr_stack+83709, vrr_stack+32411, vrr_stack+16653);
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+84528, vrr_stack+37739, vrr_stack+7349, vrr_stack+83982, vrr_stack+51517, vrr_stack+17121);
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+16653, vrr_stack+84528, vrr_stack+8259, vrr_stack+37739, vrr_stack+7349, vrr_stack+2609);
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+2184, vrr_stack+16653, vrr_stack+102988, vrr_stack+84528, vrr_stack+8259, vrr_stack+79432);
   tmp = vrr_stack + 2184;
   target_ptr = Libint->vrr_classes[6][12];
   for(i=0;i<2548;i++)
     target_ptr[i] += tmp[i];
 am[0] = 7;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+113999, vrr_stack+2184, vrr_stack+81070, vrr_stack+16653, vrr_stack+102988, vrr_stack+0);
   tmp = vrr_stack + 113999;
   target_ptr = Libint->vrr_classes[7][12];
   for(i=0;i<3276;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+0, Data->F+20, Data->F+21, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+3, vrr_stack+88870, vrr_stack+0, Data->F+19, Data->F+20, NULL);
 _BUILD_00f0(Data,vrr_stack+9, vrr_stack+88873, vrr_stack+3, vrr_stack+4940, vrr_stack+88870, NULL);
 _BUILD_00g0(Data,vrr_stack+19, vrr_stack+88879, vrr_stack+9, vrr_stack+4943, vrr_stack+88873, NULL);
 _BUILD_00h0(Data,vrr_stack+34, vrr_stack+88889, vrr_stack+19, vrr_stack+4949, vrr_stack+88879, NULL);
 _BUILD_00i0(Data,vrr_stack+55, vrr_stack+88904, vrr_stack+34, vrr_stack+19203, vrr_stack+88889, NULL);
 _BUILD_00k0(Data,vrr_stack+83, vrr_stack+88925, vrr_stack+55, vrr_stack+4959, vrr_stack+88904, NULL);
 _BUILD_00l0(Data,vrr_stack+119, vrr_stack+88953, vrr_stack+83, vrr_stack+4980, vrr_stack+88925, NULL);
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+164, vrr_stack+48291, vrr_stack+119, vrr_stack+5008, vrr_stack+88953, NULL);
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+41306, vrr_stack+13973, vrr_stack+164, vrr_stack+16608, vrr_stack+48291, NULL);
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+16608, vrr_stack+48336, vrr_stack+41306, vrr_stack+5044, vrr_stack+13973, NULL);
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+16686, vrr_stack+22944, vrr_stack+16608, vrr_stack+5099, vrr_stack+48336, NULL);
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+16777, vrr_stack+14028, vrr_stack+16686, NULL, NULL, vrr_stack+22944);
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+17050, vrr_stack+14119, vrr_stack+16777, vrr_stack+51426, vrr_stack+14028, vrr_stack+48402);
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+17596, vrr_stack+14392, vrr_stack+17050, vrr_stack+11813, vrr_stack+14119, vrr_stack+48636);
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+219, vrr_stack+19218, vrr_stack+17596, vrr_stack+91589, vrr_stack+14392, vrr_stack+88989);
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+83709, vrr_stack+104899, vrr_stack+219, vrr_stack+61504, vrr_stack+19218, vrr_stack+62746);
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+117275, vrr_stack+106264, vrr_stack+83709, vrr_stack+27671, vrr_stack+104899, vrr_stack+41372);
 am[0] = 7;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+119823, vrr_stack+108175, vrr_stack+117275, vrr_stack+101077, vrr_stack+106264, vrr_stack+5165);
 am[0] = 8;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+123099, vrr_stack+110723, vrr_stack+119823, vrr_stack+81070, vrr_stack+108175, vrr_stack+43010);
 am[0] = 8;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+41372, vrr_stack+113999, vrr_stack+110723, vrr_stack+2184, vrr_stack+81070, vrr_stack+86062);
   tmp = vrr_stack + 41372;
   target_ptr = Libint->vrr_classes[8][12];
   for(i=0;i<4095;i++)
     target_ptr[i] += tmp[i];
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+45467, vrr_stack+71116, vrr_stack+71662, vrr_stack+66892, vrr_stack+34781, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+45572, vrr_stack+71207, vrr_stack+71116, vrr_stack+66970, vrr_stack+66892, NULL);
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+45677, vrr_stack+45572, vrr_stack+45467, NULL, NULL, vrr_stack+71116);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+45992, vrr_stack+71298, vrr_stack+71207, vrr_stack+67282, vrr_stack+66970, NULL);
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+62746, vrr_stack+45992, vrr_stack+45572, NULL, NULL, vrr_stack+71207);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+66892, vrr_stack+71662, vrr_stack+51426, vrr_stack+34781, vrr_stack+31822, NULL);
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+34781, vrr_stack+45467, vrr_stack+66892, NULL, NULL, vrr_stack+71662);
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+35096, vrr_stack+45677, vrr_stack+34781, vrr_stack+45572, vrr_stack+45467, vrr_stack+71753);
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+63061, vrr_stack+62746, vrr_stack+45677, vrr_stack+45992, vrr_stack+45572, vrr_stack+21375);
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+1584, vrr_stack+63061, vrr_stack+35096, vrr_stack+62746, vrr_stack+45677, vrr_stack+72026);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+71753, vrr_stack+67048, vrr_stack+71298, vrr_stack+31558, vrr_stack+67282, NULL);
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+35726, vrr_stack+71753, vrr_stack+45992, NULL, NULL, vrr_stack+71298);
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+71858, vrr_stack+35726, vrr_stack+62746, vrr_stack+71753, vrr_stack+45992, vrr_stack+71389);
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+2634, vrr_stack+71858, vrr_stack+63061, vrr_stack+35726, vrr_stack+62746, vrr_stack+72572);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+71389, vrr_stack+51426, vrr_stack+14028, vrr_stack+31822, vrr_stack+57916, NULL);
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+72488, vrr_stack+66892, vrr_stack+71389, NULL, NULL, vrr_stack+51426);
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+72803, vrr_stack+34781, vrr_stack+72488, vrr_stack+45467, vrr_stack+66892, vrr_stack+11813);
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+3684, vrr_stack+35096, vrr_stack+72803, vrr_stack+45677, vrr_stack+34781, vrr_stack+91589);
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+4734, vrr_stack+1584, vrr_stack+3684, vrr_stack+63061, vrr_stack+35096, vrr_stack+61504);
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+79432, vrr_stack+2634, vrr_stack+1584, vrr_stack+71858, vrr_stack+63061, vrr_stack+89769);
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+29036, vrr_stack+79432, vrr_stack+4734, vrr_stack+2634, vrr_stack+1584, vrr_stack+27671);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+27671, vrr_stack+32320, vrr_stack+67048, vrr_stack+37661, vrr_stack+31558, NULL);
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+27776, vrr_stack+27671, vrr_stack+71753, NULL, NULL, vrr_stack+67048);
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+28091, vrr_stack+27776, vrr_stack+35726, vrr_stack+27671, vrr_stack+71753, vrr_stack+67594);
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+61504, vrr_stack+28091, vrr_stack+71858, vrr_stack+27776, vrr_stack+35726, vrr_stack+67867);
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+88989, vrr_stack+61504, vrr_stack+2634, vrr_stack+28091, vrr_stack+71858, vrr_stack+90679);
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+127194, vrr_stack+88989, vrr_stack+79432, vrr_stack+61504, vrr_stack+2634, vrr_stack+99712);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+99712, vrr_stack+14028, vrr_stack+16686, vrr_stack+57916, vrr_stack+22944, NULL);
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+28721, vrr_stack+71389, vrr_stack+99712, NULL, NULL, vrr_stack+14028);
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+57916, vrr_stack+72488, vrr_stack+28721, vrr_stack+66892, vrr_stack+71389, vrr_stack+14119);
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+99817, vrr_stack+72803, vrr_stack+57916, vrr_stack+34781, vrr_stack+72488, vrr_stack+14392);
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+90564, vrr_stack+3684, vrr_stack+99817, vrr_stack+35096, vrr_stack+72803, vrr_stack+19218);
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+18506, vrr_stack+4734, vrr_stack+90564, vrr_stack+1584, vrr_stack+3684, vrr_stack+104899);
 am[0] = 6;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+129399, vrr_stack+29036, vrr_stack+18506, vrr_stack+79432, vrr_stack+4734, vrr_stack+106264);
 am[0] = 6;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+104899, vrr_stack+127194, vrr_stack+29036, vrr_stack+88989, vrr_stack+79432, vrr_stack+101077);
 am[0] = 7;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+132339, vrr_stack+104899, vrr_stack+129399, vrr_stack+127194, vrr_stack+29036, vrr_stack+108175);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+107839, vrr_stack+83618, vrr_stack+32320, vrr_stack+62668, vrr_stack+37661, NULL);
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+37661, vrr_stack+107839, vrr_stack+27671, NULL, NULL, vrr_stack+32320);
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+37976, vrr_stack+37661, vrr_stack+27776, vrr_stack+107839, vrr_stack+27671, vrr_stack+32411);
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+107944, vrr_stack+37976, vrr_stack+28091, vrr_stack+37661, vrr_stack+27776, vrr_stack+51517);
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+108994, vrr_stack+107944, vrr_stack+61504, vrr_stack+37976, vrr_stack+28091, vrr_stack+7349);
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+136119, vrr_stack+108994, vrr_stack+88989, vrr_stack+107944, vrr_stack+61504, vrr_stack+8259);
 am[0] = 6;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+6309, vrr_stack+136119, vrr_stack+127194, vrr_stack+108994, vrr_stack+88989, vrr_stack+102988);
   tmp = vrr_stack + 6309;
   target_ptr = Libint->vrr_classes[6][13];
   for(i=0;i<2940;i++)
     target_ptr[i] += tmp[i];
 am[0] = 7;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+100867, vrr_stack+6309, vrr_stack+104899, vrr_stack+136119, vrr_stack+127194, vrr_stack+81070);
   tmp = vrr_stack + 100867;
   target_ptr = Libint->vrr_classes[7][13];
   for(i=0;i<3780;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+136119, Data->F+21, Data->F+22, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+136122, vrr_stack+0, vrr_stack+136119, Data->F+20, Data->F+21, NULL);
 _BUILD_00f0(Data,vrr_stack+136128, vrr_stack+3, vrr_stack+136122, vrr_stack+88870, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+136138, vrr_stack+9, vrr_stack+136128, vrr_stack+88873, vrr_stack+3, NULL);
 _BUILD_00h0(Data,vrr_stack+136153, vrr_stack+19, vrr_stack+136138, vrr_stack+88879, vrr_stack+9, NULL);
 _BUILD_00i0(Data,vrr_stack+136174, vrr_stack+34, vrr_stack+136153, vrr_stack+88889, vrr_stack+19, NULL);
 _BUILD_00k0(Data,vrr_stack+136202, vrr_stack+55, vrr_stack+136174, vrr_stack+88904, vrr_stack+34, NULL);
 _BUILD_00l0(Data,vrr_stack+88870, vrr_stack+83, vrr_stack+136202, vrr_stack+88925, vrr_stack+55, NULL);
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+136238, vrr_stack+119, vrr_stack+88870, vrr_stack+88953, vrr_stack+83, NULL);
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+88915, vrr_stack+164, vrr_stack+136238, vrr_stack+48291, vrr_stack+119, NULL);
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+136293, vrr_stack+41306, vrr_stack+88915, vrr_stack+13973, vrr_stack+164, NULL);
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+136371, vrr_stack+16608, vrr_stack+136293, vrr_stack+48336, vrr_stack+41306, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+48291, vrr_stack+16686, vrr_stack+136371, vrr_stack+22944, vrr_stack+16608, NULL);
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+48396, vrr_stack+99712, vrr_stack+48291, NULL, NULL, vrr_stack+16686);
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+48711, vrr_stack+28721, vrr_stack+48396, vrr_stack+71389, vrr_stack+99712, vrr_stack+16777);
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+136462, vrr_stack+57916, vrr_stack+48711, vrr_stack+72488, vrr_stack+28721, vrr_stack+17050);
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+107944, vrr_stack+99817, vrr_stack+136462, vrr_stack+72803, vrr_stack+57916, vrr_stack+17596);
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+81007, vrr_stack+90564, vrr_stack+107944, vrr_stack+3684, vrr_stack+99817, vrr_stack+219);
 am[0] = 6;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+137512, vrr_stack+18506, vrr_stack+81007, vrr_stack+4734, vrr_stack+90564, vrr_stack+83709);
 am[0] = 7;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+140452, vrr_stack+129399, vrr_stack+137512, vrr_stack+29036, vrr_stack+18506, vrr_stack+117275);
 am[0] = 8;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+144232, vrr_stack+132339, vrr_stack+140452, vrr_stack+104899, vrr_stack+129399, vrr_stack+119823);
 am[0] = 8;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+117275, vrr_stack+100867, vrr_stack+132339, vrr_stack+6309, vrr_stack+104899, vrr_stack+110723);
   tmp = vrr_stack + 117275;
   target_ptr = Libint->vrr_classes[8][13];
   for(i=0;i<4725;i++)
     target_ptr[i] += tmp[i];
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+6309, vrr_stack+45467, vrr_stack+66892, vrr_stack+71116, vrr_stack+71662, NULL);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+6429, vrr_stack+45572, vrr_stack+45467, vrr_stack+71207, vrr_stack+71116, NULL);
 am[0] = 1;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+6549, vrr_stack+6429, vrr_stack+6309, NULL, NULL, vrr_stack+45467);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+6909, vrr_stack+45992, vrr_stack+45572, vrr_stack+71298, vrr_stack+71207, NULL);
 am[0] = 1;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+7029, vrr_stack+6909, vrr_stack+6429, NULL, NULL, vrr_stack+45572);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+45467, vrr_stack+66892, vrr_stack+71389, vrr_stack+71662, vrr_stack+51426, NULL);
 am[0] = 1;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+7389, vrr_stack+6309, vrr_stack+45467, NULL, NULL, vrr_stack+66892);
 am[0] = 2;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+7749, vrr_stack+6549, vrr_stack+7389, vrr_stack+6429, vrr_stack+6309, vrr_stack+34781);
 am[0] = 2;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+8469, vrr_stack+7029, vrr_stack+6549, vrr_stack+6909, vrr_stack+6429, vrr_stack+45677);
 am[0] = 3;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+9189, vrr_stack+8469, vrr_stack+7749, vrr_stack+7029, vrr_stack+6549, vrr_stack+35096);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+6429, vrr_stack+71753, vrr_stack+45992, vrr_stack+67048, vrr_stack+71298, NULL);
 am[0] = 1;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+34781, vrr_stack+6429, vrr_stack+6909, NULL, NULL, vrr_stack+45992);
 am[0] = 2;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+45587, vrr_stack+34781, vrr_stack+7029, vrr_stack+6429, vrr_stack+6909, vrr_stack+62746);
 am[0] = 3;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+83709, vrr_stack+45587, vrr_stack+8469, vrr_stack+34781, vrr_stack+7029, vrr_stack+63061);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+6909, vrr_stack+71389, vrr_stack+99712, vrr_stack+51426, vrr_stack+14028, NULL);
 am[0] = 1;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+7029, vrr_stack+45467, vrr_stack+6909, NULL, NULL, vrr_stack+71389);
 am[0] = 2;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+51426, vrr_stack+7389, vrr_stack+7029, vrr_stack+6309, vrr_stack+45467, vrr_stack+72488);
 am[0] = 3;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+219, vrr_stack+7749, vrr_stack+51426, vrr_stack+6549, vrr_stack+7389, vrr_stack+72803);
 am[0] = 4;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+62554, vrr_stack+9189, vrr_stack+219, vrr_stack+8469, vrr_stack+7749, vrr_stack+3684);
 am[0] = 4;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+148957, vrr_stack+83709, vrr_stack+9189, vrr_stack+45587, vrr_stack+8469, vrr_stack+1584);
 am[0] = 5;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+150757, vrr_stack+148957, vrr_stack+62554, vrr_stack+83709, vrr_stack+9189, vrr_stack+4734);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+8469, vrr_stack+27671, vrr_stack+71753, vrr_stack+32320, vrr_stack+67048, NULL);
 am[0] = 1;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+6549, vrr_stack+8469, vrr_stack+6429, NULL, NULL, vrr_stack+71753);
 am[0] = 2;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+3684, vrr_stack+6549, vrr_stack+34781, vrr_stack+8469, vrr_stack+6429, vrr_stack+35726);
 am[0] = 3;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+4404, vrr_stack+3684, vrr_stack+45587, vrr_stack+6549, vrr_stack+34781, vrr_stack+71858);
 am[0] = 4;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+66892, vrr_stack+4404, vrr_stack+83709, vrr_stack+3684, vrr_stack+45587, vrr_stack+2634);
 am[0] = 5;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+153277, vrr_stack+66892, vrr_stack+148957, vrr_stack+4404, vrr_stack+83709, vrr_stack+79432);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+79432, vrr_stack+99712, vrr_stack+48291, vrr_stack+14028, vrr_stack+16686, NULL);
 am[0] = 1;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+79552, vrr_stack+6909, vrr_stack+79432, NULL, NULL, vrr_stack+99712);
 am[0] = 2;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+79912, vrr_stack+7029, vrr_stack+79552, vrr_stack+45467, vrr_stack+6909, vrr_stack+28721);
 am[0] = 3;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+83709, vrr_stack+51426, vrr_stack+79912, vrr_stack+7389, vrr_stack+7029, vrr_stack+57916);
 am[0] = 4;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+71116, vrr_stack+219, vrr_stack+83709, vrr_stack+7749, vrr_stack+51426, vrr_stack+99817);
 am[0] = 5;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+155797, vrr_stack+62554, vrr_stack+71116, vrr_stack+9189, vrr_stack+219, vrr_stack+90564);
 am[0] = 6;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+158317, vrr_stack+150757, vrr_stack+155797, vrr_stack+148957, vrr_stack+62554, vrr_stack+18506);
 am[0] = 6;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+16777, vrr_stack+153277, vrr_stack+150757, vrr_stack+66892, vrr_stack+148957, vrr_stack+29036);
 am[0] = 7;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+161677, vrr_stack+16777, vrr_stack+158317, vrr_stack+153277, vrr_stack+150757, vrr_stack+129399);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+129399, vrr_stack+107839, vrr_stack+27671, vrr_stack+83618, vrr_stack+32320, NULL);
 am[0] = 1;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+129519, vrr_stack+129399, vrr_stack+8469, NULL, NULL, vrr_stack+27671);
 am[0] = 2;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+129879, vrr_stack+129519, vrr_stack+6549, vrr_stack+129399, vrr_stack+8469, vrr_stack+27776);
 am[0] = 3;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+130599, vrr_stack+129879, vrr_stack+3684, vrr_stack+129519, vrr_stack+6549, vrr_stack+28091);
 am[0] = 4;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+148957, vrr_stack+130599, vrr_stack+4404, vrr_stack+129879, vrr_stack+3684, vrr_stack+61504);
 am[0] = 5;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+27671, vrr_stack+148957, vrr_stack+66892, vrr_stack+130599, vrr_stack+4404, vrr_stack+88989);
 am[0] = 6;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+1419, vrr_stack+27671, vrr_stack+153277, vrr_stack+148957, vrr_stack+66892, vrr_stack+127194);
   tmp = vrr_stack + 1419;
   target_ptr = Libint->vrr_classes[6][14];
   for(i=0;i<3360;i++)
     target_ptr[i] += tmp[i];
 am[0] = 7;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+127194, vrr_stack+1419, vrr_stack+16777, vrr_stack+27671, vrr_stack+153277, vrr_stack+104899);
   tmp = vrr_stack + 127194;
   target_ptr = Libint->vrr_classes[7][14];
   for(i=0;i<4320;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+153277, Data->F+22, Data->F+23, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+153280, vrr_stack+136119, vrr_stack+153277, Data->F+21, Data->F+22, NULL);
 _BUILD_00f0(Data,vrr_stack+153286, vrr_stack+136122, vrr_stack+153280, vrr_stack+0, vrr_stack+136119, NULL);
 _BUILD_00g0(Data,vrr_stack+153296, vrr_stack+136128, vrr_stack+153286, vrr_stack+3, vrr_stack+136122, NULL);
 _BUILD_00h0(Data,vrr_stack+153311, vrr_stack+136138, vrr_stack+153296, vrr_stack+9, vrr_stack+136128, NULL);
 _BUILD_00i0(Data,vrr_stack+153277, vrr_stack+136153, vrr_stack+153311, vrr_stack+19, vrr_stack+136138, NULL);
 _BUILD_00k0(Data,vrr_stack+153305, vrr_stack+136174, vrr_stack+153277, vrr_stack+34, vrr_stack+136153, NULL);
 _BUILD_00l0(Data,vrr_stack+136119, vrr_stack+136202, vrr_stack+153305, vrr_stack+55, vrr_stack+136174, NULL);
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+153277, vrr_stack+88870, vrr_stack+136119, vrr_stack+83, vrr_stack+136202, NULL);
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+136119, vrr_stack+136238, vrr_stack+153277, vrr_stack+119, vrr_stack+88870, NULL);
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+153277, vrr_stack+88915, vrr_stack+136119, vrr_stack+164, vrr_stack+136238, NULL);
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+136119, vrr_stack+136293, vrr_stack+153277, vrr_stack+41306, vrr_stack+88915, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+49341, vrr_stack+136371, vrr_stack+136119, vrr_stack+16608, vrr_stack+136293, NULL);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+136119, vrr_stack+48291, vrr_stack+49341, vrr_stack+16686, vrr_stack+136371, NULL);
 am[0] = 1;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+153277, vrr_stack+79432, vrr_stack+136119, NULL, NULL, vrr_stack+48291);
 am[0] = 2;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+153637, vrr_stack+79552, vrr_stack+153277, vrr_stack+6909, vrr_stack+79432, vrr_stack+48396);
 am[0] = 3;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+154357, vrr_stack+79912, vrr_stack+153637, vrr_stack+7029, vrr_stack+79552, vrr_stack+48711);
 am[0] = 4;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+148957, vrr_stack+83709, vrr_stack+154357, vrr_stack+51426, vrr_stack+79912, vrr_stack+136462);
 am[0] = 5;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+153277, vrr_stack+71116, vrr_stack+148957, vrr_stack+219, vrr_stack+83709, vrr_stack+107944);
 am[0] = 6;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+88870, vrr_stack+155797, vrr_stack+153277, vrr_stack+62554, vrr_stack+71116, vrr_stack+81007);
 am[0] = 7;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+79432, vrr_stack+158317, vrr_stack+88870, vrr_stack+150757, vrr_stack+155797, vrr_stack+137512);
 am[0] = 8;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+148957, vrr_stack+161677, vrr_stack+79432, vrr_stack+16777, vrr_stack+158317, vrr_stack+140452);
 am[0] = 8;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+79432, vrr_stack+127194, vrr_stack+161677, vrr_stack+1419, vrr_stack+16777, vrr_stack+132339);
   tmp = vrr_stack + 79432;
   target_ptr = Libint->vrr_classes[8][14];
   for(i=0;i<5400;i++)
     target_ptr[i] += tmp[i];
 am[0] = 9;  am[1] = 7;
 vrr_build_xxxx(am,Data,vrr_stack+88870, vrr_stack+26051, vrr_stack+12353, vrr_stack+10517, vrr_stack+21648, vrr_stack+15348);
   tmp = vrr_stack + 88870;
   target_ptr = Libint->vrr_classes[9][7];
   for(i=0;i<1980;i++)
     target_ptr[i] += tmp[i];
 am[0] = 9;  am[1] = 8;
 vrr_build_xxxx(am,Data,vrr_stack+154357, vrr_stack+23063, vrr_stack+39281, vrr_stack+36041, vrr_stack+33161, vrr_stack+12353);
   tmp = vrr_stack + 154357;
   target_ptr = Libint->vrr_classes[9][8];
   for(i=0;i<2475;i++)
     target_ptr[i] += tmp[i];
 am[0] = 9;  am[1] = 9;
 vrr_build_xxxx(am,Data,vrr_stack+156832, vrr_stack+55441, vrr_stack+52966, vrr_stack+49446, vrr_stack+46311, vrr_stack+39281);
   tmp = vrr_stack + 156832;
   target_ptr = Libint->vrr_classes[9][9];
   for(i=0;i<3025;i++)
     target_ptr[i] += tmp[i];
 am[0] = 9;  am[1] = 10;
 vrr_build_xxxx(am,Data,vrr_stack+136119, vrr_stack+76462, vrr_stack+73492, vrr_stack+68740, vrr_stack+64516, vrr_stack+52966);
   tmp = vrr_stack + 136119;
   target_ptr = Libint->vrr_classes[9][10];
   for(i=0;i<3630;i++)
     target_ptr[i] += tmp[i];
 am[0] = 9;  am[1] = 11;
 vrr_build_xxxx(am,Data,vrr_stack+139749, vrr_stack+96202, vrr_stack+92692, vrr_stack+58696, vrr_stack+86062, vrr_stack+73492);
   tmp = vrr_stack + 139749;
   target_ptr = Libint->vrr_classes[9][11];
   for(i=0;i<4290;i++)
     target_ptr[i] += tmp[i];
 am[0] = 9;  am[1] = 12;
 vrr_build_xxxx(am,Data,vrr_stack+0, vrr_stack+41372, vrr_stack+123099, vrr_stack+113999, vrr_stack+110723, vrr_stack+92692);
   tmp = vrr_stack + 0;
   target_ptr = Libint->vrr_classes[9][12];
   for(i=0;i<5005;i++)
     target_ptr[i] += tmp[i];
 am[0] = 9;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+90850, vrr_stack+117275, vrr_stack+144232, vrr_stack+100867, vrr_stack+132339, vrr_stack+123099);
   tmp = vrr_stack + 90850;
   target_ptr = Libint->vrr_classes[9][13];
   for(i=0;i<5775;i++)
     target_ptr[i] += tmp[i];
 am[0] = 9;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+96625, vrr_stack+79432, vrr_stack+148957, vrr_stack+127194, vrr_stack+161677, vrr_stack+144232);
   tmp = vrr_stack + 96625;
   target_ptr = Libint->vrr_classes[9][14];
   for(i=0;i<6600;i++)
     target_ptr[i] += tmp[i];

}

