#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_00id(Libr12_t *, prim_data *);

  /* Computes (00|id) integrals for linear R12-methods */

void hrr_grt_order_00id(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[1][6] = int_stack + 0;
 Libr12->t2vrr_classes[0][6] = int_stack + 84;
 Libr12->gvrr_classes[1][7] = int_stack + 112;
 Libr12->t2vrr_classes[0][7] = int_stack + 220;
 Libr12->t2vrr_classes[0][8] = int_stack + 256;
 Libr12->t1vrr_classes[0][6] = int_stack + 301;
 Libr12->t1vrr_classes[0][7] = int_stack + 329;
 Libr12->t1vrr_classes[0][8] = int_stack + 365;
 Libr12->rvrr_classes[0][6] = int_stack + 410;
 Libr12->rvrr_classes[0][7] = int_stack + 438;
 Libr12->rvrr_classes[0][8] = int_stack + 474;
 Libr12->gvrr_classes[0][6] = int_stack + 519;
 Libr12->gvrr_classes[0][7] = int_stack + 547;
 Libr12->gvrr_classes[0][8] = int_stack + 583;
 memset(int_stack,0,628*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 628;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_00id(Libr12, Data);
   Data++;
 }

 /*--- compute (00|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+628, int_stack+547, int_stack+519, 1);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+712, int_stack+112, int_stack+0, 3);
 /*--- compute (00|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+964, int_stack+583, int_stack+547, 1);
 /*--- compute (00|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1072, int_stack+220, int_stack+84, int_stack+547, int_stack+0, int_stack+519, 0, 0);
 /*--- compute (00|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+256, int_stack+220, int_stack+583, int_stack+112, int_stack+547, 0, 0);
 /*--- compute (00|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+519, int_stack+329, int_stack+301, 1);
 /*--- compute (00|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+108, int_stack+365, int_stack+329, 1);
 /*--- compute (00||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+216, int_stack+438, int_stack+410, 1);
 /*--- compute (00||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+300, int_stack+474, int_stack+438, 1);
 /*--- compute (00|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1156, int_stack+0, int_stack+1072, int_stack+964, int_stack+712, int_stack+628, 0, 0);
     Libr12->te_ptr[3] = int_stack + 1156;
 /*--- compute (00|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+712, int_stack+108, int_stack+519, 1);
     Libr12->te_ptr[2] = int_stack + 712;
 /*--- compute (00||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+0, int_stack+300, int_stack+216, 1);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (00|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+168, int_stack+964, int_stack+628, 1);
     Libr12->te_ptr[0] = int_stack + 168;

}
