#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_f0gp(Libr12_t *, prim_data *);

  /* Computes (f0|gp) integrals for linear R12-methods */

void hrr_grt_order_f0gp(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[4][4] = int_stack + 0;
 Libr12->t2vrr_classes[3][4] = int_stack + 225;
 Libr12->t2vrr_classes[3][5] = int_stack + 375;
 Libr12->t1vrr_classes[3][4] = int_stack + 585;
 Libr12->t1vrr_classes[3][5] = int_stack + 735;
 Libr12->rvrr_classes[3][4] = int_stack + 945;
 Libr12->rvrr_classes[3][5] = int_stack + 1095;
 Libr12->gvrr_classes[3][4] = int_stack + 1305;
 Libr12->gvrr_classes[3][5] = int_stack + 1455;
 memset(int_stack,0,1665*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 1665;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_f0gp(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1665, int_stack+375, int_stack+225, int_stack+1455, int_stack+0, int_stack+1305, 3, 0);
     Libr12->te_ptr[3] = int_stack + 1665;
 /*--- compute (f0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+735, int_stack+585, 10);
     Libr12->te_ptr[2] = int_stack + 0;
 /*--- compute (f0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+450, int_stack+1095, int_stack+945, 10);
     Libr12->te_ptr[1] = int_stack + 450;
 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+2115, int_stack+1455, int_stack+1305, 10);
     Libr12->te_ptr[0] = int_stack + 2115;

}
