#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_g0ip(Libr12_t *, prim_data *);

  /* Computes (g0|ip) integrals for linear R12-methods */

void hrr_grt_order_g0ip(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[5][6] = int_stack + 0;
 Libr12->t2vrr_classes[4][6] = int_stack + 588;
 Libr12->t2vrr_classes[4][7] = int_stack + 1008;
 Libr12->t1vrr_classes[4][6] = int_stack + 1548;
 Libr12->t1vrr_classes[4][7] = int_stack + 1968;
 Libr12->rvrr_classes[4][6] = int_stack + 2508;
 Libr12->rvrr_classes[4][7] = int_stack + 2928;
 Libr12->gvrr_classes[4][6] = int_stack + 3468;
 Libr12->gvrr_classes[4][7] = int_stack + 3888;
 memset(int_stack,0,4428*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 4428;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_g0ip(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4428, int_stack+1008, int_stack+588, int_stack+3888, int_stack+0, int_stack+3468, 4, 0);
     Libr12->te_ptr[3] = int_stack + 4428;
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+1968, int_stack+1548, 15);
     Libr12->te_ptr[2] = int_stack + 0;
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+5688, int_stack+2928, int_stack+2508, 15);
     Libr12->te_ptr[1] = int_stack + 5688;
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1260, int_stack+3888, int_stack+3468, 15);
     Libr12->te_ptr[0] = int_stack + 1260;

}
