#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_gfii(Libr12_t *, prim_data *);

  /* Computes (gf|ii) integrals for linear R12-methods */

void hrr_grt_order_gfii(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[4][6] = int_stack + 0;
 Libr12->t2vrr_classes[4][7] = int_stack + 420;
 Libr12->t2vrr_classes[4][8] = int_stack + 960;
 Libr12->t2vrr_classes[4][9] = int_stack + 1635;
 Libr12->t2vrr_classes[4][10] = int_stack + 2460;
 Libr12->t2vrr_classes[4][11] = int_stack + 3450;
 Libr12->t2vrr_classes[4][12] = int_stack + 4620;
 Libr12->t2vrr_classes[5][6] = int_stack + 5985;
 Libr12->t2vrr_classes[5][7] = int_stack + 6573;
 Libr12->t2vrr_classes[5][8] = int_stack + 7329;
 Libr12->t2vrr_classes[5][9] = int_stack + 8274;
 Libr12->t2vrr_classes[5][10] = int_stack + 9429;
 Libr12->t2vrr_classes[5][11] = int_stack + 10815;
 Libr12->t2vrr_classes[5][12] = int_stack + 12453;
 Libr12->t2vrr_classes[6][6] = int_stack + 14364;
 Libr12->t2vrr_classes[6][7] = int_stack + 15148;
 Libr12->t2vrr_classes[6][8] = int_stack + 16156;
 Libr12->t2vrr_classes[6][9] = int_stack + 17416;
 Libr12->t2vrr_classes[6][10] = int_stack + 18956;
 Libr12->t2vrr_classes[6][11] = int_stack + 20804;
 Libr12->t2vrr_classes[6][12] = int_stack + 22988;
 Libr12->gvrr_classes[8][6] = int_stack + 25536;
 Libr12->t2vrr_classes[7][6] = int_stack + 26796;
 Libr12->gvrr_classes[8][7] = int_stack + 27804;
 Libr12->t2vrr_classes[7][7] = int_stack + 29424;
 Libr12->gvrr_classes[8][8] = int_stack + 30720;
 Libr12->t2vrr_classes[7][8] = int_stack + 32745;
 Libr12->gvrr_classes[8][9] = int_stack + 34365;
 Libr12->t2vrr_classes[7][9] = int_stack + 36840;
 Libr12->gvrr_classes[8][10] = int_stack + 38820;
 Libr12->t2vrr_classes[7][10] = int_stack + 41790;
 Libr12->gvrr_classes[8][11] = int_stack + 44166;
 Libr12->t2vrr_classes[7][11] = int_stack + 47676;
 Libr12->t2vrr_classes[7][12] = int_stack + 50484;
 Libr12->gvrr_classes[4][13] = int_stack + 53760;
 Libr12->t1vrr_classes[4][6] = int_stack + 55335;
 Libr12->t1vrr_classes[4][7] = int_stack + 55755;
 Libr12->t1vrr_classes[4][8] = int_stack + 56295;
 Libr12->t1vrr_classes[4][9] = int_stack + 56970;
 Libr12->t1vrr_classes[4][10] = int_stack + 57795;
 Libr12->t1vrr_classes[4][11] = int_stack + 58785;
 Libr12->t1vrr_classes[4][12] = int_stack + 59955;
 Libr12->gvrr_classes[5][13] = int_stack + 61320;
 Libr12->t1vrr_classes[5][6] = int_stack + 63525;
 Libr12->t1vrr_classes[5][7] = int_stack + 64113;
 Libr12->t1vrr_classes[5][8] = int_stack + 64869;
 Libr12->t1vrr_classes[5][9] = int_stack + 65814;
 Libr12->t1vrr_classes[5][10] = int_stack + 66969;
 Libr12->t1vrr_classes[5][11] = int_stack + 68355;
 Libr12->t1vrr_classes[5][12] = int_stack + 69993;
 Libr12->gvrr_classes[6][13] = int_stack + 71904;
 Libr12->t1vrr_classes[6][6] = int_stack + 74844;
 Libr12->t1vrr_classes[6][7] = int_stack + 75628;
 Libr12->t1vrr_classes[6][8] = int_stack + 76636;
 Libr12->t1vrr_classes[6][9] = int_stack + 77896;
 Libr12->t1vrr_classes[6][10] = int_stack + 79436;
 Libr12->t1vrr_classes[6][11] = int_stack + 81284;
 Libr12->t1vrr_classes[6][12] = int_stack + 83468;
 Libr12->t1vrr_classes[7][6] = int_stack + 86016;
 Libr12->t1vrr_classes[7][7] = int_stack + 87024;
 Libr12->t1vrr_classes[7][8] = int_stack + 88320;
 Libr12->t1vrr_classes[7][9] = int_stack + 89940;
 Libr12->t1vrr_classes[7][10] = int_stack + 91920;
 Libr12->t1vrr_classes[7][11] = int_stack + 94296;
 Libr12->t1vrr_classes[7][12] = int_stack + 97104;
 Libr12->rvrr_classes[4][6] = int_stack + 100380;
 Libr12->rvrr_classes[4][7] = int_stack + 100800;
 Libr12->rvrr_classes[4][8] = int_stack + 101340;
 Libr12->rvrr_classes[4][9] = int_stack + 102015;
 Libr12->rvrr_classes[4][10] = int_stack + 102840;
 Libr12->rvrr_classes[4][11] = int_stack + 103830;
 Libr12->rvrr_classes[4][12] = int_stack + 105000;
 Libr12->rvrr_classes[5][6] = int_stack + 106365;
 Libr12->rvrr_classes[5][7] = int_stack + 106953;
 Libr12->rvrr_classes[5][8] = int_stack + 107709;
 Libr12->rvrr_classes[5][9] = int_stack + 108654;
 Libr12->rvrr_classes[5][10] = int_stack + 109809;
 Libr12->rvrr_classes[5][11] = int_stack + 111195;
 Libr12->rvrr_classes[5][12] = int_stack + 112833;
 Libr12->rvrr_classes[6][6] = int_stack + 114744;
 Libr12->rvrr_classes[6][7] = int_stack + 115528;
 Libr12->rvrr_classes[6][8] = int_stack + 116536;
 Libr12->rvrr_classes[6][9] = int_stack + 117796;
 Libr12->rvrr_classes[6][10] = int_stack + 119336;
 Libr12->rvrr_classes[6][11] = int_stack + 121184;
 Libr12->rvrr_classes[6][12] = int_stack + 123368;
 Libr12->rvrr_classes[7][6] = int_stack + 125916;
 Libr12->rvrr_classes[7][7] = int_stack + 126924;
 Libr12->rvrr_classes[7][8] = int_stack + 128220;
 Libr12->rvrr_classes[7][9] = int_stack + 129840;
 Libr12->rvrr_classes[7][10] = int_stack + 131820;
 Libr12->rvrr_classes[7][11] = int_stack + 134196;
 Libr12->rvrr_classes[7][12] = int_stack + 137004;
 Libr12->gvrr_classes[4][6] = int_stack + 140280;
 Libr12->gvrr_classes[4][7] = int_stack + 140700;
 Libr12->gvrr_classes[4][8] = int_stack + 141240;
 Libr12->gvrr_classes[4][9] = int_stack + 141915;
 Libr12->gvrr_classes[4][10] = int_stack + 142740;
 Libr12->gvrr_classes[4][11] = int_stack + 143730;
 Libr12->gvrr_classes[4][12] = int_stack + 144900;
 Libr12->gvrr_classes[5][6] = int_stack + 146265;
 Libr12->gvrr_classes[5][7] = int_stack + 146853;
 Libr12->gvrr_classes[5][8] = int_stack + 147609;
 Libr12->gvrr_classes[5][9] = int_stack + 148554;
 Libr12->gvrr_classes[5][10] = int_stack + 149709;
 Libr12->gvrr_classes[5][11] = int_stack + 151095;
 Libr12->gvrr_classes[5][12] = int_stack + 152733;
 Libr12->gvrr_classes[6][6] = int_stack + 154644;
 Libr12->gvrr_classes[6][7] = int_stack + 155428;
 Libr12->gvrr_classes[6][8] = int_stack + 156436;
 Libr12->gvrr_classes[6][9] = int_stack + 157696;
 Libr12->gvrr_classes[6][10] = int_stack + 159236;
 Libr12->gvrr_classes[6][11] = int_stack + 161084;
 Libr12->gvrr_classes[6][12] = int_stack + 163268;
 Libr12->gvrr_classes[7][6] = int_stack + 165816;
 Libr12->gvrr_classes[7][7] = int_stack + 166824;
 Libr12->gvrr_classes[7][8] = int_stack + 168120;
 Libr12->gvrr_classes[7][9] = int_stack + 169740;
 Libr12->gvrr_classes[7][10] = int_stack + 171720;
 Libr12->gvrr_classes[7][11] = int_stack + 174096;
 Libr12->gvrr_classes[7][12] = int_stack + 176904;
 memset(int_stack,0,180180*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 180180;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_gfii(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+180180, int_stack+140700, int_stack+140280, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+181440, int_stack+141240, int_stack+140700, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+183060, int_stack+181440, int_stack+180180, 15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+185580, int_stack+141915, int_stack+141240, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+187605, int_stack+185580, int_stack+181440, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+190845, int_stack+187605, int_stack+183060, 15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+195045, int_stack+142740, int_stack+141915, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+197520, int_stack+195045, int_stack+185580, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+201570, int_stack+197520, int_stack+187605, 15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+206970, int_stack+201570, int_stack+190845, 15);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+213270, int_stack+143730, int_stack+142740, 15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+216240, int_stack+213270, int_stack+195045, 15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+221190, int_stack+216240, int_stack+197520, 15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+227940, int_stack+221190, int_stack+201570, 15);
 /*--- compute (g0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+236040, int_stack+227940, int_stack+206970, 15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+244860, int_stack+146853, int_stack+146265, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+246624, int_stack+147609, int_stack+146853, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+248892, int_stack+246624, int_stack+244860, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+252420, int_stack+148554, int_stack+147609, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+255255, int_stack+252420, int_stack+246624, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+259791, int_stack+255255, int_stack+248892, 21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+265671, int_stack+149709, int_stack+148554, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+269136, int_stack+265671, int_stack+252420, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+274806, int_stack+269136, int_stack+255255, 21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+282366, int_stack+274806, int_stack+259791, 21);
 /*--- compute (h0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+291186, int_stack+151095, int_stack+149709, 21);
 /*--- compute (h0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+295344, int_stack+291186, int_stack+265671, 21);
 /*--- compute (h0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+302274, int_stack+295344, int_stack+269136, 21);
 /*--- compute (h0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+311724, int_stack+302274, int_stack+274806, 21);
 /*--- compute (h0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+323064, int_stack+311724, int_stack+282366, 21);
 /*--- compute (g0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+335412, int_stack+144900, int_stack+143730, 15);
 /*--- compute (g0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+338922, int_stack+335412, int_stack+213270, 15);
 /*--- compute (g0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+344862, int_stack+338922, int_stack+216240, 15);
 /*--- compute (g0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+353112, int_stack+344862, int_stack+221190, 15);
 /*--- compute (g0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+363237, int_stack+353112, int_stack+227940, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+374577, int_stack+420, int_stack+0, int_stack+140700, int_stack+146265, int_stack+140280, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+375837, int_stack+960, int_stack+420, int_stack+141240, int_stack+146853, int_stack+140700, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+377457, int_stack+375837, int_stack+374577, int_stack+181440, int_stack+244860, int_stack+180180, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+379977, int_stack+1635, int_stack+960, int_stack+141915, int_stack+147609, int_stack+141240, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+382002, int_stack+379977, int_stack+375837, int_stack+185580, int_stack+246624, int_stack+181440, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+385242, int_stack+382002, int_stack+377457, int_stack+187605, int_stack+248892, int_stack+183060, 4, 0);
 /*--- compute (g0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+180180, int_stack+2460, int_stack+1635, int_stack+142740, int_stack+148554, int_stack+141915, 4, 0);
 /*--- compute (g0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+374577, int_stack+180180, int_stack+379977, int_stack+195045, int_stack+252420, int_stack+185580, 4, 0);
 /*--- compute (g0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+389442, int_stack+374577, int_stack+382002, int_stack+197520, int_stack+255255, int_stack+187605, 4, 0);
 /*--- compute (g0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+182655, int_stack+389442, int_stack+385242, int_stack+201570, int_stack+259791, int_stack+190845, 4, 0);
 /*--- compute (g0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+188955, int_stack+3450, int_stack+2460, int_stack+143730, int_stack+149709, int_stack+142740, 4, 0);
 /*--- compute (g0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+378627, int_stack+188955, int_stack+180180, int_stack+213270, int_stack+265671, int_stack+195045, 4, 0);
 /*--- compute (g0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+394842, int_stack+378627, int_stack+374577, int_stack+216240, int_stack+269136, int_stack+197520, 4, 0);
 /*--- compute (g0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+191925, int_stack+394842, int_stack+389442, int_stack+221190, int_stack+274806, int_stack+201570, 4, 0);
 /*--- compute (g0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+383577, int_stack+191925, int_stack+182655, int_stack+227940, int_stack+282366, int_stack+206970, 4, 0);
 /*--- compute (g0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+374577, int_stack+4620, int_stack+3450, int_stack+144900, int_stack+151095, int_stack+143730, 4, 0);
 /*--- compute (g0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+180180, int_stack+374577, int_stack+188955, int_stack+335412, int_stack+291186, int_stack+213270, 4, 0);
 /*--- compute (g0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+200025, int_stack+180180, int_stack+378627, int_stack+338922, int_stack+295344, int_stack+216240, 4, 0);
 /*--- compute (g0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+180180, int_stack+200025, int_stack+394842, int_stack+344862, int_stack+302274, int_stack+221190, 4, 0);
 /*--- compute (g0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+200025, int_stack+180180, int_stack+191925, int_stack+353112, int_stack+311724, int_stack+227940, 4, 0);
 /*--- compute (g0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+180180, int_stack+200025, int_stack+383577, int_stack+363237, int_stack+323064, int_stack+236040, 4, 0);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+191940, int_stack+155428, int_stack+154644, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+194292, int_stack+156436, int_stack+155428, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+197316, int_stack+194292, int_stack+191940, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+202020, int_stack+157696, int_stack+156436, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+205800, int_stack+202020, int_stack+194292, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+211848, int_stack+205800, int_stack+197316, 28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+140280, int_stack+159236, int_stack+157696, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+219688, int_stack+140280, int_stack+202020, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+374577, int_stack+219688, int_stack+205800, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+384657, int_stack+374577, int_stack+211848, 28);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+227248, int_stack+161084, int_stack+159236, 28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+396417, int_stack+227248, int_stack+140280, 28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+405657, int_stack+396417, int_stack+219688, 28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+418257, int_stack+405657, int_stack+374577, 28);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+433377, int_stack+418257, int_stack+384657, 28);
 /*--- compute (h0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+0, int_stack+152733, int_stack+151095, 21);
 /*--- compute (h0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+449841, int_stack+0, int_stack+291186, 21);
 /*--- compute (h0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+458157, int_stack+449841, int_stack+295344, 21);
 /*--- compute (h0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+469707, int_stack+458157, int_stack+302274, 21);
 /*--- compute (h0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+483882, int_stack+469707, int_stack+311724, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+232792, int_stack+6573, int_stack+5985, int_stack+146853, int_stack+154644, int_stack+146265, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+499758, int_stack+7329, int_stack+6573, int_stack+147609, int_stack+155428, int_stack+146853, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+502026, int_stack+499758, int_stack+232792, int_stack+246624, int_stack+191940, int_stack+244860, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+232792, int_stack+8274, int_stack+7329, int_stack+148554, int_stack+156436, int_stack+147609, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+505554, int_stack+232792, int_stack+499758, int_stack+252420, int_stack+194292, int_stack+246624, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+510090, int_stack+505554, int_stack+502026, int_stack+255255, int_stack+197316, int_stack+248892, 5, 0);
 /*--- compute (h0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+499758, int_stack+9429, int_stack+8274, int_stack+149709, int_stack+157696, int_stack+148554, 5, 0);
 /*--- compute (h0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+244860, int_stack+499758, int_stack+232792, int_stack+265671, int_stack+202020, int_stack+252420, 5, 0);
 /*--- compute (h0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+515970, int_stack+244860, int_stack+505554, int_stack+269136, int_stack+205800, int_stack+255255, 5, 0);
 /*--- compute (h0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+250530, int_stack+515970, int_stack+510090, int_stack+274806, int_stack+211848, int_stack+259791, 5, 0);
 /*--- compute (h0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+503223, int_stack+10815, int_stack+9429, int_stack+151095, int_stack+159236, int_stack+149709, 5, 0);
 /*--- compute (h0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+507381, int_stack+503223, int_stack+499758, int_stack+291186, int_stack+140280, int_stack+265671, 5, 0);
 /*--- compute (h0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+259350, int_stack+507381, int_stack+244860, int_stack+295344, int_stack+219688, int_stack+269136, 5, 0);
 /*--- compute (h0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+523530, int_stack+259350, int_stack+515970, int_stack+302274, int_stack+374577, int_stack+274806, 5, 0);
 /*--- compute (h0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+268800, int_stack+523530, int_stack+250530, int_stack+311724, int_stack+384657, int_stack+282366, 5, 0);
 /*--- compute (h0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+244860, int_stack+12453, int_stack+10815, int_stack+152733, int_stack+161084, int_stack+151095, 5, 0);
 /*--- compute (h0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+249774, int_stack+244860, int_stack+503223, int_stack+0, int_stack+227248, int_stack+291186, 5, 0);
 /*--- compute (h0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+281148, int_stack+249774, int_stack+507381, int_stack+449841, int_stack+396417, int_stack+295344, 5, 0);
 /*--- compute (h0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+244860, int_stack+281148, int_stack+259350, int_stack+458157, int_stack+405657, int_stack+302274, 5, 0);
 /*--- compute (h0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+281148, int_stack+244860, int_stack+523530, int_stack+469707, int_stack+418257, int_stack+311724, 5, 0);
 /*--- compute (h0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+244860, int_stack+281148, int_stack+268800, int_stack+483882, int_stack+433377, int_stack+323064, 5, 0);
 /*--- compute (gp|[r12,T2]|ii) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+261324, int_stack+244860, int_stack+180180, 784);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+180180, int_stack+166824, int_stack+165816, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+183204, int_stack+168120, int_stack+166824, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+296604, int_stack+183204, int_stack+180180, 36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+302652, int_stack+169740, int_stack+168120, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+307512, int_stack+302652, int_stack+183204, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+499758, int_stack+307512, int_stack+296604, 36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+315288, int_stack+171720, int_stack+169740, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+509838, int_stack+315288, int_stack+302652, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+519558, int_stack+509838, int_stack+307512, 36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+532518, int_stack+519558, int_stack+499758, 36);
 /*--- compute (k0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+4914, int_stack+174096, int_stack+171720, 36);
 /*--- compute (k0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+547638, int_stack+4914, int_stack+315288, 36);
 /*--- compute (k0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+559518, int_stack+547638, int_stack+509838, 36);
 /*--- compute (k0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+575718, int_stack+559518, int_stack+519558, 36);
 /*--- compute (k0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+595158, int_stack+575718, int_stack+532518, 36);
 /*--- compute (i0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+616326, int_stack+163268, int_stack+161084, 28);
 /*--- compute (i0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+622878, int_stack+616326, int_stack+227248, 28);
 /*--- compute (i0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+633966, int_stack+622878, int_stack+396417, 28);
 /*--- compute (i0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+649366, int_stack+633966, int_stack+405657, 28);
 /*--- compute (i0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+668266, int_stack+649366, int_stack+418257, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+187092, int_stack+15148, int_stack+14364, int_stack+155428, int_stack+165816, int_stack+154644, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+232792, int_stack+16156, int_stack+15148, int_stack+156436, int_stack+166824, int_stack+155428, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+146265, int_stack+232792, int_stack+187092, int_stack+194292, int_stack+180180, int_stack+191940, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+187092, int_stack+17416, int_stack+16156, int_stack+157696, int_stack+168120, int_stack+156436, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+689434, int_stack+187092, int_stack+232792, int_stack+202020, int_stack+183204, int_stack+194292, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+695482, int_stack+689434, int_stack+146265, int_stack+205800, int_stack+296604, int_stack+197316, 6, 0);
 /*--- compute (i0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+146265, int_stack+18956, int_stack+17416, int_stack+159236, int_stack+169740, int_stack+157696, 6, 0);
 /*--- compute (i0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+190872, int_stack+146265, int_stack+187092, int_stack+140280, int_stack+302652, int_stack+202020, 6, 0);
 /*--- compute (i0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+703322, int_stack+190872, int_stack+689434, int_stack+219688, int_stack+307512, int_stack+205800, 6, 0);
 /*--- compute (i0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+198432, int_stack+703322, int_stack+695482, int_stack+374577, int_stack+499758, int_stack+211848, 6, 0);
 /*--- compute (i0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+689434, int_stack+20804, int_stack+18956, int_stack+161084, int_stack+171720, int_stack+159236, 6, 0);
 /*--- compute (i0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+210192, int_stack+689434, int_stack+146265, int_stack+227248, int_stack+315288, int_stack+140280, 6, 0);
 /*--- compute (i0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+713402, int_stack+210192, int_stack+190872, int_stack+396417, int_stack+509838, int_stack+219688, 6, 0);
 /*--- compute (i0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+726002, int_stack+713402, int_stack+703322, int_stack+405657, int_stack+519558, int_stack+374577, 6, 0);
 /*--- compute (i0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+694978, int_stack+726002, int_stack+198432, int_stack+418257, int_stack+532518, int_stack+384657, 6, 0);
 /*--- compute (i0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+374577, int_stack+22988, int_stack+20804, int_stack+163268, int_stack+174096, int_stack+161084, 6, 0);
 /*--- compute (i0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+381129, int_stack+374577, int_stack+689434, int_stack+616326, int_stack+4914, int_stack+227248, 6, 0);
 /*--- compute (i0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+187092, int_stack+381129, int_stack+210192, int_stack+622878, int_stack+547638, int_stack+396417, 6, 0);
 /*--- compute (i0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+374577, int_stack+187092, int_stack+713402, int_stack+633966, int_stack+559518, int_stack+405657, 6, 0);
 /*--- compute (i0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+187092, int_stack+374577, int_stack+726002, int_stack+649366, int_stack+575718, int_stack+418257, 6, 0);
 /*--- compute (i0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+374577, int_stack+187092, int_stack+694978, int_stack+668266, int_stack+595158, int_stack+433377, 6, 0);
 /*--- compute (hp|[r12,T2]|ii) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+689434, int_stack+374577, int_stack+244860, 784);
 /*--- compute (gd|[r12,T2]|ii) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+738826, int_stack+689434, int_stack+261324, 784);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+244860, int_stack+27804, int_stack+25536, 45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+248640, int_stack+30720, int_stack+27804, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+253500, int_stack+248640, int_stack+244860, 45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+261060, int_stack+34365, int_stack+30720, 45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+267135, int_stack+261060, int_stack+248640, 45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+276855, int_stack+267135, int_stack+253500, 45);
 /*--- compute (l0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+187092, int_stack+38820, int_stack+34365, 45);
 /*--- compute (l0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+194517, int_stack+187092, int_stack+261060, 45);
 /*--- compute (l0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+206667, int_stack+194517, int_stack+267135, 45);
 /*--- compute (l0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+396529, int_stack+206667, int_stack+276855, 45);
 /*--- compute (l0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+222867, int_stack+44166, int_stack+38820, 45);
 /*--- compute (l0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+415429, int_stack+222867, int_stack+187092, 45);
 /*--- compute (l0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+809386, int_stack+415429, int_stack+194517, 45);
 /*--- compute (l0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+829636, int_stack+809386, int_stack+206667, 45);
 /*--- compute (l0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+853936, int_stack+829636, int_stack+396529, 45);
 /*--- compute (k0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+154644, int_stack+176904, int_stack+174096, 36);
 /*--- compute (k0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+880396, int_stack+154644, int_stack+4914, 36);
 /*--- compute (k0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+894652, int_stack+880396, int_stack+547638, 36);
 /*--- compute (k0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+914452, int_stack+894652, int_stack+559518, 36);
 /*--- compute (k0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+938752, int_stack+914452, int_stack+575718, 36);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+289455, int_stack+29424, int_stack+26796, int_stack+166824, int_stack+25536, int_stack+165816, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+292479, int_stack+32745, int_stack+29424, int_stack+168120, int_stack+27804, int_stack+166824, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+146265, int_stack+292479, int_stack+289455, int_stack+183204, int_stack+244860, int_stack+180180, 7, 0);
 /*--- compute (k0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+12042, int_stack+36840, int_stack+32745, int_stack+169740, int_stack+30720, int_stack+168120, 7, 0);
 /*--- compute (k0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+16902, int_stack+12042, int_stack+292479, int_stack+302652, int_stack+248640, int_stack+183204, 7, 0);
 /*--- compute (k0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+965968, int_stack+16902, int_stack+146265, int_stack+307512, int_stack+253500, int_stack+296604, 7, 0);
 /*--- compute (k0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+146265, int_stack+41790, int_stack+36840, int_stack+171720, int_stack+34365, int_stack+169740, 7, 0);
 /*--- compute (k0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+244860, int_stack+146265, int_stack+12042, int_stack+315288, int_stack+261060, int_stack+302652, 7, 0);
 /*--- compute (k0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+289455, int_stack+244860, int_stack+16902, int_stack+509838, int_stack+267135, int_stack+307512, 7, 0);
 /*--- compute (k0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+12042, int_stack+289455, int_stack+965968, int_stack+519558, int_stack+276855, int_stack+499758, 7, 0);
 /*--- compute (k0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+499758, int_stack+47676, int_stack+41790, int_stack+174096, int_stack+38820, int_stack+171720, 7, 0);
 /*--- compute (k0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+27162, int_stack+499758, int_stack+146265, int_stack+4914, int_stack+187092, int_stack+315288, 7, 0);
 /*--- compute (k0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+254580, int_stack+27162, int_stack+244860, int_stack+547638, int_stack+194517, int_stack+509838, 7, 0);
 /*--- compute (k0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+180180, int_stack+254580, int_stack+289455, int_stack+559518, int_stack+206667, int_stack+519558, 7, 0);
 /*--- compute (k0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+506886, int_stack+180180, int_stack+12042, int_stack+575718, int_stack+396529, int_stack+532518, 7, 0);
 /*--- compute (k0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+396529, int_stack+50484, int_stack+47676, int_stack+176904, int_stack+44166, int_stack+174096, 7, 0);
 /*--- compute (k0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+12042, int_stack+396529, int_stack+499758, int_stack+154644, int_stack+222867, int_stack+4914, 7, 0);
 /*--- compute (k0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+199620, int_stack+12042, int_stack+27162, int_stack+880396, int_stack+415429, int_stack+547638, 7, 0);
 /*--- compute (k0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4914, int_stack+199620, int_stack+254580, int_stack+894652, int_stack+809386, int_stack+559518, 7, 0);
 /*--- compute (k0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+199620, int_stack+4914, int_stack+180180, int_stack+914452, int_stack+829636, int_stack+575718, 7, 0);
 /*--- compute (k0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4914, int_stack+199620, int_stack+506886, int_stack+938752, int_stack+853936, int_stack+595158, 7, 0);
 /*--- compute (ip|[r12,T2]|ii) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+809386, int_stack+4914, int_stack+374577, 784);
 /*--- compute (hd|[r12,T2]|ii) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+965968, int_stack+809386, int_stack+689434, 784);
 /*--- compute (g0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+689434, int_stack+363237, int_stack+236040, 15);
 /*--- compute (h0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+701194, int_stack+483882, int_stack+323064, 21);
 /*--- compute (gp|ii) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+809386, int_stack+701194, int_stack+689434, 784);
 /*--- compute (i0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+844666, int_stack+668266, int_stack+433377, 28);
 /*--- compute (hp|ii) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+866618, int_stack+844666, int_stack+701194, 784);
 /*--- compute (gd|ii) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+374577, int_stack+866618, int_stack+809386, 784);
 /*--- compute (g0|qp) ---*/
   hrr3_build_qp(Libr12->ShellQuartet.CD,int_stack+717658, int_stack+53760, int_stack+144900, 15);
 /*--- compute (g0|od) ---*/
   hrr3_build_od(Libr12->ShellQuartet.CD,int_stack+721753, int_stack+717658, int_stack+335412, 15);
 /*--- compute (g0|nf) ---*/
   hrr3_build_nf(Libr12->ShellQuartet.CD,int_stack+728773, int_stack+721753, int_stack+338922, 15);
 /*--- compute (g0|mg) ---*/
   hrr3_build_mg(Libr12->ShellQuartet.CD,int_stack+916010, int_stack+728773, int_stack+344862, 15);
 /*--- compute (g0|lh) ---*/
   hrr3_build_lh(Libr12->ShellQuartet.CD,int_stack+717658, int_stack+916010, int_stack+353112, 15);
 /*--- compute (g0|ki) ---*/
   hrr3_build_ki(Libr12->ShellQuartet.CD,int_stack+916010, int_stack+717658, int_stack+363237, 15);
 /*--- compute (h0|qp) ---*/
   hrr3_build_qp(Libr12->ShellQuartet.CD,int_stack+717658, int_stack+61320, int_stack+152733, 21);
 /*--- compute (h0|od) ---*/
   hrr3_build_od(Libr12->ShellQuartet.CD,int_stack+723391, int_stack+717658, int_stack+0, 21);
 /*--- compute (h0|nf) ---*/
   hrr3_build_nf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+723391, int_stack+449841, 21);
 /*--- compute (h0|mg) ---*/
   hrr3_build_mg(Libr12->ShellQuartet.CD,int_stack+13860, int_stack+0, int_stack+458157, 21);
 /*--- compute (h0|lh) ---*/
   hrr3_build_lh(Libr12->ShellQuartet.CD,int_stack+31185, int_stack+13860, int_stack+469707, 21);
 /*--- compute (h0|ki) ---*/
   hrr3_build_ki(Libr12->ShellQuartet.CD,int_stack+717658, int_stack+31185, int_stack+483882, 21);
 /*--- compute (gp|ki) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+717658, int_stack+916010, 1008);
 /*--- compute (i0|qp) ---*/
   hrr3_build_qp(Libr12->ShellQuartet.CD,int_stack+45360, int_stack+71904, int_stack+163268, 28);
 /*--- compute (i0|od) ---*/
   hrr3_build_od(Libr12->ShellQuartet.CD,int_stack+445137, int_stack+45360, int_stack+616326, 28);
 /*--- compute (i0|nf) ---*/
   hrr3_build_nf(Libr12->ShellQuartet.CD,int_stack+458241, int_stack+445137, int_stack+622878, 28);
 /*--- compute (i0|mg) ---*/
   hrr3_build_mg(Libr12->ShellQuartet.CD,int_stack+476721, int_stack+458241, int_stack+633966, 28);
 /*--- compute (i0|lh) ---*/
   hrr3_build_lh(Libr12->ShellQuartet.CD,int_stack+445137, int_stack+476721, int_stack+649366, 28);
 /*--- compute (i0|ki) ---*/
   hrr3_build_ki(Libr12->ShellQuartet.CD,int_stack+471597, int_stack+445137, int_stack+668266, 28);
 /*--- compute (hp|ki) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+499821, int_stack+471597, int_stack+717658, 1008);
 /*--- compute (gd|ki) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+140280, int_stack+499821, int_stack+0, 1008);
 /*--- compute (k0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+563325, int_stack+938752, int_stack+595158, 36);
 /*--- compute (ip|ii) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+591549, int_stack+563325, int_stack+844666, 784);
 /*--- compute (hd|ii) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+231000, int_stack+591549, int_stack+866618, 784);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+445137, int_stack+55755, int_stack+55335, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+446397, int_stack+56295, int_stack+55755, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+448017, int_stack+446397, int_stack+445137, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+450537, int_stack+56970, int_stack+56295, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+452562, int_stack+450537, int_stack+446397, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+455802, int_stack+452562, int_stack+448017, 15);
 /*--- compute (g0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+445137, int_stack+57795, int_stack+56970, 15);
 /*--- compute (g0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+460002, int_stack+445137, int_stack+450537, 15);
 /*--- compute (g0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+464052, int_stack+460002, int_stack+452562, 15);
 /*--- compute (g0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+447612, int_stack+464052, int_stack+455802, 15);
 /*--- compute (g0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+453912, int_stack+58785, int_stack+57795, 15);
 /*--- compute (g0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+657405, int_stack+453912, int_stack+445137, 15);
 /*--- compute (g0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+662355, int_stack+657405, int_stack+460002, 15);
 /*--- compute (g0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+669105, int_stack+662355, int_stack+464052, 15);
 /*--- compute (g0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+456882, int_stack+669105, int_stack+447612, 15);
 /*--- compute (g0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+445137, int_stack+59955, int_stack+58785, 15);
 /*--- compute (g0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+677205, int_stack+445137, int_stack+453912, 15);
 /*--- compute (g0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+445137, int_stack+677205, int_stack+657405, 15);
 /*--- compute (g0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+677205, int_stack+445137, int_stack+662355, 15);
 /*--- compute (g0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+445137, int_stack+677205, int_stack+669105, 15);
 /*--- compute (g0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+657405, int_stack+445137, int_stack+456882, 15);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+445137, int_stack+64113, int_stack+63525, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+446901, int_stack+64869, int_stack+64113, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+449169, int_stack+446901, int_stack+445137, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+452697, int_stack+65814, int_stack+64869, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+455532, int_stack+452697, int_stack+446901, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+460068, int_stack+455532, int_stack+449169, 21);
 /*--- compute (h0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+445137, int_stack+66969, int_stack+65814, 21);
 /*--- compute (h0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+669165, int_stack+445137, int_stack+452697, 21);
 /*--- compute (h0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+674835, int_stack+669165, int_stack+455532, 21);
 /*--- compute (h0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+448602, int_stack+674835, int_stack+460068, 21);
 /*--- compute (h0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+457422, int_stack+68355, int_stack+66969, 21);
 /*--- compute (h0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+461580, int_stack+457422, int_stack+445137, 21);
 /*--- compute (h0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+45360, int_stack+461580, int_stack+669165, 21);
 /*--- compute (h0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+54810, int_stack+45360, int_stack+674835, 21);
 /*--- compute (h0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+669165, int_stack+54810, int_stack+448602, 21);
 /*--- compute (h0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+681513, int_stack+69993, int_stack+68355, 21);
 /*--- compute (h0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+445137, int_stack+681513, int_stack+457422, 21);
 /*--- compute (h0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+931130, int_stack+445137, int_stack+461580, 21);
 /*--- compute (h0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+445137, int_stack+931130, int_stack+45360, 21);
 /*--- compute (h0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+931130, int_stack+445137, int_stack+54810, 21);
 /*--- compute (h0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+445137, int_stack+931130, int_stack+669165, 21);
 /*--- compute (gp|[r12,T1]|ii) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+329784, int_stack+445137, int_stack+657405, int_stack+701194, int_stack+916010, int_stack+689434, 6, 6);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+916010, int_stack+75628, int_stack+74844, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+918362, int_stack+76636, int_stack+75628, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+921386, int_stack+918362, int_stack+916010, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+926090, int_stack+77896, int_stack+76636, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+929870, int_stack+926090, int_stack+918362, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+935918, int_stack+929870, int_stack+921386, 28);
 /*--- compute (i0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+916010, int_stack+79436, int_stack+77896, 28);
 /*--- compute (i0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+943758, int_stack+916010, int_stack+926090, 28);
 /*--- compute (i0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+951318, int_stack+943758, int_stack+929870, 28);
 /*--- compute (i0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+920630, int_stack+951318, int_stack+935918, 28);
 /*--- compute (i0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+932390, int_stack+81284, int_stack+79436, 28);
 /*--- compute (i0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+657405, int_stack+932390, int_stack+916010, 28);
 /*--- compute (i0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+666645, int_stack+657405, int_stack+943758, 28);
 /*--- compute (i0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+679245, int_stack+666645, int_stack+951318, 28);
 /*--- compute (i0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+937934, int_stack+679245, int_stack+920630, 28);
 /*--- compute (i0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+916010, int_stack+83468, int_stack+81284, 28);
 /*--- compute (i0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+954398, int_stack+916010, int_stack+932390, 28);
 /*--- compute (i0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+916010, int_stack+954398, int_stack+657405, 28);
 /*--- compute (i0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+45360, int_stack+916010, int_stack+666645, 28);
 /*--- compute (i0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+916010, int_stack+45360, int_stack+679245, 28);
 /*--- compute (i0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+45360, int_stack+916010, int_stack+937934, 28);
 /*--- compute (hp|[r12,T1]|ii) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+916010, int_stack+45360, int_stack+445137, int_stack+844666, int_stack+717658, int_stack+701194, 6, 6);
 /*--- compute (gd|[r12,T1]|ii) ---*/
   t1hrr1_build_gd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+657405, int_stack+916010, int_stack+329784, int_stack+866618, int_stack+0, int_stack+809386, 6, 6);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+809386, int_stack+87024, int_stack+86016, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+812410, int_stack+88320, int_stack+87024, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+816298, int_stack+812410, int_stack+809386, 36);
 /*--- compute (k0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+822346, int_stack+89940, int_stack+88320, 36);
 /*--- compute (k0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+827206, int_stack+822346, int_stack+812410, 36);
 /*--- compute (k0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+0, int_stack+827206, int_stack+816298, 36);
 /*--- compute (k0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+809386, int_stack+91920, int_stack+89940, 36);
 /*--- compute (k0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+10080, int_stack+809386, int_stack+822346, 36);
 /*--- compute (k0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+19800, int_stack+10080, int_stack+827206, 36);
 /*--- compute (k0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+815326, int_stack+19800, int_stack+0, 36);
 /*--- compute (k0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+0, int_stack+94296, int_stack+91920, 36);
 /*--- compute (k0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+830446, int_stack+0, int_stack+809386, 36);
 /*--- compute (k0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+329784, int_stack+830446, int_stack+10080, 36);
 /*--- compute (k0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+345984, int_stack+329784, int_stack+19800, 36);
 /*--- compute (k0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+7128, int_stack+345984, int_stack+815326, 36);
 /*--- compute (k0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+809386, int_stack+97104, int_stack+94296, 36);
 /*--- compute (k0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+28296, int_stack+809386, int_stack+0, 36);
 /*--- compute (k0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+809386, int_stack+28296, int_stack+830446, 36);
 /*--- compute (k0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+445137, int_stack+809386, int_stack+329784, 36);
 /*--- compute (k0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+809386, int_stack+445137, int_stack+345984, 36);
 /*--- compute (k0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+329784, int_stack+809386, int_stack+7128, 36);
 /*--- compute (ip|[r12,T1]|ii) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1064752, int_stack+329784, int_stack+45360, int_stack+563325, int_stack+471597, int_stack+844666, 6, 6);
 /*--- compute (hd|[r12,T1]|ii) ---*/
   t1hrr1_build_hd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+0, int_stack+1064752, int_stack+916010, int_stack+591549, int_stack+499821, int_stack+866618, 6, 6);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1064752, int_stack+100800, int_stack+100380, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1066012, int_stack+101340, int_stack+100800, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1067632, int_stack+1066012, int_stack+1064752, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1070152, int_stack+102015, int_stack+101340, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1072177, int_stack+1070152, int_stack+1066012, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1075417, int_stack+1072177, int_stack+1067632, 15);
 /*--- compute (g0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+1064752, int_stack+102840, int_stack+102015, 15);
 /*--- compute (g0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1079617, int_stack+1064752, int_stack+1070152, 15);
 /*--- compute (g0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1083667, int_stack+1079617, int_stack+1072177, 15);
 /*--- compute (g0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1067227, int_stack+1083667, int_stack+1075417, 15);
 /*--- compute (g0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1073527, int_stack+103830, int_stack+102840, 15);
 /*--- compute (g0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1089067, int_stack+1073527, int_stack+1064752, 15);
 /*--- compute (g0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1094017, int_stack+1089067, int_stack+1079617, 15);
 /*--- compute (g0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1100767, int_stack+1094017, int_stack+1083667, 15);
 /*--- compute (g0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1076497, int_stack+1100767, int_stack+1067227, 15);
 /*--- compute (g0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+1064752, int_stack+105000, int_stack+103830, 15);
 /*--- compute (g0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+1108867, int_stack+1064752, int_stack+1073527, 15);
 /*--- compute (g0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+1064752, int_stack+1108867, int_stack+1089067, 15);
 /*--- compute (g0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+1108867, int_stack+1064752, int_stack+1094017, 15);
 /*--- compute (g0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+1064752, int_stack+1108867, int_stack+1100767, 15);
 /*--- compute (g0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+1085317, int_stack+1064752, int_stack+1076497, 15);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1064752, int_stack+106953, int_stack+106365, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1066516, int_stack+107709, int_stack+106953, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1068784, int_stack+1066516, int_stack+1064752, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1072312, int_stack+108654, int_stack+107709, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1075147, int_stack+1072312, int_stack+1066516, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1097077, int_stack+1075147, int_stack+1068784, 21);
 /*--- compute (h0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+1064752, int_stack+109809, int_stack+108654, 21);
 /*--- compute (h0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1102957, int_stack+1064752, int_stack+1072312, 21);
 /*--- compute (h0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1108627, int_stack+1102957, int_stack+1075147, 21);
 /*--- compute (h0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1068217, int_stack+1108627, int_stack+1097077, 21);
 /*--- compute (h0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1097077, int_stack+111195, int_stack+109809, 21);
 /*--- compute (h0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1077037, int_stack+1097077, int_stack+1064752, 21);
 /*--- compute (h0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1116187, int_stack+1077037, int_stack+1102957, 21);
 /*--- compute (h0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+329784, int_stack+1116187, int_stack+1108627, 21);
 /*--- compute (h0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1101235, int_stack+329784, int_stack+1068217, 21);
 /*--- compute (h0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+1064752, int_stack+112833, int_stack+111195, 21);
 /*--- compute (h0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+341124, int_stack+1064752, int_stack+1097077, 21);
 /*--- compute (h0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+1064752, int_stack+341124, int_stack+1077037, 21);
 /*--- compute (h0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+341124, int_stack+1064752, int_stack+1116187, 21);
 /*--- compute (h0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+1064752, int_stack+341124, int_stack+329784, 21);
 /*--- compute (h0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+329784, int_stack+1064752, int_stack+1101235, 21);
 /*--- compute (gp||ii) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+809386, int_stack+329784, int_stack+1085317, 784);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1064752, int_stack+115528, int_stack+114744, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1067104, int_stack+116536, int_stack+115528, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1070128, int_stack+1067104, int_stack+1064752, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1074832, int_stack+117796, int_stack+116536, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1078612, int_stack+1074832, int_stack+1067104, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1084660, int_stack+1078612, int_stack+1070128, 28);
 /*--- compute (i0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+1064752, int_stack+119336, int_stack+117796, 28);
 /*--- compute (i0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1092500, int_stack+1064752, int_stack+1074832, 28);
 /*--- compute (i0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1100060, int_stack+1092500, int_stack+1078612, 28);
 /*--- compute (i0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1069372, int_stack+1100060, int_stack+1084660, 28);
 /*--- compute (i0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1081132, int_stack+121184, int_stack+119336, 28);
 /*--- compute (i0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1110140, int_stack+1081132, int_stack+1064752, 28);
 /*--- compute (i0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+346248, int_stack+1110140, int_stack+1092500, 28);
 /*--- compute (i0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+358848, int_stack+346248, int_stack+1100060, 28);
 /*--- compute (i0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1086676, int_stack+358848, int_stack+1069372, 28);
 /*--- compute (i0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+1064752, int_stack+123368, int_stack+121184, 28);
 /*--- compute (i0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+1119380, int_stack+1064752, int_stack+1081132, 28);
 /*--- compute (i0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+1064752, int_stack+1119380, int_stack+1110140, 28);
 /*--- compute (i0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+1103140, int_stack+1064752, int_stack+346248, 28);
 /*--- compute (i0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+1064752, int_stack+1103140, int_stack+358848, 28);
 /*--- compute (i0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+1103140, int_stack+1064752, int_stack+1086676, 28);
 /*--- compute (hp||ii) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+844666, int_stack+1103140, int_stack+329784, 784);
 /*--- compute (gd||ii) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+894058, int_stack+844666, int_stack+809386, 784);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+809386, int_stack+126924, int_stack+125916, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+812410, int_stack+128220, int_stack+126924, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+816298, int_stack+812410, int_stack+809386, 36);
 /*--- compute (k0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+822346, int_stack+129840, int_stack+128220, 36);
 /*--- compute (k0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+827206, int_stack+822346, int_stack+812410, 36);
 /*--- compute (k0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+329784, int_stack+827206, int_stack+816298, 36);
 /*--- compute (k0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+809386, int_stack+131820, int_stack+129840, 36);
 /*--- compute (k0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+339864, int_stack+809386, int_stack+822346, 36);
 /*--- compute (k0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+349584, int_stack+339864, int_stack+827206, 36);
 /*--- compute (k0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+815326, int_stack+349584, int_stack+329784, 36);
 /*--- compute (k0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+329784, int_stack+134196, int_stack+131820, 36);
 /*--- compute (k0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+830446, int_stack+329784, int_stack+809386, 36);
 /*--- compute (k0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1064752, int_stack+830446, int_stack+339864, 36);
 /*--- compute (k0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1080952, int_stack+1064752, int_stack+349584, 36);
 /*--- compute (k0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+336912, int_stack+1080952, int_stack+815326, 36);
 /*--- compute (k0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+809386, int_stack+137004, int_stack+134196, 36);
 /*--- compute (k0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+358080, int_stack+809386, int_stack+329784, 36);
 /*--- compute (k0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+809386, int_stack+358080, int_stack+830446, 36);
 /*--- compute (k0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+445137, int_stack+809386, int_stack+1064752, 36);
 /*--- compute (k0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+809386, int_stack+445137, int_stack+1080952, 36);
 /*--- compute (k0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+445137, int_stack+809386, int_stack+336912, 36);
 /*--- compute (ip||ii) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+473361, int_stack+445137, int_stack+1103140, 784);
 /*--- compute (hd||ii) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+539217, int_stack+473361, int_stack+844666, 784);
 /*--- compute (gf|[r12,T2]|ii) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+1064752, int_stack+965968, int_stack+738826, 784);
     Libr12->te_ptr[3] = int_stack + 1064752;
 /*--- compute (gf|[r12,T1]|ii) ---*/
   t1hrr1_build_gf(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+727965, int_stack+0, int_stack+657405, int_stack+231000, int_stack+140280, int_stack+374577, 6, 6);
     Libr12->te_ptr[2] = int_stack + 727965;
 /*--- compute (gf||ii) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+0, int_stack+539217, int_stack+894058, 784);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (gf|ii) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+445137, int_stack+231000, int_stack+374577, 784);
     Libr12->te_ptr[0] = int_stack + 445137;

}
