#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_gph0(Libr12_t *, prim_data *);

  /* Computes (gp|h0) integrals for linear R12-methods */

void hrr_grt_order_gph0(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[4][5] = int_stack + 0;
 Libr12->t2vrr_classes[5][5] = int_stack + 315;
 Libr12->gvrr_classes[4][6] = int_stack + 756;
 Libr12->t1vrr_classes[4][5] = int_stack + 1176;
 Libr12->t1vrr_classes[5][5] = int_stack + 1491;
 Libr12->rvrr_classes[4][5] = int_stack + 1932;
 Libr12->rvrr_classes[5][5] = int_stack + 2247;
 Libr12->gvrr_classes[4][5] = int_stack + 2688;
 Libr12->gvrr_classes[5][5] = int_stack + 3003;
 memset(int_stack,0,3444*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 3444;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_gph0(Libr12, Data);
   Data++;
 }

 /*--- compute (gp|[r12,T2]|h0) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+3444, int_stack+315, int_stack+0, 21);
     Libr12->te_ptr[3] = int_stack + 3444;
 /*--- compute (gp|[r12,T1]|h0) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+4389, int_stack+1491, int_stack+1176, int_stack+3003, int_stack+756, int_stack+2688, 5, 0);
     Libr12->te_ptr[2] = int_stack + 4389;
 /*--- compute (gp||h0) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+2247, int_stack+1932, 21);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+945, int_stack+3003, int_stack+2688, 21);
     Libr12->te_ptr[0] = int_stack + 945;

}
