#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_h0gp(Libr12_t *, prim_data *);

  /* Computes (h0|gp) integrals for linear R12-methods */

void hrr_grt_order_h0gp(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[6][4] = int_stack + 0;
 Libr12->t2vrr_classes[5][4] = int_stack + 420;
 Libr12->t2vrr_classes[5][5] = int_stack + 735;
 Libr12->t1vrr_classes[5][4] = int_stack + 1176;
 Libr12->t1vrr_classes[5][5] = int_stack + 1491;
 Libr12->rvrr_classes[5][4] = int_stack + 1932;
 Libr12->rvrr_classes[5][5] = int_stack + 2247;
 Libr12->gvrr_classes[5][4] = int_stack + 2688;
 Libr12->gvrr_classes[5][5] = int_stack + 3003;
 memset(int_stack,0,3444*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 3444;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_h0gp(Libr12, Data);
   Data++;
 }

 /*--- compute (h0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3444, int_stack+735, int_stack+420, int_stack+3003, int_stack+0, int_stack+2688, 5, 0);
     Libr12->te_ptr[3] = int_stack + 3444;
 /*--- compute (h0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+1491, int_stack+1176, 21);
     Libr12->te_ptr[2] = int_stack + 0;
 /*--- compute (h0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+945, int_stack+2247, int_stack+1932, 21);
     Libr12->te_ptr[1] = int_stack + 945;
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+4389, int_stack+3003, int_stack+2688, 21);
     Libr12->te_ptr[0] = int_stack + 4389;

}
