#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_h0ip(Libr12_t *, prim_data *);

  /* Computes (h0|ip) integrals for linear R12-methods */

void hrr_grt_order_h0ip(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[6][6] = int_stack + 0;
 Libr12->t2vrr_classes[5][6] = int_stack + 784;
 Libr12->t2vrr_classes[5][7] = int_stack + 1372;
 Libr12->t1vrr_classes[5][6] = int_stack + 2128;
 Libr12->t1vrr_classes[5][7] = int_stack + 2716;
 Libr12->rvrr_classes[5][6] = int_stack + 3472;
 Libr12->rvrr_classes[5][7] = int_stack + 4060;
 Libr12->gvrr_classes[5][6] = int_stack + 4816;
 Libr12->gvrr_classes[5][7] = int_stack + 5404;
 memset(int_stack,0,6160*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 6160;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_h0ip(Libr12, Data);
   Data++;
 }

 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+6160, int_stack+1372, int_stack+784, int_stack+5404, int_stack+0, int_stack+4816, 5, 0);
     Libr12->te_ptr[3] = int_stack + 6160;
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+2716, int_stack+2128, 21);
     Libr12->te_ptr[2] = int_stack + 0;
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+7924, int_stack+4060, int_stack+3472, 21);
     Libr12->te_ptr[1] = int_stack + 7924;
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1764, int_stack+5404, int_stack+4816, 21);
     Libr12->te_ptr[0] = int_stack + 1764;

}
