#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_idii(Libr12_t *, prim_data *);

  /* Computes (id|ii) integrals for linear R12-methods */

void hrr_grt_order_idii(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[6][6] = int_stack + 0;
 Libr12->t2vrr_classes[6][7] = int_stack + 784;
 Libr12->t2vrr_classes[6][8] = int_stack + 1792;
 Libr12->t2vrr_classes[6][9] = int_stack + 3052;
 Libr12->t2vrr_classes[6][10] = int_stack + 4592;
 Libr12->t2vrr_classes[6][11] = int_stack + 6440;
 Libr12->t2vrr_classes[6][12] = int_stack + 8624;
 Libr12->t2vrr_classes[7][6] = int_stack + 11172;
 Libr12->t2vrr_classes[7][7] = int_stack + 12180;
 Libr12->t2vrr_classes[7][8] = int_stack + 13476;
 Libr12->t2vrr_classes[7][9] = int_stack + 15096;
 Libr12->t2vrr_classes[7][10] = int_stack + 17076;
 Libr12->t2vrr_classes[7][11] = int_stack + 19452;
 Libr12->t2vrr_classes[7][12] = int_stack + 22260;
 Libr12->gvrr_classes[9][6] = int_stack + 25536;
 Libr12->t2vrr_classes[8][6] = int_stack + 27076;
 Libr12->gvrr_classes[9][7] = int_stack + 28336;
 Libr12->t2vrr_classes[8][7] = int_stack + 30316;
 Libr12->gvrr_classes[9][8] = int_stack + 31936;
 Libr12->t2vrr_classes[8][8] = int_stack + 34411;
 Libr12->gvrr_classes[9][9] = int_stack + 36436;
 Libr12->t2vrr_classes[8][9] = int_stack + 39461;
 Libr12->gvrr_classes[9][10] = int_stack + 41936;
 Libr12->t2vrr_classes[8][10] = int_stack + 45566;
 Libr12->gvrr_classes[9][11] = int_stack + 48536;
 Libr12->t2vrr_classes[8][11] = int_stack + 52826;
 Libr12->t2vrr_classes[8][12] = int_stack + 56336;
 Libr12->gvrr_classes[6][13] = int_stack + 60431;
 Libr12->t1vrr_classes[6][6] = int_stack + 63371;
 Libr12->t1vrr_classes[6][7] = int_stack + 64155;
 Libr12->t1vrr_classes[6][8] = int_stack + 65163;
 Libr12->t1vrr_classes[6][9] = int_stack + 66423;
 Libr12->t1vrr_classes[6][10] = int_stack + 67963;
 Libr12->t1vrr_classes[6][11] = int_stack + 69811;
 Libr12->t1vrr_classes[6][12] = int_stack + 71995;
 Libr12->gvrr_classes[7][13] = int_stack + 74543;
 Libr12->t1vrr_classes[7][6] = int_stack + 78323;
 Libr12->t1vrr_classes[7][7] = int_stack + 79331;
 Libr12->t1vrr_classes[7][8] = int_stack + 80627;
 Libr12->t1vrr_classes[7][9] = int_stack + 82247;
 Libr12->t1vrr_classes[7][10] = int_stack + 84227;
 Libr12->t1vrr_classes[7][11] = int_stack + 86603;
 Libr12->t1vrr_classes[7][12] = int_stack + 89411;
 Libr12->t1vrr_classes[8][6] = int_stack + 92687;
 Libr12->t1vrr_classes[8][7] = int_stack + 93947;
 Libr12->t1vrr_classes[8][8] = int_stack + 95567;
 Libr12->t1vrr_classes[8][9] = int_stack + 97592;
 Libr12->t1vrr_classes[8][10] = int_stack + 100067;
 Libr12->t1vrr_classes[8][11] = int_stack + 103037;
 Libr12->t1vrr_classes[8][12] = int_stack + 106547;
 Libr12->rvrr_classes[6][6] = int_stack + 110642;
 Libr12->rvrr_classes[6][7] = int_stack + 111426;
 Libr12->rvrr_classes[6][8] = int_stack + 112434;
 Libr12->rvrr_classes[6][9] = int_stack + 113694;
 Libr12->rvrr_classes[6][10] = int_stack + 115234;
 Libr12->rvrr_classes[6][11] = int_stack + 117082;
 Libr12->rvrr_classes[6][12] = int_stack + 119266;
 Libr12->rvrr_classes[7][6] = int_stack + 121814;
 Libr12->rvrr_classes[7][7] = int_stack + 122822;
 Libr12->rvrr_classes[7][8] = int_stack + 124118;
 Libr12->rvrr_classes[7][9] = int_stack + 125738;
 Libr12->rvrr_classes[7][10] = int_stack + 127718;
 Libr12->rvrr_classes[7][11] = int_stack + 130094;
 Libr12->rvrr_classes[7][12] = int_stack + 132902;
 Libr12->rvrr_classes[8][6] = int_stack + 136178;
 Libr12->rvrr_classes[8][7] = int_stack + 137438;
 Libr12->rvrr_classes[8][8] = int_stack + 139058;
 Libr12->rvrr_classes[8][9] = int_stack + 141083;
 Libr12->rvrr_classes[8][10] = int_stack + 143558;
 Libr12->rvrr_classes[8][11] = int_stack + 146528;
 Libr12->rvrr_classes[8][12] = int_stack + 150038;
 Libr12->gvrr_classes[6][6] = int_stack + 154133;
 Libr12->gvrr_classes[6][7] = int_stack + 154917;
 Libr12->gvrr_classes[6][8] = int_stack + 155925;
 Libr12->gvrr_classes[6][9] = int_stack + 157185;
 Libr12->gvrr_classes[6][10] = int_stack + 158725;
 Libr12->gvrr_classes[6][11] = int_stack + 160573;
 Libr12->gvrr_classes[6][12] = int_stack + 162757;
 Libr12->gvrr_classes[7][6] = int_stack + 165305;
 Libr12->gvrr_classes[7][7] = int_stack + 166313;
 Libr12->gvrr_classes[7][8] = int_stack + 167609;
 Libr12->gvrr_classes[7][9] = int_stack + 169229;
 Libr12->gvrr_classes[7][10] = int_stack + 171209;
 Libr12->gvrr_classes[7][11] = int_stack + 173585;
 Libr12->gvrr_classes[7][12] = int_stack + 176393;
 Libr12->gvrr_classes[8][6] = int_stack + 179669;
 Libr12->gvrr_classes[8][7] = int_stack + 180929;
 Libr12->gvrr_classes[8][8] = int_stack + 182549;
 Libr12->gvrr_classes[8][9] = int_stack + 184574;
 Libr12->gvrr_classes[8][10] = int_stack + 187049;
 Libr12->gvrr_classes[8][11] = int_stack + 190019;
 Libr12->gvrr_classes[8][12] = int_stack + 193529;
 memset(int_stack,0,197624*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 197624;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_idii(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+197624, int_stack+154917, int_stack+154133, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+199976, int_stack+155925, int_stack+154917, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+203000, int_stack+199976, int_stack+197624, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+207704, int_stack+157185, int_stack+155925, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+211484, int_stack+207704, int_stack+199976, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+217532, int_stack+211484, int_stack+203000, 28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+225372, int_stack+158725, int_stack+157185, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+229992, int_stack+225372, int_stack+207704, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+237552, int_stack+229992, int_stack+211484, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+247632, int_stack+237552, int_stack+217532, 28);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+259392, int_stack+160573, int_stack+158725, 28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+264936, int_stack+259392, int_stack+225372, 28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+274176, int_stack+264936, int_stack+229992, 28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+286776, int_stack+274176, int_stack+237552, 28);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+301896, int_stack+286776, int_stack+247632, 28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+318360, int_stack+166313, int_stack+165305, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+321384, int_stack+167609, int_stack+166313, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+325272, int_stack+321384, int_stack+318360, 36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+331320, int_stack+169229, int_stack+167609, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+336180, int_stack+331320, int_stack+321384, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+343956, int_stack+336180, int_stack+325272, 36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+354036, int_stack+171209, int_stack+169229, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+359976, int_stack+354036, int_stack+331320, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+369696, int_stack+359976, int_stack+336180, 36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+382656, int_stack+369696, int_stack+343956, 36);
 /*--- compute (k0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+397776, int_stack+173585, int_stack+171209, 36);
 /*--- compute (k0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+404904, int_stack+397776, int_stack+354036, 36);
 /*--- compute (k0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+416784, int_stack+404904, int_stack+359976, 36);
 /*--- compute (k0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+432984, int_stack+416784, int_stack+369696, 36);
 /*--- compute (k0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+452424, int_stack+432984, int_stack+382656, 36);
 /*--- compute (i0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+473592, int_stack+162757, int_stack+160573, 28);
 /*--- compute (i0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+480144, int_stack+473592, int_stack+259392, 28);
 /*--- compute (i0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+491232, int_stack+480144, int_stack+264936, 28);
 /*--- compute (i0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+506632, int_stack+491232, int_stack+274176, 28);
 /*--- compute (i0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+525532, int_stack+506632, int_stack+286776, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+546700, int_stack+784, int_stack+0, int_stack+154917, int_stack+165305, int_stack+154133, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+549052, int_stack+1792, int_stack+784, int_stack+155925, int_stack+166313, int_stack+154917, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+552076, int_stack+549052, int_stack+546700, int_stack+199976, int_stack+318360, int_stack+197624, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+556780, int_stack+3052, int_stack+1792, int_stack+157185, int_stack+167609, int_stack+155925, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+560560, int_stack+556780, int_stack+549052, int_stack+207704, int_stack+321384, int_stack+199976, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+566608, int_stack+560560, int_stack+552076, int_stack+211484, int_stack+325272, int_stack+203000, 6, 0);
 /*--- compute (i0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+197624, int_stack+4592, int_stack+3052, int_stack+158725, int_stack+169229, int_stack+157185, 6, 0);
 /*--- compute (i0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+546700, int_stack+197624, int_stack+556780, int_stack+225372, int_stack+331320, int_stack+207704, 6, 0);
 /*--- compute (i0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+574448, int_stack+546700, int_stack+560560, int_stack+229992, int_stack+336180, int_stack+211484, 6, 0);
 /*--- compute (i0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+202244, int_stack+574448, int_stack+566608, int_stack+237552, int_stack+343956, int_stack+217532, 6, 0);
 /*--- compute (i0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+214004, int_stack+6440, int_stack+4592, int_stack+160573, int_stack+171209, int_stack+158725, 6, 0);
 /*--- compute (i0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+554260, int_stack+214004, int_stack+197624, int_stack+259392, int_stack+354036, int_stack+225372, 6, 0);
 /*--- compute (i0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+584528, int_stack+554260, int_stack+546700, int_stack+264936, int_stack+359976, int_stack+229992, 6, 0);
 /*--- compute (i0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+219548, int_stack+584528, int_stack+574448, int_stack+274176, int_stack+369696, int_stack+237552, 6, 0);
 /*--- compute (i0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+563500, int_stack+219548, int_stack+202244, int_stack+286776, int_stack+382656, int_stack+247632, 6, 0);
 /*--- compute (i0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+546700, int_stack+8624, int_stack+6440, int_stack+162757, int_stack+173585, int_stack+160573, 6, 0);
 /*--- compute (i0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+197624, int_stack+546700, int_stack+214004, int_stack+473592, int_stack+397776, int_stack+259392, 6, 0);
 /*--- compute (i0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+234668, int_stack+197624, int_stack+554260, int_stack+480144, int_stack+404904, int_stack+264936, 6, 0);
 /*--- compute (i0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+197624, int_stack+234668, int_stack+584528, int_stack+491232, int_stack+416784, int_stack+274176, 6, 0);
 /*--- compute (i0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+234668, int_stack+197624, int_stack+219548, int_stack+506632, int_stack+432984, int_stack+286776, 6, 0);
 /*--- compute (i0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+197624, int_stack+234668, int_stack+563500, int_stack+525532, int_stack+452424, int_stack+301896, 6, 0);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+219576, int_stack+180929, int_stack+179669, 45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+223356, int_stack+182549, int_stack+180929, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+228216, int_stack+223356, int_stack+219576, 45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+235776, int_stack+184574, int_stack+182549, 45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+241851, int_stack+235776, int_stack+223356, 45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+251571, int_stack+241851, int_stack+228216, 45);
 /*--- compute (l0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+264171, int_stack+187049, int_stack+184574, 45);
 /*--- compute (l0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+271596, int_stack+264171, int_stack+235776, 45);
 /*--- compute (l0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+283746, int_stack+271596, int_stack+241851, 45);
 /*--- compute (l0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+546700, int_stack+283746, int_stack+251571, 45);
 /*--- compute (l0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+565600, int_stack+190019, int_stack+187049, 45);
 /*--- compute (l0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+574510, int_stack+565600, int_stack+264171, 45);
 /*--- compute (l0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+589360, int_stack+574510, int_stack+271596, 45);
 /*--- compute (l0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+609610, int_stack+589360, int_stack+283746, 45);
 /*--- compute (l0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+633910, int_stack+609610, int_stack+546700, 45);
 /*--- compute (k0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+154133, int_stack+176393, int_stack+173585, 36);
 /*--- compute (k0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+660370, int_stack+154133, int_stack+397776, 36);
 /*--- compute (k0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+674626, int_stack+660370, int_stack+404904, 36);
 /*--- compute (k0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+694426, int_stack+674626, int_stack+416784, 36);
 /*--- compute (k0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+718726, int_stack+694426, int_stack+432984, 36);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+12180, int_stack+11172, int_stack+166313, int_stack+179669, int_stack+165305, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3024, int_stack+13476, int_stack+12180, int_stack+167609, int_stack+180929, int_stack+166313, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+6912, int_stack+3024, int_stack+0, int_stack+321384, int_stack+219576, int_stack+318360, 7, 0);
 /*--- compute (k0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+745942, int_stack+15096, int_stack+13476, int_stack+169229, int_stack+182549, int_stack+167609, 7, 0);
 /*--- compute (k0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+750802, int_stack+745942, int_stack+3024, int_stack+331320, int_stack+223356, int_stack+321384, 7, 0);
 /*--- compute (k0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+758578, int_stack+750802, int_stack+6912, int_stack+336180, int_stack+228216, int_stack+325272, 7, 0);
 /*--- compute (k0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+318360, int_stack+17076, int_stack+15096, int_stack+171209, int_stack+184574, int_stack+169229, 7, 0);
 /*--- compute (k0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+318360, int_stack+745942, int_stack+354036, int_stack+235776, int_stack+331320, 7, 0);
 /*--- compute (k0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+768658, int_stack+0, int_stack+750802, int_stack+359976, int_stack+241851, int_stack+336180, 7, 0);
 /*--- compute (k0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+324300, int_stack+768658, int_stack+758578, int_stack+369696, int_stack+251571, int_stack+343956, 7, 0);
 /*--- compute (k0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+745942, int_stack+19452, int_stack+17076, int_stack+173585, int_stack+187049, int_stack+171209, 7, 0);
 /*--- compute (k0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+753070, int_stack+745942, int_stack+318360, int_stack+397776, int_stack+264171, int_stack+354036, 7, 0);
 /*--- compute (k0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+339420, int_stack+753070, int_stack+0, int_stack+404904, int_stack+271596, int_stack+359976, 7, 0);
 /*--- compute (k0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+339420, int_stack+768658, int_stack+416784, int_stack+283746, int_stack+369696, 7, 0);
 /*--- compute (k0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+355620, int_stack+0, int_stack+324300, int_stack+432984, int_stack+546700, int_stack+382656, 7, 0);
 /*--- compute (k0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+318360, int_stack+22260, int_stack+19452, int_stack+176393, int_stack+190019, int_stack+173585, 7, 0);
 /*--- compute (k0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+764950, int_stack+318360, int_stack+745942, int_stack+154133, int_stack+565600, int_stack+397776, 7, 0);
 /*--- compute (k0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+318360, int_stack+764950, int_stack+753070, int_stack+660370, int_stack+574510, int_stack+404904, 7, 0);
 /*--- compute (k0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+745942, int_stack+318360, int_stack+339420, int_stack+674626, int_stack+589360, int_stack+416784, 7, 0);
 /*--- compute (k0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+318360, int_stack+745942, int_stack+0, int_stack+694426, int_stack+609610, int_stack+432984, 7, 0);
 /*--- compute (k0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+745942, int_stack+318360, int_stack+355620, int_stack+718726, int_stack+633910, int_stack+452424, 7, 0);
 /*--- compute (ip|[r12,T2]|ii) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+318360, int_stack+745942, int_stack+197624, 784);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+197624, int_stack+28336, int_stack+25536, 55);
 /*--- compute (m0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+202244, int_stack+31936, int_stack+28336, 55);
 /*--- compute (m0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+208184, int_stack+202244, int_stack+197624, 55);
 /*--- compute (m0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+384216, int_stack+36436, int_stack+31936, 55);
 /*--- compute (m0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+391641, int_stack+384216, int_stack+202244, 55);
 /*--- compute (m0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+403521, int_stack+391641, int_stack+208184, 55);
 /*--- compute (m0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+418921, int_stack+41936, int_stack+36436, 55);
 /*--- compute (m0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+427996, int_stack+418921, int_stack+384216, 55);
 /*--- compute (m0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+427996, int_stack+391641, 55);
 /*--- compute (m0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+774166, int_stack+0, int_stack+403521, 55);
 /*--- compute (m0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+165305, int_stack+48536, int_stack+41936, 55);
 /*--- compute (m0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+797266, int_stack+165305, int_stack+418921, 55);
 /*--- compute (m0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+815416, int_stack+797266, int_stack+427996, 55);
 /*--- compute (m0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+840166, int_stack+815416, int_stack+0, 55);
 /*--- compute (m0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+869866, int_stack+840166, int_stack+774166, 55);
 /*--- compute (l0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+902206, int_stack+193529, int_stack+190019, 45);
 /*--- compute (l0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+912736, int_stack+902206, int_stack+565600, 45);
 /*--- compute (l0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+930556, int_stack+912736, int_stack+574510, 45);
 /*--- compute (l0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+955306, int_stack+930556, int_stack+589360, 45);
 /*--- compute (l0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+985681, int_stack+955306, int_stack+609610, 45);
 /*--- compute (l0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+442846, int_stack+30316, int_stack+27076, int_stack+180929, int_stack+25536, int_stack+179669, 8, 0);
 /*--- compute (l0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+446626, int_stack+34411, int_stack+30316, int_stack+182549, int_stack+28336, int_stack+180929, 8, 0);
 /*--- compute (l0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+19800, int_stack+446626, int_stack+442846, int_stack+223356, int_stack+197624, int_stack+219576, 8, 0);
 /*--- compute (l0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1019701, int_stack+39461, int_stack+34411, int_stack+184574, int_stack+31936, int_stack+182549, 8, 0);
 /*--- compute (l0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1025776, int_stack+1019701, int_stack+446626, int_stack+235776, int_stack+202244, int_stack+223356, 8, 0);
 /*--- compute (l0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1035496, int_stack+1025776, int_stack+19800, int_stack+241851, int_stack+208184, int_stack+228216, 8, 0);
 /*--- compute (l0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+19800, int_stack+45566, int_stack+39461, int_stack+187049, int_stack+36436, int_stack+184574, 8, 0);
 /*--- compute (l0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+27225, int_stack+19800, int_stack+1019701, int_stack+264171, int_stack+384216, int_stack+235776, 8, 0);
 /*--- compute (l0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+197624, int_stack+27225, int_stack+1025776, int_stack+271596, int_stack+391641, int_stack+241851, 8, 0);
 /*--- compute (l0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+384216, int_stack+197624, int_stack+1035496, int_stack+283746, int_stack+403521, int_stack+251571, 8, 0);
 /*--- compute (l0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+403116, int_stack+52826, int_stack+45566, int_stack+190019, int_stack+41936, int_stack+187049, 8, 0);
 /*--- compute (l0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1019701, int_stack+403116, int_stack+19800, int_stack+565600, int_stack+418921, int_stack+264171, 8, 0);
 /*--- compute (l0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+213824, int_stack+1019701, int_stack+27225, int_stack+574510, int_stack+427996, int_stack+271596, 8, 0);
 /*--- compute (l0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+19800, int_stack+213824, int_stack+197624, int_stack+589360, int_stack+0, int_stack+283746, 8, 0);
 /*--- compute (l0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+412026, int_stack+19800, int_stack+384216, int_stack+609610, int_stack+774166, int_stack+546700, 8, 0);
 /*--- compute (l0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+546700, int_stack+56336, int_stack+52826, int_stack+193529, int_stack+48536, int_stack+190019, 8, 0);
 /*--- compute (l0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+774166, int_stack+546700, int_stack+403116, int_stack+902206, int_stack+165305, int_stack+565600, 8, 0);
 /*--- compute (l0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+546700, int_stack+774166, int_stack+1019701, int_stack+912736, int_stack+797266, int_stack+574510, 8, 0);
 /*--- compute (l0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+774166, int_stack+546700, int_stack+213824, int_stack+930556, int_stack+815416, int_stack+589360, 8, 0);
 /*--- compute (l0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+546700, int_stack+774166, int_stack+19800, int_stack+955306, int_stack+840166, int_stack+609610, 8, 0);
 /*--- compute (l0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+774166, int_stack+546700, int_stack+412026, int_stack+985681, int_stack+869866, int_stack+633910, 8, 0);
 /*--- compute (kp|[r12,T2]|ii) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+546700, int_stack+774166, int_stack+745942, 784);
 /*--- compute (i0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+745942, int_stack+525532, int_stack+301896, 28);
 /*--- compute (k0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+767894, int_stack+718726, int_stack+452424, 36);
 /*--- compute (ip|ii) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+796118, int_stack+767894, int_stack+745942, 784);
 /*--- compute (i0|qp) ---*/
   hrr3_build_qp(Libr12->ShellQuartet.CD,int_stack+861974, int_stack+60431, int_stack+162757, 28);
 /*--- compute (i0|od) ---*/
   hrr3_build_od(Libr12->ShellQuartet.CD,int_stack+869618, int_stack+861974, int_stack+473592, 28);
 /*--- compute (i0|nf) ---*/
   hrr3_build_nf(Libr12->ShellQuartet.CD,int_stack+882722, int_stack+869618, int_stack+480144, 28);
 /*--- compute (i0|mg) ---*/
   hrr3_build_mg(Libr12->ShellQuartet.CD,int_stack+901202, int_stack+882722, int_stack+491232, 28);
 /*--- compute (i0|lh) ---*/
   hrr3_build_lh(Libr12->ShellQuartet.CD,int_stack+861974, int_stack+901202, int_stack+506632, 28);
 /*--- compute (i0|ki) ---*/
   hrr3_build_ki(Libr12->ShellQuartet.CD,int_stack+888434, int_stack+861974, int_stack+525532, 28);
 /*--- compute (k0|qp) ---*/
   hrr3_build_qp(Libr12->ShellQuartet.CD,int_stack+861974, int_stack+74543, int_stack+176393, 36);
 /*--- compute (k0|od) ---*/
   hrr3_build_od(Libr12->ShellQuartet.CD,int_stack+916658, int_stack+861974, int_stack+154133, 36);
 /*--- compute (k0|nf) ---*/
   hrr3_build_nf(Libr12->ShellQuartet.CD,int_stack+154133, int_stack+916658, int_stack+660370, 36);
 /*--- compute (k0|mg) ---*/
   hrr3_build_mg(Libr12->ShellQuartet.CD,int_stack+916658, int_stack+154133, int_stack+674626, 36);
 /*--- compute (k0|lh) ---*/
   hrr3_build_lh(Libr12->ShellQuartet.CD,int_stack+154133, int_stack+916658, int_stack+694426, 36);
 /*--- compute (k0|ki) ---*/
   hrr3_build_ki(Libr12->ShellQuartet.CD,int_stack+916658, int_stack+154133, int_stack+718726, 36);
 /*--- compute (ip|ki) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+154133, int_stack+916658, int_stack+888434, 1008);
 /*--- compute (l0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+238805, int_stack+985681, int_stack+633910, 45);
 /*--- compute (kp|ii) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+952946, int_stack+238805, int_stack+767894, 784);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+274085, int_stack+64155, int_stack+63371, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+276437, int_stack+65163, int_stack+64155, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+279461, int_stack+276437, int_stack+274085, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+74543, int_stack+66423, int_stack+65163, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+284165, int_stack+74543, int_stack+276437, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+290213, int_stack+284165, int_stack+279461, 28);
 /*--- compute (i0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+274085, int_stack+67963, int_stack+66423, 28);
 /*--- compute (i0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+298053, int_stack+274085, int_stack+74543, 28);
 /*--- compute (i0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+305613, int_stack+298053, int_stack+284165, 28);
 /*--- compute (i0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+861974, int_stack+305613, int_stack+290213, 28);
 /*--- compute (i0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+278705, int_stack+69811, int_stack+67963, 28);
 /*--- compute (i0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+284249, int_stack+278705, int_stack+274085, 28);
 /*--- compute (i0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+873734, int_stack+284249, int_stack+298053, 28);
 /*--- compute (i0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+631372, int_stack+873734, int_stack+305613, 28);
 /*--- compute (i0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+293489, int_stack+631372, int_stack+861974, 28);
 /*--- compute (i0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+861974, int_stack+71995, int_stack+69811, 28);
 /*--- compute (i0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+1037618, int_stack+861974, int_stack+278705, 28);
 /*--- compute (i0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+646492, int_stack+1037618, int_stack+284249, 28);
 /*--- compute (i0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+274085, int_stack+646492, int_stack+873734, 28);
 /*--- compute (i0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+646492, int_stack+274085, int_stack+631372, 28);
 /*--- compute (i0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+667660, int_stack+646492, int_stack+293489, 28);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+631372, int_stack+79331, int_stack+78323, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+634396, int_stack+80627, int_stack+79331, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+638284, int_stack+634396, int_stack+631372, 36);
 /*--- compute (k0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+644332, int_stack+82247, int_stack+80627, 36);
 /*--- compute (k0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+649192, int_stack+644332, int_stack+634396, 36);
 /*--- compute (k0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+656968, int_stack+649192, int_stack+638284, 36);
 /*--- compute (k0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+631372, int_stack+84227, int_stack+82247, 36);
 /*--- compute (k0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+274085, int_stack+631372, int_stack+644332, 36);
 /*--- compute (k0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+283805, int_stack+274085, int_stack+649192, 36);
 /*--- compute (k0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+637312, int_stack+283805, int_stack+656968, 36);
 /*--- compute (k0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+652432, int_stack+86603, int_stack+84227, 36);
 /*--- compute (k0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+296765, int_stack+652432, int_stack+631372, 36);
 /*--- compute (k0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+689612, int_stack+296765, int_stack+274085, 36);
 /*--- compute (k0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+705812, int_stack+689612, int_stack+283805, 36);
 /*--- compute (k0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+274085, int_stack+705812, int_stack+637312, 36);
 /*--- compute (k0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+631372, int_stack+89411, int_stack+86603, 36);
 /*--- compute (k0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+725252, int_stack+631372, int_stack+652432, 36);
 /*--- compute (k0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+631372, int_stack+725252, int_stack+296765, 36);
 /*--- compute (k0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+861974, int_stack+631372, int_stack+689612, 36);
 /*--- compute (k0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+631372, int_stack+861974, int_stack+705812, 36);
 /*--- compute (k0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+689612, int_stack+631372, int_stack+274085, 36);
 /*--- compute (ip|[r12,T1]|ii) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+384216, int_stack+689612, int_stack+667660, int_stack+767894, int_stack+888434, int_stack+745942, 6, 6);
 /*--- compute (l0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+274085, int_stack+93947, int_stack+92687, 45);
 /*--- compute (l0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+277865, int_stack+95567, int_stack+93947, 45);
 /*--- compute (l0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+282725, int_stack+277865, int_stack+274085, 45);
 /*--- compute (l0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+290285, int_stack+97592, int_stack+95567, 45);
 /*--- compute (l0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+296360, int_stack+290285, int_stack+277865, 45);
 /*--- compute (l0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+631372, int_stack+296360, int_stack+282725, 45);
 /*--- compute (l0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+274085, int_stack+100067, int_stack+97592, 45);
 /*--- compute (l0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+306080, int_stack+274085, int_stack+290285, 45);
 /*--- compute (l0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+643972, int_stack+306080, int_stack+296360, 45);
 /*--- compute (l0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+281510, int_stack+643972, int_stack+631372, 45);
 /*--- compute (l0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+631372, int_stack+103037, int_stack+100067, 45);
 /*--- compute (l0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+660172, int_stack+631372, int_stack+274085, 45);
 /*--- compute (l0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+861974, int_stack+660172, int_stack+306080, 45);
 /*--- compute (l0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+882224, int_stack+861974, int_stack+643972, 45);
 /*--- compute (l0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+717836, int_stack+882224, int_stack+281510, 45);
 /*--- compute (l0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+274085, int_stack+106547, int_stack+103037, 45);
 /*--- compute (l0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+284615, int_stack+274085, int_stack+631372, 45);
 /*--- compute (l0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+631372, int_stack+284615, int_stack+660172, 45);
 /*--- compute (l0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+656122, int_stack+631372, int_stack+861974, 45);
 /*--- compute (l0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+274085, int_stack+656122, int_stack+882224, 45);
 /*--- compute (l0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+861974, int_stack+274085, int_stack+717836, 45);
 /*--- compute (kp|[r12,T1]|ii) ---*/
   t1hrr1_build_kp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+450072, int_stack+861974, int_stack+689612, int_stack+238805, int_stack+916658, int_stack+767894, 6, 6);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+238805, int_stack+111426, int_stack+110642, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+241157, int_stack+112434, int_stack+111426, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+244181, int_stack+241157, int_stack+238805, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+248885, int_stack+113694, int_stack+112434, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+252665, int_stack+248885, int_stack+241157, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+258713, int_stack+252665, int_stack+244181, 28);
 /*--- compute (i0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+238805, int_stack+115234, int_stack+113694, 28);
 /*--- compute (i0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+266553, int_stack+238805, int_stack+248885, 28);
 /*--- compute (i0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+274113, int_stack+266553, int_stack+252665, 28);
 /*--- compute (i0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+243425, int_stack+274113, int_stack+258713, 28);
 /*--- compute (i0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+255185, int_stack+117082, int_stack+115234, 28);
 /*--- compute (i0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+284193, int_stack+255185, int_stack+238805, 28);
 /*--- compute (i0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+293433, int_stack+284193, int_stack+266553, 28);
 /*--- compute (i0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+861974, int_stack+293433, int_stack+274113, 28);
 /*--- compute (i0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+260729, int_stack+861974, int_stack+243425, 28);
 /*--- compute (i0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+238805, int_stack+119266, int_stack+117082, 28);
 /*--- compute (i0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+306033, int_stack+238805, int_stack+255185, 28);
 /*--- compute (i0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+238805, int_stack+306033, int_stack+284193, 28);
 /*--- compute (i0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+877094, int_stack+238805, int_stack+293433, 28);
 /*--- compute (i0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+238805, int_stack+877094, int_stack+861974, 28);
 /*--- compute (i0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+861974, int_stack+238805, int_stack+260729, 28);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+238805, int_stack+122822, int_stack+121814, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+241829, int_stack+124118, int_stack+122822, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+245717, int_stack+241829, int_stack+238805, 36);
 /*--- compute (k0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+251765, int_stack+125738, int_stack+124118, 36);
 /*--- compute (k0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+256625, int_stack+251765, int_stack+241829, 36);
 /*--- compute (k0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+264401, int_stack+256625, int_stack+245717, 36);
 /*--- compute (k0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+238805, int_stack+127718, int_stack+125738, 36);
 /*--- compute (k0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+274481, int_stack+238805, int_stack+251765, 36);
 /*--- compute (k0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+284201, int_stack+274481, int_stack+256625, 36);
 /*--- compute (k0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+244745, int_stack+284201, int_stack+264401, 36);
 /*--- compute (k0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+259865, int_stack+130094, int_stack+127718, 36);
 /*--- compute (k0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+297161, int_stack+259865, int_stack+238805, 36);
 /*--- compute (k0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+883926, int_stack+297161, int_stack+274481, 36);
 /*--- compute (k0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+900126, int_stack+883926, int_stack+284201, 36);
 /*--- compute (k0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+266993, int_stack+900126, int_stack+244745, 36);
 /*--- compute (k0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+238805, int_stack+132902, int_stack+130094, 36);
 /*--- compute (k0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+919566, int_stack+238805, int_stack+259865, 36);
 /*--- compute (k0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+238805, int_stack+919566, int_stack+297161, 36);
 /*--- compute (k0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+919566, int_stack+238805, int_stack+883926, 36);
 /*--- compute (k0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+238805, int_stack+919566, int_stack+900126, 36);
 /*--- compute (k0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+883926, int_stack+238805, int_stack+266993, 36);
 /*--- compute (ip||ii) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+238805, int_stack+883926, int_stack+861974, 784);
 /*--- compute (l0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+861974, int_stack+137438, int_stack+136178, 45);
 /*--- compute (l0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+865754, int_stack+139058, int_stack+137438, 45);
 /*--- compute (l0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+870614, int_stack+865754, int_stack+861974, 45);
 /*--- compute (l0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+304661, int_stack+141083, int_stack+139058, 45);
 /*--- compute (l0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+912150, int_stack+304661, int_stack+865754, 45);
 /*--- compute (l0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+921870, int_stack+912150, int_stack+870614, 45);
 /*--- compute (l0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+861974, int_stack+143558, int_stack+141083, 45);
 /*--- compute (l0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+869399, int_stack+861974, int_stack+304661, 45);
 /*--- compute (l0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+934470, int_stack+869399, int_stack+912150, 45);
 /*--- compute (l0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+631372, int_stack+934470, int_stack+921870, 45);
 /*--- compute (l0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+912150, int_stack+146528, int_stack+143558, 45);
 /*--- compute (l0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+650272, int_stack+912150, int_stack+861974, 45);
 /*--- compute (l0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+665122, int_stack+650272, int_stack+869399, 45);
 /*--- compute (l0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+685372, int_stack+665122, int_stack+934470, 45);
 /*--- compute (l0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+921060, int_stack+685372, int_stack+631372, 45);
 /*--- compute (l0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+631372, int_stack+150038, int_stack+146528, 45);
 /*--- compute (l0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+861974, int_stack+631372, int_stack+912150, 45);
 /*--- compute (l0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+709672, int_stack+861974, int_stack+650272, 45);
 /*--- compute (l0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+631372, int_stack+709672, int_stack+665122, 45);
 /*--- compute (l0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+709672, int_stack+631372, int_stack+685372, 45);
 /*--- compute (l0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+631372, int_stack+709672, int_stack+921060, 45);
 /*--- compute (kp||ii) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+666652, int_stack+631372, int_stack+883926, 784);
 /*--- compute (id|[r12,T2]|ii) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+0, int_stack+546700, int_stack+318360, 784);
     Libr12->te_ptr[3] = int_stack + 0;
 /*--- compute (id|[r12,T1]|ii) ---*/
   t1hrr1_build_id(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+534744, int_stack+450072, int_stack+384216, int_stack+952946, int_stack+154133, int_stack+796118, 6, 6);
     Libr12->te_ptr[2] = int_stack + 534744;
 /*--- compute (id||ii) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+304661, int_stack+666652, int_stack+238805, 784);
     Libr12->te_ptr[1] = int_stack + 304661;
 /*--- compute (id|ii) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+131712, int_stack+952946, int_stack+796118, 784);
     Libr12->te_ptr[0] = int_stack + 131712;

}
