#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ifii(Libr12_t *, prim_data *);

  /* Computes (if|ii) integrals for linear R12-methods */

void hrr_grt_order_ifii(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[6][6] = int_stack + 0;
 Libr12->t2vrr_classes[6][7] = int_stack + 784;
 Libr12->t2vrr_classes[6][8] = int_stack + 1792;
 Libr12->t2vrr_classes[6][9] = int_stack + 3052;
 Libr12->t2vrr_classes[6][10] = int_stack + 4592;
 Libr12->t2vrr_classes[6][11] = int_stack + 6440;
 Libr12->t2vrr_classes[6][12] = int_stack + 8624;
 Libr12->t2vrr_classes[7][6] = int_stack + 11172;
 Libr12->t2vrr_classes[7][7] = int_stack + 12180;
 Libr12->t2vrr_classes[7][8] = int_stack + 13476;
 Libr12->t2vrr_classes[7][9] = int_stack + 15096;
 Libr12->t2vrr_classes[7][10] = int_stack + 17076;
 Libr12->t2vrr_classes[7][11] = int_stack + 19452;
 Libr12->t2vrr_classes[7][12] = int_stack + 22260;
 Libr12->t2vrr_classes[8][6] = int_stack + 25536;
 Libr12->t2vrr_classes[8][7] = int_stack + 26796;
 Libr12->t2vrr_classes[8][8] = int_stack + 28416;
 Libr12->t2vrr_classes[8][9] = int_stack + 30441;
 Libr12->t2vrr_classes[8][10] = int_stack + 32916;
 Libr12->t2vrr_classes[8][11] = int_stack + 35886;
 Libr12->t2vrr_classes[8][12] = int_stack + 39396;
 Libr12->gvrr_classes[10][6] = int_stack + 43491;
 Libr12->t2vrr_classes[9][6] = int_stack + 45339;
 Libr12->gvrr_classes[10][7] = int_stack + 46879;
 Libr12->t2vrr_classes[9][7] = int_stack + 49255;
 Libr12->gvrr_classes[10][8] = int_stack + 51235;
 Libr12->t2vrr_classes[9][8] = int_stack + 54205;
 Libr12->gvrr_classes[10][9] = int_stack + 56680;
 Libr12->t2vrr_classes[9][9] = int_stack + 60310;
 Libr12->gvrr_classes[10][10] = int_stack + 63335;
 Libr12->t2vrr_classes[9][10] = int_stack + 67691;
 Libr12->gvrr_classes[10][11] = int_stack + 71321;
 Libr12->t2vrr_classes[9][11] = int_stack + 76469;
 Libr12->t2vrr_classes[9][12] = int_stack + 80759;
 Libr12->gvrr_classes[6][13] = int_stack + 85764;
 Libr12->t1vrr_classes[6][6] = int_stack + 88704;
 Libr12->t1vrr_classes[6][7] = int_stack + 89488;
 Libr12->t1vrr_classes[6][8] = int_stack + 90496;
 Libr12->t1vrr_classes[6][9] = int_stack + 91756;
 Libr12->t1vrr_classes[6][10] = int_stack + 93296;
 Libr12->t1vrr_classes[6][11] = int_stack + 95144;
 Libr12->t1vrr_classes[6][12] = int_stack + 97328;
 Libr12->gvrr_classes[7][13] = int_stack + 99876;
 Libr12->t1vrr_classes[7][6] = int_stack + 103656;
 Libr12->t1vrr_classes[7][7] = int_stack + 104664;
 Libr12->t1vrr_classes[7][8] = int_stack + 105960;
 Libr12->t1vrr_classes[7][9] = int_stack + 107580;
 Libr12->t1vrr_classes[7][10] = int_stack + 109560;
 Libr12->t1vrr_classes[7][11] = int_stack + 111936;
 Libr12->t1vrr_classes[7][12] = int_stack + 114744;
 Libr12->gvrr_classes[8][13] = int_stack + 118020;
 Libr12->t1vrr_classes[8][6] = int_stack + 122745;
 Libr12->t1vrr_classes[8][7] = int_stack + 124005;
 Libr12->t1vrr_classes[8][8] = int_stack + 125625;
 Libr12->t1vrr_classes[8][9] = int_stack + 127650;
 Libr12->t1vrr_classes[8][10] = int_stack + 130125;
 Libr12->t1vrr_classes[8][11] = int_stack + 133095;
 Libr12->t1vrr_classes[8][12] = int_stack + 136605;
 Libr12->t1vrr_classes[9][6] = int_stack + 140700;
 Libr12->t1vrr_classes[9][7] = int_stack + 142240;
 Libr12->t1vrr_classes[9][8] = int_stack + 144220;
 Libr12->t1vrr_classes[9][9] = int_stack + 146695;
 Libr12->t1vrr_classes[9][10] = int_stack + 149720;
 Libr12->t1vrr_classes[9][11] = int_stack + 153350;
 Libr12->t1vrr_classes[9][12] = int_stack + 157640;
 Libr12->rvrr_classes[6][6] = int_stack + 162645;
 Libr12->rvrr_classes[6][7] = int_stack + 163429;
 Libr12->rvrr_classes[6][8] = int_stack + 164437;
 Libr12->rvrr_classes[6][9] = int_stack + 165697;
 Libr12->rvrr_classes[6][10] = int_stack + 167237;
 Libr12->rvrr_classes[6][11] = int_stack + 169085;
 Libr12->rvrr_classes[6][12] = int_stack + 171269;
 Libr12->rvrr_classes[7][6] = int_stack + 173817;
 Libr12->rvrr_classes[7][7] = int_stack + 174825;
 Libr12->rvrr_classes[7][8] = int_stack + 176121;
 Libr12->rvrr_classes[7][9] = int_stack + 177741;
 Libr12->rvrr_classes[7][10] = int_stack + 179721;
 Libr12->rvrr_classes[7][11] = int_stack + 182097;
 Libr12->rvrr_classes[7][12] = int_stack + 184905;
 Libr12->rvrr_classes[8][6] = int_stack + 188181;
 Libr12->rvrr_classes[8][7] = int_stack + 189441;
 Libr12->rvrr_classes[8][8] = int_stack + 191061;
 Libr12->rvrr_classes[8][9] = int_stack + 193086;
 Libr12->rvrr_classes[8][10] = int_stack + 195561;
 Libr12->rvrr_classes[8][11] = int_stack + 198531;
 Libr12->rvrr_classes[8][12] = int_stack + 202041;
 Libr12->rvrr_classes[9][6] = int_stack + 206136;
 Libr12->rvrr_classes[9][7] = int_stack + 207676;
 Libr12->rvrr_classes[9][8] = int_stack + 209656;
 Libr12->rvrr_classes[9][9] = int_stack + 212131;
 Libr12->rvrr_classes[9][10] = int_stack + 215156;
 Libr12->rvrr_classes[9][11] = int_stack + 218786;
 Libr12->rvrr_classes[9][12] = int_stack + 223076;
 Libr12->gvrr_classes[6][6] = int_stack + 228081;
 Libr12->gvrr_classes[6][7] = int_stack + 228865;
 Libr12->gvrr_classes[6][8] = int_stack + 229873;
 Libr12->gvrr_classes[6][9] = int_stack + 231133;
 Libr12->gvrr_classes[6][10] = int_stack + 232673;
 Libr12->gvrr_classes[6][11] = int_stack + 234521;
 Libr12->gvrr_classes[6][12] = int_stack + 236705;
 Libr12->gvrr_classes[7][6] = int_stack + 239253;
 Libr12->gvrr_classes[7][7] = int_stack + 240261;
 Libr12->gvrr_classes[7][8] = int_stack + 241557;
 Libr12->gvrr_classes[7][9] = int_stack + 243177;
 Libr12->gvrr_classes[7][10] = int_stack + 245157;
 Libr12->gvrr_classes[7][11] = int_stack + 247533;
 Libr12->gvrr_classes[7][12] = int_stack + 250341;
 Libr12->gvrr_classes[8][6] = int_stack + 253617;
 Libr12->gvrr_classes[8][7] = int_stack + 254877;
 Libr12->gvrr_classes[8][8] = int_stack + 256497;
 Libr12->gvrr_classes[8][9] = int_stack + 258522;
 Libr12->gvrr_classes[8][10] = int_stack + 260997;
 Libr12->gvrr_classes[8][11] = int_stack + 263967;
 Libr12->gvrr_classes[8][12] = int_stack + 267477;
 Libr12->gvrr_classes[9][6] = int_stack + 271572;
 Libr12->gvrr_classes[9][7] = int_stack + 273112;
 Libr12->gvrr_classes[9][8] = int_stack + 275092;
 Libr12->gvrr_classes[9][9] = int_stack + 277567;
 Libr12->gvrr_classes[9][10] = int_stack + 280592;
 Libr12->gvrr_classes[9][11] = int_stack + 284222;
 Libr12->gvrr_classes[9][12] = int_stack + 288512;
 memset(int_stack,0,293517*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 293517;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ifii(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+293517, int_stack+228865, int_stack+228081, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+295869, int_stack+229873, int_stack+228865, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+298893, int_stack+295869, int_stack+293517, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+303597, int_stack+231133, int_stack+229873, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+307377, int_stack+303597, int_stack+295869, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+313425, int_stack+307377, int_stack+298893, 28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+321265, int_stack+232673, int_stack+231133, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+325885, int_stack+321265, int_stack+303597, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+333445, int_stack+325885, int_stack+307377, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+343525, int_stack+333445, int_stack+313425, 28);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+355285, int_stack+234521, int_stack+232673, 28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+360829, int_stack+355285, int_stack+321265, 28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+370069, int_stack+360829, int_stack+325885, 28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+382669, int_stack+370069, int_stack+333445, 28);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+397789, int_stack+382669, int_stack+343525, 28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+414253, int_stack+240261, int_stack+239253, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+417277, int_stack+241557, int_stack+240261, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+421165, int_stack+417277, int_stack+414253, 36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+427213, int_stack+243177, int_stack+241557, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+432073, int_stack+427213, int_stack+417277, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+439849, int_stack+432073, int_stack+421165, 36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+449929, int_stack+245157, int_stack+243177, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+455869, int_stack+449929, int_stack+427213, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+465589, int_stack+455869, int_stack+432073, 36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+478549, int_stack+465589, int_stack+439849, 36);
 /*--- compute (k0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+493669, int_stack+247533, int_stack+245157, 36);
 /*--- compute (k0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+500797, int_stack+493669, int_stack+449929, 36);
 /*--- compute (k0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+512677, int_stack+500797, int_stack+455869, 36);
 /*--- compute (k0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+528877, int_stack+512677, int_stack+465589, 36);
 /*--- compute (k0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+548317, int_stack+528877, int_stack+478549, 36);
 /*--- compute (i0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+569485, int_stack+236705, int_stack+234521, 28);
 /*--- compute (i0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+576037, int_stack+569485, int_stack+355285, 28);
 /*--- compute (i0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+587125, int_stack+576037, int_stack+360829, 28);
 /*--- compute (i0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+602525, int_stack+587125, int_stack+370069, 28);
 /*--- compute (i0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+621425, int_stack+602525, int_stack+382669, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+642593, int_stack+784, int_stack+0, int_stack+228865, int_stack+239253, int_stack+228081, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+644945, int_stack+1792, int_stack+784, int_stack+229873, int_stack+240261, int_stack+228865, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+647969, int_stack+644945, int_stack+642593, int_stack+295869, int_stack+414253, int_stack+293517, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+652673, int_stack+3052, int_stack+1792, int_stack+231133, int_stack+241557, int_stack+229873, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+656453, int_stack+652673, int_stack+644945, int_stack+303597, int_stack+417277, int_stack+295869, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+662501, int_stack+656453, int_stack+647969, int_stack+307377, int_stack+421165, int_stack+298893, 6, 0);
 /*--- compute (i0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+293517, int_stack+4592, int_stack+3052, int_stack+232673, int_stack+243177, int_stack+231133, 6, 0);
 /*--- compute (i0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+642593, int_stack+293517, int_stack+652673, int_stack+321265, int_stack+427213, int_stack+303597, 6, 0);
 /*--- compute (i0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+670341, int_stack+642593, int_stack+656453, int_stack+325885, int_stack+432073, int_stack+307377, 6, 0);
 /*--- compute (i0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+298137, int_stack+670341, int_stack+662501, int_stack+333445, int_stack+439849, int_stack+313425, 6, 0);
 /*--- compute (i0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+309897, int_stack+6440, int_stack+4592, int_stack+234521, int_stack+245157, int_stack+232673, 6, 0);
 /*--- compute (i0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+650153, int_stack+309897, int_stack+293517, int_stack+355285, int_stack+449929, int_stack+321265, 6, 0);
 /*--- compute (i0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+680421, int_stack+650153, int_stack+642593, int_stack+360829, int_stack+455869, int_stack+325885, 6, 0);
 /*--- compute (i0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+315441, int_stack+680421, int_stack+670341, int_stack+370069, int_stack+465589, int_stack+333445, 6, 0);
 /*--- compute (i0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+659393, int_stack+315441, int_stack+298137, int_stack+382669, int_stack+478549, int_stack+343525, 6, 0);
 /*--- compute (i0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+642593, int_stack+8624, int_stack+6440, int_stack+236705, int_stack+247533, int_stack+234521, 6, 0);
 /*--- compute (i0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+293517, int_stack+642593, int_stack+309897, int_stack+569485, int_stack+493669, int_stack+355285, 6, 0);
 /*--- compute (i0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+330561, int_stack+293517, int_stack+650153, int_stack+576037, int_stack+500797, int_stack+360829, 6, 0);
 /*--- compute (i0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+293517, int_stack+330561, int_stack+680421, int_stack+587125, int_stack+512677, int_stack+370069, 6, 0);
 /*--- compute (i0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+330561, int_stack+293517, int_stack+315441, int_stack+602525, int_stack+528877, int_stack+382669, 6, 0);
 /*--- compute (i0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+293517, int_stack+330561, int_stack+659393, int_stack+621425, int_stack+548317, int_stack+397789, 6, 0);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+315469, int_stack+254877, int_stack+253617, 45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+319249, int_stack+256497, int_stack+254877, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+324109, int_stack+319249, int_stack+315469, 45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+331669, int_stack+258522, int_stack+256497, 45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+337744, int_stack+331669, int_stack+319249, 45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+347464, int_stack+337744, int_stack+324109, 45);
 /*--- compute (l0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+360064, int_stack+260997, int_stack+258522, 45);
 /*--- compute (l0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+367489, int_stack+360064, int_stack+331669, 45);
 /*--- compute (l0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+379639, int_stack+367489, int_stack+337744, 45);
 /*--- compute (l0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+642593, int_stack+379639, int_stack+347464, 45);
 /*--- compute (l0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+661493, int_stack+263967, int_stack+260997, 45);
 /*--- compute (l0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+670403, int_stack+661493, int_stack+360064, 45);
 /*--- compute (l0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+685253, int_stack+670403, int_stack+367489, 45);
 /*--- compute (l0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+705503, int_stack+685253, int_stack+379639, 45);
 /*--- compute (l0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+729803, int_stack+705503, int_stack+642593, 45);
 /*--- compute (k0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+228081, int_stack+250341, int_stack+247533, 36);
 /*--- compute (k0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+756263, int_stack+228081, int_stack+493669, 36);
 /*--- compute (k0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+770519, int_stack+756263, int_stack+500797, 36);
 /*--- compute (k0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+790319, int_stack+770519, int_stack+512677, 36);
 /*--- compute (k0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+814619, int_stack+790319, int_stack+528877, 36);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+12180, int_stack+11172, int_stack+240261, int_stack+253617, int_stack+239253, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3024, int_stack+13476, int_stack+12180, int_stack+241557, int_stack+254877, int_stack+240261, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+6912, int_stack+3024, int_stack+0, int_stack+417277, int_stack+315469, int_stack+414253, 7, 0);
 /*--- compute (k0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+841835, int_stack+15096, int_stack+13476, int_stack+243177, int_stack+256497, int_stack+241557, 7, 0);
 /*--- compute (k0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+846695, int_stack+841835, int_stack+3024, int_stack+427213, int_stack+319249, int_stack+417277, 7, 0);
 /*--- compute (k0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+854471, int_stack+846695, int_stack+6912, int_stack+432073, int_stack+324109, int_stack+421165, 7, 0);
 /*--- compute (k0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+414253, int_stack+17076, int_stack+15096, int_stack+245157, int_stack+258522, int_stack+243177, 7, 0);
 /*--- compute (k0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+414253, int_stack+841835, int_stack+449929, int_stack+331669, int_stack+427213, 7, 0);
 /*--- compute (k0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+864551, int_stack+0, int_stack+846695, int_stack+455869, int_stack+337744, int_stack+432073, 7, 0);
 /*--- compute (k0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+420193, int_stack+864551, int_stack+854471, int_stack+465589, int_stack+347464, int_stack+439849, 7, 0);
 /*--- compute (k0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+841835, int_stack+19452, int_stack+17076, int_stack+247533, int_stack+260997, int_stack+245157, 7, 0);
 /*--- compute (k0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+848963, int_stack+841835, int_stack+414253, int_stack+493669, int_stack+360064, int_stack+449929, 7, 0);
 /*--- compute (k0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+435313, int_stack+848963, int_stack+0, int_stack+500797, int_stack+367489, int_stack+455869, 7, 0);
 /*--- compute (k0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+435313, int_stack+864551, int_stack+512677, int_stack+379639, int_stack+465589, 7, 0);
 /*--- compute (k0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+451513, int_stack+0, int_stack+420193, int_stack+528877, int_stack+642593, int_stack+478549, 7, 0);
 /*--- compute (k0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+414253, int_stack+22260, int_stack+19452, int_stack+250341, int_stack+263967, int_stack+247533, 7, 0);
 /*--- compute (k0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+860843, int_stack+414253, int_stack+841835, int_stack+228081, int_stack+661493, int_stack+493669, 7, 0);
 /*--- compute (k0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+414253, int_stack+860843, int_stack+848963, int_stack+756263, int_stack+670403, int_stack+500797, 7, 0);
 /*--- compute (k0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+841835, int_stack+414253, int_stack+435313, int_stack+770519, int_stack+685253, int_stack+512677, 7, 0);
 /*--- compute (k0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+414253, int_stack+841835, int_stack+0, int_stack+790319, int_stack+705503, int_stack+528877, 7, 0);
 /*--- compute (k0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+841835, int_stack+414253, int_stack+451513, int_stack+814619, int_stack+729803, int_stack+548317, 7, 0);
 /*--- compute (ip|[r12,T2]|ii) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+414253, int_stack+841835, int_stack+293517, 784);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+293517, int_stack+273112, int_stack+271572, 55);
 /*--- compute (m0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+298137, int_stack+275092, int_stack+273112, 55);
 /*--- compute (m0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+304077, int_stack+298137, int_stack+293517, 55);
 /*--- compute (m0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+480109, int_stack+277567, int_stack+275092, 55);
 /*--- compute (m0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+487534, int_stack+480109, int_stack+298137, 55);
 /*--- compute (m0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+499414, int_stack+487534, int_stack+304077, 55);
 /*--- compute (m0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+514814, int_stack+280592, int_stack+277567, 55);
 /*--- compute (m0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+523889, int_stack+514814, int_stack+480109, 55);
 /*--- compute (m0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+523889, int_stack+487534, 55);
 /*--- compute (m0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+870059, int_stack+0, int_stack+499414, 55);
 /*--- compute (m0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+239253, int_stack+284222, int_stack+280592, 55);
 /*--- compute (m0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+893159, int_stack+239253, int_stack+514814, 55);
 /*--- compute (m0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+911309, int_stack+893159, int_stack+523889, 55);
 /*--- compute (m0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+936059, int_stack+911309, int_stack+0, 55);
 /*--- compute (m0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+965759, int_stack+936059, int_stack+870059, 55);
 /*--- compute (l0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+998099, int_stack+267477, int_stack+263967, 45);
 /*--- compute (l0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+1008629, int_stack+998099, int_stack+661493, 45);
 /*--- compute (l0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+1026449, int_stack+1008629, int_stack+670403, 45);
 /*--- compute (l0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+1051199, int_stack+1026449, int_stack+685253, 45);
 /*--- compute (l0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+1081574, int_stack+1051199, int_stack+705503, 45);
 /*--- compute (l0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+538739, int_stack+26796, int_stack+25536, int_stack+254877, int_stack+271572, int_stack+253617, 8, 0);
 /*--- compute (l0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+542519, int_stack+28416, int_stack+26796, int_stack+256497, int_stack+273112, int_stack+254877, 8, 0);
 /*--- compute (l0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+19800, int_stack+542519, int_stack+538739, int_stack+319249, int_stack+293517, int_stack+315469, 8, 0);
 /*--- compute (l0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1115594, int_stack+30441, int_stack+28416, int_stack+258522, int_stack+275092, int_stack+256497, 8, 0);
 /*--- compute (l0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1121669, int_stack+1115594, int_stack+542519, int_stack+331669, int_stack+298137, int_stack+319249, 8, 0);
 /*--- compute (l0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1131389, int_stack+1121669, int_stack+19800, int_stack+337744, int_stack+304077, int_stack+324109, 8, 0);
 /*--- compute (l0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+19800, int_stack+32916, int_stack+30441, int_stack+260997, int_stack+277567, int_stack+258522, 8, 0);
 /*--- compute (l0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+313317, int_stack+19800, int_stack+1115594, int_stack+360064, int_stack+480109, int_stack+331669, 8, 0);
 /*--- compute (l0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1143989, int_stack+313317, int_stack+1121669, int_stack+367489, int_stack+487534, int_stack+337744, 8, 0);
 /*--- compute (l0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+325467, int_stack+1143989, int_stack+1131389, int_stack+379639, int_stack+499414, int_stack+347464, 8, 0);
 /*--- compute (l0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1115594, int_stack+35886, int_stack+32916, int_stack+263967, int_stack+280592, int_stack+260997, 8, 0);
 /*--- compute (l0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1124504, int_stack+1115594, int_stack+19800, int_stack+661493, int_stack+514814, int_stack+360064, 8, 0);
 /*--- compute (l0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+344367, int_stack+1124504, int_stack+313317, int_stack+670403, int_stack+523889, int_stack+367489, 8, 0);
 /*--- compute (l0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1160189, int_stack+344367, int_stack+1143989, int_stack+685253, int_stack+0, int_stack+379639, 8, 0);
 /*--- compute (l0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+364617, int_stack+1160189, int_stack+325467, int_stack+705503, int_stack+870059, int_stack+642593, 8, 0);
 /*--- compute (l0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+642593, int_stack+39396, int_stack+35886, int_stack+267477, int_stack+284222, int_stack+263967, 8, 0);
 /*--- compute (l0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+313317, int_stack+642593, int_stack+1115594, int_stack+998099, int_stack+239253, int_stack+661493, 8, 0);
 /*--- compute (l0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+642593, int_stack+313317, int_stack+1124504, int_stack+1008629, int_stack+893159, int_stack+670403, 8, 0);
 /*--- compute (l0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+313317, int_stack+642593, int_stack+344367, int_stack+1026449, int_stack+911309, int_stack+685253, 8, 0);
 /*--- compute (l0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+642593, int_stack+313317, int_stack+1160189, int_stack+1051199, int_stack+936059, int_stack+705503, 8, 0);
 /*--- compute (l0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+313317, int_stack+642593, int_stack+364617, int_stack+1081574, int_stack+965759, int_stack+729803, 8, 0);
 /*--- compute (kp|[r12,T2]|ii) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+642593, int_stack+313317, int_stack+841835, 784);
 /*--- compute (id|[r12,T2]|ii) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+1115594, int_stack+642593, int_stack+414253, 784);
 /*--- compute (n0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+414253, int_stack+46879, int_stack+43491, 66);
 /*--- compute (n0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+419797, int_stack+51235, int_stack+46879, 66);
 /*--- compute (n0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+426925, int_stack+419797, int_stack+414253, 66);
 /*--- compute (n0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+438013, int_stack+56680, int_stack+51235, 66);
 /*--- compute (n0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+446923, int_stack+438013, int_stack+419797, 66);
 /*--- compute (n0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+461179, int_stack+446923, int_stack+426925, 66);
 /*--- compute (n0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+841835, int_stack+63335, int_stack+56680, 66);
 /*--- compute (n0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+348597, int_stack+841835, int_stack+438013, 66);
 /*--- compute (n0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+366417, int_stack+348597, int_stack+446923, 66);
 /*--- compute (n0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1247306, int_stack+366417, int_stack+461179, 66);
 /*--- compute (n0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+852725, int_stack+71321, int_stack+63335, 66);
 /*--- compute (n0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+19800, int_stack+852725, int_stack+841835, 66);
 /*--- compute (n0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1275026, int_stack+19800, int_stack+348597, 66);
 /*--- compute (n0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1304726, int_stack+1275026, int_stack+366417, 66);
 /*--- compute (n0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1340366, int_stack+1304726, int_stack+1247306, 66);
 /*--- compute (m0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+253617, int_stack+288512, int_stack+284222, 55);
 /*--- compute (m0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+1379174, int_stack+253617, int_stack+239253, 55);
 /*--- compute (m0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+1400954, int_stack+1379174, int_stack+893159, 55);
 /*--- compute (m0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+1431204, int_stack+1400954, int_stack+911309, 55);
 /*--- compute (m0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+1468329, int_stack+1431204, int_stack+936059, 55);
 /*--- compute (m0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+390177, int_stack+49255, int_stack+45339, int_stack+273112, int_stack+43491, int_stack+271572, 9, 0);
 /*--- compute (m0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+538739, int_stack+54205, int_stack+49255, int_stack+275092, int_stack+46879, int_stack+273112, 9, 0);
 /*--- compute (m0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+41580, int_stack+538739, int_stack+390177, int_stack+298137, int_stack+414253, int_stack+293517, 9, 0);
 /*--- compute (m0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+390177, int_stack+60310, int_stack+54205, int_stack+277567, int_stack+51235, int_stack+275092, 9, 0);
 /*--- compute (m0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1509909, int_stack+390177, int_stack+538739, int_stack+480109, int_stack+419797, int_stack+298137, 9, 0);
 /*--- compute (m0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1521789, int_stack+1509909, int_stack+41580, int_stack+487534, int_stack+426925, int_stack+304077, 9, 0);
 /*--- compute (m0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+41580, int_stack+67691, int_stack+60310, int_stack+280592, int_stack+56680, int_stack+277567, 9, 0);
 /*--- compute (m0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+293517, int_stack+41580, int_stack+390177, int_stack+514814, int_stack+438013, int_stack+480109, 9, 0);
 /*--- compute (m0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+414253, int_stack+293517, int_stack+1509909, int_stack+523889, int_stack+446923, int_stack+487534, 9, 0);
 /*--- compute (m0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+434053, int_stack+414253, int_stack+1521789, int_stack+0, int_stack+461179, int_stack+499414, 9, 0);
 /*--- compute (m0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1509909, int_stack+76469, int_stack+67691, int_stack+284222, int_stack+63335, int_stack+280592, 9, 0);
 /*--- compute (m0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+50655, int_stack+1509909, int_stack+41580, int_stack+239253, int_stack+841835, int_stack+514814, 9, 0);
 /*--- compute (m0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+457153, int_stack+50655, int_stack+293517, int_stack+893159, int_stack+348597, int_stack+523889, 9, 0);
 /*--- compute (m0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+481903, int_stack+457153, int_stack+414253, int_stack+911309, int_stack+366417, int_stack+0, 9, 0);
 /*--- compute (m0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+348597, int_stack+481903, int_stack+434053, int_stack+936059, int_stack+1247306, int_stack+870059, 9, 0);
 /*--- compute (m0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1247306, int_stack+80759, int_stack+76469, int_stack+288512, int_stack+71321, int_stack+284222, 9, 0);
 /*--- compute (m0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+414253, int_stack+1247306, int_stack+1509909, int_stack+253617, int_stack+852725, int_stack+239253, 9, 0);
 /*--- compute (m0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+841835, int_stack+414253, int_stack+50655, int_stack+1379174, int_stack+19800, int_stack+893159, 9, 0);
 /*--- compute (m0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+414253, int_stack+841835, int_stack+457153, int_stack+1400954, int_stack+1275026, int_stack+911309, 9, 0);
 /*--- compute (m0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+841835, int_stack+414253, int_stack+481903, int_stack+1431204, int_stack+1304726, int_stack+936059, 9, 0);
 /*--- compute (m0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+414253, int_stack+841835, int_stack+348597, int_stack+1468329, int_stack+1340366, int_stack+965759, 9, 0);
 /*--- compute (lp|[r12,T2]|ii) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+841835, int_stack+414253, int_stack+313317, 784);
 /*--- compute (kd|[r12,T2]|ii) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+1247306, int_stack+841835, int_stack+642593, 784);
 /*--- compute (i0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+642593, int_stack+621425, int_stack+397789, 28);
 /*--- compute (k0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+664545, int_stack+814619, int_stack+548317, 36);
 /*--- compute (ip|ii) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+841835, int_stack+664545, int_stack+642593, 784);
 /*--- compute (l0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+692769, int_stack+1081574, int_stack+729803, 45);
 /*--- compute (kp|ii) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+692769, int_stack+664545, 784);
 /*--- compute (id|ii) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+271572, int_stack+0, int_stack+841835, 784);
 /*--- compute (i0|qp) ---*/
   hrr3_build_qp(Libr12->ShellQuartet.CD,int_stack+728049, int_stack+85764, int_stack+236705, 28);
 /*--- compute (i0|od) ---*/
   hrr3_build_od(Libr12->ShellQuartet.CD,int_stack+735693, int_stack+728049, int_stack+569485, 28);
 /*--- compute (i0|nf) ---*/
   hrr3_build_nf(Libr12->ShellQuartet.CD,int_stack+907691, int_stack+735693, int_stack+576037, 28);
 /*--- compute (i0|mg) ---*/
   hrr3_build_mg(Libr12->ShellQuartet.CD,int_stack+728049, int_stack+907691, int_stack+587125, 28);
 /*--- compute (i0|lh) ---*/
   hrr3_build_lh(Libr12->ShellQuartet.CD,int_stack+907691, int_stack+728049, int_stack+602525, 28);
 /*--- compute (i0|ki) ---*/
   hrr3_build_ki(Libr12->ShellQuartet.CD,int_stack+934151, int_stack+907691, int_stack+621425, 28);
 /*--- compute (k0|qp) ---*/
   hrr3_build_qp(Libr12->ShellQuartet.CD,int_stack+907691, int_stack+99876, int_stack+250341, 36);
 /*--- compute (k0|od) ---*/
   hrr3_build_od(Libr12->ShellQuartet.CD,int_stack+728049, int_stack+907691, int_stack+228081, 36);
 /*--- compute (k0|nf) ---*/
   hrr3_build_nf(Libr12->ShellQuartet.CD,int_stack+228081, int_stack+728049, int_stack+756263, 36);
 /*--- compute (k0|mg) ---*/
   hrr3_build_mg(Libr12->ShellQuartet.CD,int_stack+728049, int_stack+228081, int_stack+770519, 36);
 /*--- compute (k0|lh) ---*/
   hrr3_build_lh(Libr12->ShellQuartet.CD,int_stack+228081, int_stack+728049, int_stack+790319, 36);
 /*--- compute (k0|ki) ---*/
   hrr3_build_ki(Libr12->ShellQuartet.CD,int_stack+728049, int_stack+228081, int_stack+814619, 36);
 /*--- compute (ip|ki) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+403284, int_stack+728049, int_stack+934151, 1008);
 /*--- compute (l0|qp) ---*/
   hrr3_build_qp(Libr12->ShellQuartet.CD,int_stack+228081, int_stack+118020, int_stack+267477, 45);
 /*--- compute (l0|od) ---*/
   hrr3_build_od(Libr12->ShellQuartet.CD,int_stack+240366, int_stack+228081, int_stack+998099, 45);
 /*--- compute (l0|nf) ---*/
   hrr3_build_nf(Libr12->ShellQuartet.CD,int_stack+764337, int_stack+240366, int_stack+1008629, 45);
 /*--- compute (l0|mg) ---*/
   hrr3_build_mg(Libr12->ShellQuartet.CD,int_stack+228081, int_stack+764337, int_stack+1026449, 45);
 /*--- compute (l0|lh) ---*/
   hrr3_build_lh(Libr12->ShellQuartet.CD,int_stack+764337, int_stack+228081, int_stack+1051199, 45);
 /*--- compute (l0|ki) ---*/
   hrr3_build_ki(Libr12->ShellQuartet.CD,int_stack+998099, int_stack+764337, int_stack+1081574, 45);
 /*--- compute (kp|ki) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+487956, int_stack+998099, int_stack+728049, 1008);
 /*--- compute (id|ki) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+1509909, int_stack+487956, int_stack+403284, 1008);
 /*--- compute (m0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+764337, int_stack+1468329, int_stack+965759, 55);
 /*--- compute (lp|ii) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+1679253, int_stack+764337, int_stack+692769, 784);
 /*--- compute (kd|ii) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+1785093, int_stack+1679253, int_stack+0, 784);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+807457, int_stack+89488, int_stack+88704, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+809809, int_stack+90496, int_stack+89488, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+812833, int_stack+809809, int_stack+807457, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+99876, int_stack+91756, int_stack+90496, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+817537, int_stack+99876, int_stack+809809, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+823585, int_stack+817537, int_stack+812833, 28);
 /*--- compute (i0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+807457, int_stack+93296, int_stack+91756, 28);
 /*--- compute (i0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+831425, int_stack+807457, int_stack+99876, 28);
 /*--- compute (i0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+228081, int_stack+831425, int_stack+817537, 28);
 /*--- compute (i0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+238161, int_stack+228081, int_stack+823585, 28);
 /*--- compute (i0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+812077, int_stack+95144, int_stack+93296, 28);
 /*--- compute (i0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+817621, int_stack+812077, int_stack+807457, 28);
 /*--- compute (i0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+249921, int_stack+817621, int_stack+831425, 28);
 /*--- compute (i0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1043459, int_stack+249921, int_stack+228081, 28);
 /*--- compute (i0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1058579, int_stack+1043459, int_stack+238161, 28);
 /*--- compute (i0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+228081, int_stack+97328, int_stack+95144, 28);
 /*--- compute (i0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+234633, int_stack+228081, int_stack+812077, 28);
 /*--- compute (i0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+1075043, int_stack+234633, int_stack+817621, 28);
 /*--- compute (i0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+228081, int_stack+1075043, int_stack+249921, 28);
 /*--- compute (i0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+1075043, int_stack+228081, int_stack+1043459, 28);
 /*--- compute (i0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+228081, int_stack+1075043, int_stack+1058579, 28);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1043459, int_stack+104664, int_stack+103656, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1046483, int_stack+105960, int_stack+104664, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1050371, int_stack+1046483, int_stack+1043459, 36);
 /*--- compute (k0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1056419, int_stack+107580, int_stack+105960, 36);
 /*--- compute (k0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1061279, int_stack+1056419, int_stack+1046483, 36);
 /*--- compute (k0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1069055, int_stack+1061279, int_stack+1050371, 36);
 /*--- compute (k0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+1043459, int_stack+109560, int_stack+107580, 36);
 /*--- compute (k0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1079135, int_stack+1043459, int_stack+1056419, 36);
 /*--- compute (k0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1088855, int_stack+1079135, int_stack+1061279, 36);
 /*--- compute (k0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1049399, int_stack+1088855, int_stack+1069055, 36);
 /*--- compute (k0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1064519, int_stack+111936, int_stack+109560, 36);
 /*--- compute (k0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1101815, int_stack+1064519, int_stack+1043459, 36);
 /*--- compute (k0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+250033, int_stack+1101815, int_stack+1079135, 36);
 /*--- compute (k0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+807457, int_stack+250033, int_stack+1088855, 36);
 /*--- compute (k0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1071647, int_stack+807457, int_stack+1049399, 36);
 /*--- compute (k0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+1043459, int_stack+114744, int_stack+111936, 36);
 /*--- compute (k0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+826897, int_stack+1043459, int_stack+1064519, 36);
 /*--- compute (k0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+1043459, int_stack+826897, int_stack+1101815, 36);
 /*--- compute (k0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+907691, int_stack+1043459, int_stack+250033, 36);
 /*--- compute (k0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+1043459, int_stack+907691, int_stack+807457, 36);
 /*--- compute (k0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+807457, int_stack+1043459, int_stack+1071647, 36);
 /*--- compute (ip|[r12,T1]|ii) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1043459, int_stack+807457, int_stack+228081, int_stack+664545, int_stack+934151, int_stack+642593, 6, 6);
 /*--- compute (l0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+228081, int_stack+124005, int_stack+122745, 45);
 /*--- compute (l0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+231861, int_stack+125625, int_stack+124005, 45);
 /*--- compute (l0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+236721, int_stack+231861, int_stack+228081, 45);
 /*--- compute (l0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+244281, int_stack+127650, int_stack+125625, 45);
 /*--- compute (l0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+250356, int_stack+244281, int_stack+231861, 45);
 /*--- compute (l0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+907691, int_stack+250356, int_stack+236721, 45);
 /*--- compute (l0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+228081, int_stack+130125, int_stack+127650, 45);
 /*--- compute (l0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+920291, int_stack+228081, int_stack+244281, 45);
 /*--- compute (l0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+932441, int_stack+920291, int_stack+250356, 45);
 /*--- compute (l0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+235506, int_stack+932441, int_stack+907691, 45);
 /*--- compute (l0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+907691, int_stack+133095, int_stack+130125, 45);
 /*--- compute (l0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+254406, int_stack+907691, int_stack+228081, 45);
 /*--- compute (l0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+948641, int_stack+254406, int_stack+920291, 45);
 /*--- compute (l0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+968891, int_stack+948641, int_stack+932441, 45);
 /*--- compute (l0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+916601, int_stack+968891, int_stack+235506, 45);
 /*--- compute (l0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+228081, int_stack+136605, int_stack+133095, 45);
 /*--- compute (l0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+1416650, int_stack+228081, int_stack+907691, 45);
 /*--- compute (l0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+228081, int_stack+1416650, int_stack+254406, 45);
 /*--- compute (l0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+1416650, int_stack+228081, int_stack+948641, 45);
 /*--- compute (l0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+228081, int_stack+1416650, int_stack+968891, 45);
 /*--- compute (l0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+1416650, int_stack+228081, int_stack+916601, 45);
 /*--- compute (kp|[r12,T1]|ii) ---*/
   t1hrr1_build_kp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+907691, int_stack+1416650, int_stack+807457, int_stack+692769, int_stack+728049, int_stack+664545, 6, 6);
 /*--- compute (id|[r12,T1]|ii) ---*/
   t1hrr1_build_id(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1954437, int_stack+907691, int_stack+1043459, int_stack+0, int_stack+403284, int_stack+841835, 6, 6);
 /*--- compute (m0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+403284, int_stack+142240, int_stack+140700, 55);
 /*--- compute (m0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+407904, int_stack+144220, int_stack+142240, 55);
 /*--- compute (m0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+413844, int_stack+407904, int_stack+403284, 55);
 /*--- compute (m0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+423084, int_stack+146695, int_stack+144220, 55);
 /*--- compute (m0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+430509, int_stack+423084, int_stack+407904, 55);
 /*--- compute (m0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+442389, int_stack+430509, int_stack+413844, 55);
 /*--- compute (m0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+403284, int_stack+149720, int_stack+146695, 55);
 /*--- compute (m0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+457789, int_stack+403284, int_stack+423084, 55);
 /*--- compute (m0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1043459, int_stack+457789, int_stack+430509, 55);
 /*--- compute (m0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+412359, int_stack+1043459, int_stack+442389, 55);
 /*--- compute (m0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+435459, int_stack+153350, int_stack+149720, 55);
 /*--- compute (m0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1063259, int_stack+435459, int_stack+403284, 55);
 /*--- compute (m0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1081409, int_stack+1063259, int_stack+457789, 55);
 /*--- compute (m0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+446349, int_stack+1081409, int_stack+1043459, 55);
 /*--- compute (m0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+728049, int_stack+446349, int_stack+412359, 55);
 /*--- compute (m0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+1043459, int_stack+157640, int_stack+153350, 55);
 /*--- compute (m0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+403284, int_stack+1043459, int_stack+435459, 55);
 /*--- compute (m0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+807457, int_stack+403284, int_stack+1063259, 55);
 /*--- compute (m0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+403284, int_stack+807457, int_stack+1081409, 55);
 /*--- compute (m0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+807457, int_stack+403284, int_stack+446349, 55);
 /*--- compute (m0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+403284, int_stack+807457, int_stack+728049, 55);
 /*--- compute (lp|[r12,T1]|ii) ---*/
   t1hrr1_build_lp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+2086149, int_stack+403284, int_stack+1416650, int_stack+764337, int_stack+998099, int_stack+692769, 6, 6);
 /*--- compute (kd|[r12,T1]|ii) ---*/
   t1hrr1_build_kd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+596820, int_stack+2086149, int_stack+907691, int_stack+1679253, int_stack+487956, int_stack+0, 6, 6);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+163429, int_stack+162645, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+2352, int_stack+164437, int_stack+163429, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+5376, int_stack+2352, int_stack+0, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+10080, int_stack+165697, int_stack+164437, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+13860, int_stack+10080, int_stack+2352, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+19908, int_stack+13860, int_stack+5376, 28);
 /*--- compute (i0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+167237, int_stack+165697, 28);
 /*--- compute (i0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+27748, int_stack+0, int_stack+10080, 28);
 /*--- compute (i0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+35308, int_stack+27748, int_stack+13860, 28);
 /*--- compute (i0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+4620, int_stack+35308, int_stack+19908, 28);
 /*--- compute (i0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+16380, int_stack+169085, int_stack+167237, 28);
 /*--- compute (i0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+45388, int_stack+16380, int_stack+0, 28);
 /*--- compute (i0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+54628, int_stack+45388, int_stack+27748, 28);
 /*--- compute (i0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+67228, int_stack+54628, int_stack+35308, 28);
 /*--- compute (i0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+21924, int_stack+67228, int_stack+4620, 28);
 /*--- compute (i0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+0, int_stack+171269, int_stack+169085, 28);
 /*--- compute (i0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+82348, int_stack+0, int_stack+16380, 28);
 /*--- compute (i0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+82348, int_stack+45388, 28);
 /*--- compute (i0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+82348, int_stack+0, int_stack+54628, 28);
 /*--- compute (i0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+0, int_stack+82348, int_stack+67228, 28);
 /*--- compute (i0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+38388, int_stack+0, int_stack+21924, 28);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+174825, int_stack+173817, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3024, int_stack+176121, int_stack+174825, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+6912, int_stack+3024, int_stack+0, 36);
 /*--- compute (k0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+12960, int_stack+177741, int_stack+176121, 36);
 /*--- compute (k0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+17820, int_stack+12960, int_stack+3024, 36);
 /*--- compute (k0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+25596, int_stack+17820, int_stack+6912, 36);
 /*--- compute (k0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+179721, int_stack+177741, 36);
 /*--- compute (k0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+60340, int_stack+0, int_stack+12960, 36);
 /*--- compute (k0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+70060, int_stack+60340, int_stack+17820, 36);
 /*--- compute (k0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+5940, int_stack+70060, int_stack+25596, 36);
 /*--- compute (k0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+21060, int_stack+182097, int_stack+179721, 36);
 /*--- compute (k0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+83020, int_stack+21060, int_stack+0, 36);
 /*--- compute (k0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+94900, int_stack+83020, int_stack+60340, 36);
 /*--- compute (k0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+111100, int_stack+94900, int_stack+70060, 36);
 /*--- compute (k0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+60340, int_stack+111100, int_stack+5940, 36);
 /*--- compute (k0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+0, int_stack+184905, int_stack+182097, 36);
 /*--- compute (k0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+130540, int_stack+0, int_stack+21060, 36);
 /*--- compute (k0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+130540, int_stack+83020, 36);
 /*--- compute (k0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+130540, int_stack+0, int_stack+94900, 36);
 /*--- compute (k0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+0, int_stack+130540, int_stack+111100, 36);
 /*--- compute (k0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+81508, int_stack+0, int_stack+60340, 36);
 /*--- compute (ip||ii) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+109732, int_stack+81508, int_stack+38388, 784);
 /*--- compute (l0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+189441, int_stack+188181, 45);
 /*--- compute (l0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3780, int_stack+191061, int_stack+189441, 45);
 /*--- compute (l0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+8640, int_stack+3780, int_stack+0, 45);
 /*--- compute (l0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+16200, int_stack+193086, int_stack+191061, 45);
 /*--- compute (l0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+22275, int_stack+16200, int_stack+3780, 45);
 /*--- compute (l0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+31995, int_stack+22275, int_stack+8640, 45);
 /*--- compute (l0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+195561, int_stack+193086, 45);
 /*--- compute (l0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+44595, int_stack+0, int_stack+16200, 45);
 /*--- compute (l0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+56745, int_stack+44595, int_stack+22275, 45);
 /*--- compute (l0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+7425, int_stack+56745, int_stack+31995, 45);
 /*--- compute (l0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+26325, int_stack+198531, int_stack+195561, 45);
 /*--- compute (l0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+175588, int_stack+26325, int_stack+0, 45);
 /*--- compute (l0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1679253, int_stack+175588, int_stack+44595, 45);
 /*--- compute (l0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1699503, int_stack+1679253, int_stack+56745, 45);
 /*--- compute (l0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+35235, int_stack+1699503, int_stack+7425, 45);
 /*--- compute (l0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+0, int_stack+202041, int_stack+198531, 45);
 /*--- compute (l0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+61695, int_stack+0, int_stack+26325, 45);
 /*--- compute (l0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+61695, int_stack+175588, 45);
 /*--- compute (l0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+175588, int_stack+0, int_stack+1679253, 45);
 /*--- compute (l0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+0, int_stack+175588, int_stack+1699503, 45);
 /*--- compute (l0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+1679253, int_stack+0, int_stack+35235, 45);
 /*--- compute (kp||ii) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+2086149, int_stack+1679253, int_stack+81508, 784);
 /*--- compute (id||ii) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+403284, int_stack+2086149, int_stack+109732, 784);
 /*--- compute (m0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+207676, int_stack+206136, 55);
 /*--- compute (m0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+4620, int_stack+209656, int_stack+207676, 55);
 /*--- compute (m0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+10560, int_stack+4620, int_stack+0, 55);
 /*--- compute (m0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+19800, int_stack+212131, int_stack+209656, 55);
 /*--- compute (m0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+27225, int_stack+19800, int_stack+4620, 55);
 /*--- compute (m0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+39105, int_stack+27225, int_stack+10560, 55);
 /*--- compute (m0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+215156, int_stack+212131, 55);
 /*--- compute (m0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+54505, int_stack+0, int_stack+19800, 55);
 /*--- compute (m0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+69355, int_stack+54505, int_stack+27225, 55);
 /*--- compute (m0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+9075, int_stack+69355, int_stack+39105, 55);
 /*--- compute (m0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+32175, int_stack+218786, int_stack+215156, 55);
 /*--- compute (m0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+89155, int_stack+32175, int_stack+0, 55);
 /*--- compute (m0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+107305, int_stack+89155, int_stack+54505, 55);
 /*--- compute (m0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+132055, int_stack+107305, int_stack+69355, 55);
 /*--- compute (m0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+43065, int_stack+132055, int_stack+9075, 55);
 /*--- compute (m0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+0, int_stack+223076, int_stack+218786, 55);
 /*--- compute (m0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+161755, int_stack+0, int_stack+32175, 55);
 /*--- compute (m0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+161755, int_stack+89155, 55);
 /*--- compute (m0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+161755, int_stack+0, int_stack+107305, 55);
 /*--- compute (m0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+0, int_stack+161755, int_stack+132055, 55);
 /*--- compute (m0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+75405, int_stack+0, int_stack+43065, 55);
 /*--- compute (lp||ii) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+118525, int_stack+75405, int_stack+1679253, 784);
 /*--- compute (kd||ii) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+766164, int_stack+118525, int_stack+2086149, 784);
 /*--- compute (if|[r12,T2]|ii) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+0, int_stack+1247306, int_stack+1115594, 784);
     Libr12->te_ptr[3] = int_stack + 0;
 /*--- compute (if|[r12,T1]|ii) ---*/
   t1hrr1_build_if(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+935508, int_stack+596820, int_stack+1954437, int_stack+1785093, int_stack+1509909, int_stack+271572, 6, 6);
     Libr12->te_ptr[2] = int_stack + 935508;
 /*--- compute (if||ii) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+1954437, int_stack+766164, int_stack+403284, 784);
     Libr12->te_ptr[1] = int_stack + 1954437;
 /*--- compute (if|ii) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+403284, int_stack+1785093, int_stack+271572, 784);
     Libr12->te_ptr[0] = int_stack + 403284;

}
