#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ppi0(Libr12_t *, prim_data *);

  /* Computes (pp|i0) integrals for linear R12-methods */

void hrr_grt_order_ppi0(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[1][6] = int_stack + 0;
 Libr12->t2vrr_classes[2][6] = int_stack + 84;
 Libr12->gvrr_classes[1][7] = int_stack + 252;
 Libr12->t1vrr_classes[1][6] = int_stack + 360;
 Libr12->t1vrr_classes[2][6] = int_stack + 444;
 Libr12->rvrr_classes[1][6] = int_stack + 612;
 Libr12->rvrr_classes[2][6] = int_stack + 696;
 Libr12->gvrr_classes[1][6] = int_stack + 864;
 Libr12->gvrr_classes[2][6] = int_stack + 948;
 memset(int_stack,0,1116*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 1116;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ppi0(Libr12, Data);
   Data++;
 }

 /*--- compute (pp|[r12,T2]|i0) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+1116, int_stack+84, int_stack+0, 28);
     Libr12->te_ptr[3] = int_stack + 1116;
 /*--- compute (pp|[r12,T1]|i0) ---*/
   t1hrr1_build_pp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+0, int_stack+444, int_stack+360, int_stack+948, int_stack+252, int_stack+864, 6, 0);
     Libr12->te_ptr[2] = int_stack + 0;
 /*--- compute (pp||i0) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+252, int_stack+696, int_stack+612, 28);
     Libr12->te_ptr[1] = int_stack + 252;
 /*--- compute (pp|i0) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+504, int_stack+948, int_stack+864, 28);
     Libr12->te_ptr[0] = int_stack + 504;

}
