  /* This machine-generated function computes a quartet of [r12,T2]|fd) integrals */

#include<libint/libint.h>

void t2hrr3_build_fd(REALTYPE *CD, REALTYPE *AC, REALTYPE *vp, const REALTYPE *I0, const REALTYPE *I1, const REALTYPE *I2, const REALTYPE *I3, const REALTYPE *I4, int la, int lb)
{
  const REALTYPE CD0 = CD[0];
  const REALTYPE CD1 = CD[1];
  const REALTYPE CD2 = CD[2];
  const REALTYPE AC0 = AC[0];
  const REALTYPE AC1 = AC[1];
  const REALTYPE AC2 = AC[2];
  static int io[] = { 1, 3, 6, 10, 15, 21, 28, 36, 45, 55, 66, 78, 91, 105};
  int bcdm1_num = io[lb]*30;

  int pa, qa, b;
  for(pa=0;pa<=la;pa++)
    for(qa=0;qa<=pa;qa++)
      for(b=0;b<((lb+1)*(lb+2)/2);b++) {
        *(vp++) = I0[0] + CD0*I1[0] + I2[0] - AC0*I4[0] - I3[0];
        *(vp++) = I0[1] + CD0*I1[1] + I2[1] - AC0*I4[1] - I3[1];
        *(vp++) = I0[2] + CD0*I1[2] + I2[2] - AC0*I4[2] - I3[2];
        *(vp++) = I0[4] + CD1*I1[1] + I2[4] - AC1*I4[1] - I3[(pa+1)*bcdm1_num+1];
        *(vp++) = I0[5] + CD1*I1[2] + I2[5] - AC1*I4[2] - I3[(pa+1)*bcdm1_num+2];
        *(vp++) = I0[8] + CD2*I1[2] + I2[8] - AC2*I4[2] - I3[(pa+2)*bcdm1_num+2];
        *(vp++) = I0[3] + CD0*I1[3] + I2[3] - AC0*I4[3] - I3[3];
        *(vp++) = I0[4] + CD0*I1[4] + I2[4] - AC0*I4[4] - I3[4];
        *(vp++) = I0[5] + CD0*I1[5] + I2[5] - AC0*I4[5] - I3[5];
        *(vp++) = I0[10] + CD1*I1[4] + I2[10] - AC1*I4[4] - I3[(pa+1)*bcdm1_num+4];
        *(vp++) = I0[11] + CD1*I1[5] + I2[11] - AC1*I4[5] - I3[(pa+1)*bcdm1_num+5];
        *(vp++) = I0[14] + CD2*I1[5] + I2[14] - AC2*I4[5] - I3[(pa+2)*bcdm1_num+5];
        *(vp++) = I0[6] + CD0*I1[6] + I2[6] - AC0*I4[6] - I3[6];
        *(vp++) = I0[7] + CD0*I1[7] + I2[7] - AC0*I4[7] - I3[7];
        *(vp++) = I0[8] + CD0*I1[8] + I2[8] - AC0*I4[8] - I3[8];
        *(vp++) = I0[13] + CD1*I1[7] + I2[13] - AC1*I4[7] - I3[(pa+1)*bcdm1_num+7];
        *(vp++) = I0[14] + CD1*I1[8] + I2[14] - AC1*I4[8] - I3[(pa+1)*bcdm1_num+8];
        *(vp++) = I0[17] + CD2*I1[8] + I2[17] - AC2*I4[8] - I3[(pa+2)*bcdm1_num+8];
        *(vp++) = I0[9] + CD0*I1[9] + I2[9] - AC0*I4[9] - I3[9];
        *(vp++) = I0[10] + CD0*I1[10] + I2[10] - AC0*I4[10] - I3[10];
        *(vp++) = I0[11] + CD0*I1[11] + I2[11] - AC0*I4[11] - I3[11];
        *(vp++) = I0[19] + CD1*I1[10] + I2[19] - AC1*I4[10] - I3[(pa+1)*bcdm1_num+10];
        *(vp++) = I0[20] + CD1*I1[11] + I2[20] - AC1*I4[11] - I3[(pa+1)*bcdm1_num+11];
        *(vp++) = I0[23] + CD2*I1[11] + I2[23] - AC2*I4[11] - I3[(pa+2)*bcdm1_num+11];
        *(vp++) = I0[12] + CD0*I1[12] + I2[12] - AC0*I4[12] - I3[12];
        *(vp++) = I0[13] + CD0*I1[13] + I2[13] - AC0*I4[13] - I3[13];
        *(vp++) = I0[14] + CD0*I1[14] + I2[14] - AC0*I4[14] - I3[14];
        *(vp++) = I0[22] + CD1*I1[13] + I2[22] - AC1*I4[13] - I3[(pa+1)*bcdm1_num+13];
        *(vp++) = I0[23] + CD1*I1[14] + I2[23] - AC1*I4[14] - I3[(pa+1)*bcdm1_num+14];
        *(vp++) = I0[26] + CD2*I1[14] + I2[26] - AC2*I4[14] - I3[(pa+2)*bcdm1_num+14];
        *(vp++) = I0[15] + CD0*I1[15] + I2[15] - AC0*I4[15] - I3[15];
        *(vp++) = I0[16] + CD0*I1[16] + I2[16] - AC0*I4[16] - I3[16];
        *(vp++) = I0[17] + CD0*I1[17] + I2[17] - AC0*I4[17] - I3[17];
        *(vp++) = I0[25] + CD1*I1[16] + I2[25] - AC1*I4[16] - I3[(pa+1)*bcdm1_num+16];
        *(vp++) = I0[26] + CD1*I1[17] + I2[26] - AC1*I4[17] - I3[(pa+1)*bcdm1_num+17];
        *(vp++) = I0[29] + CD2*I1[17] + I2[29] - AC2*I4[17] - I3[(pa+2)*bcdm1_num+17];
        *(vp++) = I0[18] + CD0*I1[18] + I2[18] - AC0*I4[18] - I3[18];
        *(vp++) = I0[19] + CD0*I1[19] + I2[19] - AC0*I4[19] - I3[19];
        *(vp++) = I0[20] + CD0*I1[20] + I2[20] - AC0*I4[20] - I3[20];
        *(vp++) = I0[31] + CD1*I1[19] + I2[31] - AC1*I4[19] - I3[(pa+1)*bcdm1_num+19];
        *(vp++) = I0[32] + CD1*I1[20] + I2[32] - AC1*I4[20] - I3[(pa+1)*bcdm1_num+20];
        *(vp++) = I0[35] + CD2*I1[20] + I2[35] - AC2*I4[20] - I3[(pa+2)*bcdm1_num+20];
        *(vp++) = I0[21] + CD0*I1[21] + I2[21] - AC0*I4[21] - I3[21];
        *(vp++) = I0[22] + CD0*I1[22] + I2[22] - AC0*I4[22] - I3[22];
        *(vp++) = I0[23] + CD0*I1[23] + I2[23] - AC0*I4[23] - I3[23];
        *(vp++) = I0[34] + CD1*I1[22] + I2[34] - AC1*I4[22] - I3[(pa+1)*bcdm1_num+22];
        *(vp++) = I0[35] + CD1*I1[23] + I2[35] - AC1*I4[23] - I3[(pa+1)*bcdm1_num+23];
        *(vp++) = I0[38] + CD2*I1[23] + I2[38] - AC2*I4[23] - I3[(pa+2)*bcdm1_num+23];
        *(vp++) = I0[24] + CD0*I1[24] + I2[24] - AC0*I4[24] - I3[24];
        *(vp++) = I0[25] + CD0*I1[25] + I2[25] - AC0*I4[25] - I3[25];
        *(vp++) = I0[26] + CD0*I1[26] + I2[26] - AC0*I4[26] - I3[26];
        *(vp++) = I0[37] + CD1*I1[25] + I2[37] - AC1*I4[25] - I3[(pa+1)*bcdm1_num+25];
        *(vp++) = I0[38] + CD1*I1[26] + I2[38] - AC1*I4[26] - I3[(pa+1)*bcdm1_num+26];
        *(vp++) = I0[41] + CD2*I1[26] + I2[41] - AC2*I4[26] - I3[(pa+2)*bcdm1_num+26];
        *(vp++) = I0[27] + CD0*I1[27] + I2[27] - AC0*I4[27] - I3[27];
        *(vp++) = I0[28] + CD0*I1[28] + I2[28] - AC0*I4[28] - I3[28];
        *(vp++) = I0[29] + CD0*I1[29] + I2[29] - AC0*I4[29] - I3[29];
        *(vp++) = I0[40] + CD1*I1[28] + I2[40] - AC1*I4[28] - I3[(pa+1)*bcdm1_num+28];
        *(vp++) = I0[41] + CD1*I1[29] + I2[41] - AC1*I4[29] - I3[(pa+1)*bcdm1_num+29];
        *(vp++) = I0[44] + CD2*I1[29] + I2[44] - AC2*I4[29] - I3[(pa+2)*bcdm1_num+29];
        I0 += 45;
        I1 += 30;
        I2 += 45;
        I3 += 30;
        I4 += 30;
  }
}
