#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_00if(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+9, r12vrr_stack+0, r12vrr_stack+6, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+21, r12vrr_stack+15, r12vrr_stack+9, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+34, r12vrr_stack+31, r12vrr_stack+3, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+40, r12vrr_stack+34, r12vrr_stack+15, r12vrr_stack+31, r12vrr_stack+3, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+50, r12vrr_stack+6, r12vrr_stack+3, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+56, r12vrr_stack+9, r12vrr_stack+50, r12vrr_stack+0, r12vrr_stack+6, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+66, r12vrr_stack+21, r12vrr_stack+56, r12vrr_stack+15, r12vrr_stack+9, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+81, r12vrr_stack+40, r12vrr_stack+21, r12vrr_stack+34, r12vrr_stack+15, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+96, r12vrr_stack+81, r12vrr_stack+66, r12vrr_stack+40, r12vrr_stack+21, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+117, r12vrr_stack+50, r12vrr_stack+15, r12vrr_stack+6, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+127, r12vrr_stack+56, r12vrr_stack+117, r12vrr_stack+9, r12vrr_stack+50, NULL);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+142, r12vrr_stack+66, r12vrr_stack+127, r12vrr_stack+21, r12vrr_stack+56, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+163, r12vrr_stack+96, r12vrr_stack+142, NULL, NULL, r12vrr_stack+66);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+21, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+24, r12vrr_stack+0, r12vrr_stack+21, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+226, r12vrr_stack+15, r12vrr_stack+24, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+236, r12vrr_stack+117, r12vrr_stack+226, r12vrr_stack+50, r12vrr_stack+15, NULL);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+251, r12vrr_stack+127, r12vrr_stack+236, r12vrr_stack+56, r12vrr_stack+117, NULL);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+272, r12vrr_stack+142, r12vrr_stack+251, r12vrr_stack+66, r12vrr_stack+127, NULL);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+300, r12vrr_stack+96, r12vrr_stack+142, r12vrr_stack+81, r12vrr_stack+66, NULL);
 tmp = r12vrr_stack + 300;
 target_ptr = Libr12->gvrr_classes[0][6];
 for(i=0;i<28;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+328, r12vrr_stack+300, r12vrr_stack+272, NULL, NULL, r12vrr_stack+142);
 tmp = r12vrr_stack + 328;
 target_ptr = Libr12->gvrr_classes[1][6];
 for(i=0;i<84;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+412, r12vrr_stack+300, r12vrr_stack+272, r12vrr_stack+96, r12vrr_stack+142, NULL);
 tmp = r12vrr_stack + 412;
 target_ptr = Libr12->gvrr_classes[0][7];
 for(i=0;i<36;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+50, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+53, r12vrr_stack+21, r12vrr_stack+50, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+59, r12vrr_stack+24, r12vrr_stack+53, r12vrr_stack+0, r12vrr_stack+21, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+0, r12vrr_stack+226, r12vrr_stack+59, r12vrr_stack+15, r12vrr_stack+24, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+448, r12vrr_stack+236, r12vrr_stack+0, r12vrr_stack+117, r12vrr_stack+226, NULL);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+469, r12vrr_stack+251, r12vrr_stack+448, r12vrr_stack+127, r12vrr_stack+236, NULL);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+497, r12vrr_stack+272, r12vrr_stack+469, r12vrr_stack+142, r12vrr_stack+251, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+533, r12vrr_stack+412, r12vrr_stack+497, NULL, NULL, r12vrr_stack+272);
 tmp = r12vrr_stack + 533;
 target_ptr = Libr12->gvrr_classes[1][7];
 for(i=0;i<108;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+117, r12vrr_stack+412, r12vrr_stack+497, r12vrr_stack+300, r12vrr_stack+272, NULL);
 tmp = r12vrr_stack + 117;
 target_ptr = Libr12->gvrr_classes[0][8];
 for(i=0;i<45;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+15, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+69, r12vrr_stack+50, r12vrr_stack+15, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+641, r12vrr_stack+53, r12vrr_stack+69, r12vrr_stack+21, r12vrr_stack+50, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+651, r12vrr_stack+59, r12vrr_stack+641, r12vrr_stack+24, r12vrr_stack+53, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+666, r12vrr_stack+0, r12vrr_stack+651, r12vrr_stack+226, r12vrr_stack+59, NULL);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+687, r12vrr_stack+448, r12vrr_stack+666, r12vrr_stack+236, r12vrr_stack+0, NULL);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+715, r12vrr_stack+469, r12vrr_stack+687, r12vrr_stack+251, r12vrr_stack+448, NULL);

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+226, r12vrr_stack+497, r12vrr_stack+715, r12vrr_stack+272, r12vrr_stack+469, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+751, r12vrr_stack+117, r12vrr_stack+226, NULL, NULL, r12vrr_stack+497);
 tmp = r12vrr_stack + 751;
 target_ptr = Libr12->gvrr_classes[1][8];
 for(i=0;i<135;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+886, r12vrr_stack+117, r12vrr_stack+226, r12vrr_stack+412, r12vrr_stack+497, NULL);
 tmp = r12vrr_stack + 886;
 target_ptr = Libr12->gvrr_classes[0][9];
 for(i=0;i<55;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+271, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+75, r12vrr_stack+15, r12vrr_stack+271, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+271, r12vrr_stack+69, r12vrr_stack+75, r12vrr_stack+50, r12vrr_stack+15, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+15, r12vrr_stack+641, r12vrr_stack+271, r12vrr_stack+53, r12vrr_stack+69, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+271, r12vrr_stack+651, r12vrr_stack+15, r12vrr_stack+59, r12vrr_stack+641, NULL);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+50, r12vrr_stack+666, r12vrr_stack+271, r12vrr_stack+0, r12vrr_stack+651, NULL);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+941, r12vrr_stack+687, r12vrr_stack+50, r12vrr_stack+448, r12vrr_stack+666, NULL);

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+641, r12vrr_stack+715, r12vrr_stack+941, r12vrr_stack+469, r12vrr_stack+687, NULL);

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+941, r12vrr_stack+226, r12vrr_stack+641, r12vrr_stack+497, r12vrr_stack+715, NULL);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+996, r12vrr_stack+886, r12vrr_stack+941, NULL, NULL, r12vrr_stack+226);

 /*--- compute (00|n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+641, r12vrr_stack+886, r12vrr_stack+941, r12vrr_stack+117, r12vrr_stack+226, NULL);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+226, &(Data->ss_r12_ss), NULL, r12vrr_stack+31, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+229, r12vrr_stack+226, &(Data->ss_r12_ss), r12vrr_stack+34, r12vrr_stack+31, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+235, r12vrr_stack+229, r12vrr_stack+226, r12vrr_stack+40, r12vrr_stack+34, r12vrr_stack+31, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+245, r12vrr_stack+235, r12vrr_stack+229, r12vrr_stack+81, r12vrr_stack+40, r12vrr_stack+34, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+260, r12vrr_stack+245, r12vrr_stack+235, r12vrr_stack+96, r12vrr_stack+81, r12vrr_stack+40, NULL);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+941, r12vrr_stack+260, r12vrr_stack+245, r12vrr_stack+300, r12vrr_stack+96, r12vrr_stack+81, NULL);
 tmp = r12vrr_stack + 941;
 target_ptr = Libr12->rvrr_classes[0][6];
 for(i=0;i<28;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+707, r12vrr_stack+941, r12vrr_stack+260, r12vrr_stack+412, r12vrr_stack+300, r12vrr_stack+96, NULL);
 tmp = r12vrr_stack + 707;
 target_ptr = Libr12->rvrr_classes[0][7];
 for(i=0;i<36;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||l0)^0 ---*/
 _R_BUILD_00l0(Data,r12vrr_stack+226, r12vrr_stack+707, r12vrr_stack+941, r12vrr_stack+117, r12vrr_stack+412, r12vrr_stack+300, NULL);
 tmp = r12vrr_stack + 226;
 target_ptr = Libr12->rvrr_classes[0][8];
 for(i=0;i<45;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_00i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+941, r12vrr_stack+300, r12vrr_stack+412, r12vrr_stack+328, r12vrr_stack+163, r12vrr_stack+96);
 tmp = r12vrr_stack + 941;
 target_ptr = Libr12->t2vrr_classes[0][6];
 for(i=0;i<28;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_00k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1161, r12vrr_stack+412, r12vrr_stack+117, r12vrr_stack+533, r12vrr_stack+328, r12vrr_stack+300);
 tmp = r12vrr_stack + 1161;
 target_ptr = Libr12->t2vrr_classes[0][7];
 for(i=0;i<36;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_00l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1197, r12vrr_stack+117, r12vrr_stack+886, r12vrr_stack+751, r12vrr_stack+533, r12vrr_stack+412);
 tmp = r12vrr_stack + 1197;
 target_ptr = Libr12->t2vrr_classes[0][8];
 for(i=0;i<45;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T2]|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+1242, r12vrr_stack+886, r12vrr_stack+641, r12vrr_stack+996, r12vrr_stack+751, r12vrr_stack+117);
 tmp = r12vrr_stack + 1242;
 target_ptr = Libr12->t2vrr_classes[0][9];
 for(i=0;i<55;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_00i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+271, r12vrr_stack+300, r12vrr_stack+328, r12vrr_stack+412, NULL, NULL);
 tmp = r12vrr_stack + 271;
 target_ptr = Libr12->t1vrr_classes[0][6];
 for(i=0;i<28;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_00k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+299, r12vrr_stack+412, r12vrr_stack+533, r12vrr_stack+117, NULL, NULL);
 tmp = r12vrr_stack + 299;
 target_ptr = Libr12->t1vrr_classes[0][7];
 for(i=0;i<36;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_00l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+335, r12vrr_stack+117, r12vrr_stack+751, r12vrr_stack+886, NULL, NULL);
 tmp = r12vrr_stack + 335;
 target_ptr = Libr12->t1vrr_classes[0][8];
 for(i=0;i<45;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T1]|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+743, r12vrr_stack+886, r12vrr_stack+996, r12vrr_stack+641, NULL, NULL);
 tmp = r12vrr_stack + 743;
 target_ptr = Libr12->t1vrr_classes[0][9];
 for(i=0;i<55;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+969, r12vrr_stack+226, r12vrr_stack+707, r12vrr_stack+886, r12vrr_stack+117, r12vrr_stack+412, NULL);
 tmp = r12vrr_stack + 969;
 target_ptr = Libr12->rvrr_classes[0][9];
 for(i=0;i<55;i++)
   target_ptr[i] += tmp[i];


}

