#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_ppgg(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+12, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+21, r12vrr_stack+6, r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+34, r12vrr_stack+31, r12vrr_stack+3, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+40, r12vrr_stack+34, r12vrr_stack+6, r12vrr_stack+31, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^0 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+50, r12vrr_stack+40, r12vrr_stack+21, NULL, NULL, r12vrr_stack+6);

 /*--- compute (p0|d0)^1 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+80, r12vrr_stack+6, r12vrr_stack+15, NULL, NULL, r12vrr_stack+0);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+98, r12vrr_stack+12, r12vrr_stack+3, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+104, r12vrr_stack+15, r12vrr_stack+98, r12vrr_stack+0, r12vrr_stack+12, NULL);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+114, r12vrr_stack+21, r12vrr_stack+104, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|f0)^0 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+144, r12vrr_stack+50, r12vrr_stack+114, r12vrr_stack+40, r12vrr_stack+21, r12vrr_stack+80);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+204, r12vrr_stack+21, r12vrr_stack+104, r12vrr_stack+6, r12vrr_stack+15, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+219, r12vrr_stack+40, r12vrr_stack+21, r12vrr_stack+34, r12vrr_stack+6, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+234, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+237, r12vrr_stack+3, r12vrr_stack+234, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+243, r12vrr_stack+98, r12vrr_stack+237, r12vrr_stack+12, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+253, r12vrr_stack+104, r12vrr_stack+243, r12vrr_stack+15, r12vrr_stack+98, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+268, r12vrr_stack+204, r12vrr_stack+253, NULL, NULL, r12vrr_stack+104);

 /*--- compute (p0|g0)^0 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+313, r12vrr_stack+219, r12vrr_stack+204, NULL, NULL, r12vrr_stack+21);
 tmp = r12vrr_stack + 313;
 target_ptr = Libr12->gvrr_classes[1][4];
 for(i=0;i<45;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|g0)^0 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+358, r12vrr_stack+313, r12vrr_stack+268, r12vrr_stack+219, r12vrr_stack+204, r12vrr_stack+114);
 tmp = r12vrr_stack + 358;
 target_ptr = Libr12->gvrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+448, r12vrr_stack+204, r12vrr_stack+253, r12vrr_stack+21, r12vrr_stack+104, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+469, r12vrr_stack+219, r12vrr_stack+204, r12vrr_stack+40, r12vrr_stack+21, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+490, r12vrr_stack+469, r12vrr_stack+448, NULL, NULL, r12vrr_stack+204);
 tmp = r12vrr_stack + 490;
 target_ptr = Libr12->gvrr_classes[1][5];
 for(i=0;i<63;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+553, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+556, r12vrr_stack+234, r12vrr_stack+553, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+562, r12vrr_stack+237, r12vrr_stack+556, r12vrr_stack+3, r12vrr_stack+234, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+572, r12vrr_stack+243, r12vrr_stack+562, r12vrr_stack+98, r12vrr_stack+237, NULL);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+587, r12vrr_stack+253, r12vrr_stack+572, r12vrr_stack+104, r12vrr_stack+243, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+608, r12vrr_stack+448, r12vrr_stack+587, NULL, NULL, r12vrr_stack+253);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+671, r12vrr_stack+490, r12vrr_stack+608, r12vrr_stack+469, r12vrr_stack+448, r12vrr_stack+268);
 tmp = r12vrr_stack + 671;
 target_ptr = Libr12->gvrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+797, r12vrr_stack+448, r12vrr_stack+587, r12vrr_stack+204, r12vrr_stack+253, NULL);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+825, r12vrr_stack+469, r12vrr_stack+448, r12vrr_stack+219, r12vrr_stack+204, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+853, r12vrr_stack+825, r12vrr_stack+797, NULL, NULL, r12vrr_stack+448);
 tmp = r12vrr_stack + 853;
 target_ptr = Libr12->gvrr_classes[1][6];
 for(i=0;i<84;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+937, r12vrr_stack+553, r12vrr_stack+3, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+943, r12vrr_stack+556, r12vrr_stack+937, r12vrr_stack+234, r12vrr_stack+553, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+953, r12vrr_stack+562, r12vrr_stack+943, r12vrr_stack+237, r12vrr_stack+556, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+968, r12vrr_stack+572, r12vrr_stack+953, r12vrr_stack+243, r12vrr_stack+562, NULL);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+989, r12vrr_stack+587, r12vrr_stack+968, r12vrr_stack+253, r12vrr_stack+572, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1017, r12vrr_stack+797, r12vrr_stack+989, NULL, NULL, r12vrr_stack+587);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1101, r12vrr_stack+853, r12vrr_stack+1017, r12vrr_stack+825, r12vrr_stack+797, r12vrr_stack+608);
 tmp = r12vrr_stack + 1101;
 target_ptr = Libr12->gvrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1269, r12vrr_stack+797, r12vrr_stack+989, r12vrr_stack+448, r12vrr_stack+587, NULL);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1305, r12vrr_stack+825, r12vrr_stack+797, r12vrr_stack+469, r12vrr_stack+448, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1341, r12vrr_stack+1305, r12vrr_stack+1269, NULL, NULL, r12vrr_stack+797);
 tmp = r12vrr_stack + 1341;
 target_ptr = Libr12->gvrr_classes[1][7];
 for(i=0;i<108;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+234, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+237, r12vrr_stack+3, r12vrr_stack+234, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1449, r12vrr_stack+937, r12vrr_stack+237, r12vrr_stack+553, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1459, r12vrr_stack+943, r12vrr_stack+1449, r12vrr_stack+556, r12vrr_stack+937, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1474, r12vrr_stack+953, r12vrr_stack+1459, r12vrr_stack+562, r12vrr_stack+943, NULL);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1495, r12vrr_stack+968, r12vrr_stack+1474, r12vrr_stack+572, r12vrr_stack+953, NULL);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1523, r12vrr_stack+989, r12vrr_stack+1495, r12vrr_stack+587, r12vrr_stack+968, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1559, r12vrr_stack+1269, r12vrr_stack+1523, NULL, NULL, r12vrr_stack+989);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1667, r12vrr_stack+1341, r12vrr_stack+1559, r12vrr_stack+1305, r12vrr_stack+1269, r12vrr_stack+1017);
 tmp = r12vrr_stack + 1667;
 target_ptr = Libr12->gvrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1883, r12vrr_stack+1269, r12vrr_stack+1523, r12vrr_stack+797, r12vrr_stack+989, NULL);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1928, r12vrr_stack+1305, r12vrr_stack+1269, r12vrr_stack+825, r12vrr_stack+797, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1973, r12vrr_stack+1928, r12vrr_stack+1883, NULL, NULL, r12vrr_stack+1269);
 tmp = r12vrr_stack + 1973;
 target_ptr = Libr12->gvrr_classes[1][8];
 for(i=0;i<135;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+553, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+556, r12vrr_stack+234, r12vrr_stack+553, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+562, r12vrr_stack+237, r12vrr_stack+556, r12vrr_stack+3, r12vrr_stack+234, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2108, r12vrr_stack+1449, r12vrr_stack+562, r12vrr_stack+937, r12vrr_stack+237, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2123, r12vrr_stack+1459, r12vrr_stack+2108, r12vrr_stack+943, r12vrr_stack+1449, NULL);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2144, r12vrr_stack+1474, r12vrr_stack+2123, r12vrr_stack+953, r12vrr_stack+1459, NULL);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2172, r12vrr_stack+1495, r12vrr_stack+2144, r12vrr_stack+968, r12vrr_stack+1474, NULL);

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2208, r12vrr_stack+1523, r12vrr_stack+2172, r12vrr_stack+989, r12vrr_stack+1495, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2253, r12vrr_stack+1883, r12vrr_stack+2208, NULL, NULL, r12vrr_stack+1523);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2388, r12vrr_stack+1973, r12vrr_stack+2253, r12vrr_stack+1928, r12vrr_stack+1883, r12vrr_stack+1559);
 tmp = r12vrr_stack + 2388;
 target_ptr = Libr12->gvrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+2658, r12vrr_stack+1883, r12vrr_stack+2208, r12vrr_stack+1269, r12vrr_stack+1523, NULL);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+2713, r12vrr_stack+1928, r12vrr_stack+1883, r12vrr_stack+1305, r12vrr_stack+1269, NULL);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+2768, r12vrr_stack+2713, r12vrr_stack+2658, NULL, NULL, r12vrr_stack+1883);
 tmp = r12vrr_stack + 2768;
 target_ptr = Libr12->gvrr_classes[1][9];
 for(i=0;i<165;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|p0)^2 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+937, r12vrr_stack+0, r12vrr_stack+12, NULL, NULL, Data->F+3);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+946, r12vrr_stack+15, r12vrr_stack+98, NULL, NULL, r12vrr_stack+12);

 /*--- compute (d0|d0)^1 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+2933, r12vrr_stack+80, r12vrr_stack+946, r12vrr_stack+6, r12vrr_stack+15, r12vrr_stack+937);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+2969, r12vrr_stack+104, r12vrr_stack+243, NULL, NULL, r12vrr_stack+98);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+2999, r12vrr_stack+114, r12vrr_stack+2969, r12vrr_stack+21, r12vrr_stack+104, r12vrr_stack+946);

 /*--- compute (f0|f0)^0 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+3059, r12vrr_stack+144, r12vrr_stack+2999, r12vrr_stack+50, r12vrr_stack+114, r12vrr_stack+2933);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+80, r12vrr_stack+253, r12vrr_stack+572, NULL, NULL, r12vrr_stack+243);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+3159, r12vrr_stack+268, r12vrr_stack+80, r12vrr_stack+204, r12vrr_stack+253, r12vrr_stack+2969);

 /*--- compute (f0|g0)^0 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+3249, r12vrr_stack+358, r12vrr_stack+3159, r12vrr_stack+313, r12vrr_stack+268, r12vrr_stack+2999);
 tmp = r12vrr_stack + 3249;
 target_ptr = Libr12->gvrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+243, r12vrr_stack+587, r12vrr_stack+968, NULL, NULL, r12vrr_stack+572);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2933, r12vrr_stack+608, r12vrr_stack+243, r12vrr_stack+448, r12vrr_stack+587, r12vrr_stack+80);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3399, r12vrr_stack+671, r12vrr_stack+2933, r12vrr_stack+490, r12vrr_stack+608, r12vrr_stack+3159);
 tmp = r12vrr_stack + 3399;
 target_ptr = Libr12->gvrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3159, r12vrr_stack+989, r12vrr_stack+1495, NULL, NULL, r12vrr_stack+968);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3609, r12vrr_stack+1017, r12vrr_stack+3159, r12vrr_stack+797, r12vrr_stack+989, r12vrr_stack+243);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3777, r12vrr_stack+1101, r12vrr_stack+3609, r12vrr_stack+853, r12vrr_stack+1017, r12vrr_stack+2933);
 tmp = r12vrr_stack + 3777;
 target_ptr = Libr12->gvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2933, r12vrr_stack+1523, r12vrr_stack+2172, NULL, NULL, r12vrr_stack+1495);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4057, r12vrr_stack+1559, r12vrr_stack+2933, r12vrr_stack+1269, r12vrr_stack+1523, r12vrr_stack+3159);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4273, r12vrr_stack+1667, r12vrr_stack+4057, r12vrr_stack+1341, r12vrr_stack+1559, r12vrr_stack+3609);
 tmp = r12vrr_stack + 4273;
 target_ptr = Libr12->gvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3609, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+3612, r12vrr_stack+553, r12vrr_stack+3609, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+3618, r12vrr_stack+556, r12vrr_stack+3612, r12vrr_stack+234, r12vrr_stack+553, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+204, r12vrr_stack+562, r12vrr_stack+3618, r12vrr_stack+237, r12vrr_stack+556, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+448, r12vrr_stack+2108, r12vrr_stack+204, r12vrr_stack+1449, r12vrr_stack+562, NULL);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+797, r12vrr_stack+2123, r12vrr_stack+448, r12vrr_stack+1459, r12vrr_stack+2108, NULL);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1269, r12vrr_stack+2144, r12vrr_stack+797, r12vrr_stack+1474, r12vrr_stack+2123, NULL);

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1449, r12vrr_stack+2172, r12vrr_stack+1269, r12vrr_stack+1495, r12vrr_stack+2144, NULL);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3609, r12vrr_stack+2208, r12vrr_stack+1449, NULL, NULL, r12vrr_stack+2172);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4633, r12vrr_stack+2253, r12vrr_stack+3609, r12vrr_stack+1883, r12vrr_stack+2208, r12vrr_stack+2933);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4903, r12vrr_stack+2388, r12vrr_stack+4633, r12vrr_stack+1973, r12vrr_stack+2253, r12vrr_stack+4057);

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+4057, r12vrr_stack+2208, r12vrr_stack+1449, r12vrr_stack+1523, r12vrr_stack+2172, NULL);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+1449, r12vrr_stack+2658, r12vrr_stack+4057, NULL, NULL, r12vrr_stack+2208);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5353, r12vrr_stack+2768, r12vrr_stack+1449, r12vrr_stack+2713, r12vrr_stack+2658, r12vrr_stack+2253);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+2658, &(Data->ss_r12_ss), NULL, r12vrr_stack+31, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+2661, r12vrr_stack+2658, &(Data->ss_r12_ss), r12vrr_stack+34, r12vrr_stack+31, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+2667, r12vrr_stack+2661, r12vrr_stack+2658, r12vrr_stack+40, r12vrr_stack+34, r12vrr_stack+31, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+204, r12vrr_stack+2667, r12vrr_stack+2661, r12vrr_stack+219, r12vrr_stack+40, r12vrr_stack+34, NULL);

 /*--- compute (p0||g0)^0 ---*/
 _R_BUILD_p0g0(Data,r12vrr_stack+1883, r12vrr_stack+204, NULL, r12vrr_stack+313, r12vrr_stack+219, NULL, r12vrr_stack+40);
 tmp = r12vrr_stack + 1883;
 target_ptr = Libr12->rvrr_classes[1][4];
 for(i=0;i<45;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+448, r12vrr_stack+204, r12vrr_stack+2667, r12vrr_stack+469, r12vrr_stack+219, r12vrr_stack+40, NULL);

 /*--- compute (p0||h0)^0 ---*/
 _R_BUILD_p0h0(Data,r12vrr_stack+1449, r12vrr_stack+448, NULL, r12vrr_stack+490, r12vrr_stack+469, NULL, r12vrr_stack+219);
 tmp = r12vrr_stack + 1449;
 target_ptr = Libr12->rvrr_classes[1][5];
 for(i=0;i<63;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+797, r12vrr_stack+448, r12vrr_stack+204, r12vrr_stack+825, r12vrr_stack+469, r12vrr_stack+219, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+1512, r12vrr_stack+797, NULL, r12vrr_stack+853, r12vrr_stack+825, NULL, r12vrr_stack+469);
 tmp = r12vrr_stack + 1512;
 target_ptr = Libr12->rvrr_classes[1][6];
 for(i=0;i<84;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+1269, r12vrr_stack+797, r12vrr_stack+448, r12vrr_stack+1305, r12vrr_stack+825, r12vrr_stack+469, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+4057, r12vrr_stack+1269, NULL, r12vrr_stack+1341, r12vrr_stack+1305, NULL, r12vrr_stack+825);
 tmp = r12vrr_stack + 4057;
 target_ptr = Libr12->rvrr_classes[1][7];
 for(i=0;i<108;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||l0)^0 ---*/
 _R_BUILD_00l0(Data,r12vrr_stack+2658, r12vrr_stack+1269, r12vrr_stack+797, r12vrr_stack+1928, r12vrr_stack+1305, r12vrr_stack+825, NULL);

 /*--- compute (p0||l0)^0 ---*/
 _R_BUILD_p0l0(Data,r12vrr_stack+4633, r12vrr_stack+2658, NULL, r12vrr_stack+1973, r12vrr_stack+1928, NULL, r12vrr_stack+1305);
 tmp = r12vrr_stack + 4633;
 target_ptr = Libr12->rvrr_classes[1][8];
 for(i=0;i<135;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_p0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1596, r12vrr_stack+313, r12vrr_stack+490, r12vrr_stack+358, r12vrr_stack+144, r12vrr_stack+50);
 tmp = r12vrr_stack + 1596;
 target_ptr = Libr12->t2vrr_classes[1][4];
 for(i=0;i<45;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_p0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+4165, r12vrr_stack+490, r12vrr_stack+853, r12vrr_stack+671, r12vrr_stack+358, r12vrr_stack+313);
 tmp = r12vrr_stack + 4165;
 target_ptr = Libr12->t2vrr_classes[1][5];
 for(i=0;i<63;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_p0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+4768, r12vrr_stack+853, r12vrr_stack+1341, r12vrr_stack+1101, r12vrr_stack+671, r12vrr_stack+490);
 tmp = r12vrr_stack + 4768;
 target_ptr = Libr12->t2vrr_classes[1][6];
 for(i=0;i<84;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_p0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2933, r12vrr_stack+1341, r12vrr_stack+1973, r12vrr_stack+1667, r12vrr_stack+1101, r12vrr_stack+853);
 tmp = r12vrr_stack + 2933;
 target_ptr = Libr12->t2vrr_classes[1][7];
 for(i=0;i<108;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_p0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3609, r12vrr_stack+1973, r12vrr_stack+2768, r12vrr_stack+2388, r12vrr_stack+1667, r12vrr_stack+1341);
 tmp = r12vrr_stack + 3609;
 target_ptr = Libr12->t2vrr_classes[1][8];
 for(i=0;i<135;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_d0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3159, r12vrr_stack+358, r12vrr_stack+671, r12vrr_stack+3249, r12vrr_stack+3059, r12vrr_stack+144);
 tmp = r12vrr_stack + 3159;
 target_ptr = Libr12->t2vrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_d0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2108, r12vrr_stack+671, r12vrr_stack+1101, r12vrr_stack+3399, r12vrr_stack+3249, r12vrr_stack+358);
 tmp = r12vrr_stack + 2108;
 target_ptr = Libr12->t2vrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_d0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+5683, r12vrr_stack+1101, r12vrr_stack+1667, r12vrr_stack+3777, r12vrr_stack+3399, r12vrr_stack+671);
 tmp = r12vrr_stack + 5683;
 target_ptr = Libr12->t2vrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_d0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+5851, r12vrr_stack+1667, r12vrr_stack+2388, r12vrr_stack+4273, r12vrr_stack+3777, r12vrr_stack+1101);
 tmp = r12vrr_stack + 5851;
 target_ptr = Libr12->t2vrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_d0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+6067, r12vrr_stack+2388, r12vrr_stack+5353, r12vrr_stack+4903, r12vrr_stack+4273, r12vrr_stack+1667);
 tmp = r12vrr_stack + 6067;
 target_ptr = Libr12->t2vrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_p0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+4228, r12vrr_stack+313, r12vrr_stack+358, r12vrr_stack+490, r12vrr_stack+469, r12vrr_stack+219);
 tmp = r12vrr_stack + 4228;
 target_ptr = Libr12->t1vrr_classes[1][4];
 for(i=0;i<45;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_p0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3041, r12vrr_stack+490, r12vrr_stack+671, r12vrr_stack+853, r12vrr_stack+825, r12vrr_stack+469);
 tmp = r12vrr_stack + 3041;
 target_ptr = Libr12->t1vrr_classes[1][5];
 for(i=0;i<63;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_p0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2234, r12vrr_stack+853, r12vrr_stack+1101, r12vrr_stack+1341, r12vrr_stack+1305, r12vrr_stack+825);
 tmp = r12vrr_stack + 2234;
 target_ptr = Libr12->t1vrr_classes[1][6];
 for(i=0;i<84;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_p0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+553, r12vrr_stack+1341, r12vrr_stack+1667, r12vrr_stack+1973, r12vrr_stack+1928, r12vrr_stack+1305);
 tmp = r12vrr_stack + 553;
 target_ptr = Libr12->t1vrr_classes[1][7];
 for(i=0;i<108;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_p0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+937, r12vrr_stack+1973, r12vrr_stack+2388, r12vrr_stack+2768, r12vrr_stack+2713, r12vrr_stack+1928);
 tmp = r12vrr_stack + 937;
 target_ptr = Libr12->t1vrr_classes[1][8];
 for(i=0;i<135;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_d0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+80, r12vrr_stack+358, r12vrr_stack+3249, r12vrr_stack+671, r12vrr_stack+490, r12vrr_stack+313);
 tmp = r12vrr_stack + 80;
 target_ptr = Libr12->t1vrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_d0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3249, r12vrr_stack+671, r12vrr_stack+3399, r12vrr_stack+1101, r12vrr_stack+853, r12vrr_stack+490);
 tmp = r12vrr_stack + 3249;
 target_ptr = Libr12->t1vrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_d0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3375, r12vrr_stack+1101, r12vrr_stack+3777, r12vrr_stack+1667, r12vrr_stack+1341, r12vrr_stack+853);
 tmp = r12vrr_stack + 3375;
 target_ptr = Libr12->t1vrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_d0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3744, r12vrr_stack+1667, r12vrr_stack+4273, r12vrr_stack+2388, r12vrr_stack+1973, r12vrr_stack+1341);
 tmp = r12vrr_stack + 3744;
 target_ptr = Libr12->t1vrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_d0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+4273, r12vrr_stack+2388, r12vrr_stack+4903, r12vrr_stack+5353, r12vrr_stack+2768, r12vrr_stack+1973);
 tmp = r12vrr_stack + 4273;
 target_ptr = Libr12->t1vrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||g0)^0 ---*/
 _R_BUILD_d0g0(Data,r12vrr_stack+4543, r12vrr_stack+1883, r12vrr_stack+204, r12vrr_stack+358, r12vrr_stack+313, r12vrr_stack+219, r12vrr_stack+50);
 tmp = r12vrr_stack + 4543;
 target_ptr = Libr12->rvrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||h0)^0 ---*/
 _R_BUILD_d0h0(Data,r12vrr_stack+2703, r12vrr_stack+1449, r12vrr_stack+448, r12vrr_stack+671, r12vrr_stack+490, r12vrr_stack+469, r12vrr_stack+313);
 tmp = r12vrr_stack + 2703;
 target_ptr = Libr12->rvrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+4852, r12vrr_stack+1512, r12vrr_stack+797, r12vrr_stack+1101, r12vrr_stack+853, r12vrr_stack+825, r12vrr_stack+490);
 tmp = r12vrr_stack + 4852;
 target_ptr = Libr12->rvrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+5020, r12vrr_stack+4057, r12vrr_stack+1269, r12vrr_stack+1667, r12vrr_stack+1341, r12vrr_stack+1305, r12vrr_stack+853);
 tmp = r12vrr_stack + 5020;
 target_ptr = Libr12->rvrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||l0)^0 ---*/
 _R_BUILD_d0l0(Data,r12vrr_stack+1641, r12vrr_stack+4633, r12vrr_stack+2658, r12vrr_stack+2388, r12vrr_stack+1973, r12vrr_stack+1928, r12vrr_stack+1341);
 tmp = r12vrr_stack + 1641;
 target_ptr = Libr12->rvrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];


}

